<TeXmacs|1.0.1.11>

<style|tmdoc>

<\body>
  <expand|tmdoc-title|<TeXmacs> with CAS>

  <\expand|make-title>
    <title|><author|><author|Chu-Ching Huang>

    <expand|title-email|cchuang@mail.cgu.edu.tw>

    <expand|title-date|<date|%B %d, %Y>>
  </expand>

  <\abstract>
    Some famous computer algebra systems (CAS) will be integrated into the
    Linux-based platform as CAI tools for the higher Mathematical courses.
    The mini memo will cover some \ topics as follows:

    <\expand|enumerate-numeric>
      <item>Maxima: This software is famous for its "Symbolic calculation",
      including finding limit of functions, differentiation, integration of
      functions, series expansion etc;

      <item>Octave: This software has full features about "Numerical
      calculation" and \ simple syntax to be programmed.\ 

      <item>Gnuplot: The powerful plotting package, it almost has no problem
      to deal with the scientific or data plotting especially for 2D plots.

      <item><TeXmacs>: Certainly, you have known if you can see this article.
      Word processing and "GUI" of CAS. It is the simplest way for you to
      make mathematical document from input to output, I think.
    </expand>

    All the packages will be integrated into bootable Linux CDROM. In other
    words, you can continue your paper work in any place with this platform (
    and disk for storing data) even in net-coffee store. Now, let us explore
    the journey and hope you enjoy it!
  </abstract>

  <chapter|Preliminary>

  In this chapter, the individual basic introductions about <TeXmacs>, core
  of this book, and the tools about computer algebra systems, CAS, and graph
  will be given.

  <section|Ahead navigation with <TeXmacs>>

  This is not only introduction for the people who want to learn how to use
  <TeXmacs>, but a note for <TeXmacs> newbie with some <TeX> experiences. We
  try to follow the <TeX> rules to describe how to making documents. From now
  on, [<with|color|red|content>] means the option, <with|color|red|content>,
  in the menu bar.

  <subsection|Presume setup>

  While you execute the <TeXmacs> from X-terminal, you will see the <TeXmacs>
  window. If you are first use this application, the <with|color|red|"help">
  document is also opened in the worksheet windows. Press the button in the
  menu bar, [File] <with|mode|math|\<rightarrow\>> [New], to open a new
  buffer for writing document directly or just as <LaTeX> doing something
  "presume document setting":

  <\expand|enumerate-numeric>
    <item>[Document] <with|mode|math|\<rightarrow\>> [style]
    <with|mode|math|\<rightarrow\>> [format that you want to write], almost
    styles generally used in <LaTeX>, for example: article, letter etc., can
    be found in this menu.\ 

    <item>[Text] <with|mode|math|\<rightarrow\>> [Title]
    \ <with|mode|math|\<rightarrow\>> [Make title]
    \ <with|mode|math|\<rightarrow\>> [Abstract], author, date and address
    can also be added.\ 

    <item>[Text] <with|mode|math|\<rightarrow\>> [Section] and so on. The
    content part of article can be manipulated just as any work processing
    programs do. \ 
  </expand>

  Generally, part 1 and 2 \ can be omitted if your do not hear about <TeX> or
  simply type a document. For <TeX>ers, the document uses "letter" style.

  <subsection|Content Cooking>

  If you do not care about how to make content with any mathematical symbols,
  now stop reading. If text input can not satisfy you, just go continuously.
  The philosophy for <TeXmacs> to manipulate the contents is <strong|very>
  similar to <LaTeX> does ( but not equal to). Content inputs are divided
  into three types: <with|color|blue|text, math and display> modes.\ 

  <\expand|enumerate-numeric>
    <item>Type text as any WYSIWYG editors do.

    <item>Math content, i.e. mathematical symbols together with text content
    in one line. Then:\ 

    <\expand|enumerate-alpha>
      <item>Press the menu bar [<with|mode|math| <big|sum><rsup|m><rsub|r>]>,
      or [Text] <with|mode|math|\<rightarrow\>> [Mathematics]
      <with|mode|math|\<rightarrow\>> [Formula] or press <with|color|red|US
      dollar sign>, to change the mode from text mode into math mode. The
      third line of menu bar changes for suitable mathematical choice icons.
      But the usages are still functional mostly.\ 

      <item>Press [<with|mode|math|\<rightarrow\>>] or <with|color|red|US
      dollar sign> back to the text mode after inputting mathematical
      content.
    </expand>

    The symbols are just like these of usages in <TeX>. For example:
    <with|mode|math|\<backslash\>backslash> produces
    <with|mode|math|\<backslash\>>.

    <item>Display Math content, i.e. independent line or lines for
    Mathematical symbols.\ 

    <\expand|enumerate-alpha>
      <item>Choose [<with|mode|math|<big|sum><rsup|m><rsub|r>]>
      <with|mode|math|\<rightarrow\>> [Equation], for one-line mathematical
      input, corresponding <TeX> command is double US dollar sign;

      <item>choose [<with|mode|math|<big|sum><rsup|m><rsub|r>]>
      <with|mode|math|\<rightarrow\>> [Equations], multi-line mathematical
      input, corresponding <TeX> command is <with|color|blue|eqnarray>
      environment. Use [<with|mode|math|\<rightarrow\>>] to change next cell
      and [Enter] to change new line. The exact cell position is shown at the
      right-down corner.\ 
    </expand>

    <item>How do I know at which is in "text" mode or in "math" mode? The
    same environment is enclosed by a<with|color|blue| light
    blue<with|color|black|>> rectangle. Yor can move by the mouse or the
    "right arrow", [<with|mode|math|<with|color|red|\<rightarrow\>>>], and
    "left arrow", [<with|mode|math|<with|color|red|\<leftarrow\>>>], keys to
    change the mode.
  </expand>

  Now, let us show some examples:

  <\example>
    (Riemann Integral) \ \ \ \ [Text]<with|mode|math|\<rightarrow\>[Environment]
    ><with|mode|math|\<rightarrow\>> [Example], just like <LaTeX>, it is
    auto-numbered. Press [Enter] to input the following:

    \;

    Let <with|color|blue|<with|mode|math|f> > be defined on the closed
    interval <with|mode|math|<with|color|blue|[a,b]>>, and let
    <with|mode|math|<with|color|blue|\<Delta\>>> be a partition of
    <with|mode|math|<with|color|blue|[a,b]>><with|color|black|> given that

    <\expand|equation*>
      <with|color|orange|<\with|color|red>
        a=x<rsub|0>\<less\>x<rsub|1>\<less\>x<rsub|2>\<less\>\<cdots\>\<less\>x<rsub|n-1>\<less\>x<rsub|n>=b
      </with>>
    </expand>

    where <with|mode|math|<with|color|blue|\<Delta\><rsub|>x<rsub|i>>><with|color|black|>
    is the width of the <with|mode|math|<with|color|blue|i>>th subinterval.
    If <with|mode|math|<with|color|blue|c<rsub|i>>><with|color|black|> is any
    point in the <with|mode|math|<with|color|blue|i>>th subinterval, then the
    sum

    <\expand|equation*>
      <\with|paragraph mode|left>
        <\with|right margin|>
          <with|color|red|<big|sum><rsub|i=1><rsup|n>f(c<rsub|i>)\<Delta\>x<rsub|i>,
          \ \ \ \ > \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ <with|color|red|x<rsub|i-1>\<leqslant\>c<rsub|i>\<leqslant\>x<rsub|i>>
        </with>
      </with>
    </expand>

    is called the <strong|<with|color|grey|<em|Riemann sum>>> of
    <with|color|blue|<with|mode|math|f>> for the partition of
    <with|mode|math|<with|color|blue|\<Delta\>>>.

    \;

    The parts in blue color are in math mode (<with|color|red|>press
    <with|color|red|US dollar sign> and then
    [<with|mode|math|<with|color|red|\<rightarrow\>>>] back to the text mode
    again) and the parts in red are in display Math mode ( press
    [<with|mode|math|<big|sum><rsup|m><rsub|r>]>
    <with|mode|math|\<rightarrow\>> [Equation] and move cursor by mouse into
    next line back to the text mode). The messages shown at the bottom line
    of <TeXmacs> may help you at which mode you are and what you have done.
  </example>

  <\example>
    As above, if the limit

    <\equation>
      <with|color|red|lim<rsub|\<\|\|\>\<Delta\>\<\|\|\>
      \<rightarrow\>0><big|sum><rsub|i=1><rsup|n>f(c<rsub|i>)\<Delta\>x<rsub|i>>
    </equation>

    exists where <with|color|red|<with|mode|math|<with|color|blue|\<\|\|\>\<Delta\>\<\|\|\>=<below|max|1\<leqslant\>i\<leqslant\>n>\|x<rsub|i>-x<rsub|i-1>\|>><with|color|blue|>>
    then <with|mode|math|<with|color|blue|f>> is integrable on
    <with|mode|math|<with|color|blue|[a,b]>> and the limit is denoted by

    <\equation>
      <with|color|red|lim<rsub|\<\|\|\>\<Delta\>\<\|\|\>
      \<rightarrow\>0><big|sum><rsub|i=1><rsup|n>f(c<rsub|i>)\<Delta\>x<rsub|i>=<big|int><rsub|a><rsup|b>f(x)
      d x.>
    </equation>

    The limit is call the <strong|definite integral>.

    The number of equation is produced by [Mathematics]
    <with|mode|math|\<rightarrow\>>[Number equation] in display Math mode.
  </example>

  \;

  In these two examples, just type as you do in <TeX> environment, for
  example <with|mode|math|<with|color|red|<with|font size|0.84|\<wedge\>>>>
  means upper script input and <with|mode|math|<rsub|<with|color|red|->>>
  means lower script input, but not all same.

  <\example>
    (Gauss Law)

    In Math or display Math mode, we can adjust the script by:

    <\expand|itemize-dot>
      <item>Press [Mathematics] <with|mode|math|\<rightarrow\>> [Script]
      <with|mode|math|\<rightarrow\>>[Script below] or [Script above], to add
      new line below or above the math symbol. This is as like the effect of
      <with|color|red|<with|mode|math|\<backslash\>limit>> <TeX> command
      after normal mathematical command.\ 

      <item>Input symbols under or above other symbols in display math mode,
      as above adding script space ahead,

      <\expand|equation*>
        <\with|mode|text>
          <\equation>
            <vspace|1fn><below|<big|int><big|int>|S>\<b-B\>\<cdot\>\<b-N\>
            \ \ \ d S =4\<pi\>q
          </equation>
        </with>
      </expand>
    </expand>
  </example>

  After working, choose [File] <with|mode|math|\<rightarrow\>>[Save] and give
  a filename, for example \ <with|color|red|filename.tm>. This will create a
  file named as <with|color|red|filename.tm> in your home directory. If you
  work on Knoppix Linux, everything will be disappeared after turning off the
  power since it works on RAM. You had better to use the following command to
  backup worksheet:

  <\code>
    \<gtr\> mcopy filename.tm a:
  </code>

  Now you can turn off the system. Then you can fire up your <TeXmacs> and
  enjoy!

  <section|CAS's and Graph softwares>

  Not only the powerful ability of publishing text and math documents, CAS
  applications can be executed within session of <TeXmacs>, solving problems
  and making graphs. The computation ability of CAS will be introduced later
  and how-to making graphs will be introduced first. Some \ CAS sessions
  allow to produce in-line postscript graph in worksheets, i.e. Gnuplot,
  Octave, but some are not, for example Maxima. For the latter case, users
  have to embed the result graphs into the worksheet. \ 

  <\example>
    How can <TeXmacs> do with CAS?

    The answer is very simple: <with|color|red|calculation>, including
    <with|color|red|symbolic calculation>, for example Maxima and
    Yacas,<with|color|red| numerical calculation>, for example Octave, and
    <with|color|red|plotting utility>.
  </example>

  <\note>
    Remember, Before quit out from the CAS session, remember to close session
    by pressing the third icon in the third line of menu bars.
  </note>

  <section|Functions>

  Here, we will give a brief introduction for CAS working within <TeXmacs>.

  <\definition>
    <with|mode|math|f(x)> is called a function of <with|mode|math|D>, subset
    of real numbers, if there is only unique
    <with|mode|math|y\<in\>\<bbb-R\>> for each point, <with|mode|math|x> in
    <with|mode|math|D>.
  </definition>

  <\example>
    Maxima session: [Text] <with|mode|math|\<rightarrow\>>[Session]
    <with|mode|math|\<rightarrow\> > [Maxima]

    <\session|maxima|default>
      <\output>
        GCL (GNU Common Lisp) \ Version(2.5.0) g \ 2 \ 7 19:50:19 CST
        2003

        Licensed under GNU Library General Public License

        Contains Enhancements by W. Schelter

        Maxima 5.9.0rc3 http://maxima.sourceforge.net

        Distributed under the GNU Public License. See the file COPYING.

        Dedicated to the memory of William Schelter.

        This is a development version of Maxima. The function bug_report()

        provides bug reporting information.

        \;
      </output>

      <\input|<\with|color|red>
        (C1) <with|color|black|>
      </with>>
        f(x):=x^3+sin(x)
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D1) <with|color|black|>>f<left|(>x<right|)>:=x<rsup|3>+sin
          x>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C2) <with|color|black|>
      </with>>
        f(%pi)
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D2) <with|color|black|>>\<pi\><rsup|3>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C3) <with|color|black|>
      </with>>
        h(x):=block([u:x,w], if (u\<gtr\>0) then w:sin(x) else w:-sin(x),
        u+w)
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D3) <with|color|black|>>h<left|(>x<right|)>:=<with|math
          font family|bf|block><hspace|0.75spc><left|(><left|[>u:x,w<right|]>,<with|math
          font family|bf|if><hspace|0.75spc>u\<gtr\>0<hspace|0.75spc><with|math
          font family|bf|then><hspace|0.75spc>w:sin
          x<hspace|0.75spc><with|math font
          family|bf|else><hspace|0.75spc>w:-sin x,u+w<right|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C4) <with|color|black|>
      </with>>
        h(1)
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D4) <with|color|black|>>sin 1+1>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C5) <with|color|black|>
      </with>>
        h(-2.0)
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D5) <with|color|black|>>-1.090702573174318>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C6) <with|color|black|>
      </with>>
        integrate(x*((x-1)/(x+1))**(1/2),x);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D6) <with|color|black|>>4*<left|(><frac|log
          <left|(><sqrt|<frac|x-1|x+1>>+1<right|)>|8>-<frac|log
          <left|(><sqrt|<frac|x-1|x+1>>-1<right|)>|8>+<frac|3*<left|(><frac|x-1|x+1><right|)><rsup|<frac|3|2>>-<sqrt|<frac|x-1|x+1>>|-<frac|8*<left|(>x-1<right|)>|x+1>+<frac|4*<left|(>x-1<right|)><rsup|2>|<left|(>x+1<right|)><rsup|2>>+4><right|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C7) <with|color|black|>
      </with>>
        diff(d6,x)
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D7) <with|color|black|>>4*<left|(>-<frac|<left|(>-<frac|8|x+1>+<frac|16*<left|(>x-1<right|)>|<left|(>x+1<right|)><rsup|2>>-<frac|8*<left|(>x-1<right|)><rsup|2>|<left|(>x+1<right|)><rsup|3>><right|)>*<left|(>3*<left|(><frac|x-1|x+1><right|)><rsup|<frac|3|2>>-<sqrt|<frac|x-1|x+1>><right|)>|<left|(>-<frac|8*<left|(>x-1<right|)>|x+1>+<frac|4*<left|(>x-1<right|)><rsup|2>|<left|(>x+1<right|)><rsup|2>>+4<right|)><rsup|2>>+<frac|<frac|1|x+1>-<frac|x-1|<left|(>x+1<right|)><rsup|2>>|16*<sqrt|<frac|x-1|x+1>>*<left|(><sqrt|<frac|x-1|x+1>>+1<right|)>>-<frac|<frac|1|x+1>-<frac|x-1|<left|(>x+1<right|)><rsup|2>>|16*<sqrt|<frac|x-1|x+1>>*<left|(><sqrt|<frac|x-1|x+1>>-1<right|)>>+<frac|<frac|9*<sqrt|<frac|x-1|x+1>>*<left|(><frac|1|x+1>-<frac|x-1|<left|(>x+1<right|)><rsup|2>><right|)>|2>-<frac|<frac|1|x+1>-<frac|x-1|<left|(>x+1<right|)><rsup|2>>|2*<sqrt|<frac|x-1|x+1>>>|-<frac|8*<left|(>x-1<right|)>|x+1>+<frac|4*<left|(>x-1<right|)><rsup|2>|<left|(>x+1<right|)><rsup|2>>+4><right|)>>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C8) <with|color|black|>
      </with>>
        plot2d(x+sin(x),[x,0,%pi]);
      </input>

      <\output>
        <\with|mode|math>
          <with|formula style|true|<with|mode|text|font
          family|tt|color|red|(D8) <with|color|black|>>0>
        </with>

        \;
      </output>

      <\input|<\with|color|red>
        (C9) <with|color|black|>
      </with>>
        \;
      </input>
    </session>
  </example>

  Here, you can directly define functions or use <with|color|red|<em|block>>
  structure to define complicate function as (C3). Here,
  <with|mode|math|h(x)> is defined as <with|mode|math|x+sin(x)> if
  <with|mode|math|x\<gtr\>0> and as <with|mode|math|x-sin(x)> if
  <with|mode|math|x\<leqslant\>0>. Plotting graph is the best way to
  understand function. Maxima also applies plot functions,
  <with|color|red|polt2d>. The graph is produced in another X-terminal but
  not in the <TeXmacs> worksheet. Use another KDE applications to produce the
  graph and embed the graph into the worksheet by:\ 

  <\expand|enumerate-alpha>
    <item>Press [KDE] <with|mode|math|\<rightarrow\>> [graph]
    <with|mode|math|\<rightarrow\> >[ksnapshot] to catch the graph and save
    it,

    <item>Press [Insert] <with|mode|math|\<rightarrow\>> [Image]
    <with|mode|math|\<rightarrow\>> [Insert Image] to embed the picture file
    and scale the sizes of height and width if necessary.
  </expand>

  <\example>
    (3D Brownian Motion Particle's Trajectory) Although the graphs of
    produced by Octave can be embedded into worksheet in general, but it does
    not always work. example, the following Octave code is is used to
    simulated Brownian motion within 1 second with time interval,
    <with|mode|math|1/500> sec. Then output the 3D trajectory of particle in
    encapsulated postscript format:

    <\expand|enumerate-roman>
      <item>Prepare the image file in the one of following formats: PS, EPS,
      pdf, fig, png, tif, xpm, fig etc. Or,

      <item>Make graph from CAS and save the screen-shot or store it directly
      into storage. For\ 

      <\expand|enumerate-alpha>
        <item>Open [Text] <with|mode|math|\<rightarrow\>>[Session]
        <with|mode|math|\<rightarrow\>>[shell], execute the following octave
        code to make graph:

        <\session|octave|default>
          <\output>
            GNU Octave, version 2.1.45 (i686-pc-linux-gnu).

            Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003 John
            W. Eaton.

            This is free software; see the source code for copying
            conditions.

            There is ABSOLUTELY NO WARRANTY; not even for MERCHANTIBILITY or

            FITNESS FOR A PARTICULAR PURPOSE.

            \;

            Report bugs to \<less\>bug-octave@bevo.che.wisc.edu\<gtr\>.

            \;
          </output>

          <\input|octave\<gtr\> >
            t_total=1;
          </input>

          <\input|octave\<gtr\> >
            t_step=500;
          </input>

          <\input|octave\<gtr\> >
            dim=3;
          </input>

          <\input|octave\<gtr\> >
            init_po=[0,0,0];
          </input>

          <\input|octave\<gtr\> >
            increment=sqrt(t_total/t_step)*randn(t_step,dim);
          </input>

          <\input|octave\<gtr\> >
            po=[init_po;increment]; b(1,:)=zeros(1,dim);
          </input>

          <\input|octave\<gtr\> >
            gset parametric;\ 
          </input>

          <\input|octave\<gtr\> >
            gset xrange [-2:2];\ 
          </input>

          <\input|octave\<gtr\> >
            gset yrange [-2:2];
          </input>

          <\input|octave\<gtr\> >
            gset zrange [-2:2];
          </input>

          <\input|octave\<gtr\> >
            for i=2:t_step b(i,:)=po(i,:)+b(i-1,:); endfor
          </input>

          <\input|octave\<gtr\> >
            gset set term postscript enhanced color eps;
          </input>

          <\input|octave\<gtr\> >
            gset xtics 1;gset ytics 1; gset ztics 1;
          </input>

          <\input|octave\<gtr\> >
            gset output '/home/cchuang/texmacs/brownian.eps';
          </input>

          <\input|octave\<gtr\> >
            gsplot b title "3D Brownian Motion";
          </input>

          <\input|octave\<gtr\> >
            \;
          </input>
        </session>

        <item>After executing the code, brownian.eps is created. Terminate
        the \ session and back to the <TeXmacs> environment. Now choose
        [Insert] <with|mode|math|\<rightarrow\>>[Image]
        <with|mode|math|\<rightarrow\>> [Insert image] to embed the result
        graph as follows:\ 

        <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
        /home/cchuang/texmacs/brownian.eps\n%%Creator: gnuplot 3.8h
        patchlevel 0\n%%CreationDate: Mon Apr \ 7 09:16:51
        2003\n%%DocumentFonts: (atend)\n%%BoundingBox: 50 50 230
        176\n%%Orientation: Portrait\n%%EndComments\n/gnudict 256 dict
        def\ngnudict begin\n/Color true def\n/Solid false def\n/gnulinewidth
        5.000 def\n/userlinewidth gnulinewidth def\n/vshift -46 def\n/dl
        {10.0 mul} def\n/hpt_ 31.5 def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt
        vpt_ def\n/M {moveto} bind def\n/L {lineto} bind def\n/R {rmoveto}
        bind def\n/V {rlineto} bind def\n/N {newpath moveto} bind def\n/f
        {rlineto fill} bind def\n/vpt2 vpt 2 mul def\n/hpt2 hpt 2 mul
        def\n/Lshow { currentpoint stroke M\n \ 0 vshift R show } def\n/Rshow
        { currentpoint stroke M\n \ dup stringwidth pop neg vshift R show }
        def\n/Cshow { currentpoint stroke M\n \ dup stringwidth pop -2 div
        vshift R show } def\n/UP { dup vpt_ mul /vpt exch def hpt_ mul /hpt
        exch def\n \ /hpt2 hpt 2 mul def /vpt2 vpt 2 mul def } def\n/DL {
        Color {setrgbcolor Solid {pop []} if 0 setdash }\n {pop pop pop Solid
        {pop []} if 0 setdash} ifelse } def\n/BL { stroke userlinewidth 2 mul
        setlinewidth } def\n/AL { stroke userlinewidth 2 div setlinewidth }
        def\n/UL { dup gnulinewidth mul /userlinewidth exch def\n
        \ \ \ \ \ dup 1 lt {pop 1} if 10 mul /udl exch def } def\n/PL {
        stroke userlinewidth setlinewidth } def\n/LTb { BL [] 0 0 0 DL }
        def\n/LTa { AL [1 udl mul 2 udl mul] 0 setdash 0 0 0 setrgbcolor }
        def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 { PL [4 dl 2 dl] 0 1 0 DL }
        def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL } def\n/LT3 { PL [1 dl 1.5 dl] 1
        0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl 2 dl] 0 1 1 DL } def\n/LT5 {
        PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL } def\n/LT6 { PL [2 dl 2 dl 2 dl 4
        dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 4 dl] 1 0.3 0
        DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 4 dl] 0.5 0.5
        0.5 DL } def\n/Pnt { stroke [] 0 setdash\n \ \ gsave 1 setlinecap M 0
        0 V stroke grestore } def\n/Dia { stroke [] 0 setdash 2 copy vpt add
        M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V
        closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0 setdash vpt sub M
        0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg R hpt2 0 V
        stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt sub exch
        vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
        closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt
        sub exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2
        neg 0 R hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy
        vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n
        \ hpt neg vpt 1.62 mul V closepath stroke\n \ Pnt \ } def\n/Star { 2
        copy Pls Crs } def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt
        add M\n \ 0 vpt2 neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V
        \ closepath fill } def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add
        M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62
        mul V closepath fill } def\n/TriD { stroke [] 0 setdash 2 copy vpt
        1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt
        neg vpt -1.62 mul V closepath stroke\n \ Pnt \ } def\n/TriDF { stroke
        [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2
        mul 0 V\n \ hpt neg vpt -1.62 mul V closepath fill} def\n/DiaF {
        stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n
        \ hpt vpt V hpt neg vpt V closepath fill } def\n/Pent { stroke [] 0
        setdash 2 copy gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
        repeat\n \ closepath stroke grestore Pnt } def\n/PentF { stroke [] 0
        setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ closepath fill grestore } def\n/Circle { stroke [] 0 setdash 2
        copy\n \ hpt 0 360 arc stroke Pnt } def\n/CircleF { stroke [] 0
        setdash hpt 0 360 arc fill } def\n/C0 { BL [] 0 setdash 2 copy moveto
        vpt 90 450 \ arc } bind def\n/C1 { BL [] 0 setdash 2 copy
        \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc closepath
        fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
        def\n/C2 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        90 180 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
        closepath } bind def\n/C3 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 0 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C4 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 180 270 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
        } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
        \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc } bind def\n/C6 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
        copy \ vpt 90 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt
        0 360 arc closepath } bind def\n/C7 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ 2 copy \ vpt 0 270 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C8 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt 270 360 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
        bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy
        \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
        360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
        moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
        \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11
        { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13
        { BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
        setdash 2 copy vpt 0 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
        \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
        \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
        bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
        def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
        bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
        def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
        Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch
        vpt2 vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy
        exch vpt sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 {
        BL [] 0 setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt
        sub exch vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare }
        bind def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt
        vpt2 Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub
        vpt Square fill Bsquare } bind def\n/S9 { BL [] 0 setdash 2 copy vpt
        sub vpt vpt2 Rec fill Bsquare } bind def\n/S10 { BL [] 0 setdash 2
        copy vpt sub vpt Square fill 2 copy exch vpt sub exch vpt Square
        fill\n \ \ \ \ \ \ Bsquare } bind def\n/S11 { BL [] 0 setdash 2 copy
        vpt sub vpt Square fill 2 copy exch vpt sub exch vpt2 vpt Rec fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S12 { BL [] 0 setdash 2 copy exch
        vpt sub exch vpt sub vpt2 vpt Rec fill Bsquare } bind def\n/S13 { BL
        [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy vpt Square fill Bsquare } bind def\n/S14 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square fill Bsquare } bind
        def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill Bsquare } bind
        def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke grestore } bind
        def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke grestore } bind
        def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke grestore } bind
        def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke grestore } bind
        def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke grestore } bind
        def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke grestore } bind
        def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke grestore } bind
        def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke grestore } bind
        def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke grestore } bind
        def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke grestore } bind
        def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke grestore } bind
        def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke grestore } bind
        def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke grestore } bind
        def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke grestore } bind
        def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke grestore } bind
        def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke grestore } bind
        def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt
        vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke } def\n/BoxE {
        stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2
        0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE { stroke
        [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2
        mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke } def\n/TriDE {
        stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
        \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath stroke }
        def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72
        rotate 0 hpt L} repeat\n \ closepath stroke grestore } def\n/CircE {
        stroke [] 0 setdash \n \ hpt 0 360 arc stroke } def\n/Opaque { gsave
        closepath 1 setgray fill grestore 0 setgray closepath } def\n/DiaW {
        stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n
        \ hpt vpt V hpt neg vpt V Opaque stroke } def\n/BoxW { stroke [] 0
        setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2
        V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW { stroke [] 0 setdash
        vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n
        \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW { stroke [] 0
        setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0
        V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW { stroke []
        0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash \n \ hpt
        0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray fill
        grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
        makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
        ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0
        get findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ]
        exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch
        4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n
        \ \ \ \ {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse}
        {dup 5\n \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get
        stringwidth pop -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop
        -2 div 0 R 6 get\n \ \ \ \ show 2 index {aload pop M neg 3 -1 roll
        neg R pop pop} {pop pop pop\n \ \ \ \ pop aload pop M} ifelse }ifelse
        }ifelse } forall} bind def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get
        findfont exch 1 get scalefont\n \ \ \ \ setfont 6 get stringwidth pop
        add} {pop} ifelse} forall} bind def\n/MLshow { currentpoint stroke
        M\n \ 0 exch R MFshow } bind def\n/MRshow { currentpoint stroke M\n
        \ exch dup MFwidth neg 3 -1 roll R MFshow } def\n/MCshow {
        currentpoint stroke M\n \ exch dup MFwidth -2 div 3 -1 roll R MFshow
        } def\nend\n%%EndProlog\ngnudict begin\ngsave\n50 50 translate\n0.050
        0.050 scale\n0 setgray\nnewpath\n(Helvetica) findfont 140 scalefont
        setfont\n1.000 UL\nLTb\n1.000 UP\n1.000 UL\nLT0\n2802 2036 M\n[
        [(Helvetica) 140.0 0.0 true true 0 (3D Brownian Motion)]\n] -46.7
        MRshow\n2886 2036 M\n399 0 V\n1800 1491 M\n-1 11 V\n-41 3 V\n-2 3
        V\n-13 0 V\n19 -3 V\n-2 3 V\n19 -6 V\n40 -2 V\n-7 -15 V\n13 5 V\n-21
        4 V\n-34 20 V\n5 3 V\n-4 -10 V\n4 -18 V\n-2 -8 V\n-14 -10 V\n-3 5
        V\n4 3 V\n5 -8 V\n-16 6 V\n14 -11 V\n12 5 V\n-17 -2 V\n-4 23 V\n35 11
        V\n-11 -4 V\n3 17 V\n-9 -3 V\n21 -4 V\n-15 2 V\n3 -2 V\n-38 -10 V\n10
        0 V\n-42 -10 V\n-4 -1 V\n14 -5 V\n3 9 V\n-17 4 V\n25 -6 V\n29 -19
        V\n27 8 V\n-5 11 V\n22 8 V\n-7 0 V\n-10 9 V\n36 -3 V\n13 0 V\n-13 -6
        V\n13 4 V\n20 -8 V\n10 -6 V\n-2 -19 V\n-12 -9 V\n-25 -31 V\n15 2
        V\n-21 -12 V\n2 7 V\n-12 11 V\n2 19 V\n-17 6 V\n1 3 V\n-17 5 V\n6 -5
        V\n-38 -9 V\n-3 -8 V\n-25 5 V\n-4 0 V\n-23 -7 V\n-12 1 V\n13 8 V\n-27
        0 V\n30 -6 V\n-14 -4 V\n21 4 V\n30 -19 V\n1 -12 V\n12 -4 V\n19 8
        V\n-25 2 V\n-14 -15 V\n-9 2 V\n0 -8 V\n4 -3 V\n18 -20 V\n-16 10 V\n42
        8 V\n9 -3 V\n9 1 V\n54 21 V\n56 5 V\n-16 -7 V\n3 19 V\n17 3 V\n1 0
        V\n-7 1 V\n30 3 V\n21 6 V\n-7 -5 V\n-9 2 V\n11 -10 V\n26 8 V\n-16 6
        V\n19 -8 V\n-25 -3 V\n-14 6 V\n-42 -15 V\n-19 6 V\n20 11 V\n-40 -7
        V\n20 -5 V\n-21 1 V\n-39 6 V\n10 13 V\n-6 2 V\n17 3 V\n15 4 V\n-13 7
        V\n5 0 V\n18 -12 V\n-30 13 V\n-26 -6 V\n-24 8 V\n7 -10 V\n13 -6
        V\n-20 3 V\n1 8 V\n-7 5 V\n-27 -14 V\n16 0 V\n-9 0 V\n-7 4 V\n-13 3
        V\n0 6 V\n-9 4 V\n-9 2 V\n18 -7 V\n6 4 V\n-13 -5 V\n5 0 V\n2 -5 V\n-3
        0 V\n-14 10 V\n25 -12 V\n-6 -11 V\n-21 5 V\n12 6 V\n11 1 V\n19 22
        V\n0 2 V\n-5 21 V\n-17 4 V\n4 0 V\n12 -6 V\n9 8 V\n-5 1 V\n1 -7
        V\n-10 6 V\n6 6 V\n-18 1 V\n-20 10 V\n10 11 V\n-20 11 V\n15 -20
        V\n-14 -12 V\n-7 1 V\n-1 9 V\n-6 -5 V\n7 8 V\n-48 -15 V\n16 5 V\n5 -5
        V\n21 13 V\n-14 -13 V\n22 -14 V\n-5 -1 V\n19 19 V\n35 4 V\n16 -9
        V\n-6 0 V\n26 -5 V\n-17 -3 V\n-10 -7 V\n-8 -8 V\n-22 -9 V\n-22 5
        V\n-13 -3 V\n-10 13 V\n15 -4 V\n-42 6 V\n11 -12 V\n4 6 V\n1 5 V\n-11
        -16 V\n-4 0 V\n-18 4 V\n27 28 V\n32 -12 V\n-82 5 V\n41 7 V\n-22 -14
        V\n-2 16 V\n38 -2 V\n33 -14 V\n-18 -1 V\n-17 -4 V\n4 -5 V\n19 -8
        V\n-1 15 V\n7 -7 V\n-29 -1 V\n-35 -12 V\n-2 -7 V\n-35 2 V\n-27 -6
        V\n35 -9 V\n14 -14 V\n-46 5 V\n25 -11 V\n-14 -9 V\n24 -4 V\n1 -3
        V\n-37 6 V\n10 8 V\n-12 -9 V\n-27 9 V\n-5 -10 V\n4 5 V\n-6 -4 V\n10 4
        V\n3 -10 V\n-41 8 V\n25 -4 V\n0 -3 V\n8 0 V\n14 12 V\n11 0 V\n3 8
        V\n4 2 V\n48 22 V\n-10 -7 V\n-4 7 V\n25 18 V\n-3 7 V\n5 2 V\n31 2
        V\n-27 1 V\n-3 4 V\n6 1 V\n29 -3 V\n3 20 V\n2 -2 V\n-4 3 V\n15 -10
        V\n-9 6 V\n-36 -6 V\n-26 9 V\n25 10 V\n-20 2 V\n5 7 V\n-1 1 V\n28 -3
        V\n6 -8 V\n-17 9 V\n10 -8 V\n-12 -8 V\n2 1 V\n1 6 V\n15 0 V\n-1 -6
        V\n-3 -2 V\n-32 3 V\n16 14 V\n8 13 V\n-9 8 V\n6 -14 V\n11 -5 V\n-31
        -5 V\n-15 8 V\n-34 9 V\n-13 -3 V\n-10 -1 V\n-19 19 V\n-2 2 V\n-22 0
        V\n-23 8 V\n9 8 V\n29 18 V\n2 -8 V\n20 15 V\n5 9 V\n-17 -9 V\n28 -5
        V\n22 -2 V\n13 -15 V\n0 4 V\n35 -4 V\n-23 10 V\n7 15 V\n-22 -5 V\n-12
        -15 V\n3 -14 V\n6 -2 V\n7 9 V\n-23 27 V\n2 -6 V\n4 -8 V\n-3 -8 V\n-2
        11 V\n24 6 V\n16 -6 V\n6 -14 V\n-18 1 V\n-17 10 V\n19 9 V\n-34 -6
        V\n33 6 V\n-2 -11 V\n25 -20 V\n-6 -16 V\n8 -13 V\n-38 -8 V\n5 -6
        V\n-14 11 V\n25 -2 V\n24 -2 V\n4 4 V\n-5 -13 V\n-41 -6 V\n-36 6 V\n7
        -6 V\n-10 -9 V\n17 14 V\n-31 -14 V\n-2 -20 V\n-3 -2 V\n23 3 V\n-10 9
        V\n7 -10 V\n-22 4 V\n18 -12 V\n16 -2 V\n-41 7 V\n-35 -1 V\n4 -2 V\n22
        9 V\n3 -10 V\n-15 3 V\n12 1 V\n-3 2 V\n-5 5 V\n-18 -2 V\n2 6 V\n13 15
        V\n27 22 V\n5 -9 V\n-5 2 V\n-22 3 V\n15 -11 V\n15 7 V\n-46 -5 V\n-23
        3 V\n-24 -7 V\n-53 6 V\n29 8 V\n-13 16 V\n-30 14 V\n17 15 V\n3 7
        V\n14 -5 V\n24 12 V\n-2 -16 V\n-56 4 V\n6 -11 V\n2 -3 V\n21 -10
        V\n-34 4 V\n-8 -6 V\n23 7 V\n-28 9 V\n-22 11 V\n-6 10 V\n-8 -2 V\n2
        -1 V\n-15 -12 V\n3 -15 V\n-11 -9 V\n-10 2 V\n-11 5 V\n-22 -15 V\n-45
        -16 V\n-4 -13 V\n-3 -13 V\n10 9 V\n-3 12 V\n-2 15 V\n54 6
        V\ncurrentpoint stroke M\n-6 0 V\n8 -13 V\n-11 -2 V\n-30 5 V\n-12 -2
        V\n6 -6 V\n15 -1 V\n7 12 V\n-27 -10 V\n-1 -3 V\n-49 5 V\n-18 -2 V\n20
        -11 V\n-16 3 V\n-23 -11 V\n-13 2 V\n-11 -20 V\n-19 -7 V\n11 -3 V\n6 5
        V\n15 3 V\n7 6 V\n-32 -1 V\n-38 2 V\n54 -1 V\n-20 -6 V\n-1 -21 V\n-16
        -14 V\n4 -14 V\n5 -6 V\n18 5 V\n-10 4 V\n-15 19 V\n-35 15 V\n7 -16
        V\n15 -9 V\n32 6 V\n-3 -7 V\n-11 -4 V\n-12 -1 V\n-9 0 V\n8 -1 V\n65 6
        V\n-9 6 V\n14 -11 V\n-41 3 V\n24 7 V\n25 22 V\n-33 6 V\n-4 23 V\n7 -5
        V\n11 -5 V\n-39 9 V\n-10 -2 V\n5 10 V\n1 -15 V\n15 4 V\n17 1 V\n-2 2
        V\n-8 3 V\n11 1 V\n-5 9 V\n14 3 V\n0 10 V\n31 17 V\n-19 2 V\n-48 -13
        V\n-2 3 V\n12 -3 V\n21 31 V\n1 10 V\n3 20 V\n16 2 V\n17 10 V\n-13 2
        V\n20 -2 V\n0 3 V\n-28 22 V\n-35 -25 V\n-56 10 V\n-22 2 V\n-4 4 V\n6
        -57 R\n19 7 V\n25 4 V\n-2 11 V\n-7 1 V\n-14 -13 V\n1.000
        UL\nLTb\nLTb\n3024 949 M\n2128 465 L\n1.000 UL\nLTb\nLTb\n576 744
        M\n2128 465 L\n1.000 UL\nLTb\nLTb\n576 744 M\n896 484 V\n1.000
        UL\nLTb\nLTb\n3024 949 M\n1472 1228 L\n1.000 UL\nLTb\nLTb\n576 744
        M\n0 967 V\n1.000 UL\nLTb\nLTb\n576 744 M\n47 41 V\n1.000
        UL\nLTb\n512 652 M\n[ [(Helvetica) 140.0 0.0 true true 0 (-2)]\n]
        -46.7 MCshow\n1.000 UL\nLTb\nLTb\n1472 1228 M\n-47 -41 V\n1.000
        UL\nLTb\nLTb\n964 674 M\n48 41 V\n1.000 UL\nLTb\n901 583 M\n[
        [(Helvetica) 140.0 0.0 true true 0 (-1)]\n] -46.7 MCshow\n1.000
        UL\nLTb\nLTb\n1860 1158 M\n-48 -41 V\n1.000 UL\nLTb\nLTb\n1352 604
        M\n48 42 V\n1.000 UL\nLTb\n1289 513 M\n[ [(Helvetica) 140.0 0.0 true
        true 0 ( 0)]\n] -46.7 MCshow\n1.000 UL\nLTb\nLTb\n2248 1088 M\n-48
        -41 V\n1.000 UL\nLTb\nLTb\n1740 534 M\n48 42 V\n1.000 UL\nLTb\n1677
        443 M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 1)]\n] -46.7
        MCshow\n1.000 UL\nLTb\nLTb\n2636 1019 M\n-48 -42 V\n1.000
        UL\nLTb\nLTb\n2128 465 M\n47 41 V\n1.000 UL\nLTb\n2064 373 M\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 2)]\n] -46.7 MCshow\n1.000
        UL\nLTb\nLTb\n3024 949 M\n-47 -42 V\n1.000 UL\nLTb\nLTb\n2128 465
        M\n-61 17 V\n stroke\n2208 426 M\n[ [(Helvetica) 140.0 0.0 true true
        0 (-2)]\n] -46.7 MLshow\n1.000 UL\nLTb\nLTb\n576 744 M\n60 -17
        V\n1.000 UL\nLTb\nLTb\n2352 586 M\n-61 17 V\n stroke\n2432 547 M\n[
        [(Helvetica) 140.0 0.0 true true 0 (-1)]\n] -46.7 MLshow\n1.000
        UL\nLTb\nLTb\n800 865 M\n61 -17 V\n1.000 UL\nLTb\nLTb\n2576 707
        M\n-61 17 V\n stroke\n2657 668 M\n[ [(Helvetica) 140.0 0.0 true true
        0 ( 0)]\n] -46.7 MLshow\n1.000 UL\nLTb\nLTb\n1024 986 M\n61 -17
        V\n1.000 UL\nLTb\nLTb\n2800 828 M\n-61 17 V\n stroke\n2881 789 M\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 1)]\n] -46.7 MLshow\n1.000
        UL\nLTb\nLTb\n1248 1107 M\n61 -17 V\n1.000 UL\nLTb\nLTb\n3024 949
        M\n-60 17 V\n stroke\n3105 910 M\n[ [(Helvetica) 140.0 0.0 true true
        0 ( 2)]\n] -46.7 MLshow\n1.000 UL\nLTb\nLTb\n1472 1228 M\n61 -17
        V\n1.000 UL\nLTb\nLTb\n576 1067 M\n63 0 V\n stroke\n450 1067 M\n[
        [(Helvetica) 140.0 0.0 true true 0 (-2)]\n] -46.7 MRshow\n1.000
        UL\nLTb\nLTb\n576 1228 M\n63 0 V\n stroke\n450 1228 M\n[ [(Helvetica)
        140.0 0.0 true true 0 (-1)]\n] -46.7 MRshow\n1.000 UL\nLTb\nLTb\n576
        1389 M\n63 0 V\n stroke\n450 1389 M\n[ [(Helvetica) 140.0 0.0 true
        true 0 ( 0)]\n] -46.7 MRshow\n1.000 UL\nLTb\nLTb\n576 1550 M\n63 0
        V\n stroke\n450 1550 M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 1)]\n]
        -46.7 MRshow\n1.000 UL\nLTb\nLTb\n576 1711 M\n63 0 V\n stroke\n450
        1711 M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 2)]\n] -46.7
        MRshow\n1.000 UP\nstroke\ngrestore\nend\nshowpage\n>|eps>||||||>
      </expand>

      Octave can use the gnuplot syntax to generate graph, but cannot
      interpreter the resulted PostScript code. Theirfore output the graph
      and embed it back.\ 
    </expand>
  </example>

  If the effect is not good-looking enough, you can consider another
  application session, Gnuplot. Gnuplot is more flexible since it applies
  many utility functions to manipulate graph, including the off-line
  modification. For example, press [Text]
  <with|mode|math|\<rightarrow\>>[Sessions]
  <with|mode|math|\<rightarrow\>>[Gnuplot] enters the session. Some simple
  examples as follows:

  <\session|gnuplot|default>
    <\output>
      <with|color|red|This is a TeXmacs interface for GNUplot.>

      \;
    </output>

    <\input|GNUplot] >
      plot [-pi/2:pi/2][-2:2] x+sin(x)
    </input>

    <\output>
      <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
      temp.eps\n%%Creator: gnuplot 3.8h patchlevel 0\n%%CreationDate: Mon Feb
      24 19:39:02 2003\n%%DocumentFonts: (atend)\n%%BoundingBox: 50 50 410
      302\n%%Orientation: Portrait\n%%EndComments\n/gnudict 256 dict
      def\ngnudict begin\n/Color false def\n/Solid false def\n/gnulinewidth
      5.000 def\n/userlinewidth gnulinewidth def\n/vshift -46 def\n/dl {10.0
      mul} def\n/hpt_ 31.5 def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt vpt_
      def\n/M {moveto} bind def\n/L {lineto} bind def\n/R {rmoveto} bind
      def\n/V {rlineto} bind def\n/N {newpath moveto} bind def\n/f {rlineto
      fill} bind def\n/vpt2 vpt 2 mul def\n/hpt2 hpt 2 mul def\n/Lshow {
      currentpoint stroke M\n \ 0 vshift R show } def\n/Rshow { currentpoint
      stroke M\n \ dup stringwidth pop neg vshift R show } def\n/Cshow {
      currentpoint stroke M\n \ dup stringwidth pop -2 div vshift R show }
      def\n/UP { dup vpt_ mul /vpt exch def hpt_ mul /hpt exch def\n \ /hpt2
      hpt 2 mul def /vpt2 vpt 2 mul def } def\n/DL { Color {setrgbcolor Solid
      {pop []} if 0 setdash }\n {pop pop pop Solid {pop []} if 0 setdash}
      ifelse } def\n/BL { stroke userlinewidth 2 mul setlinewidth } def\n/AL
      { stroke userlinewidth 2 div setlinewidth } def\n/UL { dup gnulinewidth
      mul /userlinewidth exch def\n \ \ \ \ \ dup 1 lt {pop 1} if 10 mul /udl
      exch def } def\n/PL { stroke userlinewidth setlinewidth } def\n/LTb {
      BL [] 0 0 0 DL } def\n/LTa { AL [1 udl mul 2 udl mul] 0 setdash 0 0 0
      setrgbcolor } def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 { PL [4 dl 2 dl] 0
      1 0 DL } def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL } def\n/LT3 { PL [1 dl 1.5
      dl] 1 0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl 2 dl] 0 1 1 DL }
      def\n/LT5 { PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL } def\n/LT6 { PL [2 dl 2
      dl 2 dl 4 dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      1 0.3 0 DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      0.5 0.5 0.5 DL } def\n/Pnt { stroke [] 0 setdash\n \ \ gsave 1
      setlinecap M 0 0 V stroke grestore } def\n/Dia { stroke [] 0 setdash 2
      copy vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt
      neg vpt V closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0 setdash
      vpt sub M 0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg R hpt2
      0 V stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt sub
      exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
      closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt sub
      exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2 neg 0
      R hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy vpt 1.12
      mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      1.62 mul V closepath stroke\n \ Pnt \ } def\n/Star { 2 copy Pls Crs }
      def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V \ closepath fill }
      def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt
      -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath fill
      } def\n/TriD { stroke [] 0 setdash 2 copy vpt 1.12 mul sub M\n \ hpt
      neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V
      closepath stroke\n \ Pnt \ } def\n/TriDF { stroke [] 0 setdash vpt 1.12
      mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      -1.62 mul V closepath fill} def\n/DiaF { stroke [] 0 setdash vpt add
      M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V
      closepath fill } def\n/Pent { stroke [] 0 setdash 2 copy gsave\n
      \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath stroke
      grestore Pnt } def\n/PentF { stroke [] 0 setdash gsave\n \ translate 0
      hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath fill grestore }
      def\n/Circle { stroke [] 0 setdash 2 copy\n \ hpt 0 360 arc stroke Pnt
      } def\n/CircleF { stroke [] 0 setdash hpt 0 360 arc fill } def\n/C0 {
      BL [] 0 setdash 2 copy moveto vpt 90 450 \ arc } bind def\n/C1 { BL []
      0 setdash 2 copy \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C2 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C3 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
      bind def\n/C4 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
      \ vpt 180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 270 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C6 { BL [] 0
      setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 90 270 arc closepath
      fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
      def\n/C7 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 0 270
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
      } bind def\n/C8 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
      copy \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
      moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13 {
      BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
      setdash 2 copy vpt 0 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
      \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
      \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
      bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
      def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
      bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
      def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
      Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch vpt2
      vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy exch vpt
      sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 { BL [] 0
      setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt sub exch
      vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0 setdash 2
      copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare } bind
      def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt vpt2
      Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub vpt Square fill Bsquare
      } bind def\n/S9 { BL [] 0 setdash 2 copy vpt sub vpt vpt2 Rec fill
      Bsquare } bind def\n/S10 { BL [] 0 setdash 2 copy vpt sub vpt Square
      fill 2 copy exch vpt sub exch vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S11 { BL [] 0 setdash 2 copy vpt sub vpt Square fill 2 copy
      exch vpt sub exch vpt2 vpt Rec fill\n \ \ \ \ \ \ Bsquare } bind
      def\n/S12 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt
      Rec fill Bsquare } bind def\n/S13 { BL [] 0 setdash 2 copy exch vpt sub
      exch vpt sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill
      Bsquare } bind def\n/S14 { BL [] 0 setdash 2 copy exch vpt sub exch vpt
      sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square
      fill Bsquare } bind def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill
      Bsquare } bind def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke
      grestore } bind def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke
      grestore } bind def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke
      grestore } bind def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke
      grestore } bind def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke
      grestore } bind def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke
      grestore } bind def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke
      grestore } bind def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke
      grestore } bind def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke
      grestore } bind def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke
      grestore } bind def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke
      grestore } bind def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke
      grestore } bind def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke
      grestore } bind def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke
      grestore } bind def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke
      grestore } bind def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke
      grestore } bind def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg
      vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke }
      def\n/BoxE { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE
      { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke }
      def\n/TriDE { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt
      1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath
      stroke } def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M
      4 {72 rotate 0 hpt L} repeat\n \ closepath stroke grestore }
      def\n/CircE { stroke [] 0 setdash \n \ hpt 0 360 arc stroke }
      def\n/Opaque { gsave closepath 1 setgray fill grestore 0 setgray
      closepath } def\n/DiaW { stroke [] 0 setdash vpt add M\n \ hpt neg vpt
      neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V Opaque stroke }
      def\n/BoxW { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW {
      stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW
      { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW
      { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
      repeat\n \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash
      \n \ hpt 0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray
      fill grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
      makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
      ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0 get
      findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ] exch
      dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch 4 get
      {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n \ \ \ \ {dup 3
      get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5\n
      \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop
      -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get\n
      \ \ \ \ show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop
      pop\n \ \ \ \ pop aload pop M} ifelse }ifelse }ifelse } forall} bind
      def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get findfont exch 1 get
      scalefont\n \ \ \ \ setfont 6 get stringwidth pop add} {pop} ifelse}
      forall} bind def\n/MLshow { currentpoint stroke M\n \ 0 exch R MFshow }
      bind def\n/MRshow { currentpoint stroke M\n \ exch dup MFwidth neg 3 -1
      roll R MFshow } def\n/MCshow { currentpoint stroke M\n \ exch dup
      MFwidth -2 div 3 -1 roll R MFshow } def\nend\n%%EndProlog\ngnudict
      begin\ngsave\n50 50 translate\n0.050 0.050 scale\n0
      setgray\nnewpath\n(Helvetica) findfont 140 scalefont setfont\n1.000
      UL\nLTb\n574 280 M\n63 0 V\n6325 0 R\n-63 0 V\n stroke\n490 280
      M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-2)]\n] -46.7
      MRshow\ngrestore\n574 854 M\n63 0 V\n6325 0 R\n-63 0 V\n stroke\n490
      854 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-1.5)]\n]
      -46.7 MRshow\ngrestore\n574 1428 M\n63 0 V\n6325 0 R\n-63 0 V\n
      stroke\n490 1428 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true
      0 (-1)]\n] -46.7 MRshow\ngrestore\n574 2002 M\n63 0 V\n6325 0 R\n-63 0
      V\n stroke\n490 2002 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 (-0.5)]\n] -46.7 MRshow\ngrestore\n574 2576 M\n63 0 V\n6325 0
      R\n-63 0 V\n stroke\n490 2576 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 ( 0)]\n] -46.7 MRshow\ngrestore\n574 3150 M\n63 0
      V\n6325 0 R\n-63 0 V\n stroke\n490 3150 M\ngsave 0 setgray\n[
      [(Helvetica) 140.0 0.0 true true 0 ( 0.5)]\n] -46.7
      MRshow\ngrestore\n574 3724 M\n63 0 V\n6325 0 R\n-63 0 V\n stroke\n490
      3724 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 1)]\n]
      -46.7 MRshow\ngrestore\n574 4298 M\n63 0 V\n6325 0 R\n-63 0 V\n
      stroke\n490 4298 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true
      0 ( 1.5)]\n] -46.7 MRshow\ngrestore\n574 4872 M\n63 0 V\n6325 0 R\n-63
      0 V\n stroke\n490 4872 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0
      true true 0 ( 2)]\n] -46.7 MRshow\ngrestore\n718 280 M\n0 63 V\n0 4529
      R\n0 -63 V\n stroke\n718 140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 (-1.5)]\n] -46.7 MCshow\ngrestore\n1735 280 M\n0 63
      V\n0 4529 R\n0 -63 V\n stroke\n1735 140 M\ngsave 0 setgray\n[
      [(Helvetica) 140.0 0.0 true true 0 (-1)]\n] -46.7
      MCshow\ngrestore\n2751 280 M\n0 63 V\n0 4529 R\n0 -63 V\n stroke\n2751
      140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-0.5)]\n]
      -46.7 MCshow\ngrestore\n3768 280 M\n0 63 V\n0 4529 R\n0 -63 V\n
      stroke\n3768 140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true
      0 ( 0)]\n] -46.7 MCshow\ngrestore\n4785 280 M\n0 63 V\n0 4529 R\n0 -63
      V\n stroke\n4785 140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 ( 0.5)]\n] -46.7 MCshow\ngrestore\n5801 280 M\n0 63 V\n0 4529
      R\n0 -63 V\n stroke\n5801 140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 ( 1)]\n] -46.7 MCshow\ngrestore\n6818 280 M\n0 63 V\n0
      4529 R\n0 -63 V\n stroke\n6818 140 M\ngsave 0 setgray\n[ [(Helvetica)
      140.0 0.0 true true 0 ( 1.5)]\n] -46.7 MCshow\ngrestore\n1.000
      UL\nLTb\n574 280 M\n6388 0 V\n0 4592 V\n-6388 0 V\n574 280 L\n1.000
      UP\n1.000 UL\nLT0\n6311 4739 M\ngsave 0 setgray\n(x+sin\\(x\\))
      Rshow\ngrestore\n6395 4739 M\n399 0 V\n1519 280 M\n23 19 V\n64 53 V\n65
      55 V\n64 56 V\n65 56 V\n65 58 V\n64 58 V\n65 60 V\n64 60 V\n65 61 V\n64
      62 V\n65 63 V\n64 64 V\n65 64 V\n64 65 V\n65 66 V\n64 66 V\n65 67 V\n64
      68 V\n65 68 V\n64 69 V\n65 69 V\n64 70 V\n65 70 V\n64 71 V\n65 71 V\n65
      71 V\n64 72 V\n65 72 V\n64 72 V\n65 73 V\n64 72 V\n65 73 V\n64 73 V\n65
      73 V\n64 72 V\n65 73 V\n64 73 V\n65 73 V\n64 72 V\n65 73 V\n64 72 V\n65
      72 V\n64 72 V\n65 71 V\n65 71 V\n64 71 V\n65 70 V\n64 70 V\n65 69 V\n64
      69 V\n65 68 V\n64 68 V\n65 67 V\n64 66 V\n65 66 V\n64 65 V\n65 64 V\n64
      64 V\n65 63 V\n64 62 V\n65 61 V\n64 60 V\n65 60 V\n64 58 V\n65 58 V\n65
      56 V\n64 56 V\n65 55 V\n64 53 V\n23 19 V\n1.000
      UP\nstroke\ngrestore\nend\nshowpage\n%%Trailer\n%%DocumentFonts:
      Helvetica\n>|ps>||||||>

      \;
    </output>

    <\input|GNUplot] >
      set noclip ~set yrange[-30:10] ~plot x*(abs((x-4)/(x+4)))**(1./2.)\ 
    </input>

    <\output>
      <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
      temp.eps\n%%Creator: gnuplot 3.8h patchlevel 0\n%%CreationDate: Sun Apr
      \ 6 18:37:14 2003\n%%DocumentFonts: (atend)\n%%BoundingBox: 50 50 410
      302\n%%Orientation: Portrait\n%%EndComments\n/gnudict 256 dict
      def\ngnudict begin\n/Color false def\n/Solid false def\n/gnulinewidth
      5.000 def\n/userlinewidth gnulinewidth def\n/vshift -46 def\n/dl {10.0
      mul} def\n/hpt_ 31.5 def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt vpt_
      def\n/M {moveto} bind def\n/L {lineto} bind def\n/R {rmoveto} bind
      def\n/V {rlineto} bind def\n/N {newpath moveto} bind def\n/f {rlineto
      fill} bind def\n/vpt2 vpt 2 mul def\n/hpt2 hpt 2 mul def\n/Lshow {
      currentpoint stroke M\n \ 0 vshift R show } def\n/Rshow { currentpoint
      stroke M\n \ dup stringwidth pop neg vshift R show } def\n/Cshow {
      currentpoint stroke M\n \ dup stringwidth pop -2 div vshift R show }
      def\n/UP { dup vpt_ mul /vpt exch def hpt_ mul /hpt exch def\n \ /hpt2
      hpt 2 mul def /vpt2 vpt 2 mul def } def\n/DL { Color {setrgbcolor Solid
      {pop []} if 0 setdash }\n {pop pop pop Solid {pop []} if 0 setdash}
      ifelse } def\n/BL { stroke userlinewidth 2 mul setlinewidth } def\n/AL
      { stroke userlinewidth 2 div setlinewidth } def\n/UL { dup gnulinewidth
      mul /userlinewidth exch def\n \ \ \ \ \ dup 1 lt {pop 1} if 10 mul /udl
      exch def } def\n/PL { stroke userlinewidth setlinewidth } def\n/LTb {
      BL [] 0 0 0 DL } def\n/LTa { AL [1 udl mul 2 udl mul] 0 setdash 0 0 0
      setrgbcolor } def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 { PL [4 dl 2 dl] 0
      1 0 DL } def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL } def\n/LT3 { PL [1 dl 1.5
      dl] 1 0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl 2 dl] 0 1 1 DL }
      def\n/LT5 { PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL } def\n/LT6 { PL [2 dl 2
      dl 2 dl 4 dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      1 0.3 0 DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      0.5 0.5 0.5 DL } def\n/Pnt { stroke [] 0 setdash\n \ \ gsave 1
      setlinecap M 0 0 V stroke grestore } def\n/Dia { stroke [] 0 setdash 2
      copy vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt
      neg vpt V closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0 setdash
      vpt sub M 0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg R hpt2
      0 V stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt sub
      exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
      closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt sub
      exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2 neg 0
      R hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy vpt 1.12
      mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      1.62 mul V closepath stroke\n \ Pnt \ } def\n/Star { 2 copy Pls Crs }
      def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V \ closepath fill }
      def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt
      -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath fill
      } def\n/TriD { stroke [] 0 setdash 2 copy vpt 1.12 mul sub M\n \ hpt
      neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V
      closepath stroke\n \ Pnt \ } def\n/TriDF { stroke [] 0 setdash vpt 1.12
      mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      -1.62 mul V closepath fill} def\n/DiaF { stroke [] 0 setdash vpt add
      M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V
      closepath fill } def\n/Pent { stroke [] 0 setdash 2 copy gsave\n
      \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath stroke
      grestore Pnt } def\n/PentF { stroke [] 0 setdash gsave\n \ translate 0
      hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath fill grestore }
      def\n/Circle { stroke [] 0 setdash 2 copy\n \ hpt 0 360 arc stroke Pnt
      } def\n/CircleF { stroke [] 0 setdash hpt 0 360 arc fill } def\n/C0 {
      BL [] 0 setdash 2 copy moveto vpt 90 450 \ arc } bind def\n/C1 { BL []
      0 setdash 2 copy \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C2 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C3 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
      bind def\n/C4 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
      \ vpt 180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 270 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C6 { BL [] 0
      setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 90 270 arc closepath
      fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
      def\n/C7 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 0 270
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
      } bind def\n/C8 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
      copy \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
      moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13 {
      BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
      setdash 2 copy vpt 0 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
      \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
      \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
      bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
      def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
      bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
      def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
      Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch vpt2
      vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy exch vpt
      sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 { BL [] 0
      setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt sub exch
      vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0 setdash 2
      copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare } bind
      def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt vpt2
      Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub vpt Square fill Bsquare
      } bind def\n/S9 { BL [] 0 setdash 2 copy vpt sub vpt vpt2 Rec fill
      Bsquare } bind def\n/S10 { BL [] 0 setdash 2 copy vpt sub vpt Square
      fill 2 copy exch vpt sub exch vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S11 { BL [] 0 setdash 2 copy vpt sub vpt Square fill 2 copy
      exch vpt sub exch vpt2 vpt Rec fill\n \ \ \ \ \ \ Bsquare } bind
      def\n/S12 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt
      Rec fill Bsquare } bind def\n/S13 { BL [] 0 setdash 2 copy exch vpt sub
      exch vpt sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill
      Bsquare } bind def\n/S14 { BL [] 0 setdash 2 copy exch vpt sub exch vpt
      sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square
      fill Bsquare } bind def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill
      Bsquare } bind def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke
      grestore } bind def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke
      grestore } bind def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke
      grestore } bind def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke
      grestore } bind def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke
      grestore } bind def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke
      grestore } bind def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke
      grestore } bind def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke
      grestore } bind def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke
      grestore } bind def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke
      grestore } bind def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke
      grestore } bind def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke
      grestore } bind def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke
      grestore } bind def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke
      grestore } bind def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke
      grestore } bind def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke
      grestore } bind def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg
      vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke }
      def\n/BoxE { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE
      { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke }
      def\n/TriDE { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt
      1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath
      stroke } def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M
      4 {72 rotate 0 hpt L} repeat\n \ closepath stroke grestore }
      def\n/CircE { stroke [] 0 setdash \n \ hpt 0 360 arc stroke }
      def\n/Opaque { gsave closepath 1 setgray fill grestore 0 setgray
      closepath } def\n/DiaW { stroke [] 0 setdash vpt add M\n \ hpt neg vpt
      neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V Opaque stroke }
      def\n/BoxW { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW {
      stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW
      { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW
      { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
      repeat\n \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash
      \n \ hpt 0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray
      fill grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
      makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
      ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0 get
      findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ] exch
      dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch 4 get
      {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n \ \ \ \ {dup 3
      get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5\n
      \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop
      -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get\n
      \ \ \ \ show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop
      pop\n \ \ \ \ pop aload pop M} ifelse }ifelse }ifelse } forall} bind
      def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get findfont exch 1 get
      scalefont\n \ \ \ \ setfont 6 get stringwidth pop add} {pop} ifelse}
      forall} bind def\n/MLshow { currentpoint stroke M\n \ 0 exch R MFshow }
      bind def\n/MRshow { currentpoint stroke M\n \ exch dup MFwidth neg 3 -1
      roll R MFshow } def\n/MCshow { currentpoint stroke M\n \ exch dup
      MFwidth -2 div 3 -1 roll R MFshow } def\nend\n%%EndProlog\ngnudict
      begin\ngsave\n50 50 translate\n0.050 0.050 scale\n0
      setgray\nnewpath\n(Helvetica) findfont 140 scalefont setfont\n1.000
      UL\nLTb\n490 280 M\n63 0 V\n6409 0 R\n-63 0 V\n stroke\n406 280
      M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-30)]\n]
      -46.7 MRshow\ngrestore\n490 854 M\n63 0 V\n6409 0 R\n-63 0 V\n
      stroke\n406 854 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true
      0 (-25)]\n] -46.7 MRshow\ngrestore\n490 1428 M\n63 0 V\n6409 0 R\n-63 0
      V\n stroke\n406 1428 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 (-20)]\n] -46.7 MRshow\ngrestore\n490 2002 M\n63 0 V\n6409 0
      R\n-63 0 V\n stroke\n406 2002 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 (-15)]\n] -46.7 MRshow\ngrestore\n490 2576 M\n63 0
      V\n6409 0 R\n-63 0 V\n stroke\n406 2576 M\ngsave 0 setgray\n[
      [(Helvetica) 140.0 0.0 true true 0 (-10)]\n] -46.7
      MRshow\ngrestore\n490 3150 M\n63 0 V\n6409 0 R\n-63 0 V\n stroke\n406
      3150 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-5)]\n]
      -46.7 MRshow\ngrestore\n490 3724 M\n63 0 V\n6409 0 R\n-63 0 V\n
      stroke\n406 3724 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true
      0 ( 0)]\n] -46.7 MRshow\ngrestore\n490 4298 M\n63 0 V\n6409 0 R\n-63 0
      V\n stroke\n406 4298 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 ( 5)]\n] -46.7 MRshow\ngrestore\n490 4872 M\n63 0 V\n6409 0
      R\n-63 0 V\n stroke\n406 4872 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 ( 10)]\n] -46.7 MRshow\ngrestore\n490 280 M\n0 63 V\n0
      4529 R\n0 -63 V\n stroke\n490 140 M\ngsave 0 setgray\n[ [(Helvetica)
      140.0 0.0 true true 0 (-10)]\n] -46.7 MCshow\ngrestore\n2108 280 M\n0
      63 V\n0 4529 R\n0 -63 V\n stroke\n2108 140 M\ngsave 0 setgray\n[
      [(Helvetica) 140.0 0.0 true true 0 (-5)]\n] -46.7
      MCshow\ngrestore\n3726 280 M\n0 63 V\n0 4529 R\n0 -63 V\n stroke\n3726
      140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 0)]\n]
      -46.7 MCshow\ngrestore\n5344 280 M\n0 63 V\n0 4529 R\n0 -63 V\n
      stroke\n5344 140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true
      0 ( 5)]\n] -46.7 MCshow\ngrestore\n6962 280 M\n0 63 V\n0 4529 R\n0 -63
      V\n stroke\n6962 140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 ( 10)]\n] -46.7 MCshow\ngrestore\n1.000 UL\nLTb\n490 280 M\n6472
      0 V\n0 4592 V\n-6472 0 V\n490 280 L\n1.000 UP\n1.000 UL\nLT0\n6311 4739
      M\ngsave 0 setgray\n(x*\\(abs\\(\\(x-4\\)/\\(x+4\\)\\)\\)**\\(1./2.\\))
      Rshow\ngrestore\n6395 4739 M\n399 0 V\n490 1970 M\n65 19 V\n66 18 V\n65
      18 V\n65 17 V\n66 17 V\n65 16 V\n66 16 V\n65 15 V\n65 15 V\n66 14 V\n65
      12 V\n65 12 V\n66 11 V\n65 9 V\n66 7 V\n65 6 V\n65 2 V\n66 0 V\n65 -4
      V\n65 -8 V\n66 -15 V\n65 -24 V\n66 -35 V\n65 -51 V\n65 -77 V\n66 -120
      V\n65 -201 V\n65 -393 V\n197 129 R\n65 695 V\n65 365 V\n66 239 V\n65
      175 V\n65 135 V\n66 110 V\n65 92 V\n66 78 V\n65 68 V\n65 60 V\n66 53
      V\n65 47 V\n65 42 V\n66 38 V\n65 35 V\n66 31 V\n65 28 V\n65 26 V\n66 23
      V\n65 21 V\n65 19 V\n66 17 V\n65 15 V\n66 13 V\n65 11 V\n65 10 V\n66 8
      V\n65 6 V\n65 4 V\n66 2 V\n65 1 V\n66 -2 V\n65 -4 V\n65 -7 V\n66 -10
      V\n65 -14 V\n65 -22 V\n66 -39 V\n65 23 V\n66 38 V\n65 31 V\n65 27 V\n66
      26 V\n65 25 V\n65 24 V\n66 23 V\n65 24 V\n66 22 V\n65 23 V\n65 23 V\n66
      22 V\n65 23 V\n65 22 V\n66 23 V\n65 22 V\n66 22 V\n65 23 V\n65 22 V\n66
      22 V\n65 23 V\n65 22 V\n66 22 V\n65 23 V\n66 22 V\n65 22 V\n65 23 V\n66
      22 V\n65 23 V\n1.000 UP\nstroke\ngrestore\nend\nshowpage\n%%Trailer\n%%DocumentFonts:
      Helvetica\n>|ps>||||||>

      \;
    </output>

    <\input|GNUplot] >
      \;
    </input>

    \;

    <\input|GNUplot] >
      set key left ~set xlabel 'x:[cm]' ~ plot [-pi/2:pi/2] x+sin(x)
    </input>

    <\output>
      <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
      temp.eps\n%%Creator: gnuplot 3.8h patchlevel 0\n%%CreationDate: Sun Apr
      \ 6 12:34:51 2003\n%%DocumentFonts: (atend)\n%%BoundingBox: 50 50 410
      302\n%%Orientation: Portrait\n%%EndComments\n/gnudict 256 dict
      def\ngnudict begin\n/Color false def\n/Solid false def\n/gnulinewidth
      5.000 def\n/userlinewidth gnulinewidth def\n/vshift -46 def\n/dl {10.0
      mul} def\n/hpt_ 31.5 def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt vpt_
      def\n/M {moveto} bind def\n/L {lineto} bind def\n/R {rmoveto} bind
      def\n/V {rlineto} bind def\n/N {newpath moveto} bind def\n/f {rlineto
      fill} bind def\n/vpt2 vpt 2 mul def\n/hpt2 hpt 2 mul def\n/Lshow {
      currentpoint stroke M\n \ 0 vshift R show } def\n/Rshow { currentpoint
      stroke M\n \ dup stringwidth pop neg vshift R show } def\n/Cshow {
      currentpoint stroke M\n \ dup stringwidth pop -2 div vshift R show }
      def\n/UP { dup vpt_ mul /vpt exch def hpt_ mul /hpt exch def\n \ /hpt2
      hpt 2 mul def /vpt2 vpt 2 mul def } def\n/DL { Color {setrgbcolor Solid
      {pop []} if 0 setdash }\n {pop pop pop Solid {pop []} if 0 setdash}
      ifelse } def\n/BL { stroke userlinewidth 2 mul setlinewidth } def\n/AL
      { stroke userlinewidth 2 div setlinewidth } def\n/UL { dup gnulinewidth
      mul /userlinewidth exch def\n \ \ \ \ \ dup 1 lt {pop 1} if 10 mul /udl
      exch def } def\n/PL { stroke userlinewidth setlinewidth } def\n/LTb {
      BL [] 0 0 0 DL } def\n/LTa { AL [1 udl mul 2 udl mul] 0 setdash 0 0 0
      setrgbcolor } def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 { PL [4 dl 2 dl] 0
      1 0 DL } def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL } def\n/LT3 { PL [1 dl 1.5
      dl] 1 0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl 2 dl] 0 1 1 DL }
      def\n/LT5 { PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL } def\n/LT6 { PL [2 dl 2
      dl 2 dl 4 dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      1 0.3 0 DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      0.5 0.5 0.5 DL } def\n/Pnt { stroke [] 0 setdash\n \ \ gsave 1
      setlinecap M 0 0 V stroke grestore } def\n/Dia { stroke [] 0 setdash 2
      copy vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt
      neg vpt V closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0 setdash
      vpt sub M 0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg R hpt2
      0 V stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt sub
      exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
      closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt sub
      exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2 neg 0
      R hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy vpt 1.12
      mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      1.62 mul V closepath stroke\n \ Pnt \ } def\n/Star { 2 copy Pls Crs }
      def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V \ closepath fill }
      def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt
      -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath fill
      } def\n/TriD { stroke [] 0 setdash 2 copy vpt 1.12 mul sub M\n \ hpt
      neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V
      closepath stroke\n \ Pnt \ } def\n/TriDF { stroke [] 0 setdash vpt 1.12
      mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      -1.62 mul V closepath fill} def\n/DiaF { stroke [] 0 setdash vpt add
      M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V
      closepath fill } def\n/Pent { stroke [] 0 setdash 2 copy gsave\n
      \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath stroke
      grestore Pnt } def\n/PentF { stroke [] 0 setdash gsave\n \ translate 0
      hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath fill grestore }
      def\n/Circle { stroke [] 0 setdash 2 copy\n \ hpt 0 360 arc stroke Pnt
      } def\n/CircleF { stroke [] 0 setdash hpt 0 360 arc fill } def\n/C0 {
      BL [] 0 setdash 2 copy moveto vpt 90 450 \ arc } bind def\n/C1 { BL []
      0 setdash 2 copy \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C2 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C3 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
      bind def\n/C4 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
      \ vpt 180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 270 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C6 { BL [] 0
      setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 90 270 arc closepath
      fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
      def\n/C7 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 0 270
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
      } bind def\n/C8 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
      copy \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
      moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13 {
      BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
      setdash 2 copy vpt 0 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
      \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
      \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
      bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
      def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
      bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
      def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
      Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch vpt2
      vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy exch vpt
      sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 { BL [] 0
      setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt sub exch
      vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0 setdash 2
      copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare } bind
      def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt vpt2
      Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub vpt Square fill Bsquare
      } bind def\n/S9 { BL [] 0 setdash 2 copy vpt sub vpt vpt2 Rec fill
      Bsquare } bind def\n/S10 { BL [] 0 setdash 2 copy vpt sub vpt Square
      fill 2 copy exch vpt sub exch vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S11 { BL [] 0 setdash 2 copy vpt sub vpt Square fill 2 copy
      exch vpt sub exch vpt2 vpt Rec fill\n \ \ \ \ \ \ Bsquare } bind
      def\n/S12 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt
      Rec fill Bsquare } bind def\n/S13 { BL [] 0 setdash 2 copy exch vpt sub
      exch vpt sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill
      Bsquare } bind def\n/S14 { BL [] 0 setdash 2 copy exch vpt sub exch vpt
      sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square
      fill Bsquare } bind def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill
      Bsquare } bind def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke
      grestore } bind def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke
      grestore } bind def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke
      grestore } bind def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke
      grestore } bind def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke
      grestore } bind def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke
      grestore } bind def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke
      grestore } bind def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke
      grestore } bind def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke
      grestore } bind def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke
      grestore } bind def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke
      grestore } bind def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke
      grestore } bind def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke
      grestore } bind def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke
      grestore } bind def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke
      grestore } bind def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke
      grestore } bind def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg
      vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke }
      def\n/BoxE { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE
      { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke }
      def\n/TriDE { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt
      1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath
      stroke } def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M
      4 {72 rotate 0 hpt L} repeat\n \ closepath stroke grestore }
      def\n/CircE { stroke [] 0 setdash \n \ hpt 0 360 arc stroke }
      def\n/Opaque { gsave closepath 1 setgray fill grestore 0 setgray
      closepath } def\n/DiaW { stroke [] 0 setdash vpt add M\n \ hpt neg vpt
      neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V Opaque stroke }
      def\n/BoxW { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW {
      stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW
      { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW
      { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
      repeat\n \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash
      \n \ hpt 0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray
      fill grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
      makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
      ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0 get
      findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ] exch
      dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch 4 get
      {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n \ \ \ \ {dup 3
      get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5\n
      \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop
      -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get\n
      \ \ \ \ show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop
      pop\n \ \ \ \ pop aload pop M} ifelse }ifelse }ifelse } forall} bind
      def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get findfont exch 1 get
      scalefont\n \ \ \ \ setfont 6 get stringwidth pop add} {pop} ifelse}
      forall} bind def\n/MLshow { currentpoint stroke M\n \ 0 exch R MFshow }
      bind def\n/MRshow { currentpoint stroke M\n \ exch dup MFwidth neg 3 -1
      roll R MFshow } def\n/MCshow { currentpoint stroke M\n \ exch dup
      MFwidth -2 div 3 -1 roll R MFshow } def\nend\n%%EndProlog\ngnudict
      begin\ngsave\n50 50 translate\n0.050 0.050 scale\n0
      setgray\nnewpath\n(Helvetica) findfont 140 scalefont setfont\n1.000
      UL\nLTb\n406 420 M\n63 0 V\n6493 0 R\n-63 0 V\n stroke\n322 420
      M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-3)]\n] -46.7
      MRshow\ngrestore\n406 1162 M\n63 0 V\n6493 0 R\n-63 0 V\n stroke\n322
      1162 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-2)]\n]
      -46.7 MRshow\ngrestore\n406 1904 M\n63 0 V\n6493 0 R\n-63 0 V\n
      stroke\n322 1904 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true
      0 (-1)]\n] -46.7 MRshow\ngrestore\n406 2646 M\n63 0 V\n6493 0 R\n-63 0
      V\n stroke\n322 2646 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 ( 0)]\n] -46.7 MRshow\ngrestore\n406 3388 M\n63 0 V\n6493 0
      R\n-63 0 V\n stroke\n322 3388 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 ( 1)]\n] -46.7 MRshow\ngrestore\n406 4130 M\n63 0
      V\n6493 0 R\n-63 0 V\n stroke\n322 4130 M\ngsave 0 setgray\n[
      [(Helvetica) 140.0 0.0 true true 0 ( 2)]\n] -46.7 MRshow\ngrestore\n406
      4872 M\n63 0 V\n6493 0 R\n-63 0 V\n stroke\n322 4872 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 3)]\n] -46.7
      MRshow\ngrestore\n554 420 M\n0 63 V\n0 4389 R\n0 -63 V\n stroke\n554
      280 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-1.5)]\n]
      -46.7 MCshow\ngrestore\n1597 420 M\n0 63 V\n0 4389 R\n0 -63 V\n
      stroke\n1597 280 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true
      0 (-1)]\n] -46.7 MCshow\ngrestore\n2641 420 M\n0 63 V\n0 4389 R\n0 -63
      V\n stroke\n2641 280 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 (-0.5)]\n] -46.7 MCshow\ngrestore\n3684 420 M\n0 63 V\n0 4389
      R\n0 -63 V\n stroke\n3684 280 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 ( 0)]\n] -46.7 MCshow\ngrestore\n4727 420 M\n0 63 V\n0
      4389 R\n0 -63 V\n stroke\n4727 280 M\ngsave 0 setgray\n[ [(Helvetica)
      140.0 0.0 true true 0 ( 0.5)]\n] -46.7 MCshow\ngrestore\n5771 420 M\n0
      63 V\n0 4389 R\n0 -63 V\n stroke\n5771 280 M\ngsave 0 setgray\n[
      [(Helvetica) 140.0 0.0 true true 0 ( 1)]\n] -46.7
      MCshow\ngrestore\n6814 420 M\n0 63 V\n0 4389 R\n0 -63 V\n stroke\n6814
      280 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 1.5)]\n]
      -46.7 MCshow\ngrestore\n1.000 UL\nLTb\n406 420 M\n6556 0 V\n0 4452
      V\n-6556 0 V\n406 420 L\n stroke\n3684 70 M\ngsave 0 setgray\n[
      [(Helvetica) 140.0 0.0 true true 0 (x:[cm])]\n] -46.7
      MCshow\ngrestore\n1.000 UP\n1.000 UL\nLT0\n1162 4739 M\ngsave 0
      setgray\n(x+sin\\(x\\)) Rshow\ngrestore\n1246 4739 M\n399 0 V\n406 738
      M\n66 24 V\n66 25 V\n67 25 V\n66 27 V\n66 27 V\n66 27 V\n67 29 V\n66 29
      V\n66 29 V\n66 31 V\n66 31 V\n67 32 V\n66 33 V\n66 33 V\n66 34 V\n67 35
      V\n66 35 V\n66 36 V\n66 37 V\n66 37 V\n67 38 V\n66 38 V\n66 39 V\n66 40
      V\n67 40 V\n66 40 V\n66 41 V\n66 42 V\n66 42 V\n67 42 V\n66 43 V\n66 44
      V\n66 43 V\n67 45 V\n66 44 V\n66 45 V\n66 45 V\n66 45 V\n67 46 V\n66 46
      V\n66 46 V\n66 46 V\n67 47 V\n66 47 V\n66 46 V\n66 47 V\n66 47 V\n67 47
      V\n66 47 V\n66 48 V\n66 47 V\n67 47 V\n66 47 V\n66 47 V\n66 46 V\n66 47
      V\n67 47 V\n66 46 V\n66 46 V\n66 46 V\n67 46 V\n66 45 V\n66 45 V\n66 45
      V\n66 44 V\n67 45 V\n66 43 V\n66 44 V\n66 43 V\n67 42 V\n66 42 V\n66 42
      V\n66 41 V\n66 40 V\n67 40 V\n66 40 V\n66 39 V\n66 38 V\n67 38 V\n66 37
      V\n66 37 V\n66 36 V\n66 35 V\n67 35 V\n66 34 V\n66 33 V\n66 33 V\n67 32
      V\n66 31 V\n66 31 V\n66 29 V\n66 29 V\n67 29 V\n66 27 V\n66 27 V\n66 27
      V\n67 25 V\n66 25 V\n66 24 V\n1.000
      UP\nstroke\ngrestore\nend\nshowpage\n%%Trailer\n%%DocumentFonts:
      Helvetica\n>|ps>||||||>

      \;
    </output>

    <\input|GNUplot] >
      set xlabel 'x:[cm]' ~ plot sin(x)
    </input>

    <\output>
      <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
      temp.eps\n%%Creator: gnuplot 3.8h patchlevel 0\n%%CreationDate: Thu Feb
      20 22:05:38 2003\n%%DocumentFonts: (atend)\n%%BoundingBox: 50 50 410
      302\n%%Orientation: Portrait\n%%EndComments\n/gnudict 256 dict
      def\ngnudict begin\n/Color false def\n/Solid false def\n/gnulinewidth
      5.000 def\n/userlinewidth gnulinewidth def\n/vshift -46 def\n/dl {10.0
      mul} def\n/hpt_ 31.5 def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt vpt_
      def\n/M {moveto} bind def\n/L {lineto} bind def\n/R {rmoveto} bind
      def\n/V {rlineto} bind def\n/N {newpath moveto} bind def\n/f {rlineto
      fill} bind def\n/vpt2 vpt 2 mul def\n/hpt2 hpt 2 mul def\n/Lshow {
      currentpoint stroke M\n \ 0 vshift R show } def\n/Rshow { currentpoint
      stroke M\n \ dup stringwidth pop neg vshift R show } def\n/Cshow {
      currentpoint stroke M\n \ dup stringwidth pop -2 div vshift R show }
      def\n/UP { dup vpt_ mul /vpt exch def hpt_ mul /hpt exch def\n \ /hpt2
      hpt 2 mul def /vpt2 vpt 2 mul def } def\n/DL { Color {setrgbcolor Solid
      {pop []} if 0 setdash }\n {pop pop pop Solid {pop []} if 0 setdash}
      ifelse } def\n/BL { stroke userlinewidth 2 mul setlinewidth } def\n/AL
      { stroke userlinewidth 2 div setlinewidth } def\n/UL { dup gnulinewidth
      mul /userlinewidth exch def\n \ \ \ \ \ dup 1 lt {pop 1} if 10 mul /udl
      exch def } def\n/PL { stroke userlinewidth setlinewidth } def\n/LTb {
      BL [] 0 0 0 DL } def\n/LTa { AL [1 udl mul 2 udl mul] 0 setdash 0 0 0
      setrgbcolor } def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 { PL [4 dl 2 dl] 0
      1 0 DL } def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL } def\n/LT3 { PL [1 dl 1.5
      dl] 1 0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl 2 dl] 0 1 1 DL }
      def\n/LT5 { PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL } def\n/LT6 { PL [2 dl 2
      dl 2 dl 4 dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      1 0.3 0 DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      0.5 0.5 0.5 DL } def\n/Pnt { stroke [] 0 setdash\n \ \ gsave 1
      setlinecap M 0 0 V stroke grestore } def\n/Dia { stroke [] 0 setdash 2
      copy vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt
      neg vpt V closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0 setdash
      vpt sub M 0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg R hpt2
      0 V stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt sub
      exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
      closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt sub
      exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2 neg 0
      R hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy vpt 1.12
      mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      1.62 mul V closepath stroke\n \ Pnt \ } def\n/Star { 2 copy Pls Crs }
      def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V \ closepath fill }
      def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt
      -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath fill
      } def\n/TriD { stroke [] 0 setdash 2 copy vpt 1.12 mul sub M\n \ hpt
      neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V
      closepath stroke\n \ Pnt \ } def\n/TriDF { stroke [] 0 setdash vpt 1.12
      mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      -1.62 mul V closepath fill} def\n/DiaF { stroke [] 0 setdash vpt add
      M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V
      closepath fill } def\n/Pent { stroke [] 0 setdash 2 copy gsave\n
      \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath stroke
      grestore Pnt } def\n/PentF { stroke [] 0 setdash gsave\n \ translate 0
      hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath fill grestore }
      def\n/Circle { stroke [] 0 setdash 2 copy\n \ hpt 0 360 arc stroke Pnt
      } def\n/CircleF { stroke [] 0 setdash hpt 0 360 arc fill } def\n/C0 {
      BL [] 0 setdash 2 copy moveto vpt 90 450 \ arc } bind def\n/C1 { BL []
      0 setdash 2 copy \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C2 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C3 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
      bind def\n/C4 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
      \ vpt 180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 270 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C6 { BL [] 0
      setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 90 270 arc closepath
      fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
      def\n/C7 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 0 270
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
      } bind def\n/C8 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
      copy \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
      moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13 {
      BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
      setdash 2 copy vpt 0 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
      \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
      \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
      bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
      def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
      bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
      def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
      Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch vpt2
      vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy exch vpt
      sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 { BL [] 0
      setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt sub exch
      vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0 setdash 2
      copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare } bind
      def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt vpt2
      Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub vpt Square fill Bsquare
      } bind def\n/S9 { BL [] 0 setdash 2 copy vpt sub vpt vpt2 Rec fill
      Bsquare } bind def\n/S10 { BL [] 0 setdash 2 copy vpt sub vpt Square
      fill 2 copy exch vpt sub exch vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S11 { BL [] 0 setdash 2 copy vpt sub vpt Square fill 2 copy
      exch vpt sub exch vpt2 vpt Rec fill\n \ \ \ \ \ \ Bsquare } bind
      def\n/S12 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt
      Rec fill Bsquare } bind def\n/S13 { BL [] 0 setdash 2 copy exch vpt sub
      exch vpt sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill
      Bsquare } bind def\n/S14 { BL [] 0 setdash 2 copy exch vpt sub exch vpt
      sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square
      fill Bsquare } bind def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill
      Bsquare } bind def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke
      grestore } bind def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke
      grestore } bind def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke
      grestore } bind def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke
      grestore } bind def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke
      grestore } bind def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke
      grestore } bind def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke
      grestore } bind def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke
      grestore } bind def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke
      grestore } bind def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke
      grestore } bind def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke
      grestore } bind def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke
      grestore } bind def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke
      grestore } bind def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke
      grestore } bind def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke
      grestore } bind def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke
      grestore } bind def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg
      vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke }
      def\n/BoxE { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE
      { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke }
      def\n/TriDE { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt
      1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath
      stroke } def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M
      4 {72 rotate 0 hpt L} repeat\n \ closepath stroke grestore }
      def\n/CircE { stroke [] 0 setdash \n \ hpt 0 360 arc stroke }
      def\n/Opaque { gsave closepath 1 setgray fill grestore 0 setgray
      closepath } def\n/DiaW { stroke [] 0 setdash vpt add M\n \ hpt neg vpt
      neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V Opaque stroke }
      def\n/BoxW { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW {
      stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW
      { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW
      { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
      repeat\n \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash
      \n \ hpt 0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray
      fill grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
      makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
      ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0 get
      findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ] exch
      dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch 4 get
      {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n \ \ \ \ {dup 3
      get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5\n
      \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop
      -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get\n
      \ \ \ \ show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop
      pop\n \ \ \ \ pop aload pop M} ifelse }ifelse }ifelse } forall} bind
      def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get findfont exch 1 get
      scalefont\n \ \ \ \ setfont 6 get stringwidth pop add} {pop} ifelse}
      forall} bind def\n/MLshow { currentpoint stroke M\n \ 0 exch R MFshow }
      bind def\n/MRshow { currentpoint stroke M\n \ exch dup MFwidth neg 3 -1
      roll R MFshow } def\n/MCshow { currentpoint stroke M\n \ exch dup
      MFwidth -2 div 3 -1 roll R MFshow } def\nend\n%%EndProlog\ngnudict
      begin\ngsave\n50 50 translate\n0.050 0.050 scale\n0
      setgray\nnewpath\n(Helvetica) findfont 140 scalefont setfont\n1.000
      UL\nLTb\n574 420 M\n63 0 V\n6325 0 R\n-63 0 V\n stroke\n490 420
      M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-1)]\n] -46.7
      MRshow\ngrestore\n574 865 M\n63 0 V\n6325 0 R\n-63 0 V\n stroke\n490
      865 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-0.8)]\n]
      -46.7 MRshow\ngrestore\n574 1310 M\n63 0 V\n6325 0 R\n-63 0 V\n
      stroke\n490 1310 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true
      0 (-0.6)]\n] -46.7 MRshow\ngrestore\n574 1756 M\n63 0 V\n6325 0 R\n-63
      0 V\n stroke\n490 1756 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0
      true true 0 (-0.4)]\n] -46.7 MRshow\ngrestore\n574 2201 M\n63 0 V\n6325
      0 R\n-63 0 V\n stroke\n490 2201 M\ngsave 0 setgray\n[ [(Helvetica)
      140.0 0.0 true true 0 (-0.2)]\n] -46.7 MRshow\ngrestore\n574 2646 M\n63
      0 V\n6325 0 R\n-63 0 V\n stroke\n490 2646 M\ngsave 0 setgray\n[
      [(Helvetica) 140.0 0.0 true true 0 ( 0)]\n] -46.7 MRshow\ngrestore\n574
      3091 M\n63 0 V\n6325 0 R\n-63 0 V\n stroke\n490 3091 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 0.2)]\n] -46.7
      MRshow\ngrestore\n574 3536 M\n63 0 V\n6325 0 R\n-63 0 V\n stroke\n490
      3536 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (
      0.4)]\n] -46.7 MRshow\ngrestore\n574 3982 M\n63 0 V\n6325 0 R\n-63 0
      V\n stroke\n490 3982 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 ( 0.6)]\n] -46.7 MRshow\ngrestore\n574 4427 M\n63 0 V\n6325 0
      R\n-63 0 V\n stroke\n490 4427 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 ( 0.8)]\n] -46.7 MRshow\ngrestore\n574 4872 M\n63 0
      V\n6325 0 R\n-63 0 V\n stroke\n490 4872 M\ngsave 0 setgray\n[
      [(Helvetica) 140.0 0.0 true true 0 ( 1)]\n] -46.7 MRshow\ngrestore\n574
      420 M\n0 63 V\n0 4389 R\n0 -63 V\n stroke\n574 280 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-10)]\n] -46.7
      MCshow\ngrestore\n2171 420 M\n0 63 V\n0 4389 R\n0 -63 V\n stroke\n2171
      280 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-5)]\n]
      -46.7 MCshow\ngrestore\n3768 420 M\n0 63 V\n0 4389 R\n0 -63 V\n
      stroke\n3768 280 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true
      0 ( 0)]\n] -46.7 MCshow\ngrestore\n5365 420 M\n0 63 V\n0 4389 R\n0 -63
      V\n stroke\n5365 280 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 ( 5)]\n] -46.7 MCshow\ngrestore\n6962 420 M\n0 63 V\n0 4389 R\n0
      -63 V\n stroke\n6962 280 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0
      true true 0 ( 10)]\n] -46.7 MCshow\ngrestore\n1.000 UL\nLTb\n574 420
      M\n6388 0 V\n0 4452 V\n-6388 0 V\n574 420 L\n stroke\n3768 70 M\ngsave
      0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (x:[cm])]\n] -46.7
      MCshow\ngrestore\n1.000 UP\n1.000 UL\nLT0\n6311 4739 M\ngsave 0
      setgray\n(sin\\(x\\)) Rshow\ngrestore\n6395 4739 M\n399 0 V\n574 3857
      M\n65 -399 V\n64 -433 V\n65 -448 V\n64 -445 V\n65 -424 V\n64 -386 V\n65
      -332 V\n64 -265 V\n65 -186 V\n64 -101 V\n65 -12 V\n64 80 V\n65 166
      V\n64 246 V\n65 317 V\n64 374 V\n65 417 V\n64 441 V\n65 449 V\n65 438
      V\n64 409 V\n65 364 V\n64 303 V\n65 231 V\n64 149 V\n65 61 V\n64 -30
      V\n65 -119 V\n64 -203 V\n65 -280 V\n64 -344 V\n65 -395 V\n64 -430 V\n65
      -447 V\n64 -446 V\n65 -427 V\n64 -391 V\n65 -338 V\n64 -272 V\n65 -195
      V\n65 -110 V\n64 -21 V\n65 70 V\n64 158 V\n65 239 V\n64 310 V\n65 369
      V\n64 413 V\n65 440 V\n64 448 V\n65 440 V\n64 413 V\n65 369 V\n64 310
      V\n65 239 V\n64 158 V\n65 70 V\n64 -21 V\n65 -110 V\n65 -195 V\n64 -272
      V\n65 -338 V\n64 -391 V\n65 -427 V\n64 -446 V\n65 -447 V\n64 -430 V\n65
      -395 V\n64 -344 V\n65 -280 V\n64 -203 V\n65 -119 V\n64 -30 V\n65 61
      V\n64 149 V\n65 231 V\n64 303 V\n65 364 V\n64 409 V\n65 438 V\n65 449
      V\n64 441 V\n65 417 V\n64 374 V\n65 317 V\n64 246 V\n65 166 V\n64 80
      V\n65 -12 V\n64 -101 V\n65 -186 V\n64 -265 V\n65 -332 V\n64 -386 V\n65
      -424 V\n64 -445 V\n65 -448 V\n64 -433 V\n65 -399 V\n1.000
      UP\nstroke\ngrestore\nend\nshowpage\n%%Trailer\n%%DocumentFonts:
      Helvetica\n>|ps>||||||>

      \;
    </output>

    <\input|GNUplot] >
      set pm3d hidden 100 ~set style line 100 lt 3
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~set nosurface
      ~set size 0.7,1 ~set view 80,180,1,1 \ ~set noborder
      \ \ \ \ \ \ \ \ \ \ \ \ ~set noxtics ~set noytics ~set noztics ~set
      parametric ~set samples 36 \ \ \ \ \ \ \ ~set isosamples 20,36 ~set
      ticslevel 0 \ \ ~set nocolorbox \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~set
      urange [0:pi] ~set vrange [0:2*pi] \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~splot
      sin(u)*cos(v),sin(u)*sin(v),cos(u)
    </input>

    <\output>
      <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
      temp.eps\n%%Creator: gnuplot 3.8h patchlevel 0\n%%CreationDate: Mon Mar
      31 07:27:25 2003\n%%DocumentFonts: (atend)\n%%BoundingBox: 50 50 301
      302\n%%Orientation: Portrait\n%%EndComments\n/gnudict 256 dict
      def\ngnudict begin\n/Color false def\n/Solid false def\n/gnulinewidth
      5.000 def\n/userlinewidth gnulinewidth def\n/vshift -46 def\n/dl {10.0
      mul} def\n/hpt_ 31.5 def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt vpt_
      def\n/M {moveto} bind def\n/L {lineto} bind def\n/R {rmoveto} bind
      def\n/V {rlineto} bind def\n/N {newpath moveto} bind def\n/f {rlineto
      fill} bind def\n/vpt2 vpt 2 mul def\n/hpt2 hpt 2 mul def\n/Lshow {
      currentpoint stroke M\n \ 0 vshift R show } def\n/Rshow { currentpoint
      stroke M\n \ dup stringwidth pop neg vshift R show } def\n/Cshow {
      currentpoint stroke M\n \ dup stringwidth pop -2 div vshift R show }
      def\n/UP { dup vpt_ mul /vpt exch def hpt_ mul /hpt exch def\n \ /hpt2
      hpt 2 mul def /vpt2 vpt 2 mul def } def\n/DL { Color {setrgbcolor Solid
      {pop []} if 0 setdash }\n {pop pop pop Solid {pop []} if 0 setdash}
      ifelse } def\n/BL { stroke userlinewidth 2 mul setlinewidth } def\n/AL
      { stroke userlinewidth 2 div setlinewidth } def\n/UL { dup gnulinewidth
      mul /userlinewidth exch def\n \ \ \ \ \ dup 1 lt {pop 1} if 10 mul /udl
      exch def } def\n/PL { stroke userlinewidth setlinewidth } def\n/LTb {
      BL [] 0 0 0 DL } def\n/LTa { AL [1 udl mul 2 udl mul] 0 setdash 0 0 0
      setrgbcolor } def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 { PL [4 dl 2 dl] 0
      1 0 DL } def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL } def\n/LT3 { PL [1 dl 1.5
      dl] 1 0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl 2 dl] 0 1 1 DL }
      def\n/LT5 { PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL } def\n/LT6 { PL [2 dl 2
      dl 2 dl 4 dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      1 0.3 0 DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      0.5 0.5 0.5 DL } def\n/Pnt { stroke [] 0 setdash\n \ \ gsave 1
      setlinecap M 0 0 V stroke grestore } def\n/Dia { stroke [] 0 setdash 2
      copy vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt
      neg vpt V closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0 setdash
      vpt sub M 0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg R hpt2
      0 V stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt sub
      exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
      closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt sub
      exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2 neg 0
      R hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy vpt 1.12
      mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      1.62 mul V closepath stroke\n \ Pnt \ } def\n/Star { 2 copy Pls Crs }
      def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V \ closepath fill }
      def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt
      -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath fill
      } def\n/TriD { stroke [] 0 setdash 2 copy vpt 1.12 mul sub M\n \ hpt
      neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V
      closepath stroke\n \ Pnt \ } def\n/TriDF { stroke [] 0 setdash vpt 1.12
      mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      -1.62 mul V closepath fill} def\n/DiaF { stroke [] 0 setdash vpt add
      M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V
      closepath fill } def\n/Pent { stroke [] 0 setdash 2 copy gsave\n
      \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath stroke
      grestore Pnt } def\n/PentF { stroke [] 0 setdash gsave\n \ translate 0
      hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath fill grestore }
      def\n/Circle { stroke [] 0 setdash 2 copy\n \ hpt 0 360 arc stroke Pnt
      } def\n/CircleF { stroke [] 0 setdash hpt 0 360 arc fill } def\n/C0 {
      BL [] 0 setdash 2 copy moveto vpt 90 450 \ arc } bind def\n/C1 { BL []
      0 setdash 2 copy \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C2 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C3 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
      bind def\n/C4 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
      \ vpt 180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 270 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C6 { BL [] 0
      setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 90 270 arc closepath
      fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
      def\n/C7 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 0 270
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
      } bind def\n/C8 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
      copy \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
      moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13 {
      BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
      setdash 2 copy vpt 0 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
      \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
      \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
      bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
      def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
      bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
      def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
      Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch vpt2
      vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy exch vpt
      sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 { BL [] 0
      setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt sub exch
      vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0 setdash 2
      copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare } bind
      def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt vpt2
      Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub vpt Square fill Bsquare
      } bind def\n/S9 { BL [] 0 setdash 2 copy vpt sub vpt vpt2 Rec fill
      Bsquare } bind def\n/S10 { BL [] 0 setdash 2 copy vpt sub vpt Square
      fill 2 copy exch vpt sub exch vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S11 { BL [] 0 setdash 2 copy vpt sub vpt Square fill 2 copy
      exch vpt sub exch vpt2 vpt Rec fill\n \ \ \ \ \ \ Bsquare } bind
      def\n/S12 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt
      Rec fill Bsquare } bind def\n/S13 { BL [] 0 setdash 2 copy exch vpt sub
      exch vpt sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill
      Bsquare } bind def\n/S14 { BL [] 0 setdash 2 copy exch vpt sub exch vpt
      sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square
      fill Bsquare } bind def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill
      Bsquare } bind def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke
      grestore } bind def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke
      grestore } bind def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke
      grestore } bind def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke
      grestore } bind def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke
      grestore } bind def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke
      grestore } bind def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke
      grestore } bind def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke
      grestore } bind def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke
      grestore } bind def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke
      grestore } bind def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke
      grestore } bind def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke
      grestore } bind def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke
      grestore } bind def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke
      grestore } bind def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke
      grestore } bind def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke
      grestore } bind def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg
      vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke }
      def\n/BoxE { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE
      { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke }
      def\n/TriDE { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt
      1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath
      stroke } def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M
      4 {72 rotate 0 hpt L} repeat\n \ closepath stroke grestore }
      def\n/CircE { stroke [] 0 setdash \n \ hpt 0 360 arc stroke }
      def\n/Opaque { gsave closepath 1 setgray fill grestore 0 setgray
      closepath } def\n/DiaW { stroke [] 0 setdash vpt add M\n \ hpt neg vpt
      neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V Opaque stroke }
      def\n/BoxW { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW {
      stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW
      { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW
      { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
      repeat\n \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash
      \n \ hpt 0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray
      fill grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
      makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
      ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0 get
      findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ] exch
      dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch 4 get
      {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n \ \ \ \ {dup 3
      get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5\n
      \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop
      -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get\n
      \ \ \ \ show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop
      pop\n \ \ \ \ pop aload pop M} ifelse }ifelse }ifelse } forall} bind
      def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get findfont exch 1 get
      scalefont\n \ \ \ \ setfont 6 get stringwidth pop add} {pop} ifelse}
      forall} bind def\n/MLshow { currentpoint stroke M\n \ 0 exch R MFshow }
      bind def\n/MRshow { currentpoint stroke M\n \ exch dup MFwidth neg 3 -1
      roll R MFshow } def\n/MCshow { currentpoint stroke M\n \ exch dup
      MFwidth -2 div 3 -1 roll R MFshow } def\nend\n%%EndProlog\ngnudict
      begin\ngsave\n50 50 translate\n0.050 0.050 scale\n0
      setgray\nnewpath\n(Helvetica) findfont 140 scalefont setfont\n1.000
      UL\nLTb\ngsave %% colour palette begin\n/maxcolors 0
      def\n/maxcolorsLast {maxcolors 1 sub maxcolors div} def\n/pm3dround
      {maxcolors 0 gt {dup maxcolorsLast ge {pop 1} {maxcolors mul floor
      maxcolors div} ifelse} if} def\n/cF7 {sqrt} bind def\t% sqrt(x)\n/cF5
      {dup dup mul mul} bind def\t% x^3\n/cF15 {360 mul sin} bind def\t%
      sin(360x)\nColor true and { % COLOUR vs. GRAY map\n \ /g {stroke
      pm3dround dup cF7 exch dup cF5 exch cF15 setrgbcolor} bind def\n \ /h
      {rlineto rlineto rlineto fill} bind def\n}{\n \ /g {stroke pm3dround
      setgray} bind def\n \ /h {rlineto rlineto rlineto fill} bind def\n}
      ifelse\n%pm3d_map_begin\n.001 g 2404 1335 N 0 0 116 -9 1 4 h\n1.000
      UP\n1.000 UL\nLT2\n2404 1335 M\n117 -5 V\n-116 9 V\n-1 -4 V\n.005 g
      2287 1350 N -1 -4 114 -18 4 7 h\n1.000 UP\n1.000 UL\nLT2\n2287 1350
      M\n117 -15 V\n1 4 V\n-114 18 V\n-4 -7 V\n.013 g 2172 1375 N -4 -7 113
      -29 6 11 h\n1.000 UP\n1.000 UL\nLT2\n2172 1375 M\n115 -25 V\n4 7
      V\n-113 29 V\n-6 -11 V\n.025 g 2060 1410 N -6 -11 110 -38 8 14 h\n1.000
      UP\n1.000 UL\nLT2\n2060 1410 M\n112 -35 V\n6 11 V\n-110 38 V\n-8 -14
      V\n.0407 g 1952 1455 N -8 -14 107 -48 9 17 h\n1.000 UP\n1.000
      UL\nLT2\n1952 1455 M\n108 -45 V\n8 14 V\n-107 48 V\n-9 -17 V\n.0601 g
      1848 1508 N -9 -17 102 -57 11 21 h\n1.000 UP\n1.000 UL\nLT2\n1848 1508
      M\n104 -53 V\n9 17 V\n-102 57 V\n-11 -21 V\n.0831 g 1750 1570 N -11 -21
      96 -65 13 24 h\n1.000 UP\n1.000 UL\nLT2\n1750 1570 M\n98 -62 V\n11 21
      V\n-96 65 V\n-13 -24 V\n.1095 g 1658 1641 N -13 -24 91 -73 14 26
      h\n1.000 UP\n1.000 UL\nLT2\n1658 1641 M\n92 -71 V\n13 24 V\n-91 73
      V\n-14 -26 V\n.139 g 1573 1719 N -14 -26 84 -81 15 29 h\n1.000
      UP\n1.000 UL\nLT2\n1573 1719 M\n85 -78 V\n14 26 V\n-84 81 V\n-15 -29
      V\n.1714 g 1496 1804 N -15 -29 76 -87 16 31 h\n1.000 UP\n1.000
      UL\nLT2\n1496 1804 M\n77 -85 V\n15 29 V\n-76 87 V\n-16 -31 V\n.2064 g
      1427 1896 N -16 -31 68 -94 17 33 h\n1.000 UP\n1.000 UL\nLT2\n1427 1896
      M\n69 -92 V\n16 31 V\n-68 94 V\n-17 -33 V\n.2438 g 1366 1993 N -17 -33
      59 -99 19 35 h\n1.000 UP\n1.000 UL\nLT2\n1366 1993 M\n61 -97 V\n17 33
      V\n-59 99 V\n-19 -35 V\n.2833 g 1315 2094 N -19 -35 50 -103 20 37
      h\n1.000 UP\n1.000 UL\nLT2\n1315 2094 M\n51 -101 V\n19 35 V\n-50 103
      V\n-20 -37 V\n.3245 g 1274 2200 N -20 -37 41 -107 20 38 h\n1.000
      UP\n1.000 UL\nLT2\n1274 2200 M\n41 -106 V\n20 37 V\n-41 107 V\n-20 -38
      V\n.3671 g 1243 2309 N -20 -38 31 -110 20 39 h\n1.000 UP\n1.000
      UL\nLT2\n1243 2309 M\n31 -109 V\n20 38 V\n-31 110 V\n-20 -39 V\n.4108 g
      1222 2420 N -20 -39 21 -112 20 40 h\n1.000 UP\n1.000 UL\nLT2\n1222 2420
      M\n21 -111 V\n20 39 V\n-21 112 V\n-20 -40 V\n.4552 g 1211 2533 N -20
      -40 10 -113 21 40 h\n1.000 UP\n1.000 UL\nLT2\n1211 2533 M\n11 -113
      V\n20 40 V\n-10 113 V\n-21 -40 V\n.5 g 1211 2646 N -21 -40 0 -113 21 40
      h\n1.000 UP\n1.000 UL\nLT2\n1211 2646 M\n0 -113 V\n21 40 V\n0 113
      V\n-21 -40 V\n.5448 g 1222 2759 N -21 -40 -10 -112 20 39 h\n1.000
      UP\n1.000 UL\nLT2\n1222 2759 M\n-11 -113 V\n21 40 V\n10 112 V\n-20 -39
      V\n.5892 g 1243 2870 N -20 -39 -21 -111 20 39 h\n1.000 UP\n1.000
      UL\nLT2\n1243 2870 M\n-21 -111 V\n20 39 V\n21 111 V\n-20 -39 V\n.6329 g
      1274 2979 N -20 -39 -31 -108 20 38 h\n1.000 UP\n1.000 UL\nLT2\n1274
      2979 M\n-31 -109 V\n20 39 V\n31 108 V\n-20 -38 V\n.6755 g 1315 3085 N
      -20 -38 -41 -104 20 36 h\n1.000 UP\n1.000 UL\nLT2\n1315 3085 M\n-41
      -106 V\n20 38 V\n41 104 V\n-20 -36 V\n.7167 g 1366 3186 N -20 -36 -50
      -100 19 35 h\n1.000 UP\n1.000 UL\nLT2\n1366 3186 M\n-51 -101 V\n20 36
      V\n50 100 V\n-19 -35 V\n.7562 g 1427 3283 N -19 -35 -59 -96 17 34
      h\n1.000 UP\n1.000 UL\nLT2\n1427 3283 M\n-61 -97 V\n19 35 V\n59 96
      V\n-17 -34 V\n.7936 g 1496 3375 N -17 -34 -68 -89 16 31 h\n1.000
      UP\n1.000 UL\nLT2\n1496 3375 M\n-69 -92 V\n17 34 V\n68 89 V\n-16 -31
      V\n.8286 g 1573 3460 N -16 -31 -76 -83 15 29 h\n1.000 UP\n1.000
      UL\nLT2\n1573 3460 M\n-77 -85 V\n16 31 V\n76 83 V\n-15 -29 V\n.861 g
      1658 3538 N -15 -29 -84 -75 14 26 h\n1.000 UP\n1.000 UL\nLT2\n1658 3538
      M\n-85 -78 V\n15 29 V\n84 75 V\n-14 -26 V\n.8905 g 1750 3609 N -14 -26
      -91 -68 13 23 h\n1.000 UP\n1.000 UL\nLT2\n1750 3609 M\n-92 -71 V\n14 26
      V\n91 68 V\n-13 -23 V\n.9169 g 1848 3671 N -13 -23 -96 -59 11 20
      h\n1.000 UP\n1.000 UL\nLT2\n1848 3671 M\n-98 -62 V\n13 23 V\n96 59
      V\n-11 -20 V\n.9399 g 1952 3724 N -11 -20 -102 -51 9 18 h\n1.000
      UP\n1.000 UL\nLT2\n1952 3724 M\n-104 -53 V\n11 20 V\n102 51 V\n-9 -18
      V\n.9593 g 2060 3769 N -9 -18 -107 -41 8 14 h\n1.000 UP\n1.000
      UL\nLT2\n2060 3769 M\n-108 -45 V\n9 18 V\n107 41 V\n-8 -14 V\n.975 g
      2172 3804 N -8 -14 -110 -31 6 10 h\n1.000 UP\n1.000 UL\nLT2\n2172 3804
      M\n-112 -35 V\n8 14 V\n110 31 V\n-6 -10 V\n.987 g 2287 3829 N -6 -10
      -113 -22 4 7 h\n1.000 UP\n1.000 UL\nLT2\n2287 3829 M\n-115 -25 V\n6 10
      V\n113 22 V\n-4 -7 V\n.995 g 2404 3844 N -4 -7 -114 -12 1 4 h\n1.000
      UP\n1.000 UL\nLT2\n2404 3844 M\n-117 -15 V\n4 7 V\n114 12 V\n-1 -4
      V\n.999 g 2521 3849 N -1 -4 -116 -1 0 0 h\n1.000 UP\n1.000
      UL\nLT2\n2521 3849 M\n-117 -5 V\n1 4 V\n116 1 V\n.001 g 2405 1339 N 0 0
      110 -12 6 3 h\n1.000 UP\n1.000 UL\nLT2\n2405 1339 M\n116 -9 V\n-110 12
      V\n-6 -3 V\n.005 g 2291 1357 N -6 -3 109 -22 11 7 h\n1.000 UP\n1.000
      UL\nLT2\n2291 1357 M\n114 -18 V\n6 3 V\n-109 22 V\n-11 -7 V\n.013 g
      2178 1386 N -11 -7 108 -32 16 10 h\n1.000 UP\n1.000 UL\nLT2\n2178 1386
      M\n113 -29 V\n11 7 V\n-108 32 V\n-16 -10 V\n.025 g 2068 1424 N -16 -10
      104 -42 22 14 h\n1.000 UP\n1.000 UL\nLT2\n2068 1424 M\n110 -38 V\n16 10
      V\n-104 42 V\n-22 -14 V\n.0407 g 1961 1472 N -22 -14 102 -51 27 17
      h\n1.000 UP\n1.000 UL\nLT2\n1961 1472 M\n107 -48 V\n22 14 V\n-102 51
      V\n-27 -17 V\n.0601 g 1859 1529 N -27 -17 97 -59 32 19 h\n1.000
      UP\n1.000 UL\nLT2\n1859 1529 M\n102 -57 V\n27 17 V\n-97 59 V\n-32 -19
      V\n.0831 g 1763 1594 N -32 -19 92 -68 36 22 h\n1.000 UP\n1.000
      UL\nLT2\n1763 1594 M\n96 -65 V\n32 19 V\n-92 68 V\n-36 -22 V\n.1095 g
      1672 1667 N -36 -22 86 -76 41 25 h\n1.000 UP\n1.000 UL\nLT2\n1672 1667
      M\n91 -73 V\n36 22 V\n-86 76 V\n-41 -25 V\n.139 g 1588 1748 N -41 -25
      79 -84 46 28 h\n1.000 UP\n1.000 UL\nLT2\n1588 1748 M\n84 -81 V\n41 25
      V\n-79 84 V\n-46 -28 V\n.1714 g 1512 1835 N -46 -28 73 -89 49 30
      h\n1.000 UP\n1.000 UL\nLT2\n1512 1835 M\n76 -87 V\n46 28 V\n-73 89
      V\n-49 -30 V\n.2064 g 1444 1929 N -49 -30 65 -96 52 32 h\n1.000
      UP\n1.000 UL\nLT2\n1444 1929 M\n68 -94 V\n49 30 V\n-65 96 V\n-52 -32
      V\n.2438 g 1385 2028 N -52 -32 56 -100 55 33 h\n1.000 UP\n1.000
      UL\nLT2\n1385 2028 M\n59 -99 V\n52 32 V\n-56 100 V\n-55 -33 V\n.2833 g
      1335 2131 N -55 -33 48 -105 57 35 h\n1.000 UP\n1.000 UL\nLT2\n1335 2131
      M\n50 -103 V\n55 33 V\n-48 105 V\n-57 -35 V\n.3245 g 1294 2238 N -57
      -35 39 -109 59 37 h\n1.000 UP\n1.000 UL\nLT2\n1294 2238 M\n41 -107
      V\n57 35 V\n-39 109 V\n-59 -37 V\n.3671 g 1263 2348 N -59 -37 29 -110
      61 37 h\n1.000 UP\n1.000 UL\nLT2\n1263 2348 M\n31 -110 V\n59 37 V\n-29
      110 V\n-61 -37 V\n.4108 g 1242 2460 N -61 -37 20 -113 62 38 h\n1.000
      UP\n1.000 UL\nLT2\n1242 2460 M\n21 -112 V\n61 37 V\n-20 113 V\n-62 -38
      V\n.4552 g 1232 2573 N -62 -38 9 -113 63 38 h\n1.000 UP\n1.000
      UL\nLT2\n1232 2573 M\n10 -113 V\n62 38 V\n-9 113 V\n-63 -38 V\n.5 g
      1232 2686 N -63 -38 0 -113 63 38 h\n1.000 UP\n1.000 UL\nLT2\n1232 2686
      M\n0 -113 V\n63 38 V\n0 113 V\n-63 -38 V\n.5448 g 1242 2798 N -63 -38
      -9 -112 62 38 h\n1.000 UP\n1.000 UL\nLT2\n1242 2798 M\n-10 -112 V\n63
      38 V\n9 112 V\n-62 -38 V\n.5892 g 1263 2909 N -62 -38 -20 -110 61 37
      h\n1.000 UP\n1.000 UL\nLT2\n1263 2909 M\n-21 -111 V\n62 38 V\n20 110
      V\n-61 -37 V\n.6329 g 1294 3017 N -61 -37 -29 -107 59 36 h\n1.000
      UP\n1.000 UL\nLT2\n1294 3017 M\n-31 -108 V\n61 37 V\n29 107 V\n-59 -36
      V\n.6755 g 1335 3121 N -59 -36 -39 -103 57 35 h\n1.000 UP\n1.000
      UL\nLT2\n1335 3121 M\n-41 -104 V\n59 36 V\n39 103 V\n-57 -35 V\n.7167 g
      1385 3221 N -57 -35 -48 -99 55 34 h\n1.000 UP\n1.000 UL\nLT2\n1385 3221
      M\n-50 -100 V\n57 35 V\n48 99 V\n-55 -34 V\n.7562 g 1444 3317 N -55 -34
      -56 -94 52 32 h\n1.000 UP\n1.000 UL\nLT2\n1444 3317 M\n-59 -96 V\n55 34
      V\n56 94 V\n-52 -32 V\n.7936 g 1512 3406 N -52 -32 -65 -87 49 30
      h\n1.000 UP\n1.000 UL\nLT2\n1512 3406 M\n-68 -89 V\n52 32 V\n65 87
      V\n-49 -30 V\n.8286 g 1588 3489 N -49 -30 -73 -80 46 27 h\n1.000
      UP\n1.000 UL\nLT2\n1588 3489 M\n-76 -83 V\n49 30 V\n73 80 V\n-46 -27
      V\n.861 g 1672 3564 N -46 -27 -79 -73 41 25 h\n1.000 UP\n1.000
      UL\nLT2\n1672 3564 M\n-84 -75 V\n46 27 V\n79 73 V\n-41 -25 V\n.8905 g
      1763 3632 N -41 -25 -86 -65 36 22 h\n1.000 UP\n1.000 UL\nLT2\n1763 3632
      M\n-91 -68 V\n41 25 V\n86 65 V\n-36 -22 V\n.9169 g 1859 3691 N -36 -22
      -92 -57 32 20 h\n1.000 UP\n1.000 UL\nLT2\n1859 3691 M\n-96 -59 V\n36 22
      V\n92 57 V\n-32 -20 V\n.9399 g 1961 3742 N -32 -20 -97 -47 27 16
      h\n1.000 UP\n1.000 UL\nLT2\n1961 3742 M\n-102 -51 V\n32 20 V\n97 47
      V\n-27 -16 V\n.9593 g 2068 3783 N -27 -16 -102 -38 22 13 h\n1.000
      UP\n1.000 UL\nLT2\n2068 3783 M\n-107 -41 V\n27 16 V\n102 38 V\n-22 -13
      V\n.975 g 2178 3814 N -22 -13 -104 -28 16 10 h\n1.000 UP\n1.000
      UL\nLT2\n2178 3814 M\n-110 -31 V\n22 13 V\n104 28 V\n-16 -10 V\n.987 g
      2291 3836 N -16 -10 -108 -19 11 7 h\n1.000 UP\n1.000 UL\nLT2\n2291 3836
      M\n-113 -22 V\n16 10 V\n108 19 V\n-11 -7 V\n.995 g 2405 3848 N -11 -7
      -109 -8 6 3 h\n1.000 UP\n1.000 UL\nLT2\n2405 3848 M\n-114 -12 V\n11 7
      V\n109 8 V\n-6 -3 V\n.999 g 2521 3849 N -6 -3 -110 2 0 0 h\n1.000
      UP\n1.000 UL\nLT2\n2521 3849 M\n-116 -1 V\n6 3 V\n110 -2 V\n.001 g 2411
      1342 N 0 0 101 -15 9 3 h\n1.000 UP\n1.000 UL\nLT2\n2411 1342 M\n110 -12
      V\n-101 15 V\n-9 -3 V\n.005 g 2302 1364 N -9 -3 100 -26 18 7 h\n1.000
      UP\n1.000 UL\nLT2\n2302 1364 M\n109 -22 V\n9 3 V\n-100 26 V\n-18 -7
      V\n.013 g 2194 1396 N -18 -7 98 -35 28 10 h\n1.000 UP\n1.000
      UL\nLT2\n2194 1396 M\n108 -32 V\n18 7 V\n-98 35 V\n-28 -10 V\n.025 g
      2090 1438 N -28 -10 96 -44 36 12 h\n1.000 UP\n1.000 UL\nLT2\n2090 1438
      M\n104 -42 V\n28 10 V\n-96 44 V\n-36 -12 V\n.0407 g 1988 1489 N -36 -12
      93 -54 45 15 h\n1.000 UP\n1.000 UL\nLT2\n1988 1489 M\n102 -51 V\n36 12
      V\n-93 54 V\n-45 -15 V\n.0601 g 1891 1548 N -45 -15 89 -63 53 19
      h\n1.000 UP\n1.000 UL\nLT2\n1891 1548 M\n97 -59 V\n45 15 V\n-89 63
      V\n-53 -19 V\n.0831 g 1799 1616 N -53 -19 85 -71 60 22 h\n1.000
      UP\n1.000 UL\nLT2\n1799 1616 M\n92 -68 V\n53 19 V\n-85 71 V\n-60 -22
      V\n.1095 g 1713 1692 N -60 -22 79 -78 67 24 h\n1.000 UP\n1.000
      UL\nLT2\n1713 1692 M\n86 -76 V\n60 22 V\n-79 78 V\n-67 -24 V\n.139 g
      1634 1776 N -67 -24 73 -86 73 26 h\n1.000 UP\n1.000 UL\nLT2\n1634 1776
      M\n79 -84 V\n67 24 V\n-73 86 V\n-73 -26 V\n.1714 g 1561 1865 N -73 -26
      66 -91 80 28 h\n1.000 UP\n1.000 UL\nLT2\n1561 1865 M\n73 -89 V\n73 26
      V\n-66 91 V\n-80 -28 V\n.2064 g 1496 1961 N -80 -28 59 -98 86 30
      h\n1.000 UP\n1.000 UL\nLT2\n1496 1961 M\n65 -96 V\n80 28 V\n-59 98
      V\n-86 -30 V\n.2438 g 1440 2061 N -86 -30 52 -102 90 32 h\n1.000
      UP\n1.000 UL\nLT2\n1440 2061 M\n56 -100 V\n86 30 V\n-52 102 V\n-90 -32
      V\n.2833 g 1392 2166 N -90 -32 44 -106 94 33 h\n1.000 UP\n1.000
      UL\nLT2\n1392 2166 M\n48 -105 V\n90 32 V\n-44 106 V\n-94 -33 V\n.3245 g
      1353 2275 N -94 -33 36 -110 97 34 h\n1.000 UP\n1.000 UL\nLT2\n1353 2275
      M\n39 -109 V\n94 33 V\n-36 110 V\n-97 -34 V\n.3671 g 1324 2385 N -97
      -34 26 -112 100 36 h\n1.000 UP\n1.000 UL\nLT2\n1324 2385 M\n29 -110
      V\n97 34 V\n-26 112 V\n-100 -36 V\n.4108 g 1304 2498 N -100 -36 18 -113
      102 36 h\n1.000 UP\n1.000 UL\nLT2\n1304 2498 M\n20 -113 V\n100 36
      V\n-18 113 V\n-102 -36 V\n.4552 g 1295 2611 N -102 -36 10 -113 101 36
      h\n1.000 UP\n1.000 UL\nLT2\n1295 2611 M\n9 -113 V\n102 36 V\n-10 113
      V\n-101 -36 V\n.5 g 1295 2724 N -101 -36 0 -113 101 36 h\n1.000
      UP\n1.000 UL\nLT2\n1295 2724 M\n0 -113 V\n101 36 V\n0 113 V\n-101 -36
      V\n.5448 g 1304 2836 N -101 -36 -10 -112 102 36 h\n1.000 UP\n1.000
      UL\nLT2\n1304 2836 M\n-9 -112 V\n101 36 V\n10 112 V\n-102 -36 V\n.5892
      g 1324 2946 N -102 -36 -18 -109 100 35 h\n1.000 UP\n1.000 UL\nLT2\n1324
      2946 M\n-20 -110 V\n102 36 V\n18 109 V\n-100 -35 V\n.6329 g 1353 3053 N
      -100 -35 -26 -106 97 34 h\n1.000 UP\n1.000 UL\nLT2\n1353 3053 M\n-29
      -107 V\n100 35 V\n26 106 V\n-97 -34 V\n.6755 g 1392 3156 N -97 -34 -36
      -102 94 33 h\n1.000 UP\n1.000 UL\nLT2\n1392 3156 M\n-39 -103 V\n97 34
      V\n36 102 V\n-94 -33 V\n.7167 g 1440 3255 N -94 -33 -44 -98 90 32
      h\n1.000 UP\n1.000 UL\nLT2\n1440 3255 M\n-48 -99 V\n94 33 V\n44 98
      V\n-90 -32 V\n.7562 g 1496 3349 N -90 -32 -52 -92 86 30 h\n1.000
      UP\n1.000 UL\nLT2\n1496 3349 M\n-56 -94 V\n90 32 V\n52 92 V\n-86 -30
      V\n.7936 g 1561 3436 N -86 -30 -59 -85 80 28 h\n1.000 UP\n1.000
      UL\nLT2\n1561 3436 M\n-65 -87 V\n86 30 V\n59 85 V\n-80 -28 V\n.8286 g
      1634 3516 N -80 -28 -66 -78 73 26 h\n1.000 UP\n1.000 UL\nLT2\n1634 3516
      M\n-73 -80 V\n80 28 V\n66 78 V\n-73 -26 V\n.861 g 1713 3589 N -73 -26
      -73 -71 67 24 h\n1.000 UP\n1.000 UL\nLT2\n1713 3589 M\n-79 -73 V\n73 26
      V\n73 71 V\n-67 -24 V\n.8905 g 1799 3654 N -67 -24 -79 -63 60 22
      h\n1.000 UP\n1.000 UL\nLT2\n1799 3654 M\n-86 -65 V\n67 24 V\n79 63
      V\n-60 -22 V\n.9169 g 1891 3711 N -60 -22 -85 -53 53 18 h\n1.000
      UP\n1.000 UL\nLT2\n1891 3711 M\n-92 -57 V\n60 22 V\n85 53 V\n-53 -18
      V\n.9399 g 1988 3758 N -53 -18 -89 -45 45 16 h\n1.000 UP\n1.000
      UL\nLT2\n1988 3758 M\n-97 -47 V\n53 18 V\n89 45 V\n-45 -16 V\n.9593 g
      2090 3796 N -45 -16 -93 -35 36 13 h\n1.000 UP\n1.000 UL\nLT2\n2090 3796
      M\n-102 -38 V\n45 16 V\n93 35 V\n-36 -13 V\n.975 g 2194 3824 N -36 -13
      -96 -25 28 10 h\n1.000 UP\n1.000 UL\nLT2\n2194 3824 M\n-104 -28 V\n36
      13 V\n96 25 V\n-28 -10 V\n.987 g 2302 3843 N -28 -10 -98 -15 18 6
      h\n1.000 UP\n1.000 UL\nLT2\n2302 3843 M\n-108 -19 V\n28 10 V\n98 15
      V\n-18 -6 V\n.995 g 2411 3851 N -18 -6 -100 -5 9 3 h\n1.000 UP\n1.000
      UL\nLT2\n2411 3851 M\n-109 -8 V\n18 6 V\n100 5 V\n-9 -3 V\n.999 g 2521
      3849 N -9 -3 -101 5 0 0 h\n1.000 UP\n1.000 UL\nLT2\n2521 3849 M\n-110 2
      V\n9 3 V\n101 -5 V\n.001 g 2420 1345 N 0 0 88 -18 13 3 h\n1.000
      UP\n1.000 UL\nLT2\n2420 1345 M\n101 -15 V\n-88 18 V\n-13 -3 V\n.005 g
      2320 1371 N -13 -3 88 -28 25 5 h\n1.000 UP\n1.000 UL\nLT2\n2320 1371
      M\n100 -26 V\n13 3 V\n-88 28 V\n-25 -5 V\n.013 g 2222 1406 N -25 -5 87
      -38 36 8 h\n1.000 UP\n1.000 UL\nLT2\n2222 1406 M\n98 -35 V\n25 5 V\n-87
      38 V\n-36 -8 V\n.025 g 2126 1450 N -36 -8 84 -48 48 12 h\n1.000
      UP\n1.000 UL\nLT2\n2126 1450 M\n96 -44 V\n36 8 V\n-84 48 V\n-48 -12
      V\n.0407 g 2033 1504 N -48 -12 81 -56 60 14 h\n1.000 UP\n1.000
      UL\nLT2\n2033 1504 M\n93 -54 V\n48 12 V\n-81 56 V\n-60 -14 V\n.0601 g
      1944 1567 N -60 -14 78 -65 71 16 h\n1.000 UP\n1.000 UL\nLT2\n1944 1567
      M\n89 -63 V\n60 14 V\n-78 65 V\n-71 -16 V\n.0831 g 1859 1638 N -71 -16
      74 -74 82 19 h\n1.000 UP\n1.000 UL\nLT2\n1859 1638 M\n85 -71 V\n71 16
      V\n-74 74 V\n-82 -19 V\n.1095 g 1780 1716 N -82 -19 70 -80 91 21
      h\n1.000 UP\n1.000 UL\nLT2\n1780 1716 M\n79 -78 V\n82 19 V\n-70 80
      V\n-91 -21 V\n.139 g 1707 1802 N -91 -21 64 -88 100 23 h\n1.000
      UP\n1.000 UL\nLT2\n1707 1802 M\n73 -86 V\n91 21 V\n-64 88 V\n-100 -23
      V\n.1714 g 1641 1893 N -100 -23 58 -94 108 26 h\n1.000 UP\n1.000
      UL\nLT2\n1641 1893 M\n66 -91 V\n100 23 V\n-58 94 V\n-108 -26 V\n.2064 g
      1582 1991 N -108 -26 52 -99 115 27 h\n1.000 UP\n1.000 UL\nLT2\n1582
      1991 M\n59 -98 V\n108 26 V\n-52 99 V\n-115 -27 V\n.2438 g 1530 2093 N
      -115 -27 46 -104 121 29 h\n1.000 UP\n1.000 UL\nLT2\n1530 2093 M\n52
      -102 V\n115 27 V\n-46 104 V\n-121 -29 V\n.2833 g 1486 2199 N -121 -29
      38 -107 127 30 h\n1.000 UP\n1.000 UL\nLT2\n1486 2199 M\n44 -106 V\n121
      29 V\n-38 107 V\n-127 -30 V\n.3245 g 1450 2309 N -127 -30 31 -111 132
      31 h\n1.000 UP\n1.000 UL\nLT2\n1450 2309 M\n36 -110 V\n127 30 V\n-31
      111 V\n-132 -31 V\n.3671 g 1424 2421 N -132 -31 24 -112 134 31 h\n1.000
      UP\n1.000 UL\nLT2\n1424 2421 M\n26 -112 V\n132 31 V\n-24 112 V\n-134
      -31 V\n.4108 g 1406 2534 N -134 -31 16 -114 136 32 h\n1.000 UP\n1.000
      UL\nLT2\n1406 2534 M\n18 -113 V\n134 31 V\n-16 114 V\n-136 -32 V\n.4552
      g 1396 2647 N -136 -32 7 -113 139 32 h\n1.000 UP\n1.000 UL\nLT2\n1396
      2647 M\n10 -113 V\n136 32 V\n-7 113 V\n-139 -32 V\n.5 g 1396 2760 N
      -139 -32 0 -113 139 32 h\n1.000 UP\n1.000 UL\nLT2\n1396 2760 M\n0 -113
      V\n139 32 V\n0 113 V\n-139 -32 V\n.5448 g 1406 2872 N -139 -32 -7 -112
      136 32 h\n1.000 UP\n1.000 UL\nLT2\n1406 2872 M\n-10 -112 V\n139 32 V\n7
      112 V\n-136 -32 V\n.5892 g 1424 2981 N -136 -32 -16 -109 134 32
      h\n1.000 UP\n1.000 UL\nLT2\n1424 2981 M\n-18 -109 V\n136 32 V\n16 109
      V\n-134 -32 V\n.6329 g 1450 3087 N -134 -32 -24 -105 132 31 h\n1.000
      UP\n1.000 UL\nLT2\n1450 3087 M\n-26 -106 V\n134 32 V\n24 105 V\n-132
      -31 V\n.6755 g 1486 3189 N -132 -31 -31 -101 127 30 h\n1.000 UP\n1.000
      UL\nLT2\n1486 3189 M\n-36 -102 V\n132 31 V\n31 101 V\n-127 -30 V\n.7167
      g 1530 3287 N -127 -30 -38 -96 121 28 h\n1.000 UP\n1.000 UL\nLT2\n1530
      3287 M\n-44 -98 V\n127 30 V\n38 96 V\n-121 -28 V\n.7562 g 1582 3379 N
      -121 -28 -46 -91 115 27 h\n1.000 UP\n1.000 UL\nLT2\n1582 3379 M\n-52
      -92 V\n121 28 V\n46 91 V\n-115 -27 V\n.7936 g 1641 3464 N -115 -27 -52
      -83 108 25 h\n1.000 UP\n1.000 UL\nLT2\n1641 3464 M\n-59 -85 V\n115 27
      V\n52 83 V\n-108 -25 V\n.8286 g 1707 3542 N -108 -25 -58 -77 100 24
      h\n1.000 UP\n1.000 UL\nLT2\n1707 3542 M\n-66 -78 V\n108 25 V\n58 77
      V\n-100 -24 V\n.861 g 1780 3613 N -100 -24 -64 -68 91 21 h\n1.000
      UP\n1.000 UL\nLT2\n1780 3613 M\n-73 -71 V\n100 24 V\n64 68 V\n-91 -21
      V\n.8905 g 1859 3676 N -91 -21 -70 -61 82 19 h\n1.000 UP\n1.000
      UL\nLT2\n1859 3676 M\n-79 -63 V\n91 21 V\n70 61 V\n-82 -19 V\n.9169 g
      1944 3729 N -82 -19 -74 -51 71 17 h\n1.000 UP\n1.000 UL\nLT2\n1944 3729
      M\n-85 -53 V\n82 19 V\n74 51 V\n-71 -17 V\n.9399 g 2033 3774 N -71 -17
      -78 -42 60 14 h\n1.000 UP\n1.000 UL\nLT2\n2033 3774 M\n-89 -45 V\n71 17
      V\n78 42 V\n-60 -14 V\n.9593 g 2126 3809 N -60 -14 -81 -32 48 11
      h\n1.000 UP\n1.000 UL\nLT2\n2126 3809 M\n-93 -35 V\n60 14 V\n81 32
      V\n-48 -11 V\n.975 g 2222 3834 N -48 -11 -84 -23 36 9 h\n1.000
      UP\n1.000 UL\nLT2\n2222 3834 M\n-96 -25 V\n48 11 V\n84 23 V\n-36 -9
      V\n.987 g 2320 3849 N -36 -9 -87 -12 25 6 h\n1.000 UP\n1.000
      UL\nLT2\n2320 3849 M\n-98 -15 V\n36 9 V\n87 12 V\n-25 -6 V\n.995 g 2420
      3854 N -25 -6 -88 -2 13 3 h\n1.000 UP\n1.000 UL\nLT2\n2420 3854 M\n-100
      -5 V\n25 6 V\n88 2 V\n-13 -3 V\n.999 g 2521 3849 N -13 -3 -88 8 0 0
      h\n1.000 UP\n1.000 UL\nLT2\n2521 3849 M\n-101 5 V\n13 3 V\n88 -8
      V\n.001 g 2433 1348 N 0 0 73 -21 15 3 h\n1.000 UP\n1.000 UL\nLT2\n2433
      1348 M\n88 -18 V\n-73 21 V\n-15 -3 V\n.005 g 2345 1376 N -15 -3 73 -30
      30 5 h\n1.000 UP\n1.000 UL\nLT2\n2345 1376 M\n88 -28 V\n15 3 V\n-73 30
      V\n-30 -5 V\n.013 g 2258 1414 N -30 -5 71 -41 46 8 h\n1.000 UP\n1.000
      UL\nLT2\n2258 1414 M\n87 -38 V\n30 5 V\n-71 41 V\n-46 -8 V\n.025 g 2174
      1462 N -46 -8 70 -49 60 9 h\n1.000 UP\n1.000 UL\nLT2\n2174 1462 M\n84
      -48 V\n46 8 V\n-70 49 V\n-60 -9 V\n.0407 g 2093 1518 N -60 -9 68 -59 73
      12 h\n1.000 UP\n1.000 UL\nLT2\n2093 1518 M\n81 -56 V\n60 9 V\n-68 59
      V\n-73 -12 V\n.0601 g 2015 1583 N -73 -12 64 -67 87 14 h\n1.000
      UP\n1.000 UL\nLT2\n2015 1583 M\n78 -65 V\n73 12 V\n-64 67 V\n-87 -14
      V\n.0831 g 1941 1657 N -87 -14 61 -76 100 16 h\n1.000 UP\n1.000
      UL\nLT2\n1941 1657 M\n74 -74 V\n87 14 V\n-61 76 V\n-100 -16 V\n.1095 g
      1871 1737 N -100 -16 58 -82 112 18 h\n1.000 UP\n1.000 UL\nLT2\n1871
      1737 M\n70 -80 V\n100 16 V\n-58 82 V\n-112 -18 V\n.139 g 1807 1825 N
      -112 -18 53 -90 123 20 h\n1.000 UP\n1.000 UL\nLT2\n1807 1825 M\n64 -88
      V\n112 18 V\n-53 90 V\n-123 -20 V\n.1714 g 1749 1919 N -123 -20 48 -95
      133 21 h\n1.000 UP\n1.000 UL\nLT2\n1749 1919 M\n58 -94 V\n123 20 V\n-48
      95 V\n-133 -21 V\n.2064 g 1697 2018 N -133 -21 43 -101 142 23 h\n1.000
      UP\n1.000 UL\nLT2\n1697 2018 M\n52 -99 V\n133 21 V\n-43 101 V\n-142 -23
      V\n.2438 g 1651 2122 N -142 -23 38 -105 150 24 h\n1.000 UP\n1.000
      UL\nLT2\n1651 2122 M\n46 -104 V\n142 23 V\n-38 105 V\n-150 -24 V\n.2833
      g 1613 2229 N -150 -24 32 -108 156 25 h\n1.000 UP\n1.000 UL\nLT2\n1613
      2229 M\n38 -107 V\n150 24 V\n-32 108 V\n-156 -25 V\n.3245 g 1582 2340 N
      -156 -25 26 -112 161 26 h\n1.000 UP\n1.000 UL\nLT2\n1582 2340 M\n31
      -111 V\n156 25 V\n-26 112 V\n-161 -26 V\n.3671 g 1558 2452 N -161 -26
      19 -113 166 27 h\n1.000 UP\n1.000 UL\nLT2\n1558 2452 M\n24 -112 V\n161
      26 V\n-19 113 V\n-166 -27 V\n.4108 g 1542 2566 N -166 -27 13 -114 169
      27 h\n1.000 UP\n1.000 UL\nLT2\n1542 2566 M\n16 -114 V\n166 27 V\n-13
      114 V\n-169 -27 V\n.4552 g 1535 2679 N -169 -27 7 -114 169 28 h\n1.000
      UP\n1.000 UL\nLT2\n1535 2679 M\n7 -113 V\n169 27 V\n-7 114 V\n-169 -28
      V\n.5 g 1535 2792 N -169 -28 0 -113 169 28 h\n1.000 UP\n1.000
      UL\nLT2\n1535 2792 M\n0 -113 V\n169 28 V\n0 113 V\n-169 -28 V\n.5448 g
      1542 2904 N -169 -28 -7 -111 169 27 h\n1.000 UP\n1.000 UL\nLT2\n1542
      2904 M\n-7 -112 V\n169 28 V\n7 111 V\n-169 -27 V\n.5892 g 1558 3013 N
      -169 -27 -13 -108 166 26 h\n1.000 UP\n1.000 UL\nLT2\n1558 3013 M\n-16
      -109 V\n169 27 V\n13 108 V\n-166 -26 V\n.6329 g 1582 3118 N -166 -26
      -19 -105 161 26 h\n1.000 UP\n1.000 UL\nLT2\n1582 3118 M\n-24 -105
      V\n166 26 V\n19 105 V\n-161 -26 V\n.6755 g 1613 3219 N -161 -26 -26
      -101 156 26 h\n1.000 UP\n1.000 UL\nLT2\n1613 3219 M\n-31 -101 V\n161 26
      V\n26 101 V\n-156 -26 V\n.7167 g 1651 3315 N -156 -26 -32 -95 150 25
      h\n1.000 UP\n1.000 UL\nLT2\n1651 3315 M\n-38 -96 V\n156 26 V\n32 95
      V\n-150 -25 V\n.7562 g 1697 3406 N -150 -25 -38 -89 142 23 h\n1.000
      UP\n1.000 UL\nLT2\n1697 3406 M\n-46 -91 V\n150 25 V\n38 89 V\n-142 -23
      V\n.7936 g 1749 3489 N -142 -23 -43 -82 133 22 h\n1.000 UP\n1.000
      UL\nLT2\n1749 3489 M\n-52 -83 V\n142 23 V\n43 82 V\n-133 -22 V\n.8286 g
      1807 3566 N -133 -22 -48 -75 123 20 h\n1.000 UP\n1.000 UL\nLT2\n1807
      3566 M\n-58 -77 V\n133 22 V\n48 75 V\n-123 -20 V\n.861 g 1871 3634 N
      -123 -20 -53 -67 112 19 h\n1.000 UP\n1.000 UL\nLT2\n1871 3634 M\n-64
      -68 V\n123 20 V\n53 67 V\n-112 -19 V\n.8905 g 1941 3695 N -112 -19 -58
      -58 100 16 h\n1.000 UP\n1.000 UL\nLT2\n1941 3695 M\n-70 -61 V\n112 19
      V\n58 58 V\n-100 -16 V\n.9169 g 2015 3746 N -100 -16 -61 -49 87 14
      h\n1.000 UP\n1.000 UL\nLT2\n2015 3746 M\n-74 -51 V\n100 16 V\n61 49
      V\n-87 -14 V\n.9399 g 2093 3788 N -87 -14 -64 -40 73 12 h\n1.000
      UP\n1.000 UL\nLT2\n2093 3788 M\n-78 -42 V\n87 14 V\n64 40 V\n-73 -12
      V\n.9593 g 2174 3820 N -73 -12 -68 -30 60 10 h\n1.000 UP\n1.000
      UL\nLT2\n2174 3820 M\n-81 -32 V\n73 12 V\n68 30 V\n-60 -10 V\n.975 g
      2258 3843 N -60 -10 -70 -20 46 7 h\n1.000 UP\n1.000 UL\nLT2\n2258 3843
      M\n-84 -23 V\n60 10 V\n70 20 V\n-46 -7 V\n.987 g 2345 3855 N -46 -7 -71
      -10 30 5 h\n1.000 UP\n1.000 UL\nLT2\n2345 3855 M\n-87 -12 V\n46 7 V\n71
      10 V\n-30 -5 V\n.995 g 2433 3857 N -30 -5 -73 0 15 3 h\n1.000 UP\n1.000
      UL\nLT2\n2433 3857 M\n-88 -2 V\n30 5 V\n73 0 V\n-15 -3 V\n.999 g 2521
      3849 N -15 -3 -73 11 0 0 h\n1.000 UP\n1.000 UL\nLT2\n2521 3849 M\n-88 8
      V\n15 3 V\n73 -11 V\n.001 g 2448 1351 N 0 0 56 -23 17 2 h\n1.000
      UP\n1.000 UL\nLT2\n2448 1351 M\n73 -21 V\n-56 23 V\n-17 -2 V\n.005 g
      2375 1381 N -17 -2 55 -32 35 4 h\n1.000 UP\n1.000 UL\nLT2\n2375 1381
      M\n73 -30 V\n17 2 V\n-55 32 V\n-35 -4 V\n.013 g 2304 1422 N -35 -4 54
      -42 52 5 h\n1.000 UP\n1.000 UL\nLT2\n2304 1422 M\n71 -41 V\n35 4 V\n-54
      42 V\n-52 -5 V\n.025 g 2234 1471 N -52 -5 53 -52 69 8 h\n1.000
      UP\n1.000 UL\nLT2\n2234 1471 M\n70 -49 V\n52 5 V\n-53 52 V\n-69 -8
      V\n.0407 g 2166 1530 N -69 -8 52 -61 85 10 h\n1.000 UP\n1.000
      UL\nLT2\n2166 1530 M\n68 -59 V\n69 8 V\n-52 61 V\n-85 -10 V\n.0601 g
      2102 1597 N -85 -10 49 -69 100 12 h\n1.000 UP\n1.000 UL\nLT2\n2102 1597
      M\n64 -67 V\n85 10 V\n-49 69 V\n-100 -12 V\n.0831 g 2041 1673 N -100
      -12 46 -77 115 13 h\n1.000 UP\n1.000 UL\nLT2\n2041 1673 M\n61 -76
      V\n100 12 V\n-46 77 V\n-115 -13 V\n.1095 g 1983 1755 N -115 -13 44 -84
      129 15 h\n1.000 UP\n1.000 UL\nLT2\n1983 1755 M\n58 -82 V\n115 13 V\n-44
      84 V\n-129 -15 V\n.139 g 1930 1845 N -129 -15 40 -91 142 16 h\n1.000
      UP\n1.000 UL\nLT2\n1930 1845 M\n53 -90 V\n129 15 V\n-40 91 V\n-142 -16
      V\n.1714 g 1882 1940 N -142 -16 37 -96 153 17 h\n1.000 UP\n1.000
      UL\nLT2\n1882 1940 M\n48 -95 V\n142 16 V\n-37 96 V\n-153 -17 V\n.2064 g
      1839 2041 N -153 -17 33 -102 163 18 h\n1.000 UP\n1.000 UL\nLT2\n1839
      2041 M\n43 -101 V\n153 17 V\n-33 102 V\n-163 -18 V\n.2438 g 1801 2146 N
      -163 -18 28 -106 173 19 h\n1.000 UP\n1.000 UL\nLT2\n1801 2146 M\n38
      -105 V\n163 18 V\n-28 106 V\n-173 -19 V\n.2833 g 1769 2254 N -173 -19
      24 -110 181 21 h\n1.000 UP\n1.000 UL\nLT2\n1769 2254 M\n32 -108 V\n173
      19 V\n-24 110 V\n-181 -21 V\n.3245 g 1743 2366 N -181 -21 20 -112 187
      21 h\n1.000 UP\n1.000 UL\nLT2\n1743 2366 M\n26 -112 V\n181 21 V\n-20
      112 V\n-187 -21 V\n.3671 g 1724 2479 N -187 -21 15 -113 191 21 h\n1.000
      UP\n1.000 UL\nLT2\n1724 2479 M\n19 -113 V\n187 21 V\n-15 113 V\n-191
      -21 V\n.4108 g 1711 2593 N -191 -21 10 -115 194 22 h\n1.000 UP\n1.000
      UL\nLT2\n1711 2593 M\n13 -114 V\n191 21 V\n-10 115 V\n-194 -22 V\n.4552
      g 1704 2707 N -194 -22 5 -114 196 22 h\n1.000 UP\n1.000 UL\nLT2\n1704
      2707 M\n7 -114 V\n194 22 V\n-5 114 V\n-196 -22 V\n.5 g 1704 2820 N -196
      -22 0 -113 196 22 h\n1.000 UP\n1.000 UL\nLT2\n1704 2820 M\n0 -113
      V\n196 22 V\n0 113 V\n-196 -22 V\n.5448 g 1711 2931 N -196 -22 -5 -111
      194 22 h\n1.000 UP\n1.000 UL\nLT2\n1711 2931 M\n-7 -111 V\n196 22 V\n5
      111 V\n-194 -22 V\n.5892 g 1724 3039 N -194 -22 -10 -108 191 22
      h\n1.000 UP\n1.000 UL\nLT2\n1724 3039 M\n-13 -108 V\n194 22 V\n10 108
      V\n-191 -22 V\n.6329 g 1743 3144 N -191 -22 -15 -104 187 21 h\n1.000
      UP\n1.000 UL\nLT2\n1743 3144 M\n-19 -105 V\n191 22 V\n15 104 V\n-187
      -21 V\n.6755 g 1769 3245 N -187 -21 -20 -100 181 20 h\n1.000 UP\n1.000
      UL\nLT2\n1769 3245 M\n-26 -101 V\n187 21 V\n20 100 V\n-181 -20 V\n.7167
      g 1801 3340 N -181 -20 -24 -94 173 19 h\n1.000 UP\n1.000 UL\nLT2\n1801
      3340 M\n-32 -95 V\n181 20 V\n24 94 V\n-173 -19 V\n.7562 g 1839 3429 N
      -173 -19 -28 -88 163 18 h\n1.000 UP\n1.000 UL\nLT2\n1839 3429 M\n-38
      -89 V\n173 19 V\n28 88 V\n-163 -18 V\n.7936 g 1882 3511 N -163 -18 -33
      -81 153 17 h\n1.000 UP\n1.000 UL\nLT2\n1882 3511 M\n-43 -82 V\n163 18
      V\n33 81 V\n-153 -17 V\n.8286 g 1930 3586 N -153 -17 -37 -74 142 16
      h\n1.000 UP\n1.000 UL\nLT2\n1930 3586 M\n-48 -75 V\n153 17 V\n37 74
      V\n-142 -16 V\n.861 g 1983 3653 N -142 -16 -40 -65 129 14 h\n1.000
      UP\n1.000 UL\nLT2\n1983 3653 M\n-53 -67 V\n142 16 V\n40 65 V\n-129 -14
      V\n.8905 g 2041 3711 N -129 -14 -44 -57 115 13 h\n1.000 UP\n1.000
      UL\nLT2\n2041 3711 M\n-58 -58 V\n129 14 V\n44 57 V\n-115 -13 V\n.9169 g
      2102 3760 N -115 -13 -46 -47 100 11 h\n1.000 UP\n1.000 UL\nLT2\n2102
      3760 M\n-61 -49 V\n115 13 V\n46 47 V\n-100 -11 V\n.9399 g 2166 3800 N
      -100 -11 -49 -38 85 9 h\n1.000 UP\n1.000 UL\nLT2\n2166 3800 M\n-64 -40
      V\n100 11 V\n49 38 V\n-85 -9 V\n.9593 g 2234 3830 N -85 -9 -52 -29 69 8
      h\n1.000 UP\n1.000 UL\nLT2\n2234 3830 M\n-68 -30 V\n85 9 V\n52 29
      V\n-69 -8 V\n.975 g 2304 3850 N -69 -8 -53 -18 52 6 h\n1.000 UP\n1.000
      UL\nLT2\n2304 3850 M\n-70 -20 V\n69 8 V\n53 18 V\n-52 -6 V\n.987 g 2375
      3860 N -52 -6 -54 -8 35 4 h\n1.000 UP\n1.000 UL\nLT2\n2375 3860 M\n-71
      -10 V\n52 6 V\n54 8 V\n-35 -4 V\n.995 g 2448 3860 N -35 -4 -55 2 17 2
      h\n1.000 UP\n1.000 UL\nLT2\n2448 3860 M\n-73 0 V\n35 4 V\n55 -2 V\n-17
      -2 V\n.999 g 2521 3849 N -17 -2 -56 13 0 0 h\n1.000 UP\n1.000
      UL\nLT2\n2521 3849 M\n-73 11 V\n17 2 V\n56 -13 V\n.001 g 2465 1353 N 0
      0 36 -24 20 1 h\n1.000 UP\n1.000 UL\nLT2\n2465 1353 M\n56 -23 V\n-36 24
      V\n-20 -1 V\n.005 g 2410 1385 N -20 -1 36 -34 39 3 h\n1.000 UP\n1.000
      UL\nLT2\n2410 1385 M\n55 -32 V\n20 1 V\n-36 34 V\n-39 -3 V\n.013 g 2356
      1427 N -39 -3 36 -44 57 5 h\n1.000 UP\n1.000 UL\nLT2\n2356 1427 M\n54
      -42 V\n39 3 V\n-36 44 V\n-57 -5 V\n.025 g 2303 1479 N -57 -5 34 -53 76
      6 h\n1.000 UP\n1.000 UL\nLT2\n2303 1479 M\n53 -52 V\n57 5 V\n-34 53
      V\n-76 -6 V\n.0407 g 2251 1540 N -76 -6 34 -61 94 6 h\n1.000 UP\n1.000
      UL\nLT2\n2251 1540 M\n52 -61 V\n76 6 V\n-34 61 V\n-94 -6 V\n.0601 g
      2202 1609 N -94 -6 32 -71 111 8 h\n1.000 UP\n1.000 UL\nLT2\n2202 1609
      M\n49 -69 V\n94 6 V\n-32 71 V\n-111 -8 V\n.0831 g 2156 1686 N -111 -8
      30 -78 127 9 h\n1.000 UP\n1.000 UL\nLT2\n2156 1686 M\n46 -77 V\n111 8
      V\n-30 78 V\n-127 -9 V\n.1095 g 2112 1770 N -127 -9 29 -85 142 10
      h\n1.000 UP\n1.000 UL\nLT2\n2112 1770 M\n44 -84 V\n127 9 V\n-29 85
      V\n-142 -10 V\n.139 g 2072 1861 N -142 -10 26 -92 156 11 h\n1.000
      UP\n1.000 UL\nLT2\n2072 1861 M\n40 -91 V\n142 10 V\n-26 92 V\n-156 -11
      V\n.1714 g 2035 1957 N -156 -11 24 -98 169 13 h\n1.000 UP\n1.000
      UL\nLT2\n2035 1957 M\n37 -96 V\n156 11 V\n-24 98 V\n-169 -13 V\n.2064 g
      2002 2059 N -169 -13 21 -102 181 13 h\n1.000 UP\n1.000 UL\nLT2\n2002
      2059 M\n33 -102 V\n169 13 V\n-21 102 V\n-181 -13 V\n.2438 g 1974 2165 N
      -181 -13 19 -107 190 14 h\n1.000 UP\n1.000 UL\nLT2\n1974 2165 M\n28
      -106 V\n181 13 V\n-19 107 V\n-190 -14 V\n.2833 g 1950 2275 N -190 -14
      16 -110 198 14 h\n1.000 UP\n1.000 UL\nLT2\n1950 2275 M\n24 -110 V\n190
      14 V\n-16 110 V\n-198 -14 V\n.3245 g 1930 2387 N -198 -14 12 -113 206
      15 h\n1.000 UP\n1.000 UL\nLT2\n1930 2387 M\n20 -112 V\n198 14 V\n-12
      113 V\n-206 -15 V\n.3671 g 1915 2500 N -206 -15 10 -114 211 16 h\n1.000
      UP\n1.000 UL\nLT2\n1915 2500 M\n15 -113 V\n206 15 V\n-10 114 V\n-211
      -16 V\n.4108 g 1905 2615 N -211 -16 6 -114 215 15 h\n1.000 UP\n1.000
      UL\nLT2\n1905 2615 M\n10 -115 V\n211 16 V\n-6 114 V\n-215 -15 V\n.4552
      g 1900 2729 N -215 -15 4 -114 216 15 h\n1.000 UP\n1.000 UL\nLT2\n1900
      2729 M\n5 -114 V\n215 15 V\n-4 114 V\n-216 -15 V\n.5 g 1900 2842 N -216
      -15 0 -113 216 15 h\n1.000 UP\n1.000 UL\nLT2\n1900 2842 M\n0 -113
      V\n216 15 V\n0 113 V\n-216 -15 V\n.5448 g 1905 2953 N -216 -15 -4 -111
      215 15 h\n1.000 UP\n1.000 UL\nLT2\n1905 2953 M\n-5 -111 V\n216 15 V\n4
      111 V\n-215 -15 V\n.5892 g 1915 3061 N -215 -15 -6 -108 211 15 h\n1.000
      UP\n1.000 UL\nLT2\n1915 3061 M\n-10 -108 V\n215 15 V\n6 108 V\n-211 -15
      V\n.6329 g 1930 3165 N -211 -15 -10 -104 206 15 h\n1.000 UP\n1.000
      UL\nLT2\n1930 3165 M\n-15 -104 V\n211 15 V\n10 104 V\n-206 -15 V\n.6755
      g 1950 3265 N -206 -15 -12 -99 198 14 h\n1.000 UP\n1.000 UL\nLT2\n1950
      3265 M\n-20 -100 V\n206 15 V\n12 99 V\n-198 -14 V\n.7167 g 1974 3359 N
      -198 -14 -16 -94 190 14 h\n1.000 UP\n1.000 UL\nLT2\n1974 3359 M\n-24
      -94 V\n198 14 V\n16 94 V\n-190 -14 V\n.7562 g 2002 3447 N -190 -14 -19
      -87 181 13 h\n1.000 UP\n1.000 UL\nLT2\n2002 3447 M\n-28 -88 V\n190 14
      V\n19 87 V\n-181 -13 V\n.7936 g 2035 3528 N -181 -13 -21 -80 169 12
      h\n1.000 UP\n1.000 UL\nLT2\n2035 3528 M\n-33 -81 V\n181 13 V\n21 80
      V\n-169 -12 V\n.8286 g 2072 3602 N -169 -12 -24 -73 156 11 h\n1.000
      UP\n1.000 UL\nLT2\n2072 3602 M\n-37 -74 V\n169 12 V\n24 73 V\n-156 -11
      V\n.861 g 2112 3667 N -156 -11 -26 -64 142 10 h\n1.000 UP\n1.000
      UL\nLT2\n2112 3667 M\n-40 -65 V\n156 11 V\n26 64 V\n-142 -10 V\n.8905 g
      2156 3724 N -142 -10 -29 -56 127 9 h\n1.000 UP\n1.000 UL\nLT2\n2156
      3724 M\n-44 -57 V\n142 10 V\n29 56 V\n-127 -9 V\n.9169 g 2202 3771 N
      -127 -9 -30 -46 111 8 h\n1.000 UP\n1.000 UL\nLT2\n2202 3771 M\n-46 -47
      V\n127 9 V\n30 46 V\n-111 -8 V\n.9399 g 2251 3809 N -111 -8 -32 -37 94
      7 h\n1.000 UP\n1.000 UL\nLT2\n2251 3809 M\n-49 -38 V\n111 8 V\n32 37
      V\n-94 -7 V\n.9593 g 2303 3838 N -94 -7 -34 -27 76 5 h\n1.000 UP\n1.000
      UL\nLT2\n2303 3838 M\n-52 -29 V\n94 7 V\n34 27 V\n-76 -5 V\n.975 g 2356
      3856 N -76 -5 -34 -17 57 4 h\n1.000 UP\n1.000 UL\nLT2\n2356 3856 M\n-53
      -18 V\n76 5 V\n34 17 V\n-57 -4 V\n.987 g 2410 3864 N -57 -4 -36 -7 39 3
      h\n1.000 UP\n1.000 UL\nLT2\n2410 3864 M\n-54 -8 V\n57 4 V\n36 7 V\n-39
      -3 V\n.995 g 2465 3862 N -39 -3 -36 4 20 1 h\n1.000 UP\n1.000
      UL\nLT2\n2465 3862 M\n-55 2 V\n39 3 V\n36 -4 V\n-20 -1 V\n.999 g 2521
      3849 N -20 -1 -36 14 0 0 h\n1.000 UP\n1.000 UL\nLT2\n2521 3849 M\n-56
      13 V\n20 1 V\n36 -14 V\n.001 g 2485 1354 N 0 0 16 -25 20 1 h\n1.000
      UP\n1.000 UL\nLT2\n2485 1354 M\n36 -24 V\n-16 25 V\n-20 -1 V\n.005 g
      2449 1388 N -20 -1 15 -35 41 2 h\n1.000 UP\n1.000 UL\nLT2\n2449 1388
      M\n36 -34 V\n20 1 V\n-15 35 V\n-41 -2 V\n.013 g 2413 1432 N -41 -2 16
      -44 61 2 h\n1.000 UP\n1.000 UL\nLT2\n2413 1432 M\n36 -44 V\n41 2 V\n-16
      44 V\n-61 -2 V\n.025 g 2379 1485 N -61 -2 15 -54 80 3 h\n1.000
      UP\n1.000 UL\nLT2\n2379 1485 M\n34 -53 V\n61 2 V\n-15 54 V\n-80 -3
      V\n.0407 g 2345 1546 N -80 -3 14 -62 100 4 h\n1.000 UP\n1.000
      UL\nLT2\n2345 1546 M\n34 -61 V\n80 3 V\n-14 62 V\n-100 -4 V\n.0601 g
      2313 1617 N -100 -4 14 -71 118 4 h\n1.000 UP\n1.000 UL\nLT2\n2313 1617
      M\n32 -71 V\n100 4 V\n-14 71 V\n-118 -4 V\n.0831 g 2283 1695 N -118 -4
      13 -79 135 5 h\n1.000 UP\n1.000 UL\nLT2\n2283 1695 M\n30 -78 V\n118 4
      V\n-13 79 V\n-135 -5 V\n.1095 g 2254 1780 N -135 -5 13 -86 151 6
      h\n1.000 UP\n1.000 UL\nLT2\n2254 1780 M\n29 -85 V\n135 5 V\n-13 86
      V\n-151 -6 V\n.139 g 2228 1872 N -151 -6 11 -92 166 6 h\n1.000
      UP\n1.000 UL\nLT2\n2228 1872 M\n26 -92 V\n151 6 V\n-11 92 V\n-166 -6
      V\n.1714 g 2204 1970 N -166 -6 10 -99 180 7 h\n1.000 UP\n1.000
      UL\nLT2\n2204 1970 M\n24 -98 V\n166 6 V\n-10 99 V\n-180 -7 V\n.2064 g
      2183 2072 N -180 -7 10 -103 191 8 h\n1.000 UP\n1.000 UL\nLT2\n2183 2072
      M\n21 -102 V\n180 7 V\n-10 103 V\n-191 -8 V\n.2438 g 2164 2179 N -191
      -8 8 -107 202 8 h\n1.000 UP\n1.000 UL\nLT2\n2164 2179 M\n19 -107 V\n191
      8 V\n-8 107 V\n-202 -8 V\n.2833 g 2148 2289 N -202 -8 7 -110 211 8
      h\n1.000 UP\n1.000 UL\nLT2\n2148 2289 M\n16 -110 V\n202 8 V\n-7 110
      V\n-211 -8 V\n.3245 g 2136 2402 N -211 -8 5 -113 218 8 h\n1.000
      UP\n1.000 UL\nLT2\n2136 2402 M\n12 -113 V\n211 8 V\n-5 113 V\n-218 -8
      V\n.3671 g 2126 2516 N -218 -8 4 -114 224 8 h\n1.000 UP\n1.000
      UL\nLT2\n2126 2516 M\n10 -114 V\n218 8 V\n-4 114 V\n-224 -8 V\n.4108 g
      2120 2630 N -224 -8 3 -115 227 9 h\n1.000 UP\n1.000 UL\nLT2\n2120 2630
      M\n6 -114 V\n224 8 V\n-3 115 V\n-227 -9 V\n.4552 g 2116 2744 N -227 -9
      2 -114 229 9 h\n1.000 UP\n1.000 UL\nLT2\n2116 2744 M\n4 -114 V\n227 9
      V\n-2 114 V\n-229 -9 V\n.5 g 2116 2857 N -229 -9 0 -113 229 9 h\n1.000
      UP\n1.000 UL\nLT2\n2116 2857 M\n0 -113 V\n229 9 V\n0 113 V\n-229 -9
      V\n.5448 g 2120 2968 N -229 -9 -2 -111 227 9 h\n1.000 UP\n1.000
      UL\nLT2\n2120 2968 M\n-4 -111 V\n229 9 V\n2 111 V\n-227 -9 V\n.5892 g
      2126 3076 N -227 -9 -3 -108 224 9 h\n1.000 UP\n1.000 UL\nLT2\n2126 3076
      M\n-6 -108 V\n227 9 V\n3 108 V\n-224 -9 V\n.6329 g 2136 3180 N -224 -9
      -4 -103 218 8 h\n1.000 UP\n1.000 UL\nLT2\n2136 3180 M\n-10 -104 V\n224
      9 V\n4 103 V\n-218 -8 V\n.6755 g 2148 3279 N -218 -8 -5 -99 211 8
      h\n1.000 UP\n1.000 UL\nLT2\n2148 3279 M\n-12 -99 V\n218 8 V\n5 99
      V\n-211 -8 V\n.7167 g 2164 3373 N -211 -8 -7 -94 202 8 h\n1.000
      UP\n1.000 UL\nLT2\n2164 3373 M\n-16 -94 V\n211 8 V\n7 94 V\n-202 -8
      V\n.7562 g 2183 3460 N -202 -8 -8 -86 191 7 h\n1.000 UP\n1.000
      UL\nLT2\n2183 3460 M\n-19 -87 V\n202 8 V\n8 86 V\n-191 -7 V\n.7936 g
      2204 3540 N -191 -7 -10 -80 180 7 h\n1.000 UP\n1.000 UL\nLT2\n2204 3540
      M\n-21 -80 V\n191 7 V\n10 80 V\n-180 -7 V\n.8286 g 2228 3613 N -180 -7
      -10 -72 166 6 h\n1.000 UP\n1.000 UL\nLT2\n2228 3613 M\n-24 -73 V\n180 7
      V\n10 72 V\n-166 -6 V\n.861 g 2254 3677 N -166 -6 -11 -64 151 6
      h\n1.000 UP\n1.000 UL\nLT2\n2254 3677 M\n-26 -64 V\n166 6 V\n11 64
      V\n-151 -6 V\n.8905 g 2283 3733 N -151 -6 -13 -55 135 5 h\n1.000
      UP\n1.000 UL\nLT2\n2283 3733 M\n-29 -56 V\n151 6 V\n13 55 V\n-135 -5
      V\n.9169 g 2313 3779 N -135 -5 -13 -46 118 5 h\n1.000 UP\n1.000
      UL\nLT2\n2313 3779 M\n-30 -46 V\n135 5 V\n13 46 V\n-118 -5 V\n.9399 g
      2345 3816 N -118 -5 -14 -36 100 4 h\n1.000 UP\n1.000 UL\nLT2\n2345 3816
      M\n-32 -37 V\n118 5 V\n14 36 V\n-100 -4 V\n.9593 g 2379 3843 N -100 -4
      -14 -26 80 3 h\n1.000 UP\n1.000 UL\nLT2\n2379 3843 M\n-34 -27 V\n100 4
      V\n14 26 V\n-80 -3 V\n.975 g 2413 3860 N -80 -3 -15 -16 61 2 h\n1.000
      UP\n1.000 UL\nLT2\n2413 3860 M\n-34 -17 V\n80 3 V\n15 16 V\n-61 -2
      V\n.987 g 2449 3867 N -61 -2 -16 -6 41 1 h\n1.000 UP\n1.000
      UL\nLT2\n2449 3867 M\n-36 -7 V\n61 2 V\n16 6 V\n-41 -1 V\n.995 g 2485
      3863 N -41 -1 -15 4 20 1 h\n1.000 UP\n1.000 UL\nLT2\n2485 3863 M\n-36 4
      V\n41 1 V\n15 -4 V\n-20 -1 V\n.999 g 2521 3849 N -20 -1 -16 15 0 0
      h\n1.000 UP\n1.000 UL\nLT2\n2521 3849 M\n-36 14 V\n20 1 V\n16 -15
      V\n.001 g 2505 1355 N 0 0 -5 -25 21 0 h\n1.000 UP\n1.000 UL\nLT2\n2505
      1355 M\n16 -25 V\n5 25 V\n-21 0 V\n.005 g 2490 1390 N -21 0 -6 -35 42 0
      h\n1.000 UP\n1.000 UL\nLT2\n2490 1390 M\n15 -35 V\n21 0 V\n6 35 V\n-42
      0 V\n.013 g 2474 1434 N -42 0 -5 -44 63 0 h\n1.000 UP\n1.000
      UL\nLT2\n2474 1434 M\n16 -44 V\n42 0 V\n5 44 V\n-63 0 V\n.025 g 2459
      1488 N -63 0 -5 -54 83 0 h\n1.000 UP\n1.000 UL\nLT2\n2459 1488 M\n15
      -54 V\n63 0 V\n5 54 V\n-83 0 V\n.0407 g 2445 1550 N -83 0 -5 -63 102 1
      h\n1.000 UP\n1.000 UL\nLT2\n2445 1550 M\n14 -62 V\n83 0 V\n5 63 V\n-102
      -1 V\n.0601 g 2431 1621 N -102 -1 -4 -71 120 1 h\n1.000 UP\n1.000
      UL\nLT2\n2431 1621 M\n14 -71 V\n102 1 V\n4 71 V\n-120 -1 V\n.0831 g
      2418 1700 N -120 -1 -5 -79 138 1 h\n1.000 UP\n1.000 UL\nLT2\n2418 1700
      M\n13 -79 V\n120 1 V\n5 79 V\n-138 -1 V\n.1095 g 2405 1786 N -138 -1 -4
      -86 155 1 h\n1.000 UP\n1.000 UL\nLT2\n2405 1786 M\n13 -86 V\n138 1 V\n4
      86 V\n-155 -1 V\n.139 g 2394 1878 N -155 -1 -4 -93 170 2 h\n1.000
      UP\n1.000 UL\nLT2\n2394 1878 M\n11 -92 V\n155 1 V\n4 93 V\n-170 -2
      V\n.1714 g 2384 1977 N -170 -2 -3 -98 183 1 h\n1.000 UP\n1.000
      UL\nLT2\n2384 1977 M\n10 -99 V\n170 2 V\n3 98 V\n-183 -1 V\n.2064 g
      2374 2080 N -183 -1 -3 -103 196 1 h\n1.000 UP\n1.000 UL\nLT2\n2374 2080
      M\n10 -103 V\n183 1 V\n3 103 V\n-196 -1 V\n.2438 g 2366 2187 N -196 -1
      -3 -107 207 1 h\n1.000 UP\n1.000 UL\nLT2\n2366 2187 M\n8 -107 V\n196 1
      V\n3 107 V\n-207 -1 V\n.2833 g 2359 2297 N -207 -1 -2 -111 216 2
      h\n1.000 UP\n1.000 UL\nLT2\n2359 2297 M\n7 -110 V\n207 1 V\n2 111
      V\n-216 -2 V\n.3245 g 2354 2410 N -216 -2 -2 -113 223 2 h\n1.000
      UP\n1.000 UL\nLT2\n2354 2410 M\n5 -113 V\n216 2 V\n2 113 V\n-223 -2
      V\n.3671 g 2350 2524 N -223 -2 -2 -114 229 2 h\n1.000 UP\n1.000
      UL\nLT2\n2350 2524 M\n4 -114 V\n223 2 V\n2 114 V\n-229 -2 V\n.4108 g
      2347 2639 N -229 -2 0 -115 232 2 h\n1.000 UP\n1.000 UL\nLT2\n2347 2639
      M\n3 -115 V\n229 2 V\n0 115 V\n-232 -2 V\n.4552 g 2345 2753 N -232 -2
      -1 -114 235 2 h\n1.000 UP\n1.000 UL\nLT2\n2345 2753 M\n2 -114 V\n232 2
      V\n1 114 V\n-235 -2 V\n.5 g 2345 2866 N -235 -2 0 -113 235 2 h\n1.000
      UP\n1.000 UL\nLT2\n2345 2866 M\n0 -113 V\n235 2 V\n0 113 V\n-235 -2
      V\n.5448 g 2347 2977 N -235 -2 1 -111 232 2 h\n1.000 UP\n1.000
      UL\nLT2\n2347 2977 M\n-2 -111 V\n235 2 V\n-1 111 V\n-232 -2 V\n.5892 g
      2350 3085 N -232 -2 0 -108 229 2 h\n1.000 UP\n1.000 UL\nLT2\n2350 3085
      M\n-3 -108 V\n232 2 V\n0 108 V\n-229 -2 V\n.6329 g 2354 3188 N -229 -2
      2 -103 223 2 h\n1.000 UP\n1.000 UL\nLT2\n2354 3188 M\n-4 -103 V\n229 2
      V\n-2 103 V\n-223 -2 V\n.6755 g 2359 3287 N -223 -2 2 -99 216 2
      h\n1.000 UP\n1.000 UL\nLT2\n2359 3287 M\n-5 -99 V\n223 2 V\n-2 99
      V\n-216 -2 V\n.7167 g 2366 3381 N -216 -2 2 -93 207 1 h\n1.000
      UP\n1.000 UL\nLT2\n2366 3381 M\n-7 -94 V\n216 2 V\n-2 93 V\n-207 -1
      V\n.7562 g 2374 3467 N -207 -1 3 -87 196 2 h\n1.000 UP\n1.000
      UL\nLT2\n2374 3467 M\n-8 -86 V\n207 1 V\n-3 87 V\n-196 -2 V\n.7936 g
      2384 3547 N -196 -2 3 -80 183 2 h\n1.000 UP\n1.000 UL\nLT2\n2384 3547
      M\n-10 -80 V\n196 2 V\n-3 80 V\n-183 -2 V\n.8286 g 2394 3619 N -183 -2
      3 -72 170 2 h\n1.000 UP\n1.000 UL\nLT2\n2394 3619 M\n-10 -72 V\n183 2
      V\n-3 72 V\n-170 -2 V\n.861 g 2405 3683 N -170 -2 4 -63 155 1 h\n1.000
      UP\n1.000 UL\nLT2\n2405 3683 M\n-11 -64 V\n170 2 V\n-4 63 V\n-155 -1
      V\n.8905 g 2418 3738 N -155 -1 4 -55 138 1 h\n1.000 UP\n1.000
      UL\nLT2\n2418 3738 M\n-13 -55 V\n155 1 V\n-4 55 V\n-138 -1 V\n.9169 g
      2431 3784 N -138 -1 5 -46 120 1 h\n1.000 UP\n1.000 UL\nLT2\n2431 3784
      M\n-13 -46 V\n138 1 V\n-5 46 V\n-120 -1 V\n.9399 g 2445 3820 N -120 -1
      4 -36 102 1 h\n1.000 UP\n1.000 UL\nLT2\n2445 3820 M\n-14 -36 V\n120 1
      V\n-4 36 V\n-102 -1 V\n.9593 g 2459 3846 N -102 -1 5 -26 83 1 h\n1.000
      UP\n1.000 UL\nLT2\n2459 3846 M\n-14 -26 V\n102 1 V\n-5 26 V\n-83 -1
      V\n.975 g 2474 3862 N -83 -1 5 -16 63 1 h\n1.000 UP\n1.000
      UL\nLT2\n2474 3862 M\n-15 -16 V\n83 1 V\n-5 16 V\n-63 -1 V\n.987 g 2490
      3868 N -63 -1 5 -6 42 1 h\n1.000 UP\n1.000 UL\nLT2\n2490 3868 M\n-16 -6
      V\n63 1 V\n-5 6 V\n-42 -1 V\n.995 g 2505 3864 N -42 -1 6 5 21 0
      h\n1.000 UP\n1.000 UL\nLT2\n2505 3864 M\n-15 4 V\n42 1 V\n-6 -5 V\n-21
      0 V\n.999 g 2521 3849 N -21 0 5 15 0 0 h\n1.000 UP\n1.000 UL\nLT2\n2521
      3849 M\n-16 15 V\n21 0 V\n-5 -15 V\n.001 g 2526 1355 N 0 0 -26 -24 21
      -1 h\n1.000 UP\n1.000 UL\nLT2\n2526 1355 M\n-5 -25 V\n26 24 V\n-21 1
      V\n.005 g 2532 1390 N -21 1 -26 -35 41 -1 h\n1.000 UP\n1.000
      UL\nLT2\n2532 1390 M\n-6 -35 V\n21 -1 V\n26 35 V\n-41 1 V\n.013 g 2537
      1434 N -41 1 -26 -44 62 -1 h\n1.000 UP\n1.000 UL\nLT2\n2537 1434 M\n-5
      -44 V\n41 -1 V\n26 44 V\n-62 1 V\n.025 g 2542 1488 N -62 1 -25 -53 82
      -2 h\n1.000 UP\n1.000 UL\nLT2\n2542 1488 M\n-5 -54 V\n62 -1 V\n25 53
      V\n-82 2 V\n.0407 g 2547 1551 N -82 2 -24 -63 101 -2 h\n1.000 UP\n1.000
      UL\nLT2\n2547 1551 M\n-5 -63 V\n82 -2 V\n24 63 V\n-101 2 V\n.0601 g
      2551 1622 N -101 2 -23 -71 120 -2 h\n1.000 UP\n1.000 UL\nLT2\n2551 1622
      M\n-4 -71 V\n101 -2 V\n23 71 V\n-120 2 V\n.0831 g 2556 1701 N -120 2
      -22 -78 137 -3 h\n1.000 UP\n1.000 UL\nLT2\n2556 1701 M\n-5 -79 V\n120
      -2 V\n22 78 V\n-137 3 V\n.1095 g 2560 1787 N -137 3 -20 -86 153 -3
      h\n1.000 UP\n1.000 UL\nLT2\n2560 1787 M\n-4 -86 V\n137 -3 V\n20 86
      V\n-153 3 V\n.139 g 2564 1880 N -153 3 -19 -92 168 -4 h\n1.000
      UP\n1.000 UL\nLT2\n2564 1880 M\n-4 -93 V\n153 -3 V\n19 92 V\n-168 4
      V\n.1714 g 2567 1978 N -168 4 -17 -98 182 -4 h\n1.000 UP\n1.000
      UL\nLT2\n2567 1978 M\n-3 -98 V\n168 -4 V\n17 98 V\n-182 4 V\n.2064 g
      2570 2081 N -182 4 -16 -103 195 -4 h\n1.000 UP\n1.000 UL\nLT2\n2570
      2081 M\n-3 -103 V\n182 -4 V\n16 103 V\n-195 4 V\n.2438 g 2573 2188 N
      -195 4 -13 -107 205 -4 h\n1.000 UP\n1.000 UL\nLT2\n2573 2188 M\n-3 -107
      V\n195 -4 V\n13 107 V\n-205 4 V\n.2833 g 2575 2299 N -205 4 -11 -110
      214 -5 h\n1.000 UP\n1.000 UL\nLT2\n2575 2299 M\n-2 -111 V\n205 -4 V\n11
      110 V\n-214 5 V\n.3245 g 2577 2412 N -214 5 -10 -113 222 -5 h\n1.000
      UP\n1.000 UL\nLT2\n2577 2412 M\n-2 -113 V\n214 -5 V\n10 113 V\n-222 5
      V\n.3671 g 2579 2526 N -222 5 -7 -114 227 -5 h\n1.000 UP\n1.000
      UL\nLT2\n2579 2526 M\n-2 -114 V\n222 -5 V\n7 114 V\n-227 5 V\n.4108 g
      2579 2641 N -227 5 -4 -114 231 -6 h\n1.000 UP\n1.000 UL\nLT2\n2579 2641
      M\n0 -115 V\n227 -5 V\n4 114 V\n-231 6 V\n.4552 g 2580 2755 N -231 6 -3
      -115 233 -5 h\n1.000 UP\n1.000 UL\nLT2\n2580 2755 M\n-1 -114 V\n231 -6
      V\n3 115 V\n-233 5 V\n.5 g 2580 2868 N -233 5 0 -113 233 -5 h\n1.000
      UP\n1.000 UL\nLT2\n2580 2868 M\n0 -113 V\n233 -5 V\n0 113 V\n-233 5
      V\n.5448 g 2579 2979 N -233 5 3 -111 231 -5 h\n1.000 UP\n1.000
      UL\nLT2\n2579 2979 M\n1 -111 V\n233 -5 V\n-3 111 V\n-231 5 V\n.5892 g
      2579 3087 N -231 5 4 -107 227 -6 h\n1.000 UP\n1.000 UL\nLT2\n2579 3087
      M\n0 -108 V\n231 -5 V\n-4 107 V\n-227 6 V\n.6329 g 2577 3190 N -227 6 7
      -104 222 -5 h\n1.000 UP\n1.000 UL\nLT2\n2577 3190 M\n2 -103 V\n227 -6
      V\n-7 104 V\n-222 5 V\n.6755 g 2575 3289 N -222 5 10 -99 214 -5
      h\n1.000 UP\n1.000 UL\nLT2\n2575 3289 M\n2 -99 V\n222 -5 V\n-10 99
      V\n-214 5 V\n.7167 g 2573 3382 N -214 5 11 -93 205 -5 h\n1.000
      UP\n1.000 UL\nLT2\n2573 3382 M\n2 -93 V\n214 -5 V\n-11 93 V\n-205 5
      V\n.7562 g 2570 3469 N -205 5 13 -87 195 -5 h\n1.000 UP\n1.000
      UL\nLT2\n2570 3469 M\n3 -87 V\n205 -5 V\n-13 87 V\n-195 5 V\n.7936 g
      2567 3549 N -195 5 16 -80 182 -5 h\n1.000 UP\n1.000 UL\nLT2\n2567 3549
      M\n3 -80 V\n195 -5 V\n-16 80 V\n-182 5 V\n.8286 g 2564 3621 N -182 5 17
      -73 168 -4 h\n1.000 UP\n1.000 UL\nLT2\n2564 3621 M\n3 -72 V\n182 -5
      V\n-17 73 V\n-168 4 V\n.861 g 2560 3684 N -168 4 19 -64 153 -3 h\n1.000
      UP\n1.000 UL\nLT2\n2560 3684 M\n4 -63 V\n168 -4 V\n-19 64 V\n-153 3
      V\n.8905 g 2556 3739 N -153 3 20 -55 137 -3 h\n1.000 UP\n1.000
      UL\nLT2\n2556 3739 M\n4 -55 V\n153 -3 V\n-20 55 V\n-137 3 V\n.9169 g
      2551 3785 N -137 3 22 -46 120 -3 h\n1.000 UP\n1.000 UL\nLT2\n2551 3785
      M\n5 -46 V\n137 -3 V\n-22 46 V\n-120 3 V\n.9399 g 2547 3821 N -120 3 23
      -36 101 -3 h\n1.000 UP\n1.000 UL\nLT2\n2547 3821 M\n4 -36 V\n120 -3
      V\n-23 36 V\n-101 3 V\n.9593 g 2542 3847 N -101 3 24 -27 82 -2 h\n1.000
      UP\n1.000 UL\nLT2\n2542 3847 M\n5 -26 V\n101 -3 V\n-24 27 V\n-82 2
      V\n.975 g 2537 3863 N -82 2 25 -16 62 -2 h\n1.000 UP\n1.000
      UL\nLT2\n2537 3863 M\n5 -16 V\n82 -2 V\n-25 16 V\n-62 2 V\n.987 g 2532
      3869 N -62 2 26 -7 41 -1 h\n1.000 UP\n1.000 UL\nLT2\n2532 3869 M\n5 -6
      V\n62 -2 V\n-26 7 V\n-41 1 V\n.995 g 2526 3864 N -41 1 26 5 21 -1
      h\n1.000 UP\n1.000 UL\nLT2\n2526 3864 M\n6 5 V\n41 -1 V\n-26 -5 V\n-21
      1 V\n.999 g 2521 3849 N -21 1 26 14 0 0 h\n1.000 UP\n1.000
      UL\nLT2\n2521 3849 M\n5 15 V\n21 -1 V\n-26 -14 V\n.001 g 2547 1354 N 0
      0 -46 -23 20 -1 h\n1.000 UP\n1.000 UL\nLT2\n2547 1354 M\n-26 -24 V\n46
      23 V\n-20 1 V\n.005 g 2573 1389 N -20 1 -46 -34 40 -2 h\n1.000
      UP\n1.000 UL\nLT2\n2573 1389 M\n-26 -35 V\n20 -1 V\n46 34 V\n-40 2
      V\n.013 g 2599 1433 N -40 2 -45 -43 59 -3 h\n1.000 UP\n1.000
      UL\nLT2\n2599 1433 M\n-26 -44 V\n40 -2 V\n45 43 V\n-59 3 V\n.025 g 2624
      1486 N -59 3 -44 -52 78 -4 h\n1.000 UP\n1.000 UL\nLT2\n2624 1486 M\n-25
      -53 V\n59 -3 V\n44 52 V\n-78 4 V\n.0407 g 2648 1549 N -78 4 -43 -61 97
      -6 h\n1.000 UP\n1.000 UL\nLT2\n2648 1549 M\n-24 -63 V\n78 -4 V\n43 61
      V\n-97 6 V\n.0601 g 2671 1620 N -97 6 -41 -70 115 -7 h\n1.000 UP\n1.000
      UL\nLT2\n2671 1620 M\n-23 -71 V\n97 -6 V\n41 70 V\n-115 7 V\n.0831 g
      2693 1698 N -115 7 -38 -78 131 -7 h\n1.000 UP\n1.000 UL\nLT2\n2693 1698
      M\n-22 -78 V\n115 -7 V\n38 78 V\n-131 7 V\n.1095 g 2713 1784 N -131 7
      -36 -85 147 -8 h\n1.000 UP\n1.000 UL\nLT2\n2713 1784 M\n-20 -86 V\n131
      -7 V\n36 85 V\n-147 8 V\n.139 g 2732 1876 N -147 8 -34 -91 162 -9
      h\n1.000 UP\n1.000 UL\nLT2\n2732 1876 M\n-19 -92 V\n147 -8 V\n34 91
      V\n-162 9 V\n.1714 g 2749 1974 N -162 9 -30 -97 175 -10 h\n1.000
      UP\n1.000 UL\nLT2\n2749 1974 M\n-17 -98 V\n162 -9 V\n30 97 V\n-175 10
      V\n.2064 g 2765 2077 N -175 10 -27 -102 186 -11 h\n1.000 UP\n1.000
      UL\nLT2\n2765 2077 M\n-16 -103 V\n175 -10 V\n27 102 V\n-186 11 V\n.2438
      g 2778 2184 N -186 11 -24 -107 197 -11 h\n1.000 UP\n1.000 UL\nLT2\n2778
      2184 M\n-13 -107 V\n186 -11 V\n24 107 V\n-197 11 V\n.2833 g 2789 2294 N
      -197 11 -20 -110 206 -11 h\n1.000 UP\n1.000 UL\nLT2\n2789 2294 M\n-11
      -110 V\n197 -11 V\n20 110 V\n-206 11 V\n.3245 g 2799 2407 N -206 11 -16
      -112 212 -12 h\n1.000 UP\n1.000 UL\nLT2\n2799 2407 M\n-10 -113 V\n206
      -11 V\n16 112 V\n-212 12 V\n.3671 g 2806 2521 N -212 12 -13 -114 218
      -12 h\n1.000 UP\n1.000 UL\nLT2\n2806 2521 M\n-7 -114 V\n212 -12 V\n13
      114 V\n-218 12 V\n.4108 g 2810 2635 N -218 12 -8 -114 222 -12 h\n1.000
      UP\n1.000 UL\nLT2\n2810 2635 M\n-4 -114 V\n218 -12 V\n8 114 V\n-222 12
      V\n.4552 g 2813 2750 N -222 12 -4 -114 223 -13 h\n1.000 UP\n1.000
      UL\nLT2\n2813 2750 M\n-3 -115 V\n222 -12 V\n4 114 V\n-223 13 V\n.5 g
      2813 2863 N -223 13 0 -113 223 -13 h\n1.000 UP\n1.000 UL\nLT2\n2813
      2863 M\n0 -113 V\n223 -13 V\n0 113 V\n-223 13 V\n.5448 g 2810 2974 N
      -223 13 4 -111 222 -13 h\n1.000 UP\n1.000 UL\nLT2\n2810 2974 M\n3 -111
      V\n223 -13 V\n-4 111 V\n-222 13 V\n.5892 g 2806 3081 N -222 13 8 -108
      218 -12 h\n1.000 UP\n1.000 UL\nLT2\n2806 3081 M\n4 -107 V\n222 -13
      V\n-8 108 V\n-218 12 V\n.6329 g 2799 3185 N -218 12 13 -104 212 -12
      h\n1.000 UP\n1.000 UL\nLT2\n2799 3185 M\n7 -104 V\n218 -12 V\n-13 104
      V\n-212 12 V\n.6755 g 2789 3284 N -212 12 16 -100 206 -11 h\n1.000
      UP\n1.000 UL\nLT2\n2789 3284 M\n10 -99 V\n212 -12 V\n-16 100 V\n-206 11
      V\n.7167 g 2778 3377 N -206 11 20 -94 197 -10 h\n1.000 UP\n1.000
      UL\nLT2\n2778 3377 M\n11 -93 V\n206 -11 V\n-20 94 V\n-197 10 V\n.7562 g
      2765 3464 N -197 10 24 -87 186 -10 h\n1.000 UP\n1.000 UL\nLT2\n2765
      3464 M\n13 -87 V\n197 -10 V\n-24 87 V\n-186 10 V\n.7936 g 2749 3544 N
      -186 10 27 -81 175 -9 h\n1.000 UP\n1.000 UL\nLT2\n2749 3544 M\n16 -80
      V\n186 -10 V\n-27 81 V\n-175 9 V\n.8286 g 2732 3617 N -175 9 30 -73 162
      -9 h\n1.000 UP\n1.000 UL\nLT2\n2732 3617 M\n17 -73 V\n175 -9 V\n-30 73
      V\n-162 9 V\n.861 g 2713 3681 N -162 9 34 -65 147 -8 h\n1.000 UP\n1.000
      UL\nLT2\n2713 3681 M\n19 -64 V\n162 -9 V\n-34 65 V\n-147 8 V\n.8905 g
      2693 3736 N -147 8 36 -56 131 -7 h\n1.000 UP\n1.000 UL\nLT2\n2693 3736
      M\n20 -55 V\n147 -8 V\n-36 56 V\n-131 7 V\n.9169 g 2671 3782 N -131 7
      38 -47 115 -6 h\n1.000 UP\n1.000 UL\nLT2\n2671 3782 M\n22 -46 V\n131 -7
      V\n-38 47 V\n-115 6 V\n.9399 g 2648 3818 N -115 6 41 -37 97 -5 h\n1.000
      UP\n1.000 UL\nLT2\n2648 3818 M\n23 -36 V\n115 -6 V\n-41 37 V\n-97 5
      V\n.9593 g 2624 3845 N -97 5 43 -28 78 -4 h\n1.000 UP\n1.000
      UL\nLT2\n2624 3845 M\n24 -27 V\n97 -5 V\n-43 28 V\n-78 4 V\n.975 g 2599
      3861 N -78 4 44 -17 59 -3 h\n1.000 UP\n1.000 UL\nLT2\n2599 3861 M\n25
      -16 V\n78 -4 V\n-44 17 V\n-59 3 V\n.987 g 2573 3868 N -59 3 45 -7 40 -3
      h\n1.000 UP\n1.000 UL\nLT2\n2573 3868 M\n26 -7 V\n59 -3 V\n-45 7 V\n-40
      3 V\n.995 g 2547 3863 N -40 3 46 3 20 -1 h\n1.000 UP\n1.000
      UL\nLT2\n2547 3863 M\n26 5 V\n40 -3 V\n-46 -3 V\n-20 1 V\n.999 g 2521
      3849 N -20 1 46 13 0 0 h\n1.000 UP\n1.000 UL\nLT2\n2521 3849 M\n26 14
      V\n20 -1 V\n-46 -13 V\n.001 g 2567 1353 N 0 0 -65 -22 19 -1 h\n1.000
      UP\n1.000 UL\nLT2\n2567 1353 M\n-46 -23 V\n65 22 V\n-19 1 V\n.005 g
      2613 1387 N -19 1 -64 -31 37 -4 h\n1.000 UP\n1.000 UL\nLT2\n2613 1387
      M\n-46 -34 V\n19 -1 V\n64 31 V\n-37 4 V\n.013 g 2658 1430 N -37 4 -63
      -42 55 -5 h\n1.000 UP\n1.000 UL\nLT2\n2658 1430 M\n-45 -43 V\n37 -4
      V\n63 42 V\n-55 5 V\n.025 g 2702 1482 N -55 5 -62 -51 73 -6 h\n1.000
      UP\n1.000 UL\nLT2\n2702 1482 M\n-44 -52 V\n55 -5 V\n62 51 V\n-73 6
      V\n.0407 g 2745 1543 N -73 6 -60 -59 90 -8 h\n1.000 UP\n1.000
      UL\nLT2\n2745 1543 M\n-43 -61 V\n73 -6 V\n60 59 V\n-90 8 V\n.0601 g
      2786 1613 N -90 8 -57 -68 106 -10 h\n1.000 UP\n1.000 UL\nLT2\n2786 1613
      M\n-41 -70 V\n90 -8 V\n57 68 V\n-106 10 V\n.0831 g 2824 1691 N -106 10
      -54 -77 122 -11 h\n1.000 UP\n1.000 UL\nLT2\n2824 1691 M\n-38 -78 V\n106
      -10 V\n54 77 V\n-122 11 V\n.1095 g 2860 1776 N -122 11 -50 -83 136 -13
      h\n1.000 UP\n1.000 UL\nLT2\n2860 1776 M\n-36 -85 V\n122 -11 V\n50 83
      V\n-136 13 V\n.139 g 2894 1867 N -136 13 -47 -90 149 -14 h\n1.000
      UP\n1.000 UL\nLT2\n2894 1867 M\n-34 -91 V\n136 -13 V\n47 90 V\n-149 14
      V\n.1714 g 2924 1964 N -149 14 -43 -96 162 -15 h\n1.000 UP\n1.000
      UL\nLT2\n2924 1964 M\n-30 -97 V\n149 -14 V\n43 96 V\n-162 15 V\n.2064 g
      2951 2066 N -162 15 -38 -102 173 -15 h\n1.000 UP\n1.000 UL\nLT2\n2951
      2066 M\n-27 -102 V\n162 -15 V\n38 102 V\n-173 15 V\n.2438 g 2975 2173 N
      -173 15 -33 -105 182 -17 h\n1.000 UP\n1.000 UL\nLT2\n2975 2173 M\n-24
      -107 V\n173 -15 V\n33 105 V\n-182 17 V\n.2833 g 2995 2283 N -182 17 -28
      -109 190 -18 h\n1.000 UP\n1.000 UL\nLT2\n2995 2283 M\n-20 -110 V\n182
      -17 V\n28 109 V\n-190 18 V\n.3245 g 3011 2395 N -190 18 -23 -112 197
      -18 h\n1.000 UP\n1.000 UL\nLT2\n3011 2395 M\n-16 -112 V\n190 -18 V\n23
      112 V\n-197 18 V\n.3671 g 3024 2509 N -197 18 -18 -113 202 -19 h\n1.000
      UP\n1.000 UL\nLT2\n3024 2509 M\n-13 -114 V\n197 -18 V\n18 113 V\n-202
      19 V\n.4108 g 3032 2623 N -202 19 -11 -114 205 -19 h\n1.000 UP\n1.000
      UL\nLT2\n3032 2623 M\n-8 -114 V\n202 -19 V\n11 114 V\n-205 19 V\n.4552
      g 3036 2737 N -205 19 -6 -115 207 -18 h\n1.000 UP\n1.000 UL\nLT2\n3036
      2737 M\n-4 -114 V\n205 -19 V\n6 115 V\n-207 18 V\n.5 g 3036 2850 N -207
      18 0 -113 207 -18 h\n1.000 UP\n1.000 UL\nLT2\n3036 2850 M\n0 -113
      V\n207 -18 V\n0 113 V\n-207 18 V\n.5448 g 3032 2961 N -207 18 6 -111
      205 -18 h\n1.000 UP\n1.000 UL\nLT2\n3032 2961 M\n4 -111 V\n207 -18
      V\n-6 111 V\n-205 18 V\n.5892 g 3024 3069 N -205 18 11 -108 202 -18
      h\n1.000 UP\n1.000 UL\nLT2\n3024 3069 M\n8 -108 V\n205 -18 V\n-11 108
      V\n-202 18 V\n.6329 g 3011 3173 N -202 18 18 -104 197 -18 h\n1.000
      UP\n1.000 UL\nLT2\n3011 3173 M\n13 -104 V\n202 -18 V\n-18 104 V\n-197
      18 V\n.6755 g 2995 3273 N -197 18 23 -100 190 -18 h\n1.000 UP\n1.000
      UL\nLT2\n2995 3273 M\n16 -100 V\n197 -18 V\n-23 100 V\n-190 18 V\n.7167
      g 2975 3367 N -190 18 28 -95 182 -17 h\n1.000 UP\n1.000 UL\nLT2\n2975
      3367 M\n20 -94 V\n190 -18 V\n-28 95 V\n-182 17 V\n.7562 g 2951 3454 N
      -182 17 33 -88 173 -16 h\n1.000 UP\n1.000 UL\nLT2\n2951 3454 M\n24 -87
      V\n182 -17 V\n-33 88 V\n-173 16 V\n.7936 g 2924 3535 N -173 16 38 -82
      162 -15 h\n1.000 UP\n1.000 UL\nLT2\n2924 3535 M\n27 -81 V\n173 -16
      V\n-38 82 V\n-162 15 V\n.8286 g 2894 3608 N -162 15 43 -74 149 -14
      h\n1.000 UP\n1.000 UL\nLT2\n2894 3608 M\n30 -73 V\n162 -15 V\n-43 74
      V\n-149 14 V\n.861 g 2860 3673 N -149 14 47 -66 136 -13 h\n1.000
      UP\n1.000 UL\nLT2\n2860 3673 M\n34 -65 V\n149 -14 V\n-47 66 V\n-136 13
      V\n.8905 g 2824 3729 N -136 13 50 -58 122 -11 h\n1.000 UP\n1.000
      UL\nLT2\n2824 3729 M\n36 -56 V\n136 -13 V\n-50 58 V\n-122 11 V\n.9169 g
      2786 3776 N -122 11 54 -48 106 -10 h\n1.000 UP\n1.000 UL\nLT2\n2786
      3776 M\n38 -47 V\n122 -11 V\n-54 48 V\n-106 10 V\n.9399 g 2745 3813 N
      -106 10 57 -39 90 -8 h\n1.000 UP\n1.000 UL\nLT2\n2745 3813 M\n41 -37
      V\n106 -10 V\n-57 39 V\n-90 8 V\n.9593 g 2702 3841 N -90 8 60 -29 73 -7
      h\n1.000 UP\n1.000 UL\nLT2\n2702 3841 M\n43 -28 V\n90 -8 V\n-60 29
      V\n-73 7 V\n.975 g 2658 3858 N -73 7 62 -19 55 -5 h\n1.000 UP\n1.000
      UL\nLT2\n2658 3858 M\n44 -17 V\n73 -7 V\n-62 19 V\n-55 5 V\n.987 g 2613
      3865 N -55 5 63 -9 37 -3 h\n1.000 UP\n1.000 UL\nLT2\n2613 3865 M\n45 -7
      V\n55 -5 V\n-63 9 V\n-37 3 V\n.995 g 2567 3862 N -37 3 64 1 19 -1
      h\n1.000 UP\n1.000 UL\nLT2\n2567 3862 M\n46 3 V\n37 -3 V\n-64 -1 V\n-19
      1 V\n.999 g 2521 3849 N -19 1 65 12 0 0 h\n1.000 UP\n1.000
      UL\nLT2\n2521 3849 M\n46 13 V\n19 -1 V\n-65 -12 V\n.001 g 2586 1352 N 0
      0 -81 -19 16 -3 h\n1.000 UP\n1.000 UL\nLT2\n2586 1352 M\n-65 -22 V\n81
      19 V\n-16 3 V\n.005 g 2650 1383 N -16 3 -81 -30 33 -4 h\n1.000
      UP\n1.000 UL\nLT2\n2650 1383 M\n-64 -31 V\n16 -3 V\n81 30 V\n-33 4
      V\n.013 g 2713 1425 N -33 4 -79 -39 49 -7 h\n1.000 UP\n1.000
      UL\nLT2\n2713 1425 M\n-63 -42 V\n33 -4 V\n79 39 V\n-49 7 V\n.025 g 2775
      1476 N -49 7 -78 -49 65 -9 h\n1.000 UP\n1.000 UL\nLT2\n2775 1476 M\n-62
      -51 V\n49 -7 V\n78 49 V\n-65 9 V\n.0407 g 2835 1535 N -65 9 -74 -57 79
      -11 h\n1.000 UP\n1.000 UL\nLT2\n2835 1535 M\n-60 -59 V\n65 -9 V\n74 57
      V\n-79 11 V\n.0601 g 2892 1603 N -79 11 -72 -67 94 -12 h\n1.000
      UP\n1.000 UL\nLT2\n2892 1603 M\n-57 -68 V\n79 -11 V\n72 67 V\n-94 12
      V\n.0831 g 2946 1680 N -94 12 -68 -74 108 -15 h\n1.000 UP\n1.000
      UL\nLT2\n2946 1680 M\n-54 -77 V\n94 -12 V\n68 74 V\n-108 15 V\n.1095 g
      2996 1763 N -108 15 -63 -82 121 -16 h\n1.000 UP\n1.000 UL\nLT2\n2996
      1763 M\n-50 -83 V\n108 -15 V\n63 82 V\n-121 16 V\n.139 g 3043 1853 N
      -121 16 -59 -88 133 -18 h\n1.000 UP\n1.000 UL\nLT2\n3043 1853 M\n-47
      -90 V\n121 -16 V\n59 88 V\n-133 18 V\n.1714 g 3086 1949 N -133 18 -54
      -95 144 -19 h\n1.000 UP\n1.000 UL\nLT2\n3086 1949 M\n-43 -96 V\n133 -18
      V\n54 95 V\n-144 19 V\n.2064 g 3124 2051 N -144 19 -48 -100 154 -21
      h\n1.000 UP\n1.000 UL\nLT2\n3124 2051 M\n-38 -102 V\n144 -19 V\n48 100
      V\n-154 21 V\n.2438 g 3157 2156 N -154 21 -41 -104 162 -22 h\n1.000
      UP\n1.000 UL\nLT2\n3157 2156 M\n-33 -105 V\n154 -21 V\n41 104 V\n-162
      22 V\n.2833 g 3185 2265 N -162 22 -36 -108 170 -23 h\n1.000 UP\n1.000
      UL\nLT2\n3185 2265 M\n-28 -109 V\n162 -22 V\n36 108 V\n-170 23 V\n.3245
      g 3208 2377 N -170 23 -28 -111 175 -24 h\n1.000 UP\n1.000 UL\nLT2\n3208
      2377 M\n-23 -112 V\n170 -23 V\n28 111 V\n-175 24 V\n.3671 g 3226 2490 N
      -175 24 -22 -113 179 -24 h\n1.000 UP\n1.000 UL\nLT2\n3226 2490 M\n-18
      -113 V\n175 -24 V\n22 113 V\n-179 24 V\n.4108 g 3237 2604 N -179 24 -14
      -114 182 -24 h\n1.000 UP\n1.000 UL\nLT2\n3237 2604 M\n-11 -114 V\n179
      -24 V\n14 114 V\n-182 24 V\n.4552 g 3243 2719 N -182 24 -8 -114 184 -25
      h\n1.000 UP\n1.000 UL\nLT2\n3243 2719 M\n-6 -115 V\n182 -24 V\n8 114
      V\n-184 25 V\n.5 g 3243 2832 N -184 25 0 -113 184 -25 h\n1.000
      UP\n1.000 UL\nLT2\n3243 2832 M\n0 -113 V\n184 -25 V\n0 113 V\n-184 25
      V\n.5448 g 3237 2943 N -184 25 8 -111 182 -25 h\n1.000 UP\n1.000
      UL\nLT2\n3237 2943 M\n6 -111 V\n184 -25 V\n-8 111 V\n-182 25 V\n.5892 g
      3226 3051 N -182 25 14 -109 179 -24 h\n1.000 UP\n1.000 UL\nLT2\n3226
      3051 M\n11 -108 V\n182 -25 V\n-14 109 V\n-179 24 V\n.6329 g 3208 3155 N
      -179 24 22 -105 175 -23 h\n1.000 UP\n1.000 UL\nLT2\n3208 3155 M\n18
      -104 V\n179 -24 V\n-22 105 V\n-175 23 V\n.6755 g 3185 3255 N -175 23 28
      -100 170 -23 h\n1.000 UP\n1.000 UL\nLT2\n3185 3255 M\n23 -100 V\n175
      -23 V\n-28 100 V\n-170 23 V\n.7167 g 3157 3350 N -170 23 36 -96 162 -22
      h\n1.000 UP\n1.000 UL\nLT2\n3157 3350 M\n28 -95 V\n170 -23 V\n-36 96
      V\n-162 22 V\n.7562 g 3124 3438 N -162 22 41 -90 154 -20 h\n1.000
      UP\n1.000 UL\nLT2\n3124 3438 M\n33 -88 V\n162 -22 V\n-41 90 V\n-154 20
      V\n.7936 g 3086 3520 N -154 20 48 -83 144 -19 h\n1.000 UP\n1.000
      UL\nLT2\n3086 3520 M\n38 -82 V\n154 -20 V\n-48 83 V\n-144 19 V\n.8286 g
      3043 3594 N -144 19 54 -75 133 -18 h\n1.000 UP\n1.000 UL\nLT2\n3043
      3594 M\n43 -74 V\n144 -19 V\n-54 75 V\n-133 18 V\n.861 g 2996 3660 N
      -133 18 59 -68 121 -16 h\n1.000 UP\n1.000 UL\nLT2\n2996 3660 M\n47 -66
      V\n133 -18 V\n-59 68 V\n-121 16 V\n.8905 g 2946 3718 N -121 16 63 -59
      108 -15 h\n1.000 UP\n1.000 UL\nLT2\n2946 3718 M\n50 -58 V\n121 -16
      V\n-63 59 V\n-108 15 V\n.9169 g 2892 3766 N -108 15 68 -50 94 -13
      h\n1.000 UP\n1.000 UL\nLT2\n2892 3766 M\n54 -48 V\n108 -15 V\n-68 50
      V\n-94 13 V\n.9399 g 2835 3805 N -94 13 72 -41 79 -11 h\n1.000
      UP\n1.000 UL\nLT2\n2835 3805 M\n57 -39 V\n94 -13 V\n-72 41 V\n-79 11
      V\n.9593 g 2775 3834 N -79 11 74 -31 65 -9 h\n1.000 UP\n1.000
      UL\nLT2\n2775 3834 M\n60 -29 V\n79 -11 V\n-74 31 V\n-65 9 V\n.975 g
      2713 3853 N -65 9 78 -21 49 -7 h\n1.000 UP\n1.000 UL\nLT2\n2713 3853
      M\n62 -19 V\n65 -9 V\n-78 21 V\n-49 7 V\n.987 g 2650 3862 N -49 7 79
      -12 33 -4 h\n1.000 UP\n1.000 UL\nLT2\n2650 3862 M\n63 -9 V\n49 -7
      V\n-79 12 V\n-33 4 V\n.995 g 2586 3861 N -33 4 81 0 16 -3 h\n1.000
      UP\n1.000 UL\nLT2\n2586 3861 M\n64 1 V\n33 -4 V\n-81 0 V\n-16 3 V\n.999
      g 2521 3849 N -16 3 81 9 0 0 h\n1.000 UP\n1.000 UL\nLT2\n2521 3849
      M\n65 12 V\n16 -3 V\n-81 -9 V\n.001 g 2602 1349 N 0 0 -95 -17 14 -2
      h\n1.000 UP\n1.000 UL\nLT2\n2602 1349 M\n-81 -19 V\n95 17 V\n-14 2
      V\n.005 g 2683 1379 N -14 2 -95 -27 28 -5 h\n1.000 UP\n1.000
      UL\nLT2\n2683 1379 M\n-81 -30 V\n14 -2 V\n95 27 V\n-28 5 V\n.013 g 2762
      1418 N -28 5 -92 -36 41 -8 h\n1.000 UP\n1.000 UL\nLT2\n2762 1418 M\n-79
      -39 V\n28 -5 V\n92 36 V\n-41 8 V\n.025 g 2840 1467 N -41 8 -91 -46 54
      -11 h\n1.000 UP\n1.000 UL\nLT2\n2840 1467 M\n-78 -49 V\n41 -8 V\n91 46
      V\n-54 11 V\n.0407 g 2914 1524 N -54 11 -87 -55 67 -13 h\n1.000
      UP\n1.000 UL\nLT2\n2914 1524 M\n-74 -57 V\n54 -11 V\n87 55 V\n-67 13
      V\n.0601 g 2986 1591 N -67 13 -84 -64 79 -16 h\n1.000 UP\n1.000
      UL\nLT2\n2986 1591 M\n-72 -67 V\n67 -13 V\n84 64 V\n-79 16 V\n.0831 g
      3054 1665 N -79 16 -80 -72 91 -18 h\n1.000 UP\n1.000 UL\nLT2\n3054 1665
      M\n-68 -74 V\n79 -16 V\n80 72 V\n-91 18 V\n.1095 g 3117 1747 N -91 18
      -74 -80 102 -20 h\n1.000 UP\n1.000 UL\nLT2\n3117 1747 M\n-63 -82 V\n91
      -18 V\n74 80 V\n-102 20 V\n.139 g 3176 1835 N -102 20 -69 -87 112 -21
      h\n1.000 UP\n1.000 UL\nLT2\n3176 1835 M\n-59 -88 V\n102 -20 V\n69 87
      V\n-112 21 V\n.1714 g 3230 1930 N -112 21 -63 -92 121 -24 h\n1.000
      UP\n1.000 UL\nLT2\n3230 1930 M\n-54 -95 V\n112 -21 V\n63 92 V\n-121 24
      V\n.2064 g 3278 2030 N -121 24 -56 -99 129 -25 h\n1.000 UP\n1.000
      UL\nLT2\n3278 2030 M\n-48 -100 V\n121 -24 V\n56 99 V\n-129 25 V\n.2438
      g 3319 2134 N -129 25 -48 -103 136 -26 h\n1.000 UP\n1.000 UL\nLT2\n3319
      2134 M\n-41 -104 V\n129 -25 V\n48 103 V\n-136 26 V\n.2833 g 3355 2242 N
      -136 26 -42 -107 142 -27 h\n1.000 UP\n1.000 UL\nLT2\n3355 2242 M\n-36
      -108 V\n136 -26 V\n42 107 V\n-142 27 V\n.3245 g 3383 2353 N -142 27 -33
      -110 147 -28 h\n1.000 UP\n1.000 UL\nLT2\n3383 2353 M\n-28 -111 V\n142
      -27 V\n33 110 V\n-147 28 V\n.3671 g 3405 2466 N -147 28 -26 -112 151
      -29 h\n1.000 UP\n1.000 UL\nLT2\n3405 2466 M\n-22 -113 V\n147 -28 V\n26
      112 V\n-151 29 V\n.4108 g 3419 2580 N -151 29 -17 -113 154 -30 h\n1.000
      UP\n1.000 UL\nLT2\n3419 2580 M\n-14 -114 V\n151 -29 V\n17 113 V\n-154
      30 V\n.4552 g 3427 2694 N -154 30 -8 -114 154 -30 h\n1.000 UP\n1.000
      UL\nLT2\n3427 2694 M\n-8 -114 V\n154 -30 V\n8 114 V\n-154 30 V\n.5 g
      3427 2807 N -154 30 0 -113 154 -30 h\n1.000 UP\n1.000 UL\nLT2\n3427
      2807 M\n0 -113 V\n154 -30 V\n0 113 V\n-154 30 V\n.5448 g 3419 2918 N
      -154 30 8 -111 154 -30 h\n1.000 UP\n1.000 UL\nLT2\n3419 2918 M\n8 -111
      V\n154 -30 V\n-8 111 V\n-154 30 V\n.5892 g 3405 3027 N -154 30 17 -109
      151 -30 h\n1.000 UP\n1.000 UL\nLT2\n3405 3027 M\n14 -109 V\n154 -30
      V\n-17 109 V\n-151 30 V\n.6329 g 3383 3132 N -151 30 26 -106 147 -29
      h\n1.000 UP\n1.000 UL\nLT2\n3383 3132 M\n22 -105 V\n151 -30 V\n-26 106
      V\n-147 29 V\n.6755 g 3355 3232 N -147 29 33 -102 142 -27 h\n1.000
      UP\n1.000 UL\nLT2\n3355 3232 M\n28 -100 V\n147 -29 V\n-33 102 V\n-142
      27 V\n.7167 g 3319 3328 N -142 27 42 -97 136 -26 h\n1.000 UP\n1.000
      UL\nLT2\n3319 3328 M\n36 -96 V\n142 -27 V\n-42 97 V\n-136 26 V\n.7562 g
      3278 3418 N -136 26 48 -91 129 -25 h\n1.000 UP\n1.000 UL\nLT2\n3278
      3418 M\n41 -90 V\n136 -26 V\n-48 91 V\n-129 25 V\n.7936 g 3230 3501 N
      -129 25 56 -84 121 -24 h\n1.000 UP\n1.000 UL\nLT2\n3230 3501 M\n48 -83
      V\n129 -25 V\n-56 84 V\n-121 24 V\n.8286 g 3176 3576 N -121 24 63 -77
      112 -22 h\n1.000 UP\n1.000 UL\nLT2\n3176 3576 M\n54 -75 V\n121 -24
      V\n-63 77 V\n-112 22 V\n.861 g 3117 3644 N -112 22 69 -70 102 -20
      h\n1.000 UP\n1.000 UL\nLT2\n3117 3644 M\n59 -68 V\n112 -22 V\n-69 70
      V\n-102 20 V\n.8905 g 3054 3703 N -102 20 74 -61 91 -18 h\n1.000
      UP\n1.000 UL\nLT2\n3054 3703 M\n63 -59 V\n102 -20 V\n-74 61 V\n-91 18
      V\n.9169 g 2986 3753 N -91 18 80 -53 79 -15 h\n1.000 UP\n1.000
      UL\nLT2\n2986 3753 M\n68 -50 V\n91 -18 V\n-80 53 V\n-79 15 V\n.9399 g
      2914 3794 N -79 15 84 -43 67 -13 h\n1.000 UP\n1.000 UL\nLT2\n2914 3794
      M\n72 -41 V\n79 -15 V\n-84 43 V\n-67 13 V\n.9593 g 2840 3825 N -67 13
      87 -34 54 -10 h\n1.000 UP\n1.000 UL\nLT2\n2840 3825 M\n74 -31 V\n67 -13
      V\n-87 34 V\n-54 10 V\n.975 g 2762 3846 N -54 10 91 -23 41 -8 h\n1.000
      UP\n1.000 UL\nLT2\n2762 3846 M\n78 -21 V\n54 -10 V\n-91 23 V\n-41 8
      V\n.987 g 2683 3858 N -41 8 92 -14 28 -6 h\n1.000 UP\n1.000
      UL\nLT2\n2683 3858 M\n79 -12 V\n41 -8 V\n-92 14 V\n-28 6 V\n.995 g 2602
      3858 N -28 6 95 -4 14 -2 h\n1.000 UP\n1.000 UL\nLT2\n2602 3858 M\n81 0
      V\n28 -6 V\n-95 4 V\n-14 2 V\n.999 g 2521 3849 N -14 2 95 7 0 0
      h\n1.000 UP\n1.000 UL\nLT2\n2521 3849 M\n81 9 V\n14 -2 V\n-95 -7
      V\n.001 g 2616 1347 N 0 0 -106 -14 11 -3 h\n1.000 UP\n1.000
      UL\nLT2\n2616 1347 M\n-95 -17 V\n106 14 V\n-11 3 V\n.005 g 2711 1374 N
      -11 3 -105 -23 21 -7 h\n1.000 UP\n1.000 UL\nLT2\n2711 1374 M\n-95 -27
      V\n11 -3 V\n105 23 V\n-21 7 V\n.013 g 2803 1410 N -21 7 -103 -34 32 -9
      h\n1.000 UP\n1.000 UL\nLT2\n2803 1410 M\n-92 -36 V\n21 -7 V\n103 34
      V\n-32 9 V\n.025 g 2894 1456 N -32 9 -101 -43 42 -12 h\n1.000 UP\n1.000
      UL\nLT2\n2894 1456 M\n-91 -46 V\n32 -9 V\n101 43 V\n-42 12 V\n.0407 g
      2981 1511 N -42 12 -98 -53 53 -14 h\n1.000 UP\n1.000 UL\nLT2\n2981 1511
      M\n-87 -55 V\n42 -12 V\n98 53 V\n-53 14 V\n.0601 g 3065 1575 N -53 14
      -93 -61 62 -17 h\n1.000 UP\n1.000 UL\nLT2\n3065 1575 M\n-84 -64 V\n53
      -14 V\n93 61 V\n-62 17 V\n.0831 g 3145 1647 N -62 17 -89 -69 71 -20
      h\n1.000 UP\n1.000 UL\nLT2\n3145 1647 M\n-80 -72 V\n62 -17 V\n89 69
      V\n-71 20 V\n.1095 g 3219 1727 N -71 20 -83 -77 80 -23 h\n1.000
      UP\n1.000 UL\nLT2\n3219 1727 M\n-74 -80 V\n71 -20 V\n83 77 V\n-80 23
      V\n.139 g 3288 1814 N -80 23 -76 -85 87 -25 h\n1.000 UP\n1.000
      UL\nLT2\n3288 1814 M\n-69 -87 V\n80 -23 V\n76 85 V\n-87 25 V\n.1714 g
      3351 1906 N -87 25 -70 -91 94 -26 h\n1.000 UP\n1.000 UL\nLT2\n3351 1906
      M\n-63 -92 V\n87 -25 V\n70 91 V\n-94 26 V\n.2064 g 3407 2005 N -94 26
      -62 -96 100 -29 h\n1.000 UP\n1.000 UL\nLT2\n3407 2005 M\n-56 -99 V\n94
      -26 V\n62 96 V\n-100 29 V\n.2438 g 3455 2108 N -100 29 -55 -102 107 -30
      h\n1.000 UP\n1.000 UL\nLT2\n3455 2108 M\n-48 -103 V\n100 -29 V\n55 102
      V\n-107 30 V\n.2833 g 3497 2215 N -107 30 -46 -105 111 -32 h\n1.000
      UP\n1.000 UL\nLT2\n3497 2215 M\n-42 -107 V\n107 -30 V\n46 105 V\n-111
      32 V\n.3245 g 3530 2325 N -111 32 -37 -109 115 -33 h\n1.000 UP\n1.000
      UL\nLT2\n3530 2325 M\n-33 -110 V\n111 -32 V\n37 109 V\n-115 33 V\n.3671
      g 3556 2437 N -115 33 -28 -111 117 -34 h\n1.000 UP\n1.000 UL\nLT2\n3556
      2437 M\n-26 -112 V\n115 -33 V\n28 111 V\n-117 34 V\n.4108 g 3573 2550 N
      -117 34 -19 -113 119 -34 h\n1.000 UP\n1.000 UL\nLT2\n3573 2550 M\n-17
      -113 V\n117 -34 V\n19 113 V\n-119 34 V\n.4552 g 3581 2664 N -119 34 -10
      -113 121 -35 h\n1.000 UP\n1.000 UL\nLT2\n3581 2664 M\n-8 -114 V\n119
      -34 V\n10 113 V\n-121 35 V\n.5 g 3581 2777 N -121 35 0 -113 121 -35
      h\n1.000 UP\n1.000 UL\nLT2\n3581 2777 M\n0 -113 V\n121 -35 V\n0 113
      V\n-121 35 V\n.5448 g 3573 2888 N -121 35 10 -112 119 -34 h\n1.000
      UP\n1.000 UL\nLT2\n3573 2888 M\n8 -111 V\n121 -35 V\n-10 112 V\n-119 34
      V\n.5892 g 3556 2997 N -119 34 19 -110 117 -33 h\n1.000 UP\n1.000
      UL\nLT2\n3556 2997 M\n17 -109 V\n119 -34 V\n-19 110 V\n-117 33 V\n.6329
      g 3530 3103 N -117 33 28 -107 115 -32 h\n1.000 UP\n1.000 UL\nLT2\n3530
      3103 M\n26 -106 V\n117 -33 V\n-28 107 V\n-115 32 V\n.6755 g 3497 3205 N
      -115 32 37 -102 111 -32 h\n1.000 UP\n1.000 UL\nLT2\n3497 3205 M\n33
      -102 V\n115 -32 V\n-37 102 V\n-111 32 V\n.7167 g 3455 3302 N -111 32 46
      -98 107 -31 h\n1.000 UP\n1.000 UL\nLT2\n3455 3302 M\n42 -97 V\n111 -32
      V\n-46 98 V\n-107 31 V\n.7562 g 3407 3393 N -107 31 55 -93 100 -29
      h\n1.000 UP\n1.000 UL\nLT2\n3407 3393 M\n48 -91 V\n107 -31 V\n-55 93
      V\n-100 29 V\n.7936 g 3351 3477 N -100 29 62 -86 94 -27 h\n1.000
      UP\n1.000 UL\nLT2\n3351 3477 M\n56 -84 V\n100 -29 V\n-62 86 V\n-94 27
      V\n.8286 g 3288 3554 N -94 27 70 -80 87 -24 h\n1.000 UP\n1.000
      UL\nLT2\n3288 3554 M\n63 -77 V\n94 -27 V\n-70 80 V\n-87 24 V\n.861 g
      3219 3624 N -87 24 76 -72 80 -22 h\n1.000 UP\n1.000 UL\nLT2\n3219 3624
      M\n69 -70 V\n87 -24 V\n-76 72 V\n-80 22 V\n.8905 g 3145 3685 N -80 22
      83 -63 71 -20 h\n1.000 UP\n1.000 UL\nLT2\n3145 3685 M\n74 -61 V\n80 -22
      V\n-83 63 V\n-71 20 V\n.9169 g 3065 3738 N -71 20 89 -55 62 -18
      h\n1.000 UP\n1.000 UL\nLT2\n3065 3738 M\n80 -53 V\n71 -20 V\n-89 55
      V\n-62 18 V\n.9399 g 2981 3781 N -62 18 93 -46 53 -15 h\n1.000
      UP\n1.000 UL\nLT2\n2981 3781 M\n84 -43 V\n62 -18 V\n-93 46 V\n-53 15
      V\n.9593 g 2894 3815 N -53 15 98 -37 42 -12 h\n1.000 UP\n1.000
      UL\nLT2\n2894 3815 M\n87 -34 V\n53 -15 V\n-98 37 V\n-42 12 V\n.975 g
      2803 3838 N -42 12 101 -26 32 -9 h\n1.000 UP\n1.000 UL\nLT2\n2803 3838
      M\n91 -23 V\n42 -12 V\n-101 26 V\n-32 9 V\n.987 g 2711 3852 N -32 9 103
      -17 21 -6 h\n1.000 UP\n1.000 UL\nLT2\n2711 3852 M\n92 -14 V\n32 -9
      V\n-103 17 V\n-21 6 V\n.995 g 2616 3856 N -21 6 105 -7 11 -3 h\n1.000
      UP\n1.000 UL\nLT2\n2616 3856 M\n95 -4 V\n21 -6 V\n-105 7 V\n-11 3
      V\n.999 g 2521 3849 N -11 3 106 4 0 0 h\n1.000 UP\n1.000 UL\nLT2\n2521
      3849 M\n95 7 V\n11 -3 V\n-106 -4 V\n.001 g 2627 1344 N 0 0 -113 -10 7
      -4 h\n1.000 UP\n1.000 UL\nLT2\n2627 1344 M\n-106 -14 V\n113 10 V\n-7 4
      V\n.005 g 2732 1367 N -7 4 -113 -21 15 -6 h\n1.000 UP\n1.000
      UL\nLT2\n2732 1367 M\n-105 -23 V\n7 -4 V\n113 21 V\n-15 6 V\n.013 g
      2835 1401 N -15 6 -110 -30 22 -10 h\n1.000 UP\n1.000 UL\nLT2\n2835 1401
      M\n-103 -34 V\n15 -6 V\n110 30 V\n-22 10 V\n.025 g 2936 1444 N -22 10
      -108 -40 29 -13 h\n1.000 UP\n1.000 UL\nLT2\n2936 1444 M\n-101 -43 V\n22
      -10 V\n108 40 V\n-29 13 V\n.0407 g 3034 1497 N -29 13 -105 -49 36 -17
      h\n1.000 UP\n1.000 UL\nLT2\n3034 1497 M\n-98 -53 V\n29 -13 V\n105 49
      V\n-36 17 V\n.0601 g 3127 1558 N -36 17 -100 -59 43 -19 h\n1.000
      UP\n1.000 UL\nLT2\n3127 1558 M\n-93 -61 V\n36 -17 V\n100 59 V\n-43 19
      V\n.0831 g 3216 1627 N -43 19 -94 -66 48 -22 h\n1.000 UP\n1.000
      UL\nLT2\n3216 1627 M\n-89 -69 V\n43 -19 V\n94 66 V\n-48 22 V\n.1095 g
      3299 1704 N -48 22 -89 -75 54 -24 h\n1.000 UP\n1.000 UL\nLT2\n3299 1704
      M\n-83 -77 V\n48 -22 V\n89 75 V\n-54 24 V\n.139 g 3375 1789 N -54 24
      -82 -82 60 -27 h\n1.000 UP\n1.000 UL\nLT2\n3375 1789 M\n-76 -85 V\n54
      -24 V\n82 82 V\n-60 27 V\n.1714 g 3445 1880 N -60 27 -75 -88 65 -30
      h\n1.000 UP\n1.000 UL\nLT2\n3445 1880 M\n-70 -91 V\n60 -27 V\n75 88
      V\n-65 30 V\n.2064 g 3507 1976 N -65 30 -66 -95 69 -31 h\n1.000
      UP\n1.000 UL\nLT2\n3507 1976 M\n-62 -96 V\n65 -30 V\n66 95 V\n-69 31
      V\n.2438 g 3562 2078 N -69 31 -58 -100 72 -33 h\n1.000 UP\n1.000
      UL\nLT2\n3562 2078 M\n-55 -102 V\n69 -31 V\n58 100 V\n-72 33 V\n.2833 g
      3608 2183 N -72 33 -50 -104 76 -34 h\n1.000 UP\n1.000 UL\nLT2\n3608
      2183 M\n-46 -105 V\n72 -33 V\n50 104 V\n-76 34 V\n.3245 g 3645 2292 N
      -76 34 -39 -108 78 -35 h\n1.000 UP\n1.000 UL\nLT2\n3645 2292 M\n-37
      -109 V\n76 -34 V\n39 108 V\n-78 35 V\n.3671 g 3673 2403 N -78 35 -31
      -110 81 -36 h\n1.000 UP\n1.000 UL\nLT2\n3673 2403 M\n-28 -111 V\n78 -35
      V\n31 110 V\n-81 36 V\n.4108 g 3692 2516 N -81 36 -20 -112 82 -37
      h\n1.000 UP\n1.000 UL\nLT2\n3692 2516 M\n-19 -113 V\n81 -36 V\n20 112
      V\n-82 37 V\n.4552 g 3702 2629 N -82 37 -10 -113 82 -37 h\n1.000
      UP\n1.000 UL\nLT2\n3702 2629 M\n-10 -113 V\n82 -37 V\n10 113 V\n-82 37
      V\n.5 g 3702 2742 N -82 37 0 -113 82 -37 h\n1.000 UP\n1.000
      UL\nLT2\n3702 2742 M\n0 -113 V\n82 -37 V\n0 113 V\n-82 37 V\n.5448 g
      3692 2854 N -82 37 10 -112 82 -37 h\n1.000 UP\n1.000 UL\nLT2\n3692 2854
      M\n10 -112 V\n82 -37 V\n-10 112 V\n-82 37 V\n.5892 g 3673 2964 N -82 37
      20 -111 81 -36 h\n1.000 UP\n1.000 UL\nLT2\n3673 2964 M\n19 -110 V\n82
      -37 V\n-20 111 V\n-81 36 V\n.6329 g 3645 3071 N -81 36 31 -107 78 -36
      h\n1.000 UP\n1.000 UL\nLT2\n3645 3071 M\n28 -107 V\n81 -36 V\n-31 107
      V\n-78 36 V\n.6755 g 3608 3173 N -78 36 39 -104 76 -34 h\n1.000
      UP\n1.000 UL\nLT2\n3608 3173 M\n37 -102 V\n78 -36 V\n-39 104 V\n-76 34
      V\n.7167 g 3562 3271 N -76 34 50 -100 72 -32 h\n1.000 UP\n1.000
      UL\nLT2\n3562 3271 M\n46 -98 V\n76 -34 V\n-50 100 V\n-72 32 V\n.7562 g
      3507 3364 N -72 32 58 -94 69 -31 h\n1.000 UP\n1.000 UL\nLT2\n3507 3364
      M\n55 -93 V\n72 -32 V\n-58 94 V\n-69 31 V\n.7936 g 3445 3450 N -69 31
      66 -88 65 -29 h\n1.000 UP\n1.000 UL\nLT2\n3445 3450 M\n62 -86 V\n69 -31
      V\n-66 88 V\n-65 29 V\n.8286 g 3375 3530 N -65 29 75 -82 60 -27
      h\n1.000 UP\n1.000 UL\nLT2\n3375 3530 M\n70 -80 V\n65 -29 V\n-75 82
      V\n-60 27 V\n.861 g 3299 3602 N -60 27 82 -74 54 -25 h\n1.000 UP\n1.000
      UL\nLT2\n3299 3602 M\n76 -72 V\n60 -27 V\n-82 74 V\n-54 25 V\n.8905 g
      3216 3665 N -54 25 89 -66 48 -22 h\n1.000 UP\n1.000 UL\nLT2\n3216 3665
      M\n83 -63 V\n54 -25 V\n-89 66 V\n-48 22 V\n.9169 g 3127 3720 N -48 22
      94 -58 43 -19 h\n1.000 UP\n1.000 UL\nLT2\n3127 3720 M\n89 -55 V\n48 -22
      V\n-94 58 V\n-43 19 V\n.9399 g 3034 3766 N -43 19 100 -49 36 -16
      h\n1.000 UP\n1.000 UL\nLT2\n3034 3766 M\n93 -46 V\n43 -19 V\n-100 49
      V\n-36 16 V\n.9593 g 2936 3803 N -36 16 105 -40 29 -13 h\n1.000
      UP\n1.000 UL\nLT2\n2936 3803 M\n98 -37 V\n36 -16 V\n-105 40 V\n-29 13
      V\n.975 g 2835 3829 N -29 13 108 -29 22 -10 h\n1.000 UP\n1.000
      UL\nLT2\n2835 3829 M\n101 -26 V\n29 -13 V\n-108 29 V\n-22 10 V\n.987 g
      2732 3846 N -22 10 110 -20 15 -7 h\n1.000 UP\n1.000 UL\nLT2\n2732 3846
      M\n103 -17 V\n22 -10 V\n-110 20 V\n-15 7 V\n.995 g 2627 3853 N -15 7
      113 -10 7 -4 h\n1.000 UP\n1.000 UL\nLT2\n2627 3853 M\n105 -7 V\n15 -7
      V\n-113 10 V\n-7 4 V\n.999 g 2521 3849 N -7 4 113 0 0 0 h\n1.000
      UP\n1.000 UL\nLT2\n2521 3849 M\n106 4 V\n7 -4 V\n-113 0 V\n.001 g 2634
      1340 N 0 0 -117 -7 4 -3 h\n1.000 UP\n1.000 UL\nLT2\n2634 1340 M\n-113
      -10 V\n117 7 V\n-4 3 V\n.005 g 2747 1361 N -4 3 -116 -17 7 -7 h\n1.000
      UP\n1.000 UL\nLT2\n2747 1361 M\n-113 -21 V\n4 -3 V\n116 17 V\n-7 7
      V\n.013 g 2857 1391 N -7 7 -115 -27 12 -10 h\n1.000 UP\n1.000
      UL\nLT2\n2857 1391 M\n-110 -30 V\n7 -7 V\n115 27 V\n-12 10 V\n.025 g
      2965 1431 N -12 10 -111 -36 15 -14 h\n1.000 UP\n1.000 UL\nLT2\n2965
      1431 M\n-108 -40 V\n12 -10 V\n111 36 V\n-15 14 V\n.0407 g 3070 1480 N
      -15 14 -108 -46 18 -17 h\n1.000 UP\n1.000 UL\nLT2\n3070 1480 M\n-105
      -49 V\n15 -14 V\n108 46 V\n-18 17 V\n.0601 g 3170 1539 N -18 17 -103
      -55 21 -21 h\n1.000 UP\n1.000 UL\nLT2\n3170 1539 M\n-100 -59 V\n18 -17
      V\n103 55 V\n-21 21 V\n.0831 g 3264 1605 N -21 21 -98 -64 25 -23
      h\n1.000 UP\n1.000 UL\nLT2\n3264 1605 M\n-94 -66 V\n21 -21 V\n98 64
      V\n-25 23 V\n.1095 g 3353 1680 N -25 23 -92 -72 28 -26 h\n1.000
      UP\n1.000 UL\nLT2\n3353 1680 M\n-89 -75 V\n25 -23 V\n92 72 V\n-28 26
      V\n.139 g 3435 1762 N -28 26 -84 -79 30 -29 h\n1.000 UP\n1.000
      UL\nLT2\n3435 1762 M\n-82 -82 V\n28 -26 V\n84 79 V\n-30 29 V\n.1714 g
      3510 1850 N -30 29 -77 -87 32 -30 h\n1.000 UP\n1.000 UL\nLT2\n3510 1850
      M\n-75 -88 V\n30 -29 V\n77 87 V\n-32 30 V\n.2064 g 3576 1945 N -32 30
      -69 -92 35 -33 h\n1.000 UP\n1.000 UL\nLT2\n3576 1945 M\n-66 -95 V\n32
      -30 V\n69 92 V\n-35 33 V\n.2438 g 3634 2045 N -35 33 -60 -98 37 -35
      h\n1.000 UP\n1.000 UL\nLT2\n3634 2045 M\n-58 -100 V\n35 -33 V\n60 98
      V\n-37 35 V\n.2833 g 3684 2149 N -37 35 -51 -103 38 -36 h\n1.000
      UP\n1.000 UL\nLT2\n3684 2149 M\n-50 -104 V\n37 -35 V\n51 103 V\n-38 36
      V\n.3245 g 3723 2257 N -38 36 -41 -106 40 -38 h\n1.000 UP\n1.000
      UL\nLT2\n3723 2257 M\n-39 -108 V\n38 -36 V\n41 106 V\n-40 38 V\n.3671 g
      3754 2367 N -40 38 -32 -110 41 -38 h\n1.000 UP\n1.000 UL\nLT2\n3754
      2367 M\n-31 -110 V\n40 -38 V\n32 110 V\n-41 38 V\n.4108 g 3774 2479 N
      -41 38 -20 -111 41 -39 h\n1.000 UP\n1.000 UL\nLT2\n3774 2479 M\n-20
      -112 V\n41 -38 V\n20 111 V\n-41 39 V\n.4552 g 3784 2592 N -41 39 -11
      -113 42 -39 h\n1.000 UP\n1.000 UL\nLT2\n3784 2592 M\n-10 -113 V\n41 -39
      V\n11 113 V\n-42 39 V\n.5 g 3784 2705 N -42 39 0 -113 42 -39 h\n1.000
      UP\n1.000 UL\nLT2\n3784 2705 M\n0 -113 V\n42 -39 V\n0 113 V\n-42 39
      V\n.5448 g 3774 2817 N -42 39 11 -112 41 -39 h\n1.000 UP\n1.000
      UL\nLT2\n3774 2817 M\n10 -112 V\n42 -39 V\n-11 112 V\n-41 39 V\n.5892 g
      3754 2928 N -41 39 20 -111 41 -39 h\n1.000 UP\n1.000 UL\nLT2\n3754 2928
      M\n20 -111 V\n41 -39 V\n-20 111 V\n-41 39 V\n.6329 g 3723 3035 N -41 39
      32 -109 40 -37 h\n1.000 UP\n1.000 UL\nLT2\n3723 3035 M\n31 -107 V\n41
      -39 V\n-32 109 V\n-40 37 V\n.6755 g 3684 3139 N -40 37 41 -105 38 -36
      h\n1.000 UP\n1.000 UL\nLT2\n3684 3139 M\n39 -104 V\n40 -37 V\n-41 105
      V\n-38 36 V\n.7167 g 3634 3239 N -38 36 51 -101 37 -35 h\n1.000
      UP\n1.000 UL\nLT2\n3634 3239 M\n50 -100 V\n38 -36 V\n-51 101 V\n-37 35
      V\n.7562 g 3576 3333 N -37 35 60 -96 35 -33 h\n1.000 UP\n1.000
      UL\nLT2\n3576 3333 M\n58 -94 V\n37 -35 V\n-60 96 V\n-35 33 V\n.7936 g
      3510 3421 N -35 33 69 -90 32 -31 h\n1.000 UP\n1.000 UL\nLT2\n3510 3421
      M\n66 -88 V\n35 -33 V\n-69 90 V\n-32 31 V\n.8286 g 3435 3503 N -32 31
      77 -84 30 -29 h\n1.000 UP\n1.000 UL\nLT2\n3435 3503 M\n75 -82 V\n32 -31
      V\n-77 84 V\n-30 29 V\n.861 g 3353 3577 N -30 29 84 -77 28 -26 h\n1.000
      UP\n1.000 UL\nLT2\n3353 3577 M\n82 -74 V\n30 -29 V\n-84 77 V\n-28 26
      V\n.8905 g 3264 3643 N -28 26 92 -69 25 -23 h\n1.000 UP\n1.000
      UL\nLT2\n3264 3643 M\n89 -66 V\n28 -26 V\n-92 69 V\n-25 23 V\n.9169 g
      3170 3701 N -25 23 98 -61 21 -20 h\n1.000 UP\n1.000 UL\nLT2\n3170 3701
      M\n94 -58 V\n25 -23 V\n-98 61 V\n-21 20 V\n.9399 g 3070 3750 N -21 20
      103 -52 18 -17 h\n1.000 UP\n1.000 UL\nLT2\n3070 3750 M\n100 -49 V\n21
      -20 V\n-103 52 V\n-18 17 V\n.9593 g 2965 3790 N -18 17 108 -43 15 -14
      h\n1.000 UP\n1.000 UL\nLT2\n2965 3790 M\n105 -40 V\n18 -17 V\n-108 43
      V\n-15 14 V\n.975 g 2857 3819 N -15 14 111 -33 12 -10 h\n1.000
      UP\n1.000 UL\nLT2\n2857 3819 M\n108 -29 V\n15 -14 V\n-111 33 V\n-12 10
      V\n.987 g 2747 3839 N -12 10 115 -23 7 -7 h\n1.000 UP\n1.000
      UL\nLT2\n2747 3839 M\n110 -20 V\n12 -10 V\n-115 23 V\n-7 7 V\n.995 g
      2634 3849 N -7 7 116 -14 4 -3 h\n1.000 UP\n1.000 UL\nLT2\n2634 3849
      M\n113 -10 V\n7 -7 V\n-116 14 V\n-4 3 V\n.999 g 2521 3849 N -4 3 117 -3
      0 0 h\n1.000 UP\n1.000 UL\nLT2\n2521 3849 M\n113 0 V\n4 -3 V\n-117 3
      V\n.001 g 2638 1337 N 0 0 -117 -3 0 -4 h\n1.000 UP\n1.000 UL\nLT2\n2638
      1337 M\n-117 -7 V\n117 3 V\n0 4 V\n.005 g 2754 1354 N 0 4 -116 -14 0 -7
      h\n1.000 UP\n1.000 UL\nLT2\n2754 1354 M\n-116 -17 V\n0 -4 V\n116 14
      V\n0 7 V\n.013 g 2869 1381 N 0 7 -115 -23 0 -11 h\n1.000 UP\n1.000
      UL\nLT2\n2869 1381 M\n-115 -27 V\n0 -7 V\n115 23 V\n0 11 V\n.025 g 2980
      1417 N 0 11 -111 -33 0 -14 h\n1.000 UP\n1.000 UL\nLT2\n2980 1417
      M\n-111 -36 V\n0 -11 V\n111 33 V\n0 14 V\n.0407 g 3088 1463 N 0 14 -108
      -43 0 -17 h\n1.000 UP\n1.000 UL\nLT2\n3088 1463 M\n-108 -46 V\n0 -14
      V\n108 43 V\n0 17 V\n.0601 g 3191 1518 N 0 17 -103 -52 0 -20 h\n1.000
      UP\n1.000 UL\nLT2\n3191 1518 M\n-103 -55 V\n0 -17 V\n103 52 V\n0 20
      V\n.0831 g 3289 1582 N 0 20 -98 -61 0 -23 h\n1.000 UP\n1.000
      UL\nLT2\n3289 1582 M\n-98 -64 V\n0 -20 V\n98 61 V\n0 23 V\n.1095 g 3381
      1654 N 0 23 -92 -69 0 -26 h\n1.000 UP\n1.000 UL\nLT2\n3381 1654 M\n-92
      -72 V\n0 -23 V\n92 69 V\n0 26 V\n.139 g 3465 1733 N 0 26 -84 -77 0 -28
      h\n1.000 UP\n1.000 UL\nLT2\n3465 1733 M\n-84 -79 V\n0 -26 V\n84 77 V\n0
      28 V\n.1714 g 3542 1820 N 0 28 -77 -84 0 -31 h\n1.000 UP\n1.000
      UL\nLT2\n3542 1820 M\n-77 -87 V\n0 -28 V\n77 84 V\n0 31 V\n.2064 g 3611
      1912 N 0 31 -69 -90 0 -33 h\n1.000 UP\n1.000 UL\nLT2\n3611 1912 M\n-69
      -92 V\n0 -31 V\n69 90 V\n0 33 V\n.2438 g 3671 2010 N 0 33 -60 -96 0 -35
      h\n1.000 UP\n1.000 UL\nLT2\n3671 2010 M\n-60 -98 V\n0 -33 V\n60 96 V\n0
      35 V\n.2833 g 3722 2113 N 0 35 -51 -101 0 -37 h\n1.000 UP\n1.000
      UL\nLT2\n3722 2113 M\n-51 -103 V\n0 -35 V\n51 101 V\n0 37 V\n.3245 g
      3763 2219 N 0 37 -41 -105 0 -38 h\n1.000 UP\n1.000 UL\nLT2\n3763 2219
      M\n-41 -106 V\n0 -37 V\n41 105 V\n0 38 V\n.3671 g 3795 2329 N 0 38 -32
      -109 0 -39 h\n1.000 UP\n1.000 UL\nLT2\n3795 2329 M\n-32 -110 V\n0 -38
      V\n32 109 V\n0 39 V\n.4108 g 3815 2440 N 0 39 -20 -111 0 -39 h\n1.000
      UP\n1.000 UL\nLT2\n3815 2440 M\n-20 -111 V\n0 -39 V\n20 111 V\n0 39
      V\n.4552 g 3826 2553 N 0 39 -11 -112 0 -40 h\n1.000 UP\n1.000
      UL\nLT2\n3826 2553 M\n-11 -113 V\n0 -39 V\n11 112 V\n0 40 V\n.5 g 3826
      2666 N 0 40 0 -113 0 -40 h\n1.000 UP\n1.000 UL\nLT2\n3826 2666 M\n0
      -113 V\n0 -40 V\n0 113 V\n0 40 V\n.5448 g 3815 2778 N 0 40 11 -113 0
      -39 h\n1.000 UP\n1.000 UL\nLT2\n3815 2778 M\n11 -112 V\n0 -40 V\n-11
      113 V\n0 39 V\n.5892 g 3795 2889 N 0 39 20 -111 0 -39 h\n1.000
      UP\n1.000 UL\nLT2\n3795 2889 M\n20 -111 V\n0 -39 V\n-20 111 V\n0 39
      V\n.6329 g 3763 2998 N 0 39 32 -110 0 -38 h\n1.000 UP\n1.000
      UL\nLT2\n3763 2998 M\n32 -109 V\n0 -39 V\n-32 110 V\n0 38 V\n.6755 g
      3722 3103 N 0 38 41 -106 0 -37 h\n1.000 UP\n1.000 UL\nLT2\n3722 3103
      M\n41 -105 V\n0 -38 V\n-41 106 V\n0 37 V\n.7167 g 3671 3204 N 0 37 51
      -103 0 -35 h\n1.000 UP\n1.000 UL\nLT2\n3671 3204 M\n51 -101 V\n0 -37
      V\n-51 103 V\n0 35 V\n.7562 g 3611 3300 N 0 35 60 -98 0 -33 h\n1.000
      UP\n1.000 UL\nLT2\n3611 3300 M\n60 -96 V\n0 -35 V\n-60 98 V\n0 33
      V\n.7936 g 3542 3390 N 0 33 69 -92 0 -31 h\n1.000 UP\n1.000
      UL\nLT2\n3542 3390 M\n69 -90 V\n0 -33 V\n-69 92 V\n0 31 V\n.8286 g 3465
      3474 N 0 31 77 -87 0 -28 h\n1.000 UP\n1.000 UL\nLT2\n3465 3474 M\n77
      -84 V\n0 -31 V\n-77 87 V\n0 28 V\n.861 g 3381 3551 N 0 28 84 -79 0 -26
      h\n1.000 UP\n1.000 UL\nLT2\n3381 3551 M\n84 -77 V\n0 -28 V\n-84 79 V\n0
      26 V\n.8905 g 3289 3620 N 0 26 92 -72 0 -23 h\n1.000 UP\n1.000
      UL\nLT2\n3289 3620 M\n92 -69 V\n0 -26 V\n-92 72 V\n0 23 V\n.9169 g 3191
      3681 N 0 23 98 -64 0 -20 h\n1.000 UP\n1.000 UL\nLT2\n3191 3681 M\n98
      -61 V\n0 -23 V\n-98 64 V\n0 20 V\n.9399 g 3088 3733 N 0 20 103 -55 0
      -17 h\n1.000 UP\n1.000 UL\nLT2\n3088 3733 M\n103 -52 V\n0 -20 V\n-103
      55 V\n0 17 V\n.9593 g 2980 3776 N 0 17 108 -46 0 -14 h\n1.000 UP\n1.000
      UL\nLT2\n2980 3776 M\n108 -43 V\n0 -17 V\n-108 46 V\n0 14 V\n.975 g
      2869 3809 N 0 14 111 -36 0 -11 h\n1.000 UP\n1.000 UL\nLT2\n2869 3809
      M\n111 -33 V\n0 -14 V\n-111 36 V\n0 11 V\n.987 g 2754 3832 N 0 11 115
      -27 0 -7 h\n1.000 UP\n1.000 UL\nLT2\n2754 3832 M\n115 -23 V\n0 -11
      V\n-115 27 V\n0 7 V\n.995 g 2638 3846 N 0 7 116 -17 0 -4 h\n1.000
      UP\n1.000 UL\nLT2\n2638 3846 M\n116 -14 V\n0 -7 V\n-116 17 V\n0 4
      V\n.999 g 2521 3849 N 0 4 117 -7 0 0 h\n1.000 UP\n1.000 UL\nLT2\n2521
      3849 M\n117 -3 V\n0 -4 V\n-117 7 V\n.001 g 2638 1333 N 0 0 -113 0 -4 -3
      h\n1.000 UP\n1.000 UL\nLT2\n2638 1333 M\n-117 -3 V\n113 0 V\n4 3
      V\n.005 g 2754 1347 N 4 3 -113 -10 -7 -7 h\n1.000 UP\n1.000
      UL\nLT2\n2754 1347 M\n-116 -14 V\n-4 -3 V\n113 10 V\n7 7 V\n.013 g 2869
      1370 N 7 7 -110 -20 -12 -10 h\n1.000 UP\n1.000 UL\nLT2\n2869 1370
      M\n-115 -23 V\n-7 -7 V\n110 20 V\n12 10 V\n.025 g 2980 1403 N 12 10
      -108 -29 -15 -14 h\n1.000 UP\n1.000 UL\nLT2\n2980 1403 M\n-111 -33
      V\n-12 -10 V\n108 29 V\n15 14 V\n.0407 g 3088 1446 N 15 14 -105 -40 -18
      -17 h\n1.000 UP\n1.000 UL\nLT2\n3088 1446 M\n-108 -43 V\n-15 -14 V\n105
      40 V\n18 17 V\n.0601 g 3191 1498 N 18 17 -100 -49 -21 -20 h\n1.000
      UP\n1.000 UL\nLT2\n3191 1498 M\n-103 -52 V\n-18 -17 V\n100 49 V\n21 20
      V\n.0831 g 3289 1559 N 21 20 -94 -58 -25 -23 h\n1.000 UP\n1.000
      UL\nLT2\n3289 1559 M\n-98 -61 V\n-21 -20 V\n94 58 V\n25 23 V\n.1095 g
      3381 1628 N 25 23 -89 -66 -28 -26 h\n1.000 UP\n1.000 UL\nLT2\n3381 1628
      M\n-92 -69 V\n-25 -23 V\n89 66 V\n28 26 V\n.139 g 3465 1705 N 28 26 -82
      -74 -30 -29 h\n1.000 UP\n1.000 UL\nLT2\n3465 1705 M\n-84 -77 V\n-28 -26
      V\n82 74 V\n30 29 V\n.1714 g 3542 1789 N 30 29 -75 -82 -32 -31 h\n1.000
      UP\n1.000 UL\nLT2\n3542 1789 M\n-77 -84 V\n-30 -29 V\n75 82 V\n32 31
      V\n.2064 g 3611 1879 N 32 31 -66 -88 -35 -33 h\n1.000 UP\n1.000
      UL\nLT2\n3611 1879 M\n-69 -90 V\n-32 -31 V\n66 88 V\n35 33 V\n.2438 g
      3671 1975 N 35 33 -58 -94 -37 -35 h\n1.000 UP\n1.000 UL\nLT2\n3671 1975
      M\n-60 -96 V\n-35 -33 V\n58 94 V\n37 35 V\n.2833 g 3722 2076 N 37 35
      -50 -100 -38 -36 h\n1.000 UP\n1.000 UL\nLT2\n3722 2076 M\n-51 -101
      V\n-37 -35 V\n50 100 V\n38 36 V\n.3245 g 3763 2181 N 38 36 -39 -104 -40
      -37 h\n1.000 UP\n1.000 UL\nLT2\n3763 2181 M\n-41 -105 V\n-38 -36 V\n39
      104 V\n40 37 V\n.3671 g 3795 2290 N 40 37 -31 -107 -41 -39 h\n1.000
      UP\n1.000 UL\nLT2\n3795 2290 M\n-32 -109 V\n-40 -37 V\n31 107 V\n41 39
      V\n.4108 g 3815 2401 N 41 39 -20 -111 -41 -39 h\n1.000 UP\n1.000
      UL\nLT2\n3815 2401 M\n-20 -111 V\n-41 -39 V\n20 111 V\n41 39 V\n.4552 g
      3826 2513 N 41 39 -10 -112 -42 -39 h\n1.000 UP\n1.000 UL\nLT2\n3826
      2513 M\n-11 -112 V\n-41 -39 V\n10 112 V\n42 39 V\n.5 g 3826 2626 N 42
      39 0 -113 -42 -39 h\n1.000 UP\n1.000 UL\nLT2\n3826 2626 M\n0 -113
      V\n-42 -39 V\n0 113 V\n42 39 V\n.5448 g 3815 2739 N 42 39 10 -113 -41
      -39 h\n1.000 UP\n1.000 UL\nLT2\n3815 2739 M\n11 -113 V\n-42 -39 V\n-10
      113 V\n41 39 V\n.5892 g 3795 2850 N 41 39 20 -112 -41 -38 h\n1.000
      UP\n1.000 UL\nLT2\n3795 2850 M\n20 -111 V\n-41 -39 V\n-20 112 V\n41 38
      V\n.6329 g 3763 2960 N 41 38 31 -110 -40 -38 h\n1.000 UP\n1.000
      UL\nLT2\n3763 2960 M\n32 -110 V\n-41 -38 V\n-31 110 V\n40 38 V\n.6755 g
      3722 3066 N 40 38 39 -108 -38 -36 h\n1.000 UP\n1.000 UL\nLT2\n3722 3066
      M\n41 -106 V\n-40 -38 V\n-39 108 V\n38 36 V\n.7167 g 3671 3169 N 38 36
      50 -104 -37 -35 h\n1.000 UP\n1.000 UL\nLT2\n3671 3169 M\n51 -103 V\n-38
      -36 V\n-50 104 V\n37 35 V\n.7562 g 3611 3267 N 37 35 58 -100 -35 -33
      h\n1.000 UP\n1.000 UL\nLT2\n3611 3267 M\n60 -98 V\n-37 -35 V\n-58 100
      V\n35 33 V\n.7936 g 3542 3359 N 35 33 66 -95 -32 -30 h\n1.000 UP\n1.000
      UL\nLT2\n3542 3359 M\n69 -92 V\n-35 -33 V\n-66 95 V\n32 30 V\n.8286 g
      3465 3446 N 32 30 75 -88 -30 -29 h\n1.000 UP\n1.000 UL\nLT2\n3465 3446
      M\n77 -87 V\n-32 -30 V\n-75 88 V\n30 29 V\n.861 g 3381 3525 N 30 29 82
      -82 -28 -26 h\n1.000 UP\n1.000 UL\nLT2\n3381 3525 M\n84 -79 V\n-30 -29
      V\n-82 82 V\n28 26 V\n.8905 g 3289 3597 N 28 26 89 -75 -25 -23 h\n1.000
      UP\n1.000 UL\nLT2\n3289 3597 M\n92 -72 V\n-28 -26 V\n-89 75 V\n25 23
      V\n.9169 g 3191 3661 N 25 23 94 -66 -21 -21 h\n1.000 UP\n1.000
      UL\nLT2\n3191 3661 M\n98 -64 V\n-25 -23 V\n-94 66 V\n21 21 V\n.9399 g
      3088 3716 N 21 21 100 -59 -18 -17 h\n1.000 UP\n1.000 UL\nLT2\n3088 3716
      M\n103 -55 V\n-21 -21 V\n-100 59 V\n18 17 V\n.9593 g 2980 3762 N 18 17
      105 -49 -15 -14 h\n1.000 UP\n1.000 UL\nLT2\n2980 3762 M\n108 -46 V\n-18
      -17 V\n-105 49 V\n15 14 V\n.975 g 2869 3798 N 15 14 108 -40 -12 -10
      h\n1.000 UP\n1.000 UL\nLT2\n2869 3798 M\n111 -36 V\n-15 -14 V\n-108 40
      V\n12 10 V\n.987 g 2754 3825 N 12 10 110 -30 -7 -7 h\n1.000 UP\n1.000
      UL\nLT2\n2754 3825 M\n115 -27 V\n-12 -10 V\n-110 30 V\n7 7 V\n.995 g
      2638 3842 N 7 7 113 -21 -4 -3 h\n1.000 UP\n1.000 UL\nLT2\n2638 3842
      M\n116 -17 V\n-7 -7 V\n-113 21 V\n4 3 V\n.999 g 2521 3849 N 4 3 113 -10
      0 0 h\n1.000 UP\n1.000 UL\nLT2\n2521 3849 M\n117 -7 V\n-4 -3 V\n-113 10
      V\n.001 g 2634 1330 N 0 0 -106 4 -7 -4 h\n1.000 UP\n1.000 UL\nLT2\n2634
      1330 M\n-113 0 V\n106 -4 V\n7 4 V\n.005 g 2747 1340 N 7 4 -105 -7 -15
      -7 h\n1.000 UP\n1.000 UL\nLT2\n2747 1340 M\n-113 -10 V\n-7 -4 V\n105 7
      V\n15 7 V\n.013 g 2857 1360 N 15 7 -103 -17 -22 -10 h\n1.000 UP\n1.000
      UL\nLT2\n2857 1360 M\n-110 -20 V\n-15 -7 V\n103 17 V\n22 10 V\n.025 g
      2965 1389 N 22 10 -101 -26 -29 -13 h\n1.000 UP\n1.000 UL\nLT2\n2965
      1389 M\n-108 -29 V\n-22 -10 V\n101 26 V\n29 13 V\n.0407 g 3070 1429 N
      29 13 -98 -37 -36 -16 h\n1.000 UP\n1.000 UL\nLT2\n3070 1429 M\n-105 -40
      V\n-29 -13 V\n98 37 V\n36 16 V\n.0601 g 3170 1478 N 36 16 -93 -46 -43
      -19 h\n1.000 UP\n1.000 UL\nLT2\n3170 1478 M\n-100 -49 V\n-36 -16 V\n93
      46 V\n43 19 V\n.0831 g 3264 1536 N 43 19 -89 -55 -48 -22 h\n1.000
      UP\n1.000 UL\nLT2\n3264 1536 M\n-94 -58 V\n-43 -19 V\n89 55 V\n48 22
      V\n.1095 g 3353 1602 N 48 22 -83 -63 -54 -25 h\n1.000 UP\n1.000
      UL\nLT2\n3353 1602 M\n-89 -66 V\n-48 -22 V\n83 63 V\n54 25 V\n.139 g
      3435 1676 N 54 25 -76 -72 -60 -27 h\n1.000 UP\n1.000 UL\nLT2\n3435 1676
      M\n-82 -74 V\n-54 -25 V\n76 72 V\n60 27 V\n.1714 g 3510 1758 N 60 27
      -70 -80 -65 -29 h\n1.000 UP\n1.000 UL\nLT2\n3510 1758 M\n-75 -82 V\n-60
      -27 V\n70 80 V\n65 29 V\n.2064 g 3576 1846 N 65 29 -62 -86 -69 -31
      h\n1.000 UP\n1.000 UL\nLT2\n3576 1846 M\n-66 -88 V\n-65 -29 V\n62 86
      V\n69 31 V\n.2438 g 3634 1940 N 69 31 -55 -93 -72 -32 h\n1.000
      UP\n1.000 UL\nLT2\n3634 1940 M\n-58 -94 V\n-69 -31 V\n55 93 V\n72 32
      V\n.2833 g 3684 2040 N 72 32 -46 -98 -76 -34 h\n1.000 UP\n1.000
      UL\nLT2\n3684 2040 M\n-50 -100 V\n-72 -32 V\n46 98 V\n76 34 V\n.3245 g
      3723 2144 N 76 34 -37 -102 -78 -36 h\n1.000 UP\n1.000 UL\nLT2\n3723
      2144 M\n-39 -104 V\n-76 -34 V\n37 102 V\n78 36 V\n.3671 g 3754 2251 N
      78 36 -28 -107 -81 -36 h\n1.000 UP\n1.000 UL\nLT2\n3754 2251 M\n-31
      -107 V\n-78 -36 V\n28 107 V\n81 36 V\n.4108 g 3774 2362 N 81 36 -19
      -110 -82 -37 h\n1.000 UP\n1.000 UL\nLT2\n3774 2362 M\n-20 -111 V\n-81
      -36 V\n19 110 V\n82 37 V\n.4552 g 3784 2474 N 82 37 -10 -112 -82 -37
      h\n1.000 UP\n1.000 UL\nLT2\n3784 2474 M\n-10 -112 V\n-82 -37 V\n10 112
      V\n82 37 V\n.5 g 3784 2587 N 82 37 0 -113 -82 -37 h\n1.000 UP\n1.000
      UL\nLT2\n3784 2587 M\n0 -113 V\n-82 -37 V\n0 113 V\n82 37 V\n.5448 g
      3774 2700 N 82 37 10 -113 -82 -37 h\n1.000 UP\n1.000 UL\nLT2\n3774 2700
      M\n10 -113 V\n-82 -37 V\n-10 113 V\n82 37 V\n.5892 g 3754 2812 N 82 37
      19 -113 -81 -36 h\n1.000 UP\n1.000 UL\nLT2\n3754 2812 M\n20 -112 V\n-82
      -37 V\n-19 113 V\n81 36 V\n.6329 g 3723 2922 N 81 36 28 -111 -78 -35
      h\n1.000 UP\n1.000 UL\nLT2\n3723 2922 M\n31 -110 V\n-81 -36 V\n-28 111
      V\n78 35 V\n.6755 g 3684 3030 N 78 35 37 -109 -76 -34 h\n1.000
      UP\n1.000 UL\nLT2\n3684 3030 M\n39 -108 V\n-78 -35 V\n-37 109 V\n76 34
      V\n.7167 g 3634 3134 N 76 34 46 -105 -72 -33 h\n1.000 UP\n1.000
      UL\nLT2\n3634 3134 M\n50 -104 V\n-76 -34 V\n-46 105 V\n72 33 V\n.7562 g
      3576 3234 N 72 33 55 -102 -69 -31 h\n1.000 UP\n1.000 UL\nLT2\n3576 3234
      M\n58 -100 V\n-72 -33 V\n-55 102 V\n69 31 V\n.7936 g 3510 3329 N 69 31
      62 -96 -65 -30 h\n1.000 UP\n1.000 UL\nLT2\n3510 3329 M\n66 -95 V\n-69
      -31 V\n-62 96 V\n65 30 V\n.8286 g 3435 3417 N 65 30 70 -91 -60 -27
      h\n1.000 UP\n1.000 UL\nLT2\n3435 3417 M\n75 -88 V\n-65 -30 V\n-70 91
      V\n60 27 V\n.861 g 3353 3499 N 60 27 76 -85 -54 -24 h\n1.000 UP\n1.000
      UL\nLT2\n3353 3499 M\n82 -82 V\n-60 -27 V\n-76 85 V\n54 24 V\n.8905 g
      3264 3574 N 54 24 83 -77 -48 -22 h\n1.000 UP\n1.000 UL\nLT2\n3264 3574
      M\n89 -75 V\n-54 -24 V\n-83 77 V\n48 22 V\n.9169 g 3170 3640 N 48 22 89
      -69 -43 -19 h\n1.000 UP\n1.000 UL\nLT2\n3170 3640 M\n94 -66 V\n-48 -22
      V\n-89 69 V\n43 19 V\n.9399 g 3070 3699 N 43 19 93 -61 -36 -17 h\n1.000
      UP\n1.000 UL\nLT2\n3070 3699 M\n100 -59 V\n-43 -19 V\n-93 61 V\n36 17
      V\n.9593 g 2965 3748 N 36 17 98 -53 -29 -13 h\n1.000 UP\n1.000
      UL\nLT2\n2965 3748 M\n105 -49 V\n-36 -17 V\n-98 53 V\n29 13 V\n.975 g
      2857 3788 N 29 13 101 -43 -22 -10 h\n1.000 UP\n1.000 UL\nLT2\n2857 3788
      M\n108 -40 V\n-29 -13 V\n-101 43 V\n22 10 V\n.987 g 2747 3818 N 22 10
      103 -34 -15 -6 h\n1.000 UP\n1.000 UL\nLT2\n2747 3818 M\n110 -30 V\n-22
      -10 V\n-103 34 V\n15 6 V\n.995 g 2634 3839 N 15 6 105 -23 -7 -4
      h\n1.000 UP\n1.000 UL\nLT2\n2634 3839 M\n113 -21 V\n-15 -6 V\n-105 23
      V\n7 4 V\n.999 g 2521 3849 N 7 4 106 -14 0 0 h\n1.000 UP\n1.000
      UL\nLT2\n2521 3849 M\n113 -10 V\n-7 -4 V\n-106 14 V\n.001 g 2627 1326 N
      0 0 -95 7 -11 -3 h\n1.000 UP\n1.000 UL\nLT2\n2627 1326 M\n-106 4 V\n95
      -7 V\n11 3 V\n.005 g 2732 1333 N 11 3 -95 -4 -21 -6 h\n1.000 UP\n1.000
      UL\nLT2\n2732 1333 M\n-105 -7 V\n-11 -3 V\n95 4 V\n21 6 V\n.013 g 2835
      1350 N 21 6 -92 -14 -32 -9 h\n1.000 UP\n1.000 UL\nLT2\n2835 1350
      M\n-103 -17 V\n-21 -6 V\n92 14 V\n32 9 V\n.025 g 2936 1376 N 32 9 -91
      -23 -42 -12 h\n1.000 UP\n1.000 UL\nLT2\n2936 1376 M\n-101 -26 V\n-32 -9
      V\n91 23 V\n42 12 V\n.0407 g 3034 1413 N 42 12 -87 -34 -53 -15 h\n1.000
      UP\n1.000 UL\nLT2\n3034 1413 M\n-98 -37 V\n-42 -12 V\n87 34 V\n53 15
      V\n.0601 g 3127 1459 N 53 15 -84 -43 -62 -18 h\n1.000 UP\n1.000
      UL\nLT2\n3127 1459 M\n-93 -46 V\n-53 -15 V\n84 43 V\n62 18 V\n.0831 g
      3216 1514 N 62 18 -80 -53 -71 -20 h\n1.000 UP\n1.000 UL\nLT2\n3216 1514
      M\n-89 -55 V\n-62 -18 V\n80 53 V\n71 20 V\n.1095 g 3299 1577 N 71 20
      -74 -61 -80 -22 h\n1.000 UP\n1.000 UL\nLT2\n3299 1577 M\n-83 -63 V\n-71
      -20 V\n74 61 V\n80 22 V\n.139 g 3375 1649 N 80 22 -69 -70 -87 -24
      h\n1.000 UP\n1.000 UL\nLT2\n3375 1649 M\n-76 -72 V\n-80 -22 V\n69 70
      V\n87 24 V\n.1714 g 3445 1729 N 87 24 -63 -77 -94 -27 h\n1.000
      UP\n1.000 UL\nLT2\n3445 1729 M\n-70 -80 V\n-87 -24 V\n63 77 V\n94 27
      V\n.2064 g 3507 1815 N 94 27 -56 -84 -100 -29 h\n1.000 UP\n1.000
      UL\nLT2\n3507 1815 M\n-62 -86 V\n-94 -27 V\n56 84 V\n100 29 V\n.2438 g
      3562 1908 N 100 29 -48 -91 -107 -31 h\n1.000 UP\n1.000 UL\nLT2\n3562
      1908 M\n-55 -93 V\n-100 -29 V\n48 91 V\n107 31 V\n.2833 g 3608 2006 N
      107 31 -42 -97 -111 -32 h\n1.000 UP\n1.000 UL\nLT2\n3608 2006 M\n-46
      -98 V\n-107 -31 V\n42 97 V\n111 32 V\n.3245 g 3645 2108 N 111 32 -33
      -102 -115 -32 h\n1.000 UP\n1.000 UL\nLT2\n3645 2108 M\n-37 -102 V\n-111
      -32 V\n33 102 V\n115 32 V\n.3671 g 3673 2215 N 115 32 -26 -106 -117 -33
      h\n1.000 UP\n1.000 UL\nLT2\n3673 2215 M\n-28 -107 V\n-115 -32 V\n26 106
      V\n117 33 V\n.4108 g 3692 2325 N 117 33 -17 -109 -119 -34 h\n1.000
      UP\n1.000 UL\nLT2\n3692 2325 M\n-19 -110 V\n-117 -33 V\n17 109 V\n119
      34 V\n.4552 g 3702 2437 N 119 34 -8 -111 -121 -35 h\n1.000 UP\n1.000
      UL\nLT2\n3702 2437 M\n-10 -112 V\n-119 -34 V\n8 111 V\n121 35 V\n.5 g
      3702 2550 N 121 35 0 -113 -121 -35 h\n1.000 UP\n1.000 UL\nLT2\n3702
      2550 M\n0 -113 V\n-121 -35 V\n0 113 V\n121 35 V\n.5448 g 3692 2663 N
      121 35 8 -114 -119 -34 h\n1.000 UP\n1.000 UL\nLT2\n3692 2663 M\n10 -113
      V\n-121 -35 V\n-8 114 V\n119 34 V\n.5892 g 3673 2776 N 119 34 17 -113
      -117 -34 h\n1.000 UP\n1.000 UL\nLT2\n3673 2776 M\n19 -113 V\n-119 -34
      V\n-17 113 V\n117 34 V\n.6329 g 3645 2887 N 117 34 26 -112 -115 -33
      h\n1.000 UP\n1.000 UL\nLT2\n3645 2887 M\n28 -111 V\n-117 -34 V\n-26 112
      V\n115 33 V\n.6755 g 3608 2996 N 115 33 33 -110 -111 -32 h\n1.000
      UP\n1.000 UL\nLT2\n3608 2996 M\n37 -109 V\n-115 -33 V\n-33 110 V\n111
      32 V\n.7167 g 3562 3101 N 111 32 42 -107 -107 -30 h\n1.000 UP\n1.000
      UL\nLT2\n3562 3101 M\n46 -105 V\n-111 -32 V\n-42 107 V\n107 30 V\n.7562
      g 3507 3203 N 107 30 48 -103 -100 -29 h\n1.000 UP\n1.000 UL\nLT2\n3507
      3203 M\n55 -102 V\n-107 -30 V\n-48 103 V\n100 29 V\n.7936 g 3445 3299 N
      100 29 56 -99 -94 -26 h\n1.000 UP\n1.000 UL\nLT2\n3445 3299 M\n62 -96
      V\n-100 -29 V\n-56 99 V\n94 26 V\n.8286 g 3375 3390 N 94 26 63 -92 -87
      -25 h\n1.000 UP\n1.000 UL\nLT2\n3375 3390 M\n70 -91 V\n-94 -26 V\n-63
      92 V\n87 25 V\n.861 g 3299 3475 N 87 25 69 -87 -80 -23 h\n1.000
      UP\n1.000 UL\nLT2\n3299 3475 M\n76 -85 V\n-87 -25 V\n-69 87 V\n80 23
      V\n.8905 g 3216 3552 N 80 23 74 -80 -71 -20 h\n1.000 UP\n1.000
      UL\nLT2\n3216 3552 M\n83 -77 V\n-80 -23 V\n-74 80 V\n71 20 V\n.9169 g
      3127 3621 N 71 20 80 -72 -62 -17 h\n1.000 UP\n1.000 UL\nLT2\n3127 3621
      M\n89 -69 V\n-71 -20 V\n-80 72 V\n62 17 V\n.9399 g 3034 3682 N 62 17 84
      -64 -53 -14 h\n1.000 UP\n1.000 UL\nLT2\n3034 3682 M\n93 -61 V\n-62 -17
      V\n-84 64 V\n53 14 V\n.9593 g 2936 3735 N 53 14 87 -55 -42 -12 h\n1.000
      UP\n1.000 UL\nLT2\n2936 3735 M\n98 -53 V\n-53 -14 V\n-87 55 V\n42 12
      V\n.975 g 2835 3778 N 42 12 91 -46 -32 -9 h\n1.000 UP\n1.000
      UL\nLT2\n2835 3778 M\n101 -43 V\n-42 -12 V\n-91 46 V\n32 9 V\n.987 g
      2732 3812 N 32 9 92 -36 -21 -7 h\n1.000 UP\n1.000 UL\nLT2\n2732 3812
      M\n103 -34 V\n-32 -9 V\n-92 36 V\n21 7 V\n.995 g 2627 3835 N 21 7 95
      -27 -11 -3 h\n1.000 UP\n1.000 UL\nLT2\n2627 3835 M\n105 -23 V\n-21 -7
      V\n-95 27 V\n11 3 V\n.999 g 2521 3849 N 11 3 95 -17 0 0 h\n1.000
      UP\n1.000 UL\nLT2\n2521 3849 M\n106 -14 V\n-11 -3 V\n-95 17 V\n.001 g
      2616 1323 N 0 0 -81 9 -14 -2 h\n1.000 UP\n1.000 UL\nLT2\n2616 1323
      M\n-95 7 V\n81 -9 V\n14 2 V\n.005 g 2711 1327 N 14 2 -81 0 -28 -6
      h\n1.000 UP\n1.000 UL\nLT2\n2711 1327 M\n-95 -4 V\n-14 -2 V\n81 0 V\n28
      6 V\n.013 g 2803 1341 N 28 6 -79 -12 -41 -8 h\n1.000 UP\n1.000
      UL\nLT2\n2803 1341 M\n-92 -14 V\n-28 -6 V\n79 12 V\n41 8 V\n.025 g 2894
      1364 N 41 8 -78 -21 -54 -10 h\n1.000 UP\n1.000 UL\nLT2\n2894 1364
      M\n-91 -23 V\n-41 -8 V\n78 21 V\n54 10 V\n.0407 g 2981 1398 N 54 10 -74
      -31 -67 -13 h\n1.000 UP\n1.000 UL\nLT2\n2981 1398 M\n-87 -34 V\n-54 -10
      V\n74 31 V\n67 13 V\n.0601 g 3065 1441 N 67 13 -72 -41 -79 -15 h\n1.000
      UP\n1.000 UL\nLT2\n3065 1441 M\n-84 -43 V\n-67 -13 V\n72 41 V\n79 15
      V\n.0831 g 3145 1494 N 79 15 -68 -50 -91 -18 h\n1.000 UP\n1.000
      UL\nLT2\n3145 1494 M\n-80 -53 V\n-79 -15 V\n68 50 V\n91 18 V\n.1095 g
      3219 1555 N 91 18 -63 -59 -102 -20 h\n1.000 UP\n1.000 UL\nLT2\n3219
      1555 M\n-74 -61 V\n-91 -18 V\n63 59 V\n102 20 V\n.139 g 3288 1625 N 102
      20 -59 -68 -112 -22 h\n1.000 UP\n1.000 UL\nLT2\n3288 1625 M\n-69 -70
      V\n-102 -20 V\n59 68 V\n112 22 V\n.1714 g 3351 1702 N 112 22 -54 -75
      -121 -24 h\n1.000 UP\n1.000 UL\nLT2\n3351 1702 M\n-63 -77 V\n-112 -22
      V\n54 75 V\n121 24 V\n.2064 g 3407 1786 N 121 24 -48 -83 -129 -25
      h\n1.000 UP\n1.000 UL\nLT2\n3407 1786 M\n-56 -84 V\n-121 -24 V\n48 83
      V\n129 25 V\n.2438 g 3455 1877 N 129 25 -41 -90 -136 -26 h\n1.000
      UP\n1.000 UL\nLT2\n3455 1877 M\n-48 -91 V\n-129 -25 V\n41 90 V\n136 26
      V\n.2833 g 3497 1974 N 136 26 -36 -96 -142 -27 h\n1.000 UP\n1.000
      UL\nLT2\n3497 1974 M\n-42 -97 V\n-136 -26 V\n36 96 V\n142 27 V\n.3245 g
      3530 2076 N 142 27 -28 -100 -147 -29 h\n1.000 UP\n1.000 UL\nLT2\n3530
      2076 M\n-33 -102 V\n-142 -27 V\n28 100 V\n147 29 V\n.3671 g 3556 2182 N
      147 29 -22 -105 -151 -30 h\n1.000 UP\n1.000 UL\nLT2\n3556 2182 M\n-26
      -106 V\n-147 -29 V\n22 105 V\n151 30 V\n.4108 g 3573 2291 N 151 30 -14
      -109 -154 -30 h\n1.000 UP\n1.000 UL\nLT2\n3573 2291 M\n-17 -109 V\n-151
      -30 V\n14 109 V\n154 30 V\n.4552 g 3581 2402 N 154 30 -8 -111 -154 -30
      h\n1.000 UP\n1.000 UL\nLT2\n3581 2402 M\n-8 -111 V\n-154 -30 V\n8 111
      V\n154 30 V\n.5 g 3581 2515 N 154 30 0 -113 -154 -30 h\n1.000 UP\n1.000
      UL\nLT2\n3581 2515 M\n0 -113 V\n-154 -30 V\n0 113 V\n154 30 V\n.5448 g
      3573 2629 N 154 30 8 -114 -154 -30 h\n1.000 UP\n1.000 UL\nLT2\n3573
      2629 M\n8 -114 V\n-154 -30 V\n-8 114 V\n154 30 V\n.5892 g 3556 2742 N
      154 30 14 -114 -151 -29 h\n1.000 UP\n1.000 UL\nLT2\n3556 2742 M\n17
      -113 V\n-154 -30 V\n-14 114 V\n151 29 V\n.6329 g 3530 2854 N 151 29 22
      -113 -147 -28 h\n1.000 UP\n1.000 UL\nLT2\n3530 2854 M\n26 -112 V\n-151
      -29 V\n-22 113 V\n147 28 V\n.6755 g 3497 2964 N 147 28 28 -111 -142 -27
      h\n1.000 UP\n1.000 UL\nLT2\n3497 2964 M\n33 -110 V\n-147 -28 V\n-28 111
      V\n142 27 V\n.7167 g 3455 3071 N 142 27 36 -108 -136 -26 h\n1.000
      UP\n1.000 UL\nLT2\n3455 3071 M\n42 -107 V\n-142 -27 V\n-36 108 V\n136
      26 V\n.7562 g 3407 3174 N 136 26 41 -104 -129 -25 h\n1.000 UP\n1.000
      UL\nLT2\n3407 3174 M\n48 -103 V\n-136 -26 V\n-41 104 V\n129 25 V\n.7936
      g 3351 3273 N 129 25 48 -100 -121 -24 h\n1.000 UP\n1.000 UL\nLT2\n3351
      3273 M\n56 -99 V\n-129 -25 V\n-48 100 V\n121 24 V\n.8286 g 3288 3365 N
      121 24 54 -95 -112 -21 h\n1.000 UP\n1.000 UL\nLT2\n3288 3365 M\n63 -92
      V\n-121 -24 V\n-54 95 V\n112 21 V\n.861 g 3219 3452 N 112 21 59 -88
      -102 -20 h\n1.000 UP\n1.000 UL\nLT2\n3219 3452 M\n69 -87 V\n-112 -21
      V\n-59 88 V\n102 20 V\n.8905 g 3145 3532 N 102 20 63 -82 -91 -18
      h\n1.000 UP\n1.000 UL\nLT2\n3145 3532 M\n74 -80 V\n-102 -20 V\n-63 82
      V\n91 18 V\n.9169 g 3065 3604 N 91 18 68 -74 -79 -16 h\n1.000 UP\n1.000
      UL\nLT2\n3065 3604 M\n80 -72 V\n-91 -18 V\n-68 74 V\n79 16 V\n.9399 g
      2981 3668 N 79 16 72 -67 -67 -13 h\n1.000 UP\n1.000 UL\nLT2\n2981 3668
      M\n84 -64 V\n-79 -16 V\n-72 67 V\n67 13 V\n.9593 g 2894 3723 N 67 13 74
      -57 -54 -11 h\n1.000 UP\n1.000 UL\nLT2\n2894 3723 M\n87 -55 V\n-67 -13
      V\n-74 57 V\n54 11 V\n.975 g 2803 3769 N 54 11 78 -49 -41 -8 h\n1.000
      UP\n1.000 UL\nLT2\n2803 3769 M\n91 -46 V\n-54 -11 V\n-78 49 V\n41 8
      V\n.987 g 2711 3805 N 41 8 79 -39 -28 -5 h\n1.000 UP\n1.000
      UL\nLT2\n2711 3805 M\n92 -36 V\n-41 -8 V\n-79 39 V\n28 5 V\n.995 g 2616
      3832 N 28 5 81 -30 -14 -2 h\n1.000 UP\n1.000 UL\nLT2\n2616 3832 M\n95
      -27 V\n-28 -5 V\n-81 30 V\n14 2 V\n.999 g 2521 3849 N 14 2 81 -19 0 0
      h\n1.000 UP\n1.000 UL\nLT2\n2521 3849 M\n95 -17 V\n-14 -2 V\n-81 19
      V\n.001 g 2602 1321 N 0 0 -65 12 -16 -3 h\n1.000 UP\n1.000
      UL\nLT2\n2602 1321 M\n-81 9 V\n65 -12 V\n16 3 V\n.005 g 2683 1321 N 16
      3 -64 1 -33 -4 h\n1.000 UP\n1.000 UL\nLT2\n2683 1321 M\n-81 0 V\n-16 -3
      V\n64 -1 V\n33 4 V\n.013 g 2762 1333 N 33 4 -63 -9 -49 -7 h\n1.000
      UP\n1.000 UL\nLT2\n2762 1333 M\n-79 -12 V\n-33 -4 V\n63 9 V\n49 7
      V\n.025 g 2840 1354 N 49 7 -62 -19 -65 -9 h\n1.000 UP\n1.000
      UL\nLT2\n2840 1354 M\n-78 -21 V\n-49 -7 V\n62 19 V\n65 9 V\n.0407 g
      2914 1385 N 65 9 -60 -29 -79 -11 h\n1.000 UP\n1.000 UL\nLT2\n2914 1385
      M\n-74 -31 V\n-65 -9 V\n60 29 V\n79 11 V\n.0601 g 2986 1426 N 79 11 -57
      -39 -94 -13 h\n1.000 UP\n1.000 UL\nLT2\n2986 1426 M\n-72 -41 V\n-79 -11
      V\n57 39 V\n94 13 V\n.0831 g 3054 1476 N 94 13 -54 -48 -108 -15
      h\n1.000 UP\n1.000 UL\nLT2\n3054 1476 M\n-68 -50 V\n-94 -13 V\n54 48
      V\n108 15 V\n.1095 g 3117 1535 N 108 15 -50 -58 -121 -16 h\n1.000
      UP\n1.000 UL\nLT2\n3117 1535 M\n-63 -59 V\n-108 -15 V\n50 58 V\n121 16
      V\n.139 g 3176 1603 N 121 16 -47 -66 -133 -18 h\n1.000 UP\n1.000
      UL\nLT2\n3176 1603 M\n-59 -68 V\n-121 -16 V\n47 66 V\n133 18 V\n.1714 g
      3230 1678 N 133 18 -43 -74 -144 -19 h\n1.000 UP\n1.000 UL\nLT2\n3230
      1678 M\n-54 -75 V\n-133 -18 V\n43 74 V\n144 19 V\n.2064 g 3278 1761 N
      144 19 -38 -82 -154 -20 h\n1.000 UP\n1.000 UL\nLT2\n3278 1761 M\n-48
      -83 V\n-144 -19 V\n38 82 V\n154 20 V\n.2438 g 3319 1851 N 154 20 -33
      -88 -162 -22 h\n1.000 UP\n1.000 UL\nLT2\n3319 1851 M\n-41 -90 V\n-154
      -20 V\n33 88 V\n162 22 V\n.2833 g 3355 1947 N 162 22 -28 -95 -170 -23
      h\n1.000 UP\n1.000 UL\nLT2\n3355 1947 M\n-36 -96 V\n-162 -22 V\n28 95
      V\n170 23 V\n.3245 g 3383 2047 N 170 23 -23 -100 -175 -23 h\n1.000
      UP\n1.000 UL\nLT2\n3383 2047 M\n-28 -100 V\n-170 -23 V\n23 100 V\n175
      23 V\n.3671 g 3405 2152 N 175 23 -18 -104 -179 -24 h\n1.000 UP\n1.000
      UL\nLT2\n3405 2152 M\n-22 -105 V\n-175 -23 V\n18 104 V\n179 24 V\n.4108
      g 3419 2261 N 179 24 -11 -108 -182 -25 h\n1.000 UP\n1.000 UL\nLT2\n3419
      2261 M\n-14 -109 V\n-179 -24 V\n11 108 V\n182 25 V\n.4552 g 3427 2372 N
      182 25 -6 -111 -184 -25 h\n1.000 UP\n1.000 UL\nLT2\n3427 2372 M\n-8
      -111 V\n-182 -25 V\n6 111 V\n184 25 V\n.5 g 3427 2485 N 184 25 0 -113
      -184 -25 h\n1.000 UP\n1.000 UL\nLT2\n3427 2485 M\n0 -113 V\n-184 -25
      V\n0 113 V\n184 25 V\n.5448 g 3419 2599 N 184 25 6 -115 -182 -24
      h\n1.000 UP\n1.000 UL\nLT2\n3419 2599 M\n8 -114 V\n-184 -25 V\n-6 115
      V\n182 24 V\n.5892 g 3405 2713 N 182 24 11 -114 -179 -24 h\n1.000
      UP\n1.000 UL\nLT2\n3405 2713 M\n14 -114 V\n-182 -24 V\n-11 114 V\n179
      24 V\n.6329 g 3383 2826 N 179 24 18 -113 -175 -24 h\n1.000 UP\n1.000
      UL\nLT2\n3383 2826 M\n22 -113 V\n-179 -24 V\n-18 113 V\n175 24 V\n.6755
      g 3355 2937 N 175 24 23 -112 -170 -23 h\n1.000 UP\n1.000 UL\nLT2\n3355
      2937 M\n28 -111 V\n-175 -24 V\n-23 112 V\n170 23 V\n.7167 g 3319 3045 N
      170 23 28 -109 -162 -22 h\n1.000 UP\n1.000 UL\nLT2\n3319 3045 M\n36
      -108 V\n-170 -23 V\n-28 109 V\n162 22 V\n.7562 g 3278 3149 N 162 22 33
      -105 -154 -21 h\n1.000 UP\n1.000 UL\nLT2\n3278 3149 M\n41 -104 V\n-162
      -22 V\n-33 105 V\n154 21 V\n.7936 g 3230 3249 N 154 21 38 -102 -144 -19
      h\n1.000 UP\n1.000 UL\nLT2\n3230 3249 M\n48 -100 V\n-154 -21 V\n-38 102
      V\n144 19 V\n.8286 g 3176 3344 N 144 19 43 -96 -133 -18 h\n1.000
      UP\n1.000 UL\nLT2\n3176 3344 M\n54 -95 V\n-144 -19 V\n-43 96 V\n133 18
      V\n.861 g 3117 3432 N 133 18 47 -90 -121 -16 h\n1.000 UP\n1.000
      UL\nLT2\n3117 3432 M\n59 -88 V\n-133 -18 V\n-47 90 V\n121 16 V\n.8905 g
      3054 3514 N 121 16 50 -83 -108 -15 h\n1.000 UP\n1.000 UL\nLT2\n3054
      3514 M\n63 -82 V\n-121 -16 V\n-50 83 V\n108 15 V\n.9169 g 2986 3588 N
      108 15 54 -77 -94 -12 h\n1.000 UP\n1.000 UL\nLT2\n2986 3588 M\n68 -74
      V\n-108 -15 V\n-54 77 V\n94 12 V\n.9399 g 2914 3655 N 94 12 57 -68 -79
      -11 h\n1.000 UP\n1.000 UL\nLT2\n2914 3655 M\n72 -67 V\n-94 -12 V\n-57
      68 V\n79 11 V\n.9593 g 2840 3712 N 79 11 60 -59 -65 -9 h\n1.000
      UP\n1.000 UL\nLT2\n2840 3712 M\n74 -57 V\n-79 -11 V\n-60 59 V\n65 9
      V\n.975 g 2762 3761 N 65 9 62 -51 -49 -7 h\n1.000 UP\n1.000
      UL\nLT2\n2762 3761 M\n78 -49 V\n-65 -9 V\n-62 51 V\n49 7 V\n.987 g 2683
      3800 N 49 7 63 -42 -33 -4 h\n1.000 UP\n1.000 UL\nLT2\n2683 3800 M\n79
      -39 V\n-49 -7 V\n-63 42 V\n33 4 V\n.995 g 2602 3830 N 33 4 64 -31 -16
      -3 h\n1.000 UP\n1.000 UL\nLT2\n2602 3830 M\n81 -30 V\n-33 -4 V\n-64 31
      V\n16 3 V\n.999 g 2521 3849 N 16 3 65 -22 0 0 h\n1.000 UP\n1.000
      UL\nLT2\n2521 3849 M\n81 -19 V\n-16 -3 V\n-65 22 V\n.001 g 2586 1318 N
      0 0 -46 13 -19 -1 h\n1.000 UP\n1.000 UL\nLT2\n2586 1318 M\n-65 12 V\n46
      -13 V\n19 1 V\n.005 g 2650 1317 N 19 1 -46 3 -37 -3 h\n1.000 UP\n1.000
      UL\nLT2\n2650 1317 M\n-64 1 V\n-19 -1 V\n46 -3 V\n37 3 V\n.013 g 2713
      1326 N 37 3 -45 -7 -55 -5 h\n1.000 UP\n1.000 UL\nLT2\n2713 1326 M\n-63
      -9 V\n-37 -3 V\n45 7 V\n55 5 V\n.025 g 2775 1345 N 55 5 -44 -17 -73 -7
      h\n1.000 UP\n1.000 UL\nLT2\n2775 1345 M\n-62 -19 V\n-55 -5 V\n44 17
      V\n73 7 V\n.0407 g 2835 1374 N 73 7 -43 -28 -90 -8 h\n1.000 UP\n1.000
      UL\nLT2\n2835 1374 M\n-60 -29 V\n-73 -7 V\n43 28 V\n90 8 V\n.0601 g
      2892 1413 N 90 8 -41 -37 -106 -10 h\n1.000 UP\n1.000 UL\nLT2\n2892 1413
      M\n-57 -39 V\n-90 -8 V\n41 37 V\n106 10 V\n.0831 g 2946 1461 N 106 10
      -38 -47 -122 -11 h\n1.000 UP\n1.000 UL\nLT2\n2946 1461 M\n-54 -48
      V\n-106 -10 V\n38 47 V\n122 11 V\n.1095 g 2996 1519 N 122 11 -36 -56
      -136 -13 h\n1.000 UP\n1.000 UL\nLT2\n2996 1519 M\n-50 -58 V\n-122 -11
      V\n36 56 V\n136 13 V\n.139 g 3043 1585 N 136 13 -34 -65 -149 -14
      h\n1.000 UP\n1.000 UL\nLT2\n3043 1585 M\n-47 -66 V\n-136 -13 V\n34 65
      V\n149 14 V\n.1714 g 3086 1659 N 149 14 -30 -73 -162 -15 h\n1.000
      UP\n1.000 UL\nLT2\n3086 1659 M\n-43 -74 V\n-149 -14 V\n30 73 V\n162 15
      V\n.2064 g 3124 1741 N 162 15 -27 -81 -173 -16 h\n1.000 UP\n1.000
      UL\nLT2\n3124 1741 M\n-38 -82 V\n-162 -15 V\n27 81 V\n173 16 V\n.2438 g
      3157 1829 N 173 16 -24 -87 -182 -17 h\n1.000 UP\n1.000 UL\nLT2\n3157
      1829 M\n-33 -88 V\n-173 -16 V\n24 87 V\n182 17 V\n.2833 g 3185 1924 N
      182 17 -20 -94 -190 -18 h\n1.000 UP\n1.000 UL\nLT2\n3185 1924 M\n-28
      -95 V\n-182 -17 V\n20 94 V\n190 18 V\n.3245 g 3208 2024 N 190 18 -16
      -100 -197 -18 h\n1.000 UP\n1.000 UL\nLT2\n3208 2024 M\n-23 -100 V\n-190
      -18 V\n16 100 V\n197 18 V\n.3671 g 3226 2128 N 197 18 -13 -104 -202 -18
      h\n1.000 UP\n1.000 UL\nLT2\n3226 2128 M\n-18 -104 V\n-197 -18 V\n13 104
      V\n202 18 V\n.4108 g 3237 2236 N 202 18 -8 -108 -205 -18 h\n1.000
      UP\n1.000 UL\nLT2\n3237 2236 M\n-11 -108 V\n-202 -18 V\n8 108 V\n205 18
      V\n.4552 g 3243 2347 N 205 18 -4 -111 -207 -18 h\n1.000 UP\n1.000
      UL\nLT2\n3243 2347 M\n-6 -111 V\n-205 -18 V\n4 111 V\n207 18 V\n.5 g
      3243 2460 N 207 18 0 -113 -207 -18 h\n1.000 UP\n1.000 UL\nLT2\n3243
      2460 M\n0 -113 V\n-207 -18 V\n0 113 V\n207 18 V\n.5448 g 3237 2575 N
      207 18 4 -114 -205 -19 h\n1.000 UP\n1.000 UL\nLT2\n3237 2575 M\n6 -115
      V\n-207 -18 V\n-4 114 V\n205 19 V\n.5892 g 3226 2689 N 205 19 8 -114
      -202 -19 h\n1.000 UP\n1.000 UL\nLT2\n3226 2689 M\n11 -114 V\n-205 -19
      V\n-8 114 V\n202 19 V\n.6329 g 3208 2802 N 202 19 13 -114 -197 -18
      h\n1.000 UP\n1.000 UL\nLT2\n3208 2802 M\n18 -113 V\n-202 -19 V\n-13 114
      V\n197 18 V\n.6755 g 3185 2914 N 197 18 16 -112 -190 -18 h\n1.000
      UP\n1.000 UL\nLT2\n3185 2914 M\n23 -112 V\n-197 -18 V\n-16 112 V\n190
      18 V\n.7167 g 3157 3023 N 190 18 20 -110 -182 -17 h\n1.000 UP\n1.000
      UL\nLT2\n3157 3023 M\n28 -109 V\n-190 -18 V\n-20 110 V\n182 17 V\n.7562
      g 3124 3128 N 182 17 24 -107 -173 -15 h\n1.000 UP\n1.000 UL\nLT2\n3124
      3128 M\n33 -105 V\n-182 -17 V\n-24 107 V\n173 15 V\n.7936 g 3086 3230 N
      173 15 27 -102 -162 -15 h\n1.000 UP\n1.000 UL\nLT2\n3086 3230 M\n38
      -102 V\n-173 -15 V\n-27 102 V\n162 15 V\n.8286 g 3043 3326 N 162 15 30
      -97 -149 -14 h\n1.000 UP\n1.000 UL\nLT2\n3043 3326 M\n43 -96 V\n-162
      -15 V\n-30 97 V\n149 14 V\n.861 g 2996 3416 N 149 14 34 -91 -136 -13
      h\n1.000 UP\n1.000 UL\nLT2\n2996 3416 M\n47 -90 V\n-149 -14 V\n-34 91
      V\n136 13 V\n.8905 g 2946 3499 N 136 13 36 -85 -122 -11 h\n1.000
      UP\n1.000 UL\nLT2\n2946 3499 M\n50 -83 V\n-136 -13 V\n-36 85 V\n122 11
      V\n.9169 g 2892 3576 N 122 11 38 -78 -106 -10 h\n1.000 UP\n1.000
      UL\nLT2\n2892 3576 M\n54 -77 V\n-122 -11 V\n-38 78 V\n106 10 V\n.9399 g
      2835 3644 N 106 10 41 -70 -90 -8 h\n1.000 UP\n1.000 UL\nLT2\n2835 3644
      M\n57 -68 V\n-106 -10 V\n-41 70 V\n90 8 V\n.9593 g 2775 3703 N 90 8 43
      -61 -73 -6 h\n1.000 UP\n1.000 UL\nLT2\n2775 3703 M\n60 -59 V\n-90 -8
      V\n-43 61 V\n73 6 V\n.975 g 2713 3754 N 73 6 44 -52 -55 -5 h\n1.000
      UP\n1.000 UL\nLT2\n2713 3754 M\n62 -51 V\n-73 -6 V\n-44 52 V\n55 5
      V\n.987 g 2650 3796 N 55 5 45 -43 -37 -4 h\n1.000 UP\n1.000
      UL\nLT2\n2650 3796 M\n63 -42 V\n-55 -5 V\n-45 43 V\n37 4 V\n.995 g 2586
      3827 N 37 4 46 -34 -19 -1 h\n1.000 UP\n1.000 UL\nLT2\n2586 3827 M\n64
      -31 V\n-37 -4 V\n-46 34 V\n19 1 V\n.999 g 2521 3849 N 19 1 46 -23 0 0
      h\n1.000 UP\n1.000 UL\nLT2\n2521 3849 M\n65 -22 V\n-19 -1 V\n-46 23
      V\n.001 g 2567 1317 N 0 0 -26 14 -20 -1 h\n1.000 UP\n1.000
      UL\nLT2\n2567 1317 M\n-46 13 V\n26 -14 V\n20 1 V\n.005 g 2613 1314 N 20
      1 -26 5 -40 -3 h\n1.000 UP\n1.000 UL\nLT2\n2613 1314 M\n-46 3 V\n-20 -1
      V\n26 -5 V\n40 3 V\n.013 g 2658 1321 N 40 3 -26 -7 -59 -3 h\n1.000
      UP\n1.000 UL\nLT2\n2658 1321 M\n-45 -7 V\n-40 -3 V\n26 7 V\n59 3
      V\n.025 g 2702 1338 N 59 3 -25 -16 -78 -4 h\n1.000 UP\n1.000
      UL\nLT2\n2702 1338 M\n-44 -17 V\n-59 -3 V\n25 16 V\n78 4 V\n.0407 g
      2745 1366 N 78 4 -24 -27 -97 -5 h\n1.000 UP\n1.000 UL\nLT2\n2745 1366
      M\n-43 -28 V\n-78 -4 V\n24 27 V\n97 5 V\n.0601 g 2786 1403 N 97 5 -23
      -36 -115 -6 h\n1.000 UP\n1.000 UL\nLT2\n2786 1403 M\n-41 -37 V\n-97 -5
      V\n23 36 V\n115 6 V\n.0831 g 2824 1450 N 115 6 -22 -46 -131 -7 h\n1.000
      UP\n1.000 UL\nLT2\n2824 1450 M\n-38 -47 V\n-115 -6 V\n22 46 V\n131 7
      V\n.1095 g 2860 1506 N 131 7 -20 -55 -147 -8 h\n1.000 UP\n1.000
      UL\nLT2\n2860 1506 M\n-36 -56 V\n-131 -7 V\n20 55 V\n147 8 V\n.139 g
      2894 1571 N 147 8 -19 -64 -162 -9 h\n1.000 UP\n1.000 UL\nLT2\n2894 1571
      M\n-34 -65 V\n-147 -8 V\n19 64 V\n162 9 V\n.1714 g 2924 1644 N 162 9
      -17 -73 -175 -9 h\n1.000 UP\n1.000 UL\nLT2\n2924 1644 M\n-30 -73
      V\n-162 -9 V\n17 73 V\n175 9 V\n.2064 g 2951 1725 N 175 9 -16 -80 -186
      -10 h\n1.000 UP\n1.000 UL\nLT2\n2951 1725 M\n-27 -81 V\n-175 -9 V\n16
      80 V\n186 10 V\n.2438 g 2975 1812 N 186 10 -13 -87 -197 -10 h\n1.000
      UP\n1.000 UL\nLT2\n2975 1812 M\n-24 -87 V\n-186 -10 V\n13 87 V\n197 10
      V\n.2833 g 2995 1906 N 197 10 -11 -93 -206 -11 h\n1.000 UP\n1.000
      UL\nLT2\n2995 1906 M\n-20 -94 V\n-197 -10 V\n11 93 V\n206 11 V\n.3245 g
      3011 2006 N 206 11 -10 -99 -212 -12 h\n1.000 UP\n1.000 UL\nLT2\n3011
      2006 M\n-16 -100 V\n-206 -11 V\n10 99 V\n212 12 V\n.3671 g 3024 2110 N
      212 12 -7 -104 -218 -12 h\n1.000 UP\n1.000 UL\nLT2\n3024 2110 M\n-13
      -104 V\n-212 -12 V\n7 104 V\n218 12 V\n.4108 g 3032 2218 N 218 12 -4
      -107 -222 -13 h\n1.000 UP\n1.000 UL\nLT2\n3032 2218 M\n-8 -108 V\n-218
      -12 V\n4 107 V\n222 13 V\n.4552 g 3036 2329 N 222 13 -3 -111 -223 -13
      h\n1.000 UP\n1.000 UL\nLT2\n3036 2329 M\n-4 -111 V\n-222 -13 V\n3 111
      V\n223 13 V\n.5 g 3036 2442 N 223 13 0 -113 -223 -13 h\n1.000 UP\n1.000
      UL\nLT2\n3036 2442 M\n0 -113 V\n-223 -13 V\n0 113 V\n223 13 V\n.5448 g
      3032 2556 N 223 13 3 -115 -222 -12 h\n1.000 UP\n1.000 UL\nLT2\n3032
      2556 M\n4 -114 V\n-223 -13 V\n-3 115 V\n222 12 V\n.5892 g 3024 2670 N
      222 12 4 -114 -218 -12 h\n1.000 UP\n1.000 UL\nLT2\n3024 2670 M\n8 -114
      V\n-222 -12 V\n-4 114 V\n218 12 V\n.6329 g 3011 2784 N 218 12 7 -114
      -212 -12 h\n1.000 UP\n1.000 UL\nLT2\n3011 2784 M\n13 -114 V\n-218 -12
      V\n-7 114 V\n212 12 V\n.6755 g 2995 2896 N 212 12 10 -113 -206 -11
      h\n1.000 UP\n1.000 UL\nLT2\n2995 2896 M\n16 -112 V\n-212 -12 V\n-10 113
      V\n206 11 V\n.7167 g 2975 3006 N 206 11 11 -110 -197 -11 h\n1.000
      UP\n1.000 UL\nLT2\n2975 3006 M\n20 -110 V\n-206 -11 V\n-11 110 V\n197
      11 V\n.7562 g 2951 3113 N 197 11 13 -107 -186 -11 h\n1.000 UP\n1.000
      UL\nLT2\n2951 3113 M\n24 -107 V\n-197 -11 V\n-13 107 V\n186 11 V\n.7936
      g 2924 3215 N 186 11 16 -103 -175 -10 h\n1.000 UP\n1.000 UL\nLT2\n2924
      3215 M\n27 -102 V\n-186 -11 V\n-16 103 V\n175 10 V\n.8286 g 2894 3312 N
      175 10 17 -98 -162 -9 h\n1.000 UP\n1.000 UL\nLT2\n2894 3312 M\n30 -97
      V\n-175 -10 V\n-17 98 V\n162 9 V\n.861 g 2860 3403 N 162 9 19 -92 -147
      -8 h\n1.000 UP\n1.000 UL\nLT2\n2860 3403 M\n34 -91 V\n-162 -9 V\n-19 92
      V\n147 8 V\n.8905 g 2824 3488 N 147 8 20 -86 -131 -7 h\n1.000 UP\n1.000
      UL\nLT2\n2824 3488 M\n36 -85 V\n-147 -8 V\n-20 86 V\n131 7 V\n.9169 g
      2786 3566 N 131 7 22 -78 -115 -7 h\n1.000 UP\n1.000 UL\nLT2\n2786 3566
      M\n38 -78 V\n-131 -7 V\n-22 78 V\n115 7 V\n.9399 g 2745 3636 N 115 7 23
      -71 -97 -6 h\n1.000 UP\n1.000 UL\nLT2\n2745 3636 M\n41 -70 V\n-115 -7
      V\n-23 71 V\n97 6 V\n.9593 g 2702 3697 N 97 6 24 -63 -78 -4 h\n1.000
      UP\n1.000 UL\nLT2\n2702 3697 M\n43 -61 V\n-97 -6 V\n-24 63 V\n78 4
      V\n.975 g 2658 3749 N 78 4 25 -53 -59 -3 h\n1.000 UP\n1.000
      UL\nLT2\n2658 3749 M\n44 -52 V\n-78 -4 V\n-25 53 V\n59 3 V\n.987 g 2613
      3792 N 59 3 26 -44 -40 -2 h\n1.000 UP\n1.000 UL\nLT2\n2613 3792 M\n45
      -43 V\n-59 -3 V\n-26 44 V\n40 2 V\n.995 g 2567 3826 N 40 2 26 -35 -20
      -1 h\n1.000 UP\n1.000 UL\nLT2\n2567 3826 M\n46 -34 V\n-40 -2 V\n-26 35
      V\n20 1 V\n.999 g 2521 3849 N 20 1 26 -24 0 0 h\n1.000 UP\n1.000
      UL\nLT2\n2521 3849 M\n46 -23 V\n-20 -1 V\n-26 24 V\n.001 g 2547 1316 N
      0 0 -5 15 -21 -1 h\n1.000 UP\n1.000 UL\nLT2\n2547 1316 M\n-26 14 V\n5
      -15 V\n21 1 V\n.005 g 2573 1311 N 21 1 -6 5 -41 -1 h\n1.000 UP\n1.000
      UL\nLT2\n2573 1311 M\n-26 5 V\n-21 -1 V\n6 -5 V\n41 1 V\n.013 g 2599
      1318 N 41 1 -5 -6 -62 -2 h\n1.000 UP\n1.000 UL\nLT2\n2599 1318 M\n-26
      -7 V\n-41 -1 V\n5 6 V\n62 2 V\n.025 g 2624 1334 N 62 2 -5 -16 -82 -2
      h\n1.000 UP\n1.000 UL\nLT2\n2624 1334 M\n-25 -16 V\n-62 -2 V\n5 16
      V\n82 2 V\n.0407 g 2648 1361 N 82 2 -5 -26 -101 -3 h\n1.000 UP\n1.000
      UL\nLT2\n2648 1361 M\n-24 -27 V\n-82 -2 V\n5 26 V\n101 3 V\n.0601 g
      2671 1397 N 101 3 -4 -36 -120 -3 h\n1.000 UP\n1.000 UL\nLT2\n2671 1397
      M\n-23 -36 V\n-101 -3 V\n4 36 V\n120 3 V\n.0831 g 2693 1443 N 120 3 -5
      -46 -137 -3 h\n1.000 UP\n1.000 UL\nLT2\n2693 1443 M\n-22 -46 V\n-120 -3
      V\n5 46 V\n137 3 V\n.1095 g 2713 1498 N 137 3 -4 -55 -153 -3 h\n1.000
      UP\n1.000 UL\nLT2\n2713 1498 M\n-20 -55 V\n-137 -3 V\n4 55 V\n153 3
      V\n.139 g 2732 1562 N 153 3 -4 -63 -168 -4 h\n1.000 UP\n1.000
      UL\nLT2\n2732 1562 M\n-19 -64 V\n-153 -3 V\n4 63 V\n168 4 V\n.1714 g
      2749 1635 N 168 4 -3 -72 -182 -5 h\n1.000 UP\n1.000 UL\nLT2\n2749 1635
      M\n-17 -73 V\n-168 -4 V\n3 72 V\n182 5 V\n.2064 g 2765 1715 N 182 5 -3
      -80 -195 -5 h\n1.000 UP\n1.000 UL\nLT2\n2765 1715 M\n-16 -80 V\n-182 -5
      V\n3 80 V\n195 5 V\n.2438 g 2778 1802 N 195 5 -3 -87 -205 -5 h\n1.000
      UP\n1.000 UL\nLT2\n2778 1802 M\n-13 -87 V\n-195 -5 V\n3 87 V\n205 5
      V\n.2833 g 2789 1895 N 205 5 -2 -93 -214 -5 h\n1.000 UP\n1.000
      UL\nLT2\n2789 1895 M\n-11 -93 V\n-205 -5 V\n2 93 V\n214 5 V\n.3245 g
      2799 1994 N 214 5 -2 -99 -222 -5 h\n1.000 UP\n1.000 UL\nLT2\n2799 1994
      M\n-10 -99 V\n-214 -5 V\n2 99 V\n222 5 V\n.3671 g 2806 2098 N 222 5 -2
      -103 -227 -6 h\n1.000 UP\n1.000 UL\nLT2\n2806 2098 M\n-7 -104 V\n-222
      -5 V\n2 103 V\n227 6 V\n.4108 g 2810 2205 N 227 6 0 -108 -231 -5
      h\n1.000 UP\n1.000 UL\nLT2\n2810 2205 M\n-4 -107 V\n-227 -6 V\n0 108
      V\n231 5 V\n.4552 g 2813 2316 N 231 5 -1 -111 -233 -5 h\n1.000
      UP\n1.000 UL\nLT2\n2813 2316 M\n-3 -111 V\n-231 -5 V\n1 111 V\n233 5
      V\n.5 g 2813 2429 N 233 5 0 -113 -233 -5 h\n1.000 UP\n1.000
      UL\nLT2\n2813 2429 M\n0 -113 V\n-233 -5 V\n0 113 V\n233 5 V\n.5448 g
      2810 2544 N 233 5 1 -114 -231 -6 h\n1.000 UP\n1.000 UL\nLT2\n2810 2544
      M\n3 -115 V\n-233 -5 V\n-1 114 V\n231 6 V\n.5892 g 2806 2658 N 231 6 0
      -115 -227 -5 h\n1.000 UP\n1.000 UL\nLT2\n2806 2658 M\n4 -114 V\n-231 -6
      V\n0 115 V\n227 5 V\n.6329 g 2799 2772 N 227 5 2 -114 -222 -5 h\n1.000
      UP\n1.000 UL\nLT2\n2799 2772 M\n7 -114 V\n-227 -5 V\n-2 114 V\n222 5
      V\n.6755 g 2789 2885 N 222 5 2 -113 -214 -5 h\n1.000 UP\n1.000
      UL\nLT2\n2789 2885 M\n10 -113 V\n-222 -5 V\n-2 113 V\n214 5 V\n.7167 g
      2778 2995 N 214 5 2 -111 -205 -4 h\n1.000 UP\n1.000 UL\nLT2\n2778 2995
      M\n11 -110 V\n-214 -5 V\n-2 111 V\n205 4 V\n.7562 g 2765 3102 N 205 4 3
      -107 -195 -4 h\n1.000 UP\n1.000 UL\nLT2\n2765 3102 M\n13 -107 V\n-205
      -4 V\n-3 107 V\n195 4 V\n.7936 g 2749 3205 N 195 4 3 -103 -182 -4
      h\n1.000 UP\n1.000 UL\nLT2\n2749 3205 M\n16 -103 V\n-195 -4 V\n-3 103
      V\n182 4 V\n.8286 g 2732 3303 N 182 4 3 -98 -168 -4 h\n1.000 UP\n1.000
      UL\nLT2\n2732 3303 M\n17 -98 V\n-182 -4 V\n-3 98 V\n168 4 V\n.861 g
      2713 3395 N 168 4 4 -93 -153 -3 h\n1.000 UP\n1.000 UL\nLT2\n2713 3395
      M\n19 -92 V\n-168 -4 V\n-4 93 V\n153 3 V\n.8905 g 2693 3481 N 153 3 4
      -86 -137 -3 h\n1.000 UP\n1.000 UL\nLT2\n2693 3481 M\n20 -86 V\n-153 -3
      V\n-4 86 V\n137 3 V\n.9169 g 2671 3559 N 137 3 5 -79 -120 -2 h\n1.000
      UP\n1.000 UL\nLT2\n2671 3559 M\n22 -78 V\n-137 -3 V\n-5 79 V\n120 2
      V\n.9399 g 2648 3630 N 120 2 4 -71 -101 -2 h\n1.000 UP\n1.000
      UL\nLT2\n2648 3630 M\n23 -71 V\n-120 -2 V\n-4 71 V\n101 2 V\n.9593 g
      2624 3693 N 101 2 5 -63 -82 -2 h\n1.000 UP\n1.000 UL\nLT2\n2624 3693
      M\n24 -63 V\n-101 -2 V\n-5 63 V\n82 2 V\n.975 g 2599 3746 N 82 2 5 -54
      -62 -1 h\n1.000 UP\n1.000 UL\nLT2\n2599 3746 M\n25 -53 V\n-82 -2 V\n-5
      54 V\n62 1 V\n.987 g 2573 3790 N 62 1 5 -44 -41 -1 h\n1.000 UP\n1.000
      UL\nLT2\n2573 3790 M\n26 -44 V\n-62 -1 V\n-5 44 V\n41 1 V\n.995 g 2547
      3825 N 41 1 6 -35 -21 -1 h\n1.000 UP\n1.000 UL\nLT2\n2547 3825 M\n26
      -35 V\n-41 -1 V\n-6 35 V\n21 1 V\n.999 g 2521 3849 N 21 1 5 -25 0 0
      h\n1.000 UP\n1.000 UL\nLT2\n2521 3849 M\n26 -24 V\n-21 -1 V\n-5 25
      V\n.001 g 2526 1315 N 0 0 16 15 -21 0 h\n1.000 UP\n1.000 UL\nLT2\n2526
      1315 M\n-5 15 V\n-16 -15 V\n21 0 V\n.005 g 2532 1310 N 21 0 15 4 -42 1
      h\n1.000 UP\n1.000 UL\nLT2\n2532 1310 M\n-6 5 V\n-21 0 V\n-15 -4 V\n42
      -1 V\n.013 g 2537 1316 N 42 -1 16 -6 -63 1 h\n1.000 UP\n1.000
      UL\nLT2\n2537 1316 M\n-5 -6 V\n-42 1 V\n-16 6 V\n63 -1 V\n.025 g 2542
      1332 N 63 -1 15 -16 -83 1 h\n1.000 UP\n1.000 UL\nLT2\n2542 1332 M\n-5
      -16 V\n-63 1 V\n-15 16 V\n83 -1 V\n.0407 g 2547 1358 N 83 -1 14 -26
      -102 1 h\n1.000 UP\n1.000 UL\nLT2\n2547 1358 M\n-5 -26 V\n-83 1 V\n-14
      26 V\n102 -1 V\n.0601 g 2551 1394 N 102 -1 14 -36 -120 1 h\n1.000
      UP\n1.000 UL\nLT2\n2551 1394 M\n-4 -36 V\n-102 1 V\n-14 36 V\n120 -1
      V\n.0831 g 2556 1440 N 120 -1 13 -46 -138 1 h\n1.000 UP\n1.000
      UL\nLT2\n2556 1440 M\n-5 -46 V\n-120 1 V\n-13 46 V\n138 -1 V\n.1095 g
      2560 1495 N 138 -1 13 -55 -155 1 h\n1.000 UP\n1.000 UL\nLT2\n2560 1495
      M\n-4 -55 V\n-138 1 V\n-13 55 V\n155 -1 V\n.139 g 2564 1558 N 155 -1 11
      -64 -170 2 h\n1.000 UP\n1.000 UL\nLT2\n2564 1558 M\n-4 -63 V\n-155 1
      V\n-11 64 V\n170 -2 V\n.1714 g 2567 1630 N 170 -2 10 -72 -183 2
      h\n1.000 UP\n1.000 UL\nLT2\n2567 1630 M\n-3 -72 V\n-170 2 V\n-10 72
      V\n183 -2 V\n.2064 g 2570 1710 N 183 -2 10 -80 -196 2 h\n1.000
      UP\n1.000 UL\nLT2\n2570 1710 M\n-3 -80 V\n-183 2 V\n-10 80 V\n196 -2
      V\n.2438 g 2573 1797 N 196 -2 8 -86 -207 1 h\n1.000 UP\n1.000
      UL\nLT2\n2573 1797 M\n-3 -87 V\n-196 2 V\n-8 86 V\n207 -1 V\n.2833 g
      2575 1890 N 207 -1 7 -94 -216 2 h\n1.000 UP\n1.000 UL\nLT2\n2575 1890
      M\n-2 -93 V\n-207 1 V\n-7 94 V\n216 -2 V\n.3245 g 2577 1989 N 216 -2 5
      -99 -223 2 h\n1.000 UP\n1.000 UL\nLT2\n2577 1989 M\n-2 -99 V\n-216 2
      V\n-5 99 V\n223 -2 V\n.3671 g 2579 2092 N 223 -2 4 -103 -229 2 h\n1.000
      UP\n1.000 UL\nLT2\n2579 2092 M\n-2 -103 V\n-223 2 V\n-4 103 V\n229 -2
      V\n.4108 g 2579 2200 N 229 -2 3 -108 -232 2 h\n1.000 UP\n1.000
      UL\nLT2\n2579 2200 M\n0 -108 V\n-229 2 V\n-3 108 V\n232 -2 V\n.4552 g
      2580 2311 N 232 -2 2 -111 -235 2 h\n1.000 UP\n1.000 UL\nLT2\n2580 2311
      M\n-1 -111 V\n-232 2 V\n-2 111 V\n235 -2 V\n.5 g 2580 2424 N 235 -2 0
      -113 -235 2 h\n1.000 UP\n1.000 UL\nLT2\n2580 2424 M\n0 -113 V\n-235 2
      V\n0 113 V\n235 -2 V\n.5448 g 2579 2538 N 235 -2 -2 -114 -232 2
      h\n1.000 UP\n1.000 UL\nLT2\n2579 2538 M\n1 -114 V\n-235 2 V\n2 114
      V\n232 -2 V\n.5892 g 2579 2653 N 232 -2 -3 -115 -229 2 h\n1.000
      UP\n1.000 UL\nLT2\n2579 2653 M\n0 -115 V\n-232 2 V\n3 115 V\n229 -2
      V\n.6329 g 2577 2767 N 229 -2 -4 -114 -223 2 h\n1.000 UP\n1.000
      UL\nLT2\n2577 2767 M\n2 -114 V\n-229 2 V\n4 114 V\n223 -2 V\n.6755 g
      2575 2880 N 223 -2 -5 -113 -216 2 h\n1.000 UP\n1.000 UL\nLT2\n2575 2880
      M\n2 -113 V\n-223 2 V\n5 113 V\n216 -2 V\n.7167 g 2573 2991 N 216 -2 -7
      -110 -207 1 h\n1.000 UP\n1.000 UL\nLT2\n2573 2991 M\n2 -111 V\n-216 2
      V\n7 110 V\n207 -1 V\n.7562 g 2570 3098 N 207 -1 -8 -107 -196 1
      h\n1.000 UP\n1.000 UL\nLT2\n2570 3098 M\n3 -107 V\n-207 1 V\n8 107
      V\n196 -1 V\n.7936 g 2567 3201 N 196 -1 -10 -103 -183 1 h\n1.000
      UP\n1.000 UL\nLT2\n2567 3201 M\n3 -103 V\n-196 1 V\n10 103 V\n183 -1
      V\n.8286 g 2564 3299 N 183 -1 -10 -99 -170 2 h\n1.000 UP\n1.000
      UL\nLT2\n2564 3299 M\n3 -98 V\n-183 1 V\n10 99 V\n170 -2 V\n.861 g 2560
      3392 N 170 -2 -11 -92 -155 1 h\n1.000 UP\n1.000 UL\nLT2\n2560 3392 M\n4
      -93 V\n-170 2 V\n11 92 V\n155 -1 V\n.8905 g 2556 3478 N 155 -1 -13 -86
      -138 1 h\n1.000 UP\n1.000 UL\nLT2\n2556 3478 M\n4 -86 V\n-155 1 V\n13
      86 V\n138 -1 V\n.9169 g 2551 3557 N 138 -1 -13 -79 -120 1 h\n1.000
      UP\n1.000 UL\nLT2\n2551 3557 M\n5 -79 V\n-138 1 V\n13 79 V\n120 -1
      V\n.9399 g 2547 3628 N 120 -1 -14 -71 -102 1 h\n1.000 UP\n1.000
      UL\nLT2\n2547 3628 M\n4 -71 V\n-120 1 V\n14 71 V\n102 -1 V\n.9593 g
      2542 3691 N 102 -1 -14 -62 -83 0 h\n1.000 UP\n1.000 UL\nLT2\n2542 3691
      M\n5 -63 V\n-102 1 V\n14 62 V\n83 0 V\n.975 g 2537 3745 N 83 0 -15 -54
      -63 0 h\n1.000 UP\n1.000 UL\nLT2\n2537 3745 M\n5 -54 V\n-83 0 V\n15 54
      V\n63 0 V\n.987 g 2532 3789 N 63 0 -16 -44 -42 0 h\n1.000 UP\n1.000
      UL\nLT2\n2532 3789 M\n5 -44 V\n-63 0 V\n16 44 V\n42 0 V\n.995 g 2526
      3824 N 42 0 -15 -35 -21 0 h\n1.000 UP\n1.000 UL\nLT2\n2526 3824 M\n6
      -35 V\n-42 0 V\n15 35 V\n21 0 V\n.999 g 2521 3849 N 21 0 -16 -25 0 0
      h\n1.000 UP\n1.000 UL\nLT2\n2521 3849 M\n5 -25 V\n-21 0 V\n16 25
      V\n.001 g 2505 1315 N 0 0 36 14 -20 1 h\n1.000 UP\n1.000 UL\nLT2\n2505
      1315 M\n16 15 V\n-36 -14 V\n20 -1 V\n.005 g 2490 1311 N 20 -1 36 4 -41
      1 h\n1.000 UP\n1.000 UL\nLT2\n2490 1311 M\n15 4 V\n-20 1 V\n-36 -4
      V\n41 -1 V\n.013 g 2474 1317 N 41 -1 36 -7 -61 2 h\n1.000 UP\n1.000
      UL\nLT2\n2474 1317 M\n16 -6 V\n-41 1 V\n-36 7 V\n61 -2 V\n.025 g 2459
      1333 N 61 -2 34 -17 -80 3 h\n1.000 UP\n1.000 UL\nLT2\n2459 1333 M\n15
      -16 V\n-61 2 V\n-34 17 V\n80 -3 V\n.0407 g 2445 1359 N 80 -3 34 -27
      -100 4 h\n1.000 UP\n1.000 UL\nLT2\n2445 1359 M\n14 -26 V\n-80 3 V\n-34
      27 V\n100 -4 V\n.0601 g 2431 1395 N 100 -4 32 -37 -118 5 h\n1.000
      UP\n1.000 UL\nLT2\n2431 1395 M\n14 -36 V\n-100 4 V\n-32 37 V\n118 -5
      V\n.0831 g 2418 1441 N 118 -5 30 -46 -135 5 h\n1.000 UP\n1.000
      UL\nLT2\n2418 1441 M\n13 -46 V\n-118 5 V\n-30 46 V\n135 -5 V\n.1095 g
      2405 1496 N 135 -5 29 -56 -151 6 h\n1.000 UP\n1.000 UL\nLT2\n2405 1496
      M\n13 -55 V\n-135 5 V\n-29 56 V\n151 -6 V\n.139 g 2394 1560 N 151 -6 26
      -64 -166 6 h\n1.000 UP\n1.000 UL\nLT2\n2394 1560 M\n11 -64 V\n-151 6
      V\n-26 64 V\n166 -6 V\n.1714 g 2384 1632 N 166 -6 24 -73 -180 7
      h\n1.000 UP\n1.000 UL\nLT2\n2384 1632 M\n10 -72 V\n-166 6 V\n-24 73
      V\n180 -7 V\n.2064 g 2374 1712 N 180 -7 21 -80 -191 7 h\n1.000
      UP\n1.000 UL\nLT2\n2374 1712 M\n10 -80 V\n-180 7 V\n-21 80 V\n191 -7
      V\n.2438 g 2366 1798 N 191 -7 19 -87 -202 8 h\n1.000 UP\n1.000
      UL\nLT2\n2366 1798 M\n8 -86 V\n-191 7 V\n-19 87 V\n202 -8 V\n.2833 g
      2359 1892 N 202 -8 16 -94 -211 8 h\n1.000 UP\n1.000 UL\nLT2\n2359 1892
      M\n7 -94 V\n-202 8 V\n-16 94 V\n211 -8 V\n.3245 g 2354 1991 N 211 -8 12
      -99 -218 8 h\n1.000 UP\n1.000 UL\nLT2\n2354 1991 M\n5 -99 V\n-211 8
      V\n-12 99 V\n218 -8 V\n.3671 g 2350 2094 N 218 -8 10 -104 -224 9
      h\n1.000 UP\n1.000 UL\nLT2\n2350 2094 M\n4 -103 V\n-218 8 V\n-10 104
      V\n224 -9 V\n.4108 g 2347 2202 N 224 -9 6 -108 -227 9 h\n1.000
      UP\n1.000 UL\nLT2\n2347 2202 M\n3 -108 V\n-224 9 V\n-6 108 V\n227 -9
      V\n.4552 g 2345 2313 N 227 -9 4 -111 -229 9 h\n1.000 UP\n1.000
      UL\nLT2\n2345 2313 M\n2 -111 V\n-227 9 V\n-4 111 V\n229 -9 V\n.5 g 2345
      2426 N 229 -9 0 -113 -229 9 h\n1.000 UP\n1.000 UL\nLT2\n2345 2426 M\n0
      -113 V\n-229 9 V\n0 113 V\n229 -9 V\n.5448 g 2347 2540 N 229 -9 -4 -114
      -227 9 h\n1.000 UP\n1.000 UL\nLT2\n2347 2540 M\n-2 -114 V\n-229 9 V\n4
      114 V\n227 -9 V\n.5892 g 2350 2655 N 227 -9 -6 -114 -224 8 h\n1.000
      UP\n1.000 UL\nLT2\n2350 2655 M\n-3 -115 V\n-227 9 V\n6 114 V\n224 -8
      V\n.6329 g 2354 2769 N 224 -8 -10 -114 -218 8 h\n1.000 UP\n1.000
      UL\nLT2\n2354 2769 M\n-4 -114 V\n-224 8 V\n10 114 V\n218 -8 V\n.6755 g
      2359 2882 N 218 -8 -12 -113 -211 8 h\n1.000 UP\n1.000 UL\nLT2\n2359
      2882 M\n-5 -113 V\n-218 8 V\n12 113 V\n211 -8 V\n.7167 g 2366 2992 N
      211 -8 -16 -110 -202 8 h\n1.000 UP\n1.000 UL\nLT2\n2366 2992 M\n-7 -110
      V\n-211 8 V\n16 110 V\n202 -8 V\n.7562 g 2374 3099 N 202 -8 -19 -107
      -191 8 h\n1.000 UP\n1.000 UL\nLT2\n2374 3099 M\n-8 -107 V\n-202 8 V\n19
      107 V\n191 -8 V\n.7936 g 2384 3202 N 191 -8 -21 -102 -180 7 h\n1.000
      UP\n1.000 UL\nLT2\n2384 3202 M\n-10 -103 V\n-191 8 V\n21 102 V\n180 -7
      V\n.8286 g 2394 3301 N 180 -7 -24 -98 -166 6 h\n1.000 UP\n1.000
      UL\nLT2\n2394 3301 M\n-10 -99 V\n-180 7 V\n24 98 V\n166 -6 V\n.861 g
      2405 3393 N 166 -6 -26 -92 -151 6 h\n1.000 UP\n1.000 UL\nLT2\n2405 3393
      M\n-11 -92 V\n-166 6 V\n26 92 V\n151 -6 V\n.8905 g 2418 3479 N 151 -6
      -29 -85 -135 5 h\n1.000 UP\n1.000 UL\nLT2\n2418 3479 M\n-13 -86 V\n-151
      6 V\n29 85 V\n135 -5 V\n.9169 g 2431 3558 N 135 -5 -30 -78 -118 4
      h\n1.000 UP\n1.000 UL\nLT2\n2431 3558 M\n-13 -79 V\n-135 5 V\n30 78
      V\n118 -4 V\n.9399 g 2445 3629 N 118 -4 -32 -71 -100 4 h\n1.000
      UP\n1.000 UL\nLT2\n2445 3629 M\n-14 -71 V\n-118 4 V\n32 71 V\n100 -4
      V\n.9593 g 2459 3691 N 100 -4 -34 -61 -80 3 h\n1.000 UP\n1.000
      UL\nLT2\n2459 3691 M\n-14 -62 V\n-100 4 V\n34 61 V\n80 -3 V\n.975 g
      2474 3745 N 80 -3 -34 -53 -61 2 h\n1.000 UP\n1.000 UL\nLT2\n2474 3745
      M\n-15 -54 V\n-80 3 V\n34 53 V\n61 -2 V\n.987 g 2490 3789 N 61 -2 -36
      -44 -41 2 h\n1.000 UP\n1.000 UL\nLT2\n2490 3789 M\n-16 -44 V\n-61 2
      V\n36 44 V\n41 -2 V\n.995 g 2505 3824 N 41 -2 -36 -34 -20 1 h\n1.000
      UP\n1.000 UL\nLT2\n2505 3824 M\n-15 -35 V\n-41 2 V\n36 34 V\n20 -1
      V\n.999 g 2521 3849 N 20 -1 -36 -24 0 0 h\n1.000 UP\n1.000
      UL\nLT2\n2521 3849 M\n-16 -25 V\n-20 1 V\n36 24 V\n.001 g 2485 1316 N 0
      0 56 13 -20 1 h\n1.000 UP\n1.000 UL\nLT2\n2485 1316 M\n36 14 V\n-56 -13
      V\n20 -1 V\n.005 g 2449 1312 N 20 -1 55 2 -39 3 h\n1.000 UP\n1.000
      UL\nLT2\n2449 1312 M\n36 4 V\n-20 1 V\n-55 -2 V\n39 -3 V\n.013 g 2413
      1319 N 39 -3 54 -8 -57 4 h\n1.000 UP\n1.000 UL\nLT2\n2413 1319 M\n36 -7
      V\n-39 3 V\n-54 8 V\n57 -4 V\n.025 g 2379 1336 N 57 -4 53 -18 -76 5
      h\n1.000 UP\n1.000 UL\nLT2\n2379 1336 M\n34 -17 V\n-57 4 V\n-53 18
      V\n76 -5 V\n.0407 g 2345 1363 N 76 -5 52 -29 -94 7 h\n1.000 UP\n1.000
      UL\nLT2\n2345 1363 M\n34 -27 V\n-76 5 V\n-52 29 V\n94 -7 V\n.0601 g
      2313 1400 N 94 -7 49 -38 -111 8 h\n1.000 UP\n1.000 UL\nLT2\n2313 1400
      M\n32 -37 V\n-94 7 V\n-49 38 V\n111 -8 V\n.0831 g 2283 1446 N 111 -8 46
      -47 -127 9 h\n1.000 UP\n1.000 UL\nLT2\n2283 1446 M\n30 -46 V\n-111 8
      V\n-46 47 V\n127 -9 V\n.1095 g 2254 1502 N 127 -9 44 -57 -142 10
      h\n1.000 UP\n1.000 UL\nLT2\n2254 1502 M\n29 -56 V\n-127 9 V\n-44 57
      V\n142 -10 V\n.139 g 2228 1566 N 142 -10 40 -65 -156 11 h\n1.000
      UP\n1.000 UL\nLT2\n2228 1566 M\n26 -64 V\n-142 10 V\n-40 65 V\n156 -11
      V\n.1714 g 2204 1639 N 156 -11 37 -74 -169 12 h\n1.000 UP\n1.000
      UL\nLT2\n2204 1639 M\n24 -73 V\n-156 11 V\n-37 74 V\n169 -12 V\n.2064 g
      2183 1719 N 169 -12 33 -81 -181 13 h\n1.000 UP\n1.000 UL\nLT2\n2183
      1719 M\n21 -80 V\n-169 12 V\n-33 81 V\n181 -13 V\n.2438 g 2164 1806 N
      181 -13 28 -88 -190 14 h\n1.000 UP\n1.000 UL\nLT2\n2164 1806 M\n19 -87
      V\n-181 13 V\n-28 88 V\n190 -14 V\n.2833 g 2148 1900 N 190 -14 24 -94
      -198 14 h\n1.000 UP\n1.000 UL\nLT2\n2148 1900 M\n16 -94 V\n-190 14
      V\n-24 94 V\n198 -14 V\n.3245 g 2136 1999 N 198 -14 20 -100 -206 15
      h\n1.000 UP\n1.000 UL\nLT2\n2136 1999 M\n12 -99 V\n-198 14 V\n-20 100
      V\n206 -15 V\n.3671 g 2126 2103 N 206 -15 15 -104 -211 15 h\n1.000
      UP\n1.000 UL\nLT2\n2126 2103 M\n10 -104 V\n-206 15 V\n-15 104 V\n211
      -15 V\n.4108 g 2120 2211 N 211 -15 10 -108 -215 15 h\n1.000 UP\n1.000
      UL\nLT2\n2120 2211 M\n6 -108 V\n-211 15 V\n-10 108 V\n215 -15 V\n.4552
      g 2116 2322 N 215 -15 5 -111 -216 15 h\n1.000 UP\n1.000 UL\nLT2\n2116
      2322 M\n4 -111 V\n-215 15 V\n-5 111 V\n216 -15 V\n.5 g 2116 2435 N 216
      -15 0 -113 -216 15 h\n1.000 UP\n1.000 UL\nLT2\n2116 2435 M\n0 -113
      V\n-216 15 V\n0 113 V\n216 -15 V\n.5448 g 2120 2549 N 216 -15 -5 -114
      -215 15 h\n1.000 UP\n1.000 UL\nLT2\n2120 2549 M\n-4 -114 V\n-216 15
      V\n5 114 V\n215 -15 V\n.5892 g 2126 2663 N 215 -15 -10 -115 -211 16
      h\n1.000 UP\n1.000 UL\nLT2\n2126 2663 M\n-6 -114 V\n-215 15 V\n10 115
      V\n211 -16 V\n.6329 g 2136 2777 N 211 -16 -15 -113 -206 15 h\n1.000
      UP\n1.000 UL\nLT2\n2136 2777 M\n-10 -114 V\n-211 16 V\n15 113 V\n206
      -15 V\n.6755 g 2148 2890 N 206 -15 -20 -112 -198 14 h\n1.000 UP\n1.000
      UL\nLT2\n2148 2890 M\n-12 -113 V\n-206 15 V\n20 112 V\n198 -14 V\n.7167
      g 2164 3000 N 198 -14 -24 -110 -190 14 h\n1.000 UP\n1.000 UL\nLT2\n2164
      3000 M\n-16 -110 V\n-198 14 V\n24 110 V\n190 -14 V\n.7562 g 2183 3107 N
      190 -14 -28 -106 -181 13 h\n1.000 UP\n1.000 UL\nLT2\n2183 3107 M\n-19
      -107 V\n-190 14 V\n28 106 V\n181 -13 V\n.7936 g 2204 3209 N 181 -13 -33
      -102 -169 13 h\n1.000 UP\n1.000 UL\nLT2\n2204 3209 M\n-21 -102 V\n-181
      13 V\n33 102 V\n169 -13 V\n.8286 g 2228 3307 N 169 -13 -37 -96 -156 11
      h\n1.000 UP\n1.000 UL\nLT2\n2228 3307 M\n-24 -98 V\n-169 13 V\n37 96
      V\n156 -11 V\n.861 g 2254 3399 N 156 -11 -40 -91 -142 10 h\n1.000
      UP\n1.000 UL\nLT2\n2254 3399 M\n-26 -92 V\n-156 11 V\n40 91 V\n142 -10
      V\n.8905 g 2283 3484 N 142 -10 -44 -84 -127 9 h\n1.000 UP\n1.000
      UL\nLT2\n2283 3484 M\n-29 -85 V\n-142 10 V\n44 84 V\n127 -9 V\n.9169 g
      2313 3562 N 127 -9 -46 -77 -111 8 h\n1.000 UP\n1.000 UL\nLT2\n2313 3562
      M\n-30 -78 V\n-127 9 V\n46 77 V\n111 -8 V\n.9399 g 2345 3633 N 111 -8
      -49 -69 -94 6 h\n1.000 UP\n1.000 UL\nLT2\n2345 3633 M\n-32 -71 V\n-111
      8 V\n49 69 V\n94 -6 V\n.9593 g 2379 3694 N 94 -6 -52 -61 -76 6 h\n1.000
      UP\n1.000 UL\nLT2\n2379 3694 M\n-34 -61 V\n-94 6 V\n52 61 V\n76 -6
      V\n.975 g 2413 3747 N 76 -6 -53 -52 -57 5 h\n1.000 UP\n1.000
      UL\nLT2\n2413 3747 M\n-34 -53 V\n-76 6 V\n53 52 V\n57 -5 V\n.987 g 2449
      3791 N 57 -5 -54 -42 -39 3 h\n1.000 UP\n1.000 UL\nLT2\n2449 3791 M\n-36
      -44 V\n-57 5 V\n54 42 V\n39 -3 V\n.995 g 2485 3825 N 39 -3 -55 -32 -20
      1 h\n1.000 UP\n1.000 UL\nLT2\n2485 3825 M\n-36 -34 V\n-39 3 V\n55 32
      V\n20 -1 V\n.999 g 2521 3849 N 20 -1 -56 -23 0 0 h\n1.000 UP\n1.000
      UL\nLT2\n2521 3849 M\n-36 -24 V\n-20 1 V\n56 23 V\n.001 g 2465 1317 N 0
      0 73 11 -17 2 h\n1.000 UP\n1.000 UL\nLT2\n2465 1317 M\n56 13 V\n-73 -11
      V\n17 -2 V\n.005 g 2410 1315 N 17 -2 73 0 -35 4 h\n1.000 UP\n1.000
      UL\nLT2\n2410 1315 M\n55 2 V\n-17 2 V\n-73 0 V\n35 -4 V\n.013 g 2356
      1323 N 35 -4 71 -10 -52 6 h\n1.000 UP\n1.000 UL\nLT2\n2356 1323 M\n54
      -8 V\n-35 4 V\n-71 10 V\n52 -6 V\n.025 g 2303 1341 N 52 -6 70 -20 -69 8
      h\n1.000 UP\n1.000 UL\nLT2\n2303 1341 M\n53 -18 V\n-52 6 V\n-70 20
      V\n69 -8 V\n.0407 g 2251 1370 N 69 -8 68 -30 -85 9 h\n1.000 UP\n1.000
      UL\nLT2\n2251 1370 M\n52 -29 V\n-69 8 V\n-68 30 V\n85 -9 V\n.0601 g
      2202 1408 N 85 -9 64 -40 -100 11 h\n1.000 UP\n1.000 UL\nLT2\n2202 1408
      M\n49 -38 V\n-85 9 V\n-64 40 V\n100 -11 V\n.0831 g 2156 1455 N 100 -11
      61 -49 -115 13 h\n1.000 UP\n1.000 UL\nLT2\n2156 1455 M\n46 -47 V\n-100
      11 V\n-61 49 V\n115 -13 V\n.1095 g 2112 1512 N 115 -13 58 -58 -129 14
      h\n1.000 UP\n1.000 UL\nLT2\n2112 1512 M\n44 -57 V\n-115 13 V\n-58 58
      V\n129 -14 V\n.139 g 2072 1577 N 129 -14 53 -67 -142 16 h\n1.000
      UP\n1.000 UL\nLT2\n2072 1577 M\n40 -65 V\n-129 14 V\n-53 67 V\n142 -16
      V\n.1714 g 2035 1651 N 142 -16 48 -75 -153 17 h\n1.000 UP\n1.000
      UL\nLT2\n2035 1651 M\n37 -74 V\n-142 16 V\n-48 75 V\n153 -17 V\n.2064 g
      2002 1732 N 153 -17 43 -82 -163 18 h\n1.000 UP\n1.000 UL\nLT2\n2002
      1732 M\n33 -81 V\n-153 17 V\n-43 82 V\n163 -18 V\n.2438 g 1974 1820 N
      163 -18 38 -89 -173 19 h\n1.000 UP\n1.000 UL\nLT2\n1974 1820 M\n28 -88
      V\n-163 18 V\n-38 89 V\n173 -19 V\n.2833 g 1950 1914 N 173 -19 32 -95
      -181 20 h\n1.000 UP\n1.000 UL\nLT2\n1950 1914 M\n24 -94 V\n-173 19
      V\n-32 95 V\n181 -20 V\n.3245 g 1930 2014 N 181 -20 26 -101 -187 21
      h\n1.000 UP\n1.000 UL\nLT2\n1930 2014 M\n20 -100 V\n-181 20 V\n-26 101
      V\n187 -21 V\n.3671 g 1915 2118 N 187 -21 19 -105 -191 22 h\n1.000
      UP\n1.000 UL\nLT2\n1915 2118 M\n15 -104 V\n-187 21 V\n-19 105 V\n191
      -22 V\n.4108 g 1905 2226 N 191 -22 13 -108 -194 22 h\n1.000 UP\n1.000
      UL\nLT2\n1905 2226 M\n10 -108 V\n-191 22 V\n-13 108 V\n194 -22 V\n.4552
      g 1900 2337 N 194 -22 7 -111 -196 22 h\n1.000 UP\n1.000 UL\nLT2\n1900
      2337 M\n5 -111 V\n-194 22 V\n-7 111 V\n196 -22 V\n.5 g 1900 2450 N 196
      -22 0 -113 -196 22 h\n1.000 UP\n1.000 UL\nLT2\n1900 2450 M\n0 -113
      V\n-196 22 V\n0 113 V\n196 -22 V\n.5448 g 1905 2564 N 196 -22 -7 -114
      -194 22 h\n1.000 UP\n1.000 UL\nLT2\n1905 2564 M\n-5 -114 V\n-196 22
      V\n7 114 V\n194 -22 V\n.5892 g 1915 2679 N 194 -22 -13 -114 -191 21
      h\n1.000 UP\n1.000 UL\nLT2\n1915 2679 M\n-10 -115 V\n-194 22 V\n13 114
      V\n191 -21 V\n.6329 g 1930 2792 N 191 -21 -19 -113 -187 21 h\n1.000
      UP\n1.000 UL\nLT2\n1930 2792 M\n-15 -113 V\n-191 21 V\n19 113 V\n187
      -21 V\n.6755 g 1950 2904 N 187 -21 -26 -112 -181 21 h\n1.000 UP\n1.000
      UL\nLT2\n1950 2904 M\n-20 -112 V\n-187 21 V\n26 112 V\n181 -21 V\n.7167
      g 1974 3014 N 181 -21 -32 -108 -173 19 h\n1.000 UP\n1.000 UL\nLT2\n1974
      3014 M\n-24 -110 V\n-181 21 V\n32 108 V\n173 -19 V\n.7562 g 2002 3120 N
      173 -19 -38 -105 -163 18 h\n1.000 UP\n1.000 UL\nLT2\n2002 3120 M\n-28
      -106 V\n-173 19 V\n38 105 V\n163 -18 V\n.7936 g 2035 3222 N 163 -18 -43
      -101 -153 17 h\n1.000 UP\n1.000 UL\nLT2\n2035 3222 M\n-33 -102 V\n-163
      18 V\n43 101 V\n153 -17 V\n.8286 g 2072 3318 N 153 -17 -48 -95 -142 16
      h\n1.000 UP\n1.000 UL\nLT2\n2072 3318 M\n-37 -96 V\n-153 17 V\n48 95
      V\n142 -16 V\n.861 g 2112 3409 N 142 -16 -53 -90 -129 15 h\n1.000
      UP\n1.000 UL\nLT2\n2112 3409 M\n-40 -91 V\n-142 16 V\n53 90 V\n129 -15
      V\n.8905 g 2156 3493 N 129 -15 -58 -82 -115 13 h\n1.000 UP\n1.000
      UL\nLT2\n2156 3493 M\n-44 -84 V\n-129 15 V\n58 82 V\n115 -13 V\n.9169 g
      2202 3570 N 115 -13 -61 -76 -100 12 h\n1.000 UP\n1.000 UL\nLT2\n2202
      3570 M\n-46 -77 V\n-115 13 V\n61 76 V\n100 -12 V\n.9399 g 2251 3639 N
      100 -12 -64 -67 -85 10 h\n1.000 UP\n1.000 UL\nLT2\n2251 3639 M\n-49 -69
      V\n-100 12 V\n64 67 V\n85 -10 V\n.9593 g 2303 3700 N 85 -10 -68 -59 -69
      8 h\n1.000 UP\n1.000 UL\nLT2\n2303 3700 M\n-52 -61 V\n-85 10 V\n68 59
      V\n69 -8 V\n.975 g 2356 3752 N 69 -8 -70 -49 -52 5 h\n1.000 UP\n1.000
      UL\nLT2\n2356 3752 M\n-53 -52 V\n-69 8 V\n70 49 V\n52 -5 V\n.987 g 2410
      3794 N 52 -5 -71 -41 -35 4 h\n1.000 UP\n1.000 UL\nLT2\n2410 3794 M\n-54
      -42 V\n-52 5 V\n71 41 V\n35 -4 V\n.995 g 2465 3826 N 35 -4 -73 -30 -17
      2 h\n1.000 UP\n1.000 UL\nLT2\n2465 3826 M\n-55 -32 V\n-35 4 V\n73 30
      V\n17 -2 V\n.999 g 2521 3849 N 17 -2 -73 -21 0 0 h\n1.000 UP\n1.000
      UL\nLT2\n2521 3849 M\n-56 -23 V\n-17 2 V\n73 21 V\n.001 g 2448 1319 N 0
      0 88 8 -15 3 h\n1.000 UP\n1.000 UL\nLT2\n2448 1319 M\n73 11 V\n-88 -8
      V\n15 -3 V\n.005 g 2375 1319 N 15 -3 88 -2 -30 5 h\n1.000 UP\n1.000
      UL\nLT2\n2375 1319 M\n73 0 V\n-15 3 V\n-88 2 V\n30 -5 V\n.013 g 2304
      1329 N 30 -5 87 -12 -46 7 h\n1.000 UP\n1.000 UL\nLT2\n2304 1329 M\n71
      -10 V\n-30 5 V\n-87 12 V\n46 -7 V\n.025 g 2234 1349 N 46 -7 84 -23 -60
      10 h\n1.000 UP\n1.000 UL\nLT2\n2234 1349 M\n70 -20 V\n-46 7 V\n-84 23
      V\n60 -10 V\n.0407 g 2166 1379 N 60 -10 81 -32 -73 12 h\n1.000
      UP\n1.000 UL\nLT2\n2166 1379 M\n68 -30 V\n-60 10 V\n-81 32 V\n73 -12
      V\n.0601 g 2102 1419 N 73 -12 78 -42 -87 14 h\n1.000 UP\n1.000
      UL\nLT2\n2102 1419 M\n64 -40 V\n-73 12 V\n-78 42 V\n87 -14 V\n.0831 g
      2041 1468 N 87 -14 74 -51 -100 16 h\n1.000 UP\n1.000 UL\nLT2\n2041 1468
      M\n61 -49 V\n-87 14 V\n-74 51 V\n100 -16 V\n.1095 g 1983 1526 N 100 -16
      70 -61 -112 19 h\n1.000 UP\n1.000 UL\nLT2\n1983 1526 M\n58 -58 V\n-100
      16 V\n-70 61 V\n112 -19 V\n.139 g 1930 1593 N 112 -19 64 -68 -123 20
      h\n1.000 UP\n1.000 UL\nLT2\n1930 1593 M\n53 -67 V\n-112 19 V\n-64 68
      V\n123 -20 V\n.1714 g 1882 1668 N 123 -20 58 -77 -133 22 h\n1.000
      UP\n1.000 UL\nLT2\n1882 1668 M\n48 -75 V\n-123 20 V\n-58 77 V\n133 -22
      V\n.2064 g 1839 1750 N 133 -22 52 -83 -142 23 h\n1.000 UP\n1.000
      UL\nLT2\n1839 1750 M\n43 -82 V\n-133 22 V\n-52 83 V\n142 -23 V\n.2438 g
      1801 1839 N 142 -23 46 -91 -150 25 h\n1.000 UP\n1.000 UL\nLT2\n1801
      1839 M\n38 -89 V\n-142 23 V\n-46 91 V\n150 -25 V\n.2833 g 1769 1934 N
      150 -25 38 -96 -156 26 h\n1.000 UP\n1.000 UL\nLT2\n1769 1934 M\n32 -95
      V\n-150 25 V\n-38 96 V\n156 -26 V\n.3245 g 1743 2035 N 156 -26 31 -101
      -161 26 h\n1.000 UP\n1.000 UL\nLT2\n1743 2035 M\n26 -101 V\n-156 26
      V\n-31 101 V\n161 -26 V\n.3671 g 1724 2140 N 161 -26 24 -105 -166 26
      h\n1.000 UP\n1.000 UL\nLT2\n1724 2140 M\n19 -105 V\n-161 26 V\n-24 105
      V\n166 -26 V\n.4108 g 1711 2248 N 166 -26 16 -109 -169 27 h\n1.000
      UP\n1.000 UL\nLT2\n1711 2248 M\n13 -108 V\n-166 26 V\n-16 109 V\n169
      -27 V\n.4552 g 1704 2359 N 169 -27 7 -112 -169 28 h\n1.000 UP\n1.000
      UL\nLT2\n1704 2359 M\n7 -111 V\n-169 27 V\n-7 112 V\n169 -28 V\n.5 g
      1704 2472 N 169 -28 0 -113 -169 28 h\n1.000 UP\n1.000 UL\nLT2\n1704
      2472 M\n0 -113 V\n-169 28 V\n0 113 V\n169 -28 V\n.5448 g 1711 2586 N
      169 -28 -7 -113 -169 27 h\n1.000 UP\n1.000 UL\nLT2\n1711 2586 M\n-7
      -114 V\n-169 28 V\n7 113 V\n169 -27 V\n.5892 g 1724 2700 N 169 -27 -16
      -114 -166 27 h\n1.000 UP\n1.000 UL\nLT2\n1724 2700 M\n-13 -114 V\n-169
      27 V\n16 114 V\n166 -27 V\n.6329 g 1743 2813 N 166 -27 -24 -112 -161 26
      h\n1.000 UP\n1.000 UL\nLT2\n1743 2813 M\n-19 -113 V\n-166 27 V\n24 112
      V\n161 -26 V\n.6755 g 1769 2925 N 161 -26 -31 -111 -156 25 h\n1.000
      UP\n1.000 UL\nLT2\n1769 2925 M\n-26 -112 V\n-161 26 V\n31 111 V\n156
      -25 V\n.7167 g 1801 3033 N 156 -25 -38 -107 -150 24 h\n1.000 UP\n1.000
      UL\nLT2\n1801 3033 M\n-32 -108 V\n-156 25 V\n38 107 V\n150 -24 V\n.7562
      g 1839 3138 N 150 -24 -46 -104 -142 23 h\n1.000 UP\n1.000 UL\nLT2\n1839
      3138 M\n-38 -105 V\n-150 24 V\n46 104 V\n142 -23 V\n.7936 g 1882 3239 N
      142 -23 -52 -99 -133 21 h\n1.000 UP\n1.000 UL\nLT2\n1882 3239 M\n-43
      -101 V\n-142 23 V\n52 99 V\n133 -21 V\n.8286 g 1930 3334 N 133 -21 -58
      -94 -123 20 h\n1.000 UP\n1.000 UL\nLT2\n1930 3334 M\n-48 -95 V\n-133 21
      V\n58 94 V\n123 -20 V\n.861 g 1983 3424 N 123 -20 -64 -88 -112 18
      h\n1.000 UP\n1.000 UL\nLT2\n1983 3424 M\n-53 -90 V\n-123 20 V\n64 88
      V\n112 -18 V\n.8905 g 2041 3506 N 112 -18 -70 -80 -100 16 h\n1.000
      UP\n1.000 UL\nLT2\n2041 3506 M\n-58 -82 V\n-112 18 V\n70 80 V\n100 -16
      V\n.9169 g 2102 3582 N 100 -16 -74 -74 -87 14 h\n1.000 UP\n1.000
      UL\nLT2\n2102 3582 M\n-61 -76 V\n-100 16 V\n74 74 V\n87 -14 V\n.9399 g
      2166 3649 N 87 -14 -78 -65 -73 12 h\n1.000 UP\n1.000 UL\nLT2\n2166 3649
      M\n-64 -67 V\n-87 14 V\n78 65 V\n73 -12 V\n.9593 g 2234 3708 N 73 -12
      -81 -56 -60 9 h\n1.000 UP\n1.000 UL\nLT2\n2234 3708 M\n-68 -59 V\n-73
      12 V\n81 56 V\n60 -9 V\n.975 g 2304 3757 N 60 -9 -84 -48 -46 8 h\n1.000
      UP\n1.000 UL\nLT2\n2304 3757 M\n-70 -49 V\n-60 9 V\n84 48 V\n46 -8
      V\n.987 g 2375 3798 N 46 -8 -87 -38 -30 5 h\n1.000 UP\n1.000
      UL\nLT2\n2375 3798 M\n-71 -41 V\n-46 8 V\n87 38 V\n30 -5 V\n.995 g 2448
      3828 N 30 -5 -88 -28 -15 3 h\n1.000 UP\n1.000 UL\nLT2\n2448 3828 M\n-73
      -30 V\n-30 5 V\n88 28 V\n15 -3 V\n.999 g 2521 3849 N 15 -3 -88 -18 0 0
      h\n1.000 UP\n1.000 UL\nLT2\n2521 3849 M\n-73 -21 V\n-15 3 V\n88 18
      V\n.001 g 2433 1322 N 0 0 101 5 -13 3 h\n1.000 UP\n1.000 UL\nLT2\n2433
      1322 M\n88 8 V\n-101 -5 V\n13 -3 V\n.005 g 2345 1324 N 13 -3 100 -5 -25
      6 h\n1.000 UP\n1.000 UL\nLT2\n2345 1324 M\n88 -2 V\n-13 3 V\n-100 5
      V\n25 -6 V\n.013 g 2258 1336 N 25 -6 98 -15 -36 9 h\n1.000 UP\n1.000
      UL\nLT2\n2258 1336 M\n87 -12 V\n-25 6 V\n-98 15 V\n36 -9 V\n.025 g 2174
      1359 N 36 -9 96 -25 -48 11 h\n1.000 UP\n1.000 UL\nLT2\n2174 1359 M\n84
      -23 V\n-36 9 V\n-96 25 V\n48 -11 V\n.0407 g 2093 1391 N 48 -11 93 -35
      -60 14 h\n1.000 UP\n1.000 UL\nLT2\n2093 1391 M\n81 -32 V\n-48 11 V\n-93
      35 V\n60 -14 V\n.0601 g 2015 1433 N 60 -14 89 -45 -71 17 h\n1.000
      UP\n1.000 UL\nLT2\n2015 1433 M\n78 -42 V\n-60 14 V\n-89 45 V\n71 -17
      V\n.0831 g 1941 1484 N 71 -17 85 -53 -82 19 h\n1.000 UP\n1.000
      UL\nLT2\n1941 1484 M\n74 -51 V\n-71 17 V\n-85 53 V\n82 -19 V\n.1095 g
      1871 1545 N 82 -19 79 -63 -91 21 h\n1.000 UP\n1.000 UL\nLT2\n1871 1545
      M\n70 -61 V\n-82 19 V\n-79 63 V\n91 -21 V\n.139 g 1807 1613 N 91 -21 73
      -71 -100 24 h\n1.000 UP\n1.000 UL\nLT2\n1807 1613 M\n64 -68 V\n-91 21
      V\n-73 71 V\n100 -24 V\n.1714 g 1749 1690 N 100 -24 66 -78 -108 25
      h\n1.000 UP\n1.000 UL\nLT2\n1749 1690 M\n58 -77 V\n-100 24 V\n-66 78
      V\n108 -25 V\n.2064 g 1697 1773 N 108 -25 59 -85 -115 27 h\n1.000
      UP\n1.000 UL\nLT2\n1697 1773 M\n52 -83 V\n-108 25 V\n-59 85 V\n115 -27
      V\n.2438 g 1651 1864 N 115 -27 52 -92 -121 28 h\n1.000 UP\n1.000
      UL\nLT2\n1651 1864 M\n46 -91 V\n-115 27 V\n-52 92 V\n121 -28 V\n.2833 g
      1613 1960 N 121 -28 44 -98 -127 30 h\n1.000 UP\n1.000 UL\nLT2\n1613
      1960 M\n38 -96 V\n-121 28 V\n-44 98 V\n127 -30 V\n.3245 g 1582 2061 N
      127 -30 36 -102 -132 31 h\n1.000 UP\n1.000 UL\nLT2\n1582 2061 M\n31
      -101 V\n-127 30 V\n-36 102 V\n132 -31 V\n.3671 g 1558 2166 N 132 -31 26
      -106 -134 32 h\n1.000 UP\n1.000 UL\nLT2\n1558 2166 M\n24 -105 V\n-132
      31 V\n-26 106 V\n134 -32 V\n.4108 g 1542 2275 N 134 -32 18 -109 -136 32
      h\n1.000 UP\n1.000 UL\nLT2\n1542 2275 M\n16 -109 V\n-134 32 V\n-18 109
      V\n136 -32 V\n.4552 g 1535 2387 N 136 -32 10 -112 -139 32 h\n1.000
      UP\n1.000 UL\nLT2\n1535 2387 M\n7 -112 V\n-136 32 V\n-10 112 V\n139 -32
      V\n.5 g 1535 2500 N 139 -32 0 -113 -139 32 h\n1.000 UP\n1.000
      UL\nLT2\n1535 2500 M\n0 -113 V\n-139 32 V\n0 113 V\n139 -32 V\n.5448 g
      1542 2613 N 139 -32 -10 -113 -136 32 h\n1.000 UP\n1.000 UL\nLT2\n1542
      2613 M\n-7 -113 V\n-139 32 V\n10 113 V\n136 -32 V\n.5892 g 1558 2727 N
      136 -32 -18 -113 -134 31 h\n1.000 UP\n1.000 UL\nLT2\n1558 2727 M\n-16
      -114 V\n-136 32 V\n18 113 V\n134 -31 V\n.6329 g 1582 2839 N 134 -31 -26
      -112 -132 31 h\n1.000 UP\n1.000 UL\nLT2\n1582 2839 M\n-24 -112 V\n-134
      31 V\n26 112 V\n132 -31 V\n.6755 g 1613 2950 N 132 -31 -36 -110 -127 30
      h\n1.000 UP\n1.000 UL\nLT2\n1613 2950 M\n-31 -111 V\n-132 31 V\n36 110
      V\n127 -30 V\n.7167 g 1651 3057 N 127 -30 -44 -106 -121 29 h\n1.000
      UP\n1.000 UL\nLT2\n1651 3057 M\n-38 -107 V\n-127 30 V\n44 106 V\n121
      -29 V\n.7562 g 1697 3161 N 121 -29 -52 -102 -115 27 h\n1.000 UP\n1.000
      UL\nLT2\n1697 3161 M\n-46 -104 V\n-121 29 V\n52 102 V\n115 -27 V\n.7936
      g 1749 3260 N 115 -27 -59 -98 -108 26 h\n1.000 UP\n1.000 UL\nLT2\n1749
      3260 M\n-52 -99 V\n-115 27 V\n59 98 V\n108 -26 V\n.8286 g 1807 3354 N
      108 -26 -66 -91 -100 23 h\n1.000 UP\n1.000 UL\nLT2\n1807 3354 M\n-58
      -94 V\n-108 26 V\n66 91 V\n100 -23 V\n.861 g 1871 3442 N 100 -23 -73
      -86 -91 21 h\n1.000 UP\n1.000 UL\nLT2\n1871 3442 M\n-64 -88 V\n-100 23
      V\n73 86 V\n91 -21 V\n.8905 g 1941 3522 N 91 -21 -79 -78 -82 19
      h\n1.000 UP\n1.000 UL\nLT2\n1941 3522 M\n-70 -80 V\n-91 21 V\n79 78
      V\n82 -19 V\n.9169 g 2015 3596 N 82 -19 -85 -71 -71 16 h\n1.000
      UP\n1.000 UL\nLT2\n2015 3596 M\n-74 -74 V\n-82 19 V\n85 71 V\n71 -16
      V\n.9399 g 2093 3661 N 71 -16 -89 -63 -60 14 h\n1.000 UP\n1.000
      UL\nLT2\n2093 3661 M\n-78 -65 V\n-71 16 V\n89 63 V\n60 -14 V\n.9593 g
      2174 3717 N 60 -14 -93 -54 -48 12 h\n1.000 UP\n1.000 UL\nLT2\n2174 3717
      M\n-81 -56 V\n-60 14 V\n93 54 V\n48 -12 V\n.975 g 2258 3765 N 48 -12
      -96 -44 -36 8 h\n1.000 UP\n1.000 UL\nLT2\n2258 3765 M\n-84 -48 V\n-48
      12 V\n96 44 V\n36 -8 V\n.987 g 2345 3803 N 36 -8 -98 -35 -25 5 h\n1.000
      UP\n1.000 UL\nLT2\n2345 3803 M\n-87 -38 V\n-36 8 V\n98 35 V\n25 -5
      V\n.995 g 2433 3831 N 25 -5 -100 -26 -13 3 h\n1.000 UP\n1.000
      UL\nLT2\n2433 3831 M\n-88 -28 V\n-25 5 V\n100 26 V\n13 -3 V\n.999 g
      2521 3849 N 13 -3 -101 -15 0 0 h\n1.000 UP\n1.000 UL\nLT2\n2521 3849
      M\n-88 -18 V\n-13 3 V\n101 15 V\n.001 g 2420 1325 N 0 0 110 2 -9 3
      h\n1.000 UP\n1.000 UL\nLT2\n2420 1325 M\n101 5 V\n-110 -2 V\n9 -3
      V\n.005 g 2320 1330 N 9 -3 109 -8 -18 6 h\n1.000 UP\n1.000
      UL\nLT2\n2320 1330 M\n100 -5 V\n-9 3 V\n-109 8 V\n18 -6 V\n.013 g 2222
      1345 N 18 -6 108 -19 -28 10 h\n1.000 UP\n1.000 UL\nLT2\n2222 1345 M\n98
      -15 V\n-18 6 V\n-108 19 V\n28 -10 V\n.025 g 2126 1370 N 28 -10 104 -28
      -36 13 h\n1.000 UP\n1.000 UL\nLT2\n2126 1370 M\n96 -25 V\n-28 10
      V\n-104 28 V\n36 -13 V\n.0407 g 2033 1405 N 36 -13 102 -38 -45 16
      h\n1.000 UP\n1.000 UL\nLT2\n2033 1405 M\n93 -35 V\n-36 13 V\n-102 38
      V\n45 -16 V\n.0601 g 1944 1450 N 45 -16 97 -47 -53 18 h\n1.000
      UP\n1.000 UL\nLT2\n1944 1450 M\n89 -45 V\n-45 16 V\n-97 47 V\n53 -18
      V\n.0831 g 1859 1503 N 53 -18 92 -57 -60 22 h\n1.000 UP\n1.000
      UL\nLT2\n1859 1503 M\n85 -53 V\n-53 18 V\n-92 57 V\n60 -22 V\n.1095 g
      1780 1566 N 60 -22 86 -65 -67 24 h\n1.000 UP\n1.000 UL\nLT2\n1780 1566
      M\n79 -63 V\n-60 22 V\n-86 65 V\n67 -24 V\n.139 g 1707 1637 N 67 -24 79
      -73 -73 26 h\n1.000 UP\n1.000 UL\nLT2\n1707 1637 M\n73 -71 V\n-67 24
      V\n-79 73 V\n73 -26 V\n.1714 g 1641 1715 N 73 -26 73 -80 -80 28
      h\n1.000 UP\n1.000 UL\nLT2\n1641 1715 M\n66 -78 V\n-73 26 V\n-73 80
      V\n80 -28 V\n.2064 g 1582 1800 N 80 -28 65 -87 -86 30 h\n1.000
      UP\n1.000 UL\nLT2\n1582 1800 M\n59 -85 V\n-80 28 V\n-65 87 V\n86 -30
      V\n.2438 g 1530 1892 N 86 -30 56 -94 -90 32 h\n1.000 UP\n1.000
      UL\nLT2\n1530 1892 M\n52 -92 V\n-86 30 V\n-56 94 V\n90 -32 V\n.2833 g
      1486 1990 N 90 -32 48 -99 -94 33 h\n1.000 UP\n1.000 UL\nLT2\n1486 1990
      M\n44 -98 V\n-90 32 V\n-48 99 V\n94 -33 V\n.3245 g 1450 2092 N 94 -33
      39 -103 -97 34 h\n1.000 UP\n1.000 UL\nLT2\n1450 2092 M\n36 -102 V\n-94
      33 V\n-39 103 V\n97 -34 V\n.3671 g 1424 2198 N 97 -34 29 -107 -100 35
      h\n1.000 UP\n1.000 UL\nLT2\n1424 2198 M\n26 -106 V\n-97 34 V\n-29 107
      V\n100 -35 V\n.4108 g 1406 2307 N 100 -35 20 -110 -102 36 h\n1.000
      UP\n1.000 UL\nLT2\n1406 2307 M\n18 -109 V\n-100 35 V\n-20 110 V\n102
      -36 V\n.4552 g 1396 2419 N 102 -36 9 -112 -101 36 h\n1.000 UP\n1.000
      UL\nLT2\n1396 2419 M\n10 -112 V\n-102 36 V\n-9 112 V\n101 -36 V\n.5 g
      1396 2532 N 101 -36 0 -113 -101 36 h\n1.000 UP\n1.000 UL\nLT2\n1396
      2532 M\n0 -113 V\n-101 36 V\n0 113 V\n101 -36 V\n.5448 g 1406 2645 N
      101 -36 -9 -113 -102 36 h\n1.000 UP\n1.000 UL\nLT2\n1406 2645 M\n-10
      -113 V\n-101 36 V\n9 113 V\n102 -36 V\n.5892 g 1424 2758 N 102 -36 -20
      -113 -100 36 h\n1.000 UP\n1.000 UL\nLT2\n1424 2758 M\n-18 -113 V\n-102
      36 V\n20 113 V\n100 -36 V\n.6329 g 1450 2870 N 100 -36 -29 -110 -97 34
      h\n1.000 UP\n1.000 UL\nLT2\n1450 2870 M\n-26 -112 V\n-100 36 V\n29 110
      V\n97 -34 V\n.6755 g 1486 2980 N 97 -34 -39 -109 -94 33 h\n1.000
      UP\n1.000 UL\nLT2\n1486 2980 M\n-36 -110 V\n-97 34 V\n39 109 V\n94 -33
      V\n.7167 g 1530 3086 N 94 -33 -48 -105 -90 32 h\n1.000 UP\n1.000
      UL\nLT2\n1530 3086 M\n-44 -106 V\n-94 33 V\n48 105 V\n90 -32 V\n.7562 g
      1582 3188 N 90 -32 -56 -100 -86 30 h\n1.000 UP\n1.000 UL\nLT2\n1582
      3188 M\n-52 -102 V\n-90 32 V\n56 100 V\n86 -30 V\n.7936 g 1641 3286 N
      86 -30 -65 -96 -80 28 h\n1.000 UP\n1.000 UL\nLT2\n1641 3286 M\n-59 -98
      V\n-86 30 V\n65 96 V\n80 -28 V\n.8286 g 1707 3377 N 80 -28 -73 -89 -73
      26 h\n1.000 UP\n1.000 UL\nLT2\n1707 3377 M\n-66 -91 V\n-80 28 V\n73 89
      V\n73 -26 V\n.861 g 1780 3463 N 73 -26 -79 -84 -67 24 h\n1.000
      UP\n1.000 UL\nLT2\n1780 3463 M\n-73 -86 V\n-73 26 V\n79 84 V\n67 -24
      V\n.8905 g 1859 3541 N 67 -24 -86 -76 -60 22 h\n1.000 UP\n1.000
      UL\nLT2\n1859 3541 M\n-79 -78 V\n-67 24 V\n86 76 V\n60 -22 V\n.9169 g
      1944 3612 N 60 -22 -92 -68 -53 19 h\n1.000 UP\n1.000 UL\nLT2\n1944 3612
      M\n-85 -71 V\n-60 22 V\n92 68 V\n53 -19 V\n.9399 g 2033 3675 N 53 -19
      -97 -59 -45 15 h\n1.000 UP\n1.000 UL\nLT2\n2033 3675 M\n-89 -63 V\n-53
      19 V\n97 59 V\n45 -15 V\n.9593 g 2126 3729 N 45 -15 -102 -51 -36 12
      h\n1.000 UP\n1.000 UL\nLT2\n2126 3729 M\n-93 -54 V\n-45 15 V\n102 51
      V\n36 -12 V\n.975 g 2222 3773 N 36 -12 -104 -42 -28 10 h\n1.000
      UP\n1.000 UL\nLT2\n2222 3773 M\n-96 -44 V\n-36 12 V\n104 42 V\n28 -10
      V\n.987 g 2320 3808 N 28 -10 -108 -32 -18 7 h\n1.000 UP\n1.000
      UL\nLT2\n2320 3808 M\n-98 -35 V\n-28 10 V\n108 32 V\n18 -7 V\n.995 g
      2420 3834 N 18 -7 -109 -22 -9 3 h\n1.000 UP\n1.000 UL\nLT2\n2420 3834
      M\n-100 -26 V\n-18 7 V\n109 22 V\n9 -3 V\n.999 g 2521 3849 N 9 -3 -110
      -12 0 0 h\n1.000 UP\n1.000 UL\nLT2\n2521 3849 M\n-101 -15 V\n-9 3
      V\n110 12 V\n.001 g 2411 1328 N 0 0 116 -1 -6 3 h\n1.000 UP\n1.000
      UL\nLT2\n2411 1328 M\n110 2 V\n-116 1 V\n6 -3 V\n.005 g 2302 1336 N 6
      -3 114 -12 -11 7 h\n1.000 UP\n1.000 UL\nLT2\n2302 1336 M\n109 -8 V\n-6
      3 V\n-114 12 V\n11 -7 V\n.013 g 2194 1355 N 11 -7 113 -22 -16 10
      h\n1.000 UP\n1.000 UL\nLT2\n2194 1355 M\n108 -19 V\n-11 7 V\n-113 22
      V\n16 -10 V\n.025 g 2090 1383 N 16 -10 110 -31 -22 13 h\n1.000
      UP\n1.000 UL\nLT2\n2090 1383 M\n104 -28 V\n-16 10 V\n-110 31 V\n22 -13
      V\n.0407 g 1988 1421 N 22 -13 107 -41 -27 16 h\n1.000 UP\n1.000
      UL\nLT2\n1988 1421 M\n102 -38 V\n-22 13 V\n-107 41 V\n27 -16 V\n.0601 g
      1891 1468 N 27 -16 102 -51 -32 20 h\n1.000 UP\n1.000 UL\nLT2\n1891 1468
      M\n97 -47 V\n-27 16 V\n-102 51 V\n32 -20 V\n.0831 g 1799 1525 N 32 -20
      96 -59 -36 22 h\n1.000 UP\n1.000 UL\nLT2\n1799 1525 M\n92 -57 V\n-32 20
      V\n-96 59 V\n36 -22 V\n.1095 g 1713 1590 N 36 -22 91 -68 -41 25
      h\n1.000 UP\n1.000 UL\nLT2\n1713 1590 M\n86 -65 V\n-36 22 V\n-91 68
      V\n41 -25 V\n.139 g 1634 1663 N 41 -25 84 -75 -46 27 h\n1.000 UP\n1.000
      UL\nLT2\n1634 1663 M\n79 -73 V\n-41 25 V\n-84 75 V\n46 -27 V\n.1714 g
      1561 1743 N 46 -27 76 -83 -49 30 h\n1.000 UP\n1.000 UL\nLT2\n1561 1743
      M\n73 -80 V\n-46 27 V\n-76 83 V\n49 -30 V\n.2064 g 1496 1830 N 49 -30
      68 -89 -52 32 h\n1.000 UP\n1.000 UL\nLT2\n1496 1830 M\n65 -87 V\n-49 30
      V\n-68 89 V\n52 -32 V\n.2438 g 1440 1924 N 52 -32 59 -96 -55 34
      h\n1.000 UP\n1.000 UL\nLT2\n1440 1924 M\n56 -94 V\n-52 32 V\n-59 96
      V\n55 -34 V\n.2833 g 1392 2023 N 55 -34 50 -100 -57 35 h\n1.000
      UP\n1.000 UL\nLT2\n1392 2023 M\n48 -99 V\n-55 34 V\n-50 100 V\n57 -35
      V\n.3245 g 1353 2126 N 57 -35 41 -104 -59 36 h\n1.000 UP\n1.000
      UL\nLT2\n1353 2126 M\n39 -103 V\n-57 35 V\n-41 104 V\n59 -36 V\n.3671 g
      1324 2233 N 59 -36 31 -108 -61 37 h\n1.000 UP\n1.000 UL\nLT2\n1324 2233
      M\n29 -107 V\n-59 36 V\n-31 108 V\n61 -37 V\n.4108 g 1304 2343 N 61 -37
      21 -111 -62 38 h\n1.000 UP\n1.000 UL\nLT2\n1304 2343 M\n20 -110 V\n-61
      37 V\n-21 111 V\n62 -38 V\n.4552 g 1295 2455 N 62 -38 10 -112 -63 38
      h\n1.000 UP\n1.000 UL\nLT2\n1295 2455 M\n9 -112 V\n-62 38 V\n-10 112
      V\n63 -38 V\n.5 g 1295 2568 N 63 -38 0 -113 -63 38 h\n1.000 UP\n1.000
      UL\nLT2\n1295 2568 M\n0 -113 V\n-63 38 V\n0 113 V\n63 -38 V\n.5448 g
      1304 2681 N 63 -38 -10 -113 -62 38 h\n1.000 UP\n1.000 UL\nLT2\n1304
      2681 M\n-9 -113 V\n-63 38 V\n10 113 V\n62 -38 V\n.5892 g 1324 2794 N 62
      -38 -21 -112 -61 37 h\n1.000 UP\n1.000 UL\nLT2\n1324 2794 M\n-20 -113
      V\n-62 38 V\n21 112 V\n61 -37 V\n.6329 g 1353 2904 N 61 -37 -31 -110
      -59 37 h\n1.000 UP\n1.000 UL\nLT2\n1353 2904 M\n-29 -110 V\n-61 37
      V\n31 110 V\n59 -37 V\n.6755 g 1392 3013 N 59 -37 -41 -107 -57 35
      h\n1.000 UP\n1.000 UL\nLT2\n1392 3013 M\n-39 -109 V\n-59 37 V\n41 107
      V\n57 -35 V\n.7167 g 1440 3118 N 57 -35 -50 -103 -55 33 h\n1.000
      UP\n1.000 UL\nLT2\n1440 3118 M\n-48 -105 V\n-57 35 V\n50 103 V\n55 -33
      V\n.7562 g 1496 3218 N 55 -33 -59 -99 -52 32 h\n1.000 UP\n1.000
      UL\nLT2\n1496 3218 M\n-56 -100 V\n-55 33 V\n59 99 V\n52 -32 V\n.7936 g
      1561 3314 N 52 -32 -68 -94 -49 30 h\n1.000 UP\n1.000 UL\nLT2\n1561 3314
      M\n-65 -96 V\n-52 32 V\n68 94 V\n49 -30 V\n.8286 g 1634 3403 N 49 -30
      -76 -87 -46 28 h\n1.000 UP\n1.000 UL\nLT2\n1634 3403 M\n-73 -89 V\n-49
      30 V\n76 87 V\n46 -28 V\n.861 g 1713 3487 N 46 -28 -84 -81 -41 25
      h\n1.000 UP\n1.000 UL\nLT2\n1713 3487 M\n-79 -84 V\n-46 28 V\n84 81
      V\n41 -25 V\n.8905 g 1799 3563 N 41 -25 -91 -73 -36 22 h\n1.000
      UP\n1.000 UL\nLT2\n1799 3563 M\n-86 -76 V\n-41 25 V\n91 73 V\n36 -22
      V\n.9169 g 1891 3631 N 36 -22 -96 -65 -32 19 h\n1.000 UP\n1.000
      UL\nLT2\n1891 3631 M\n-92 -68 V\n-36 22 V\n96 65 V\n32 -19 V\n.9399 g
      1988 3690 N 32 -19 -102 -57 -27 17 h\n1.000 UP\n1.000 UL\nLT2\n1988
      3690 M\n-97 -59 V\n-32 19 V\n102 57 V\n27 -17 V\n.9593 g 2090 3741 N 27
      -17 -107 -48 -22 14 h\n1.000 UP\n1.000 UL\nLT2\n2090 3741 M\n-102 -51
      V\n-27 17 V\n107 48 V\n22 -14 V\n.975 g 2194 3783 N 22 -14 -110 -38 -16
      10 h\n1.000 UP\n1.000 UL\nLT2\n2194 3783 M\n-104 -42 V\n-22 14 V\n110
      38 V\n16 -10 V\n.987 g 2302 3815 N 16 -10 -113 -29 -11 7 h\n1.000
      UP\n1.000 UL\nLT2\n2302 3815 M\n-108 -32 V\n-16 10 V\n113 29 V\n11 -7
      V\n.995 g 2411 3837 N 11 -7 -114 -18 -6 3 h\n1.000 UP\n1.000
      UL\nLT2\n2411 3837 M\n-109 -22 V\n-11 7 V\n114 18 V\n6 -3 V\n.999 g
      2521 3849 N 6 -3 -116 -9 0 0 h\n1.000 UP\n1.000 UL\nLT2\n2521 3849
      M\n-110 -12 V\n-6 3 V\n116 9 V\n.001 g 2405 1331 N 0 0 117 -5 -1 4
      h\n1.000 UP\n1.000 UL\nLT2\n2405 1331 M\n116 -1 V\n-117 5 V\n1 -4
      V\n.005 g 2291 1343 N 1 -4 117 -15 -4 7 h\n1.000 UP\n1.000
      UL\nLT2\n2291 1343 M\n114 -12 V\n-1 4 V\n-117 15 V\n4 -7 V\n.013 g 2178
      1365 N 4 -7 115 -25 -6 10 h\n1.000 UP\n1.000 UL\nLT2\n2178 1365 M\n113
      -22 V\n-4 7 V\n-115 25 V\n6 -10 V\n.025 g 2068 1396 N 6 -10 112 -35 -8
      14 h\n1.000 UP\n1.000 UL\nLT2\n2068 1396 M\n110 -31 V\n-6 10 V\n-112 35
      V\n8 -14 V\n.0407 g 1961 1437 N 8 -14 108 -45 -9 18 h\n1.000 UP\n1.000
      UL\nLT2\n1961 1437 M\n107 -41 V\n-8 14 V\n-108 45 V\n9 -18 V\n.0601 g
      1859 1488 N 9 -18 104 -53 -11 20 h\n1.000 UP\n1.000 UL\nLT2\n1859 1488
      M\n102 -51 V\n-9 18 V\n-104 53 V\n11 -20 V\n.0831 g 1763 1547 N 11 -20
      98 -62 -13 23 h\n1.000 UP\n1.000 UL\nLT2\n1763 1547 M\n96 -59 V\n-11 20
      V\n-98 62 V\n13 -23 V\n.1095 g 1672 1615 N 13 -23 92 -71 -14 26
      h\n1.000 UP\n1.000 UL\nLT2\n1672 1615 M\n91 -68 V\n-13 23 V\n-92 71
      V\n14 -26 V\n.139 g 1588 1690 N 14 -26 85 -78 -15 29 h\n1.000 UP\n1.000
      UL\nLT2\n1588 1690 M\n84 -75 V\n-14 26 V\n-85 78 V\n15 -29 V\n.1714 g
      1512 1773 N 15 -29 77 -85 -16 31 h\n1.000 UP\n1.000 UL\nLT2\n1512 1773
      M\n76 -83 V\n-15 29 V\n-77 85 V\n16 -31 V\n.2064 g 1444 1862 N 16 -31
      69 -92 -17 34 h\n1.000 UP\n1.000 UL\nLT2\n1444 1862 M\n68 -89 V\n-16 31
      V\n-69 92 V\n17 -34 V\n.2438 g 1385 1958 N 17 -34 61 -97 -19 35
      h\n1.000 UP\n1.000 UL\nLT2\n1385 1958 M\n59 -96 V\n-17 34 V\n-61 97
      V\n19 -35 V\n.2833 g 1335 2058 N 19 -35 51 -101 -20 36 h\n1.000
      UP\n1.000 UL\nLT2\n1335 2058 M\n50 -100 V\n-19 35 V\n-51 101 V\n20 -36
      V\n.3245 g 1294 2162 N 20 -36 41 -106 -20 38 h\n1.000 UP\n1.000
      UL\nLT2\n1294 2162 M\n41 -104 V\n-20 36 V\n-41 106 V\n20 -38 V\n.3671 g
      1263 2270 N 20 -38 31 -109 -20 39 h\n1.000 UP\n1.000 UL\nLT2\n1263 2270
      M\n31 -108 V\n-20 38 V\n-31 109 V\n20 -39 V\n.4108 g 1242 2381 N 20 -39
      21 -111 -20 39 h\n1.000 UP\n1.000 UL\nLT2\n1242 2381 M\n21 -111 V\n-20
      39 V\n-21 111 V\n20 -39 V\n.4552 g 1232 2493 N 20 -39 11 -113 -21 40
      h\n1.000 UP\n1.000 UL\nLT2\n1232 2493 M\n10 -112 V\n-20 39 V\n-11 113
      V\n21 -40 V\n.5 g 1232 2606 N 21 -40 0 -113 -21 40 h\n1.000 UP\n1.000
      UL\nLT2\n1232 2606 M\n0 -113 V\n-21 40 V\n0 113 V\n21 -40 V\n.5448 g
      1242 2719 N 21 -40 -11 -113 -20 40 h\n1.000 UP\n1.000 UL\nLT2\n1242
      2719 M\n-10 -113 V\n-21 40 V\n11 113 V\n20 -40 V\n.5892 g 1263 2831 N
      20 -40 -21 -111 -20 39 h\n1.000 UP\n1.000 UL\nLT2\n1263 2831 M\n-21
      -112 V\n-20 40 V\n21 111 V\n20 -39 V\n.6329 g 1294 2941 N 20 -39 -31
      -109 -20 38 h\n1.000 UP\n1.000 UL\nLT2\n1294 2941 M\n-31 -110 V\n-20 39
      V\n31 109 V\n20 -38 V\n.6755 g 1335 3048 N 20 -38 -41 -106 -20 37
      h\n1.000 UP\n1.000 UL\nLT2\n1335 3048 M\n-41 -107 V\n-20 38 V\n41 106
      V\n20 -37 V\n.7167 g 1385 3151 N 20 -37 -51 -101 -19 35 h\n1.000
      UP\n1.000 UL\nLT2\n1385 3151 M\n-50 -103 V\n-20 37 V\n51 101 V\n19 -35
      V\n.7562 g 1444 3250 N 19 -35 -61 -97 -17 33 h\n1.000 UP\n1.000
      UL\nLT2\n1444 3250 M\n-59 -99 V\n-19 35 V\n61 97 V\n17 -33 V\n.7936 g
      1512 3344 N 17 -33 -69 -92 -16 31 h\n1.000 UP\n1.000 UL\nLT2\n1512 3344
      M\n-68 -94 V\n-17 33 V\n69 92 V\n16 -31 V\n.8286 g 1588 3431 N 16 -31
      -77 -85 -15 29 h\n1.000 UP\n1.000 UL\nLT2\n1588 3431 M\n-76 -87 V\n-16
      31 V\n77 85 V\n15 -29 V\n.861 g 1672 3512 N 15 -29 -85 -78 -14 26
      h\n1.000 UP\n1.000 UL\nLT2\n1672 3512 M\n-84 -81 V\n-15 29 V\n85 78
      V\n14 -26 V\n.8905 g 1763 3585 N 14 -26 -92 -71 -13 24 h\n1.000
      UP\n1.000 UL\nLT2\n1763 3585 M\n-91 -73 V\n-14 26 V\n92 71 V\n13 -24
      V\n.9169 g 1859 3650 N 13 -24 -98 -62 -11 21 h\n1.000 UP\n1.000
      UL\nLT2\n1859 3650 M\n-96 -65 V\n-13 24 V\n98 62 V\n11 -21 V\n.9399 g
      1961 3707 N 11 -21 -104 -53 -9 17 h\n1.000 UP\n1.000 UL\nLT2\n1961 3707
      M\n-102 -57 V\n-11 21 V\n104 53 V\n9 -17 V\n.9593 g 2068 3755 N 9 -17
      -108 -45 -8 14 h\n1.000 UP\n1.000 UL\nLT2\n2068 3755 M\n-107 -48 V\n-9
      17 V\n108 45 V\n8 -14 V\n.975 g 2178 3793 N 8 -14 -112 -35 -6 11
      h\n1.000 UP\n1.000 UL\nLT2\n2178 3793 M\n-110 -38 V\n-8 14 V\n112 35
      V\n6 -11 V\n.987 g 2291 3822 N 6 -11 -115 -25 -4 7 h\n1.000 UP\n1.000
      UL\nLT2\n2291 3822 M\n-113 -29 V\n-6 11 V\n115 25 V\n4 -7 V\n.995 g
      2405 3840 N 4 -7 -117 -15 -1 4 h\n1.000 UP\n1.000 UL\nLT2\n2405 3840
      M\n-114 -18 V\n-4 7 V\n117 15 V\n1 -4 V\n.999 g 2521 3849 N 1 -4 -117
      -5 0 0 h\n1.000 UP\n1.000 UL\nLT2\n2521 3849 M\n-116 -9 V\n-1 4 V\n117
      5 V\n%pm3d_map_end\ngrestore % colour palette end\n1.000 UP\n1.000
      UP\nstroke\ngrestore\nend\nshowpage\n%%Trailer\n%%DocumentFonts:
      Helvetica\n>|ps>||||||>

      \;
    </output>

    <\input|GNUplot] >
      set xrange[-5:5] ~set yrange[-2:2] ~f(x)=x\<less\>0?-1:1 ~plot f(x)
    </input>

    <\output>
      <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
      temp.eps\n%%Creator: gnuplot 3.8h patchlevel 0\n%%CreationDate: Sun Apr
      \ 6 12:33:46 2003\n%%DocumentFonts: (atend)\n%%BoundingBox: 50 50 410
      302\n%%Orientation: Portrait\n%%EndComments\n/gnudict 256 dict
      def\ngnudict begin\n/Color false def\n/Solid false def\n/gnulinewidth
      5.000 def\n/userlinewidth gnulinewidth def\n/vshift -46 def\n/dl {10.0
      mul} def\n/hpt_ 31.5 def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt vpt_
      def\n/M {moveto} bind def\n/L {lineto} bind def\n/R {rmoveto} bind
      def\n/V {rlineto} bind def\n/N {newpath moveto} bind def\n/f {rlineto
      fill} bind def\n/vpt2 vpt 2 mul def\n/hpt2 hpt 2 mul def\n/Lshow {
      currentpoint stroke M\n \ 0 vshift R show } def\n/Rshow { currentpoint
      stroke M\n \ dup stringwidth pop neg vshift R show } def\n/Cshow {
      currentpoint stroke M\n \ dup stringwidth pop -2 div vshift R show }
      def\n/UP { dup vpt_ mul /vpt exch def hpt_ mul /hpt exch def\n \ /hpt2
      hpt 2 mul def /vpt2 vpt 2 mul def } def\n/DL { Color {setrgbcolor Solid
      {pop []} if 0 setdash }\n {pop pop pop Solid {pop []} if 0 setdash}
      ifelse } def\n/BL { stroke userlinewidth 2 mul setlinewidth } def\n/AL
      { stroke userlinewidth 2 div setlinewidth } def\n/UL { dup gnulinewidth
      mul /userlinewidth exch def\n \ \ \ \ \ dup 1 lt {pop 1} if 10 mul /udl
      exch def } def\n/PL { stroke userlinewidth setlinewidth } def\n/LTb {
      BL [] 0 0 0 DL } def\n/LTa { AL [1 udl mul 2 udl mul] 0 setdash 0 0 0
      setrgbcolor } def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 { PL [4 dl 2 dl] 0
      1 0 DL } def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL } def\n/LT3 { PL [1 dl 1.5
      dl] 1 0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl 2 dl] 0 1 1 DL }
      def\n/LT5 { PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL } def\n/LT6 { PL [2 dl 2
      dl 2 dl 4 dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      1 0.3 0 DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      0.5 0.5 0.5 DL } def\n/Pnt { stroke [] 0 setdash\n \ \ gsave 1
      setlinecap M 0 0 V stroke grestore } def\n/Dia { stroke [] 0 setdash 2
      copy vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt
      neg vpt V closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0 setdash
      vpt sub M 0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg R hpt2
      0 V stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt sub
      exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
      closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt sub
      exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2 neg 0
      R hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy vpt 1.12
      mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      1.62 mul V closepath stroke\n \ Pnt \ } def\n/Star { 2 copy Pls Crs }
      def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V \ closepath fill }
      def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt
      -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath fill
      } def\n/TriD { stroke [] 0 setdash 2 copy vpt 1.12 mul sub M\n \ hpt
      neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V
      closepath stroke\n \ Pnt \ } def\n/TriDF { stroke [] 0 setdash vpt 1.12
      mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      -1.62 mul V closepath fill} def\n/DiaF { stroke [] 0 setdash vpt add
      M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V
      closepath fill } def\n/Pent { stroke [] 0 setdash 2 copy gsave\n
      \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath stroke
      grestore Pnt } def\n/PentF { stroke [] 0 setdash gsave\n \ translate 0
      hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath fill grestore }
      def\n/Circle { stroke [] 0 setdash 2 copy\n \ hpt 0 360 arc stroke Pnt
      } def\n/CircleF { stroke [] 0 setdash hpt 0 360 arc fill } def\n/C0 {
      BL [] 0 setdash 2 copy moveto vpt 90 450 \ arc } bind def\n/C1 { BL []
      0 setdash 2 copy \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C2 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C3 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
      bind def\n/C4 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
      \ vpt 180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 270 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C6 { BL [] 0
      setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 90 270 arc closepath
      fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
      def\n/C7 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 0 270
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
      } bind def\n/C8 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
      copy \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
      moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13 {
      BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
      setdash 2 copy vpt 0 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
      \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
      \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
      bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
      def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
      bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
      def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
      Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch vpt2
      vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy exch vpt
      sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 { BL [] 0
      setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt sub exch
      vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0 setdash 2
      copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare } bind
      def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt vpt2
      Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub vpt Square fill Bsquare
      } bind def\n/S9 { BL [] 0 setdash 2 copy vpt sub vpt vpt2 Rec fill
      Bsquare } bind def\n/S10 { BL [] 0 setdash 2 copy vpt sub vpt Square
      fill 2 copy exch vpt sub exch vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S11 { BL [] 0 setdash 2 copy vpt sub vpt Square fill 2 copy
      exch vpt sub exch vpt2 vpt Rec fill\n \ \ \ \ \ \ Bsquare } bind
      def\n/S12 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt
      Rec fill Bsquare } bind def\n/S13 { BL [] 0 setdash 2 copy exch vpt sub
      exch vpt sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill
      Bsquare } bind def\n/S14 { BL [] 0 setdash 2 copy exch vpt sub exch vpt
      sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square
      fill Bsquare } bind def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill
      Bsquare } bind def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke
      grestore } bind def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke
      grestore } bind def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke
      grestore } bind def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke
      grestore } bind def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke
      grestore } bind def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke
      grestore } bind def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke
      grestore } bind def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke
      grestore } bind def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke
      grestore } bind def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke
      grestore } bind def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke
      grestore } bind def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke
      grestore } bind def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke
      grestore } bind def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke
      grestore } bind def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke
      grestore } bind def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke
      grestore } bind def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg
      vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke }
      def\n/BoxE { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE
      { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke }
      def\n/TriDE { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt
      1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath
      stroke } def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M
      4 {72 rotate 0 hpt L} repeat\n \ closepath stroke grestore }
      def\n/CircE { stroke [] 0 setdash \n \ hpt 0 360 arc stroke }
      def\n/Opaque { gsave closepath 1 setgray fill grestore 0 setgray
      closepath } def\n/DiaW { stroke [] 0 setdash vpt add M\n \ hpt neg vpt
      neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V Opaque stroke }
      def\n/BoxW { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW {
      stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW
      { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW
      { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
      repeat\n \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash
      \n \ hpt 0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray
      fill grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
      makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
      ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0 get
      findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ] exch
      dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch 4 get
      {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n \ \ \ \ {dup 3
      get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5\n
      \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop
      -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get\n
      \ \ \ \ show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop
      pop\n \ \ \ \ pop aload pop M} ifelse }ifelse }ifelse } forall} bind
      def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get findfont exch 1 get
      scalefont\n \ \ \ \ setfont 6 get stringwidth pop add} {pop} ifelse}
      forall} bind def\n/MLshow { currentpoint stroke M\n \ 0 exch R MFshow }
      bind def\n/MRshow { currentpoint stroke M\n \ exch dup MFwidth neg 3 -1
      roll R MFshow } def\n/MCshow { currentpoint stroke M\n \ exch dup
      MFwidth -2 div 3 -1 roll R MFshow } def\nend\n%%EndProlog\ngnudict
      begin\ngsave\n50 50 translate\n0.050 0.050 scale\n0
      setgray\nnewpath\n(Helvetica) findfont 140 scalefont setfont\n1.000
      UL\nLTb\n574 280 M\n63 0 V\n6325 0 R\n-63 0 V\n stroke\n490 280
      M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-2)]\n] -46.7
      MRshow\ngrestore\n574 854 M\n63 0 V\n6325 0 R\n-63 0 V\n stroke\n490
      854 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-1.5)]\n]
      -46.7 MRshow\ngrestore\n574 1428 M\n63 0 V\n6325 0 R\n-63 0 V\n
      stroke\n490 1428 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true
      0 (-1)]\n] -46.7 MRshow\ngrestore\n574 2002 M\n63 0 V\n6325 0 R\n-63 0
      V\n stroke\n490 2002 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 (-0.5)]\n] -46.7 MRshow\ngrestore\n574 2576 M\n63 0 V\n6325 0
      R\n-63 0 V\n stroke\n490 2576 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 ( 0)]\n] -46.7 MRshow\ngrestore\n574 3150 M\n63 0
      V\n6325 0 R\n-63 0 V\n stroke\n490 3150 M\ngsave 0 setgray\n[
      [(Helvetica) 140.0 0.0 true true 0 ( 0.5)]\n] -46.7
      MRshow\ngrestore\n574 3724 M\n63 0 V\n6325 0 R\n-63 0 V\n stroke\n490
      3724 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 1)]\n]
      -46.7 MRshow\ngrestore\n574 4298 M\n63 0 V\n6325 0 R\n-63 0 V\n
      stroke\n490 4298 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true
      0 ( 1.5)]\n] -46.7 MRshow\ngrestore\n574 4872 M\n63 0 V\n6325 0 R\n-63
      0 V\n stroke\n490 4872 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0
      true true 0 ( 2)]\n] -46.7 MRshow\ngrestore\n1213 280 M\n0 63 V\n0 4529
      R\n0 -63 V\n stroke\n1213 140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 (-4)]\n] -46.7 MCshow\ngrestore\n2490 280 M\n0 63 V\n0
      4529 R\n0 -63 V\n stroke\n2490 140 M\ngsave 0 setgray\n[ [(Helvetica)
      140.0 0.0 true true 0 (-2)]\n] -46.7 MCshow\ngrestore\n3768 280 M\n0 63
      V\n0 4529 R\n0 -63 V\n stroke\n3768 140 M\ngsave 0 setgray\n[
      [(Helvetica) 140.0 0.0 true true 0 ( 0)]\n] -46.7
      MCshow\ngrestore\n5046 280 M\n0 63 V\n0 4529 R\n0 -63 V\n stroke\n5046
      140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 2)]\n]
      -46.7 MCshow\ngrestore\n6323 280 M\n0 63 V\n0 4529 R\n0 -63 V\n
      stroke\n6323 140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true
      0 ( 4)]\n] -46.7 MCshow\ngrestore\n1.000 UL\nLTb\n574 280 M\n6388 0
      V\n0 4592 V\n-6388 0 V\n574 280 L\n1.000 UP\n1.000 UL\nLT0\n6311 4739
      M\ngsave 0 setgray\n(f\\(x\\)) Rshow\ngrestore\n6395 4739 M\n399 0
      V\n574 1428 M\n65 0 V\n64 0 V\n65 0 V\n64 0 V\n65 0 V\n64 0 V\n65 0
      V\n64 0 V\n65 0 V\n64 0 V\n65 0 V\n64 0 V\n65 0 V\n64 0 V\n65 0 V\n64 0
      V\n65 0 V\n64 0 V\n65 0 V\n65 0 V\n64 0 V\n65 0 V\n64 0 V\n65 0 V\n64 0
      V\n65 0 V\n64 0 V\n65 0 V\n64 0 V\n65 0 V\n64 0 V\n65 0 V\n64 0 V\n65 0
      V\n64 0 V\n65 0 V\n64 0 V\n65 0 V\n64 0 V\n65 0 V\n65 0 V\n64 0 V\n65 0
      V\n64 0 V\n65 0 V\n64 0 V\n65 0 V\n64 0 V\n65 0 V\n64 2296 V\n65 0
      V\n64 0 V\n65 0 V\n64 0 V\n65 0 V\n64 0 V\n65 0 V\n64 0 V\n65 0 V\n65 0
      V\n64 0 V\n65 0 V\n64 0 V\n65 0 V\n64 0 V\n65 0 V\n64 0 V\n65 0 V\n64 0
      V\n65 0 V\n64 0 V\n65 0 V\n64 0 V\n65 0 V\n64 0 V\n65 0 V\n64 0 V\n65 0
      V\n64 0 V\n65 0 V\n65 0 V\n64 0 V\n65 0 V\n64 0 V\n65 0 V\n64 0 V\n65 0
      V\n64 0 V\n65 0 V\n64 0 V\n65 0 V\n64 0 V\n65 0 V\n64 0 V\n65 0 V\n64 0
      V\n65 0 V\n64 0 V\n65 0 V\n1.000 UP\nstroke\ngrestore\nend\nshowpage\n%%Trailer\n%%DocumentFonts:
      Helvetica\n>|ps>||||||>

      \;
    </output>

    <\input|GNUplot] >
      \;
    </input>
  </session>

  Due to the auto-scaling effect, not all the range of domain of
  <with|mode|math|x+sin(x)> is shown in the first graph. After given the
  range of variable of <with|mode|math|x>, we can observe the graph more
  explicitly. But how about "<with|color|red|set xlabel '[x]'>" in single
  line with other plotting command lines? Due to bug interpretation of the
  interface of gnuplot, <with|mode|math|>tm_gnuplot, gnuplot cannot handle
  this code with ghostscript. Instead of inputting <with|color|red|plot> and
  <with|color|red|set option> in different lines, input "<with|color|red|set
  options ~ plot <with|mode|math|\<cdots\><with|color|black|>>>" \ to add the
  set option in normal plotting command. Try directly \ execute the above
  code to see what about the differences between two statements. Almost CAS's
  have their plotting philosophy. For example, Octave, the other famous one,
  not only has its built-in command, <strong|<verbatim|<em|<strong|<with|color|red|plot>>>>>,
  but also fully supports the Gnuplot functions, only by adding a pre
  "<with|color|red|g>" before the relative plotting commands.\ 

  <\session|octave|default>
    <\output>
      GNU Octave, version 2.1.45 (i686-pc-linux-gnu).

      Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003 John W.
      Eaton.

      This is free software; see the source code for copying conditions.

      There is ABSOLUTELY NO WARRANTY; not even for MERCHANTIBILITY or

      FITNESS FOR A PARTICULAR PURPOSE.

      \;

      Report bugs to \<less\>bug-octave@bevo.che.wisc.edu\<gtr\>.

      \;
    </output>

    <\input|octave\<gtr\> >
      x=linspace(-10,10,1000);
    </input>

    <\input|octave\<gtr\> >
      y=x+sin(x);
    </input>

    <\input|octave\<gtr\> >
      plot(x,y,";Function y=x+sin(x);");
    </input>

    <\output>
      \;

      \;

      <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
      /tmp/tmplot.eps\n%%Creator: gnuplot 3.8h patchlevel 0\n%%CreationDate:
      Sat Apr \ 5 19:59:37 2003\n%%DocumentFonts: (atend)\n%%BoundingBox: 50
      50 230 176\n%%Orientation: Portrait\n%%EndComments\n/gnudict 256 dict
      def\ngnudict begin\n/Color true def\n/Solid false def\n/gnulinewidth
      5.000 def\n/userlinewidth gnulinewidth def\n/vshift -46 def\n/dl {10.0
      mul} def\n/hpt_ 31.5 def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt vpt_
      def\n/M {moveto} bind def\n/L {lineto} bind def\n/R {rmoveto} bind
      def\n/V {rlineto} bind def\n/N {newpath moveto} bind def\n/f {rlineto
      fill} bind def\n/vpt2 vpt 2 mul def\n/hpt2 hpt 2 mul def\n/Lshow {
      currentpoint stroke M\n \ 0 vshift R show } def\n/Rshow { currentpoint
      stroke M\n \ dup stringwidth pop neg vshift R show } def\n/Cshow {
      currentpoint stroke M\n \ dup stringwidth pop -2 div vshift R show }
      def\n/UP { dup vpt_ mul /vpt exch def hpt_ mul /hpt exch def\n \ /hpt2
      hpt 2 mul def /vpt2 vpt 2 mul def } def\n/DL { Color {setrgbcolor Solid
      {pop []} if 0 setdash }\n {pop pop pop Solid {pop []} if 0 setdash}
      ifelse } def\n/BL { stroke userlinewidth 2 mul setlinewidth } def\n/AL
      { stroke userlinewidth 2 div setlinewidth } def\n/UL { dup gnulinewidth
      mul /userlinewidth exch def\n \ \ \ \ \ dup 1 lt {pop 1} if 10 mul /udl
      exch def } def\n/PL { stroke userlinewidth setlinewidth } def\n/LTb {
      BL [] 0 0 0 DL } def\n/LTa { AL [1 udl mul 2 udl mul] 0 setdash 0 0 0
      setrgbcolor } def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 { PL [4 dl 2 dl] 0
      1 0 DL } def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL } def\n/LT3 { PL [1 dl 1.5
      dl] 1 0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl 2 dl] 0 1 1 DL }
      def\n/LT5 { PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL } def\n/LT6 { PL [2 dl 2
      dl 2 dl 4 dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      1 0.3 0 DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      0.5 0.5 0.5 DL } def\n/Pnt { stroke [] 0 setdash\n \ \ gsave 1
      setlinecap M 0 0 V stroke grestore } def\n/Dia { stroke [] 0 setdash 2
      copy vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt
      neg vpt V closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0 setdash
      vpt sub M 0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg R hpt2
      0 V stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt sub
      exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
      closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt sub
      exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2 neg 0
      R hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy vpt 1.12
      mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      1.62 mul V closepath stroke\n \ Pnt \ } def\n/Star { 2 copy Pls Crs }
      def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V \ closepath fill }
      def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt
      -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath fill
      } def\n/TriD { stroke [] 0 setdash 2 copy vpt 1.12 mul sub M\n \ hpt
      neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V
      closepath stroke\n \ Pnt \ } def\n/TriDF { stroke [] 0 setdash vpt 1.12
      mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      -1.62 mul V closepath fill} def\n/DiaF { stroke [] 0 setdash vpt add
      M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V
      closepath fill } def\n/Pent { stroke [] 0 setdash 2 copy gsave\n
      \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath stroke
      grestore Pnt } def\n/PentF { stroke [] 0 setdash gsave\n \ translate 0
      hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath fill grestore }
      def\n/Circle { stroke [] 0 setdash 2 copy\n \ hpt 0 360 arc stroke Pnt
      } def\n/CircleF { stroke [] 0 setdash hpt 0 360 arc fill } def\n/C0 {
      BL [] 0 setdash 2 copy moveto vpt 90 450 \ arc } bind def\n/C1 { BL []
      0 setdash 2 copy \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C2 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C3 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
      bind def\n/C4 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
      \ vpt 180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 270 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C6 { BL [] 0
      setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 90 270 arc closepath
      fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
      def\n/C7 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 0 270
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
      } bind def\n/C8 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
      copy \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
      moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13 {
      BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
      setdash 2 copy vpt 0 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
      \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
      \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
      bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
      def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
      bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
      def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
      Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch vpt2
      vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy exch vpt
      sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 { BL [] 0
      setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt sub exch
      vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0 setdash 2
      copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare } bind
      def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt vpt2
      Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub vpt Square fill Bsquare
      } bind def\n/S9 { BL [] 0 setdash 2 copy vpt sub vpt vpt2 Rec fill
      Bsquare } bind def\n/S10 { BL [] 0 setdash 2 copy vpt sub vpt Square
      fill 2 copy exch vpt sub exch vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S11 { BL [] 0 setdash 2 copy vpt sub vpt Square fill 2 copy
      exch vpt sub exch vpt2 vpt Rec fill\n \ \ \ \ \ \ Bsquare } bind
      def\n/S12 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt
      Rec fill Bsquare } bind def\n/S13 { BL [] 0 setdash 2 copy exch vpt sub
      exch vpt sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill
      Bsquare } bind def\n/S14 { BL [] 0 setdash 2 copy exch vpt sub exch vpt
      sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square
      fill Bsquare } bind def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill
      Bsquare } bind def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke
      grestore } bind def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke
      grestore } bind def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke
      grestore } bind def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke
      grestore } bind def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke
      grestore } bind def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke
      grestore } bind def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke
      grestore } bind def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke
      grestore } bind def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke
      grestore } bind def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke
      grestore } bind def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke
      grestore } bind def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke
      grestore } bind def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke
      grestore } bind def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke
      grestore } bind def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke
      grestore } bind def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke
      grestore } bind def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg
      vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke }
      def\n/BoxE { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE
      { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke }
      def\n/TriDE { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt
      1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath
      stroke } def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M
      4 {72 rotate 0 hpt L} repeat\n \ closepath stroke grestore }
      def\n/CircE { stroke [] 0 setdash \n \ hpt 0 360 arc stroke }
      def\n/Opaque { gsave closepath 1 setgray fill grestore 0 setgray
      closepath } def\n/DiaW { stroke [] 0 setdash vpt add M\n \ hpt neg vpt
      neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V Opaque stroke }
      def\n/BoxW { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW {
      stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW
      { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW
      { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
      repeat\n \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash
      \n \ hpt 0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray
      fill grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
      makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
      ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0 get
      findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ] exch
      dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch 4 get
      {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n \ \ \ \ {dup 3
      get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5\n
      \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop
      -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get\n
      \ \ \ \ show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop
      pop\n \ \ \ \ pop aload pop M} ifelse }ifelse }ifelse } forall} bind
      def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get findfont exch 1 get
      scalefont\n \ \ \ \ setfont 6 get stringwidth pop add} {pop} ifelse}
      forall} bind def\n/MLshow { currentpoint stroke M\n \ 0 exch R MFshow }
      bind def\n/MRshow { currentpoint stroke M\n \ exch dup MFwidth neg 3 -1
      roll R MFshow } def\n/MCshow { currentpoint stroke M\n \ exch dup
      MFwidth -2 div 3 -1 roll R MFshow } def\nend\n%%EndProlog\ngnudict
      begin\ngsave\n50 50 translate\n0.050 0.050 scale\n0
      setgray\nnewpath\n(Helvetica) findfont 140 scalefont setfont\n1.000
      UL\nLTb\n490 280 M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406 280 M\n[
      [(Helvetica) 140.0 0.0 true true 0 (-10)]\n] -46.7 MRshow\n490 487
      M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406 487 M\n[ [(Helvetica) 140.0
      0.0 true true 0 (-8)]\n] -46.7 MRshow\n490 694 M\n63 0 V\n2809 0 R\n-63
      0 V\n stroke\n406 694 M\n[ [(Helvetica) 140.0 0.0 true true 0 (-6)]\n]
      -46.7 MRshow\n490 902 M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406 902
      M\n[ [(Helvetica) 140.0 0.0 true true 0 (-4)]\n] -46.7 MRshow\n490 1109
      M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406 1109 M\n[ [(Helvetica) 140.0
      0.0 true true 0 (-2)]\n] -46.7 MRshow\n490 1316 M\n63 0 V\n2809 0
      R\n-63 0 V\n stroke\n406 1316 M\n[ [(Helvetica) 140.0 0.0 true true 0 (
      0)]\n] -46.7 MRshow\n490 1523 M\n63 0 V\n2809 0 R\n-63 0 V\n
      stroke\n406 1523 M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 2)]\n] -46.7
      MRshow\n490 1730 M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406 1730 M\n[
      [(Helvetica) 140.0 0.0 true true 0 ( 4)]\n] -46.7 MRshow\n490 1938
      M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406 1938 M\n[ [(Helvetica) 140.0
      0.0 true true 0 ( 6)]\n] -46.7 MRshow\n490 2145 M\n63 0 V\n2809 0
      R\n-63 0 V\n stroke\n406 2145 M\n[ [(Helvetica) 140.0 0.0 true true 0 (
      8)]\n] -46.7 MRshow\n490 2352 M\n63 0 V\n2809 0 R\n-63 0 V\n
      stroke\n406 2352 M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 10)]\n]
      -46.7 MRshow\n490 280 M\n0 63 V\n0 2009 R\n0 -63 V\n stroke\n490 140
      M\n[ [(Helvetica) 140.0 0.0 true true 0 (-10)]\n] -46.7 MCshow\n1208
      280 M\n0 63 V\n0 2009 R\n0 -63 V\n stroke\n1208 140 M\n[ [(Helvetica)
      140.0 0.0 true true 0 (-5)]\n] -46.7 MCshow\n1926 280 M\n0 63 V\n0 2009
      R\n0 -63 V\n stroke\n1926 140 M\n[ [(Helvetica) 140.0 0.0 true true 0 (
      0)]\n] -46.7 MCshow\n2644 280 M\n0 63 V\n0 2009 R\n0 -63 V\n
      stroke\n2644 140 M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 5)]\n] -46.7
      MCshow\n3362 280 M\n0 63 V\n0 2009 R\n0 -63 V\n stroke\n3362 140 M\n[
      [(Helvetica) 140.0 0.0 true true 0 ( 10)]\n] -46.7 MCshow\n1.000
      UL\nLTb\n490 280 M\n2872 0 V\n0 2072 V\n-2872 0 V\n490 280 L\n1.000
      UP\n1.000 UL\nLT0\n2711 2219 M\n[ [(Helvetica) 140.0 0.0 true true 0
      (Function y=x+sin\\(x\\))]\n] -46.7 MRshow\n2795 2219 M\n399 0 V\n490
      336 M\n3 1 V\n3 0 V\n3 0 V\n2 1 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 1 V\n3
      0 V\n3 0 V\n2 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n2 1
      V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n2 0 V\n3 0 V\n3 0
      V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n2 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0
      V\n3 0 V\n3 0 V\n3 0 V\n2 0 V\n3 0 V\n3 0 V\n3 0 V\n3 1 V\n3 0 V\n3 0
      V\n3 0 V\n2 0 V\n3 1 V\n3 0 V\n3 0 V\n3 0 V\n3 1 V\n3 0 V\n3 0 V\n2 1
      V\n3 0 V\n3 1 V\n3 0 V\n3 1 V\n3 0 V\n3 1 V\n3 0 V\n2 1 V\n3 0 V\n3 1
      V\n3 1 V\n3 0 V\n3 1 V\n3 1 V\n3 1 V\n2 1 V\n3 0 V\n3 1 V\n3 1 V\n3 1
      V\n3 1 V\n3 1 V\n3 1 V\n2 2 V\n3 1 V\n3 1 V\n3 1 V\n3 1 V\n3 2 V\n3 1
      V\n3 2 V\n2 1 V\n3 1 V\n3 2 V\n3 2 V\n3 1 V\n3 2 V\n3 1 V\n3 2 V\n2 2
      V\n3 2 V\n3 2 V\n3 1 V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n2 2 V\n3 3 V\n3 2
      V\n3 2 V\n3 2 V\n3 2 V\n3 3 V\n3 2 V\n2 3 V\n3 2 V\n3 3 V\n3 2 V\n3 3
      V\n3 2 V\n3 3 V\n3 3 V\n2 2 V\n3 3 V\n3 3 V\n3 3 V\n3 3 V\n3 3 V\n3 3
      V\n3 3 V\n2 3 V\n3 3 V\n3 3 V\n3 3 V\n3 3 V\n3 3 V\n3 4 V\n3 3 V\n2 3
      V\n3 4 V\n3 3 V\n3 3 V\n3 4 V\n3 3 V\n3 4 V\n3 3 V\n2 4 V\n3 4 V\n3 3
      V\n3 4 V\n3 4 V\n3 3 V\n3 4 V\n3 4 V\n2 4 V\n3 3 V\n3 4 V\n3 4 V\n3 4
      V\n3 4 V\n3 4 V\n3 4 V\n2 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4
      V\n3 4 V\n2 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n2 5
      V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 5 V\n2 4 V\n3 4 V\n3 4
      V\n3 4 V\n3 4 V\n3 4 V\n3 5 V\n3 4 V\n2 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4
      V\n3 4 V\n3 4 V\n3 4 V\n2 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4
      V\n3 4 V\n2 4 V\n3 4 V\n3 4 V\n3 3 V\n3 4 V\n3 4 V\n3 4 V\n3 3 V\n2 4
      V\n3 4 V\n3 3 V\n3 4 V\n3 4 V\n3 3 V\n3 4 V\n3 3 V\n2 4 V\n3 3 V\n3 3
      V\n3 4 V\n3 3 V\n3 3 V\n3 4 V\n3 3 V\n2 3 V\n3 3 V\n3 3 V\n3 3 V\n3 4
      V\n3 3 V\n3 3 V\n3 2 V\n2 3 V\n3 3 V\n3 3 V\n3 3 V\n3 3 V\n3 2 V\n3 3
      V\n3 3 V\n2 2 V\n3 3 V\n3 2 V\n3 3 V\n3 2 V\n3 3 V\n3 2 V\n3 2 V\n2 3
      V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n2 2 V\n3 2 V\n3 2
      V\n3 2 V\n3 1 V\n3 2 V\n3 2 V\n3 2 V\n2 1 V\n3 2 V\n3 1 V\n3 2 V\n3 1
      V\n3 2 V\n3 1 V\n3 1 V\n2 2 V\n3 1 V\n3 1 V\n3 1 V\n3 1 V\n3 1 V\n3 1
      V\n3 2 V\n2 1 V\n3 0 V\n3 1 V\n3 1 V\n3 1 V\n3 1 V\n3 1 V\n3 0 V\n2 1
      V\n3 1 V\n3 1 V\n3 0 V\n3 1 V\n3 0 V\n3 1 V\n3 0 V\n2 1 V\n3 0 V\n3 1
      V\n3 0 V\n3 1 V\n3 0 V\n3 0 V\n3 1 V\n2 0 V\n3 0 V\n3 0 V\n3 1 V\n3 0
      V\n3 0 V\n3 0 V\n3 0 V\n2 1 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0
      V\n3 0 V\n2 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 1 V\n3 0 V\n3 0 V\n2 0
      V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n2 0 V\n3 0 V\n3 0
      V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n2 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0
      V\n3 0 V\n3 1 V\n3 0 V\n2 0 V\n3 0 V\n3 0 V\n3 1 V\n3 0 V\n3 0 V\n3 0
      V\n3 1 V\n2 0 V\n3 0 V\n3 1 V\n3 0 V\n3 1 V\n3 0 V\n3 1 V\n3 0 V\n2 1
      V\n3 0 V\n3 1 V\n3 0 V\n3 1 V\n3 1 V\n3 0 V\n3 1 V\n2 1 V\n3 1 V\n3 1
      V\n3 1 V\n3 0 V\n3 1 V\n3 1 V\n3 1 V\n2 1 V\n3 2 V\ncurrentpoint stroke
      M\n3 1 V\n3 1 V\n3 1 V\n3 1 V\n3 2 V\n3 1 V\n2 1 V\n3 2 V\n3 1 V\n3 2
      V\n3 1 V\n3 2 V\n3 1 V\n3 2 V\n2 2 V\n3 1 V\n3 2 V\n3 2 V\n3 2 V\n3 2
      V\n3 2 V\n3 2 V\n2 2 V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n3 3
      V\n2 2 V\n3 2 V\n3 3 V\n3 2 V\n3 3 V\n3 2 V\n3 3 V\n3 3 V\n2 2 V\n3 3
      V\n3 3 V\n3 3 V\n3 2 V\n3 3 V\n3 3 V\n3 3 V\n2 3 V\n3 3 V\n3 3 V\n3 3
      V\n3 3 V\n3 3 V\n3 4 V\n3 3 V\n2 3 V\n3 3 V\n3 4 V\n3 3 V\n3 4 V\n3 3
      V\n3 3 V\n3 4 V\n2 3 V\n3 4 V\n3 4 V\n3 3 V\n3 4 V\n3 3 V\n3 4 V\n3 4
      V\n2 4 V\n3 3 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 3 V\n3 4 V\n2 4 V\n3 4
      V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n2 4 V\n3 4 V\n3 4 V\n3 4
      V\n3 5 V\n3 4 V\n3 4 V\n3 4 V\n2 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 5
      V\n3 4 V\n3 4 V\n2 4 V\n3 4 V\n3 4 V\n3 5 V\n3 4 V\n3 4 V\n3 4 V\n3 4
      V\n2 4 V\n3 4 V\n3 4 V\n3 4 V\n3 5 V\n3 4 V\n3 4 V\n3 4 V\n2 4 V\n3 4
      V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n2 4 V\n3 4 V\n3 3 V\n3 4
      V\n3 4 V\n3 4 V\n3 4 V\n3 3 V\n2 4 V\n3 4 V\n3 4 V\n3 3 V\n3 4 V\n3 3
      V\n3 4 V\n3 4 V\n2 3 V\n3 4 V\n3 3 V\n3 3 V\n3 4 V\n3 3 V\n3 4 V\n3 3
      V\n2 3 V\n3 3 V\n3 4 V\n3 3 V\n3 3 V\n3 3 V\n3 3 V\n3 3 V\n2 3 V\n3 3
      V\n3 3 V\n3 3 V\n3 2 V\n3 3 V\n3 3 V\n3 3 V\n2 2 V\n3 3 V\n3 3 V\n3 2
      V\n3 3 V\n3 2 V\n3 3 V\n3 2 V\n2 2 V\n3 3 V\n3 2 V\n3 2 V\n3 2 V\n3 2
      V\n3 2 V\n3 2 V\n2 2 V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n3 1
      V\n2 2 V\n3 2 V\n3 1 V\n3 2 V\n3 1 V\n3 2 V\n3 1 V\n3 2 V\n2 1 V\n3 1
      V\n3 2 V\n3 1 V\n3 1 V\n3 1 V\n3 1 V\n3 2 V\n2 1 V\n3 1 V\n3 1 V\n3 1
      V\n3 0 V\n3 1 V\n3 1 V\n3 1 V\n2 1 V\n3 1 V\n3 0 V\n3 1 V\n3 1 V\n3 0
      V\n3 1 V\n3 0 V\n2 1 V\n3 0 V\n3 1 V\n3 0 V\n3 1 V\n3 0 V\n3 1 V\n3 0
      V\n2 0 V\n3 1 V\n3 0 V\n3 0 V\n3 0 V\n3 1 V\n3 0 V\n3 0 V\n2 0 V\n3 0
      V\n3 1 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n2 0 V\n3 0 V\n3 0 V\n3 0
      V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n2 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0
      V\n3 0 V\n3 0 V\n2 0 V\n3 0 V\n3 0 V\n3 1 V\n3 0 V\n3 0 V\n3 0 V\n3 0
      V\n2 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n2 1 V\n3 0
      V\n3 0 V\n3 0 V\n3 0 V\n3 1 V\n3 0 V\n3 0 V\n2 0 V\n3 1 V\n3 0 V\n3 0
      V\n3 1 V\n3 0 V\n3 1 V\n3 0 V\n2 1 V\n3 0 V\n3 1 V\n3 0 V\n3 1 V\n3 0
      V\n3 1 V\n3 1 V\n2 1 V\n3 0 V\n3 1 V\n3 1 V\n3 1 V\n3 1 V\n3 1 V\n3 0
      V\n2 1 V\n3 2 V\n3 1 V\n3 1 V\n3 1 V\n3 1 V\n3 1 V\n3 1 V\n2 2 V\n3 1
      V\n3 1 V\n3 2 V\n3 1 V\n3 2 V\n3 1 V\n3 2 V\n2 1 V\n3 2 V\n3 2 V\n3 2
      V\n3 1 V\n3 2 V\n3 2 V\n3 2 V\n2 2 V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n3 2
      V\n3 2 V\n3 2 V\n2 3 V\n3 2 V\n3 2 V\n3 3 V\n3 2 V\n3 3 V\n3 2 V\n3 3
      V\n2 2 V\n3 3 V\n3 3 V\n3 2 V\n3 3 V\n3 3 V\n3 3 V\n3 3 V\n2 3 V\n3 2
      V\n3 3 V\n3 3 V\n3 4 V\n3 3 V\n3 3 V\n3 3 V\n2 3 V\n3 3 V\n3 4 V\n3 3
      V\n3 3 V\n3 4 V\n3 3 V\n3 3 V\n2 4 V\n3 3 V\n3 4 V\n3 3 V\n3 4 V\n3 4
      V\n3 3 V\n3 4 V\n2 4 V\n3 3 V\n3 4 V\n3 4 V\n3 4 V\n3 3 V\n3 4 V\n3 4
      V\n2 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n2 4 V\n3 4
      V\ncurrentpoint stroke M\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n2 4
      V\n3 4 V\n3 5 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n2 4 V\n3 5 V\n3 4
      V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n2 5 V\n3 4 V\n3 4 V\n3 4 V\n3 4
      V\n3 4 V\n3 4 V\n3 4 V\n2 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4
      V\n3 4 V\n2 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 3 V\n2 4
      V\n3 4 V\n3 4 V\n3 3 V\n3 4 V\n3 4 V\n3 3 V\n3 4 V\n2 4 V\n3 3 V\n3 4
      V\n3 3 V\n3 4 V\n3 3 V\n3 3 V\n3 4 V\n2 3 V\n3 3 V\n3 4 V\n3 3 V\n3 3
      V\n3 3 V\n3 3 V\n3 3 V\n2 3 V\n3 3 V\n3 3 V\n3 3 V\n3 3 V\n3 3 V\n3 3
      V\n3 3 V\n2 2 V\n3 3 V\n3 3 V\n3 2 V\n3 3 V\n3 2 V\n3 3 V\n3 2 V\n2 3
      V\n3 2 V\n3 3 V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n3 3 V\n2 2 V\n3 2 V\n3 2
      V\n3 2 V\n3 2 V\n3 1 V\n3 2 V\n3 2 V\n2 2 V\n3 2 V\n3 1 V\n3 2 V\n3 1
      V\n3 2 V\n3 2 V\n3 1 V\n2 1 V\n3 2 V\n3 1 V\n3 2 V\n3 1 V\n3 1 V\n3 1
      V\n3 1 V\n2 2 V\n3 1 V\n3 1 V\n3 1 V\n3 1 V\n3 1 V\n3 1 V\n3 0 V\n2 1
      V\n3 1 V\n3 1 V\n3 1 V\n3 0 V\n3 1 V\n3 1 V\n3 0 V\n2 1 V\n3 0 V\n3 1
      V\n3 0 V\n3 1 V\n3 0 V\n3 1 V\n3 0 V\n2 1 V\n3 0 V\n3 0 V\n3 1 V\n3 0
      V\n3 0 V\n3 0 V\n3 1 V\n2 0 V\n3 0 V\n3 0 V\n3 0 V\n3 1 V\n3 0 V\n3 0
      V\n3 0 V\n2 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n2 0
      V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n2 0 V\n3 0 V\n3 0
      V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n2 1 V\n3 0 V\n3 0 V\n3 0 V\n3 0
      V\n3 0 V\n3 0 V\n3 0 V\n2 0 V\n3 0 V\n3 0 V\n3 1 V\n3 0 V\n3 0 V\n3 0
      V\n3 0 V\n2 1 V\n3 0 V\n3 0 V\n3 1 V\n1.000
      UP\nstroke\ngrestore\nend\nshowpage\n>|ps>||||||>

      \;
    </output>

    <\input|octave\<gtr\> >
      gset term postscript enhanced eps color;
    </input>

    <\input|octave\<gtr\> >
      gset output "demo.eps"
    </input>

    <\input|octave\<gtr\> >
      plot(x,y,";Function y=x+sin(x);")
    </input>

    <\output>
      \;

      \;

      <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
      /tmp/tmplot.eps\n%%Creator: gnuplot 3.8h patchlevel 0\n%%CreationDate:
      Sun Mar 30 22:23:06 2003\n%%DocumentFonts: (atend)\n%%BoundingBox: 50
      50 230 176\n%%Orientation: Portrait\n%%EndComments\n/gnudict 256 dict
      def\ngnudict begin\n/Color true def\n/Solid false def\n/gnulinewidth
      5.000 def\n/userlinewidth gnulinewidth def\n/vshift -46 def\n/dl {10.0
      mul} def\n/hpt_ 31.5 def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt vpt_
      def\n/M {moveto} bind def\n/L {lineto} bind def\n/R {rmoveto} bind
      def\n/V {rlineto} bind def\n/N {newpath moveto} bind def\n/f {rlineto
      fill} bind def\n/vpt2 vpt 2 mul def\n/hpt2 hpt 2 mul def\n/Lshow {
      currentpoint stroke M\n \ 0 vshift R show } def\n/Rshow { currentpoint
      stroke M\n \ dup stringwidth pop neg vshift R show } def\n/Cshow {
      currentpoint stroke M\n \ dup stringwidth pop -2 div vshift R show }
      def\n/UP { dup vpt_ mul /vpt exch def hpt_ mul /hpt exch def\n \ /hpt2
      hpt 2 mul def /vpt2 vpt 2 mul def } def\n/DL { Color {setrgbcolor Solid
      {pop []} if 0 setdash }\n {pop pop pop Solid {pop []} if 0 setdash}
      ifelse } def\n/BL { stroke userlinewidth 2 mul setlinewidth } def\n/AL
      { stroke userlinewidth 2 div setlinewidth } def\n/UL { dup gnulinewidth
      mul /userlinewidth exch def\n \ \ \ \ \ dup 1 lt {pop 1} if 10 mul /udl
      exch def } def\n/PL { stroke userlinewidth setlinewidth } def\n/LTb {
      BL [] 0 0 0 DL } def\n/LTa { AL [1 udl mul 2 udl mul] 0 setdash 0 0 0
      setrgbcolor } def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 { PL [4 dl 2 dl] 0
      1 0 DL } def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL } def\n/LT3 { PL [1 dl 1.5
      dl] 1 0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl 2 dl] 0 1 1 DL }
      def\n/LT5 { PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL } def\n/LT6 { PL [2 dl 2
      dl 2 dl 4 dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      1 0.3 0 DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      0.5 0.5 0.5 DL } def\n/Pnt { stroke [] 0 setdash\n \ \ gsave 1
      setlinecap M 0 0 V stroke grestore } def\n/Dia { stroke [] 0 setdash 2
      copy vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt
      neg vpt V closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0 setdash
      vpt sub M 0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg R hpt2
      0 V stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt sub
      exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
      closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt sub
      exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2 neg 0
      R hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy vpt 1.12
      mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      1.62 mul V closepath stroke\n \ Pnt \ } def\n/Star { 2 copy Pls Crs }
      def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V \ closepath fill }
      def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt
      -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath fill
      } def\n/TriD { stroke [] 0 setdash 2 copy vpt 1.12 mul sub M\n \ hpt
      neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V
      closepath stroke\n \ Pnt \ } def\n/TriDF { stroke [] 0 setdash vpt 1.12
      mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      -1.62 mul V closepath fill} def\n/DiaF { stroke [] 0 setdash vpt add
      M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V
      closepath fill } def\n/Pent { stroke [] 0 setdash 2 copy gsave\n
      \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath stroke
      grestore Pnt } def\n/PentF { stroke [] 0 setdash gsave\n \ translate 0
      hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath fill grestore }
      def\n/Circle { stroke [] 0 setdash 2 copy\n \ hpt 0 360 arc stroke Pnt
      } def\n/CircleF { stroke [] 0 setdash hpt 0 360 arc fill } def\n/C0 {
      BL [] 0 setdash 2 copy moveto vpt 90 450 \ arc } bind def\n/C1 { BL []
      0 setdash 2 copy \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C2 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C3 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
      bind def\n/C4 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
      \ vpt 180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 270 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C6 { BL [] 0
      setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 90 270 arc closepath
      fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
      def\n/C7 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 0 270
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
      } bind def\n/C8 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
      copy \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
      moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13 {
      BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
      setdash 2 copy vpt 0 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
      \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
      \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
      bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
      def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
      bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
      def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
      Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch vpt2
      vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy exch vpt
      sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 { BL [] 0
      setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt sub exch
      vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0 setdash 2
      copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare } bind
      def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt vpt2
      Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub vpt Square fill Bsquare
      } bind def\n/S9 { BL [] 0 setdash 2 copy vpt sub vpt vpt2 Rec fill
      Bsquare } bind def\n/S10 { BL [] 0 setdash 2 copy vpt sub vpt Square
      fill 2 copy exch vpt sub exch vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S11 { BL [] 0 setdash 2 copy vpt sub vpt Square fill 2 copy
      exch vpt sub exch vpt2 vpt Rec fill\n \ \ \ \ \ \ Bsquare } bind
      def\n/S12 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt
      Rec fill Bsquare } bind def\n/S13 { BL [] 0 setdash 2 copy exch vpt sub
      exch vpt sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill
      Bsquare } bind def\n/S14 { BL [] 0 setdash 2 copy exch vpt sub exch vpt
      sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square
      fill Bsquare } bind def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill
      Bsquare } bind def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke
      grestore } bind def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke
      grestore } bind def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke
      grestore } bind def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke
      grestore } bind def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke
      grestore } bind def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke
      grestore } bind def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke
      grestore } bind def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke
      grestore } bind def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke
      grestore } bind def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke
      grestore } bind def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke
      grestore } bind def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke
      grestore } bind def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke
      grestore } bind def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke
      grestore } bind def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke
      grestore } bind def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke
      grestore } bind def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg
      vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke }
      def\n/BoxE { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE
      { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke }
      def\n/TriDE { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt
      1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath
      stroke } def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M
      4 {72 rotate 0 hpt L} repeat\n \ closepath stroke grestore }
      def\n/CircE { stroke [] 0 setdash \n \ hpt 0 360 arc stroke }
      def\n/Opaque { gsave closepath 1 setgray fill grestore 0 setgray
      closepath } def\n/DiaW { stroke [] 0 setdash vpt add M\n \ hpt neg vpt
      neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V Opaque stroke }
      def\n/BoxW { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW {
      stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW
      { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW
      { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
      repeat\n \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash
      \n \ hpt 0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray
      fill grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
      makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
      ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0 get
      findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ] exch
      dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch 4 get
      {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n \ \ \ \ {dup 3
      get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5\n
      \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop
      -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get\n
      \ \ \ \ show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop
      pop\n \ \ \ \ pop aload pop M} ifelse }ifelse }ifelse } forall} bind
      def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get findfont exch 1 get
      scalefont\n \ \ \ \ setfont 6 get stringwidth pop add} {pop} ifelse}
      forall} bind def\n/MLshow { currentpoint stroke M\n \ 0 exch R MFshow }
      bind def\n/MRshow { currentpoint stroke M\n \ exch dup MFwidth neg 3 -1
      roll R MFshow } def\n/MCshow { currentpoint stroke M\n \ exch dup
      MFwidth -2 div 3 -1 roll R MFshow } def\nend\n%%EndProlog\ngnudict
      begin\ngsave\n50 50 translate\n0.050 0.050 scale\n0
      setgray\nnewpath\n(Helvetica) findfont 140 scalefont setfont\n1.000
      UL\nLTb\n490 280 M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406 280 M\n[
      [(Helvetica) 140.0 0.0 true true 0 (-10)]\n] -46.7 MRshow\n490 487
      M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406 487 M\n[ [(Helvetica) 140.0
      0.0 true true 0 (-8)]\n] -46.7 MRshow\n490 694 M\n63 0 V\n2809 0 R\n-63
      0 V\n stroke\n406 694 M\n[ [(Helvetica) 140.0 0.0 true true 0 (-6)]\n]
      -46.7 MRshow\n490 902 M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406 902
      M\n[ [(Helvetica) 140.0 0.0 true true 0 (-4)]\n] -46.7 MRshow\n490 1109
      M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406 1109 M\n[ [(Helvetica) 140.0
      0.0 true true 0 (-2)]\n] -46.7 MRshow\n490 1316 M\n63 0 V\n2809 0
      R\n-63 0 V\n stroke\n406 1316 M\n[ [(Helvetica) 140.0 0.0 true true 0 (
      0)]\n] -46.7 MRshow\n490 1523 M\n63 0 V\n2809 0 R\n-63 0 V\n
      stroke\n406 1523 M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 2)]\n] -46.7
      MRshow\n490 1730 M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406 1730 M\n[
      [(Helvetica) 140.0 0.0 true true 0 ( 4)]\n] -46.7 MRshow\n490 1938
      M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406 1938 M\n[ [(Helvetica) 140.0
      0.0 true true 0 ( 6)]\n] -46.7 MRshow\n490 2145 M\n63 0 V\n2809 0
      R\n-63 0 V\n stroke\n406 2145 M\n[ [(Helvetica) 140.0 0.0 true true 0 (
      8)]\n] -46.7 MRshow\n490 2352 M\n63 0 V\n2809 0 R\n-63 0 V\n
      stroke\n406 2352 M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 10)]\n]
      -46.7 MRshow\n490 280 M\n0 63 V\n0 2009 R\n0 -63 V\n stroke\n490 140
      M\n[ [(Helvetica) 140.0 0.0 true true 0 (-10)]\n] -46.7 MCshow\n1208
      280 M\n0 63 V\n0 2009 R\n0 -63 V\n stroke\n1208 140 M\n[ [(Helvetica)
      140.0 0.0 true true 0 (-5)]\n] -46.7 MCshow\n1926 280 M\n0 63 V\n0 2009
      R\n0 -63 V\n stroke\n1926 140 M\n[ [(Helvetica) 140.0 0.0 true true 0 (
      0)]\n] -46.7 MCshow\n2644 280 M\n0 63 V\n0 2009 R\n0 -63 V\n
      stroke\n2644 140 M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 5)]\n] -46.7
      MCshow\n3362 280 M\n0 63 V\n0 2009 R\n0 -63 V\n stroke\n3362 140 M\n[
      [(Helvetica) 140.0 0.0 true true 0 ( 10)]\n] -46.7 MCshow\n1.000
      UL\nLTb\n490 280 M\n2872 0 V\n0 2072 V\n-2872 0 V\n490 280 L\n1.000
      UP\n1.000 UL\nLT0\n490 336 M\n3 1 V\n3 0 V\n3 0 V\n2 1 V\n3 0 V\n3 0
      V\n3 0 V\n3 0 V\n3 1 V\n3 0 V\n3 0 V\n2 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0
      V\n3 0 V\n3 0 V\n3 0 V\n2 1 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0
      V\n3 0 V\n2 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n2 0
      V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n2 0 V\n3 0 V\n3 0
      V\n3 0 V\n3 1 V\n3 0 V\n3 0 V\n3 0 V\n2 0 V\n3 1 V\n3 0 V\n3 0 V\n3 0
      V\n3 1 V\n3 0 V\n3 0 V\n2 1 V\n3 0 V\n3 1 V\n3 0 V\n3 1 V\n3 0 V\n3 1
      V\n3 0 V\n2 1 V\n3 0 V\n3 1 V\n3 1 V\n3 0 V\n3 1 V\n3 1 V\n3 1 V\n2 1
      V\n3 0 V\n3 1 V\n3 1 V\n3 1 V\n3 1 V\n3 1 V\n3 1 V\n2 2 V\n3 1 V\n3 1
      V\n3 1 V\n3 1 V\n3 2 V\n3 1 V\n3 2 V\n2 1 V\n3 1 V\n3 2 V\n3 2 V\n3 1
      V\n3 2 V\n3 1 V\n3 2 V\n2 2 V\n3 2 V\n3 2 V\n3 1 V\n3 2 V\n3 2 V\n3 2
      V\n3 2 V\n2 2 V\n3 3 V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n3 3 V\n3 2 V\n2 3
      V\n3 2 V\n3 3 V\n3 2 V\n3 3 V\n3 2 V\n3 3 V\n3 3 V\n2 2 V\n3 3 V\n3 3
      V\n3 3 V\n3 3 V\n3 3 V\n3 3 V\n3 3 V\n2 3 V\n3 3 V\n3 3 V\n3 3 V\n3 3
      V\n3 3 V\n3 4 V\n3 3 V\n2 3 V\n3 4 V\n3 3 V\n3 3 V\n3 4 V\n3 3 V\n3 4
      V\n3 3 V\n2 4 V\n3 4 V\n3 3 V\n3 4 V\n3 4 V\n3 3 V\n3 4 V\n3 4 V\n2 4
      V\n3 3 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n2 4 V\n3 4 V\n3 4
      V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n2 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4
      V\n3 4 V\n3 4 V\n3 4 V\n2 5 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4
      V\n3 5 V\n2 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 5 V\n3 4 V\n2 4
      V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n2 4 V\n3 4 V\n3 4
      V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n2 4 V\n3 4 V\n3 4 V\n3 3 V\n3 4
      V\n3 4 V\n3 4 V\n3 3 V\n2 4 V\n3 4 V\n3 3 V\n3 4 V\n3 4 V\n3 3 V\n3 4
      V\n3 3 V\n2 4 V\n3 3 V\n3 3 V\n3 4 V\n3 3 V\n3 3 V\n3 4 V\n3 3 V\n2 3
      V\n3 3 V\n3 3 V\n3 3 V\n3 4 V\n3 3 V\n3 3 V\n3 2 V\n2 3 V\n3 3 V\n3 3
      V\n3 3 V\n3 3 V\n3 2 V\n3 3 V\n3 3 V\n2 2 V\n3 3 V\n3 2 V\n3 3 V\n3 2
      V\n3 3 V\n3 2 V\n3 2 V\n2 3 V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n3 2
      V\n3 2 V\n2 2 V\n3 2 V\n3 2 V\n3 2 V\n3 1 V\n3 2 V\n3 2 V\n3 2 V\n2 1
      V\n3 2 V\n3 1 V\n3 2 V\n3 1 V\n3 2 V\n3 1 V\n3 1 V\n2 2 V\n3 1 V\n3 1
      V\n3 1 V\n3 1 V\n3 1 V\n3 1 V\n3 2 V\n2 1 V\n3 0 V\n3 1 V\n3 1 V\n3 1
      V\n3 1 V\n3 1 V\n3 0 V\n2 1 V\n3 1 V\n3 1 V\n3 0 V\n3 1 V\n3 0 V\n3 1
      V\n3 0 V\n2 1 V\n3 0 V\n3 1 V\n3 0 V\n3 1 V\n3 0 V\n3 0 V\n3 1 V\n2 0
      V\n3 0 V\n3 0 V\n3 1 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n2 1 V\n3 0 V\n3 0
      V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n2 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0
      V\n3 1 V\n3 0 V\n3 0 V\n2 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0
      V\n3 0 V\n2 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n2 0
      V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 1 V\n3 0 V\n2 0 V\n3 0 V\n3 0
      V\n3 1 V\n3 0 V\n3 0 V\n3 0 V\n3 1 V\n2 0 V\n3 0 V\n3 1 V\n3 0 V\n3 1
      V\n3 0 V\n3 1 V\n3 0 V\n2 1 V\n3 0 V\n3 1 V\n3 0 V\n3 1 V\n3 1 V\n3 0
      V\n3 1 V\n2 1 V\n3 1 V\n3 1 V\n3 1 V\n3 0 V\n3 1 V\n3 1 V\n3 1 V\n2 1
      V\n3 2 V\n3 1 V\n3 1 V\ncurrentpoint stroke M\n3 1 V\n3 1 V\n3 2 V\n3 1
      V\n2 1 V\n3 2 V\n3 1 V\n3 2 V\n3 1 V\n3 2 V\n3 1 V\n3 2 V\n2 2 V\n3 1
      V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n2 2 V\n3 2 V\n3 2 V\n3 2
      V\n3 2 V\n3 2 V\n3 2 V\n3 3 V\n2 2 V\n3 2 V\n3 3 V\n3 2 V\n3 3 V\n3 2
      V\n3 3 V\n3 3 V\n2 2 V\n3 3 V\n3 3 V\n3 3 V\n3 2 V\n3 3 V\n3 3 V\n3 3
      V\n2 3 V\n3 3 V\n3 3 V\n3 3 V\n3 3 V\n3 3 V\n3 4 V\n3 3 V\n2 3 V\n3 3
      V\n3 4 V\n3 3 V\n3 4 V\n3 3 V\n3 3 V\n3 4 V\n2 3 V\n3 4 V\n3 4 V\n3 3
      V\n3 4 V\n3 3 V\n3 4 V\n3 4 V\n2 4 V\n3 3 V\n3 4 V\n3 4 V\n3 4 V\n3 4
      V\n3 3 V\n3 4 V\n2 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4
      V\n2 4 V\n3 4 V\n3 4 V\n3 4 V\n3 5 V\n3 4 V\n3 4 V\n3 4 V\n2 4 V\n3 4
      V\n3 4 V\n3 4 V\n3 4 V\n3 5 V\n3 4 V\n3 4 V\n2 4 V\n3 4 V\n3 4 V\n3 5
      V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n2 4 V\n3 4 V\n3 4 V\n3 4 V\n3 5 V\n3 4
      V\n3 4 V\n3 4 V\n2 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4
      V\n2 4 V\n3 4 V\n3 3 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 3 V\n2 4 V\n3 4
      V\n3 4 V\n3 3 V\n3 4 V\n3 3 V\n3 4 V\n3 4 V\n2 3 V\n3 4 V\n3 3 V\n3 3
      V\n3 4 V\n3 3 V\n3 4 V\n3 3 V\n2 3 V\n3 3 V\n3 4 V\n3 3 V\n3 3 V\n3 3
      V\n3 3 V\n3 3 V\n2 3 V\n3 3 V\n3 3 V\n3 3 V\n3 2 V\n3 3 V\n3 3 V\n3 3
      V\n2 2 V\n3 3 V\n3 3 V\n3 2 V\n3 3 V\n3 2 V\n3 3 V\n3 2 V\n2 2 V\n3 3
      V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n2 2 V\n3 2 V\n3 2 V\n3 2
      V\n3 2 V\n3 2 V\n3 2 V\n3 1 V\n2 2 V\n3 2 V\n3 1 V\n3 2 V\n3 1 V\n3 2
      V\n3 1 V\n3 2 V\n2 1 V\n3 1 V\n3 2 V\n3 1 V\n3 1 V\n3 1 V\n3 1 V\n3 2
      V\n2 1 V\n3 1 V\n3 1 V\n3 1 V\n3 0 V\n3 1 V\n3 1 V\n3 1 V\n2 1 V\n3 1
      V\n3 0 V\n3 1 V\n3 1 V\n3 0 V\n3 1 V\n3 0 V\n2 1 V\n3 0 V\n3 1 V\n3 0
      V\n3 1 V\n3 0 V\n3 1 V\n3 0 V\n2 0 V\n3 1 V\n3 0 V\n3 0 V\n3 0 V\n3 1
      V\n3 0 V\n3 0 V\n2 0 V\n3 0 V\n3 1 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0
      V\n2 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n2 0 V\n3 0
      V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n2 0 V\n3 0 V\n3 0 V\n3 1
      V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n2 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0
      V\n3 0 V\n3 0 V\n2 1 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 1 V\n3 0 V\n3 0
      V\n2 0 V\n3 1 V\n3 0 V\n3 0 V\n3 1 V\n3 0 V\n3 1 V\n3 0 V\n2 1 V\n3 0
      V\n3 1 V\n3 0 V\n3 1 V\n3 0 V\n3 1 V\n3 1 V\n2 1 V\n3 0 V\n3 1 V\n3 1
      V\n3 1 V\n3 1 V\n3 1 V\n3 0 V\n2 1 V\n3 2 V\n3 1 V\n3 1 V\n3 1 V\n3 1
      V\n3 1 V\n3 1 V\n2 2 V\n3 1 V\n3 1 V\n3 2 V\n3 1 V\n3 2 V\n3 1 V\n3 2
      V\n2 1 V\n3 2 V\n3 2 V\n3 2 V\n3 1 V\n3 2 V\n3 2 V\n3 2 V\n2 2 V\n3 2
      V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n2 3 V\n3 2 V\n3 2 V\n3 3
      V\n3 2 V\n3 3 V\n3 2 V\n3 3 V\n2 2 V\n3 3 V\n3 3 V\n3 2 V\n3 3 V\n3 3
      V\n3 3 V\n3 3 V\n2 3 V\n3 2 V\n3 3 V\n3 3 V\n3 4 V\n3 3 V\n3 3 V\n3 3
      V\n2 3 V\n3 3 V\n3 4 V\n3 3 V\n3 3 V\n3 4 V\n3 3 V\n3 3 V\n2 4 V\n3 3
      V\n3 4 V\n3 3 V\n3 4 V\n3 4 V\n3 3 V\n3 4 V\n2 4 V\n3 3 V\n3 4 V\n3 4
      V\n3 4 V\n3 3 V\n3 4 V\n3 4 V\n2 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4
      V\n3 4 V\n3 4 V\n2 4 V\n3 4 V\n3 4 V\n3 4 V\ncurrentpoint stroke M\n3 4
      V\n3 4 V\n3 4 V\n3 4 V\n2 4 V\n3 4 V\n3 5 V\n3 4 V\n3 4 V\n3 4 V\n3 4
      V\n3 4 V\n2 4 V\n3 5 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n2 5
      V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n2 4 V\n3 4 V\n3 4
      V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4 V\n2 4 V\n3 4 V\n3 4 V\n3 4 V\n3 4
      V\n3 4 V\n3 4 V\n3 3 V\n2 4 V\n3 4 V\n3 4 V\n3 3 V\n3 4 V\n3 4 V\n3 3
      V\n3 4 V\n2 4 V\n3 3 V\n3 4 V\n3 3 V\n3 4 V\n3 3 V\n3 3 V\n3 4 V\n2 3
      V\n3 3 V\n3 4 V\n3 3 V\n3 3 V\n3 3 V\n3 3 V\n3 3 V\n2 3 V\n3 3 V\n3 3
      V\n3 3 V\n3 3 V\n3 3 V\n3 3 V\n3 3 V\n2 2 V\n3 3 V\n3 3 V\n3 2 V\n3 3
      V\n3 2 V\n3 3 V\n3 2 V\n2 3 V\n3 2 V\n3 3 V\n3 2 V\n3 2 V\n3 2 V\n3 2
      V\n3 3 V\n2 2 V\n3 2 V\n3 2 V\n3 2 V\n3 2 V\n3 1 V\n3 2 V\n3 2 V\n2 2
      V\n3 2 V\n3 1 V\n3 2 V\n3 1 V\n3 2 V\n3 2 V\n3 1 V\n2 1 V\n3 2 V\n3 1
      V\n3 2 V\n3 1 V\n3 1 V\n3 1 V\n3 1 V\n2 2 V\n3 1 V\n3 1 V\n3 1 V\n3 1
      V\n3 1 V\n3 1 V\n3 0 V\n2 1 V\n3 1 V\n3 1 V\n3 1 V\n3 0 V\n3 1 V\n3 1
      V\n3 0 V\n2 1 V\n3 0 V\n3 1 V\n3 0 V\n3 1 V\n3 0 V\n3 1 V\n3 0 V\n2 1
      V\n3 0 V\n3 0 V\n3 1 V\n3 0 V\n3 0 V\n3 0 V\n3 1 V\n2 0 V\n3 0 V\n3 0
      V\n3 0 V\n3 1 V\n3 0 V\n3 0 V\n3 0 V\n2 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0
      V\n3 0 V\n3 0 V\n3 0 V\n2 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0
      V\n3 0 V\n2 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n2 1
      V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n2 0 V\n3 0 V\n3 0
      V\n3 1 V\n3 0 V\n3 0 V\n3 0 V\n3 0 V\n2 1 V\n3 0 V\n3 0 V\n3 1 V\n1.000
      UP\nstroke\ngrestore\nend\nshowpage\n>|ps>||||||>

      \;
    </output>

    \;

    <\input|octave\<gtr\> >
      \;
    </input>
  </session>

  In the octave generic terminal, the graph will not appear instead of
  demo.eps being created. By the way, note that its syntax is similar to
  Matlab but not similar to Maple.\ 

  \;

  Maxima applies many functions for mathematical calculation, for example, it
  can be also used to solve the algebra equations:

  <\session|maxima|default>
    <\output>
      GCL (GNU Common Lisp) \ Version(2.5.0) g \ 2 \ 7 19:50:19 CST 2003

      Licensed under GNU Library General Public License

      Contains Enhancements by W. Schelter

      Maxima 5.9.0rc3 http://maxima.sourceforge.net

      Distributed under the GNU Public License. See the file COPYING.

      Dedicated to the memory of William Schelter.

      This is a development version of Maxima. The function bug_report()

      provides bug reporting information.

      \;
    </output>

    <\input|<\with|color|red>
      (C1) <with|color|black|>
    </with>>
      linsolve([a*x+b*y=m,c*x+d*y=n],[x,y]);
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D7) <with|color|black|>><left|[>x=-<frac|d*m-b*n|b*C-a*d>,y=<frac|C*m-a*n|b*C-a*d><right|]>>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C8) <with|color|black|>
    </with>>
      solve(x^3-x=0,x);
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D8) <with|color|black|>><left|[>x=-1,x=1,x=0<right|]>>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C9) <with|color|black|>
    </with>>
      diff((x^2+a)^(1/2),x);
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D9) <with|color|black|>><frac|x|<sqrt|x<rsup|2>+a>>>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C10) <with|color|black|>
    </with>>
      integrate((x^2+a)^(1/2),x);
    </input>

    <\input|<\with|color|red>
      <with|mode|math|formula style|true|<with|mode|text|Is
      >a<with|mode|text| positive or negative?>> <with|color|black|>
    </with>>
      positive
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D10) <with|color|black|>><frac|a*<with|math font
        family|rm|ASINH><left|(><frac|x|<sqrt|a>><right|)>|2>+<frac|x*<sqrt|x<rsup|2>+a>|2>>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C11) <with|color|black|>
    </with>>
      integrate((x^2+a)^(1/2),x,0,1);
    </input>

    <\input|<\with|color|red>
      <with|mode|math|formula style|true|<with|mode|text|Is
      >a<with|mode|text| positive or negative?>> <with|color|black|>
    </with>>
      negative
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D11) <with|color|black|>><frac|a*log
        <left|(>2*<sqrt|a+1>+2<right|)>+<sqrt|a+1>|2>-<frac|log
        <left|(>2*<sqrt|a><right|)>*a|2>>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C12) <with|color|black|>
    </with>>
      limit((x^2+a)^(1/2),x,0);
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D12) <with|color|black|>><sqrt|a>>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C13) <with|color|black|>
    </with>>
      \;
    </input>
  </session>

  The symbolic calculation of Maxima has shown above, including solving
  equations, evaluating limit, differentiation and integration. In the
  examples of integration, maxima will ask the user more conditions if
  necessarily.

  Now let us introduce Yacas (yes, another CAS). The following is mini demo:

  <\session|yacas|default>
    <\input|yacas] >
      Solve(x^3+b+1==0,x);
    </input>

    <\output>
      <\with|mode|math>
        <sqrt|b+1|3>
      </with>
    </output>

    <\input|yacas] >
      D(x) (x^2+a)^(1/2);
    </input>

    <\output>
      <\with|mode|math>
        <frac|<left|(>x<rsup|2>+a<right|)><rsup|<frac|-1|2>>2x|2>
      </with>
    </output>

    <\input|yacas] >
      Limit(x,0) (1-Cos(x))/x^2;
    </input>

    <\output>
      <\with|mode|math>
        <frac|1|2>
      </with>
    </output>

    <\input|yacas] >
      Integrate(x,0,pi) x+Sin(x);
    </input>

    <\output>
      <\with|mode|math>
        <frac|\<pi\><rsup|2>|2>-<left|(>cos \<pi\><right|)>+1
      </with>
    </output>

    <\input|yacas] >
      f(x):= x+sin(x);
    </input>

    <\output>
      <\with|mode|math>
        <with|math font family|rm|True>
      </with>
    </output>

    <\input|yacas] >
      GnuPlot(-Pi/2,Pi/2,80,f(x));
    </input>

    <\output>
      <\with|mode|math>
        <with|math font family|rm|GnuPlot><left|(>-<frac|\<pi\>|2>,<frac|\<pi\>|2>,80,f<left|(>x<right|)><right|)>
      </with>
    </output>

    <\input|yacas] >
      \;
    </input>
  </session>

  The last command of plotting will not have any correspondence here.

  <\exercise>
    Plot the graphs of the following functions: a)
    <with|mode|math|x<rsup|2>+3x-2> \ \ b)
    <with|mode|math|<frac|x<rsup|2>+1|x<rsup|4>+x+1>> \ c)
    <with|mode|math|<sqrt|s<rsup|2>+1>>

    \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ d)
    <with|mode|math|<frac|sin(\<pi\>x/2)-1|1-x<rsup|2>>> \ e)
    <with|mode|math|x<rsup|3>+<frac|3|x<rsup|2>>> \ \ f)
    <with|mode|math|(x+1)<rsup|1/3>>
  </exercise>

  <\exercise>
    Plot the graph of the function:

    <\expand|equation*>
      f(x)= <choice|<tformat|<table|<row|<cell|(x+1)<rsup|2> \ \ if
      x\<gtr\>-1, >>|<row|<cell| x \ +1 \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ otherwise
      \ \ \ \ \ \ \ \ >>>>>
    </expand>
  </exercise>

  <\exercise>
    Solve <with|mode|math|><with|mode|math|3x+4y=5, 9x+10y=11> for
    <with|mode|math|x,y>.
  </exercise>

  <\exercise>
    Differentiate the functions in <strong|Exercise 1<strong|>>.
  </exercise>

  Which application with plotting ability is excellent? This answer will be
  different for different persons. From my view, Maxima or Gnuplot is better
  one if the solutions of functions are in explicit form. But if the solution
  are in implicit form, consider the tools with numerical utility, for
  example Octave.\ 

  <\example>
    (Butterfly Effect) Remember what the crazy physician said about this in
    movie "Jurassic Park". This is one phenomenon about atmosphere and named
    by its solution curve. This effect depends on the differential equations:

    <\expand|eqnarray*>
      <tformat|<table|<row|<cell|<frac|d x<rsub|1>(t)|d
      t>>|<cell|=>|<cell|-10(x<rsub|1>(t)-x<rsub|2>(t))>>|<row|<cell|<frac|d
      x<rsub|2>(t)|d t>>|<cell|=>|<cell|28x<rsub|1>(t)-x<rsub|2>(t)-x<rsub|1>(t)x<rsub|3>(t)>>|<row|<cell|<frac|d
      x<rsub|3>(t)|d t>>|<cell|=>|<cell|<frac|8|3> \ <left|(>
      x<rsub|1>(t)x<rsub|2>(t)-x<rsub|3>(t) <right|)>>>|<row|<cell|Initial
      condition:>|<cell|>|<cell|x<rsub|1>(0)=2, x<rsub|2>(0)=5,
      x<rsub|3>(0)=10>>>>
    </expand>

    Solve this initial value problem by Octave:

    <\session|octave|default>
      <\output>
        GNU Octave, version 2.1.45 (i686-pc-linux-gnu).

        Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003 John W.
        Eaton.

        This is free software; see the source code for copying conditions.

        There is ABSOLUTELY NO WARRANTY; not even for MERCHANTIBILITY or

        FITNESS FOR A PARTICULAR PURPOSE.

        \;

        Report bugs to \<less\>bug-octave@bevo.che.wisc.edu\<gtr\>.

        \;
      </output>

      <\input|octave\<gtr\> >
        x0=[2;5;10];
      </input>

      <\input|octave\<gtr\> >
        t = linspace (0,10,800);
      </input>

      <\input|octave\<gtr\> >
        function dx = butter (x ,t) \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ dx(1)
        = -10.0*(x(1)-x(2)); \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ dx(2)
        = 28.0*x(1)-x(2)-x(1)*x(3); \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ dx(3)
        = 8.0/3.0*( x(1)*x(2) -x(3) ); \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ end;
      </input>

      <\input|octave\<gtr\> >
        y=lsode("butter",x0,t);
      </input>

      <\input|octave\<gtr\> >
        gset parametric;
      </input>

      <\input|octave\<gtr\> >
        plot(y(:,1),y(:,3))
      </input>

      <\output>
        \;

        \;

        <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
        /tmp/tmplot.eps\n%%Creator: gnuplot 3.8h patchlevel
        0\n%%CreationDate: Sun Apr \ 6 18:03:11 2003\n%%DocumentFonts:
        (atend)\n%%BoundingBox: 50 50 230 176\n%%Orientation:
        Portrait\n%%EndComments\n/gnudict 256 dict def\ngnudict begin\n/Color
        true def\n/Solid false def\n/gnulinewidth 5.000 def\n/userlinewidth
        gnulinewidth def\n/vshift -46 def\n/dl {10.0 mul} def\n/hpt_ 31.5
        def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt vpt_ def\n/M {moveto} bind
        def\n/L {lineto} bind def\n/R {rmoveto} bind def\n/V {rlineto} bind
        def\n/N {newpath moveto} bind def\n/f {rlineto fill} bind def\n/vpt2
        vpt 2 mul def\n/hpt2 hpt 2 mul def\n/Lshow { currentpoint stroke M\n
        \ 0 vshift R show } def\n/Rshow { currentpoint stroke M\n \ dup
        stringwidth pop neg vshift R show } def\n/Cshow { currentpoint stroke
        M\n \ dup stringwidth pop -2 div vshift R show } def\n/UP { dup vpt_
        mul /vpt exch def hpt_ mul /hpt exch def\n \ /hpt2 hpt 2 mul def
        /vpt2 vpt 2 mul def } def\n/DL { Color {setrgbcolor Solid {pop []} if
        0 setdash }\n {pop pop pop Solid {pop []} if 0 setdash} ifelse }
        def\n/BL { stroke userlinewidth 2 mul setlinewidth } def\n/AL {
        stroke userlinewidth 2 div setlinewidth } def\n/UL { dup gnulinewidth
        mul /userlinewidth exch def\n \ \ \ \ \ dup 1 lt {pop 1} if 10 mul
        /udl exch def } def\n/PL { stroke userlinewidth setlinewidth }
        def\n/LTb { BL [] 0 0 0 DL } def\n/LTa { AL [1 udl mul 2 udl mul] 0
        setdash 0 0 0 setrgbcolor } def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 {
        PL [4 dl 2 dl] 0 1 0 DL } def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL }
        def\n/LT3 { PL [1 dl 1.5 dl] 1 0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1
        dl 2 dl] 0 1 1 DL } def\n/LT5 { PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL }
        def\n/LT6 { PL [2 dl 2 dl 2 dl 4 dl] 0 0 0 DL } def\n/LT7 { PL [2 dl
        2 dl 2 dl 2 dl 2 dl 4 dl] 1 0.3 0 DL } def\n/LT8 { PL [2 dl 2 dl 2 dl
        2 dl 2 dl 2 dl 2 dl 4 dl] 0.5 0.5 0.5 DL } def\n/Pnt { stroke [] 0
        setdash\n \ \ gsave 1 setlinecap M 0 0 V stroke grestore } def\n/Dia
        { stroke [] 0 setdash 2 copy vpt add M\n \ hpt neg vpt neg V hpt vpt
        neg V\n \ hpt vpt V hpt neg vpt V closepath stroke\n \ Pnt }
        def\n/Pls { stroke [] 0 setdash vpt sub M 0 vpt2 V\n \ currentpoint
        stroke M\n \ hpt neg vpt neg R hpt2 0 V stroke\n \ } def\n/Box {
        stroke [] 0 setdash 2 copy exch hpt sub exch vpt add M\n \ 0 vpt2 neg
        V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke\n \ Pnt }
        def\n/Crs { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ hpt2
        vpt2 neg V currentpoint stroke M\n \ hpt2 neg 0 R hpt2 vpt2 V stroke
        } def\n/TriU { stroke [] 0 setdash 2 copy vpt 1.12 mul add M\n \ hpt
        neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V
        closepath stroke\n \ Pnt \ } def\n/Star { 2 copy Pls Crs } def\n/BoxF
        { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V
        \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V \ closepath fill } def\n/TriUF
        { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul
        V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath fill }
        def\n/TriD { stroke [] 0 setdash 2 copy vpt 1.12 mul sub M\n \ hpt
        neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V
        closepath stroke\n \ Pnt \ } def\n/TriDF { stroke [] 0 setdash vpt
        1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt
        neg vpt -1.62 mul V closepath fill} def\n/DiaF { stroke [] 0 setdash
        vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg
        vpt V closepath fill } def\n/Pent { stroke [] 0 setdash 2 copy
        gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ closepath stroke grestore Pnt } def\n/PentF { stroke [] 0 setdash
        gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ closepath fill grestore } def\n/Circle { stroke [] 0 setdash 2
        copy\n \ hpt 0 360 arc stroke Pnt } def\n/CircleF { stroke [] 0
        setdash hpt 0 360 arc fill } def\n/C0 { BL [] 0 setdash 2 copy moveto
        vpt 90 450 \ arc } bind def\n/C1 { BL [] 0 setdash 2 copy
        \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc closepath
        fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
        def\n/C2 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        90 180 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
        closepath } bind def\n/C3 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 0 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C4 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 180 270 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
        } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
        \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc } bind def\n/C6 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
        copy \ vpt 90 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt
        0 360 arc closepath } bind def\n/C7 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ 2 copy \ vpt 0 270 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C8 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt 270 360 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
        bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy
        \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
        360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
        moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
        \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11
        { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13
        { BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
        setdash 2 copy vpt 0 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
        \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
        \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
        bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
        def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
        bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
        def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
        Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch
        vpt2 vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy
        exch vpt sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 {
        BL [] 0 setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt
        sub exch vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare }
        bind def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt
        vpt2 Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub
        vpt Square fill Bsquare } bind def\n/S9 { BL [] 0 setdash 2 copy vpt
        sub vpt vpt2 Rec fill Bsquare } bind def\n/S10 { BL [] 0 setdash 2
        copy vpt sub vpt Square fill 2 copy exch vpt sub exch vpt Square
        fill\n \ \ \ \ \ \ Bsquare } bind def\n/S11 { BL [] 0 setdash 2 copy
        vpt sub vpt Square fill 2 copy exch vpt sub exch vpt2 vpt Rec fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S12 { BL [] 0 setdash 2 copy exch
        vpt sub exch vpt sub vpt2 vpt Rec fill Bsquare } bind def\n/S13 { BL
        [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy vpt Square fill Bsquare } bind def\n/S14 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square fill Bsquare } bind
        def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill Bsquare } bind
        def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke grestore } bind
        def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke grestore } bind
        def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke grestore } bind
        def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke grestore } bind
        def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke grestore } bind
        def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke grestore } bind
        def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke grestore } bind
        def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke grestore } bind
        def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke grestore } bind
        def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke grestore } bind
        def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke grestore } bind
        def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke grestore } bind
        def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke grestore } bind
        def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke grestore } bind
        def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke grestore } bind
        def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke grestore } bind
        def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt
        vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke } def\n/BoxE {
        stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2
        0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE { stroke
        [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2
        mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke } def\n/TriDE {
        stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
        \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath stroke }
        def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72
        rotate 0 hpt L} repeat\n \ closepath stroke grestore } def\n/CircE {
        stroke [] 0 setdash \n \ hpt 0 360 arc stroke } def\n/Opaque { gsave
        closepath 1 setgray fill grestore 0 setgray closepath } def\n/DiaW {
        stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n
        \ hpt vpt V hpt neg vpt V Opaque stroke } def\n/BoxW { stroke [] 0
        setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2
        V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW { stroke [] 0 setdash
        vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n
        \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW { stroke [] 0
        setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0
        V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW { stroke []
        0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash \n \ hpt
        0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray fill
        grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
        makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
        ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0
        get findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ]
        exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch
        4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n
        \ \ \ \ {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse}
        {dup 5\n \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get
        stringwidth pop -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop
        -2 div 0 R 6 get\n \ \ \ \ show 2 index {aload pop M neg 3 -1 roll
        neg R pop pop} {pop pop pop\n \ \ \ \ pop aload pop M} ifelse }ifelse
        }ifelse } forall} bind def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get
        findfont exch 1 get scalefont\n \ \ \ \ setfont 6 get stringwidth pop
        add} {pop} ifelse} forall} bind def\n/MLshow { currentpoint stroke
        M\n \ 0 exch R MFshow } bind def\n/MRshow { currentpoint stroke M\n
        \ exch dup MFwidth neg 3 -1 roll R MFshow } def\n/MCshow {
        currentpoint stroke M\n \ exch dup MFwidth -2 div 3 -1 roll R MFshow
        } def\nend\n%%EndProlog\ngnudict begin\ngsave\n50 50 translate\n0.050
        0.050 scale\n0 setgray\nnewpath\n(Helvetica) findfont 140 scalefont
        setfont\n1.000 UL\nLTb\n490 280 M\n63 0 V\n2809 0 R\n-63 0 V\n
        stroke\n406 280 M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 5)]\n]
        -46.7 MRshow\n490 539 M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406 539
        M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 10)]\n] -46.7 MRshow\n490
        798 M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406 798 M\n[ [(Helvetica)
        140.0 0.0 true true 0 ( 15)]\n] -46.7 MRshow\n490 1057 M\n63 0
        V\n2809 0 R\n-63 0 V\n stroke\n406 1057 M\n[ [(Helvetica) 140.0 0.0
        true true 0 ( 20)]\n] -46.7 MRshow\n490 1316 M\n63 0 V\n2809 0 R\n-63
        0 V\n stroke\n406 1316 M\n[ [(Helvetica) 140.0 0.0 true true 0 (
        25)]\n] -46.7 MRshow\n490 1575 M\n63 0 V\n2809 0 R\n-63 0 V\n
        stroke\n406 1575 M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 30)]\n]
        -46.7 MRshow\n490 1834 M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406
        1834 M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 35)]\n] -46.7
        MRshow\n490 2093 M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406 2093 M\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 40)]\n] -46.7 MRshow\n490 2352
        M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406 2352 M\n[ [(Helvetica)
        140.0 0.0 true true 0 ( 45)]\n] -46.7 MRshow\n490 280 M\n0 63 V\n0
        2009 R\n0 -63 V\n stroke\n490 140 M\n[ [(Helvetica) 140.0 0.0 true
        true 0 (-15)]\n] -46.7 MCshow\n969 280 M\n0 63 V\n0 2009 R\n0 -63 V\n
        stroke\n969 140 M\n[ [(Helvetica) 140.0 0.0 true true 0 (-10)]\n]
        -46.7 MCshow\n1447 280 M\n0 63 V\n0 2009 R\n0 -63 V\n stroke\n1447
        140 M\n[ [(Helvetica) 140.0 0.0 true true 0 (-5)]\n] -46.7
        MCshow\n1926 280 M\n0 63 V\n0 2009 R\n0 -63 V\n stroke\n1926 140 M\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 0)]\n] -46.7 MCshow\n2405 280
        M\n0 63 V\n0 2009 R\n0 -63 V\n stroke\n2405 140 M\n[ [(Helvetica)
        140.0 0.0 true true 0 ( 5)]\n] -46.7 MCshow\n2883 280 M\n0 63 V\n0
        2009 R\n0 -63 V\n stroke\n2883 140 M\n[ [(Helvetica) 140.0 0.0 true
        true 0 ( 10)]\n] -46.7 MCshow\n3362 280 M\n0 63 V\n0 2009 R\n0 -63
        V\n stroke\n3362 140 M\n[ [(Helvetica) 140.0 0.0 true true 0 (
        15)]\n] -46.7 MCshow\n1.000 UL\nLTb\n490 280 M\n2872 0 V\n0 2072
        V\n-2872 0 V\n490 280 L\n1.000 UP\n1.000 UL\nLT0\n2711 2219 M\n[
        [(Helvetica) 140.0 0.0 true true 0 (line 1)]\n] -46.7 MRshow\n2795
        2219 M\n399 0 V\n2117 539 M\n37 2 V\n37 8 V\n39 14 V\n41 22 V\n44 30
        V\n47 41 V\n51 54 V\n54 67 V\n56 83 V\n59 100 V\n60 117 V\n59 134
        V\n55 147 V\n50 155 V\n41 157 V\n30 149 V\n14 133 V\n-1 107 V\n-19 76
        V\n-35 42 V\n-51 9 V\n-62 -20 V\n-71 -43 V\n-76 -59 V\n-78 -68 V\n-78
        -73 V\n-74 -75 V\n-70 -72 V\n-65 -69 V\n-58 -66 V\n-53 -61 V\n-46 -57
        V\n-41 -54 V\n-36 -50 V\n-31 -48 V\n-28 -44 V\n-23 -42 V\n-21 -40
        V\n-18 -38 V\n-17 -36 V\n-15 -34 V\n-14 -32 V\n-13 -30 V\n-12 -29
        V\n-13 -27 V\n-12 -25 V\n-14 -23 V\n-13 -21 V\n-15 -19 V\n-15 -16
        V\n-17 -14 V\n-18 -10 V\n-19 -8 V\n-22 -4 V\n-23 0 V\n-25 5 V\n-27 11
        V\n-29 16 V\n-31 22 V\n-33 30 V\n-35 38 V\n-36 46 V\n-38 54 V\n-37 64
        V\n-37 71 V\n-36 79 V\n-33 83 V\n-29 87 V\n-24 86 V\n-18 83 V\n-10 76
        V\n-2 66 V\n7 52 V\n15 37 V\n24 21 V\n31 6 V\n37 -9 V\n42 -20 V\n45
        -31 V\n46 -37 V\n47 -44 V\n46 -46 V\n43 -49 V\n41 -49 V\n38 -49 V\n35
        -48 V\n31 -48 V\n28 -46 V\n24 -45 V\n21 -43 V\n18 -42 V\n15 -40 V\n12
        -39 V\n10 -38 V\n8 -36 V\n5 -35 V\n4 -33 V\n2 -33 V\n1 -31 V\n-1 -29
        V\n-3 -29 V\n-3 -27 V\n-5 -25 V\n-7 -24 V\n-8 -23 V\n-9 -21 V\n-11
        -19 V\n-12 -17 V\n-14 -15 V\n-15 -13 V\n-18 -10 V\n-19 -7 V\n-22 -3
        V\n-24 1 V\n-26 6 V\n-29 11 V\n-32 18 V\n-34 25 V\n-37 33 V\n-40 42
        V\n-42 53 V\n-43 63 V\n-45 75 V\n-44 85 V\n-44 96 V\n-41 104 V\n-37
        108 V\n-30 110 V\n-23 105 V\n-13 96 V\n-3 82 V\n9 65 V\n20 43 V\n30
        23 V\n40 2 V\n47 -16 V\n53 -30 V\n56 -42 V\n57 -49 V\n57 -54 V\n54
        -57 V\n52 -57 V\n49 -57 V\n44 -56 V\n40 -53 V\n36 -52 V\n31 -50 V\n28
        -48 V\n23 -46 V\n21 -44 V\n17 -43 V\n15 -40 V\n12 -40 V\n10 -38 V\n9
        -36 V\n7 -36 V\n5 -34 V\n5 -33 V\n3 -32 V\n3 -31 V\n2 -30 V\n1 -28
        V\n1 -28 V\n0 -27 V\n0 -26 V\n0 -25 V\n-1 -25 V\n-1 -23 V\n-2 -23
        V\n-2 -22 V\n-2 -21 V\n-3 -21 V\n-3 -19 V\n-3 -19 V\n-4 -18 V\n-5 -18
        V\n-5 -17 V\n-6 -16 V\n-6 -15 V\n-8 -14 V\n-8 -14 V\n-10 -12 V\n-11
        -12 V\n-12 -10 V\n-14 -9 V\n-15 -7 V\n-18 -5 V\n-20 -3 V\n-22 0
        V\n-25 4 V\n-29 8 V\n-32 13 V\n-36 20 V\n-40 28 V\n-44 38 V\n-49 49
        V\n-53 64 V\n-58 80 V\n-61 99 V\n-64 118 V\n-65 138 V\n-64 157 V\n-60
        171 V\n-52 178 V\n-41 176 V\n-26 163 V\n-8 139 V\n11 104 V\n31 64
        V\n49 25 V\n65 -12 V\n76 -41 V\n84 -62 V\n87 -75 V\n87 -81 V\n84 -82
        V\n79 -79 V\n74 -75 V\n66 -70 V\n60 -65 V\n53 -59 V\n46 -55 V\n41 -51
        V\n35 -47 V\n31 -44 V\n27 -40 V\n24 -39 V\n21 -35 V\n19 -34 V\n18 -31
        V\n16 -29 V\n15 -27 V\n15 -25 V\n15 -23 V\n15 -20 V\n16 -18 V\n16 -15
        V\n17 -12 V\n18 -9 V\n19 -6 V\n21 -2 V\n22 2 V\n23 7 V\n25 12 V\n26
        17 V\n28 23 V\n29 29 V\n30 35 V\n30 42 V\n31 48 V\n29 54 V\n29 59
        V\n27 63 V\n24 65 V\n20 66 V\n15 64 V\n10 59 V\n5 54 V\n-2 44 V\n-9
        35 V\n-15 24 V\n-20 13 V\n-26 2 V\n-30 -8 V\n-33 -16 V\n-35 -24
        V\n-36 -30 V\n-36 -34 V\n-36 -38 V\n-34 -39 V\n-32 -41 V\n-30 -41
        V\n-28 -41 V\n-24 -40 V\n-22 -40 V\n-20 -39 V\n-16 -38 V\n-14 -37
        V\n-11 -36 V\n-9 -34 V\n-6 -33 V\n-4 -31 V\n-3 -30 V\n0 -29 V\n2 -27
        V\n3 -25 V\n5 -24 V\n7 -22 V\n9 -19 V\n10 -18 V\n12 -15 V\n14 -12
        V\n15 -9 V\n18 -6 V\n20 -3 V\n21 2 V\n23 6 V\n26 12 V\n27 17 V\n29 24
        V\n31 30 V\n33 37 V\n33 45 V\n34 53 V\n33 59 V\n33 66 V\n31 72 V\n28
        75 V\n25 76 V\n19 75 V\n13 71 V\n7 64 V\n-1 54 V\n-9 42 V\n-15 29
        V\n-23 16 V\n-29 3 V\n-34 -9 V\n-37 -19 V\n-40 -27 V\n-42 -34 V\n-41
        -39 V\n-41 -43 V\n-39 -44 V\n-36 -45 V\n-34 -45 V\n-31 -45 V\n-28 -44
        V\n-24 -43 V\n-22 -42 V\n-18 -41 V\n-16 -39 V\n-13 -39 V\n-10 -36
        V\n-8 -36 V\n-6 -34 V\n-4 -33 V\n-2 -31 V\n0 -30 V\n2 -28 V\n3 -27
        V\n5 -26 V\n6 -23 V\n8 -22 V\n10 -20 V\n11 -18 V\n14 -15 V\n14 -13
        V\n17 -10 V\n19 -7 V\n20 -3 V\n23 1 V\n25 6 V\n27 11 V\n30 17 V\n32
        24 V\n34 32 V\n36 40 V\n37 48 V\n39 58 V\n39 67 V\n38 75 V\n37 83
        V\n35 88 V\n30 92 V\n24 91 V\n18 86 V\n10 79 V\n1 68 V\n-9 52 V\n-17
        37 V\n-26 19 V\n-34 4 V\n-40 -12 V\n-44 -23 V\n-47 -34 V\n-49 -41
        V\n-49 -46 V\n-47 -49 V\n-45 -50 V\n-42 -51 V\n-39 -51 V\n-36 -49
        V\n-32 -49 V\n-28 -46 V\n-24 -46 V\n-21 -44 V\n-18 -42 V\n-15 -41
        V\n-13 -39 V\n-10 -38 V\n-8 -37 V\n-6 -35 V\n-4 -34 V\n-3 -33 V\n-1
        -31 V\n1 -31 V\ncurrentpoint stroke M\n1 -29 V\n3 -27 V\n4 -27 V\n5
        -25 V\n7 -24 V\n7 -22 V\n9 -21 V\n11 -19 V\n12 -18 V\n13 -15 V\n15
        -14 V\n17 -10 V\n19 -8 V\n21 -5 V\n23 -1 V\n26 4 V\n28 9 V\n32 15
        V\n34 22 V\n37 30 V\n40 39 V\n42 49 V\n45 61 V\n47 73 V\n47 85 V\n47
        97 V\n46 108 V\n42 114 V\n36 119 V\n29 117 V\n20 109 V\n8 97 V\n-3 79
        V\n-16 57 V\n-28 33 V\n-39 11 V\n-48 -11 V\n-54 -27 V\n-59 -41 V\n-61
        -51 V\n-61 -57 V\n-59 -59 V\n-57 -61 V\n-53 -60 V\n-48 -58 V\n-44 -56
        V\n-40 -54 V\n-35 -52 V\n-30 -50 V\n-27 -47 V\n-23 -46 V\n-19 -43
        V\n-17 -42 V\n-14 -40 V\n-13 -39 V\n-10 -37 V\n-9 -36 V\n-7 -35 V\n-7
        -33 V\n-6 -33 V\n-5 -31 V\n-4 -30 V\n-4 -29 V\n-4 -28 V\n-4 -27 V\n-4
        -27 V\n-3 -25 V\n-4 -24 V\n-5 -24 V\n-4 -22 V\n-5 -22 V\n-5 -21 V\n-6
        -20 V\n-6 -19 V\n-8 -18 V\n-8 -17 V\n-9 -16 V\n-10 -15 V\n-11 -13
        V\n-13 -13 V\n-14 -10 V\n-16 -9 V\n-18 -6 V\n-20 -4 V\n-23 -1 V\n-26
        3 V\n-28 7 V\n-32 13 V\n-36 20 V\n-39 28 V\n-43 37 V\n-48 49 V\n-51
        63 V\n-55 78 V\n-58 95 V\n-60 112 V\n-60 130 V\n-58 145 V\n-54 157
        V\n-47 162 V\n-35 159 V\n-22 145 V\n-6 123 V\n12 92 V\n29 58 V\n46 23
        V\n59 -10 V\n70 -35 V\n76 -55 V\n80 -68 V\n80 -73 V\n78 -76 V\n74 -75
        V\n68 -72 V\n62 -67 V\n56 -64 V\n50 -59 V\n44 -55 V\n38 -52 V\n34 -48
        V\n29 -45 V\n26 -43 V\n22 -40 V\n20 -38 V\n17 -36 V\n16 -34 V\n15 -33
        V\n14 -30 V\n13 -28 V\n13 -27 V\n13 -25 V\n14 -22 V\n14 -21 V\n15 -18
        V\n16 -15 V\n17 -13 V\n18 -10 V\n20 -6 V\n22 -3 V\n23 2 V\n25 6 V\n27
        12 V\n30 18 V\n30 24 V\n33 32 V\n34 39 V\n35 47 V\n36 55 V\n36 63
        V\n35 71 V\n33 76 V\n31 80 V\n26 82 V\n20 81 V\n14 76 V\n7 68 V\n-1
        58 V\n-9 45 V\n-17 30 V\n-25 16 V\n-32 2 V\n-36 -11 V\n-41 -22 V\n-43
        -31 V\n-44 -37 V\n-44 -42 V\n-43 -45 V\n-41 -47 V\n-38 -47 V\n-36 -48
        V\n-32 -46 V\n-29 -46 V\n-26 -45 V\n-22 -43 V\n-19 -42 V\n-16 -40
        V\n-14 -39 V\n-11 -38 V\n-8 -37 V\n-7 -35 V\n-4 -33 V\n-2 -33 V\n-1
        -31 V\n1 -29 V\n2 -29 V\n4 -26 V\n5 -26 V\n7 -23 V\n8 -22 V\n10 -20
        V\n12 -18 V\n13 -16 V\n14 -14 V\n17 -11 V\n19 -8 V\n20 -4 V\n23 0
        V\n25 4 V\n28 10 V\n30 16 V\n32 22 V\n35 30 V\n38 39 V\n39 48 V\n41
        58 V\n42 69 V\n42 78 V\n40 87 V\n39 95 V\n35 99 V\n29 101 V\n23 98
        V\n14 90 V\n4 79 V\n-6 63 V\n-16 45 V\n-26 26 V\n-34 8 V\n-42 -9
        V\n-47 -24 V\n-51 -35 V\n-53 -43 V\n-53 -49 V\n-52 -53 V\n-49 -54
        V\n-47 -54 V\n-43 -53 V\n-39 -53 V\n-34 -50 V\n-31 -49 V\n-27 -48
        V\n-24 -45 V\n-20 -44 V\n-17 -42 V\n-14 -41 V\n-12 -39 V\n-10 -38
        V\n-8 -37 V\n-6 -35 V\n-4 -34 V\n-3 -33 V\n-2 -32 V\n-1 -30 V\n0 -30
        V\n1 -28 V\n2 -28 V\n3 -26 V\n4 -25 V\n4 -24 V\n6 -23 V\n6 -22 V\n8
        -21 V\n8 -20 V\n10 -18 V\n10 -17 V\n12 -15 V\n14 -14 V\n16 -11 V\n17
        -9 V\n19 -7 V\n22 -3 V\n24 0 V\n27 4 V\n29 10 V\n33 16 V\n37 23 V\n39
        32 V\n44 43 V\n46 53 V\n50 67 V\n52 81 V\n54 97 V\n54 111 V\n53 124
        V\n49 135 V\n43 140 V\n35 139 V\n23 131 V\n11 115 V\n-5 93 V\n-19 64
        V\n-34 35 V\n-47 7 V\n-57 -18 V\n-64 -38 V\n-69 -52 V\n-72 -62 V\n-70
        -67 V\n-68 -68 V\n-64 -67 V\n-59 -66 V\n-54 -63 V\n-49 -59 V\n-43 -56
        V\n-38 -53 V\n-33 -50 V\n-29 -48 V\n-25 -45 V\n-22 -43 V\n-18 -41
        V\n-17 -39 V\n-15 -38 V\n-12 -36 V\n-12 -34 V\n-11 -33 V\n-10 -31
        V\n-10 -30 V\n-10 -29 V\n-10 -27 V\n-10 -25 V\n-11 -24 V\n-11 -22
        V\n-12 -21 V\n-13 -19 V\n-15 -16 V\n-16 -14 V\n-17 -12 V\n-19 -9
        V\n-21 -5 V\n-23 -2 V\n-25 3 V\n-28 8 V\n-31 14 V\n-32 20 V\n-36 29
        V\n-38 37 V\n-41 46 V\n-42 57 V\n-44 68 V\n-45 79 V\n-44 90 V\n-42 99
        V\n-39 106 V\n-35 108 V\n-27 108 V\n-18 101 V\n-9 90 V\n2 75 V\n14 55
        V\n25 34 V\n34 13 V\n43 -6 V\n49 -22 V\n54 -35 V\n57 -45 V\n56 -52
        V\n56 -55 V\n54 -57 V\n50 -57 V\n46 -56 V\n43 -55 V\n38 -53 V\n33 -50
        V\n30 -49 V\n25 -47 V\n23 -45 V\n19 -44 V\n16 -41 V\n13 -41 V\n12 -38
        V\n9 -38 V\n8 -36 V\n6 -35 V\n5 -33 V\n4 -33 V\n3 -31 V\n2 -31 V\n1
        -29 V\n1 -28 V\n0 -28 V\n0 -26 V\n0 -26 V\n-1 -25 V\n-2 -24 V\n-2 -23
        V\n-2 -22 V\n-2 -21 V\n-3 -21 V\n-4 -20 V\n-4 -19 V\n-5 -19 V\n-5 -17
        V\n-6 -17 V\n-7 -16 V\n-7 -15 V\n-9 -14 V\n-9 -14 V\n-11 -12 V\n-13
        -10 V\n-14 -10 V\n-15 -7 V\n-18 -6 V\n-20 -3 V\n-23 0 V\n-25 4 V\n-29
        8 V\n-32 13 V\n-36 20 V\n-40 28 V\n-44 38 V\ncurrentpoint stroke
        M\n-49 50 V\n-53 64 V\n1.000 UP\nstroke\ngrestore\nend\nshowpage\n>|ps>||||||>

        \;
      </output>

      <\input|octave\<gtr\> >
        plot(y(:,2),y(:,3))
      </input>

      <\output>
        \;

        \;

        <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
        /tmp/tmplot.eps\n%%Creator: gnuplot 3.8h patchlevel
        0\n%%CreationDate: Sun Apr \ 6 18:03:12 2003\n%%DocumentFonts:
        (atend)\n%%BoundingBox: 50 50 230 176\n%%Orientation:
        Portrait\n%%EndComments\n/gnudict 256 dict def\ngnudict begin\n/Color
        true def\n/Solid false def\n/gnulinewidth 5.000 def\n/userlinewidth
        gnulinewidth def\n/vshift -46 def\n/dl {10.0 mul} def\n/hpt_ 31.5
        def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt vpt_ def\n/M {moveto} bind
        def\n/L {lineto} bind def\n/R {rmoveto} bind def\n/V {rlineto} bind
        def\n/N {newpath moveto} bind def\n/f {rlineto fill} bind def\n/vpt2
        vpt 2 mul def\n/hpt2 hpt 2 mul def\n/Lshow { currentpoint stroke M\n
        \ 0 vshift R show } def\n/Rshow { currentpoint stroke M\n \ dup
        stringwidth pop neg vshift R show } def\n/Cshow { currentpoint stroke
        M\n \ dup stringwidth pop -2 div vshift R show } def\n/UP { dup vpt_
        mul /vpt exch def hpt_ mul /hpt exch def\n \ /hpt2 hpt 2 mul def
        /vpt2 vpt 2 mul def } def\n/DL { Color {setrgbcolor Solid {pop []} if
        0 setdash }\n {pop pop pop Solid {pop []} if 0 setdash} ifelse }
        def\n/BL { stroke userlinewidth 2 mul setlinewidth } def\n/AL {
        stroke userlinewidth 2 div setlinewidth } def\n/UL { dup gnulinewidth
        mul /userlinewidth exch def\n \ \ \ \ \ dup 1 lt {pop 1} if 10 mul
        /udl exch def } def\n/PL { stroke userlinewidth setlinewidth }
        def\n/LTb { BL [] 0 0 0 DL } def\n/LTa { AL [1 udl mul 2 udl mul] 0
        setdash 0 0 0 setrgbcolor } def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 {
        PL [4 dl 2 dl] 0 1 0 DL } def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL }
        def\n/LT3 { PL [1 dl 1.5 dl] 1 0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1
        dl 2 dl] 0 1 1 DL } def\n/LT5 { PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL }
        def\n/LT6 { PL [2 dl 2 dl 2 dl 4 dl] 0 0 0 DL } def\n/LT7 { PL [2 dl
        2 dl 2 dl 2 dl 2 dl 4 dl] 1 0.3 0 DL } def\n/LT8 { PL [2 dl 2 dl 2 dl
        2 dl 2 dl 2 dl 2 dl 4 dl] 0.5 0.5 0.5 DL } def\n/Pnt { stroke [] 0
        setdash\n \ \ gsave 1 setlinecap M 0 0 V stroke grestore } def\n/Dia
        { stroke [] 0 setdash 2 copy vpt add M\n \ hpt neg vpt neg V hpt vpt
        neg V\n \ hpt vpt V hpt neg vpt V closepath stroke\n \ Pnt }
        def\n/Pls { stroke [] 0 setdash vpt sub M 0 vpt2 V\n \ currentpoint
        stroke M\n \ hpt neg vpt neg R hpt2 0 V stroke\n \ } def\n/Box {
        stroke [] 0 setdash 2 copy exch hpt sub exch vpt add M\n \ 0 vpt2 neg
        V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke\n \ Pnt }
        def\n/Crs { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ hpt2
        vpt2 neg V currentpoint stroke M\n \ hpt2 neg 0 R hpt2 vpt2 V stroke
        } def\n/TriU { stroke [] 0 setdash 2 copy vpt 1.12 mul add M\n \ hpt
        neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V
        closepath stroke\n \ Pnt \ } def\n/Star { 2 copy Pls Crs } def\n/BoxF
        { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V
        \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V \ closepath fill } def\n/TriUF
        { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul
        V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath fill }
        def\n/TriD { stroke [] 0 setdash 2 copy vpt 1.12 mul sub M\n \ hpt
        neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V
        closepath stroke\n \ Pnt \ } def\n/TriDF { stroke [] 0 setdash vpt
        1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt
        neg vpt -1.62 mul V closepath fill} def\n/DiaF { stroke [] 0 setdash
        vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg
        vpt V closepath fill } def\n/Pent { stroke [] 0 setdash 2 copy
        gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ closepath stroke grestore Pnt } def\n/PentF { stroke [] 0 setdash
        gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ closepath fill grestore } def\n/Circle { stroke [] 0 setdash 2
        copy\n \ hpt 0 360 arc stroke Pnt } def\n/CircleF { stroke [] 0
        setdash hpt 0 360 arc fill } def\n/C0 { BL [] 0 setdash 2 copy moveto
        vpt 90 450 \ arc } bind def\n/C1 { BL [] 0 setdash 2 copy
        \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc closepath
        fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
        def\n/C2 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        90 180 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
        closepath } bind def\n/C3 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 0 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C4 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 180 270 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
        } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
        \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc } bind def\n/C6 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
        copy \ vpt 90 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt
        0 360 arc closepath } bind def\n/C7 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ 2 copy \ vpt 0 270 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C8 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt 270 360 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
        bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy
        \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
        360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
        moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
        \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11
        { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13
        { BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
        setdash 2 copy vpt 0 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
        \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
        \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
        bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
        def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
        bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
        def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
        Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch
        vpt2 vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy
        exch vpt sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 {
        BL [] 0 setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt
        sub exch vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare }
        bind def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt
        vpt2 Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub
        vpt Square fill Bsquare } bind def\n/S9 { BL [] 0 setdash 2 copy vpt
        sub vpt vpt2 Rec fill Bsquare } bind def\n/S10 { BL [] 0 setdash 2
        copy vpt sub vpt Square fill 2 copy exch vpt sub exch vpt Square
        fill\n \ \ \ \ \ \ Bsquare } bind def\n/S11 { BL [] 0 setdash 2 copy
        vpt sub vpt Square fill 2 copy exch vpt sub exch vpt2 vpt Rec fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S12 { BL [] 0 setdash 2 copy exch
        vpt sub exch vpt sub vpt2 vpt Rec fill Bsquare } bind def\n/S13 { BL
        [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy vpt Square fill Bsquare } bind def\n/S14 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square fill Bsquare } bind
        def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill Bsquare } bind
        def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke grestore } bind
        def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke grestore } bind
        def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke grestore } bind
        def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke grestore } bind
        def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke grestore } bind
        def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke grestore } bind
        def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke grestore } bind
        def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke grestore } bind
        def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke grestore } bind
        def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke grestore } bind
        def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke grestore } bind
        def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke grestore } bind
        def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke grestore } bind
        def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke grestore } bind
        def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke grestore } bind
        def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke grestore } bind
        def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt
        vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke } def\n/BoxE {
        stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2
        0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE { stroke
        [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2
        mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke } def\n/TriDE {
        stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
        \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath stroke }
        def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72
        rotate 0 hpt L} repeat\n \ closepath stroke grestore } def\n/CircE {
        stroke [] 0 setdash \n \ hpt 0 360 arc stroke } def\n/Opaque { gsave
        closepath 1 setgray fill grestore 0 setgray closepath } def\n/DiaW {
        stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n
        \ hpt vpt V hpt neg vpt V Opaque stroke } def\n/BoxW { stroke [] 0
        setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2
        V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW { stroke [] 0 setdash
        vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n
        \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW { stroke [] 0
        setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0
        V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW { stroke []
        0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash \n \ hpt
        0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray fill
        grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
        makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
        ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0
        get findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ]
        exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch
        4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n
        \ \ \ \ {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse}
        {dup 5\n \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get
        stringwidth pop -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop
        -2 div 0 R 6 get\n \ \ \ \ show 2 index {aload pop M neg 3 -1 roll
        neg R pop pop} {pop pop pop\n \ \ \ \ pop aload pop M} ifelse }ifelse
        }ifelse } forall} bind def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get
        findfont exch 1 get scalefont\n \ \ \ \ setfont 6 get stringwidth pop
        add} {pop} ifelse} forall} bind def\n/MLshow { currentpoint stroke
        M\n \ 0 exch R MFshow } bind def\n/MRshow { currentpoint stroke M\n
        \ exch dup MFwidth neg 3 -1 roll R MFshow } def\n/MCshow {
        currentpoint stroke M\n \ exch dup MFwidth -2 div 3 -1 roll R MFshow
        } def\nend\n%%EndProlog\ngnudict begin\ngsave\n50 50 translate\n0.050
        0.050 scale\n0 setgray\nnewpath\n(Helvetica) findfont 140 scalefont
        setfont\n1.000 UL\nLTb\n490 280 M\n63 0 V\n2809 0 R\n-63 0 V\n
        stroke\n406 280 M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 5)]\n]
        -46.7 MRshow\n490 539 M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406 539
        M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 10)]\n] -46.7 MRshow\n490
        798 M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406 798 M\n[ [(Helvetica)
        140.0 0.0 true true 0 ( 15)]\n] -46.7 MRshow\n490 1057 M\n63 0
        V\n2809 0 R\n-63 0 V\n stroke\n406 1057 M\n[ [(Helvetica) 140.0 0.0
        true true 0 ( 20)]\n] -46.7 MRshow\n490 1316 M\n63 0 V\n2809 0 R\n-63
        0 V\n stroke\n406 1316 M\n[ [(Helvetica) 140.0 0.0 true true 0 (
        25)]\n] -46.7 MRshow\n490 1575 M\n63 0 V\n2809 0 R\n-63 0 V\n
        stroke\n406 1575 M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 30)]\n]
        -46.7 MRshow\n490 1834 M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406
        1834 M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 35)]\n] -46.7
        MRshow\n490 2093 M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406 2093 M\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 40)]\n] -46.7 MRshow\n490 2352
        M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406 2352 M\n[ [(Helvetica)
        140.0 0.0 true true 0 ( 45)]\n] -46.7 MRshow\n490 280 M\n0 63 V\n0
        2009 R\n0 -63 V\n stroke\n490 140 M\n[ [(Helvetica) 140.0 0.0 true
        true 0 (-15)]\n] -46.7 MCshow\n969 280 M\n0 63 V\n0 2009 R\n0 -63 V\n
        stroke\n969 140 M\n[ [(Helvetica) 140.0 0.0 true true 0 (-10)]\n]
        -46.7 MCshow\n1447 280 M\n0 63 V\n0 2009 R\n0 -63 V\n stroke\n1447
        140 M\n[ [(Helvetica) 140.0 0.0 true true 0 (-5)]\n] -46.7
        MCshow\n1926 280 M\n0 63 V\n0 2009 R\n0 -63 V\n stroke\n1926 140 M\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 0)]\n] -46.7 MCshow\n2405 280
        M\n0 63 V\n0 2009 R\n0 -63 V\n stroke\n2405 140 M\n[ [(Helvetica)
        140.0 0.0 true true 0 ( 5)]\n] -46.7 MCshow\n2883 280 M\n0 63 V\n0
        2009 R\n0 -63 V\n stroke\n2883 140 M\n[ [(Helvetica) 140.0 0.0 true
        true 0 ( 10)]\n] -46.7 MCshow\n3362 280 M\n0 63 V\n0 2009 R\n0 -63
        V\n stroke\n3362 140 M\n[ [(Helvetica) 140.0 0.0 true true 0 (
        15)]\n] -46.7 MCshow\n1.000 UL\nLTb\n490 280 M\n2872 0 V\n0 2072
        V\n-2872 0 V\n490 280 L\n1.000 UP\n1.000 UL\nLT0\n2711 2219 M\n[
        [(Helvetica) 140.0 0.0 true true 0 (line 1)]\n] -46.7 MRshow\n2795
        2219 M\n399 0 V\n2405 539 M\n41 2 V\n48 8 V\n55 14 V\n62 22 V\n69 30
        V\n73 41 V\n77 54 V\n79 67 V\n77 83 V\n71 100 V\n61 117 V\n44 134
        V\n20 147 V\n-8 155 V\n-42 157 V\n-77 149 V\n-110 133 V\n-137 107
        V\n-155 76 V\n-162 42 V\n-159 9 V\n-145 -20 V\n-127 -43 V\n-105 -59
        V\n-83 -68 V\n-61 -73 V\n-44 -75 V\n-30 -72 V\n-18 -69 V\n-10 -66
        V\n-4 -61 V\n0 -57 V\n2 -54 V\n3 -50 V\n3 -48 V\n3 -44 V\n2 -42 V\n0
        -40 V\n-1 -38 V\n-3 -36 V\n-4 -34 V\n-7 -32 V\n-8 -30 V\n-10 -29
        V\n-13 -27 V\n-15 -25 V\n-17 -23 V\n-19 -21 V\n-22 -19 V\n-24 -16
        V\n-27 -14 V\n-30 -10 V\n-32 -8 V\n-36 -4 V\n-38 0 V\n-41 5 V\n-43 11
        V\n-46 16 V\n-47 22 V\n-48 30 V\n-48 38 V\n-46 46 V\n-43 54 V\n-37 64
        V\n-30 71 V\n-20 79 V\n-7 83 V\n7 87 V\n22 86 V\n39 83 V\n53 76 V\n67
        66 V\n77 52 V\n84 37 V\n86 21 V\n85 6 V\n79 -9 V\n73 -20 V\n63 -31
        V\n53 -37 V\n44 -44 V\n34 -46 V\n25 -49 V\n18 -49 V\n13 -49 V\n7 -48
        V\n2 -48 V\n0 -46 V\n-3 -45 V\n-4 -43 V\n-6 -42 V\n-7 -40 V\n-8 -39
        V\n-9 -38 V\n-9 -36 V\n-10 -35 V\n-11 -33 V\n-11 -33 V\n-11 -31
        V\n-13 -29 V\n-13 -29 V\n-15 -27 V\n-16 -25 V\n-17 -24 V\n-19 -23
        V\n-20 -21 V\n-23 -19 V\n-25 -17 V\n-27 -15 V\n-30 -13 V\n-33 -10
        V\n-36 -7 V\n-40 -3 V\n-43 1 V\n-46 6 V\n-50 11 V\n-54 18 V\n-55 25
        V\n-58 33 V\n-59 42 V\n-58 53 V\n-55 63 V\n-50 75 V\n-41 85 V\n-29 96
        V\n-14 104 V\n5 108 V\n25 110 V\n47 105 V\n68 96 V\n86 82 V\n100 65
        V\n108 43 V\n110 23 V\n107 2 V\n98 -16 V\n87 -30 V\n74 -42 V\n61 -49
        V\n47 -54 V\n36 -57 V\n25 -57 V\n17 -57 V\n11 -56 V\n5 -53 V\n1 -52
        V\n-1 -50 V\n-3 -48 V\n-5 -46 V\n-5 -44 V\n-5 -43 V\n-6 -40 V\n-5 -40
        V\n-5 -38 V\n-5 -36 V\n-4 -36 V\n-5 -34 V\n-4 -33 V\n-3 -32 V\n-4 -31
        V\n-3 -30 V\n-3 -28 V\n-4 -28 V\n-3 -27 V\n-3 -26 V\n-4 -25 V\n-3 -25
        V\n-4 -23 V\n-5 -23 V\n-4 -22 V\n-6 -21 V\n-5 -21 V\n-7 -19 V\n-7 -19
        V\n-8 -18 V\n-9 -18 V\n-11 -17 V\n-11 -16 V\n-13 -15 V\n-15 -14
        V\n-17 -14 V\n-19 -12 V\n-21 -12 V\n-24 -10 V\n-27 -9 V\n-31 -7
        V\n-35 -5 V\n-39 -3 V\n-44 0 V\n-50 4 V\n-55 8 V\n-61 13 V\n-68 20
        V\n-74 28 V\n-80 38 V\n-86 49 V\n-89 64 V\n-90 80 V\n-87 99 V\n713
        945 L\n-65 138 V\n-43 157 V\n-14 171 V\n23 178 V\n64 176 V\n106 163
        V\n142 139 V\n169 104 V\n185 64 V\n185 25 V\n173 -12 V\n152 -41
        V\n127 -62 V\n100 -75 V\n75 -81 V\n53 -82 V\n35 -79 V\n21 -75 V\n12
        -70 V\n4 -65 V\n0 -59 V\n-2 -55 V\n-4 -51 V\n-3 -47 V\n-3 -44 V\n-1
        -40 V\n0 -39 V\n2 -35 V\n4 -34 V\n6 -31 V\n8 -29 V\n11 -27 V\n13 -25
        V\n15 -23 V\n18 -20 V\n20 -18 V\n22 -15 V\n25 -12 V\n27 -9 V\n29 -6
        V\n32 -2 V\n33 2 V\n35 7 V\n37 12 V\n38 17 V\n38 23 V\n37 29 V\n36 35
        V\n33 42 V\n28 48 V\n24 54 V\n16 59 V\n7 63 V\n-3 65 V\n-13 66 V\n-24
        64 V\n-36 59 V\n-45 54 V\n-53 44 V\n-60 35 V\n-63 24 V\n-64 13 V\n-63
        2 V\n-59 -8 V\n-54 -16 V\n-47 -24 V\n-41 -30 V\n-34 -34 V\n-27 -38
        V\n-21 -39 V\n-16 -41 V\n-10 -41 V\n-6 -41 V\n-3 -40 V\n1 -40 V\n3
        -39 V\n5 -38 V\n7 -37 V\n9 -36 V\n10 -34 V\n11 -33 V\n13 -31 V\n13
        -30 V\n15 -29 V\n16 -27 V\n18 -25 V\n19 -24 V\n21 -22 V\n22 -19 V\n24
        -18 V\n26 -15 V\n29 -12 V\n30 -9 V\n33 -6 V\n35 -3 V\n37 2 V\n40 6
        V\n41 12 V\n42 17 V\n44 24 V\n43 30 V\n42 37 V\n40 45 V\n35 53 V\n30
        59 V\n23 66 V\n12 72 V\n1 75 V\n-11 76 V\n-25 75 V\n-38 71 V\n-50 64
        V\n-61 54 V\n-69 42 V\n-74 29 V\n-75 16 V\n-73 3 V\n-69 -9 V\n-62 -19
        V\n-55 -27 V\n-47 -34 V\n-38 -39 V\n-30 -43 V\n-23 -44 V\n-16 -45
        V\n-11 -45 V\n-7 -45 V\n-2 -44 V\n0 -43 V\n3 -42 V\n5 -41 V\n7 -39
        V\n8 -39 V\n9 -36 V\n10 -36 V\n12 -34 V\n12 -33 V\n13 -31 V\n13 -30
        V\n16 -28 V\n16 -27 V\n17 -26 V\n20 -23 V\n20 -22 V\n23 -20 V\n25 -18
        V\n27 -15 V\n29 -13 V\n32 -10 V\n34 -7 V\n38 -3 V\n40 1 V\n43 6 V\n46
        11 V\n47 17 V\n50 24 V\n50 32 V\n50 40 V\n49 48 V\n45 58 V\n39 67
        V\n31 75 V\n20 83 V\n7 88 V\n-8 92 V\n-25 91 V\n-42 86 V\n-59 79
        V\n-72 68 V\n-83 52 V\n-89 37 V\n-91 19 V\n-88 4 V\n-83 -12 V\n-74
        -23 V\n-65 -34 V\n-53 -41 V\n-43 -46 V\n-34 -49 V\n-25 -50 V\n-17 -51
        V\n-11 -51 V\n-6 -49 V\n-2 -49 V\n1 -46 V\n3 -46 V\n4 -44 V\n6 -42
        V\n7 -41 V\n8 -39 V\n8 -38 V\n9 -37 V\n9 -35 V\n9 -34 V\n10 -33 V\n10
        -31 V\n11 -31 V\ncurrentpoint stroke M\n12 -29 V\n13 -27 V\n13 -27
        V\n15 -25 V\n16 -24 V\n18 -22 V\n20 -21 V\n21 -19 V\n24 -18 V\n26 -15
        V\n29 -14 V\n32 -10 V\n36 -8 V\n39 -5 V\n42 -1 V\n46 4 V\n51 9 V\n54
        15 V\n57 22 V\n60 30 V\n63 39 V\n62 49 V\n62 61 V\n57 73 V\n50 85
        V\n40 97 V\n24 108 V\n7 114 V\n-16 119 V\n-39 117 V\n-63 109 V\n-84
        97 V\n-103 79 V\n-114 57 V\n-120 33 V\n-118 11 V\n-110 -11 V\n-99 -27
        V\n-85 -41 V\n-69 -51 V\n-55 -57 V\n-42 -59 V\n-30 -61 V\n-20 -60
        V\n-13 -58 V\n-6 -56 V\n-3 -54 V\n1 -52 V\n2 -50 V\n4 -47 V\n5 -46
        V\n4 -43 V\n5 -42 V\n4 -40 V\n4 -39 V\n3 -37 V\n2 -36 V\n2 -35 V\n1
        -33 V\n0 -33 V\n0 -31 V\n-2 -30 V\n-1 -29 V\n-3 -28 V\n-3 -27 V\n-4
        -27 V\n-4 -25 V\n-6 -24 V\n-6 -24 V\n-7 -22 V\n-8 -22 V\n-9 -21
        V\n-11 -20 V\n-12 -19 V\n-13 -18 V\n-15 -17 V\n-18 -16 V\n-19 -15
        V\n-22 -13 V\n-24 -13 V\n-28 -10 V\n-31 -9 V\n-35 -6 V\n-39 -4 V\n-43
        -1 V\n-49 3 V\n-54 7 V\n-60 13 V\n-65 20 V\n-71 28 V\n-76 37 V\n-80
        49 V\n-82 63 V\n-82 78 V\n-78 95 V\n-69 112 V\n-55 130 V\n-34 145
        V\n-6 157 V\n27 162 V\n63 159 V\n98 145 V\n131 123 V\n153 92 V\n166
        58 V\n166 23 V\n157 -10 V\n138 -35 V\n117 -55 V\n93 -68 V\n71 -73
        V\n52 -76 V\n35 -75 V\n22 -72 V\n13 -67 V\n6 -64 V\n1 -59 V\n-2 -55
        V\n-3 -52 V\n-3 -48 V\n-3 -45 V\n-2 -43 V\n-1 -40 V\n1 -38 V\n3 -36
        V\n4 -34 V\n6 -33 V\n9 -30 V\n10 -28 V\n13 -27 V\n15 -25 V\n17 -22
        V\n20 -21 V\n22 -18 V\n24 -15 V\n27 -13 V\n30 -10 V\n33 -6 V\n35 -3
        V\n38 2 V\n40 6 V\n43 12 V\n44 18 V\n46 24 V\n45 32 V\n45 39 V\n43 47
        V\n38 55 V\n33 63 V\n24 71 V\n14 76 V\n2 80 V\n-12 82 V\n-27 81
        V\n-41 76 V\n-55 68 V\n-66 58 V\n-75 45 V\n-80 30 V\n-81 16 V\n-78 2
        V\n-74 -11 V\n-66 -22 V\n-57 -31 V\n-48 -37 V\n-40 -42 V\n-30 -45
        V\n-23 -47 V\n-16 -47 V\n-11 -48 V\n-6 -46 V\n-2 -46 V\n1 -45 V\n4
        -43 V\n5 -42 V\n6 -40 V\n8 -39 V\n9 -38 V\n9 -37 V\n11 -35 V\n11 -33
        V\n11 -33 V\n13 -31 V\n14 -29 V\n14 -29 V\n16 -26 V\n17 -26 V\n19 -23
        V\n20 -22 V\n22 -20 V\n24 -18 V\n27 -16 V\n29 -14 V\n32 -11 V\n34 -8
        V\n38 -4 V\n41 0 V\n44 4 V\n47 10 V\n50 16 V\n52 22 V\n54 30 V\n55 39
        V\n54 48 V\n51 58 V\n46 69 V\n39 78 V\n28 87 V\n15 95 V\n-2 99 V\n-20
        101 V\n-40 98 V\n-58 90 V\n-76 79 V\n-88 63 V\n-97 45 V\n-101 26
        V\n-99 8 V\n-93 -9 V\n-84 -24 V\n-72 -35 V\n-61 -43 V\n-48 -49 V\n-38
        -53 V\n-27 -54 V\n-20 -54 V\n-12 -53 V\n-7 -53 V\n-3 -50 V\n0 -49
        V\n3 -48 V\n4 -45 V\n6 -44 V\n6 -42 V\n6 -41 V\n7 -39 V\n7 -38 V\n7
        -37 V\n7 -35 V\n7 -34 V\n7 -33 V\n7 -32 V\n8 -30 V\n8 -30 V\n8 -28
        V\n9 -28 V\n9 -26 V\n11 -25 V\n11 -24 V\n13 -23 V\n14 -22 V\n15 -21
        V\n17 -20 V\n20 -18 V\n21 -17 V\n24 -15 V\n26 -14 V\n30 -11 V\n32 -9
        V\n37 -7 V\n41 -3 V\n45 0 V\n49 4 V\n55 10 V\n59 16 V\n63 23 V\n68 32
        V\n71 43 V\n73 53 V\n72 67 V\n69 81 V\n62 97 V\n50 111 V\n34 124
        V\n12 135 V\n-15 140 V\n-44 139 V\n-75 131 V\n-102 115 V\n-124 93
        V\n-139 64 V\n-144 35 V\n-141 7 V\n-129 -18 V\n-113 -38 V\n-94 -52
        V\n-76 -62 V\n-57 -67 V\n-42 -68 V\n-29 -67 V\n-18 -66 V\n-10 -63
        V\n-5 -59 V\n-1 -56 V\n2 -53 V\n3 -50 V\n3 -48 V\n4 -45 V\n3 -43 V\n2
        -41 V\n0 -39 V\n0 -38 V\n-2 -36 V\n-3 -34 V\n-5 -33 V\n-6 -31 V\n-8
        -30 V\n-10 -29 V\n-12 -27 V\n-13 -25 V\n-15 -24 V\n-18 -22 V\n-19 -21
        V\n-22 -19 V\n-25 -16 V\n-28 -14 V\n-30 -12 V\n-34 -9 V\n-37 -5
        V\n-40 -2 V\n-45 3 V\n-47 8 V\n-51 14 V\n-54 20 V\n-57 29 V\n-58 37
        V\n-58 46 V\n-57 57 V\n-52 68 V\n-46 79 V\n-36 90 V\n-22 99 V\n-6 106
        V\n13 108 V\n35 108 V\n56 101 V\n76 90 V\n92 75 V\n103 55 V\n109 34
        V\n109 13 V\n103 -6 V\n93 -22 V\n81 -35 V\n68 -45 V\n54 -52 V\n42 -55
        V\n31 -57 V\n22 -57 V\n14 -56 V\n8 -55 V\n3 -53 V\n0 -50 V\n-2 -49
        V\n-4 -47 V\n-4 -45 V\n-6 -44 V\n-5 -41 V\n-6 -41 V\n-5 -38 V\n-5 -38
        V\n-5 -36 V\n-5 -35 V\n-4 -33 V\n-4 -33 V\n-4 -31 V\n-4 -31 V\n-4 -29
        V\n-3 -28 V\n-4 -28 V\n-4 -26 V\n-4 -26 V\n-4 -25 V\n-5 -24 V\n-5 -23
        V\n-5 -22 V\n-6 -21 V\n-7 -21 V\n-7 -20 V\n-9 -19 V\n-9 -19 V\n-10
        -17 V\n-12 -17 V\n-13 -16 V\n-15 -15 V\n-17 -14 V\n-19 -14 V\n-22 -12
        V\n-24 -10 V\n-28 -10 V\n-31 -7 V\n-35 -6 V\n-39 -3 V\n-44 0 V\n-50 4
        V\n-55 8 V\n-61 13 V\n-67 20 V\n-74 28 V\n-79 38 V\ncurrentpoint
        stroke M\n-84 50 V\n-87 64 V\n1.000
        UP\nstroke\ngrestore\nend\nshowpage\n>|ps>||||||>

        \;
      </output>

      <\input|octave\<gtr\> >
        plot(y(:,1),y(:,2))
      </input>

      <\output>
        \;

        \;

        <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
        /tmp/tmplot.eps\n%%Creator: gnuplot 3.8h patchlevel
        0\n%%CreationDate: Sun Apr \ 6 18:03:14 2003\n%%DocumentFonts:
        (atend)\n%%BoundingBox: 50 50 230 176\n%%Orientation:
        Portrait\n%%EndComments\n/gnudict 256 dict def\ngnudict begin\n/Color
        true def\n/Solid false def\n/gnulinewidth 5.000 def\n/userlinewidth
        gnulinewidth def\n/vshift -46 def\n/dl {10.0 mul} def\n/hpt_ 31.5
        def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt vpt_ def\n/M {moveto} bind
        def\n/L {lineto} bind def\n/R {rmoveto} bind def\n/V {rlineto} bind
        def\n/N {newpath moveto} bind def\n/f {rlineto fill} bind def\n/vpt2
        vpt 2 mul def\n/hpt2 hpt 2 mul def\n/Lshow { currentpoint stroke M\n
        \ 0 vshift R show } def\n/Rshow { currentpoint stroke M\n \ dup
        stringwidth pop neg vshift R show } def\n/Cshow { currentpoint stroke
        M\n \ dup stringwidth pop -2 div vshift R show } def\n/UP { dup vpt_
        mul /vpt exch def hpt_ mul /hpt exch def\n \ /hpt2 hpt 2 mul def
        /vpt2 vpt 2 mul def } def\n/DL { Color {setrgbcolor Solid {pop []} if
        0 setdash }\n {pop pop pop Solid {pop []} if 0 setdash} ifelse }
        def\n/BL { stroke userlinewidth 2 mul setlinewidth } def\n/AL {
        stroke userlinewidth 2 div setlinewidth } def\n/UL { dup gnulinewidth
        mul /userlinewidth exch def\n \ \ \ \ \ dup 1 lt {pop 1} if 10 mul
        /udl exch def } def\n/PL { stroke userlinewidth setlinewidth }
        def\n/LTb { BL [] 0 0 0 DL } def\n/LTa { AL [1 udl mul 2 udl mul] 0
        setdash 0 0 0 setrgbcolor } def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 {
        PL [4 dl 2 dl] 0 1 0 DL } def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL }
        def\n/LT3 { PL [1 dl 1.5 dl] 1 0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1
        dl 2 dl] 0 1 1 DL } def\n/LT5 { PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL }
        def\n/LT6 { PL [2 dl 2 dl 2 dl 4 dl] 0 0 0 DL } def\n/LT7 { PL [2 dl
        2 dl 2 dl 2 dl 2 dl 4 dl] 1 0.3 0 DL } def\n/LT8 { PL [2 dl 2 dl 2 dl
        2 dl 2 dl 2 dl 2 dl 4 dl] 0.5 0.5 0.5 DL } def\n/Pnt { stroke [] 0
        setdash\n \ \ gsave 1 setlinecap M 0 0 V stroke grestore } def\n/Dia
        { stroke [] 0 setdash 2 copy vpt add M\n \ hpt neg vpt neg V hpt vpt
        neg V\n \ hpt vpt V hpt neg vpt V closepath stroke\n \ Pnt }
        def\n/Pls { stroke [] 0 setdash vpt sub M 0 vpt2 V\n \ currentpoint
        stroke M\n \ hpt neg vpt neg R hpt2 0 V stroke\n \ } def\n/Box {
        stroke [] 0 setdash 2 copy exch hpt sub exch vpt add M\n \ 0 vpt2 neg
        V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke\n \ Pnt }
        def\n/Crs { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ hpt2
        vpt2 neg V currentpoint stroke M\n \ hpt2 neg 0 R hpt2 vpt2 V stroke
        } def\n/TriU { stroke [] 0 setdash 2 copy vpt 1.12 mul add M\n \ hpt
        neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V
        closepath stroke\n \ Pnt \ } def\n/Star { 2 copy Pls Crs } def\n/BoxF
        { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V
        \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V \ closepath fill } def\n/TriUF
        { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul
        V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath fill }
        def\n/TriD { stroke [] 0 setdash 2 copy vpt 1.12 mul sub M\n \ hpt
        neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V
        closepath stroke\n \ Pnt \ } def\n/TriDF { stroke [] 0 setdash vpt
        1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt
        neg vpt -1.62 mul V closepath fill} def\n/DiaF { stroke [] 0 setdash
        vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg
        vpt V closepath fill } def\n/Pent { stroke [] 0 setdash 2 copy
        gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ closepath stroke grestore Pnt } def\n/PentF { stroke [] 0 setdash
        gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ closepath fill grestore } def\n/Circle { stroke [] 0 setdash 2
        copy\n \ hpt 0 360 arc stroke Pnt } def\n/CircleF { stroke [] 0
        setdash hpt 0 360 arc fill } def\n/C0 { BL [] 0 setdash 2 copy moveto
        vpt 90 450 \ arc } bind def\n/C1 { BL [] 0 setdash 2 copy
        \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc closepath
        fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
        def\n/C2 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        90 180 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
        closepath } bind def\n/C3 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 0 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C4 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 180 270 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
        } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
        \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc } bind def\n/C6 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
        copy \ vpt 90 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt
        0 360 arc closepath } bind def\n/C7 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ 2 copy \ vpt 0 270 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C8 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt 270 360 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
        bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy
        \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
        360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
        moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
        \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11
        { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13
        { BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
        setdash 2 copy vpt 0 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
        \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
        \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
        bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
        def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
        bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
        def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
        Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch
        vpt2 vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy
        exch vpt sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 {
        BL [] 0 setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt
        sub exch vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare }
        bind def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt
        vpt2 Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub
        vpt Square fill Bsquare } bind def\n/S9 { BL [] 0 setdash 2 copy vpt
        sub vpt vpt2 Rec fill Bsquare } bind def\n/S10 { BL [] 0 setdash 2
        copy vpt sub vpt Square fill 2 copy exch vpt sub exch vpt Square
        fill\n \ \ \ \ \ \ Bsquare } bind def\n/S11 { BL [] 0 setdash 2 copy
        vpt sub vpt Square fill 2 copy exch vpt sub exch vpt2 vpt Rec fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S12 { BL [] 0 setdash 2 copy exch
        vpt sub exch vpt sub vpt2 vpt Rec fill Bsquare } bind def\n/S13 { BL
        [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy vpt Square fill Bsquare } bind def\n/S14 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square fill Bsquare } bind
        def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill Bsquare } bind
        def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke grestore } bind
        def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke grestore } bind
        def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke grestore } bind
        def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke grestore } bind
        def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke grestore } bind
        def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke grestore } bind
        def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke grestore } bind
        def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke grestore } bind
        def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke grestore } bind
        def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke grestore } bind
        def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke grestore } bind
        def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke grestore } bind
        def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke grestore } bind
        def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke grestore } bind
        def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke grestore } bind
        def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke grestore } bind
        def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt
        vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke } def\n/BoxE {
        stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2
        0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE { stroke
        [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2
        mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke } def\n/TriDE {
        stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
        \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath stroke }
        def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72
        rotate 0 hpt L} repeat\n \ closepath stroke grestore } def\n/CircE {
        stroke [] 0 setdash \n \ hpt 0 360 arc stroke } def\n/Opaque { gsave
        closepath 1 setgray fill grestore 0 setgray closepath } def\n/DiaW {
        stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n
        \ hpt vpt V hpt neg vpt V Opaque stroke } def\n/BoxW { stroke [] 0
        setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2
        V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW { stroke [] 0 setdash
        vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n
        \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW { stroke [] 0
        setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0
        V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW { stroke []
        0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash \n \ hpt
        0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray fill
        grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
        makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
        ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0
        get findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ]
        exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch
        4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n
        \ \ \ \ {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse}
        {dup 5\n \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get
        stringwidth pop -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop
        -2 div 0 R 6 get\n \ \ \ \ show 2 index {aload pop M neg 3 -1 roll
        neg R pop pop} {pop pop pop\n \ \ \ \ pop aload pop M} ifelse }ifelse
        }ifelse } forall} bind def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get
        findfont exch 1 get scalefont\n \ \ \ \ setfont 6 get stringwidth pop
        add} {pop} ifelse} forall} bind def\n/MLshow { currentpoint stroke
        M\n \ 0 exch R MFshow } bind def\n/MRshow { currentpoint stroke M\n
        \ exch dup MFwidth neg 3 -1 roll R MFshow } def\n/MCshow {
        currentpoint stroke M\n \ exch dup MFwidth -2 div 3 -1 roll R MFshow
        } def\nend\n%%EndProlog\ngnudict begin\ngsave\n50 50 translate\n0.050
        0.050 scale\n0 setgray\nnewpath\n(Helvetica) findfont 140 scalefont
        setfont\n1.000 UL\nLTb\n490 280 M\n63 0 V\n2809 0 R\n-63 0 V\n
        stroke\n406 280 M\n[ [(Helvetica) 140.0 0.0 true true 0 (-15)]\n]
        -46.7 MRshow\n490 625 M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406 625
        M\n[ [(Helvetica) 140.0 0.0 true true 0 (-10)]\n] -46.7 MRshow\n490
        971 M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406 971 M\n[ [(Helvetica)
        140.0 0.0 true true 0 (-5)]\n] -46.7 MRshow\n490 1316 M\n63 0 V\n2809
        0 R\n-63 0 V\n stroke\n406 1316 M\n[ [(Helvetica) 140.0 0.0 true true
        0 ( 0)]\n] -46.7 MRshow\n490 1661 M\n63 0 V\n2809 0 R\n-63 0 V\n
        stroke\n406 1661 M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 5)]\n]
        -46.7 MRshow\n490 2007 M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406
        2007 M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 10)]\n] -46.7
        MRshow\n490 2352 M\n63 0 V\n2809 0 R\n-63 0 V\n stroke\n406 2352 M\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 15)]\n] -46.7 MRshow\n490 280
        M\n0 63 V\n0 2009 R\n0 -63 V\n stroke\n490 140 M\n[ [(Helvetica)
        140.0 0.0 true true 0 (-15)]\n] -46.7 MCshow\n969 280 M\n0 63 V\n0
        2009 R\n0 -63 V\n stroke\n969 140 M\n[ [(Helvetica) 140.0 0.0 true
        true 0 (-10)]\n] -46.7 MCshow\n1447 280 M\n0 63 V\n0 2009 R\n0 -63
        V\n stroke\n1447 140 M\n[ [(Helvetica) 140.0 0.0 true true 0 (-5)]\n]
        -46.7 MCshow\n1926 280 M\n0 63 V\n0 2009 R\n0 -63 V\n stroke\n1926
        140 M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 0)]\n] -46.7
        MCshow\n2405 280 M\n0 63 V\n0 2009 R\n0 -63 V\n stroke\n2405 140 M\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 5)]\n] -46.7 MCshow\n2883 280
        M\n0 63 V\n0 2009 R\n0 -63 V\n stroke\n2883 140 M\n[ [(Helvetica)
        140.0 0.0 true true 0 ( 10)]\n] -46.7 MCshow\n3362 280 M\n0 63 V\n0
        2009 R\n0 -63 V\n stroke\n3362 140 M\n[ [(Helvetica) 140.0 0.0 true
        true 0 ( 15)]\n] -46.7 MCshow\n1.000 UL\nLTb\n490 280 M\n2872 0 V\n0
        2072 V\n-2872 0 V\n490 280 L\n1.000 UP\n1.000 UL\nLT0\n2711 2219 M\n[
        [(Helvetica) 140.0 0.0 true true 0 (line 1)]\n] -46.7 MRshow\n2795
        2219 M\n399 0 V\n2117 1661 M\n37 30 V\n37 35 V\n39 40 V\n41 44 V\n44
        50 V\n47 53 V\n51 55 V\n54 57 V\n56 56 V\n59 51 V\n60 44 V\n59 31
        V\n55 15 V\n50 -6 V\n41 -30 V\n30 -55 V\n14 -80 V\n-1 -98 V\n-19 -112
        V\n-35 -118 V\n-51 -114 V\n-62 -105 V\n-71 -92 V\n-76 -75 V\n-78 -60
        V\n-78 -44 V\n-74 -32 V\n-70 -21 V\n-65 -14 V\n-58 -7 V\n-53 -3
        V\n-46 0 V\n-41 2 V\n-36 2 V\n-31 2 V\n-28 2 V\n-23 2 V\n-21 0 V\n-18
        -1 V\n-17 -2 V\n-15 -3 V\n-14 -5 V\n-13 -6 V\n-12 -7 V\n-13 -9 V\n-12
        -11 V\n-14 -12 V\n-13 -14 V\n-15 -16 V\n-15 -17 V\n-17 -20 V\n-18 -21
        V\n-19 -24 V\n-22 -25 V\n-23 -28 V\n-25 -29 V\n-27 -31 V\n-29 -33
        V\n-31 -34 V\n-33 -35 V\n-35 -35 V\n-36 -33 V\n-38 -31 V\n-37 -27
        V\n-37 -21 V\n-36 -15 V\n-33 -5 V\n-29 5 V\n-24 16 V\n-18 28 V\n-10
        39 V\n-2 48 V\n7 56 V\n15 60 V\n24 62 V\n31 61 V\n37 58 V\n42 52
        V\n45 45 V\n46 39 V\n47 31 V\n46 25 V\n43 18 V\n41 13 V\n38 9 V\n35 5
        V\n31 2 V\n28 0 V\n24 -2 V\n21 -3 V\n18 -5 V\n15 -5 V\n12 -6 V\n10 -6
        V\n8 -7 V\n5 -7 V\n4 -7 V\n2 -8 V\n1 -9 V\n-1 -9 V\n-3 -9 V\n-3 -11
        V\n-5 -11 V\n-7 -13 V\n-8 -13 V\n-9 -15 V\n-11 -16 V\n-12 -18 V\n-14
        -20 V\n-15 -22 V\n-18 -24 V\n-19 -26 V\n-22 -28 V\n-24 -31 V\n-26 -34
        V\n-29 -36 V\n-32 -38 V\n-34 -41 V\n-37 -41 V\n-40 -43 V\n-42 -41
        V\n-43 -40 V\n-45 -36 V\n-44 -30 V\n-44 -21 V\n-41 -10 V\n-37 4
        V\n-30 18 V\n-23 34 V\n-13 49 V\n-3 62 V\n9 72 V\n20 78 V\n30 79
        V\n40 77 V\n47 71 V\n53 63 V\n56 54 V\n57 43 V\n57 34 V\n54 26 V\n52
        18 V\n49 13 V\n44 7 V\n40 4 V\n36 1 V\n31 -1 V\n28 -2 V\n23 -3 V\n21
        -4 V\n17 -4 V\n15 -4 V\n12 -4 V\n10 -4 V\n9 -3 V\n7 -3 V\n5 -3 V\n5
        -3 V\n3 -3 V\n3 -2 V\n2 -3 V\n1 -2 V\n1 -2 V\n0 -3 V\n0 -2 V\n0 -3
        V\n-1 -2 V\n-1 -3 V\n-2 -3 V\n-2 -4 V\n-2 -4 V\n-3 -4 V\n-3 -4 V\n-3
        -6 V\n-4 -5 V\n-5 -7 V\n-5 -7 V\n-6 -9 V\n-6 -9 V\n-8 -11 V\n-8 -12
        V\n-10 -14 V\n-11 -15 V\n-12 -17 V\n-14 -20 V\n-15 -22 V\n-18 -25
        V\n-20 -29 V\n-22 -31 V\n-25 -36 V\n-29 -40 V\n-32 -44 V\n-36 -49
        V\n-40 -54 V\n-44 -58 V\n-49 -61 V\n-53 -64 V\n-58 -65 V\n-61 -63
        V\n-64 -57 V\n-65 -47 V\n-64 -31 V\n-60 -10 V\n-52 17 V\n-41 46
        V\n-26 76 V\n-8 102 V\n11 123 V\n31 133 V\n49 133 V\n65 125 V\n76 110
        V\n84 92 V\n87 72 V\n87 54 V\n84 38 V\n79 25 V\n74 16 V\n66 8 V\n60 3
        V\n53 0 V\n46 -2 V\n41 -2 V\n35 -3 V\n31 -2 V\n27 -1 V\n24 0 V\n21 2
        V\n19 3 V\n18 4 V\n16 6 V\n15 8 V\n15 9 V\n15 11 V\n15 13 V\n16 14
        V\n16 16 V\n17 18 V\n18 20 V\n19 21 V\n21 23 V\n22 24 V\n23 25 V\n25
        27 V\n26 27 V\n28 27 V\n29 27 V\n30 26 V\n30 24 V\n31 20 V\n29 17
        V\n29 12 V\n27 5 V\n24 -2 V\n20 -9 V\n15 -18 V\n10 -25 V\n5 -33 V\n-2
        -39 V\n-9 -43 V\n-15 -45 V\n-20 -46 V\n-26 -45 V\n-30 -43 V\n-33 -39
        V\n-35 -34 V\n-36 -30 V\n-36 -25 V\n-36 -19 V\n-34 -15 V\n-32 -11
        V\n-30 -8 V\n-28 -4 V\n-24 -2 V\n-22 0 V\n-20 3 V\n-16 3 V\n-14 5
        V\n-11 7 V\n-9 7 V\n-6 8 V\n-4 9 V\n-3 10 V\n0 11 V\n2 11 V\n3 13
        V\n5 14 V\n7 15 V\n9 16 V\n10 17 V\n12 19 V\n14 21 V\n15 22 V\n18 23
        V\n20 26 V\n21 26 V\n23 29 V\n26 29 V\n27 31 V\n29 31 V\n31 32 V\n33
        30 V\n33 29 V\n34 25 V\n33 22 V\n33 16 V\n31 9 V\n28 1 V\n25 -8 V\n19
        -18 V\n13 -28 V\n7 -36 V\n-1 -44 V\n-9 -50 V\n-15 -53 V\n-23 -54
        V\n-29 -53 V\n-34 -49 V\n-37 -45 V\n-40 -40 V\n-42 -33 V\n-41 -28
        V\n-41 -22 V\n-39 -16 V\n-36 -12 V\n-34 -8 V\n-31 -5 V\n-28 -2 V\n-24
        1 V\n-22 2 V\n-18 4 V\n-16 5 V\n-13 5 V\n-10 7 V\n-8 7 V\n-6 8 V\n-4
        9 V\n-2 9 V\n0 10 V\n2 11 V\n3 12 V\n5 13 V\n6 13 V\n8 15 V\n10 17
        V\n11 18 V\n14 19 V\n14 21 V\n17 23 V\n19 25 V\n20 27 V\n23 29 V\n25
        31 V\n27 33 V\n30 34 V\n32 36 V\n34 37 V\n36 36 V\n37 35 V\n39 32
        V\n39 28 V\n38 23 V\n37 14 V\n35 5 V\n30 -6 V\n24 -18 V\n18 -30 V\n10
        -42 V\n1 -52 V\n-9 -60 V\n-17 -64 V\n-26 -66 V\n-34 -64 V\n-40 -60
        V\n-44 -53 V\n-47 -46 V\n-49 -39 V\n-49 -31 V\n-47 -24 V\n-45 -18
        V\n-42 -13 V\n-39 -8 V\n-36 -4 V\n-32 -2 V\n-28 1 V\n-24 2 V\n-21 4
        V\n-18 4 V\n-15 5 V\n-13 5 V\n-10 6 V\n-8 6 V\n-6 7 V\n-4 7 V\n-3 7
        V\n-1 7 V\n1 8 V\ncurrentpoint stroke M\n1 9 V\n3 9 V\n4 10 V\n5 10
        V\n7 12 V\n7 13 V\n9 14 V\n11 15 V\n12 18 V\n13 19 V\n15 21 V\n17 23
        V\n19 25 V\n21 28 V\n23 31 V\n26 33 V\n28 37 V\n32 39 V\n34 41 V\n37
        43 V\n40 45 V\n42 46 V\n45 44 V\n47 41 V\n47 36 V\n47 29 V\n46 18
        V\n42 4 V\n36 -11 V\n29 -28 V\n20 -45 V\n8 -62 V\n-3 -73 V\n-16 -83
        V\n-28 -86 V\n-39 -85 V\n-48 -80 V\n-54 -71 V\n-59 -62 V\n-61 -50
        V\n-61 -39 V\n-59 -30 V\n-57 -22 V\n-53 -14 V\n-48 -9 V\n-44 -5
        V\n-40 -2 V\n-35 0 V\n-30 2 V\n-27 3 V\n-23 3 V\n-19 4 V\n-17 3
        V\n-14 3 V\n-13 2 V\n-10 3 V\n-9 1 V\n-7 1 V\n-7 1 V\n-6 0 V\n-5 0
        V\n-4 -1 V\n-4 -1 V\n-4 -2 V\n-4 -2 V\n-4 -3 V\n-3 -3 V\n-4 -4 V\n-5
        -4 V\n-4 -6 V\n-5 -5 V\n-5 -7 V\n-6 -8 V\n-6 -8 V\n-8 -10 V\n-8 -11
        V\n-9 -12 V\n-10 -14 V\n-11 -16 V\n-13 -18 V\n-14 -20 V\n-16 -22
        V\n-18 -25 V\n-20 -28 V\n-23 -32 V\n-26 -35 V\n-28 -39 V\n-32 -43
        V\n-36 -47 V\n-39 -51 V\n-43 -55 V\n-48 -58 V\n-51 -59 V\n-55 -59
        V\n-58 -56 V\n-60 -50 V\n-60 -40 V\n-58 -24 V\n-54 -5 V\n-47 20
        V\n-35 45 V\n-22 71 V\n-6 94 V\n12 111 V\n29 120 V\n46 120 V\n59 112
        V\n70 101 V\n76 84 V\n80 67 V\n80 51 V\n78 37 V\n74 26 V\n68 16 V\n62
        9 V\n56 4 V\n50 1 V\n44 -1 V\n38 -2 V\n34 -3 V\n29 -2 V\n26 -1 V\n22
        -1 V\n20 1 V\n17 1 V\n16 4 V\n15 4 V\n14 6 V\n13 8 V\n13 9 V\n13 11
        V\n14 12 V\n14 14 V\n15 16 V\n16 18 V\n17 20 V\n18 21 V\n20 24 V\n22
        25 V\n23 27 V\n25 29 V\n27 31 V\n30 32 V\n30 33 V\n33 33 V\n34 32
        V\n35 31 V\n36 28 V\n36 23 V\n35 18 V\n33 10 V\n31 1 V\n26 -9 V\n20
        -19 V\n14 -30 V\n7 -39 V\n-1 -48 V\n-9 -54 V\n-17 -58 V\n-25 -58
        V\n-32 -57 V\n-36 -52 V\n-41 -48 V\n-43 -42 V\n-44 -34 V\n-44 -29
        V\n-43 -22 V\n-41 -16 V\n-38 -12 V\n-36 -8 V\n-32 -4 V\n-29 -1 V\n-26
        0 V\n-22 3 V\n-19 4 V\n-16 4 V\n-14 6 V\n-11 6 V\n-8 7 V\n-7 8 V\n-4
        8 V\n-2 8 V\n-1 9 V\n1 10 V\n2 10 V\n4 12 V\n5 12 V\n7 13 V\n8 15
        V\n10 16 V\n12 18 V\n13 19 V\n14 21 V\n17 23 V\n19 25 V\n20 27 V\n23
        29 V\n25 32 V\n28 34 V\n30 36 V\n32 38 V\n35 39 V\n38 39 V\n39 39
        V\n41 37 V\n42 33 V\n42 28 V\n40 21 V\n39 10 V\n35 -1 V\n29 -15 V\n23
        -28 V\n14 -42 V\n4 -55 V\n-6 -64 V\n-16 -70 V\n-26 -72 V\n-34 -72
        V\n-42 -67 V\n-47 -60 V\n-51 -53 V\n-53 -43 V\n-53 -35 V\n-52 -27
        V\n-49 -20 V\n-47 -14 V\n-43 -9 V\n-39 -5 V\n-34 -2 V\n-31 0 V\n-27 2
        V\n-24 3 V\n-20 4 V\n-17 4 V\n-14 5 V\n-12 5 V\n-10 5 V\n-8 5 V\n-6 5
        V\n-4 5 V\n-3 5 V\n-2 5 V\n-1 6 V\n0 5 V\n1 6 V\n2 7 V\n3 7 V\n4 7
        V\n4 9 V\n6 9 V\n6 10 V\n8 11 V\n8 12 V\n10 14 V\n10 15 V\n12 17
        V\n14 20 V\n16 21 V\n17 24 V\n19 26 V\n22 29 V\n24 33 V\n27 35 V\n29
        40 V\n33 42 V\n37 46 V\n39 49 V\n44 51 V\n46 53 V\n50 52 V\n52 50
        V\n54 44 V\n54 37 V\n53 24 V\n49 8 V\n43 -10 V\n35 -32 V\n23 -54
        V\n11 -74 V\n-5 -89 V\n-19 -100 V\n-34 -104 V\n-47 -102 V\n-57 -93
        V\n-64 -82 V\n-69 -68 V\n-72 -54 V\n-70 -41 V\n-68 -31 V\n-64 -20
        V\n-59 -13 V\n-54 -8 V\n-49 -3 V\n-43 -1 V\n-38 1 V\n-33 2 V\n-29 3
        V\n-25 2 V\n-22 3 V\n-18 1 V\n-17 1 V\n-15 -1 V\n-12 -1 V\n-12 -2
        V\n-11 -4 V\n-10 -5 V\n-10 -5 V\n-10 -7 V\n-10 -9 V\n-10 -9 V\n-11
        -11 V\n-11 -13 V\n-12 -14 V\n-13 -16 V\n-15 -18 V\n-16 -20 V\n-17 -22
        V\n-19 -24 V\n-21 -27 V\n-23 -29 V\n-25 -32 V\n-28 -34 V\n-31 -37
        V\n-32 -39 V\n-36 -41 V\n-38 -42 V\n-41 -42 V\n-42 -40 V\n-44 -38
        V\n-45 -33 V\n-44 -26 V\n-42 -17 V\n-39 -4 V\n-35 10 V\n-27 25 V\n-18
        41 V\n-9 54 V\n2 67 V\n14 74 V\n25 79 V\n34 78 V\n43 74 V\n49 68
        V\n54 58 V\n57 49 V\n56 39 V\n56 31 V\n54 22 V\n50 15 V\n46 11 V\n43
        5 V\n38 3 V\n33 0 V\n30 -2 V\n25 -2 V\n23 -4 V\n19 -4 V\n16 -4 V\n13
        -4 V\n12 -4 V\n9 -3 V\n8 -4 V\n6 -3 V\n5 -3 V\n4 -3 V\n3 -3 V\n2 -3
        V\n1 -2 V\n1 -3 V\n0 -3 V\n0 -2 V\n0 -3 V\n-1 -3 V\n-2 -4 V\n-2 -3
        V\n-2 -4 V\n-2 -5 V\n-3 -4 V\n-4 -6 V\n-4 -6 V\n-5 -7 V\n-5 -7 V\n-6
        -9 V\n-7 -9 V\n-7 -11 V\n-9 -12 V\n-9 -14 V\n-11 -16 V\n-13 -17
        V\n-14 -20 V\n-15 -22 V\n-18 -26 V\n-20 -28 V\n-23 -32 V\n-25 -35
        V\n-29 -40 V\n-32 -44 V\n-36 -49 V\n-40 -53 V\n-44 -57
        V\ncurrentpoint stroke M\n-49 -61 V\n-53 -62 V\n1.000
        UP\nstroke\ngrestore\nend\nshowpage\n>|ps>||||||>

        \;
      </output>

      <\input|octave\<gtr\> >
        gset set term postscript enhanced color eps;
      </input>

      <\input|octave\<gtr\> >
        gset out "/home/cchuang/texmacs/butterfly.eps";
      </input>

      <\input|octave\<gtr\> >
        gset xtics 10;gset ytics 10; gset ztics 10;
      </input>

      <\input|octave\<gtr\> >
        gsplot y title "Butterfly Effect"
      </input>

      <\input|octave\<gtr\> >
        \;
      </input>
    </session>

    At the last part of Octave code, we want to save the 3D trajectory as
    butterfly.eps. Then we can embed this EPS file:

    <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
    /home/cchuang/texmacs/butterfly.eps\n%%Creator: gnuplot 3.8h patchlevel
    0\n%%CreationDate: Sun Apr \ 6 18:17:44 2003\n%%DocumentFonts:
    (atend)\n%%BoundingBox: 50 50 230 176\n%%Orientation:
    Portrait\n%%EndComments\n/gnudict 256 dict def\ngnudict begin\n/Color
    true def\n/Solid false def\n/gnulinewidth 5.000 def\n/userlinewidth
    gnulinewidth def\n/vshift -46 def\n/dl {10.0 mul} def\n/hpt_ 31.5
    def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt vpt_ def\n/M {moveto} bind
    def\n/L {lineto} bind def\n/R {rmoveto} bind def\n/V {rlineto} bind
    def\n/N {newpath moveto} bind def\n/f {rlineto fill} bind def\n/vpt2 vpt
    2 mul def\n/hpt2 hpt 2 mul def\n/Lshow { currentpoint stroke M\n \ 0
    vshift R show } def\n/Rshow { currentpoint stroke M\n \ dup stringwidth
    pop neg vshift R show } def\n/Cshow { currentpoint stroke M\n \ dup
    stringwidth pop -2 div vshift R show } def\n/UP { dup vpt_ mul /vpt exch
    def hpt_ mul /hpt exch def\n \ /hpt2 hpt 2 mul def /vpt2 vpt 2 mul def }
    def\n/DL { Color {setrgbcolor Solid {pop []} if 0 setdash }\n {pop pop
    pop Solid {pop []} if 0 setdash} ifelse } def\n/BL { stroke userlinewidth
    2 mul setlinewidth } def\n/AL { stroke userlinewidth 2 div setlinewidth }
    def\n/UL { dup gnulinewidth mul /userlinewidth exch def\n \ \ \ \ \ dup 1
    lt {pop 1} if 10 mul /udl exch def } def\n/PL { stroke userlinewidth
    setlinewidth } def\n/LTb { BL [] 0 0 0 DL } def\n/LTa { AL [1 udl mul 2
    udl mul] 0 setdash 0 0 0 setrgbcolor } def\n/LT0 { PL [] 1 0 0 DL }
    def\n/LT1 { PL [4 dl 2 dl] 0 1 0 DL } def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL
    } def\n/LT3 { PL [1 dl 1.5 dl] 1 0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl
    2 dl] 0 1 1 DL } def\n/LT5 { PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL }
    def\n/LT6 { PL [2 dl 2 dl 2 dl 4 dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl
    2 dl 2 dl 2 dl 4 dl] 1 0.3 0 DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2
    dl 2 dl 2 dl 4 dl] 0.5 0.5 0.5 DL } def\n/Pnt { stroke [] 0 setdash\n
    \ \ gsave 1 setlinecap M 0 0 V stroke grestore } def\n/Dia { stroke [] 0
    setdash 2 copy vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt
    V hpt neg vpt V closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0
    setdash vpt sub M 0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg
    R hpt2 0 V stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt
    sub exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
    closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt sub
    exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2 neg 0 R
    hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy vpt 1.12 mul
    add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62
    mul V closepath stroke\n \ Pnt \ } def\n/Star { 2 copy Pls Crs }
    def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
    neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V \ closepath fill }
    def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt
    -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath fill }
    def\n/TriD { stroke [] 0 setdash 2 copy vpt 1.12 mul sub M\n \ hpt neg
    vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath
    stroke\n \ Pnt \ } def\n/TriDF { stroke [] 0 setdash vpt 1.12 mul sub M\n
    \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V
    closepath fill} def\n/DiaF { stroke [] 0 setdash vpt add M\n \ hpt neg
    vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V closepath fill }
    def\n/Pent { stroke [] 0 setdash 2 copy gsave\n \ translate 0 hpt M 4 {72
    rotate 0 hpt L} repeat\n \ closepath stroke grestore Pnt } def\n/PentF {
    stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
    repeat\n \ closepath fill grestore } def\n/Circle { stroke [] 0 setdash 2
    copy\n \ hpt 0 360 arc stroke Pnt } def\n/CircleF { stroke [] 0 setdash
    hpt 0 360 arc fill } def\n/C0 { BL [] 0 setdash 2 copy moveto vpt 90 450
    \ arc } bind def\n/C1 { BL [] 0 setdash 2 copy \ \ \ \ \ \ \ moveto\n
    \ \ \ \ \ \ 2 copy \ vpt 0 90 arc closepath fill\n
    \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C2 { BL
    [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 90 180 arc
    closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
    bind def\n/C3 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
    0 180 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
    closepath } bind def\n/C4 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2
    copy \ vpt 180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
    360 arc closepath } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n
    \ \ \ \ \ \ 2 copy \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n
    \ \ \ \ \ \ 2 copy \ vpt 180 270 arc closepath fill\n
    \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C6 { BL [] 0
    setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 90 270 arc closepath
    fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C7
    { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 0 270 arc
    closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
    def\n/C8 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt 270 360
    arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
    bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt
    270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
    closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy moveto vpt 270
    360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy
    vpt 90 180 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
    closepath } bind def\n/C11 { BL [] 0 setdash 2 copy moveto\n
    \ \ \ \ \ \ 2 copy \ vpt 0 180 arc closepath fill\n \ \ \ \ \ \ 2 copy
    moveto\n \ \ \ \ \ \ 2 copy \ vpt 270 360 arc closepath fill\n
    \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C12 { BL
    [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 180 360 arc
    closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
    bind def\n/C13 { BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy
    \ vpt 0 90 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2
    copy \ vpt 180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
    360 arc closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
    \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
    \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
    setdash 2 copy vpt 0 360 arc closepath fill\n
    \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
    \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
    \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec } bind
    def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind def\n/S0 {
    BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare } bind def\n/S1 {
    BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind def\n/S2 { BL [] 0
    setdash 2 copy exch vpt sub exch vpt Square fill Bsquare } bind def\n/S3
    { BL [] 0 setdash 2 copy exch vpt sub exch vpt2 vpt Rec fill Bsquare }
    bind def\n/S4 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt
    Square fill Bsquare } bind def\n/S5 { BL [] 0 setdash 2 copy 2 copy vpt
    Square fill\n \ \ \ \ \ \ exch vpt sub exch vpt sub vpt Square fill
    Bsquare } bind def\n/S6 { BL [] 0 setdash 2 copy exch vpt sub exch vpt
    sub vpt vpt2 Rec fill Bsquare } bind def\n/S7 { BL [] 0 setdash 2 copy
    exch vpt sub exch vpt sub vpt vpt2 Rec fill\n \ \ \ \ \ \ 2 copy vpt
    Square fill\n \ \ \ \ \ \ Bsquare } bind def\n/S8 { BL [] 0 setdash 2
    copy vpt sub vpt Square fill Bsquare } bind def\n/S9 { BL [] 0 setdash 2
    copy vpt sub vpt vpt2 Rec fill Bsquare } bind def\n/S10 { BL [] 0 setdash
    2 copy vpt sub vpt Square fill 2 copy exch vpt sub exch vpt Square fill\n
    \ \ \ \ \ \ Bsquare } bind def\n/S11 { BL [] 0 setdash 2 copy vpt sub vpt
    Square fill 2 copy exch vpt sub exch vpt2 vpt Rec fill\n
    \ \ \ \ \ \ Bsquare } bind def\n/S12 { BL [] 0 setdash 2 copy exch vpt
    sub exch vpt sub vpt2 vpt Rec fill Bsquare } bind def\n/S13 { BL [] 0
    setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
    \ \ \ \ \ \ 2 copy vpt Square fill Bsquare } bind def\n/S14 { BL [] 0
    setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
    \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square fill Bsquare } bind
    def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill Bsquare } bind def\n/D0 {
    gsave translate 45 rotate 0 0 S0 stroke grestore } bind def\n/D1 { gsave
    translate 45 rotate 0 0 S1 stroke grestore } bind def\n/D2 { gsave
    translate 45 rotate 0 0 S2 stroke grestore } bind def\n/D3 { gsave
    translate 45 rotate 0 0 S3 stroke grestore } bind def\n/D4 { gsave
    translate 45 rotate 0 0 S4 stroke grestore } bind def\n/D5 { gsave
    translate 45 rotate 0 0 S5 stroke grestore } bind def\n/D6 { gsave
    translate 45 rotate 0 0 S6 stroke grestore } bind def\n/D7 { gsave
    translate 45 rotate 0 0 S7 stroke grestore } bind def\n/D8 { gsave
    translate 45 rotate 0 0 S8 stroke grestore } bind def\n/D9 { gsave
    translate 45 rotate 0 0 S9 stroke grestore } bind def\n/D10 { gsave
    translate 45 rotate 0 0 S10 stroke grestore } bind def\n/D11 { gsave
    translate 45 rotate 0 0 S11 stroke grestore } bind def\n/D12 { gsave
    translate 45 rotate 0 0 S12 stroke grestore } bind def\n/D13 { gsave
    translate 45 rotate 0 0 S13 stroke grestore } bind def\n/D14 { gsave
    translate 45 rotate 0 0 S14 stroke grestore } bind def\n/D15 { gsave
    translate 45 rotate 0 0 S15 stroke grestore } bind def\n/DiaE { stroke []
    0 setdash vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt
    neg vpt V closepath stroke } def\n/BoxE { stroke [] 0 setdash exch hpt
    sub exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
    closepath stroke } def\n/TriUE { stroke [] 0 setdash vpt 1.12 mul add M\n
    \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V
    closepath stroke } def\n/TriDE { stroke [] 0 setdash vpt 1.12 mul sub M\n
    \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V
    closepath stroke } def\n/PentE { stroke [] 0 setdash gsave\n \ translate
    0 hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath stroke grestore }
    def\n/CircE { stroke [] 0 setdash \n \ hpt 0 360 arc stroke }
    def\n/Opaque { gsave closepath 1 setgray fill grestore 0 setgray
    closepath } def\n/DiaW { stroke [] 0 setdash vpt add M\n \ hpt neg vpt
    neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V Opaque stroke }
    def\n/BoxW { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
    neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW {
    stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
    \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW {
    stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt
    2 mul 0 V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW {
    stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
    repeat\n \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash \n
    \ hpt 0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray fill
    grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
    makefont\ndup length dict begin {1 index /FID eq {pop pop} {def} ifelse}
    forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0 get findfont
    exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ] exch dup 2 get 0
    exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch 4 get {show}
    {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n \ \ \ \ {dup 3 get {2
    get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5\n \ \ \ \ get 1 eq
    {dup 2 get exch dup 3 get exch 6 get stringwidth pop -2 div\n \ \ \ \ dup
    0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get\n \ \ \ \ show 2 index
    {aload pop M neg 3 -1 roll neg R pop pop} {pop pop pop\n \ \ \ \ pop
    aload pop M} ifelse }ifelse }ifelse } forall} bind def\n/MFwidth {0 exch
    {dup 3 get{dup dup 0 get findfont exch 1 get scalefont\n \ \ \ \ setfont
    6 get stringwidth pop add} {pop} ifelse} forall} bind def\n/MLshow {
    currentpoint stroke M\n \ 0 exch R MFshow } bind def\n/MRshow {
    currentpoint stroke M\n \ exch dup MFwidth neg 3 -1 roll R MFshow }
    def\n/MCshow { currentpoint stroke M\n \ exch dup MFwidth -2 div 3 -1
    roll R MFshow } def\nend\n%%EndProlog\ngnudict begin\ngsave\n50 50
    translate\n0.050 0.050 scale\n0 setgray\nnewpath\n(Helvetica) findfont
    140 scalefont setfont\n1.000 UL\nLTb\n1.000 UP\n1.000 UL\nLT0\n2802 2036
    M\n[ [(Helvetica) 140.0 0.0 true true 0 (Butterfly Effect)]\n] -46.7
    MRshow\n2886 2036 M\n399 0 V\n1989 1344 M\n24 3 V\n27 5 V\n29 8 V\n31 10
    V\n34 13 V\n36 16 V\n39 20 V\n40 22 V\n41 27 V\n40 29 V\n39 33 V\n34 34
    V\n27 35 V\n19 35 V\n6 30 V\n-6 26 V\n-19 18 V\n-33 9 V\n-44 1 V\n-52 -8
    V\n-58 -14 V\n-59 -19 V\n-59 -21 V\n-55 -22 V\n-51 -22 V\n-46 -21 V\n-41
    -18 V\n-35 -17 V\n-30 -15 V\n-26 -13 V\n-23 -12 V\n-19 -11 V\n-16 -10
    V\n-13 -10 V\n-12 -9 V\n-11 -8 V\n-9 -9 V\n-8 -8 V\n-8 -9 V\n-7 -8 V\n-7
    -8 V\n-7 -7 V\n-8 -8 V\n-7 -8 V\n-8 -7 V\n-9 -7 V\n-9 -7 V\n-10 -7 V\n-11
    -6 V\n-12 -6 V\n-13 -6 V\n-14 -5 V\n-16 -4 V\n-17 -4 V\n-18 -3 V\n-20 -3
    V\n-21 0 V\n-23 0 V\n-23 2 V\n-25 4 V\n-25 5 V\n-26 9 V\n-25 11 V\n-24 13
    V\n-22 17 V\n-19 20 V\n-15 22 V\n-10 25 V\n-5 26 V\n2 27 V\n8 26 V\n15 25
    V\n21 22 V\n26 19 V\n30 14 V\n32 10 V\n34 6 V\n34 1 V\n33 -3 V\n31 -6
    V\n29 -9 V\n27 -11 V\n23 -12 V\n21 -13 V\n18 -13 V\n16 -14 V\n14 -14
    V\n11 -13 V\n9 -13 V\n7 -13 V\n6 -13 V\n4 -12 V\n4 -11 V\n2 -12 V\n0 -10
    V\n0 -11 V\n0 -10 V\n-2 -9 V\n-3 -10 V\n-3 -8 V\n-4 -9 V\n-5 -8 V\n-6 -8
    V\n-7 -8 V\n-7 -8 V\n-9 -7 V\n-9 -7 V\n-11 -6 V\n-12 -6 V\n-13 -6 V\n-15
    -5 V\n-17 -5 V\n-18 -4 V\n-19 -4 V\n-22 -2 V\n-23 -2 V\n-26 0 V\n-27 2
    V\n-28 3 V\n-30 6 V\n-31 9 V\n-30 12 V\n-30 16 V\n-28 19 V\n-24 24 V\n-20
    27 V\n-14 30 V\n-6 33 V\n2 34 V\n10 33 V\n19 32 V\n27 28 V\n34 23 V\n38
    17 V\n41 11 V\n42 5 V\n42 0 V\n40 -5 V\n37 -9 V\n34 -12 V\n31 -13 V\n27
    -15 V\n23 -16 V\n21 -16 V\n17 -15 V\n15 -16 V\n12 -14 V\n11 -15 V\n8 -14
    V\n7 -13 V\n6 -12 V\n5 -12 V\n4 -12 V\n2 -10 V\n3 -11 V\n2 -10 V\n1 -9
    V\n1 -9 V\n0 -9 V\n1 -8 V\n0 -8 V\n-1 -8 V\n0 -7 V\n-1 -7 V\n-1 -7 V\n-1
    -7 V\n-1 -6 V\n-1 -7 V\n-2 -6 V\n-2 -6 V\n-2 -6 V\n-2 -5 V\n-3 -6 V\n-3
    -5 V\n-4 -5 V\n-4 -6 V\n-4 -5 V\n-5 -5 V\n-6 -5 V\n-7 -4 V\n-7 -5 V\n-8
    -5 V\n-10 -5 V\n-10 -5 V\n-12 -4 V\n-14 -5 V\n-15 -4 V\n-17 -4 V\n-20 -4
    V\n-21 -4 V\n-25 -3 V\n-27 -2 V\n-31 -1 V\n-33 1 V\n-37 2 V\n-40 5 V\n-42
    9 V\n-45 13 V\n-45 18 V\n-44 24 V\n-42 31 V\n-36 38 V\n-27 45 V\n-16 51
    V\n-2 55 V\n15 56 V\n29 53 V\n45 47 V\n55 37 V\n64 26 V\n66 14 V\n67 4
    V\n63 -6 V\n59 -12 V\n53 -17 V\n46 -20 V\n41 -21 V\n35 -22 V\n29 -21
    V\n26 -19 V\n21 -19 V\n18 -17 V\n16 -17 V\n14 -14 V\n11 -14 V\n11 -12
    V\n10 -11 V\n9 -11 V\n8 -9 V\n9 -8 V\n8 -7 V\n9 -7 V\n9 -6 V\n10 -4 V\n10
    -4 V\n11 -3 V\n12 -2 V\n12 -2 V\n14 0 V\n15 1 V\n16 2 V\n16 3 V\n18 5
    V\n19 5 V\n19 7 V\n20 9 V\n21 10 V\n20 11 V\n20 12 V\n19 14 V\n18 14
    V\n15 15 V\n13 14 V\n9 14 V\n5 14 V\n1 11 V\n-5 10 V\n-8 7 V\n-14 5
    V\n-17 2 V\n-21 -1 V\n-23 -4 V\n-25 -5 V\n-26 -8 V\n-26 -8 V\n-26 -10
    V\n-24 -9 V\n-23 -11 V\n-20 -10 V\n-19 -10 V\n-17 -9 V\n-15 -10 V\n-12 -9
    V\n-11 -8 V\n-8 -9 V\n-7 -8 V\n-6 -7 V\n-4 -8 V\n-2 -7 V\n-1 -6 V\n0 -6
    V\n1 -6 V\n2 -6 V\n3 -5 V\n5 -5 V\n5 -4 V\n7 -4 V\n7 -4 V\n9 -2 V\n10 -2
    V\n11 -2 V\n12 0 V\n14 0 V\n15 2 V\n16 2 V\n17 4 V\n19 5 V\n20 6 V\n21 7
    V\n22 10 V\n22 10 V\n23 13 V\n23 13 V\n22 16 V\n21 16 V\n18 17 V\n16 17
    V\n12 17 V\n7 15 V\n2 14 V\n-4 12 V\n-9 9 V\n-15 6 V\n-19 3 V\n-24 -1
    V\n-26 -4 V\n-29 -6 V\n-30 -9 V\n-30 -10 V\n-29 -11 V\n-28 -11 V\n-25 -12
    V\n-24 -11 V\n-21 -11 V\n-19 -11 V\n-16 -10 V\n-14 -10 V\n-12 -9 V\n-10
    -9 V\n-8 -8 V\n-6 -8 V\n-5 -8 V\n-3 -8 V\n-2 -7 V\n-1 -7 V\n0 -7 V\n1 -6
    V\n3 -6 V\n3 -6 V\n4 -5 V\n5 -5 V\n6 -4 V\n7 -4 V\n8 -4 V\n10 -3 V\n10 -2
    V\n12 -1 V\n13 -1 V\n14 1 V\n15 1 V\n18 2 V\n18 4 V\n20 5 V\n22 7 V\n23 8
    V\n25 10 V\n25 12 V\n27 13 V\n26 16 V\n26 17 V\n25 19 V\n23 20 V\n20 20
    V\n16 20 V\n10 20 V\n4 18 V\n-3 15 V\n-9 11 V\n-17 8 V\n-23 3 V\n-28 -1
    V\n-32 -4 V\n-34 -8 V\n-35 -11 V\n-36 -12 V\n-34 -13 V\n-32 -13 V\n-30
    -14 V\n-27 -13 V\n-24 -12 V\n-21 -12 V\n-19 -11 V\n-16 -11 V\n-13 -10
    V\n-11 -9 V\n-9 -9 V\n-8 -9 V\n-6 -8 V\n-4 -9 V\n-4 -8 V\n-2 -7 V\n-1 -8
    V\n0 -7 V\n0 -7 V\n1 -7 V\n2 -6 V\n3 -6 V\ncurrentpoint stroke M\n3 -6
    V\n5 -6 V\n4 -5 V\n6 -5 V\n6 -4 V\n8 -4 V\n8 -3 V\n9 -3 V\n11 -2 V\n11 -2
    V\n13 -1 V\n14 1 V\n16 1 V\n18 2 V\n19 3 V\n22 5 V\n23 7 V\n25 8 V\n28 10
    V\n29 13 V\n30 14 V\n32 18 V\n33 19 V\n32 22 V\n31 24 V\n29 26 V\n24 27
    V\n18 26 V\n11 25 V\n3 22 V\n-7 18 V\n-16 13 V\n-26 7 V\n-33 0 V\n-39 -4
    V\n-43 -10 V\n-46 -13 V\n-45 -15 V\n-44 -17 V\n-41 -17 V\n-37 -16 V\n-34
    -16 V\n-30 -15 V\n-26 -14 V\n-23 -12 V\n-19 -12 V\n-17 -11 V\n-14 -10
    V\n-11 -10 V\n-10 -9 V\n-9 -9 V\n-6 -9 V\n-6 -9 V\n-5 -8 V\n-4 -9 V\n-4
    -8 V\n-3 -8 V\n-2 -8 V\n-3 -7 V\n-2 -8 V\n-2 -7 V\n-2 -8 V\n-2 -7 V\n-2
    -7 V\n-3 -7 V\n-2 -7 V\n-3 -6 V\n-3 -7 V\n-3 -6 V\n-3 -6 V\n-4 -6 V\n-4
    -6 V\n-5 -6 V\n-6 -6 V\n-6 -6 V\n-7 -5 V\n-7 -6 V\n-9 -5 V\n-9 -5 V\n-11
    -6 V\n-13 -5 V\n-13 -5 V\n-16 -4 V\n-17 -5 V\n-20 -4 V\n-21 -3 V\n-25 -3
    V\n-27 -2 V\n-29 -1 V\n-33 1 V\n-35 3 V\n-38 5 V\n-40 9 V\n-42 13 V\n-41
    18 V\n-41 24 V\n-37 30 V\n-32 36 V\n-23 42 V\n-13 47 V\n1 51 V\n14 50
    V\n28 47 V\n41 42 V\n51 33 V\n57 23 V\n61 14 V\n60 3 V\n59 -4 V\n54 -11
    V\n49 -15 V\n44 -19 V\n38 -19 V\n33 -20 V\n28 -20 V\n24 -19 V\n20 -18
    V\n18 -18 V\n15 -16 V\n13 -14 V\n11 -14 V\n10 -13 V\n8 -12 V\n9 -11 V\n7
    -10 V\n8 -9 V\n7 -8 V\n8 -7 V\n8 -7 V\n8 -6 V\n9 -5 V\n9 -5 V\n11 -3
    V\n11 -3 V\n12 -2 V\n13 -1 V\n15 0 V\n16 1 V\n17 2 V\n18 4 V\n20 4 V\n20
    7 V\n23 8 V\n23 9 V\n24 12 V\n24 12 V\n24 15 V\n24 16 V\n22 17 V\n20 18
    V\n17 19 V\n12 18 V\n8 17 V\n2 15 V\n-4 13 V\n-10 9 V\n-16 6 V\n-21 3
    V\n-26 -2 V\n-29 -4 V\n-31 -7 V\n-32 -10 V\n-32 -10 V\n-31 -12 V\n-29 -12
    V\n-27 -13 V\n-24 -12 V\n-22 -11 V\n-20 -11 V\n-17 -11 V\n-14 -10 V\n-12
    -9 V\n-10 -9 V\n-9 -9 V\n-6 -8 V\n-5 -9 V\n-4 -7 V\n-2 -8 V\n-2 -7 V\n0
    -7 V\n1 -7 V\n2 -6 V\n2 -6 V\n4 -6 V\n4 -5 V\n6 -5 V\n6 -5 V\n7 -4 V\n8
    -3 V\n9 -3 V\n10 -3 V\n12 -1 V\n13 -1 V\n14 0 V\n16 1 V\n17 2 V\n19 4
    V\n20 5 V\n22 6 V\n24 8 V\n26 10 V\n27 12 V\n27 14 V\n29 16 V\n29 18
    V\n27 19 V\n26 22 V\n24 22 V\n19 23 V\n13 22 V\n7 20 V\n0 18 V\n-8 14
    V\n-15 10 V\n-24 5 V\n-29 0 V\n-34 -5 V\n-37 -8 V\n-39 -11 V\n-39 -13
    V\n-37 -14 V\n-36 -14 V\n-33 -15 V\n-30 -14 V\n-26 -13 V\n-23 -13 V\n-21
    -12 V\n-17 -11 V\n-15 -10 V\n-12 -10 V\n-11 -10 V\n-8 -9 V\n-7 -8 V\n-6
    -9 V\n-4 -8 V\n-3 -8 V\n-2 -8 V\n-2 -8 V\n-1 -7 V\n0 -8 V\n0 -7 V\n1 -7
    V\n2 -6 V\n2 -6 V\n2 -7 V\n3 -5 V\n3 -6 V\n4 -5 V\n5 -5 V\n5 -5 V\n6 -4
    V\n7 -4 V\n7 -3 V\n8 -3 V\n10 -2 V\n10 -2 V\n12 -1 V\n13 0 V\n15 1 V\n16
    1 V\n18 3 V\n21 4 V\n22 5 V\n25 7 V\n27 9 V\n30 12 V\n32 13 V\n34 17
    V\n36 19 V\n37 22 V\n37 25 V\n37 28 V\n33 30 V\n29 31 V\n23 32 V\n14 30
    V\n4 26 V\n-8 22 V\n-20 15 V\n-31 8 V\n-40 0 V\n-47 -7 V\n-52 -13 V\n-54
    -17 V\n-52 -19 V\n-50 -20 V\n-47 -19 V\n-42 -19 V\n-37 -18 V\n-33 -15
    V\n-28 -15 V\n-24 -13 V\n-21 -11 V\n-18 -11 V\n-15 -11 V\n-13 -9 V\n-11
    -10 V\n-9 -9 V\n-8 -8 V\n-7 -9 V\n-7 -9 V\n-6 -8 V\n-5 -8 V\n-6 -8 V\n-6
    -8 V\n-5 -8 V\n-6 -8 V\n-6 -7 V\n-7 -8 V\n-7 -7 V\n-8 -7 V\n-9 -7 V\n-9
    -7 V\n-11 -6 V\n-11 -7 V\n-13 -6 V\n-15 -5 V\n-15 -5 V\n-17 -5 V\n-19 -3
    V\n-21 -3 V\n-22 -2 V\n-24 -1 V\n-26 0 V\n-28 3 V\n-29 5 V\n-30 7 V\n-31
    10 V\n-30 14 V\n-29 17 V\n-26 21 V\n-22 25 V\n-18 28 V\n-10 31 V\n-3 34
    V\n5 33 V\n15 33 V\n22 30 V\n30 26 V\n35 20 V\n40 15 V\n41 8 V\n42 3
    V\n41 -3 V\n39 -6 V\n35 -11 V\n33 -12 V\n29 -14 V\n25 -15 V\n22 -16 V\n19
    -16 V\n17 -15 V\n13 -15 V\n12 -15 V\n9 -14 V\n8 -13 V\n7 -13 V\n5 -13
    V\n4 -11 V\n3 -11 V\n3 -11 V\n2 -10 V\n1 -10 V\n1 -9 V\n1 -9 V\n0 -9 V\n0
    -8 V\n0 -8 V\n-1 -7 V\n0 -8 V\n-1 -7 V\n-1 -7 V\n-2 -6 V\n-2 -7 V\n-1 -6
    V\n-3 -6 V\n-2 -6 V\n-3 -6 V\n-3 -5 V\n-4 -6 V\n-4 -5 V\n-4 -6 V\n-5 -5
    V\n-6 -5 V\n-7 -5 V\n-7 -5 V\n-9 -5 V\n-9 -5 V\n-11 -5 V\n-12 -5 V\n-14
    -5 V\n-15 -4 V\n-17 -4 V\n-20 -4 V\n-22 -4 V\n-24 -3 V\n-28 -2 V\n-30 -1
    V\n-33 1 V\n-37 3 V\ncurrentpoint stroke M\n-39 5 V\n-42 9 V\n1.000
    UL\nLTb\nLTb\n3024 949 M\n2128 465 L\n1.000 UL\nLTb\nLTb\n576 744 M\n2128
    465 L\n1.000 UL\nLTb\nLTb\n576 744 M\n896 484 V\n1.000 UL\nLTb\nLTb\n3024
    949 M\n1472 1228 L\n1.000 UL\nLTb\nLTb\n576 744 M\n0 967 V\n1.000
    UL\nLTb\nLTb\n576 744 M\n47 41 V\n1.000 UL\nLTb\n512 652 M\n[
    [(Helvetica) 140.0 0.0 true true 0 (-20)]\n] -46.7 MCshow\n1.000
    UL\nLTb\nLTb\n1472 1228 M\n-47 -41 V\n1.000 UL\nLTb\nLTb\n964 674 M\n48
    41 V\n1.000 UL\nLTb\n901 583 M\n[ [(Helvetica) 140.0 0.0 true true 0
    (-10)]\n] -46.7 MCshow\n1.000 UL\nLTb\nLTb\n1860 1158 M\n-48 -41 V\n1.000
    UL\nLTb\nLTb\n1352 604 M\n48 42 V\n1.000 UL\nLTb\n1289 513 M\n[
    [(Helvetica) 140.0 0.0 true true 0 ( 0)]\n] -46.7 MCshow\n1.000
    UL\nLTb\nLTb\n2248 1088 M\n-48 -41 V\n1.000 UL\nLTb\nLTb\n1740 534 M\n48
    42 V\n1.000 UL\nLTb\n1677 443 M\n[ [(Helvetica) 140.0 0.0 true true 0 (
    10)]\n] -46.7 MCshow\n1.000 UL\nLTb\nLTb\n2636 1019 M\n-48 -42 V\n1.000
    UL\nLTb\nLTb\n2128 465 M\n47 41 V\n1.000 UL\nLTb\n2064 373 M\n[
    [(Helvetica) 140.0 0.0 true true 0 ( 20)]\n] -46.7 MCshow\n1.000
    UL\nLTb\nLTb\n3024 949 M\n-47 -42 V\n1.000 UL\nLTb\nLTb\n2128 465 M\n-61
    17 V\n stroke\n2208 426 M\n[ [(Helvetica) 140.0 0.0 true true 0 (-20)]\n]
    -46.7 MLshow\n1.000 UL\nLTb\nLTb\n576 744 M\n60 -17 V\n1.000
    UL\nLTb\nLTb\n2352 586 M\n-61 17 V\n stroke\n2432 547 M\n[ [(Helvetica)
    140.0 0.0 true true 0 (-10)]\n] -46.7 MLshow\n1.000 UL\nLTb\nLTb\n800 865
    M\n61 -17 V\n1.000 UL\nLTb\nLTb\n2576 707 M\n-61 17 V\n stroke\n2657 668
    M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 0)]\n] -46.7 MLshow\n1.000
    UL\nLTb\nLTb\n1024 986 M\n61 -17 V\n1.000 UL\nLTb\nLTb\n2800 828 M\n-61
    17 V\n stroke\n2881 789 M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 10)]\n]
    -46.7 MLshow\n1.000 UL\nLTb\nLTb\n1248 1107 M\n61 -17 V\n1.000
    UL\nLTb\nLTb\n3024 949 M\n-60 17 V\n stroke\n3105 910 M\n[ [(Helvetica)
    140.0 0.0 true true 0 ( 20)]\n] -46.7 MLshow\n1.000 UL\nLTb\nLTb\n1472
    1228 M\n61 -17 V\n1.000 UL\nLTb\nLTb\n576 1067 M\n63 0 V\n stroke\n450
    1067 M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 0)]\n] -46.7 MRshow\n1.000
    UL\nLTb\nLTb\n576 1196 M\n63 0 V\n stroke\n450 1196 M\n[ [(Helvetica)
    140.0 0.0 true true 0 ( 10)]\n] -46.7 MRshow\n1.000 UL\nLTb\nLTb\n576
    1325 M\n63 0 V\n stroke\n450 1325 M\n[ [(Helvetica) 140.0 0.0 true true 0
    ( 20)]\n] -46.7 MRshow\n1.000 UL\nLTb\nLTb\n576 1453 M\n63 0 V\n
    stroke\n450 1453 M\n[ [(Helvetica) 140.0 0.0 true true 0 ( 30)]\n] -46.7
    MRshow\n1.000 UL\nLTb\nLTb\n576 1582 M\n63 0 V\n stroke\n450 1582 M\n[
    [(Helvetica) 140.0 0.0 true true 0 ( 40)]\n] -46.7 MRshow\n1.000
    UL\nLTb\nLTb\n576 1711 M\n63 0 V\n stroke\n450 1711 M\n[ [(Helvetica)
    140.0 0.0 true true 0 ( 50)]\n] -46.7 MRshow\n1.000
    UP\nstroke\ngrestore\nend\nshowpage\n>|eps>||||||>

    Certainly, we can also save the data of <with|mode|math|y> and plot with
    Gnuplot.
  </example>

  \ 

  Before the end of this topic, don't forget to save the result,
  <with|color|red|[File]<with|mode|math|\<rightarrow\>>[Saved
  as]>.<with|color|black| You can choose the default file-extension, tm,>
  then all the data will be stored in XML-like format. If you want to output
  the data, press "<with|color|red|printer>" or export as postscript file
  since the postscript format is full supported in any Linux systems and this
  format is the default output format in Linux box.\ 

  <section|Graph Gallery>

  Just as mentioned before, gnuplot is a very professional software for
  maintaining scientific data. Here, we collect some interesting plots:

  <\session|gnuplot|default>
    <\output>
      This is a TeXmacs interface for GNUplot.

      \;
    </output>

    <\input|GNUplot] >
      f(x,y)=x**6+3*y**2*x**4+(3*y**4-4*y**2)*x**2+y**6
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~set pm3d hidden 100 ~set
      style line 100 lt 6 ~set nokey \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~set
      xrange[-1:1] ~set yrange[-1:1] ~set isosamples 30,30
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~set hidden3d ~set contour
      ~set cntrparam levels discrete 0.05,0,-0.05,-0.5 \ \ \ ~set size 0.7,1
      ~splot -f(x,y) w dots lt 2
    </input>

    <\output>
      <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
      temp.eps\n%%Creator: gnuplot 3.8h patchlevel 0\n%%CreationDate: Sun Mar
      30 13:15:27 2003\n%%DocumentFonts: (atend)\n%%BoundingBox: 50 50 301
      302\n%%Orientation: Portrait\n%%EndComments\n/gnudict 256 dict
      def\ngnudict begin\n/Color false def\n/Solid false def\n/gnulinewidth
      5.000 def\n/userlinewidth gnulinewidth def\n/vshift -46 def\n/dl {10.0
      mul} def\n/hpt_ 31.5 def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt vpt_
      def\n/M {moveto} bind def\n/L {lineto} bind def\n/R {rmoveto} bind
      def\n/V {rlineto} bind def\n/N {newpath moveto} bind def\n/f {rlineto
      fill} bind def\n/vpt2 vpt 2 mul def\n/hpt2 hpt 2 mul def\n/Lshow {
      currentpoint stroke M\n \ 0 vshift R show } def\n/Rshow { currentpoint
      stroke M\n \ dup stringwidth pop neg vshift R show } def\n/Cshow {
      currentpoint stroke M\n \ dup stringwidth pop -2 div vshift R show }
      def\n/UP { dup vpt_ mul /vpt exch def hpt_ mul /hpt exch def\n \ /hpt2
      hpt 2 mul def /vpt2 vpt 2 mul def } def\n/DL { Color {setrgbcolor Solid
      {pop []} if 0 setdash }\n {pop pop pop Solid {pop []} if 0 setdash}
      ifelse } def\n/BL { stroke userlinewidth 2 mul setlinewidth } def\n/AL
      { stroke userlinewidth 2 div setlinewidth } def\n/UL { dup gnulinewidth
      mul /userlinewidth exch def\n \ \ \ \ \ dup 1 lt {pop 1} if 10 mul /udl
      exch def } def\n/PL { stroke userlinewidth setlinewidth } def\n/LTb {
      BL [] 0 0 0 DL } def\n/LTa { AL [1 udl mul 2 udl mul] 0 setdash 0 0 0
      setrgbcolor } def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 { PL [4 dl 2 dl] 0
      1 0 DL } def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL } def\n/LT3 { PL [1 dl 1.5
      dl] 1 0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl 2 dl] 0 1 1 DL }
      def\n/LT5 { PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL } def\n/LT6 { PL [2 dl 2
      dl 2 dl 4 dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      1 0.3 0 DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      0.5 0.5 0.5 DL } def\n/Pnt { stroke [] 0 setdash\n \ \ gsave 1
      setlinecap M 0 0 V stroke grestore } def\n/Dia { stroke [] 0 setdash 2
      copy vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt
      neg vpt V closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0 setdash
      vpt sub M 0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg R hpt2
      0 V stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt sub
      exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
      closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt sub
      exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2 neg 0
      R hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy vpt 1.12
      mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      1.62 mul V closepath stroke\n \ Pnt \ } def\n/Star { 2 copy Pls Crs }
      def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V \ closepath fill }
      def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt
      -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath fill
      } def\n/TriD { stroke [] 0 setdash 2 copy vpt 1.12 mul sub M\n \ hpt
      neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V
      closepath stroke\n \ Pnt \ } def\n/TriDF { stroke [] 0 setdash vpt 1.12
      mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      -1.62 mul V closepath fill} def\n/DiaF { stroke [] 0 setdash vpt add
      M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V
      closepath fill } def\n/Pent { stroke [] 0 setdash 2 copy gsave\n
      \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath stroke
      grestore Pnt } def\n/PentF { stroke [] 0 setdash gsave\n \ translate 0
      hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath fill grestore }
      def\n/Circle { stroke [] 0 setdash 2 copy\n \ hpt 0 360 arc stroke Pnt
      } def\n/CircleF { stroke [] 0 setdash hpt 0 360 arc fill } def\n/C0 {
      BL [] 0 setdash 2 copy moveto vpt 90 450 \ arc } bind def\n/C1 { BL []
      0 setdash 2 copy \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C2 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C3 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
      bind def\n/C4 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
      \ vpt 180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 270 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C6 { BL [] 0
      setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 90 270 arc closepath
      fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
      def\n/C7 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 0 270
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
      } bind def\n/C8 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
      copy \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
      moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13 {
      BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
      setdash 2 copy vpt 0 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
      \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
      \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
      bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
      def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
      bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
      def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
      Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch vpt2
      vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy exch vpt
      sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 { BL [] 0
      setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt sub exch
      vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0 setdash 2
      copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare } bind
      def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt vpt2
      Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub vpt Square fill Bsquare
      } bind def\n/S9 { BL [] 0 setdash 2 copy vpt sub vpt vpt2 Rec fill
      Bsquare } bind def\n/S10 { BL [] 0 setdash 2 copy vpt sub vpt Square
      fill 2 copy exch vpt sub exch vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S11 { BL [] 0 setdash 2 copy vpt sub vpt Square fill 2 copy
      exch vpt sub exch vpt2 vpt Rec fill\n \ \ \ \ \ \ Bsquare } bind
      def\n/S12 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt
      Rec fill Bsquare } bind def\n/S13 { BL [] 0 setdash 2 copy exch vpt sub
      exch vpt sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill
      Bsquare } bind def\n/S14 { BL [] 0 setdash 2 copy exch vpt sub exch vpt
      sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square
      fill Bsquare } bind def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill
      Bsquare } bind def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke
      grestore } bind def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke
      grestore } bind def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke
      grestore } bind def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke
      grestore } bind def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke
      grestore } bind def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke
      grestore } bind def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke
      grestore } bind def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke
      grestore } bind def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke
      grestore } bind def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke
      grestore } bind def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke
      grestore } bind def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke
      grestore } bind def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke
      grestore } bind def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke
      grestore } bind def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke
      grestore } bind def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke
      grestore } bind def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg
      vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke }
      def\n/BoxE { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE
      { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke }
      def\n/TriDE { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt
      1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath
      stroke } def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M
      4 {72 rotate 0 hpt L} repeat\n \ closepath stroke grestore }
      def\n/CircE { stroke [] 0 setdash \n \ hpt 0 360 arc stroke }
      def\n/Opaque { gsave closepath 1 setgray fill grestore 0 setgray
      closepath } def\n/DiaW { stroke [] 0 setdash vpt add M\n \ hpt neg vpt
      neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V Opaque stroke }
      def\n/BoxW { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW {
      stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW
      { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW
      { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
      repeat\n \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash
      \n \ hpt 0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray
      fill grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
      makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
      ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0 get
      findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ] exch
      dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch 4 get
      {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n \ \ \ \ {dup 3
      get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5\n
      \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop
      -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get\n
      \ \ \ \ show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop
      pop\n \ \ \ \ pop aload pop M} ifelse }ifelse }ifelse } forall} bind
      def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get findfont exch 1 get
      scalefont\n \ \ \ \ setfont 6 get stringwidth pop add} {pop} ifelse}
      forall} bind def\n/MLshow { currentpoint stroke M\n \ 0 exch R MFshow }
      bind def\n/MRshow { currentpoint stroke M\n \ exch dup MFwidth neg 3 -1
      roll R MFshow } def\n/MCshow { currentpoint stroke M\n \ exch dup
      MFwidth -2 div 3 -1 roll R MFshow } def\nend\n%%EndProlog\ngnudict
      begin\ngsave\n50 50 translate\n0.050 0.050 scale\n0
      setgray\nnewpath\n(Helvetica) findfont 140 scalefont setfont\n1.000
      UL\nLTb\ngsave %% colour palette begin\n/maxcolors 0
      def\n/maxcolorsLast {maxcolors 1 sub maxcolors div} def\n/pm3dround
      {maxcolors 0 gt {dup maxcolorsLast ge {pop 1} {maxcolors mul floor
      maxcolors div} ifelse} if} def\n/cF7 {sqrt} bind def\t% sqrt(x)\n/cF5
      {dup dup mul mul} bind def\t% x^3\n/cF15 {360 mul sin} bind def\t%
      sin(360x)\nColor true and { % COLOUR vs. GRAY map\n \ /g {stroke
      pm3dround dup cF7 exch dup cF5 exch cF15 setrgbcolor} bind def\n \ /h
      {rlineto rlineto rlineto fill} bind def\n}{\n \ /g {stroke pm3dround
      setgray} bind def\n \ /h {rlineto rlineto rlineto fill} bind def\n}
      ifelse\n%pm3d_map_begin\n.2065 g 2040 3094 N 45 -236 78 252 -45 277
      h\n1.000 UP\n1.000 UL\nLT5\n2040 3094 M\n78 293 V\n-45 236 V\n-78 -252
      V\n45 -277 V\n.3798 g 2118 3387 N 45 -200 78 177 -45 236 h\n1.000
      UP\n1.000 UL\nLT5\n2118 3387 M\n78 213 V\n-45 200 V\n-78 -177 V\n45
      -236 V\n.5059 g 2196 3600 N 45 -173 78 120 -45 200 h\n1.000 UP\n1.000
      UL\nLT5\n2196 3600 M\n78 147 V\n-45 173 V\n-78 -120 V\n45 -200 V\n.5949
      g 2274 3747 N 45 -149 78 73 -45 173 h\n1.000 UP\n1.000 UL\nLT5\n2274
      3747 M\n78 97 V\n-45 149 V\n-78 -73 V\n45 -173 V\n.655 g 2352 3844 N 45
      -130 78 39 -45 149 h\n1.000 UP\n1.000 UL\nLT5\n2352 3844 M\n78 58
      V\n-45 130 V\n-78 -39 V\n45 -149 V\n.6931 g 2430 3902 N 45 -116 78 13
      -45 130 h\n1.000 UP\n1.000 UL\nLT5\n2430 3902 M\n78 27 V\n-45 116
      V\n-78 -13 V\n45 -130 V\n.7149 g 2508 3929 N 46 -104 78 -6 -45 116
      h\n1.000 UP\n1.000 UL\nLT5\n2508 3929 M\n79 6 V\n-46 104 V\n-78 6 V\n45
      -116 V\n.7251 g 2587 3935 N 45 -95 79 -18 -46 104 h\n1.000 UP\n1.000
      UL\nLT5\n2587 3935 M\n78 -9 V\n-45 95 V\n-79 18 V\n46 -104 V\n.7276 g
      2665 3926 N 45 -89 78 -26 -45 95 h\n1.000 UP\n1.000 UL\nLT5\n2665 3926
      M\n78 -20 V\n-45 89 V\n-78 26 V\n45 -95 V\n.7252 g 2743 3906 N 45 -84
      78 -31 -45 89 h\n1.000 UP\n1.000 UL\nLT5\n2743 3906 M\n78 -26 V\n-45 84
      V\n-78 31 V\n45 -89 V\n.7204 g 2821 3880 N 45 -80 78 -32 -45 84
      h\n1.000 UP\n1.000 UL\nLT5\n2821 3880 M\n78 -28 V\n-45 80 V\n-78 32
      V\n45 -84 V\n.7149 g 2899 3852 N 45 -78 78 -31 -45 80 h\n1.000
      UP\n1.000 UL\nLT5\n2899 3852 M\n78 -29 V\n-45 78 V\n-78 31 V\n45 -80
      V\n.7101 g 2977 3823 N 45 -77 78 -29 -45 78 h\n1.000 UP\n1.000
      UL\nLT5\n2977 3823 M\n78 -28 V\n-45 77 V\n-78 29 V\n45 -78 V\n.7068 g
      3055 3795 N 45 -76 78 -26 -45 77 h\n1.000 UP\n1.000 UL\nLT5\n3055 3795
      M\n78 -25 V\n-45 76 V\n-78 26 V\n45 -77 V\n.7057 g 3133 3770 N 45 -76
      78 -22 -45 76 h\n1.000 UP\n1.000 UL\nLT5\n3133 3770 M\n78 -22 V\n-45 76
      V\n-78 22 V\n45 -76 V\n.7068 g 3211 3748 N 45 -77 78 -18 -45 76
      h\n1.000 UP\n1.000 UL\nLT5\n3211 3748 M\n78 -19 V\n-45 77 V\n-78 18
      V\n45 -76 V\n.7101 g 3289 3729 N 45 -79 78 -15 -45 77 h\n1.000
      UP\n1.000 UL\nLT5\n3289 3729 M\n78 -17 V\n-45 79 V\n-78 15 V\n45 -77
      V\n.7149 g 3367 3712 N 46 -81 78 -13 -45 79 h\n1.000 UP\n1.000
      UL\nLT5\n3367 3712 M\n79 -15 V\n-46 81 V\n-78 13 V\n45 -79 V\n.7204 g
      3446 3697 N 45 -84 79 -12 -46 81 h\n1.000 UP\n1.000 UL\nLT5\n3446 3697
      M\n78 -15 V\n-45 84 V\n-79 12 V\n46 -81 V\n.7252 g 3524 3682 N 45 -89
      78 -14 -45 84 h\n1.000 UP\n1.000 UL\nLT5\n3524 3682 M\n78 -19 V\n-45 89
      V\n-78 14 V\n45 -84 V\n.7276 g 3602 3663 N 45 -95 78 -18 -45 89
      h\n1.000 UP\n1.000 UL\nLT5\n3602 3663 M\n78 -24 V\n-45 95 V\n-78 18
      V\n45 -89 V\n.7251 g 3680 3639 N 45 -105 78 -25 -45 95 h\n1.000
      UP\n1.000 UL\nLT5\n3680 3639 M\n78 -35 V\n-45 105 V\n-78 25 V\n45 -95
      V\n.7149 g 3758 3604 N 45 -116 78 -39 -45 105 h\n1.000 UP\n1.000
      UL\nLT5\n3758 3604 M\n78 -50 V\n-45 116 V\n-78 39 V\n45 -105 V\n.6931 g
      3836 3554 N 45 -130 78 -57 -45 116 h\n1.000 UP\n1.000 UL\nLT5\n3836
      3554 M\n78 -71 V\n-45 130 V\n-78 57 V\n45 -116 V\n.655 g 3914 3483 N 45
      -149 78 -83 -45 130 h\n1.000 UP\n1.000 UL\nLT5\n3914 3483 M\n78 -102
      V\n-45 149 V\n-78 83 V\n45 -130 V\n.5949 g 3992 3381 N 45 -172 78 -118
      -45 149 h\n1.000 UP\n1.000 UL\nLT5\n3992 3381 M\n78 -141 V\n-45 172
      V\n-78 118 V\n45 -149 V\n.5059 g 4070 3240 N 45 -201 78 -163 -45 172
      h\n1.000 UP\n1.000 UL\nLT5\n4070 3240 M\n78 -192 V\n-45 201 V\n-78 163
      V\n45 -172 V\n.3798 g 4148 3048 N 45 -235 78 -222 -45 201 h\n1.000
      UP\n1.000 UL\nLT5\n4148 3048 M\n78 -256 V\n-45 235 V\n-78 222 V\n45
      -201 V\n.2065 g 4226 2792 N 46 -278 78 -295 -45 235 h\n1.000 UP\n1.000
      UL\nLT5\n4226 2792 M\n79 -338 V\n-46 278 V\n-78 295 V\n45 -235 V\n.3798
      g 1995 3371 N 45 -161 78 217 -45 196 h\n1.000 UP\n1.000 UL\nLT5\n1995
      3371 M\n78 252 V\n-45 161 V\n-78 -217 V\n45 -196 V\n.5293 g 2073 3623 N
      45 -134 78 150 -45 161 h\n1.000 UP\n1.000 UL\nLT5\n2073 3623 M\n78 177
      V\n-45 134 V\n-78 -150 V\n45 -161 V\n.6361 g 2151 3800 N 45 -110 78 96
      -45 134 h\n1.000 UP\n1.000 UL\nLT5\n2151 3800 M\n78 120 V\n-45 110
      V\n-78 -96 V\n45 -134 V\n.7093 g 2229 3920 N 45 -92 78 55 -45 110
      h\n1.000 UP\n1.000 UL\nLT5\n2229 3920 M\n78 73 V\n-45 92 V\n-78 -55
      V\n45 -110 V\n.7569 g 2307 3993 N 45 -78 78 25 -45 92 h\n1.000
      UP\n1.000 UL\nLT5\n2307 3993 M\n78 39 V\n-45 78 V\n-78 -25 V\n45 -92
      V\n.7851 g 2385 4032 N 45 -67 78 2 -45 78 h\n1.000 UP\n1.000
      UL\nLT5\n2385 4032 M\n78 13 V\n-45 67 V\n-78 -2 V\n45 -78 V\n.7993 g
      2463 4045 N 45 -59 78 -14 -45 67 h\n1.000 UP\n1.000 UL\nLT5\n2463 4045
      M\n78 -6 V\n-45 59 V\n-78 14 V\n45 -67 V\n.8037 g 2541 4039 N 46 -53 78
      -24 -45 59 h\n1.000 UP\n1.000 UL\nLT5\n2541 4039 M\n79 -18 V\n-46 53
      V\n-78 24 V\n45 -59 V\n.8017 g 2620 4021 N 45 -48 79 -31 -46 53
      h\n1.000 UP\n1.000 UL\nLT5\n2620 4021 M\n78 -26 V\n-45 48 V\n-79 31
      V\n46 -53 V\n.7962 g 2698 3995 N 45 -46 78 -33 -45 48 h\n1.000
      UP\n1.000 UL\nLT5\n2698 3995 M\n78 -31 V\n-45 46 V\n-78 33 V\n45 -48
      V\n.7891 g 2776 3964 N 45 -44 78 -34 -45 46 h\n1.000 UP\n1.000
      UL\nLT5\n2776 3964 M\n78 -32 V\n-45 44 V\n-78 34 V\n45 -46 V\n.7821 g
      2854 3932 N 45 -42 78 -33 -45 44 h\n1.000 UP\n1.000 UL\nLT5\n2854 3932
      M\n78 -31 V\n-45 42 V\n-78 33 V\n45 -44 V\n.7763 g 2932 3901 N 45 -41
      78 -30 -45 42 h\n1.000 UP\n1.000 UL\nLT5\n2932 3901 M\n78 -29 V\n-45 41
      V\n-78 30 V\n45 -42 V\n.7726 g 3010 3872 N 45 -41 78 -26 -45 41
      h\n1.000 UP\n1.000 UL\nLT5\n3010 3872 M\n78 -26 V\n-45 41 V\n-78 26
      V\n45 -41 V\n.7712 g 3088 3846 N 45 -41 78 -22 -45 41 h\n1.000
      UP\n1.000 UL\nLT5\n3088 3846 M\n78 -22 V\n-45 41 V\n-78 22 V\n45 -41
      V\n.7726 g 3166 3824 N 45 -41 78 -18 -45 41 h\n1.000 UP\n1.000
      UL\nLT5\n3166 3824 M\n78 -18 V\n-45 41 V\n-78 18 V\n45 -41 V\n.7763 g
      3244 3806 N 45 -42 78 -14 -45 41 h\n1.000 UP\n1.000 UL\nLT5\n3244 3806
      M\n78 -15 V\n-45 42 V\n-78 14 V\n45 -41 V\n.7821 g 3322 3791 N 45 -43
      78 -12 -45 42 h\n1.000 UP\n1.000 UL\nLT5\n3322 3791 M\n78 -13 V\n-45 43
      V\n-78 12 V\n45 -42 V\n.7891 g 3400 3778 N 46 -45 78 -10 -45 43
      h\n1.000 UP\n1.000 UL\nLT5\n3400 3778 M\n79 -12 V\n-46 45 V\n-78 10
      V\n45 -43 V\n.7962 g 3479 3766 N 45 -49 79 -10 -46 45 h\n1.000
      UP\n1.000 UL\nLT5\n3479 3766 M\n78 -14 V\n-45 49 V\n-79 10 V\n46 -45
      V\n.8017 g 3557 3752 N 45 -53 78 -14 -45 49 h\n1.000 UP\n1.000
      UL\nLT5\n3557 3752 M\n78 -18 V\n-45 53 V\n-78 14 V\n45 -49 V\n.8037 g
      3635 3734 N 45 -58 78 -20 -45 53 h\n1.000 UP\n1.000 UL\nLT5\n3635 3734
      M\n78 -25 V\n-45 58 V\n-78 20 V\n45 -53 V\n.7993 g 3713 3709 N 45 -67
      78 -30 -45 58 h\n1.000 UP\n1.000 UL\nLT5\n3713 3709 M\n78 -39 V\n-45 67
      V\n-78 30 V\n45 -58 V\n.7851 g 3791 3670 N 45 -78 78 -46 -45 67
      h\n1.000 UP\n1.000 UL\nLT5\n3791 3670 M\n78 -57 V\n-45 78 V\n-78 46
      V\n45 -67 V\n.7569 g 3869 3613 N 45 -92 78 -69 -45 78 h\n1.000
      UP\n1.000 UL\nLT5\n3869 3613 M\n78 -83 V\n-45 92 V\n-78 69 V\n45 -78
      V\n.7093 g 3947 3530 N 45 -111 78 -99 -45 92 h\n1.000 UP\n1.000
      UL\nLT5\n3947 3530 M\n78 -118 V\n-45 111 V\n-78 99 V\n45 -92 V\n.6361 g
      4025 3412 N 45 -133 78 -141 -45 111 h\n1.000 UP\n1.000 UL\nLT5\n4025
      3412 M\n78 -163 V\n-45 133 V\n-78 141 V\n45 -111 V\n.5293 g 4103 3249 N
      45 -162 78 -193 -45 133 h\n1.000 UP\n1.000 UL\nLT5\n4103 3249 M\n78
      -222 V\n-45 162 V\n-78 193 V\n45 -133 V\n.3798 g 4181 3027 N 45 -196 78
      -261 -45 162 h\n1.000 UP\n1.000 UL\nLT5\n4181 3027 M\n78 -295 V\n-45
      196 V\n-78 261 V\n45 -162 V\n.5059 g 1950 3567 N 45 -103 78 188 -45 132
      h\n1.000 UP\n1.000 UL\nLT5\n1950 3567 M\n78 217 V\n-45 103 V\n-78 -188
      V\n45 -132 V\n.6361 g 2028 3784 N 45 -80 78 127 -45 103 h\n1.000
      UP\n1.000 UL\nLT5\n2028 3784 M\n78 150 V\n-45 80 V\n-78 -127 V\n45 -103
      V\n.7272 g 2106 3934 N 45 -62 78 78 -45 80 h\n1.000 UP\n1.000
      UL\nLT5\n2106 3934 M\n78 96 V\n-45 62 V\n-78 -78 V\n45 -80 V\n.7881 g
      2184 4030 N 45 -48 78 41 -45 62 h\n1.000 UP\n1.000 UL\nLT5\n2184 4030
      M\n78 55 V\n-45 48 V\n-78 -41 V\n45 -62 V\n.8259 g 2262 4085 N 45 -37
      78 14 -45 48 h\n1.000 UP\n1.000 UL\nLT5\n2262 4085 M\n78 25 V\n-45 37
      V\n-78 -14 V\n45 -48 V\n.8468 g 2340 4110 N 45 -29 78 -6 -45 37
      h\n1.000 UP\n1.000 UL\nLT5\n2340 4110 M\n78 2 V\n-45 29 V\n-78 6 V\n45
      -37 V\n.8554 g 2418 4112 N 45 -24 78 -19 -45 29 h\n1.000 UP\n1.000
      UL\nLT5\n2418 4112 M\n78 -14 V\n-45 24 V\n-78 19 V\n45 -29 V\n.8558 g
      2496 4098 N 45 -20 78 -28 -45 24 h\n1.000 UP\n1.000 UL\nLT5\n2496 4098
      M\n78 -24 V\n-45 20 V\n-78 28 V\n45 -24 V\n.8511 g 2574 4074 N 46 -18
      78 -33 -45 20 h\n1.000 UP\n1.000 UL\nLT5\n2574 4074 M\n79 -31 V\n-46 18
      V\n-78 33 V\n45 -20 V\n.8436 g 2653 4043 N 45 -16 79 -35 -46 18
      h\n1.000 UP\n1.000 UL\nLT5\n2653 4043 M\n78 -33 V\n-45 16 V\n-79 35
      V\n46 -18 V\n.8353 g 2731 4010 N 45 -15 78 -35 -45 16 h\n1.000
      UP\n1.000 UL\nLT5\n2731 4010 M\n78 -34 V\n-45 15 V\n-78 35 V\n45 -16
      V\n.8276 g 2809 3976 N 45 -15 78 -33 -45 15 h\n1.000 UP\n1.000
      UL\nLT5\n2809 3976 M\n78 -33 V\n-45 15 V\n-78 33 V\n45 -15 V\n.8213 g
      2887 3943 N 45 -15 78 -30 -45 15 h\n1.000 UP\n1.000 UL\nLT5\n2887 3943
      M\n78 -30 V\n-45 15 V\n-78 30 V\n45 -15 V\n.8174 g 2965 3913 N 45 -15
      78 -26 -45 15 h\n1.000 UP\n1.000 UL\nLT5\n2965 3913 M\n78 -26 V\n-45 15
      V\n-78 26 V\n45 -15 V\n.816 g 3043 3887 N 45 -15 78 -22 -45 15 h\n1.000
      UP\n1.000 UL\nLT5\n3043 3887 M\n78 -22 V\n-45 15 V\n-78 22 V\n45 -15
      V\n.8174 g 3121 3865 N 45 -15 78 -18 -45 15 h\n1.000 UP\n1.000
      UL\nLT5\n3121 3865 M\n78 -18 V\n-45 15 V\n-78 18 V\n45 -15 V\n.8213 g
      3199 3847 N 45 -15 78 -14 -45 15 h\n1.000 UP\n1.000 UL\nLT5\n3199 3847
      M\n78 -14 V\n-45 15 V\n-78 14 V\n45 -15 V\n.8276 g 3277 3833 N 45 -16
      78 -11 -45 15 h\n1.000 UP\n1.000 UL\nLT5\n3277 3833 M\n78 -12 V\n-45 16
      V\n-78 11 V\n45 -15 V\n.8353 g 3355 3821 N 45 -16 78 -10 -45 16
      h\n1.000 UP\n1.000 UL\nLT5\n3355 3821 M\n78 -10 V\n-45 16 V\n-78 10
      V\n45 -16 V\n.8436 g 3433 3811 N 46 -17 78 -9 -45 16 h\n1.000 UP\n1.000
      UL\nLT5\n3433 3811 M\n79 -10 V\n-46 17 V\n-78 9 V\n45 -16 V\n.8511 g
      3512 3801 N 45 -20 79 -11 -46 17 h\n1.000 UP\n1.000 UL\nLT5\n3512 3801
      M\n78 -14 V\n-45 20 V\n-79 11 V\n46 -17 V\n.8558 g 3590 3787 N 45 -24
      78 -16 -45 20 h\n1.000 UP\n1.000 UL\nLT5\n3590 3787 M\n78 -20 V\n-45 24
      V\n-78 16 V\n45 -20 V\n.8554 g 3668 3767 N 45 -30 78 -24 -45 24
      h\n1.000 UP\n1.000 UL\nLT5\n3668 3767 M\n78 -30 V\n-45 30 V\n-78 24
      V\n45 -24 V\n.8468 g 3746 3737 N 45 -37 78 -39 -45 30 h\n1.000
      UP\n1.000 UL\nLT5\n3746 3737 M\n78 -46 V\n-45 37 V\n-78 39 V\n45 -30
      V\n.8259 g 3824 3691 N 45 -48 78 -58 -45 37 h\n1.000 UP\n1.000
      UL\nLT5\n3824 3691 M\n78 -69 V\n-45 48 V\n-78 58 V\n45 -37 V\n.7881 g
      3902 3622 N 45 -62 78 -85 -45 48 h\n1.000 UP\n1.000 UL\nLT5\n3902 3622
      M\n78 -99 V\n-45 62 V\n-78 85 V\n45 -48 V\n.7272 g 3980 3523 N 45 -80
      78 -123 -45 62 h\n1.000 UP\n1.000 UL\nLT5\n3980 3523 M\n78 -141 V\n-45
      80 V\n-78 123 V\n45 -62 V\n.6361 g 4058 3382 N 45 -103 78 -170 -45 80
      h\n1.000 UP\n1.000 UL\nLT5\n4058 3382 M\n78 -193 V\n-45 103 V\n-78 170
      V\n45 -80 V\n.5059 g 4136 3189 N 45 -132 78 -232 -45 103 h\n1.000
      UP\n1.000 UL\nLT5\n4136 3189 M\n78 -261 V\n-45 132 V\n-78 232 V\n45
      -103 V\n.5949 g 1905 3699 N 45 -58 78 165 -45 81 h\n1.000 UP\n1.000
      UL\nLT5\n1905 3699 M\n78 188 V\n-45 58 V\n-78 -165 V\n45 -81 V\n.7093 g
      1983 3887 N 45 -39 78 108 -45 58 h\n1.000 UP\n1.000 UL\nLT5\n1983 3887
      M\n78 127 V\n-45 39 V\n-78 -108 V\n45 -58 V\n.7881 g 2061 4014 N 45 -25
      78 64 -45 39 h\n1.000 UP\n1.000 UL\nLT5\n2061 4014 M\n78 78 V\n-45 25
      V\n-78 -64 V\n45 -39 V\n.8393 g 2139 4092 N 45 -15 78 31 -45 25
      h\n1.000 UP\n1.000 UL\nLT5\n2139 4092 M\n78 41 V\n-45 15 V\n-78 -31
      V\n45 -25 V\n.87 g 2217 4133 N 45 -7 78 6 -45 15 h\n1.000 UP\n1.000
      UL\nLT5\n2217 4133 M\n78 14 V\n-45 7 V\n-78 -6 V\n45 -15 V\n.8855 g
      2295 4147 N 45 -2 78 -11 -45 7 h\n1.000 UP\n1.000 UL\nLT5\n2295 4147
      M\n78 -6 V\n-45 2 V\n-78 11 V\n45 -7 V\n.8905 g 2373 4141 N 45 1 78 -22
      -45 2 h\n1.000 UP\n1.000 UL\nLT5\n2373 4141 M\n78 -19 V\n-45 -1 V\n-78
      22 V\n45 -2 V\n.8884 g 2451 4122 N 45 3 78 -30 -45 -1 h\n1.000
      UP\n1.000 UL\nLT5\n2451 4122 M\n78 -28 V\n-45 -3 V\n-78 30 V\n45 1
      V\n.8821 g 2529 4094 N 45 5 78 -35 -45 -3 h\n1.000 UP\n1.000
      UL\nLT5\n2529 4094 M\n78 -33 V\n-45 -5 V\n-78 35 V\n45 3 V\n.8737 g
      2607 4061 N 46 5 78 -35 -45 -5 h\n1.000 UP\n1.000 UL\nLT5\n2607 4061
      M\n79 -35 V\n-46 -5 V\n-78 35 V\n45 5 V\n.865 g 2686 4026 N 45 5 79 -35
      -46 -5 h\n1.000 UP\n1.000 UL\nLT5\n2686 4026 M\n78 -35 V\n-45 -5 V\n-79
      35 V\n46 5 V\n.8571 g 2764 3991 N 45 4 78 -32 -45 -5 h\n1.000 UP\n1.000
      UL\nLT5\n2764 3991 M\n78 -33 V\n-45 -4 V\n-78 32 V\n45 5 V\n.8509 g
      2842 3958 N 45 4 78 -30 -45 -4 h\n1.000 UP\n1.000 UL\nLT5\n2842 3958
      M\n78 -30 V\n-45 -4 V\n-78 30 V\n45 4 V\n.8469 g 2920 3928 N 45 4 78
      -26 -45 -4 h\n1.000 UP\n1.000 UL\nLT5\n2920 3928 M\n78 -26 V\n-45 -4
      V\n-78 26 V\n45 4 V\n.8456 g 2998 3902 N 45 4 78 -22 -45 -4 h\n1.000
      UP\n1.000 UL\nLT5\n2998 3902 M\n78 -22 V\n-45 -4 V\n-78 22 V\n45 4
      V\n.8469 g 3076 3880 N 45 4 78 -18 -45 -4 h\n1.000 UP\n1.000
      UL\nLT5\n3076 3880 M\n78 -18 V\n-45 -4 V\n-78 18 V\n45 4 V\n.8509 g
      3154 3862 N 45 4 78 -14 -45 -4 h\n1.000 UP\n1.000 UL\nLT5\n3154 3862
      M\n78 -14 V\n-45 -4 V\n-78 14 V\n45 4 V\n.8571 g 3232 3848 N 45 5 78
      -12 -45 -4 h\n1.000 UP\n1.000 UL\nLT5\n3232 3848 M\n78 -11 V\n-45 -5
      V\n-78 12 V\n45 4 V\n.865 g 3310 3837 N 45 4 78 -9 -45 -5 h\n1.000
      UP\n1.000 UL\nLT5\n3310 3837 M\n78 -10 V\n-45 -4 V\n-78 9 V\n45 5
      V\n.8737 g 3388 3827 N 45 4 78 -9 -45 -4 h\n1.000 UP\n1.000
      UL\nLT5\n3388 3827 M\n78 -9 V\n-45 -4 V\n-78 9 V\n45 4 V\n.8821 g 3466
      3818 N 45 3 79 -10 -45 -4 h\n1.000 UP\n1.000 UL\nLT5\n3466 3818 M\n79
      -11 V\n-45 -3 V\n-79 10 V\n45 4 V\n.8884 g 3545 3807 N 45 1 78 -14 -45
      -3 h\n1.000 UP\n1.000 UL\nLT5\n3545 3807 M\n78 -16 V\n-45 -1 V\n-78 14
      V\n45 3 V\n.8905 g 3623 3791 N 45 -2 78 -21 -45 -1 h\n1.000 UP\n1.000
      UL\nLT5\n3623 3791 M\n78 -24 V\n-45 2 V\n-78 21 V\n45 1 V\n.8855 g 3701
      3767 N 45 -7 78 -34 -45 2 h\n1.000 UP\n1.000 UL\nLT5\n3701 3767 M\n78
      -39 V\n-45 7 V\n-78 34 V\n45 -2 V\n.87 g 3779 3728 N 45 -15 78 -50 -45
      7 h\n1.000 UP\n1.000 UL\nLT5\n3779 3728 M\n78 -58 V\n-45 15 V\n-78 50
      V\n45 -7 V\n.8393 g 3857 3670 N 45 -25 78 -75 -45 15 h\n1.000 UP\n1.000
      UL\nLT5\n3857 3670 M\n78 -85 V\n-45 25 V\n-78 75 V\n45 -15 V\n.7881 g
      3935 3585 N 45 -40 78 -108 -45 25 h\n1.000 UP\n1.000 UL\nLT5\n3935 3585
      M\n78 -123 V\n-45 40 V\n-78 108 V\n45 -25 V\n.7093 g 4013 3462 N 45 -57
      78 -153 -45 40 h\n1.000 UP\n1.000 UL\nLT5\n4013 3462 M\n78 -170 V\n-45
      57 V\n-78 153 V\n45 -40 V\n.5949 g 4091 3292 N 45 -80 78 -209 -45 57
      h\n1.000 UP\n1.000 UL\nLT5\n4091 3292 M\n78 -232 V\n-45 80 V\n-78 209
      V\n45 -57 V\n.655 g 1860 3780 N 45 -23 79 147 -46 41 h\n1.000 UP\n1.000
      UL\nLT5\n1860 3780 M\n78 165 V\n-45 23 V\n-79 -147 V\n46 -41 V\n.7569 g
      1938 3945 N 45 -8 78 93 -45 23 h\n1.000 UP\n1.000 UL\nLT5\n1938 3945
      M\n78 108 V\n-45 8 V\n-78 -93 V\n45 -23 V\n.8259 g 2016 4053 N 45 2 78
      54 -45 8 h\n1.000 UP\n1.000 UL\nLT5\n2016 4053 M\n78 64 V\n-45 -2
      V\n-78 -54 V\n45 -8 V\n.87 g 2094 4117 N 45 10 78 23 -45 -2 h\n1.000
      UP\n1.000 UL\nLT5\n2094 4117 M\n78 31 V\n-45 -10 V\n-78 -23 V\n45 2
      V\n.8954 g 2172 4148 N 45 14 78 2 -45 -10 h\n1.000 UP\n1.000
      UL\nLT5\n2172 4148 M\n78 6 V\n-45 -14 V\n-78 -2 V\n45 10 V\n.9074 g
      2250 4154 N 45 18 78 -15 -45 -14 h\n1.000 UP\n1.000 UL\nLT5\n2250 4154
      M\n78 -11 V\n-45 -18 V\n-78 15 V\n45 14 V\n.91 g 2328 4143 N 45 20 78
      -24 -45 -18 h\n1.000 UP\n1.000 UL\nLT5\n2328 4143 M\n78 -22 V\n-45 -20
      V\n-78 24 V\n45 18 V\n.9067 g 2406 4121 N 45 21 78 -31 -45 -20 h\n1.000
      UP\n1.000 UL\nLT5\n2406 4121 M\n78 -30 V\n-45 -21 V\n-78 31 V\n45 20
      V\n.8998 g 2484 4091 N 45 20 78 -34 -45 -21 h\n1.000 UP\n1.000
      UL\nLT5\n2484 4091 M\n78 -35 V\n-45 -20 V\n-78 34 V\n45 21 V\n.8914 g
      2562 4056 N 45 19 78 -34 -45 -20 h\n1.000 UP\n1.000 UL\nLT5\n2562 4056
      M\n78 -35 V\n-45 -19 V\n-78 34 V\n45 20 V\n.8829 g 2640 4021 N 46 18 78
      -34 -45 -19 h\n1.000 UP\n1.000 UL\nLT5\n2640 4021 M\n79 -35 V\n-46 -18
      V\n-78 34 V\n45 19 V\n.8753 g 2719 3986 N 45 18 79 -32 -46 -18 h\n1.000
      UP\n1.000 UL\nLT5\n2719 3986 M\n78 -32 V\n-45 -18 V\n-79 32 V\n46 18
      V\n.8694 g 2797 3954 N 45 17 78 -29 -45 -18 h\n1.000 UP\n1.000
      UL\nLT5\n2797 3954 M\n78 -30 V\n-45 -17 V\n-78 29 V\n45 18 V\n.8657 g
      2875 3924 N 45 17 78 -26 -45 -17 h\n1.000 UP\n1.000 UL\nLT5\n2875 3924
      M\n78 -26 V\n-45 -17 V\n-78 26 V\n45 17 V\n.8644 g 2953 3898 N 45 17 78
      -22 -45 -17 h\n1.000 UP\n1.000 UL\nLT5\n2953 3898 M\n78 -22 V\n-45 -17
      V\n-78 22 V\n45 17 V\n.8657 g 3031 3876 N 45 17 78 -18 -45 -17 h\n1.000
      UP\n1.000 UL\nLT5\n3031 3876 M\n78 -18 V\n-45 -17 V\n-78 18 V\n45 17
      V\n.8694 g 3109 3858 N 45 18 78 -15 -45 -17 h\n1.000 UP\n1.000
      UL\nLT5\n3109 3858 M\n78 -14 V\n-45 -18 V\n-78 15 V\n45 17 V\n.8753 g
      3187 3844 N 45 18 78 -12 -45 -18 h\n1.000 UP\n1.000 UL\nLT5\n3187 3844
      M\n78 -12 V\n-45 -18 V\n-78 12 V\n45 18 V\n.8829 g 3265 3832 N 45 20 78
      -11 -45 -18 h\n1.000 UP\n1.000 UL\nLT5\n3265 3832 M\n78 -9 V\n-45 -20
      V\n-78 11 V\n45 18 V\n.8914 g 3343 3823 N 45 20 78 -9 -45 -20 h\n1.000
      UP\n1.000 UL\nLT5\n3343 3823 M\n78 -9 V\n-45 -20 V\n-78 9 V\n45 20
      V\n.8998 g 3421 3814 N 46 20 78 -10 -45 -20 h\n1.000 UP\n1.000
      UL\nLT5\n3421 3814 M\n79 -10 V\n-46 -20 V\n-78 10 V\n45 20 V\n.9067 g
      3500 3804 N 45 20 79 -14 -46 -20 h\n1.000 UP\n1.000 UL\nLT5\n3500 3804
      M\n78 -14 V\n-45 -20 V\n-79 14 V\n46 20 V\n.91 g 3578 3790 N 45 18 78
      -19 -45 -20 h\n1.000 UP\n1.000 UL\nLT5\n3578 3790 M\n78 -21 V\n-45 -18
      V\n-78 19 V\n45 20 V\n.9074 g 3656 3769 N 45 14 78 -30 -45 -18 h\n1.000
      UP\n1.000 UL\nLT5\n3656 3769 M\n78 -34 V\n-45 -14 V\n-78 30 V\n45 18
      V\n.8954 g 3734 3735 N 45 10 78 -46 -45 -14 h\n1.000 UP\n1.000
      UL\nLT5\n3734 3735 M\n78 -50 V\n-45 -10 V\n-78 46 V\n45 14 V\n.87 g
      3812 3685 N 45 2 78 -67 -45 -10 h\n1.000 UP\n1.000 UL\nLT5\n3812 3685
      M\n78 -75 V\n-45 -2 V\n-78 67 V\n45 10 V\n.8259 g 3890 3610 N 45 -8 78
      -98 -45 -2 h\n1.000 UP\n1.000 UL\nLT5\n3890 3610 M\n78 -108 V\n-45 8
      V\n-78 98 V\n45 2 V\n.7569 g 3968 3502 N 45 -23 78 -138 -45 8 h\n1.000
      UP\n1.000 UL\nLT5\n3968 3502 M\n78 -153 V\n-45 23 V\n-78 138 V\n45 -8
      V\n.655 g 4046 3349 N 45 -41 78 -191 -45 23 h\n1.000 UP\n1.000
      UL\nLT5\n4046 3349 M\n78 -209 V\n-45 41 V\n-78 191 V\n45 -23 V\n.6931 g
      1814 3821 N 46 4 78 132 -45 11 h\n1.000 UP\n1.000 UL\nLT5\n1814 3821
      M\n79 147 V\n-46 -4 V\n-78 -132 V\n45 -11 V\n.7851 g 1893 3968 N 45 14
      79 83 -46 -4 h\n1.000 UP\n1.000 UL\nLT5\n1893 3968 M\n78 93 V\n-45 -14
      V\n-79 -83 V\n46 4 V\n.8468 g 1971 4061 N 45 22 78 46 -45 -14 h\n1.000
      UP\n1.000 UL\nLT5\n1971 4061 M\n78 54 V\n-45 -22 V\n-78 -46 V\n45 14
      V\n.8855 g 2049 4115 N 45 27 78 18 -45 -22 h\n1.000 UP\n1.000
      UL\nLT5\n2049 4115 M\n78 23 V\n-45 -27 V\n-78 -18 V\n45 22 V\n.9074 g
      2127 4138 N 45 31 78 -2 -45 -27 h\n1.000 UP\n1.000 UL\nLT5\n2127 4138
      M\n78 2 V\n-45 -31 V\n-78 2 V\n45 27 V\n.9171 g 2205 4140 N 45 31 78
      -15 -45 -31 h\n1.000 UP\n1.000 UL\nLT5\n2205 4140 M\n78 -15 V\n-45 -31
      V\n-78 15 V\n45 31 V\n.9187 g 2283 4125 N 45 32 78 -25 -45 -31 h\n1.000
      UP\n1.000 UL\nLT5\n2283 4125 M\n78 -24 V\n-45 -32 V\n-78 25 V\n45 31
      V\n.915 g 2361 4101 N 45 31 78 -30 -45 -32 h\n1.000 UP\n1.000
      UL\nLT5\n2361 4101 M\n78 -31 V\n-45 -31 V\n-78 30 V\n45 32 V\n.9083 g
      2439 4070 N 45 30 78 -33 -45 -31 h\n1.000 UP\n1.000 UL\nLT5\n2439 4070
      M\n78 -34 V\n-45 -30 V\n-78 33 V\n45 31 V\n.9005 g 2517 4036 N 45 30 78
      -34 -45 -30 h\n1.000 UP\n1.000 UL\nLT5\n2517 4036 M\n78 -34 V\n-45 -30
      V\n-78 34 V\n45 30 V\n.8926 g 2595 4002 N 45 28 78 -32 -45 -30 h\n1.000
      UP\n1.000 UL\nLT5\n2595 4002 M\n78 -34 V\n-45 -28 V\n-78 32 V\n45 30
      V\n.8857 g 2673 3968 N 45 27 79 -31 -45 -28 h\n1.000 UP\n1.000
      UL\nLT5\n2673 3968 M\n79 -32 V\n-45 -27 V\n-79 31 V\n45 28 V\n.8804 g
      2752 3936 N 45 26 78 -28 -45 -27 h\n1.000 UP\n1.000 UL\nLT5\n2752 3936
      M\n78 -29 V\n-45 -26 V\n-78 28 V\n45 27 V\n.877 g 2830 3907 N 45 25 78
      -25 -45 -26 h\n1.000 UP\n1.000 UL\nLT5\n2830 3907 M\n78 -26 V\n-45 -25
      V\n-78 25 V\n45 26 V\n.8759 g 2908 3881 N 45 25 78 -22 -45 -25 h\n1.000
      UP\n1.000 UL\nLT5\n2908 3881 M\n78 -22 V\n-45 -25 V\n-78 22 V\n45 25
      V\n.877 g 2986 3859 N 45 26 78 -19 -45 -25 h\n1.000 UP\n1.000
      UL\nLT5\n2986 3859 M\n78 -18 V\n-45 -26 V\n-78 19 V\n45 25 V\n.8804 g
      3064 3841 N 45 27 78 -16 -45 -26 h\n1.000 UP\n1.000 UL\nLT5\n3064 3841
      M\n78 -15 V\n-45 -27 V\n-78 16 V\n45 26 V\n.8857 g 3142 3826 N 45 28 78
      -13 -45 -27 h\n1.000 UP\n1.000 UL\nLT5\n3142 3826 M\n78 -12 V\n-45 -28
      V\n-78 13 V\n45 27 V\n.8926 g 3220 3814 N 45 29 78 -12 -45 -28 h\n1.000
      UP\n1.000 UL\nLT5\n3220 3814 M\n78 -11 V\n-45 -29 V\n-78 12 V\n45 28
      V\n.9005 g 3298 3803 N 45 31 78 -11 -45 -29 h\n1.000 UP\n1.000
      UL\nLT5\n3298 3803 M\n78 -9 V\n-45 -31 V\n-78 11 V\n45 29 V\n.9083 g
      3376 3794 N 45 32 78 -11 -45 -31 h\n1.000 UP\n1.000 UL\nLT5\n3376 3794
      M\n78 -10 V\n-45 -32 V\n-78 11 V\n45 31 V\n.915 g 3454 3784 N 46 32 78
      -14 -45 -32 h\n1.000 UP\n1.000 UL\nLT5\n3454 3784 M\n79 -14 V\n-46 -32
      V\n-78 14 V\n45 32 V\n.9187 g 3533 3770 N 45 32 79 -19 -46 -32 h\n1.000
      UP\n1.000 UL\nLT5\n3533 3770 M\n78 -19 V\n-45 -32 V\n-79 19 V\n46 32
      V\n.9171 g 3611 3751 N 45 31 78 -29 -45 -32 h\n1.000 UP\n1.000
      UL\nLT5\n3611 3751 M\n78 -30 V\n-45 -31 V\n-78 29 V\n45 32 V\n.9074 g
      3689 3721 N 45 27 78 -42 -45 -31 h\n1.000 UP\n1.000 UL\nLT5\n3689 3721
      M\n78 -46 V\n-45 -27 V\n-78 42 V\n45 31 V\n.8855 g 3767 3675 N 45 22 78
      -62 -45 -27 h\n1.000 UP\n1.000 UL\nLT5\n3767 3675 M\n78 -67 V\n-45 -22
      V\n-78 62 V\n45 27 V\n.8468 g 3845 3608 N 45 14 78 -90 -45 -22 h\n1.000
      UP\n1.000 UL\nLT5\n3845 3608 M\n78 -98 V\n-45 -14 V\n-78 90 V\n45 22
      V\n.7851 g 3923 3510 N 45 3 78 -127 -45 -14 h\n1.000 UP\n1.000
      UL\nLT5\n3923 3510 M\n78 -138 V\n-45 -3 V\n-78 127 V\n45 14 V\n.6931 g
      4001 3372 N 45 -12 78 -176 -45 -3 h\n1.000 UP\n1.000 UL\nLT5\n4001 3372
      M\n78 -191 V\n-45 12 V\n-78 176 V\n45 3 V\n.7149 g 1769 3832 N 45 21 78
      121 -45 -10 h\n1.000 UP\n1.000 UL\nLT5\n1769 3832 M\n78 132 V\n-45 -21
      V\n-78 -121 V\n45 10 V\n.7993 g 1847 3964 N 45 30 79 74 -45 -21
      h\n1.000 UP\n1.000 UL\nLT5\n1847 3964 M\n79 83 V\n-45 -30 V\n-79 -74
      V\n45 21 V\n.8554 g 1926 4047 N 45 35 78 41 -45 -30 h\n1.000 UP\n1.000
      UL\nLT5\n1926 4047 M\n78 46 V\n-45 -35 V\n-78 -41 V\n45 30 V\n.8905 g
      2004 4093 N 45 39 78 14 -45 -35 h\n1.000 UP\n1.000 UL\nLT5\n2004 4093
      M\n78 18 V\n-45 -39 V\n-78 -14 V\n45 35 V\n.91 g 2082 4111 N 45 40 78
      -3 -45 -39 h\n1.000 UP\n1.000 UL\nLT5\n2082 4111 M\n78 -2 V\n-45 -40
      V\n-78 3 V\n45 39 V\n.9187 g 2160 4109 N 45 41 78 -16 -45 -40 h\n1.000
      UP\n1.000 UL\nLT5\n2160 4109 M\n78 -15 V\n-45 -41 V\n-78 16 V\n45 40
      V\n.92 g 2238 4094 N 45 40 78 -24 -45 -41 h\n1.000 UP\n1.000
      UL\nLT5\n2238 4094 M\n78 -25 V\n-45 -40 V\n-78 24 V\n45 41 V\n.9166 g
      2316 4069 N 45 39 78 -29 -45 -40 h\n1.000 UP\n1.000 UL\nLT5\n2316 4069
      M\n78 -30 V\n-45 -39 V\n-78 29 V\n45 40 V\n.9107 g 2394 4039 N 45 38 78
      -32 -45 -39 h\n1.000 UP\n1.000 UL\nLT5\n2394 4039 M\n78 -33 V\n-45 -38
      V\n-78 32 V\n45 39 V\n.9038 g 2472 4006 N 45 35 78 -31 -45 -38 h\n1.000
      UP\n1.000 UL\nLT5\n2472 4006 M\n78 -34 V\n-45 -35 V\n-78 31 V\n45 38
      V\n.8969 g 2550 3972 N 45 34 78 -31 -45 -35 h\n1.000 UP\n1.000
      UL\nLT5\n2550 3972 M\n78 -32 V\n-45 -34 V\n-78 31 V\n45 35 V\n.891 g
      2628 3940 N 46 33 78 -30 -45 -34 h\n1.000 UP\n1.000 UL\nLT5\n2628 3940
      M\n79 -31 V\n-46 -33 V\n-78 30 V\n45 34 V\n.8864 g 2707 3909 N 45 32 79
      -27 -46 -33 h\n1.000 UP\n1.000 UL\nLT5\n2707 3909 M\n78 -28 V\n-45 -32
      V\n-79 27 V\n46 33 V\n.8835 g 2785 3881 N 45 31 78 -24 -45 -32 h\n1.000
      UP\n1.000 UL\nLT5\n2785 3881 M\n78 -25 V\n-45 -31 V\n-78 24 V\n45 32
      V\n.8825 g 2863 3856 N 45 31 78 -22 -45 -31 h\n1.000 UP\n1.000
      UL\nLT5\n2863 3856 M\n78 -22 V\n-45 -31 V\n-78 22 V\n45 31 V\n.8835 g
      2941 3834 N 45 32 78 -20 -45 -31 h\n1.000 UP\n1.000 UL\nLT5\n2941 3834
      M\n78 -19 V\n-45 -32 V\n-78 20 V\n45 31 V\n.8864 g 3019 3815 N 45 33 78
      -17 -45 -32 h\n1.000 UP\n1.000 UL\nLT5\n3019 3815 M\n78 -16 V\n-45 -33
      V\n-78 17 V\n45 32 V\n.891 g 3097 3799 N 45 35 78 -15 -45 -33 h\n1.000
      UP\n1.000 UL\nLT5\n3097 3799 M\n78 -13 V\n-45 -35 V\n-78 15 V\n45 33
      V\n.8969 g 3175 3786 N 45 36 78 -13 -45 -35 h\n1.000 UP\n1.000
      UL\nLT5\n3175 3786 M\n78 -12 V\n-45 -36 V\n-78 13 V\n45 35 V\n.9038 g
      3253 3774 N 45 37 78 -12 -45 -36 h\n1.000 UP\n1.000 UL\nLT5\n3253 3774
      M\n78 -11 V\n-45 -37 V\n-78 12 V\n45 36 V\n.9107 g 3331 3763 N 45 39 78
      -13 -45 -37 h\n1.000 UP\n1.000 UL\nLT5\n3331 3763 M\n78 -11 V\n-45 -39
      V\n-78 13 V\n45 37 V\n.9166 g 3409 3752 N 45 40 78 -15 -45 -39 h\n1.000
      UP\n1.000 UL\nLT5\n3409 3752 M\n78 -14 V\n-45 -40 V\n-78 15 V\n45 39
      V\n.92 g 3487 3738 N 46 41 78 -20 -45 -40 h\n1.000 UP\n1.000
      UL\nLT5\n3487 3738 M\n79 -19 V\n-46 -41 V\n-78 20 V\n45 40 V\n.9187 g
      3566 3719 N 45 40 79 -28 -46 -41 h\n1.000 UP\n1.000 UL\nLT5\n3566 3719
      M\n78 -29 V\n-45 -40 V\n-79 28 V\n46 41 V\n.91 g 3644 3690 N 45 39 78
      -41 -45 -40 h\n1.000 UP\n1.000 UL\nLT5\n3644 3690 M\n78 -42 V\n-45 -39
      V\n-78 41 V\n45 40 V\n.8905 g 3722 3648 N 45 36 78 -59 -45 -39 h\n1.000
      UP\n1.000 UL\nLT5\n3722 3648 M\n78 -62 V\n-45 -36 V\n-78 59 V\n45 39
      V\n.8554 g 3800 3586 N 45 30 78 -84 -45 -36 h\n1.000 UP\n1.000
      UL\nLT5\n3800 3586 M\n78 -90 V\n-45 -30 V\n-78 84 V\n45 36 V\n.7993 g
      3878 3496 N 45 22 78 -119 -45 -30 h\n1.000 UP\n1.000 UL\nLT5\n3878 3496
      M\n78 -127 V\n-45 -22 V\n-78 119 V\n45 30 V\n.7149 g 3956 3369 N 45 10
      78 -164 -45 -22 h\n1.000 UP\n1.000 UL\nLT5\n3956 3369 M\n78 -176 V\n-45
      -10 V\n-78 164 V\n45 22 V\n.7251 g 1724 3822 N 45 35 78 112 -45 -26
      h\n1.000 UP\n1.000 UL\nLT5\n1724 3822 M\n78 121 V\n-45 -35 V\n-78 -112
      V\n45 26 V\n.8037 g 1802 3943 N 46 40 78 69 -45 -35 h\n1.000 UP\n1.000
      UL\nLT5\n1802 3943 M\n79 74 V\n-46 -40 V\n-78 -69 V\n45 35 V\n.8558 g
      1881 4017 N 45 45 79 36 -46 -40 h\n1.000 UP\n1.000 UL\nLT5\n1881 4017
      M\n78 41 V\n-45 -45 V\n-79 -36 V\n46 40 V\n.8884 g 1959 4058 N 45 46 78
      13 -45 -45 h\n1.000 UP\n1.000 UL\nLT5\n1959 4058 M\n78 14 V\n-45 -46
      V\n-78 -13 V\n45 45 V\n.9067 g 2037 4072 N 45 47 78 -4 -45 -46 h\n1.000
      UP\n1.000 UL\nLT5\n2037 4072 M\n78 -3 V\n-45 -47 V\n-78 4 V\n45 46
      V\n.915 g 2115 4069 N 45 47 78 -16 -45 -47 h\n1.000 UP\n1.000
      UL\nLT5\n2115 4069 M\n78 -16 V\n-45 -47 V\n-78 16 V\n45 47 V\n.9166 g
      2193 4053 N 45 45 78 -22 -45 -47 h\n1.000 UP\n1.000 UL\nLT5\n2193 4053
      M\n78 -24 V\n-45 -45 V\n-78 22 V\n45 47 V\n.9141 g 2271 4029 N 45 44 78
      -28 -45 -45 h\n1.000 UP\n1.000 UL\nLT5\n2271 4029 M\n78 -29 V\n-45 -44
      V\n-78 28 V\n45 45 V\n.9093 g 2349 4000 N 45 41 78 -29 -45 -44 h\n1.000
      UP\n1.000 UL\nLT5\n2349 4000 M\n78 -32 V\n-45 -41 V\n-78 29 V\n45 44
      V\n.9036 g 2427 3968 N 45 40 78 -30 -45 -41 h\n1.000 UP\n1.000
      UL\nLT5\n2427 3968 M\n78 -31 V\n-45 -40 V\n-78 30 V\n45 41 V\n.898 g
      2505 3937 N 45 38 78 -29 -45 -40 h\n1.000 UP\n1.000 UL\nLT5\n2505 3937
      M\n78 -31 V\n-45 -38 V\n-78 29 V\n45 40 V\n.893 g 2583 3906 N 45 36 78
      -28 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2583 3906 M\n78 -30 V\n-45 -36
      V\n-78 28 V\n45 38 V\n.8892 g 2661 3876 N 46 35 78 -26 -45 -36 h\n1.000
      UP\n1.000 UL\nLT5\n2661 3876 M\n79 -27 V\n-46 -35 V\n-78 26 V\n45 36
      V\n.8869 g 2740 3849 N 45 35 79 -24 -46 -35 h\n1.000 UP\n1.000
      UL\nLT5\n2740 3849 M\n78 -24 V\n-45 -35 V\n-79 24 V\n46 35 V\n.8861 g
      2818 3825 N 45 35 78 -22 -45 -35 h\n1.000 UP\n1.000 UL\nLT5\n2818 3825
      M\n78 -22 V\n-45 -35 V\n-78 22 V\n45 35 V\n.8869 g 2896 3803 N 45 35 78
      -20 -45 -35 h\n1.000 UP\n1.000 UL\nLT5\n2896 3803 M\n78 -20 V\n-45 -35
      V\n-78 20 V\n45 35 V\n.8892 g 2974 3783 N 45 36 78 -18 -45 -35 h\n1.000
      UP\n1.000 UL\nLT5\n2974 3783 M\n78 -17 V\n-45 -36 V\n-78 18 V\n45 35
      V\n.893 g 3052 3766 N 45 37 78 -16 -45 -36 h\n1.000 UP\n1.000
      UL\nLT5\n3052 3766 M\n78 -15 V\n-45 -37 V\n-78 16 V\n45 36 V\n.898 g
      3130 3751 N 45 39 78 -15 -45 -37 h\n1.000 UP\n1.000 UL\nLT5\n3130 3751
      M\n78 -13 V\n-45 -39 V\n-78 15 V\n45 37 V\n.9036 g 3208 3738 N 45 41 78
      -14 -45 -39 h\n1.000 UP\n1.000 UL\nLT5\n3208 3738 M\n78 -12 V\n-45 -41
      V\n-78 14 V\n45 39 V\n.9093 g 3286 3726 N 45 43 78 -15 -45 -41 h\n1.000
      UP\n1.000 UL\nLT5\n3286 3726 M\n78 -13 V\n-45 -43 V\n-78 15 V\n45 41
      V\n.9141 g 3364 3713 N 45 45 78 -17 -45 -43 h\n1.000 UP\n1.000
      UL\nLT5\n3364 3713 M\n78 -15 V\n-45 -45 V\n-78 17 V\n45 43 V\n.9166 g
      3442 3698 N 45 46 78 -21 -45 -45 h\n1.000 UP\n1.000 UL\nLT5\n3442 3698
      M\n78 -20 V\n-45 -46 V\n-78 21 V\n45 45 V\n.915 g 3520 3678 N 46 47 78
      -29 -45 -46 h\n1.000 UP\n1.000 UL\nLT5\n3520 3678 M\n79 -28 V\n-46 -47
      V\n-78 29 V\n45 46 V\n.9067 g 3599 3650 N 45 46 79 -40 -46 -47 h\n1.000
      UP\n1.000 UL\nLT5\n3599 3650 M\n78 -41 V\n-45 -46 V\n-79 40 V\n46 47
      V\n.8884 g 3677 3609 N 45 44 78 -57 -45 -46 h\n1.000 UP\n1.000
      UL\nLT5\n3677 3609 M\n78 -59 V\n-45 -44 V\n-78 57 V\n45 46 V\n.8558 g
      3755 3550 N 45 40 78 -80 -45 -44 h\n1.000 UP\n1.000 UL\nLT5\n3755 3550
      M\n78 -84 V\n-45 -40 V\n-78 80 V\n45 44 V\n.8037 g 3833 3466 N 45 34 78
      -113 -45 -40 h\n1.000 UP\n1.000 UL\nLT5\n3833 3466 M\n78 -119 V\n-45
      -34 V\n-78 113 V\n45 40 V\n.7251 g 3911 3347 N 45 26 78 -156 -45 -34
      h\n1.000 UP\n1.000 UL\nLT5\n3911 3347 M\n78 -164 V\n-45 -26 V\n-78 156
      V\n45 34 V\n.7276 g 1679 3796 N 45 42 78 105 -45 -35 h\n1.000 UP\n1.000
      UL\nLT5\n1679 3796 M\n78 112 V\n-45 -42 V\n-78 -105 V\n45 35 V\n.8017 g
      1757 3908 N 45 47 78 64 -45 -42 h\n1.000 UP\n1.000 UL\nLT5\n1757 3908
      M\n78 69 V\n-45 -47 V\n-78 -64 V\n45 42 V\n.8511 g 1835 3977 N 46 49 78
      34 -45 -47 h\n1.000 UP\n1.000 UL\nLT5\n1835 3977 M\n79 36 V\n-46 -49
      V\n-78 -34 V\n45 47 V\n.8821 g 1914 4013 N 45 50 79 12 -46 -49 h\n1.000
      UP\n1.000 UL\nLT5\n1914 4013 M\n78 13 V\n-45 -50 V\n-79 -12 V\n46 49
      V\n.8998 g 1992 4026 N 45 50 78 -4 -45 -50 h\n1.000 UP\n1.000
      UL\nLT5\n1992 4026 M\n78 -4 V\n-45 -50 V\n-78 4 V\n45 50 V\n.9083 g
      2070 4022 N 45 49 78 -15 -45 -50 h\n1.000 UP\n1.000 UL\nLT5\n2070 4022
      M\n78 -16 V\n-45 -49 V\n-78 15 V\n45 50 V\n.9107 g 2148 4006 N 45 48 78
      -21 -45 -49 h\n1.000 UP\n1.000 UL\nLT5\n2148 4006 M\n78 -22 V\n-45 -48
      V\n-78 21 V\n45 49 V\n.9093 g 2226 3984 N 45 45 78 -25 -45 -48 h\n1.000
      UP\n1.000 UL\nLT5\n2226 3984 M\n78 -28 V\n-45 -45 V\n-78 25 V\n45 48
      V\n.9058 g 2304 3956 N 45 43 78 -27 -45 -45 h\n1.000 UP\n1.000
      UL\nLT5\n2304 3956 M\n78 -29 V\n-45 -43 V\n-78 27 V\n45 45 V\n.9015 g
      2382 3927 N 45 41 78 -28 -45 -43 h\n1.000 UP\n1.000 UL\nLT5\n2382 3927
      M\n78 -30 V\n-45 -41 V\n-78 28 V\n45 43 V\n.8971 g 2460 3897 N 45 39 78
      -27 -45 -41 h\n1.000 UP\n1.000 UL\nLT5\n2460 3897 M\n78 -29 V\n-45 -39
      V\n-78 27 V\n45 41 V\n.8932 g 2538 3868 N 45 38 78 -27 -45 -39 h\n1.000
      UP\n1.000 UL\nLT5\n2538 3868 M\n78 -28 V\n-45 -38 V\n-78 27 V\n45 39
      V\n.8903 g 2616 3840 N 45 37 78 -25 -45 -38 h\n1.000 UP\n1.000
      UL\nLT5\n2616 3840 M\n78 -26 V\n-45 -37 V\n-78 25 V\n45 38 V\n.8884 g
      2694 3814 N 46 37 78 -24 -45 -37 h\n1.000 UP\n1.000 UL\nLT5\n2694 3814
      M\n79 -24 V\n-46 -37 V\n-78 24 V\n45 37 V\n.8878 g 2773 3790 N 45 37 79
      -22 -46 -37 h\n1.000 UP\n1.000 UL\nLT5\n2773 3790 M\n78 -22 V\n-45 -37
      V\n-79 22 V\n46 37 V\n.8884 g 2851 3768 N 45 37 78 -20 -45 -37 h\n1.000
      UP\n1.000 UL\nLT5\n2851 3768 M\n78 -20 V\n-45 -37 V\n-78 20 V\n45 37
      V\n.8903 g 2929 3748 N 45 38 78 -19 -45 -37 h\n1.000 UP\n1.000
      UL\nLT5\n2929 3748 M\n78 -18 V\n-45 -38 V\n-78 19 V\n45 37 V\n.8932 g
      3007 3730 N 45 40 78 -18 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n3007 3730
      M\n78 -16 V\n-45 -40 V\n-78 18 V\n45 38 V\n.8971 g 3085 3714 N 45 41 78
      -16 -45 -40 h\n1.000 UP\n1.000 UL\nLT5\n3085 3714 M\n78 -15 V\n-45 -41
      V\n-78 16 V\n45 40 V\n.9015 g 3163 3699 N 45 44 78 -17 -45 -41 h\n1.000
      UP\n1.000 UL\nLT5\n3163 3699 M\n78 -14 V\n-45 -44 V\n-78 17 V\n45 41
      V\n.9058 g 3241 3685 N 45 46 78 -17 -45 -44 h\n1.000 UP\n1.000
      UL\nLT5\n3241 3685 M\n78 -15 V\n-45 -46 V\n-78 17 V\n45 44 V\n.9093 g
      3319 3670 N 45 48 78 -19 -45 -46 h\n1.000 UP\n1.000 UL\nLT5\n3319 3670
      M\n78 -17 V\n-45 -48 V\n-78 19 V\n45 46 V\n.9107 g 3397 3653 N 45 49 78
      -22 -45 -48 h\n1.000 UP\n1.000 UL\nLT5\n3397 3653 M\n78 -21 V\n-45 -49
      V\n-78 22 V\n45 48 V\n.9083 g 3475 3632 N 45 50 78 -30 -45 -49 h\n1.000
      UP\n1.000 UL\nLT5\n3475 3632 M\n78 -29 V\n-45 -50 V\n-78 30 V\n45 49
      V\n.8998 g 3553 3603 N 46 50 78 -40 -45 -50 h\n1.000 UP\n1.000
      UL\nLT5\n3553 3603 M\n79 -40 V\n-46 -50 V\n-78 40 V\n45 50 V\n.8821 g
      3632 3563 N 45 49 79 -56 -46 -50 h\n1.000 UP\n1.000 UL\nLT5\n3632 3563
      M\n78 -57 V\n-45 -49 V\n-79 56 V\n46 50 V\n.8511 g 3710 3506 N 45 47 78
      -78 -45 -49 h\n1.000 UP\n1.000 UL\nLT5\n3710 3506 M\n78 -80 V\n-45 -47
      V\n-78 78 V\n45 49 V\n.8017 g 3788 3426 N 45 43 78 -109 -45 -47
      h\n1.000 UP\n1.000 UL\nLT5\n3788 3426 M\n78 -113 V\n-45 -43 V\n-78 109
      V\n45 47 V\n.7276 g 3866 3313 N 45 36 78 -149 -45 -43 h\n1.000
      UP\n1.000 UL\nLT5\n3866 3313 M\n78 -156 V\n-45 -36 V\n-78 149 V\n45 43
      V\n.7252 g 1634 3761 N 45 47 78 100 -45 -42 h\n1.000 UP\n1.000
      UL\nLT5\n1634 3761 M\n78 105 V\n-45 -47 V\n-78 -100 V\n45 42 V\n.7962 g
      1712 3866 N 45 50 78 61 -45 -47 h\n1.000 UP\n1.000 UL\nLT5\n1712 3866
      M\n78 64 V\n-45 -50 V\n-78 -61 V\n45 47 V\n.8436 g 1790 3930 N 45 51 78
      33 -45 -50 h\n1.000 UP\n1.000 UL\nLT5\n1790 3930 M\n78 34 V\n-45 -51
      V\n-78 -33 V\n45 50 V\n.8737 g 1868 3964 N 46 52 78 11 -45 -51 h\n1.000
      UP\n1.000 UL\nLT5\n1868 3964 M\n79 12 V\n-46 -52 V\n-78 -11 V\n45 51
      V\n.8914 g 1947 3976 N 45 51 79 -3 -46 -52 h\n1.000 UP\n1.000
      UL\nLT5\n1947 3976 M\n78 -4 V\n-45 -51 V\n-79 3 V\n46 52 V\n.9005 g
      2025 3972 N 45 49 78 -13 -45 -51 h\n1.000 UP\n1.000 UL\nLT5\n2025 3972
      M\n78 -15 V\n-45 -49 V\n-78 13 V\n45 51 V\n.9038 g 2103 3957 N 45 48 78
      -20 -45 -49 h\n1.000 UP\n1.000 UL\nLT5\n2103 3957 M\n78 -21 V\n-45 -48
      V\n-78 20 V\n45 49 V\n.9036 g 2181 3936 N 45 46 78 -23 -45 -48 h\n1.000
      UP\n1.000 UL\nLT5\n2181 3936 M\n78 -25 V\n-45 -46 V\n-78 23 V\n45 48
      V\n.9015 g 2259 3911 N 45 44 78 -25 -45 -46 h\n1.000 UP\n1.000
      UL\nLT5\n2259 3911 M\n78 -27 V\n-45 -44 V\n-78 25 V\n45 46 V\n.8984 g
      2337 3884 N 45 42 78 -26 -45 -44 h\n1.000 UP\n1.000 UL\nLT5\n2337 3884
      M\n78 -28 V\n-45 -42 V\n-78 26 V\n45 44 V\n.8953 g 2415 3856 N 45 41 78
      -26 -45 -42 h\n1.000 UP\n1.000 UL\nLT5\n2415 3856 M\n78 -27 V\n-45 -41
      V\n-78 26 V\n45 42 V\n.8925 g 2493 3829 N 45 39 78 -25 -45 -41 h\n1.000
      UP\n1.000 UL\nLT5\n2493 3829 M\n78 -27 V\n-45 -39 V\n-78 25 V\n45 41
      V\n.8904 g 2571 3802 N 45 38 78 -24 -45 -39 h\n1.000 UP\n1.000
      UL\nLT5\n2571 3802 M\n78 -25 V\n-45 -38 V\n-78 24 V\n45 39 V\n.889 g
      2649 3777 N 45 37 78 -23 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2649 3777
      M\n78 -24 V\n-45 -37 V\n-78 23 V\n45 38 V\n.8886 g 2727 3753 N 46 37 78
      -22 -45 -37 h\n1.000 UP\n1.000 UL\nLT5\n2727 3753 M\n79 -22 V\n-46 -37
      V\n-78 22 V\n45 37 V\n.889 g 2806 3731 N 45 38 79 -21 -46 -37 h\n1.000
      UP\n1.000 UL\nLT5\n2806 3731 M\n78 -20 V\n-45 -38 V\n-79 21 V\n46 37
      V\n.8904 g 2884 3711 N 45 39 78 -20 -45 -38 h\n1.000 UP\n1.000
      UL\nLT5\n2884 3711 M\n78 -19 V\n-45 -39 V\n-78 20 V\n45 38 V\n.8925 g
      2962 3692 N 45 40 78 -19 -45 -39 h\n1.000 UP\n1.000 UL\nLT5\n2962 3692
      M\n78 -18 V\n-45 -40 V\n-78 19 V\n45 39 V\n.8953 g 3040 3674 N 45 42 78
      -18 -45 -40 h\n1.000 UP\n1.000 UL\nLT5\n3040 3674 M\n78 -16 V\n-45 -42
      V\n-78 18 V\n45 40 V\n.8984 g 3118 3658 N 45 44 78 -19 -45 -42 h\n1.000
      UP\n1.000 UL\nLT5\n3118 3658 M\n78 -17 V\n-45 -44 V\n-78 19 V\n45 42
      V\n.9015 g 3196 3641 N 45 46 78 -19 -45 -44 h\n1.000 UP\n1.000
      UL\nLT5\n3196 3641 M\n78 -17 V\n-45 -46 V\n-78 19 V\n45 44 V\n.9036 g
      3274 3624 N 45 47 78 -20 -45 -46 h\n1.000 UP\n1.000 UL\nLT5\n3274 3624
      M\n78 -19 V\n-45 -47 V\n-78 20 V\n45 46 V\n.9038 g 3352 3605 N 45 50 78
      -25 -45 -47 h\n1.000 UP\n1.000 UL\nLT5\n3352 3605 M\n78 -22 V\n-45 -50
      V\n-78 25 V\n45 47 V\n.9005 g 3430 3583 N 45 51 78 -31 -45 -50 h\n1.000
      UP\n1.000 UL\nLT5\n3430 3583 M\n78 -30 V\n-45 -51 V\n-78 31 V\n45 50
      V\n.8914 g 3508 3553 N 45 52 78 -41 -45 -51 h\n1.000 UP\n1.000
      UL\nLT5\n3508 3553 M\n78 -40 V\n-45 -52 V\n-78 41 V\n45 51 V\n.8737 g
      3586 3513 N 46 51 78 -55 -45 -52 h\n1.000 UP\n1.000 UL\nLT5\n3586 3513
      M\n79 -56 V\n-46 -51 V\n-78 55 V\n45 52 V\n.8436 g 3665 3457 N 45 50 79
      -77 -46 -51 h\n1.000 UP\n1.000 UL\nLT5\n3665 3457 M\n78 -78 V\n-45 -50
      V\n-79 77 V\n46 51 V\n.7962 g 3743 3379 N 45 46 78 -105 -45 -50
      h\n1.000 UP\n1.000 UL\nLT5\n3743 3379 M\n78 -109 V\n-45 -46 V\n-78 105
      V\n45 50 V\n.7252 g 3821 3270 N 45 42 78 -145 -45 -46 h\n1.000
      UP\n1.000 UL\nLT5\n3821 3270 M\n78 -149 V\n-45 -42 V\n-78 145 V\n45 46
      V\n.7204 g 1589 3719 N 45 48 78 97 -45 -45 h\n1.000 UP\n1.000
      UL\nLT5\n1589 3719 M\n78 100 V\n-45 -48 V\n-78 -97 V\n45 45 V\n.7891 g
      1667 3819 N 45 50 78 59 -45 -48 h\n1.000 UP\n1.000 UL\nLT5\n1667 3819
      M\n78 61 V\n-45 -50 V\n-78 -59 V\n45 48 V\n.8353 g 1745 3880 N 45 51 78
      32 -45 -50 h\n1.000 UP\n1.000 UL\nLT5\n1745 3880 M\n78 33 V\n-45 -51
      V\n-78 -32 V\n45 50 V\n.865 g 1823 3913 N 45 51 78 11 -45 -51 h\n1.000
      UP\n1.000 UL\nLT5\n1823 3913 M\n78 11 V\n-45 -51 V\n-78 -11 V\n45 51
      V\n.8829 g 1901 3924 N 46 50 78 -2 -45 -51 h\n1.000 UP\n1.000
      UL\nLT5\n1901 3924 M\n79 -3 V\n-46 -50 V\n-78 2 V\n45 51 V\n.8926 g
      1980 3921 N 45 49 79 -12 -46 -50 h\n1.000 UP\n1.000 UL\nLT5\n1980 3921
      M\n78 -13 V\n-45 -49 V\n-79 12 V\n46 50 V\n.8969 g 2058 3908 N 45 47 78
      -18 -45 -49 h\n1.000 UP\n1.000 UL\nLT5\n2058 3908 M\n78 -20 V\n-45 -47
      V\n-78 18 V\n45 49 V\n.898 g 2136 3888 N 45 45 78 -21 -45 -47 h\n1.000
      UP\n1.000 UL\nLT5\n2136 3888 M\n78 -23 V\n-45 -45 V\n-78 21 V\n45 47
      V\n.8971 g 2214 3865 N 45 44 78 -24 -45 -45 h\n1.000 UP\n1.000
      UL\nLT5\n2214 3865 M\n78 -25 V\n-45 -44 V\n-78 24 V\n45 45 V\n.8953 g
      2292 3840 N 45 42 78 -24 -45 -44 h\n1.000 UP\n1.000 UL\nLT5\n2292 3840
      M\n78 -26 V\n-45 -42 V\n-78 24 V\n45 44 V\n.8933 g 2370 3814 N 45 40 78
      -24 -45 -42 h\n1.000 UP\n1.000 UL\nLT5\n2370 3814 M\n78 -26 V\n-45 -40
      V\n-78 24 V\n45 42 V\n.8915 g 2448 3788 N 45 39 78 -24 -45 -40 h\n1.000
      UP\n1.000 UL\nLT5\n2448 3788 M\n78 -25 V\n-45 -39 V\n-78 24 V\n45 40
      V\n.89 g 2526 3763 N 45 38 78 -23 -45 -39 h\n1.000 UP\n1.000
      UL\nLT5\n2526 3763 M\n78 -24 V\n-45 -38 V\n-78 23 V\n45 39 V\n.8891 g
      2604 3739 N 45 38 78 -23 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2604 3739
      M\n78 -23 V\n-45 -38 V\n-78 23 V\n45 38 V\n.8888 g 2682 3716 N 45 38 78
      -22 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2682 3716 M\n78 -22 V\n-45 -38
      V\n-78 22 V\n45 38 V\n.8891 g 2760 3694 N 46 39 78 -22 -45 -38 h\n1.000
      UP\n1.000 UL\nLT5\n2760 3694 M\n79 -21 V\n-46 -39 V\n-78 22 V\n45 38
      V\n.89 g 2839 3673 N 45 39 79 -20 -46 -39 h\n1.000 UP\n1.000
      UL\nLT5\n2839 3673 M\n78 -20 V\n-45 -39 V\n-79 20 V\n46 39 V\n.8915 g
      2917 3653 N 45 41 78 -21 -45 -39 h\n1.000 UP\n1.000 UL\nLT5\n2917 3653
      M\n78 -19 V\n-45 -41 V\n-78 21 V\n45 39 V\n.8933 g 2995 3634 N 45 42 78
      -19 -45 -41 h\n1.000 UP\n1.000 UL\nLT5\n2995 3634 M\n78 -18 V\n-45 -42
      V\n-78 19 V\n45 41 V\n.8953 g 3073 3616 N 45 43 78 -20 -45 -42 h\n1.000
      UP\n1.000 UL\nLT5\n3073 3616 M\n78 -19 V\n-45 -43 V\n-78 20 V\n45 42
      V\n.8971 g 3151 3597 N 45 45 78 -21 -45 -43 h\n1.000 UP\n1.000
      UL\nLT5\n3151 3597 M\n78 -19 V\n-45 -45 V\n-78 21 V\n45 43 V\n.898 g
      3229 3578 N 45 48 78 -23 -45 -45 h\n1.000 UP\n1.000 UL\nLT5\n3229 3578
      M\n78 -20 V\n-45 -48 V\n-78 23 V\n45 45 V\n.8969 g 3307 3558 N 45 49 78
      -26 -45 -48 h\n1.000 UP\n1.000 UL\nLT5\n3307 3558 M\n78 -25 V\n-45 -49
      V\n-78 26 V\n45 48 V\n.8926 g 3385 3533 N 45 50 78 -32 -45 -49 h\n1.000
      UP\n1.000 UL\nLT5\n3385 3533 M\n78 -31 V\n-45 -50 V\n-78 32 V\n45 49
      V\n.8829 g 3463 3502 N 45 51 78 -42 -45 -50 h\n1.000 UP\n1.000
      UL\nLT5\n3463 3502 M\n78 -41 V\n-45 -51 V\n-78 42 V\n45 50 V\n.865 g
      3541 3461 N 45 51 78 -55 -45 -51 h\n1.000 UP\n1.000 UL\nLT5\n3541 3461
      M\n78 -55 V\n-45 -51 V\n-78 55 V\n45 51 V\n.8353 g 3619 3406 N 46 50 78
      -76 -45 -51 h\n1.000 UP\n1.000 UL\nLT5\n3619 3406 M\n79 -77 V\n-46 -50
      V\n-78 76 V\n45 51 V\n.7891 g 3698 3329 N 45 48 79 -103 -46 -50
      h\n1.000 UP\n1.000 UL\nLT5\n3698 3329 M\n78 -105 V\n-45 -48 V\n-79 103
      V\n46 50 V\n.7204 g 3776 3224 N 45 44 78 -141 -45 -48 h\n1.000
      UP\n1.000 UL\nLT5\n3776 3224 M\n78 -145 V\n-45 -44 V\n-78 141 V\n45 48
      V\n.7149 g 1544 3674 N 45 47 78 95 -45 -45 h\n1.000 UP\n1.000
      UL\nLT5\n1544 3674 M\n78 97 V\n-45 -47 V\n-78 -95 V\n45 45 V\n.7821 g
      1622 3771 N 45 48 78 58 -45 -47 h\n1.000 UP\n1.000 UL\nLT5\n1622 3771
      M\n78 59 V\n-45 -48 V\n-78 -58 V\n45 47 V\n.8276 g 1700 3830 N 45 49 78
      31 -45 -48 h\n1.000 UP\n1.000 UL\nLT5\n1700 3830 M\n78 32 V\n-45 -49
      V\n-78 -31 V\n45 48 V\n.8571 g 1778 3862 N 45 48 78 12 -45 -49 h\n1.000
      UP\n1.000 UL\nLT5\n1778 3862 M\n78 11 V\n-45 -48 V\n-78 -12 V\n45 49
      V\n.8753 g 1856 3873 N 45 48 78 -2 -45 -48 h\n1.000 UP\n1.000
      UL\nLT5\n1856 3873 M\n78 -2 V\n-45 -48 V\n-78 2 V\n45 48 V\n.8857 g
      1934 3871 N 46 47 78 -11 -45 -48 h\n1.000 UP\n1.000 UL\nLT5\n1934 3871
      M\n79 -12 V\n-46 -47 V\n-78 11 V\n45 48 V\n.891 g 2013 3859 N 45 45 79
      -16 -46 -47 h\n1.000 UP\n1.000 UL\nLT5\n2013 3859 M\n78 -18 V\n-45 -45
      V\n-79 16 V\n46 47 V\n.893 g 2091 3841 N 45 44 78 -20 -45 -45 h\n1.000
      UP\n1.000 UL\nLT5\n2091 3841 M\n78 -21 V\n-45 -44 V\n-78 20 V\n45 45
      V\n.8932 g 2169 3820 N 45 42 78 -22 -45 -44 h\n1.000 UP\n1.000
      UL\nLT5\n2169 3820 M\n78 -24 V\n-45 -42 V\n-78 22 V\n45 44 V\n.8925 g
      2247 3796 N 45 41 78 -23 -45 -42 h\n1.000 UP\n1.000 UL\nLT5\n2247 3796
      M\n78 -24 V\n-45 -41 V\n-78 23 V\n45 42 V\n.8915 g 2325 3772 N 45 40 78
      -23 -45 -41 h\n1.000 UP\n1.000 UL\nLT5\n2325 3772 M\n78 -24 V\n-45 -40
      V\n-78 23 V\n45 41 V\n.8904 g 2403 3748 N 45 39 78 -23 -45 -40 h\n1.000
      UP\n1.000 UL\nLT5\n2403 3748 M\n78 -24 V\n-45 -39 V\n-78 23 V\n45 40
      V\n.8896 g 2481 3724 N 45 39 78 -23 -45 -39 h\n1.000 UP\n1.000
      UL\nLT5\n2481 3724 M\n78 -23 V\n-45 -39 V\n-78 23 V\n45 39 V\n.8891 g
      2559 3701 N 45 38 78 -22 -45 -39 h\n1.000 UP\n1.000 UL\nLT5\n2559 3701
      M\n78 -23 V\n-45 -38 V\n-78 22 V\n45 39 V\n.8889 g 2637 3678 N 45 38 78
      -22 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2637 3678 M\n78 -22 V\n-45 -38
      V\n-78 22 V\n45 38 V\n.8891 g 2715 3656 N 45 38 78 -22 -45 -38 h\n1.000
      UP\n1.000 UL\nLT5\n2715 3656 M\n78 -22 V\n-45 -38 V\n-78 22 V\n45 38
      V\n.8896 g 2793 3634 N 46 40 78 -22 -45 -38 h\n1.000 UP\n1.000
      UL\nLT5\n2793 3634 M\n79 -20 V\n-46 -40 V\n-78 22 V\n45 38 V\n.8904 g
      2872 3614 N 45 40 79 -21 -46 -40 h\n1.000 UP\n1.000 UL\nLT5\n2872 3614
      M\n78 -21 V\n-45 -40 V\n-79 21 V\n46 40 V\n.8915 g 2950 3593 N 45 42 78
      -21 -45 -40 h\n1.000 UP\n1.000 UL\nLT5\n2950 3593 M\n78 -19 V\n-45 -42
      V\n-78 21 V\n45 40 V\n.8925 g 3028 3574 N 45 43 78 -21 -45 -42 h\n1.000
      UP\n1.000 UL\nLT5\n3028 3574 M\n78 -20 V\n-45 -43 V\n-78 21 V\n45 42
      V\n.8932 g 3106 3554 N 45 44 78 -22 -45 -43 h\n1.000 UP\n1.000
      UL\nLT5\n3106 3554 M\n78 -21 V\n-45 -44 V\n-78 22 V\n45 43 V\n.893 g
      3184 3533 N 45 45 78 -24 -45 -44 h\n1.000 UP\n1.000 UL\nLT5\n3184 3533
      M\n78 -23 V\n-45 -45 V\n-78 24 V\n45 44 V\n.891 g 3262 3510 N 45 47 78
      -28 -45 -45 h\n1.000 UP\n1.000 UL\nLT5\n3262 3510 M\n78 -26 V\n-45 -47
      V\n-78 28 V\n45 45 V\n.8857 g 3340 3484 N 45 48 78 -33 -45 -47 h\n1.000
      UP\n1.000 UL\nLT5\n3340 3484 M\n78 -32 V\n-45 -48 V\n-78 33 V\n45 47
      V\n.8753 g 3418 3452 N 45 48 78 -42 -45 -48 h\n1.000 UP\n1.000
      UL\nLT5\n3418 3452 M\n78 -42 V\n-45 -48 V\n-78 42 V\n45 48 V\n.8571 g
      3496 3410 N 45 49 78 -56 -45 -48 h\n1.000 UP\n1.000 UL\nLT5\n3496 3410
      M\n78 -55 V\n-45 -49 V\n-78 56 V\n45 48 V\n.8276 g 3574 3355 N 45 49 78
      -76 -45 -49 h\n1.000 UP\n1.000 UL\nLT5\n3574 3355 M\n78 -76 V\n-45 -49
      V\n-78 76 V\n45 49 V\n.7821 g 3652 3279 N 46 48 78 -102 -45 -49
      h\n1.000 UP\n1.000 UL\nLT5\n3652 3279 M\n79 -103 V\n-46 -48 V\n-78 102
      V\n45 49 V\n.7149 g 3731 3176 N 45 46 79 -139 -46 -48 h\n1.000
      UP\n1.000 UL\nLT5\n3731 3176 M\n78 -141 V\n-45 -46 V\n-79 139 V\n46 48
      V\n.7101 g 1499 3629 N 45 46 78 93 -45 -44 h\n1.000 UP\n1.000
      UL\nLT5\n1499 3629 M\n78 95 V\n-45 -46 V\n-78 -93 V\n45 44 V\n.7763 g
      1577 3724 N 45 46 78 58 -45 -46 h\n1.000 UP\n1.000 UL\nLT5\n1577 3724
      M\n78 58 V\n-45 -46 V\n-78 -58 V\n45 46 V\n.8213 g 1655 3782 N 45 46 78
      31 -45 -46 h\n1.000 UP\n1.000 UL\nLT5\n1655 3782 M\n78 31 V\n-45 -46
      V\n-78 -31 V\n45 46 V\n.8509 g 1733 3813 N 45 46 78 12 -45 -46 h\n1.000
      UP\n1.000 UL\nLT5\n1733 3813 M\n78 12 V\n-45 -46 V\n-78 -12 V\n45 46
      V\n.8694 g 1811 3825 N 45 45 78 -1 -45 -46 h\n1.000 UP\n1.000
      UL\nLT5\n1811 3825 M\n78 -2 V\n-45 -45 V\n-78 1 V\n45 46 V\n.8804 g
      1889 3823 N 45 44 78 -10 -45 -45 h\n1.000 UP\n1.000 UL\nLT5\n1889 3823
      M\n78 -11 V\n-45 -44 V\n-78 10 V\n45 45 V\n.8864 g 1967 3812 N 46 44 78
      -16 -45 -44 h\n1.000 UP\n1.000 UL\nLT5\n1967 3812 M\n79 -16 V\n-46 -44
      V\n-78 16 V\n45 44 V\n.8892 g 2046 3796 N 45 43 79 -19 -46 -44 h\n1.000
      UP\n1.000 UL\nLT5\n2046 3796 M\n78 -20 V\n-45 -43 V\n-79 19 V\n46 44
      V\n.8903 g 2124 3776 N 45 42 78 -21 -45 -43 h\n1.000 UP\n1.000
      UL\nLT5\n2124 3776 M\n78 -22 V\n-45 -42 V\n-78 21 V\n45 43 V\n.8904 g
      2202 3754 N 45 40 78 -21 -45 -42 h\n1.000 UP\n1.000 UL\nLT5\n2202 3754
      M\n78 -23 V\n-45 -40 V\n-78 21 V\n45 42 V\n.89 g 2280 3731 N 45 40 78
      -23 -45 -40 h\n1.000 UP\n1.000 UL\nLT5\n2280 3731 M\n78 -23 V\n-45 -40
      V\n-78 23 V\n45 40 V\n.8896 g 2358 3708 N 45 39 78 -22 -45 -40 h\n1.000
      UP\n1.000 UL\nLT5\n2358 3708 M\n78 -23 V\n-45 -39 V\n-78 22 V\n45 40
      V\n.8892 g 2436 3685 N 45 38 78 -22 -45 -39 h\n1.000 UP\n1.000
      UL\nLT5\n2436 3685 M\n78 -23 V\n-45 -38 V\n-78 22 V\n45 39 V\n.889 g
      2514 3662 N 45 39 78 -23 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2514 3662
      M\n78 -22 V\n-45 -39 V\n-78 23 V\n45 38 V\n.8889 g 2592 3640 N 45 39 78
      -22 -45 -39 h\n1.000 UP\n1.000 UL\nLT5\n2592 3640 M\n78 -22 V\n-45 -39
      V\n-78 22 V\n45 39 V\n.889 g 2670 3618 N 45 39 78 -22 -45 -39 h\n1.000
      UP\n1.000 UL\nLT5\n2670 3618 M\n78 -22 V\n-45 -39 V\n-78 22 V\n45 39
      V\n.8892 g 2748 3596 N 45 38 78 -21 -45 -39 h\n1.000 UP\n1.000
      UL\nLT5\n2748 3596 M\n78 -22 V\n-45 -38 V\n-78 21 V\n45 39 V\n.8896 g
      2826 3574 N 46 39 78 -22 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2826 3574
      M\n79 -21 V\n-46 -39 V\n-78 22 V\n45 38 V\n.89 g 2905 3553 N 45 40 79
      -22 -46 -39 h\n1.000 UP\n1.000 UL\nLT5\n2905 3553 M\n78 -21 V\n-45 -40
      V\n-79 22 V\n46 39 V\n.8904 g 2983 3532 N 45 41 78 -22 -45 -40 h\n1.000
      UP\n1.000 UL\nLT5\n2983 3532 M\n78 -21 V\n-45 -41 V\n-78 22 V\n45 40
      V\n.8903 g 3061 3511 N 45 42 78 -23 -45 -41 h\n1.000 UP\n1.000
      UL\nLT5\n3061 3511 M\n78 -22 V\n-45 -42 V\n-78 23 V\n45 41 V\n.8892 g
      3139 3489 N 45 43 78 -25 -45 -42 h\n1.000 UP\n1.000 UL\nLT5\n3139 3489
      M\n78 -24 V\n-45 -43 V\n-78 25 V\n45 42 V\n.8864 g 3217 3465 N 45 44 78
      -29 -45 -43 h\n1.000 UP\n1.000 UL\nLT5\n3217 3465 M\n78 -28 V\n-45 -44
      V\n-78 29 V\n45 43 V\n.8804 g 3295 3437 N 45 45 78 -34 -45 -44 h\n1.000
      UP\n1.000 UL\nLT5\n3295 3437 M\n78 -33 V\n-45 -45 V\n-78 34 V\n45 44
      V\n.8694 g 3373 3404 N 45 46 78 -43 -45 -45 h\n1.000 UP\n1.000
      UL\nLT5\n3373 3404 M\n78 -42 V\n-45 -46 V\n-78 43 V\n45 45 V\n.8509 g
      3451 3362 N 45 46 78 -56 -45 -46 h\n1.000 UP\n1.000 UL\nLT5\n3451 3362
      M\n78 -56 V\n-45 -46 V\n-78 56 V\n45 46 V\n.8213 g 3529 3306 N 45 45 78
      -75 -45 -46 h\n1.000 UP\n1.000 UL\nLT5\n3529 3306 M\n78 -76 V\n-45 -45
      V\n-78 75 V\n45 46 V\n.7763 g 3607 3230 N 45 45 78 -102 -45 -45
      h\n1.000 UP\n1.000 UL\nLT5\n3607 3230 M\n78 -102 V\n-45 -45 V\n-78 102
      V\n45 45 V\n.7101 g 3685 3128 N 46 43 78 -137 -45 -45 h\n1.000
      UP\n1.000 UL\nLT5\n3685 3128 M\n79 -139 V\n-46 -43 V\n-78 137 V\n45 45
      V\n.7068 g 1454 3585 N 45 41 78 93 -45 -41 h\n1.000 UP\n1.000
      UL\nLT5\n1454 3585 M\n78 93 V\n-45 -41 V\n-78 -93 V\n45 41 V\n.7726 g
      1532 3678 N 45 42 78 57 -45 -41 h\n1.000 UP\n1.000 UL\nLT5\n1532 3678
      M\n78 58 V\n-45 -42 V\n-78 -57 V\n45 41 V\n.8174 g 1610 3736 N 45 42 78
      31 -45 -42 h\n1.000 UP\n1.000 UL\nLT5\n1610 3736 M\n78 31 V\n-45 -42
      V\n-78 -31 V\n45 42 V\n.8469 g 1688 3767 N 45 42 78 12 -45 -42 h\n1.000
      UP\n1.000 UL\nLT5\n1688 3767 M\n78 12 V\n-45 -42 V\n-78 -12 V\n45 42
      V\n.8657 g 1766 3779 N 45 42 78 -1 -45 -42 h\n1.000 UP\n1.000
      UL\nLT5\n1766 3779 M\n78 -1 V\n-45 -42 V\n-78 1 V\n45 42 V\n.877 g 1844
      3778 N 45 41 78 -9 -45 -42 h\n1.000 UP\n1.000 UL\nLT5\n1844 3778 M\n78
      -10 V\n-45 -41 V\n-78 9 V\n45 42 V\n.8835 g 1922 3768 N 45 40 78 -15
      -45 -41 h\n1.000 UP\n1.000 UL\nLT5\n1922 3768 M\n78 -16 V\n-45 -40
      V\n-78 15 V\n45 41 V\n.8869 g 2000 3752 N 46 40 78 -19 -45 -40 h\n1.000
      UP\n1.000 UL\nLT5\n2000 3752 M\n79 -19 V\n-46 -40 V\n-78 19 V\n45 40
      V\n.8884 g 2079 3733 N 45 39 79 -20 -46 -40 h\n1.000 UP\n1.000
      UL\nLT5\n2079 3733 M\n78 -21 V\n-45 -39 V\n-79 20 V\n46 40 V\n.889 g
      2157 3712 N 45 40 78 -22 -45 -39 h\n1.000 UP\n1.000 UL\nLT5\n2157 3712
      M\n78 -21 V\n-45 -40 V\n-78 22 V\n45 39 V\n.8891 g 2235 3691 N 45 39 78
      -22 -45 -40 h\n1.000 UP\n1.000 UL\nLT5\n2235 3691 M\n78 -23 V\n-45 -39
      V\n-78 22 V\n45 40 V\n.8891 g 2313 3668 N 45 39 78 -22 -45 -39 h\n1.000
      UP\n1.000 UL\nLT5\n2313 3668 M\n78 -22 V\n-45 -39 V\n-78 22 V\n45 39
      V\n.889 g 2391 3646 N 45 39 78 -22 -45 -39 h\n1.000 UP\n1.000
      UL\nLT5\n2391 3646 M\n78 -22 V\n-45 -39 V\n-78 22 V\n45 39 V\n.8889 g
      2469 3624 N 45 38 78 -22 -45 -39 h\n1.000 UP\n1.000 UL\nLT5\n2469 3624
      M\n78 -23 V\n-45 -38 V\n-78 22 V\n45 39 V\n.8889 g 2547 3601 N 45 38 78
      -22 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2547 3601 M\n78 -22 V\n-45 -38
      V\n-78 22 V\n45 38 V\n.8889 g 2625 3579 N 45 38 78 -22 -45 -38 h\n1.000
      UP\n1.000 UL\nLT5\n2625 3579 M\n78 -22 V\n-45 -38 V\n-78 22 V\n45 38
      V\n.889 g 2703 3557 N 45 39 78 -22 -45 -38 h\n1.000 UP\n1.000
      UL\nLT5\n2703 3557 M\n78 -21 V\n-45 -39 V\n-78 22 V\n45 38 V\n.8891 g
      2781 3536 N 45 39 78 -22 -45 -39 h\n1.000 UP\n1.000 UL\nLT5\n2781 3536
      M\n78 -22 V\n-45 -39 V\n-78 22 V\n45 39 V\n.8891 g 2859 3514 N 46 39 78
      -22 -45 -39 h\n1.000 UP\n1.000 UL\nLT5\n2859 3514 M\n79 -22 V\n-46 -39
      V\n-78 22 V\n45 39 V\n.889 g 2938 3492 N 45 40 79 -23 -46 -39 h\n1.000
      UP\n1.000 UL\nLT5\n2938 3492 M\n78 -22 V\n-45 -40 V\n-79 23 V\n46 39
      V\n.8884 g 3016 3470 N 45 41 78 -24 -45 -40 h\n1.000 UP\n1.000
      UL\nLT5\n3016 3470 M\n78 -23 V\n-45 -41 V\n-78 24 V\n45 40 V\n.8869 g
      3094 3447 N 45 41 78 -25 -45 -41 h\n1.000 UP\n1.000 UL\nLT5\n3094 3447
      M\n78 -25 V\n-45 -41 V\n-78 25 V\n45 41 V\n.8835 g 3172 3422 N 45 41 78
      -29 -45 -41 h\n1.000 UP\n1.000 UL\nLT5\n3172 3422 M\n78 -29 V\n-45 -41
      V\n-78 29 V\n45 41 V\n.877 g 3250 3393 N 45 42 78 -35 -45 -41 h\n1.000
      UP\n1.000 UL\nLT5\n3250 3393 M\n78 -34 V\n-45 -42 V\n-78 35 V\n45 41
      V\n.8657 g 3328 3359 N 45 42 78 -43 -45 -42 h\n1.000 UP\n1.000
      UL\nLT5\n3328 3359 M\n78 -43 V\n-45 -42 V\n-78 43 V\n45 42 V\n.8469 g
      3406 3316 N 45 43 78 -57 -45 -42 h\n1.000 UP\n1.000 UL\nLT5\n3406 3316
      M\n78 -56 V\n-45 -43 V\n-78 57 V\n45 42 V\n.8174 g 3484 3260 N 45 43 78
      -75 -45 -43 h\n1.000 UP\n1.000 UL\nLT5\n3484 3260 M\n78 -75 V\n-45 -43
      V\n-78 75 V\n45 43 V\n.7726 g 3562 3185 N 45 42 78 -101 -45 -43
      h\n1.000 UP\n1.000 UL\nLT5\n3562 3185 M\n78 -102 V\n-45 -42 V\n-78 101
      V\n45 43 V\n.7068 g 3640 3083 N 45 41 78 -136 -45 -42 h\n1.000
      UP\n1.000 UL\nLT5\n3640 3083 M\n78 -137 V\n-45 -41 V\n-78 136 V\n45 42
      V\n.7057 g 1409 3544 N 45 39 78 92 -45 -38 h\n1.000 UP\n1.000
      UL\nLT5\n1409 3544 M\n78 93 V\n-45 -39 V\n-78 -92 V\n45 38 V\n.7712 g
      1487 3637 N 45 39 78 57 -45 -39 h\n1.000 UP\n1.000 UL\nLT5\n1487 3637
      M\n78 57 V\n-45 -39 V\n-78 -57 V\n45 39 V\n.816 g 1565 3694 N 45 39 78
      31 -45 -39 h\n1.000 UP\n1.000 UL\nLT5\n1565 3694 M\n78 31 V\n-45 -39
      V\n-78 -31 V\n45 39 V\n.8456 g 1643 3725 N 45 38 78 13 -45 -39 h\n1.000
      UP\n1.000 UL\nLT5\n1643 3725 M\n78 12 V\n-45 -38 V\n-78 -13 V\n45 39
      V\n.8644 g 1721 3737 N 45 38 78 -1 -45 -38 h\n1.000 UP\n1.000
      UL\nLT5\n1721 3737 M\n78 -1 V\n-45 -38 V\n-78 1 V\n45 38 V\n.8759 g
      1799 3736 N 45 39 78 -10 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n1799 3736
      M\n78 -9 V\n-45 -39 V\n-78 10 V\n45 38 V\n.8825 g 1877 3727 N 45 39 78
      -15 -45 -39 h\n1.000 UP\n1.000 UL\nLT5\n1877 3727 M\n78 -15 V\n-45 -39
      V\n-78 15 V\n45 39 V\n.8861 g 1955 3712 N 45 38 78 -18 -45 -39 h\n1.000
      UP\n1.000 UL\nLT5\n1955 3712 M\n78 -19 V\n-45 -38 V\n-78 18 V\n45 39
      V\n.8878 g 2033 3693 N 46 39 78 -21 -45 -38 h\n1.000 UP\n1.000
      UL\nLT5\n2033 3693 M\n79 -20 V\n-46 -39 V\n-78 21 V\n45 38 V\n.8886 g
      2112 3673 N 45 38 79 -21 -46 -39 h\n1.000 UP\n1.000 UL\nLT5\n2112 3673
      M\n78 -22 V\n-45 -38 V\n-79 21 V\n46 39 V\n.8888 g 2190 3651 N 45 38 78
      -22 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2190 3651 M\n78 -22 V\n-45 -38
      V\n-78 22 V\n45 38 V\n.8889 g 2268 3629 N 45 38 78 -22 -45 -38 h\n1.000
      UP\n1.000 UL\nLT5\n2268 3629 M\n78 -22 V\n-45 -38 V\n-78 22 V\n45 38
      V\n.8889 g 2346 3607 N 45 38 78 -22 -45 -38 h\n1.000 UP\n1.000
      UL\nLT5\n2346 3607 M\n78 -22 V\n-45 -38 V\n-78 22 V\n45 38 V\n.8889 g
      2424 3585 N 45 38 78 -22 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2424 3585
      M\n78 -22 V\n-45 -38 V\n-78 22 V\n45 38 V\n.8889 g 2502 3563 N 45 38 78
      -22 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2502 3563 M\n78 -22 V\n-45 -38
      V\n-78 22 V\n45 38 V\n.8889 g 2580 3541 N 45 38 78 -22 -45 -38 h\n1.000
      UP\n1.000 UL\nLT5\n2580 3541 M\n78 -22 V\n-45 -38 V\n-78 22 V\n45 38
      V\n.8889 g 2658 3519 N 45 38 78 -22 -45 -38 h\n1.000 UP\n1.000
      UL\nLT5\n2658 3519 M\n78 -22 V\n-45 -38 V\n-78 22 V\n45 38 V\n.8889 g
      2736 3497 N 45 38 78 -22 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2736 3497
      M\n78 -22 V\n-45 -38 V\n-78 22 V\n45 38 V\n.8888 g 2814 3475 N 45 38 78
      -22 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2814 3475 M\n78 -22 V\n-45 -38
      V\n-78 22 V\n45 38 V\n.8886 g 2892 3453 N 46 38 78 -23 -45 -38 h\n1.000
      UP\n1.000 UL\nLT5\n2892 3453 M\n79 -23 V\n-46 -38 V\n-78 23 V\n45 38
      V\n.8878 g 2971 3430 N 45 38 79 -24 -46 -38 h\n1.000 UP\n1.000
      UL\nLT5\n2971 3430 M\n78 -24 V\n-45 -38 V\n-79 24 V\n46 38 V\n.8861 g
      3049 3406 N 45 38 78 -25 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n3049 3406
      M\n78 -25 V\n-45 -38 V\n-78 25 V\n45 38 V\n.8825 g 3127 3381 N 45 38 78
      -29 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n3127 3381 M\n78 -29 V\n-45 -38
      V\n-78 29 V\n45 38 V\n.8759 g 3205 3352 N 45 38 78 -35 -45 -38 h\n1.000
      UP\n1.000 UL\nLT5\n3205 3352 M\n78 -35 V\n-45 -38 V\n-78 35 V\n45 38
      V\n.8644 g 3283 3317 N 45 38 78 -43 -45 -38 h\n1.000 UP\n1.000
      UL\nLT5\n3283 3317 M\n78 -43 V\n-45 -38 V\n-78 43 V\n45 38 V\n.8456 g
      3361 3274 N 45 38 78 -57 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n3361 3274
      M\n78 -57 V\n-45 -38 V\n-78 57 V\n45 38 V\n.816 g 3439 3217 N 45 38 78
      -75 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n3439 3217 M\n78 -75 V\n-45 -38
      V\n-78 75 V\n45 38 V\n.7712 g 3517 3142 N 45 38 78 -101 -45 -38
      h\n1.000 UP\n1.000 UL\nLT5\n3517 3142 M\n78 -101 V\n-45 -38 V\n-78 101
      V\n45 38 V\n.7057 g 3595 3041 N 45 39 78 -137 -45 -38 h\n1.000
      UP\n1.000 UL\nLT5\n3595 3041 M\n78 -136 V\n-45 -39 V\n-78 137 V\n45 38
      V\n.7068 g 1364 3506 N 45 34 78 93 -45 -35 h\n1.000 UP\n1.000
      UL\nLT5\n1364 3506 M\n78 92 V\n-45 -34 V\n-78 -93 V\n45 35 V\n.7726 g
      1442 3598 N 45 34 78 57 -45 -34 h\n1.000 UP\n1.000 UL\nLT5\n1442 3598
      M\n78 57 V\n-45 -34 V\n-78 -57 V\n45 34 V\n.8174 g 1520 3655 N 45 34 78
      31 -45 -34 h\n1.000 UP\n1.000 UL\nLT5\n1520 3655 M\n78 31 V\n-45 -34
      V\n-78 -31 V\n45 34 V\n.8469 g 1598 3686 N 45 35 78 12 -45 -34 h\n1.000
      UP\n1.000 UL\nLT5\n1598 3686 M\n78 13 V\n-45 -35 V\n-78 -12 V\n45 34
      V\n.8657 g 1676 3699 N 45 35 78 -1 -45 -35 h\n1.000 UP\n1.000
      UL\nLT5\n1676 3699 M\n78 -1 V\n-45 -35 V\n-78 1 V\n45 35 V\n.877 g 1754
      3698 N 45 35 78 -10 -45 -35 h\n1.000 UP\n1.000 UL\nLT5\n1754 3698 M\n78
      -10 V\n-45 -35 V\n-78 10 V\n45 35 V\n.8835 g 1832 3688 N 45 35 78 -15
      -45 -35 h\n1.000 UP\n1.000 UL\nLT5\n1832 3688 M\n78 -15 V\n-45 -35
      V\n-78 15 V\n45 35 V\n.8869 g 1910 3673 N 45 36 78 -19 -45 -35 h\n1.000
      UP\n1.000 UL\nLT5\n1910 3673 M\n78 -18 V\n-45 -36 V\n-78 19 V\n45 35
      V\n.8884 g 1988 3655 N 45 36 78 -21 -45 -36 h\n1.000 UP\n1.000
      UL\nLT5\n1988 3655 M\n78 -21 V\n-45 -36 V\n-78 21 V\n45 36 V\n.889 g
      2066 3634 N 46 37 78 -22 -45 -36 h\n1.000 UP\n1.000 UL\nLT5\n2066 3634
      M\n79 -21 V\n-46 -37 V\n-78 22 V\n45 36 V\n.8891 g 2145 3613 N 45 37 79
      -22 -46 -37 h\n1.000 UP\n1.000 UL\nLT5\n2145 3613 M\n78 -22 V\n-45 -37
      V\n-79 22 V\n46 37 V\n.8891 g 2223 3591 N 45 38 78 -23 -45 -37 h\n1.000
      UP\n1.000 UL\nLT5\n2223 3591 M\n78 -22 V\n-45 -38 V\n-78 23 V\n45 37
      V\n.889 g 2301 3569 N 45 38 78 -22 -45 -38 h\n1.000 UP\n1.000
      UL\nLT5\n2301 3569 M\n78 -22 V\n-45 -38 V\n-78 22 V\n45 38 V\n.8889 g
      2379 3547 N 45 38 78 -22 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2379 3547
      M\n78 -22 V\n-45 -38 V\n-78 22 V\n45 38 V\n.8889 g 2457 3525 N 45 38 78
      -22 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2457 3525 M\n78 -22 V\n-45 -38
      V\n-78 22 V\n45 38 V\n.8889 g 2535 3503 N 45 38 78 -22 -45 -38 h\n1.000
      UP\n1.000 UL\nLT5\n2535 3503 M\n78 -22 V\n-45 -38 V\n-78 22 V\n45 38
      V\n.889 g 2613 3481 N 45 38 78 -22 -45 -38 h\n1.000 UP\n1.000
      UL\nLT5\n2613 3481 M\n78 -22 V\n-45 -38 V\n-78 22 V\n45 38 V\n.8891 g
      2691 3459 N 45 38 78 -22 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2691 3459
      M\n78 -22 V\n-45 -38 V\n-78 22 V\n45 38 V\n.8891 g 2769 3437 N 45 38 78
      -22 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2769 3437 M\n78 -22 V\n-45 -38
      V\n-78 22 V\n45 38 V\n.889 g 2847 3415 N 45 37 78 -22 -45 -38 h\n1.000
      UP\n1.000 UL\nLT5\n2847 3415 M\n78 -23 V\n-45 -37 V\n-78 22 V\n45 38
      V\n.8884 g 2925 3392 N 46 36 78 -23 -45 -37 h\n1.000 UP\n1.000
      UL\nLT5\n2925 3392 M\n79 -24 V\n-46 -36 V\n-78 23 V\n45 37 V\n.8869 g
      3004 3368 N 45 36 79 -25 -46 -36 h\n1.000 UP\n1.000 UL\nLT5\n3004 3368
      M\n78 -25 V\n-45 -36 V\n-79 25 V\n46 36 V\n.8835 g 3082 3343 N 45 35 78
      -28 -45 -36 h\n1.000 UP\n1.000 UL\nLT5\n3082 3343 M\n78 -29 V\n-45 -35
      V\n-78 28 V\n45 36 V\n.877 g 3160 3314 N 45 35 78 -35 -45 -35 h\n1.000
      UP\n1.000 UL\nLT5\n3160 3314 M\n78 -35 V\n-45 -35 V\n-78 35 V\n45 35
      V\n.8657 g 3238 3279 N 45 35 78 -43 -45 -35 h\n1.000 UP\n1.000
      UL\nLT5\n3238 3279 M\n78 -43 V\n-45 -35 V\n-78 43 V\n45 35 V\n.8469 g
      3316 3236 N 45 34 78 -56 -45 -35 h\n1.000 UP\n1.000 UL\nLT5\n3316 3236
      M\n78 -57 V\n-45 -34 V\n-78 56 V\n45 35 V\n.8174 g 3394 3179 N 45 34 78
      -75 -45 -34 h\n1.000 UP\n1.000 UL\nLT5\n3394 3179 M\n78 -75 V\n-45 -34
      V\n-78 75 V\n45 34 V\n.7726 g 3472 3104 N 45 35 78 -102 -45 -34
      h\n1.000 UP\n1.000 UL\nLT5\n3472 3104 M\n78 -101 V\n-45 -35 V\n-78 102
      V\n45 34 V\n.7068 g 3550 3003 N 45 35 78 -137 -45 -35 h\n1.000
      UP\n1.000 UL\nLT5\n3550 3003 M\n78 -137 V\n-45 -35 V\n-78 137 V\n45 35
      V\n.7101 g 1319 3471 N 45 31 79 95 -46 -33 h\n1.000 UP\n1.000
      UL\nLT5\n1319 3471 M\n78 93 V\n-45 -31 V\n-79 -95 V\n46 33 V\n.7763 g
      1397 3564 N 45 30 78 58 -45 -31 h\n1.000 UP\n1.000 UL\nLT5\n1397 3564
      M\n78 57 V\n-45 -30 V\n-78 -58 V\n45 31 V\n.8213 g 1475 3621 N 45 30 78
      31 -45 -30 h\n1.000 UP\n1.000 UL\nLT5\n1475 3621 M\n78 31 V\n-45 -30
      V\n-78 -31 V\n45 30 V\n.8509 g 1553 3652 N 45 30 78 12 -45 -30 h\n1.000
      UP\n1.000 UL\nLT5\n1553 3652 M\n78 12 V\n-45 -30 V\n-78 -12 V\n45 30
      V\n.8694 g 1631 3664 N 45 31 78 -2 -45 -30 h\n1.000 UP\n1.000
      UL\nLT5\n1631 3664 M\n78 -1 V\n-45 -31 V\n-78 2 V\n45 30 V\n.8804 g
      1709 3663 N 45 32 78 -11 -45 -31 h\n1.000 UP\n1.000 UL\nLT5\n1709 3663
      M\n78 -10 V\n-45 -32 V\n-78 11 V\n45 31 V\n.8864 g 1787 3653 N 45 33 78
      -16 -45 -32 h\n1.000 UP\n1.000 UL\nLT5\n1787 3653 M\n78 -15 V\n-45 -33
      V\n-78 16 V\n45 32 V\n.8892 g 1865 3638 N 45 34 78 -20 -45 -33 h\n1.000
      UP\n1.000 UL\nLT5\n1865 3638 M\n78 -19 V\n-45 -34 V\n-78 20 V\n45 33
      V\n.8903 g 1943 3619 N 45 35 78 -22 -45 -34 h\n1.000 UP\n1.000
      UL\nLT5\n1943 3619 M\n78 -21 V\n-45 -35 V\n-78 22 V\n45 34 V\n.8904 g
      2021 3598 N 45 36 78 -23 -45 -35 h\n1.000 UP\n1.000 UL\nLT5\n2021 3598
      M\n78 -22 V\n-45 -36 V\n-78 23 V\n45 35 V\n.89 g 2099 3576 N 46 37 78
      -23 -45 -36 h\n1.000 UP\n1.000 UL\nLT5\n2099 3576 M\n79 -22 V\n-46 -37
      V\n-78 23 V\n45 36 V\n.8896 g 2178 3554 N 45 37 79 -23 -46 -37 h\n1.000
      UP\n1.000 UL\nLT5\n2178 3554 M\n78 -23 V\n-45 -37 V\n-79 23 V\n46 37
      V\n.8892 g 2256 3531 N 45 38 78 -23 -45 -37 h\n1.000 UP\n1.000
      UL\nLT5\n2256 3531 M\n78 -22 V\n-45 -38 V\n-78 23 V\n45 37 V\n.889 g
      2334 3509 N 45 38 78 -22 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2334 3509
      M\n78 -22 V\n-45 -38 V\n-78 22 V\n45 38 V\n.8889 g 2412 3487 N 45 38 78
      -22 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2412 3487 M\n78 -22 V\n-45 -38
      V\n-78 22 V\n45 38 V\n.889 g 2490 3465 N 45 38 78 -22 -45 -38 h\n1.000
      UP\n1.000 UL\nLT5\n2490 3465 M\n78 -22 V\n-45 -38 V\n-78 22 V\n45 38
      V\n.8892 g 2568 3443 N 45 37 78 -21 -45 -38 h\n1.000 UP\n1.000
      UL\nLT5\n2568 3443 M\n78 -22 V\n-45 -37 V\n-78 21 V\n45 38 V\n.8896 g
      2646 3421 N 45 37 78 -22 -45 -37 h\n1.000 UP\n1.000 UL\nLT5\n2646 3421
      M\n78 -22 V\n-45 -37 V\n-78 22 V\n45 37 V\n.89 g 2724 3399 N 45 36 78
      -21 -45 -37 h\n1.000 UP\n1.000 UL\nLT5\n2724 3399 M\n78 -22 V\n-45 -36
      V\n-78 21 V\n45 37 V\n.8904 g 2802 3377 N 45 35 78 -21 -45 -36 h\n1.000
      UP\n1.000 UL\nLT5\n2802 3377 M\n78 -22 V\n-45 -35 V\n-78 21 V\n45 36
      V\n.8903 g 2880 3355 N 45 34 78 -22 -45 -35 h\n1.000 UP\n1.000
      UL\nLT5\n2880 3355 M\n78 -23 V\n-45 -34 V\n-78 22 V\n45 35 V\n.8892 g
      2958 3332 N 46 33 78 -24 -45 -34 h\n1.000 UP\n1.000 UL\nLT5\n2958 3332
      M\n79 -25 V\n-46 -33 V\n-78 24 V\n45 34 V\n.8864 g 3037 3307 N 45 33 79
      -28 -46 -33 h\n1.000 UP\n1.000 UL\nLT5\n3037 3307 M\n78 -28 V\n-45 -33
      V\n-79 28 V\n46 33 V\n.8804 g 3115 3279 N 45 31 78 -33 -45 -33 h\n1.000
      UP\n1.000 UL\nLT5\n3115 3279 M\n78 -35 V\n-45 -31 V\n-78 33 V\n45 33
      V\n.8694 g 3193 3244 N 45 30 78 -42 -45 -31 h\n1.000 UP\n1.000
      UL\nLT5\n3193 3244 M\n78 -43 V\n-45 -30 V\n-78 42 V\n45 31 V\n.8509 g
      3271 3201 N 45 30 78 -56 -45 -30 h\n1.000 UP\n1.000 UL\nLT5\n3271 3201
      M\n78 -56 V\n-45 -30 V\n-78 56 V\n45 30 V\n.8213 g 3349 3145 N 45 31 78
      -76 -45 -30 h\n1.000 UP\n1.000 UL\nLT5\n3349 3145 M\n78 -75 V\n-45 -31
      V\n-78 76 V\n45 30 V\n.7763 g 3427 3070 N 45 31 78 -102 -45 -31
      h\n1.000 UP\n1.000 UL\nLT5\n3427 3070 M\n78 -102 V\n-45 -31 V\n-78 102
      V\n45 31 V\n.7101 g 3505 2968 N 45 33 78 -139 -45 -31 h\n1.000
      UP\n1.000 UL\nLT5\n3505 2968 M\n78 -137 V\n-45 -33 V\n-78 139 V\n45 31
      V\n.7149 g 1273 3438 N 46 29 78 97 -45 -31 h\n1.000 UP\n1.000
      UL\nLT5\n1273 3438 M\n79 95 V\n-46 -29 V\n-78 -97 V\n45 31 V\n.7821 g
      1352 3533 N 45 28 79 59 -46 -29 h\n1.000 UP\n1.000 UL\nLT5\n1352 3533
      M\n78 58 V\n-45 -28 V\n-79 -59 V\n46 29 V\n.8276 g 1430 3591 N 45 27 78
      32 -45 -28 h\n1.000 UP\n1.000 UL\nLT5\n1430 3591 M\n78 31 V\n-45 -27
      V\n-78 -32 V\n45 28 V\n.8571 g 1508 3622 N 45 28 78 11 -45 -27 h\n1.000
      UP\n1.000 UL\nLT5\n1508 3622 M\n78 12 V\n-45 -28 V\n-78 -11 V\n45 27
      V\n.8753 g 1586 3634 N 45 28 78 -2 -45 -28 h\n1.000 UP\n1.000
      UL\nLT5\n1586 3634 M\n78 -2 V\n-45 -28 V\n-78 2 V\n45 28 V\n.8857 g
      1664 3632 N 45 29 78 -12 -45 -28 h\n1.000 UP\n1.000 UL\nLT5\n1664 3632
      M\n78 -11 V\n-45 -29 V\n-78 12 V\n45 28 V\n.891 g 1742 3621 N 45 31 78
      -18 -45 -29 h\n1.000 UP\n1.000 UL\nLT5\n1742 3621 M\n78 -16 V\n-45 -31
      V\n-78 18 V\n45 29 V\n.893 g 1820 3605 N 45 33 78 -22 -45 -31 h\n1.000
      UP\n1.000 UL\nLT5\n1820 3605 M\n78 -20 V\n-45 -33 V\n-78 22 V\n45 31
      V\n.8932 g 1898 3585 N 45 34 78 -23 -45 -33 h\n1.000 UP\n1.000
      UL\nLT5\n1898 3585 M\n78 -22 V\n-45 -34 V\n-78 23 V\n45 33 V\n.8925 g
      1976 3563 N 45 35 78 -24 -45 -34 h\n1.000 UP\n1.000 UL\nLT5\n1976 3563
      M\n78 -23 V\n-45 -35 V\n-78 24 V\n45 34 V\n.8915 g 2054 3540 N 45 37 78
      -25 -45 -35 h\n1.000 UP\n1.000 UL\nLT5\n2054 3540 M\n78 -23 V\n-45 -37
      V\n-78 25 V\n45 35 V\n.8904 g 2132 3517 N 46 37 78 -23 -45 -37 h\n1.000
      UP\n1.000 UL\nLT5\n2132 3517 M\n79 -23 V\n-46 -37 V\n-78 23 V\n45 37
      V\n.8896 g 2211 3494 N 45 38 79 -24 -46 -37 h\n1.000 UP\n1.000
      UL\nLT5\n2211 3494 M\n78 -23 V\n-45 -38 V\n-79 24 V\n46 37 V\n.8891 g
      2289 3471 N 45 39 78 -23 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2289 3471
      M\n78 -22 V\n-45 -39 V\n-78 23 V\n45 38 V\n.8889 g 2367 3449 N 45 39 78
      -22 -45 -39 h\n1.000 UP\n1.000 UL\nLT5\n2367 3449 M\n78 -22 V\n-45 -39
      V\n-78 22 V\n45 39 V\n.8891 g 2445 3427 N 45 38 78 -21 -45 -39 h\n1.000
      UP\n1.000 UL\nLT5\n2445 3427 M\n78 -22 V\n-45 -38 V\n-78 21 V\n45 39
      V\n.8896 g 2523 3405 N 45 38 78 -21 -45 -38 h\n1.000 UP\n1.000
      UL\nLT5\n2523 3405 M\n78 -21 V\n-45 -38 V\n-78 21 V\n45 38 V\n.8904 g
      2601 3384 N 45 36 78 -20 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2601 3384
      M\n78 -22 V\n-45 -36 V\n-78 20 V\n45 38 V\n.8915 g 2679 3362 N 45 35 78
      -20 -45 -36 h\n1.000 UP\n1.000 UL\nLT5\n2679 3362 M\n78 -21 V\n-45 -35
      V\n-78 20 V\n45 36 V\n.8925 g 2757 3341 N 45 34 78 -20 -45 -35 h\n1.000
      UP\n1.000 UL\nLT5\n2757 3341 M\n78 -21 V\n-45 -34 V\n-78 20 V\n45 35
      V\n.8932 g 2835 3320 N 45 32 78 -20 -45 -34 h\n1.000 UP\n1.000
      UL\nLT5\n2835 3320 M\n78 -22 V\n-45 -32 V\n-78 20 V\n45 34 V\n.893 g
      2913 3298 N 45 31 78 -23 -45 -32 h\n1.000 UP\n1.000 UL\nLT5\n2913 3298
      M\n78 -24 V\n-45 -31 V\n-78 23 V\n45 32 V\n.891 g 2991 3274 N 46 29 78
      -26 -45 -31 h\n1.000 UP\n1.000 UL\nLT5\n2991 3274 M\n79 -28 V\n-46 -29
      V\n-78 26 V\n45 31 V\n.8857 g 3070 3246 N 45 28 79 -32 -46 -29 h\n1.000
      UP\n1.000 UL\nLT5\n3070 3246 M\n78 -33 V\n-45 -28 V\n-79 32 V\n46 29
      V\n.8753 g 3148 3213 N 45 28 78 -42 -45 -28 h\n1.000 UP\n1.000
      UL\nLT5\n3148 3213 M\n78 -42 V\n-45 -28 V\n-78 42 V\n45 28 V\n.8571 g
      3226 3171 N 45 28 78 -56 -45 -28 h\n1.000 UP\n1.000 UL\nLT5\n3226 3171
      M\n78 -56 V\n-45 -28 V\n-78 56 V\n45 28 V\n.8276 g 3304 3115 N 45 27 78
      -75 -45 -28 h\n1.000 UP\n1.000 UL\nLT5\n3304 3115 M\n78 -76 V\n-45 -27
      V\n-78 75 V\n45 28 V\n.7821 g 3382 3039 N 45 29 78 -104 -45 -27
      h\n1.000 UP\n1.000 UL\nLT5\n3382 3039 M\n78 -102 V\n-45 -29 V\n-78 104
      V\n45 27 V\n.7149 g 3460 2937 N 45 31 78 -141 -45 -29 h\n1.000
      UP\n1.000 UL\nLT5\n3460 2937 M\n78 -139 V\n-45 -31 V\n-78 141 V\n45 29
      V\n.7204 g 1228 3407 N 45 29 78 100 -45 -32 h\n1.000 UP\n1.000
      UL\nLT5\n1228 3407 M\n78 97 V\n-45 -29 V\n-78 -100 V\n45 32 V\n.7891 g
      1306 3504 N 46 26 78 62 -45 -29 h\n1.000 UP\n1.000 UL\nLT5\n1306 3504
      M\n79 59 V\n-46 -26 V\n-78 -62 V\n45 29 V\n.8353 g 1385 3563 N 45 26 79
      32 -46 -26 h\n1.000 UP\n1.000 UL\nLT5\n1385 3563 M\n78 32 V\n-45 -26
      V\n-79 -32 V\n46 26 V\n.865 g 1463 3595 N 45 25 78 12 -45 -26 h\n1.000
      UP\n1.000 UL\nLT5\n1463 3595 M\n78 11 V\n-45 -25 V\n-78 -12 V\n45 26
      V\n.8829 g 1541 3606 N 45 27 78 -4 -45 -25 h\n1.000 UP\n1.000
      UL\nLT5\n1541 3606 M\n78 -2 V\n-45 -27 V\n-78 4 V\n45 25 V\n.8926 g
      1619 3604 N 45 28 78 -13 -45 -27 h\n1.000 UP\n1.000 UL\nLT5\n1619 3604
      M\n78 -12 V\n-45 -28 V\n-78 13 V\n45 27 V\n.8969 g 1697 3592 N 45 29 78
      -19 -45 -28 h\n1.000 UP\n1.000 UL\nLT5\n1697 3592 M\n78 -18 V\n-45 -29
      V\n-78 19 V\n45 28 V\n.898 g 1775 3574 N 45 31 78 -24 -45 -29 h\n1.000
      UP\n1.000 UL\nLT5\n1775 3574 M\n78 -22 V\n-45 -31 V\n-78 24 V\n45 29
      V\n.8971 g 1853 3552 N 45 33 78 -25 -45 -31 h\n1.000 UP\n1.000
      UL\nLT5\n1853 3552 M\n78 -23 V\n-45 -33 V\n-78 25 V\n45 31 V\n.8953 g
      1931 3529 N 45 35 78 -26 -45 -33 h\n1.000 UP\n1.000 UL\nLT5\n1931 3529
      M\n78 -24 V\n-45 -35 V\n-78 26 V\n45 33 V\n.8933 g 2009 3505 N 45 35 78
      -25 -45 -35 h\n1.000 UP\n1.000 UL\nLT5\n2009 3505 M\n78 -25 V\n-45 -35
      V\n-78 25 V\n45 35 V\n.8915 g 2087 3480 N 45 38 78 -26 -45 -35 h\n1.000
      UP\n1.000 UL\nLT5\n2087 3480 M\n78 -23 V\n-45 -38 V\n-78 26 V\n45 35
      V\n.89 g 2165 3457 N 46 38 78 -24 -45 -38 h\n1.000 UP\n1.000
      UL\nLT5\n2165 3457 M\n79 -24 V\n-46 -38 V\n-78 24 V\n45 38 V\n.8891 g
      2244 3433 N 45 38 79 -23 -46 -38 h\n1.000 UP\n1.000 UL\nLT5\n2244 3433
      M\n78 -23 V\n-45 -38 V\n-79 23 V\n46 38 V\n.8888 g 2322 3410 N 45 38 78
      -22 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2322 3410 M\n78 -22 V\n-45 -38
      V\n-78 22 V\n45 38 V\n.8891 g 2400 3388 N 45 38 78 -21 -45 -38 h\n1.000
      UP\n1.000 UL\nLT5\n2400 3388 M\n78 -21 V\n-45 -38 V\n-78 21 V\n45 38
      V\n.89 g 2478 3367 N 45 37 78 -20 -45 -38 h\n1.000 UP\n1.000
      UL\nLT5\n2478 3367 M\n78 -21 V\n-45 -37 V\n-78 20 V\n45 38 V\n.8915 g
      2556 3346 N 45 36 78 -19 -45 -37 h\n1.000 UP\n1.000 UL\nLT5\n2556 3346
      M\n78 -20 V\n-45 -36 V\n-78 19 V\n45 37 V\n.8933 g 2634 3326 N 45 34 78
      -18 -45 -36 h\n1.000 UP\n1.000 UL\nLT5\n2634 3326 M\n78 -20 V\n-45 -34
      V\n-78 18 V\n45 36 V\n.8953 g 2712 3306 N 45 32 78 -18 -45 -34 h\n1.000
      UP\n1.000 UL\nLT5\n2712 3306 M\n78 -20 V\n-45 -32 V\n-78 18 V\n45 34
      V\n.8971 g 2790 3286 N 45 31 78 -19 -45 -32 h\n1.000 UP\n1.000
      UL\nLT5\n2790 3286 M\n78 -20 V\n-45 -31 V\n-78 19 V\n45 32 V\n.898 g
      2868 3266 N 45 29 78 -21 -45 -31 h\n1.000 UP\n1.000 UL\nLT5\n2868 3266
      M\n78 -23 V\n-45 -29 V\n-78 21 V\n45 31 V\n.8969 g 2946 3243 N 45 28 78
      -25 -45 -29 h\n1.000 UP\n1.000 UL\nLT5\n2946 3243 M\n78 -26 V\n-45 -28
      V\n-78 25 V\n45 29 V\n.8926 g 3024 3217 N 46 27 78 -31 -45 -28 h\n1.000
      UP\n1.000 UL\nLT5\n3024 3217 M\n79 -32 V\n-46 -27 V\n-78 31 V\n45 28
      V\n.8829 g 3103 3185 N 45 26 79 -41 -46 -27 h\n1.000 UP\n1.000
      UL\nLT5\n3103 3185 M\n78 -42 V\n-45 -26 V\n-79 41 V\n46 27 V\n.865 g
      3181 3143 N 45 25 78 -55 -45 -26 h\n1.000 UP\n1.000 UL\nLT5\n3181 3143
      M\n78 -56 V\n-45 -25 V\n-78 55 V\n45 26 V\n.8353 g 3259 3087 N 45 27 78
      -77 -45 -25 h\n1.000 UP\n1.000 UL\nLT5\n3259 3087 M\n78 -75 V\n-45 -27
      V\n-78 77 V\n45 25 V\n.7891 g 3337 3012 N 45 28 78 -105 -45 -27
      h\n1.000 UP\n1.000 UL\nLT5\n3337 3012 M\n78 -104 V\n-45 -28 V\n-78 105
      V\n45 27 V\n.7204 g 3415 2908 N 45 32 78 -145 -45 -28 h\n1.000
      UP\n1.000 UL\nLT5\n3415 2908 M\n78 -141 V\n-45 -32 V\n-78 145 V\n45 28
      V\n.7252 g 1183 3375 N 45 29 78 106 -45 -35 h\n1.000 UP\n1.000
      UL\nLT5\n1183 3375 M\n78 100 V\n-45 -29 V\n-78 -106 V\n45 35 V\n.7962 g
      1261 3475 N 45 27 78 64 -45 -29 h\n1.000 UP\n1.000 UL\nLT5\n1261 3475
      M\n78 62 V\n-45 -27 V\n-78 -64 V\n45 29 V\n.8436 g 1339 3537 N 46 25 78
      34 -45 -27 h\n1.000 UP\n1.000 UL\nLT5\n1339 3537 M\n79 32 V\n-46 -25
      V\n-78 -34 V\n45 27 V\n.8737 g 1418 3569 N 45 25 79 12 -46 -25 h\n1.000
      UP\n1.000 UL\nLT5\n1418 3569 M\n78 12 V\n-45 -25 V\n-79 -12 V\n46 25
      V\n.8914 g 1496 3581 N 45 25 78 -4 -45 -25 h\n1.000 UP\n1.000
      UL\nLT5\n1496 3581 M\n78 -4 V\n-45 -25 V\n-78 4 V\n45 25 V\n.9005 g
      1574 3577 N 45 27 78 -15 -45 -25 h\n1.000 UP\n1.000 UL\nLT5\n1574 3577
      M\n78 -13 V\n-45 -27 V\n-78 15 V\n45 25 V\n.9038 g 1652 3564 N 45 29 78
      -21 -45 -27 h\n1.000 UP\n1.000 UL\nLT5\n1652 3564 M\n78 -19 V\n-45 -29
      V\n-78 21 V\n45 27 V\n.9036 g 1730 3545 N 45 30 78 -25 -45 -29 h\n1.000
      UP\n1.000 UL\nLT5\n1730 3545 M\n78 -24 V\n-45 -30 V\n-78 25 V\n45 29
      V\n.9015 g 1808 3521 N 45 32 78 -27 -45 -30 h\n1.000 UP\n1.000
      UL\nLT5\n1808 3521 M\n78 -25 V\n-45 -32 V\n-78 27 V\n45 30 V\n.8984 g
      1886 3496 N 45 34 78 -28 -45 -32 h\n1.000 UP\n1.000 UL\nLT5\n1886 3496
      M\n78 -26 V\n-45 -34 V\n-78 28 V\n45 32 V\n.8953 g 1964 3470 N 45 37 78
      -28 -45 -34 h\n1.000 UP\n1.000 UL\nLT5\n1964 3470 M\n78 -25 V\n-45 -37
      V\n-78 28 V\n45 34 V\n.8925 g 2042 3445 N 45 37 78 -26 -45 -37 h\n1.000
      UP\n1.000 UL\nLT5\n2042 3445 M\n78 -26 V\n-45 -37 V\n-78 26 V\n45 37
      V\n.8904 g 2120 3419 N 45 38 78 -25 -45 -37 h\n1.000 UP\n1.000
      UL\nLT5\n2120 3419 M\n78 -24 V\n-45 -38 V\n-78 25 V\n45 37 V\n.889 g
      2198 3395 N 46 39 78 -24 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2198 3395
      M\n79 -23 V\n-46 -39 V\n-78 24 V\n45 38 V\n.8886 g 2277 3372 N 45 39 79
      -22 -46 -39 h\n1.000 UP\n1.000 UL\nLT5\n2277 3372 M\n78 -22 V\n-45 -39
      V\n-79 22 V\n46 39 V\n.889 g 2355 3350 N 45 38 78 -20 -45 -39 h\n1.000
      UP\n1.000 UL\nLT5\n2355 3350 M\n78 -21 V\n-45 -38 V\n-78 20 V\n45 39
      V\n.8904 g 2433 3329 N 45 37 78 -19 -45 -38 h\n1.000 UP\n1.000
      UL\nLT5\n2433 3329 M\n78 -20 V\n-45 -37 V\n-78 19 V\n45 38 V\n.8925 g
      2511 3309 N 45 36 78 -18 -45 -37 h\n1.000 UP\n1.000 UL\nLT5\n2511 3309
      M\n78 -19 V\n-45 -36 V\n-78 18 V\n45 37 V\n.8953 g 2589 3290 N 45 35 78
      -17 -45 -36 h\n1.000 UP\n1.000 UL\nLT5\n2589 3290 M\n78 -18 V\n-45 -35
      V\n-78 17 V\n45 36 V\n.8984 g 2667 3272 N 45 33 78 -16 -45 -35 h\n1.000
      UP\n1.000 UL\nLT5\n2667 3272 M\n78 -18 V\n-45 -33 V\n-78 16 V\n45 35
      V\n.9015 g 2745 3254 N 45 31 78 -17 -45 -33 h\n1.000 UP\n1.000
      UL\nLT5\n2745 3254 M\n78 -19 V\n-45 -31 V\n-78 17 V\n45 33 V\n.9036 g
      2823 3235 N 45 29 78 -19 -45 -31 h\n1.000 UP\n1.000 UL\nLT5\n2823 3235
      M\n78 -21 V\n-45 -29 V\n-78 19 V\n45 31 V\n.9038 g 2901 3214 N 45 27 78
      -23 -45 -29 h\n1.000 UP\n1.000 UL\nLT5\n2901 3214 M\n78 -25 V\n-45 -27
      V\n-78 23 V\n45 29 V\n.9005 g 2979 3189 N 45 25 78 -29 -45 -27 h\n1.000
      UP\n1.000 UL\nLT5\n2979 3189 M\n78 -31 V\n-45 -25 V\n-78 29 V\n45 27
      V\n.8914 g 3057 3158 N 46 24 78 -40 -45 -25 h\n1.000 UP\n1.000
      UL\nLT5\n3057 3158 M\n79 -41 V\n-46 -24 V\n-78 40 V\n45 25 V\n.8737 g
      3136 3117 N 45 25 79 -56 -46 -24 h\n1.000 UP\n1.000 UL\nLT5\n3136 3117
      M\n78 -55 V\n-45 -25 V\n-79 56 V\n46 24 V\n.8436 g 3214 3062 N 45 26 78
      -78 -45 -25 h\n1.000 UP\n1.000 UL\nLT5\n3214 3062 M\n78 -77 V\n-45 -26
      V\n-78 78 V\n45 25 V\n.7962 g 3292 2985 N 45 30 78 -109 -45 -26
      h\n1.000 UP\n1.000 UL\nLT5\n3292 2985 M\n78 -105 V\n-45 -30 V\n-78 109
      V\n45 26 V\n.7252 g 3370 2880 N 45 34 78 -149 -45 -30 h\n1.000
      UP\n1.000 UL\nLT5\n3370 2880 M\n78 -145 V\n-45 -34 V\n-78 149 V\n45 30
      V\n.7276 g 1138 3340 N 45 34 78 112 -45 -40 h\n1.000 UP\n1.000
      UL\nLT5\n1138 3340 M\n78 106 V\n-45 -34 V\n-78 -112 V\n45 40 V\n.8017 g
      1216 3446 N 45 30 78 68 -45 -34 h\n1.000 UP\n1.000 UL\nLT5\n1216 3446
      M\n78 64 V\n-45 -30 V\n-78 -68 V\n45 34 V\n.8511 g 1294 3510 N 45 27 78
      37 -45 -30 h\n1.000 UP\n1.000 UL\nLT5\n1294 3510 M\n78 34 V\n-45 -27
      V\n-78 -37 V\n45 30 V\n.8821 g 1372 3544 N 46 27 78 12 -45 -27 h\n1.000
      UP\n1.000 UL\nLT5\n1372 3544 M\n79 12 V\n-46 -27 V\n-78 -12 V\n45 27
      V\n.8998 g 1451 3556 N 45 27 79 -4 -46 -27 h\n1.000 UP\n1.000
      UL\nLT5\n1451 3556 M\n78 -4 V\n-45 -27 V\n-79 4 V\n46 27 V\n.9083 g
      1529 3552 N 45 27 78 -15 -45 -27 h\n1.000 UP\n1.000 UL\nLT5\n1529 3552
      M\n78 -15 V\n-45 -27 V\n-78 15 V\n45 27 V\n.9107 g 1607 3537 N 45 29 78
      -23 -45 -27 h\n1.000 UP\n1.000 UL\nLT5\n1607 3537 M\n78 -21 V\n-45 -29
      V\n-78 23 V\n45 27 V\n.9093 g 1685 3516 N 45 31 78 -27 -45 -29 h\n1.000
      UP\n1.000 UL\nLT5\n1685 3516 M\n78 -25 V\n-45 -31 V\n-78 27 V\n45 29
      V\n.9058 g 1763 3491 N 45 33 78 -29 -45 -31 h\n1.000 UP\n1.000
      UL\nLT5\n1763 3491 M\n78 -27 V\n-45 -33 V\n-78 29 V\n45 31 V\n.9015 g
      1841 3464 N 45 35 78 -30 -45 -33 h\n1.000 UP\n1.000 UL\nLT5\n1841 3464
      M\n78 -28 V\n-45 -35 V\n-78 30 V\n45 33 V\n.8971 g 1919 3436 N 45 36 78
      -29 -45 -35 h\n1.000 UP\n1.000 UL\nLT5\n1919 3436 M\n78 -28 V\n-45 -36
      V\n-78 29 V\n45 35 V\n.8932 g 1997 3408 N 45 38 78 -28 -45 -36 h\n1.000
      UP\n1.000 UL\nLT5\n1997 3408 M\n78 -26 V\n-45 -38 V\n-78 28 V\n45 36
      V\n.8903 g 2075 3382 N 45 39 78 -26 -45 -38 h\n1.000 UP\n1.000
      UL\nLT5\n2075 3382 M\n78 -25 V\n-45 -39 V\n-78 26 V\n45 38 V\n.8884 g
      2153 3357 N 45 40 78 -25 -45 -39 h\n1.000 UP\n1.000 UL\nLT5\n2153 3357
      M\n78 -24 V\n-45 -40 V\n-78 25 V\n45 39 V\n.8878 g 2231 3333 N 46 40 78
      -22 -45 -40 h\n1.000 UP\n1.000 UL\nLT5\n2231 3333 M\n79 -22 V\n-46 -40
      V\n-78 22 V\n45 40 V\n.8884 g 2310 3311 N 45 40 79 -20 -46 -40 h\n1.000
      UP\n1.000 UL\nLT5\n2310 3311 M\n78 -20 V\n-45 -40 V\n-79 20 V\n46 40
      V\n.8903 g 2388 3291 N 45 39 78 -18 -45 -40 h\n1.000 UP\n1.000
      UL\nLT5\n2388 3291 M\n78 -19 V\n-45 -39 V\n-78 18 V\n45 40 V\n.8932 g
      2466 3272 N 45 37 78 -16 -45 -39 h\n1.000 UP\n1.000 UL\nLT5\n2466 3272
      M\n78 -18 V\n-45 -37 V\n-78 16 V\n45 39 V\n.8971 g 2544 3254 N 45 35 78
      -15 -45 -37 h\n1.000 UP\n1.000 UL\nLT5\n2544 3254 M\n78 -17 V\n-45 -35
      V\n-78 15 V\n45 37 V\n.9015 g 2622 3237 N 45 33 78 -14 -45 -35 h\n1.000
      UP\n1.000 UL\nLT5\n2622 3237 M\n78 -16 V\n-45 -33 V\n-78 14 V\n45 35
      V\n.9058 g 2700 3221 N 45 31 78 -15 -45 -33 h\n1.000 UP\n1.000
      UL\nLT5\n2700 3221 M\n78 -17 V\n-45 -31 V\n-78 15 V\n45 33 V\n.9093 g
      2778 3204 N 45 29 78 -17 -45 -31 h\n1.000 UP\n1.000 UL\nLT5\n2778 3204
      M\n78 -19 V\n-45 -29 V\n-78 17 V\n45 31 V\n.9107 g 2856 3185 N 45 27 78
      -21 -45 -29 h\n1.000 UP\n1.000 UL\nLT5\n2856 3185 M\n78 -23 V\n-45 -27
      V\n-78 21 V\n45 29 V\n.9083 g 2934 3162 N 45 27 78 -29 -45 -27 h\n1.000
      UP\n1.000 UL\nLT5\n2934 3162 M\n78 -29 V\n-45 -27 V\n-78 29 V\n45 27
      V\n.8998 g 3012 3133 N 45 27 78 -40 -45 -27 h\n1.000 UP\n1.000
      UL\nLT5\n3012 3133 M\n78 -40 V\n-45 -27 V\n-78 40 V\n45 27 V\n.8821 g
      3090 3093 N 46 28 78 -57 -45 -27 h\n1.000 UP\n1.000 UL\nLT5\n3090 3093
      M\n79 -56 V\n-46 -28 V\n-78 57 V\n45 27 V\n.8511 g 3169 3037 N 45 30 79
      -80 -46 -28 h\n1.000 UP\n1.000 UL\nLT5\n3169 3037 M\n78 -78 V\n-45 -30
      V\n-79 80 V\n46 28 V\n.8017 g 3247 2959 N 45 34 78 -113 -45 -30
      h\n1.000 UP\n1.000 UL\nLT5\n3247 2959 M\n78 -109 V\n-45 -34 V\n-78 113
      V\n45 30 V\n.7276 g 3325 2850 N 45 41 78 -156 -45 -34 h\n1.000
      UP\n1.000 UL\nLT5\n3325 2850 M\n78 -149 V\n-45 -41 V\n-78 156 V\n45 34
      V\n.7251 g 1093 3300 N 45 42 78 121 -45 -51 h\n1.000 UP\n1.000
      UL\nLT5\n1093 3300 M\n78 112 V\n-45 -42 V\n-78 -121 V\n45 51 V\n.8037 g
      1171 3412 N 45 36 78 74 -45 -42 h\n1.000 UP\n1.000 UL\nLT5\n1171 3412
      M\n78 68 V\n-45 -36 V\n-78 -74 V\n45 42 V\n.8558 g 1249 3480 N 45 32 78
      41 -45 -36 h\n1.000 UP\n1.000 UL\nLT5\n1249 3480 M\n78 37 V\n-45 -32
      V\n-78 -41 V\n45 36 V\n.8884 g 1327 3517 N 45 30 78 14 -45 -32 h\n1.000
      UP\n1.000 UL\nLT5\n1327 3517 M\n78 12 V\n-45 -30 V\n-78 -14 V\n45 32
      V\n.9067 g 1405 3529 N 46 29 78 -3 -45 -30 h\n1.000 UP\n1.000
      UL\nLT5\n1405 3529 M\n79 -4 V\n-46 -29 V\n-78 3 V\n45 30 V\n.915 g 1484
      3525 N 45 30 79 -16 -46 -29 h\n1.000 UP\n1.000 UL\nLT5\n1484 3525 M\n78
      -15 V\n-45 -30 V\n-79 16 V\n46 29 V\n.9166 g 1562 3510 N 45 31 78 -24
      -45 -30 h\n1.000 UP\n1.000 UL\nLT5\n1562 3510 M\n78 -23 V\n-45 -31
      V\n-78 24 V\n45 30 V\n.9141 g 1640 3487 N 45 33 78 -29 -45 -31 h\n1.000
      UP\n1.000 UL\nLT5\n1640 3487 M\n78 -27 V\n-45 -33 V\n-78 29 V\n45 31
      V\n.9093 g 1718 3460 N 45 35 78 -31 -45 -33 h\n1.000 UP\n1.000
      UL\nLT5\n1718 3460 M\n78 -29 V\n-45 -35 V\n-78 31 V\n45 33 V\n.9036 g
      1796 3431 N 45 37 78 -32 -45 -35 h\n1.000 UP\n1.000 UL\nLT5\n1796 3431
      M\n78 -30 V\n-45 -37 V\n-78 32 V\n45 35 V\n.898 g 1874 3401 N 45 39 78
      -31 -45 -37 h\n1.000 UP\n1.000 UL\nLT5\n1874 3401 M\n78 -29 V\n-45 -39
      V\n-78 31 V\n45 37 V\n.893 g 1952 3372 N 45 40 78 -29 -45 -39 h\n1.000
      UP\n1.000 UL\nLT5\n1952 3372 M\n78 -28 V\n-45 -40 V\n-78 29 V\n45 39
      V\n.8892 g 2030 3344 N 45 42 78 -28 -45 -40 h\n1.000 UP\n1.000
      UL\nLT5\n2030 3344 M\n78 -26 V\n-45 -42 V\n-78 28 V\n45 40 V\n.8869 g
      2108 3318 N 45 41 78 -24 -45 -42 h\n1.000 UP\n1.000 UL\nLT5\n2108 3318
      M\n78 -25 V\n-45 -41 V\n-78 24 V\n45 42 V\n.8861 g 2186 3293 N 45 41 78
      -22 -45 -41 h\n1.000 UP\n1.000 UL\nLT5\n2186 3293 M\n78 -22 V\n-45 -41
      V\n-78 22 V\n45 41 V\n.8869 g 2264 3271 N 46 41 78 -20 -45 -41 h\n1.000
      UP\n1.000 UL\nLT5\n2264 3271 M\n79 -20 V\n-46 -41 V\n-78 20 V\n45 41
      V\n.8892 g 2343 3251 N 45 40 79 -17 -46 -41 h\n1.000 UP\n1.000
      UL\nLT5\n2343 3251 M\n78 -18 V\n-45 -40 V\n-79 17 V\n46 41 V\n.893 g
      2421 3233 N 45 38 78 -14 -45 -40 h\n1.000 UP\n1.000 UL\nLT5\n2421 3233
      M\n78 -16 V\n-45 -38 V\n-78 14 V\n45 40 V\n.898 g 2499 3217 N 45 37 78
      -14 -45 -38 h\n1.000 UP\n1.000 UL\nLT5\n2499 3217 M\n78 -15 V\n-45 -37
      V\n-78 14 V\n45 38 V\n.9036 g 2577 3202 N 45 35 78 -12 -45 -37 h\n1.000
      UP\n1.000 UL\nLT5\n2577 3202 M\n78 -14 V\n-45 -35 V\n-78 12 V\n45 37
      V\n.9093 g 2655 3188 N 45 33 78 -13 -45 -35 h\n1.000 UP\n1.000
      UL\nLT5\n2655 3188 M\n78 -15 V\n-45 -33 V\n-78 13 V\n45 35 V\n.9141 g
      2733 3173 N 45 31 78 -15 -45 -33 h\n1.000 UP\n1.000 UL\nLT5\n2733 3173
      M\n78 -17 V\n-45 -31 V\n-78 15 V\n45 33 V\n.9166 g 2811 3156 N 45 30 78
      -20 -45 -31 h\n1.000 UP\n1.000 UL\nLT5\n2811 3156 M\n78 -21 V\n-45 -30
      V\n-78 20 V\n45 31 V\n.915 g 2889 3135 N 45 29 78 -28 -45 -30 h\n1.000
      UP\n1.000 UL\nLT5\n2889 3135 M\n78 -29 V\n-45 -29 V\n-78 28 V\n45 30
      V\n.9067 g 2967 3106 N 45 30 78 -41 -45 -29 h\n1.000 UP\n1.000
      UL\nLT5\n2967 3106 M\n78 -40 V\n-45 -30 V\n-78 41 V\n45 29 V\n.8884 g
      3045 3066 N 45 32 78 -59 -45 -30 h\n1.000 UP\n1.000 UL\nLT5\n3045 3066
      M\n78 -57 V\n-45 -32 V\n-78 59 V\n45 30 V\n.8558 g 3123 3009 N 46 36 78
      -84 -45 -32 h\n1.000 UP\n1.000 UL\nLT5\n3123 3009 M\n79 -80 V\n-46 -36
      V\n-78 84 V\n45 32 V\n.8037 g 3202 2929 N 45 42 79 -119 -46 -36
      h\n1.000 UP\n1.000 UL\nLT5\n3202 2929 M\n78 -113 V\n-45 -42 V\n-79 119
      V\n46 36 V\n.7251 g 3280 2816 N 45 50 78 -164 -45 -42 h\n1.000
      UP\n1.000 UL\nLT5\n3280 2816 M\n78 -156 V\n-45 -50 V\n-78 164 V\n45 42
      V\n.7149 g 1048 3249 N 45 55 78 132 -45 -66 h\n1.000 UP\n1.000
      UL\nLT5\n1048 3249 M\n78 121 V\n-45 -55 V\n-78 -132 V\n45 66 V\n.7993 g
      1126 3370 N 45 46 78 83 -45 -55 h\n1.000 UP\n1.000 UL\nLT5\n1126 3370
      M\n78 74 V\n-45 -46 V\n-78 -83 V\n45 55 V\n.8554 g 1204 3444 N 45 41 78
      46 -45 -46 h\n1.000 UP\n1.000 UL\nLT5\n1204 3444 M\n78 41 V\n-45 -41
      V\n-78 -46 V\n45 46 V\n.8905 g 1282 3485 N 45 37 78 18 -45 -41 h\n1.000
      UP\n1.000 UL\nLT5\n1282 3485 M\n78 14 V\n-45 -37 V\n-78 -18 V\n45 41
      V\n.91 g 1360 3499 N 45 36 78 -2 -45 -37 h\n1.000 UP\n1.000
      UL\nLT5\n1360 3499 M\n78 -3 V\n-45 -36 V\n-78 2 V\n45 37 V\n.9187 g
      1438 3496 N 46 36 78 -16 -45 -36 h\n1.000 UP\n1.000 UL\nLT5\n1438 3496
      M\n79 -16 V\n-46 -36 V\n-78 16 V\n45 36 V\n.92 g 1517 3480 N 45 36 79
      -24 -46 -36 h\n1.000 UP\n1.000 UL\nLT5\n1517 3480 M\n78 -24 V\n-45 -36
      V\n-79 24 V\n46 36 V\n.9166 g 1595 3456 N 45 38 78 -31 -45 -36 h\n1.000
      UP\n1.000 UL\nLT5\n1595 3456 M\n78 -29 V\n-45 -38 V\n-78 31 V\n45 36
      V\n.9107 g 1673 3427 N 45 39 78 -32 -45 -38 h\n1.000 UP\n1.000
      UL\nLT5\n1673 3427 M\n78 -31 V\n-45 -39 V\n-78 32 V\n45 38 V\n.9038 g
      1751 3396 N 45 41 78 -34 -45 -39 h\n1.000 UP\n1.000 UL\nLT5\n1751 3396
      M\n78 -32 V\n-45 -41 V\n-78 34 V\n45 39 V\n.8969 g 1829 3364 N 45 42 78
      -32 -45 -41 h\n1.000 UP\n1.000 UL\nLT5\n1829 3364 M\n78 -31 V\n-45 -42
      V\n-78 32 V\n45 41 V\n.891 g 1907 3333 N 45 44 78 -31 -45 -42 h\n1.000
      UP\n1.000 UL\nLT5\n1907 3333 M\n78 -29 V\n-45 -44 V\n-78 31 V\n45 42
      V\n.8864 g 1985 3304 N 45 44 78 -28 -45 -44 h\n1.000 UP\n1.000
      UL\nLT5\n1985 3304 M\n78 -28 V\n-45 -44 V\n-78 28 V\n45 44 V\n.8835 g
      2063 3276 N 45 45 78 -25 -45 -44 h\n1.000 UP\n1.000 UL\nLT5\n2063 3276
      M\n78 -24 V\n-45 -45 V\n-78 25 V\n45 44 V\n.8825 g 2141 3252 N 45 46 78
      -23 -45 -45 h\n1.000 UP\n1.000 UL\nLT5\n2141 3252 M\n78 -22 V\n-45 -46
      V\n-78 23 V\n45 45 V\n.8835 g 2219 3230 N 45 44 78 -18 -45 -46 h\n1.000
      UP\n1.000 UL\nLT5\n2219 3230 M\n78 -20 V\n-45 -44 V\n-78 18 V\n45 46
      V\n.8864 g 2297 3210 N 46 43 78 -16 -45 -44 h\n1.000 UP\n1.000
      UL\nLT5\n2297 3210 M\n79 -17 V\n-46 -43 V\n-78 16 V\n45 44 V\n.891 g
      2376 3193 N 45 43 79 -14 -46 -43 h\n1.000 UP\n1.000 UL\nLT5\n2376 3193
      M\n78 -14 V\n-45 -43 V\n-79 14 V\n46 43 V\n.8969 g 2454 3179 N 45 40 78
      -11 -45 -43 h\n1.000 UP\n1.000 UL\nLT5\n2454 3179 M\n78 -14 V\n-45 -40
      V\n-78 11 V\n45 43 V\n.9038 g 2532 3165 N 45 39 78 -11 -45 -40 h\n1.000
      UP\n1.000 UL\nLT5\n2532 3165 M\n78 -12 V\n-45 -39 V\n-78 11 V\n45 40
      V\n.9107 g 2610 3153 N 45 37 78 -11 -45 -39 h\n1.000 UP\n1.000
      UL\nLT5\n2610 3153 M\n78 -13 V\n-45 -37 V\n-78 11 V\n45 39 V\n.9166 g
      2688 3140 N 45 36 78 -14 -45 -37 h\n1.000 UP\n1.000 UL\nLT5\n2688 3140
      M\n78 -15 V\n-45 -36 V\n-78 14 V\n45 37 V\n.92 g 2766 3125 N 45 36 78
      -20 -45 -36 h\n1.000 UP\n1.000 UL\nLT5\n2766 3125 M\n78 -20 V\n-45 -36
      V\n-78 20 V\n45 36 V\n.9187 g 2844 3105 N 45 36 78 -28 -45 -36 h\n1.000
      UP\n1.000 UL\nLT5\n2844 3105 M\n78 -28 V\n-45 -36 V\n-78 28 V\n45 36
      V\n.91 g 2922 3077 N 45 37 78 -42 -45 -36 h\n1.000 UP\n1.000
      UL\nLT5\n2922 3077 M\n78 -41 V\n-45 -37 V\n-78 42 V\n45 36 V\n.8905 g
      3000 3036 N 45 40 78 -62 -45 -37 h\n1.000 UP\n1.000 UL\nLT5\n3000 3036
      M\n78 -59 V\n-45 -40 V\n-78 62 V\n45 37 V\n.8554 g 3078 2977 N 45 46 78
      -90 -45 -40 h\n1.000 UP\n1.000 UL\nLT5\n3078 2977 M\n78 -84 V\n-45 -46
      V\n-78 90 V\n45 40 V\n.7993 g 3156 2893 N 45 54 79 -127 -45 -46
      h\n1.000 UP\n1.000 UL\nLT5\n3156 2893 M\n79 -119 V\n-45 -54 V\n-79 127
      V\n45 46 V\n.7149 g 3235 2774 N 45 66 78 -176 -45 -54 h\n1.000
      UP\n1.000 UL\nLT5\n3235 2774 M\n78 -164 V\n-45 -66 V\n-78 176 V\n45 54
      V\n.6931 g 1003 3183 N 45 73 78 147 -45 -88 h\n1.000 UP\n1.000
      UL\nLT5\n1003 3183 M\n78 132 V\n-45 -73 V\n958 3095 L\n45 88 V\n.7851 g
      1081 3315 N 45 62 78 94 -45 -73 h\n1.000 UP\n1.000 UL\nLT5\n1081 3315
      M\n78 83 V\n-45 -62 V\n-78 -94 V\n45 73 V\n.8468 g 1159 3398 N 45 55 78
      53 -45 -62 h\n1.000 UP\n1.000 UL\nLT5\n1159 3398 M\n78 46 V\n-45 -55
      V\n-78 -53 V\n45 62 V\n.8855 g 1237 3444 N 45 49 78 24 -45 -55 h\n1.000
      UP\n1.000 UL\nLT5\n1237 3444 M\n78 18 V\n-45 -49 V\n-78 -24 V\n45 55
      V\n.9074 g 1315 3462 N 45 46 78 1 -45 -49 h\n1.000 UP\n1.000
      UL\nLT5\n1315 3462 M\n78 -2 V\n-45 -46 V\n-78 -1 V\n45 49 V\n.9171 g
      1393 3460 N 45 44 78 -14 -45 -46 h\n1.000 UP\n1.000 UL\nLT5\n1393 3460
      M\n78 -16 V\n-45 -44 V\n-78 14 V\n45 46 V\n.9187 g 1471 3444 N 46 45 78
      -25 -45 -44 h\n1.000 UP\n1.000 UL\nLT5\n1471 3444 M\n79 -24 V\n-46 -45
      V\n-78 25 V\n45 44 V\n.915 g 1550 3420 N 45 44 79 -30 -46 -45 h\n1.000
      UP\n1.000 UL\nLT5\n1550 3420 M\n78 -31 V\n-45 -44 V\n-79 30 V\n46 45
      V\n.9083 g 1628 3389 N 45 46 78 -34 -45 -44 h\n1.000 UP\n1.000
      UL\nLT5\n1628 3389 M\n78 -32 V\n-45 -46 V\n-78 34 V\n45 44 V\n.9005 g
      1706 3357 N 45 47 78 -35 -45 -46 h\n1.000 UP\n1.000 UL\nLT5\n1706 3357
      M\n78 -34 V\n-45 -47 V\n-78 35 V\n45 46 V\n.8926 g 1784 3323 N 45 49 78
      -34 -45 -47 h\n1.000 UP\n1.000 UL\nLT5\n1784 3323 M\n78 -32 V\n-45 -49
      V\n-78 34 V\n45 47 V\n.8857 g 1862 3291 N 45 50 78 -32 -45 -49 h\n1.000
      UP\n1.000 UL\nLT5\n1862 3291 M\n78 -31 V\n-45 -50 V\n-78 32 V\n45 49
      V\n.8804 g 1940 3260 N 45 51 78 -29 -45 -50 h\n1.000 UP\n1.000
      UL\nLT5\n1940 3260 M\n78 -28 V\n-45 -51 V\n-78 29 V\n45 50 V\n.877 g
      2018 3232 N 45 51 78 -25 -45 -51 h\n1.000 UP\n1.000 UL\nLT5\n2018 3232
      M\n78 -25 V\n-45 -51 V\n-78 25 V\n45 51 V\n.8759 g 2096 3207 N 45 50 78
      -22 -45 -51 h\n1.000 UP\n1.000 UL\nLT5\n2096 3207 M\n78 -23 V\n-45 -50
      V\n-78 22 V\n45 51 V\n.877 g 2174 3184 N 45 51 78 -19 -45 -50 h\n1.000
      UP\n1.000 UL\nLT5\n2174 3184 M\n78 -18 V\n-45 -51 V\n-78 19 V\n45 50
      V\n.8804 g 2252 3166 N 45 50 78 -15 -45 -51 h\n1.000 UP\n1.000
      UL\nLT5\n2252 3166 M\n78 -16 V\n-45 -50 V\n-78 15 V\n45 51 V\n.8857 g
      2330 3150 N 45 48 79 -12 -45 -50 h\n1.000 UP\n1.000 UL\nLT5\n2330 3150
      M\n79 -14 V\n-45 -48 V\n-79 12 V\n45 50 V\n.8926 g 2409 3136 N 45 47 78
      -10 -45 -48 h\n1.000 UP\n1.000 UL\nLT5\n2409 3136 M\n78 -11 V\n-45 -47
      V\n-78 10 V\n45 48 V\n.9005 g 2487 3125 N 45 46 78 -10 -45 -47 h\n1.000
      UP\n1.000 UL\nLT5\n2487 3125 M\n78 -11 V\n-45 -46 V\n-78 10 V\n45 47
      V\n.9083 g 2565 3114 N 45 45 78 -10 -45 -46 h\n1.000 UP\n1.000
      UL\nLT5\n2565 3114 M\n78 -11 V\n-45 -45 V\n-78 10 V\n45 46 V\n.915 g
      2643 3103 N 45 44 78 -13 -45 -45 h\n1.000 UP\n1.000 UL\nLT5\n2643 3103
      M\n78 -14 V\n-45 -44 V\n-78 13 V\n45 45 V\n.9187 g 2721 3089 N 45 44 78
      -20 -45 -44 h\n1.000 UP\n1.000 UL\nLT5\n2721 3089 M\n78 -20 V\n-45 -44
      V\n-78 20 V\n45 44 V\n.9171 g 2799 3069 N 45 46 78 -30 -45 -44 h\n1.000
      UP\n1.000 UL\nLT5\n2799 3069 M\n78 -28 V\n-45 -46 V\n-78 30 V\n45 44
      V\n.9074 g 2877 3041 N 45 49 78 -45 -45 -46 h\n1.000 UP\n1.000
      UL\nLT5\n2877 3041 M\n78 -42 V\n-45 -49 V\n-78 45 V\n45 46 V\n.8855 g
      2955 2999 N 45 55 78 -68 -45 -49 h\n1.000 UP\n1.000 UL\nLT5\n2955 2999
      M\n78 -62 V\n-45 -55 V\n-78 68 V\n45 49 V\n.8468 g 3033 2937 N 45 63 78
      -98 -45 -55 h\n1.000 UP\n1.000 UL\nLT5\n3033 2937 M\n78 -90 V\n-45 -63
      V\n-78 98 V\n45 55 V\n.7851 g 3111 2847 N 46 74 78 -138 -45 -63
      h\n1.000 UP\n1.000 UL\nLT5\n3111 2847 M\n79 -127 V\n-46 -74 V\n-78 138
      V\n45 63 V\n.6931 g 3190 2720 N 45 88 79 -190 -46 -74 h\n1.000
      UP\n1.000 UL\nLT5\n3190 2720 M\n78 -176 V\n-45 -88 V\n-79 190 V\n46 74
      V\n.655 g 958 3095 N 45 99 78 165 -45 -117 h\n1.000 UP\n1.000
      UL\nLT5\n958 3095 M\n78 147 V\n-45 -99 V\n913 2978 L\n45 117 V\n.7569 g
      1036 3242 N 45 85 78 108 -45 -99 h\n1.000 UP\n1.000 UL\nLT5\n1036 3242
      M\n78 94 V\n-45 -85 V\n991 3143 L\n45 99 V\n.8259 g 1114 3336 N 45 74
      78 64 -45 -85 h\n1.000 UP\n1.000 UL\nLT5\n1114 3336 M\n78 53 V\n-45 -74
      V\n-78 -64 V\n45 85 V\n.87 g 1192 3389 N 45 67 78 31 -45 -74 h\n1.000
      UP\n1.000 UL\nLT5\n1192 3389 M\n78 24 V\n-45 -67 V\n-78 -31 V\n45 74
      V\n.8954 g 1270 3413 N 45 62 78 6 -45 -67 h\n1.000 UP\n1.000
      UL\nLT5\n1270 3413 M\n78 1 V\n-45 -62 V\n-78 -6 V\n45 67 V\n.9074 g
      1348 3414 N 45 59 78 -11 -45 -62 h\n1.000 UP\n1.000 UL\nLT5\n1348 3414
      M\n78 -14 V\n-45 -59 V\n-78 11 V\n45 62 V\n.91 g 1426 3400 N 45 56 78
      -22 -45 -59 h\n1.000 UP\n1.000 UL\nLT5\n1426 3400 M\n78 -25 V\n-45 -56
      V\n-78 22 V\n45 59 V\n.9067 g 1504 3375 N 46 57 78 -31 -45 -56 h\n1.000
      UP\n1.000 UL\nLT5\n1504 3375 M\n79 -30 V\n-46 -57 V\n-78 31 V\n45 56
      V\n.8998 g 1583 3345 N 45 57 79 -34 -46 -57 h\n1.000 UP\n1.000
      UL\nLT5\n1583 3345 M\n78 -34 V\n-45 -57 V\n-79 34 V\n46 57 V\n.8914 g
      1661 3311 N 45 57 78 -35 -45 -57 h\n1.000 UP\n1.000 UL\nLT5\n1661 3311
      M\n78 -35 V\n-45 -57 V\n-78 35 V\n45 57 V\n.8829 g 1739 3276 N 45 58 78
      -35 -45 -57 h\n1.000 UP\n1.000 UL\nLT5\n1739 3276 M\n78 -34 V\n-45 -58
      V\n-78 35 V\n45 57 V\n.8753 g 1817 3242 N 45 58 78 -32 -45 -58 h\n1.000
      UP\n1.000 UL\nLT5\n1817 3242 M\n78 -32 V\n-45 -58 V\n-78 32 V\n45 58
      V\n.8694 g 1895 3210 N 45 59 78 -30 -45 -58 h\n1.000 UP\n1.000
      UL\nLT5\n1895 3210 M\n78 -29 V\n-45 -59 V\n-78 30 V\n45 58 V\n.8657 g
      1973 3181 N 45 60 78 -26 -45 -59 h\n1.000 UP\n1.000 UL\nLT5\n1973 3181
      M\n78 -25 V\n-45 -60 V\n-78 26 V\n45 59 V\n.8644 g 2051 3156 N 45 60 78
      -22 -45 -60 h\n1.000 UP\n1.000 UL\nLT5\n2051 3156 M\n78 -22 V\n-45 -60
      V\n-78 22 V\n45 60 V\n.8657 g 2129 3134 N 45 59 78 -18 -45 -60 h\n1.000
      UP\n1.000 UL\nLT5\n2129 3134 M\n78 -19 V\n-45 -59 V\n-78 18 V\n45 60
      V\n.8694 g 2207 3115 N 45 58 78 -14 -45 -59 h\n1.000 UP\n1.000
      UL\nLT5\n2207 3115 M\n78 -15 V\n-45 -58 V\n-78 14 V\n45 59 V\n.8753 g
      2285 3100 N 46 58 78 -12 -45 -58 h\n1.000 UP\n1.000 UL\nLT5\n2285 3100
      M\n79 -12 V\n-46 -58 V\n-78 12 V\n45 58 V\n.8829 g 2364 3088 N 45 57 79
      -9 -46 -58 h\n1.000 UP\n1.000 UL\nLT5\n2364 3088 M\n78 -10 V\n-45 -57
      V\n-79 9 V\n46 58 V\n.8914 g 2442 3078 N 45 56 78 -9 -45 -57 h\n1.000
      UP\n1.000 UL\nLT5\n2442 3078 M\n78 -10 V\n-45 -56 V\n-78 9 V\n45 57
      V\n.8998 g 2520 3068 N 45 56 78 -10 -45 -56 h\n1.000 UP\n1.000
      UL\nLT5\n2520 3068 M\n78 -10 V\n-45 -56 V\n-78 10 V\n45 56 V\n.9067 g
      2598 3058 N 45 57 78 -14 -45 -56 h\n1.000 UP\n1.000 UL\nLT5\n2598 3058
      M\n78 -13 V\n-45 -57 V\n-78 14 V\n45 56 V\n.91 g 2676 3045 N 45 59 78
      -22 -45 -57 h\n1.000 UP\n1.000 UL\nLT5\n2676 3045 M\n78 -20 V\n-45 -59
      V\n-78 22 V\n45 57 V\n.9074 g 2754 3025 N 45 62 78 -33 -45 -59 h\n1.000
      UP\n1.000 UL\nLT5\n2754 3025 M\n78 -30 V\n-45 -62 V\n-78 33 V\n45 59
      V\n.8954 g 2832 2995 N 45 67 78 -50 -45 -62 h\n1.000 UP\n1.000
      UL\nLT5\n2832 2995 M\n78 -45 V\n-45 -67 V\n-78 50 V\n45 62 V\n.87 g
      2910 2950 N 45 74 78 -75 -45 -67 h\n1.000 UP\n1.000 UL\nLT5\n2910 2950
      M\n78 -68 V\n-45 -74 V\n-78 75 V\n45 67 V\n.8259 g 2988 2882 N 45 84 78
      -108 -45 -74 h\n1.000 UP\n1.000 UL\nLT5\n2988 2882 M\n78 -98 V\n-45 -84
      V\n-78 108 V\n45 74 V\n.7569 g 3066 2784 N 45 99 78 -153 -45 -84
      h\n1.000 UP\n1.000 UL\nLT5\n3066 2784 M\n78 -138 V\n-45 -99 V\n-78 153
      V\n45 84 V\n.655 g 3144 2646 N 46 118 78 -209 -45 -99 h\n1.000
      UP\n1.000 UL\nLT5\n3144 2646 M\n79 -190 V\n-46 -118 V\n-78 209 V\n45 99
      V\n.5949 g 913 2978 N 45 134 78 188 -45 -157 h\n1.000 UP\n1.000
      UL\nLT5\n913 2978 M\n78 165 V\n946 3009 L\n868 2821 L\n45 157 V\n.7093
      g 991 3143 N 45 116 78 126 -45 -134 h\n1.000 UP\n1.000 UL\nLT5\n991
      3143 M\n78 108 V\n-45 -116 V\n946 3009 L\n45 134 V\n.7881 g 1069 3251 N
      45 102 78 78 -45 -116 h\n1.000 UP\n1.000 UL\nLT5\n1069 3251 M\n78 64
      V\n-45 -102 V\n-78 -78 V\n45 116 V\n.8393 g 1147 3315 N 45 91 78 42 -45
      -102 h\n1.000 UP\n1.000 UL\nLT5\n1147 3315 M\n78 31 V\n-45 -91 V\n-78
      -42 V\n45 102 V\n.87 g 1225 3346 N 45 83 78 14 -45 -91 h\n1.000
      UP\n1.000 UL\nLT5\n1225 3346 M\n78 6 V\n-45 -83 V\n-78 -14 V\n45 91
      V\n.8855 g 1303 3352 N 45 78 78 -6 -45 -83 h\n1.000 UP\n1.000
      UL\nLT5\n1303 3352 M\n78 -11 V\n-45 -78 V\n-78 6 V\n45 83 V\n.8905 g
      1381 3341 N 45 75 78 -19 -45 -78 h\n1.000 UP\n1.000 UL\nLT5\n1381 3341
      M\n78 -22 V\n-45 -75 V\n-78 19 V\n45 78 V\n.8884 g 1459 3319 N 45 73 78
      -29 -45 -75 h\n1.000 UP\n1.000 UL\nLT5\n1459 3319 M\n78 -31 V\n-45 -73
      V\n-78 29 V\n45 75 V\n.8821 g 1537 3288 N 45 72 79 -33 -45 -73 h\n1.000
      UP\n1.000 UL\nLT5\n1537 3288 M\n79 -34 V\n-45 -72 V\n-79 33 V\n45 73
      V\n.8737 g 1616 3254 N 45 72 78 -35 -45 -72 h\n1.000 UP\n1.000
      UL\nLT5\n1616 3254 M\n78 -35 V\n-45 -72 V\n-78 35 V\n45 72 V\n.865 g
      1694 3219 N 45 71 78 -34 -45 -72 h\n1.000 UP\n1.000 UL\nLT5\n1694 3219
      M\n78 -35 V\n-45 -71 V\n-78 34 V\n45 72 V\n.8571 g 1772 3184 N 45 72 78
      -33 -45 -71 h\n1.000 UP\n1.000 UL\nLT5\n1772 3184 M\n78 -32 V\n-45 -72
      V\n-78 33 V\n45 71 V\n.8509 g 1850 3152 N 45 72 78 -30 -45 -72 h\n1.000
      UP\n1.000 UL\nLT5\n1850 3152 M\n78 -30 V\n-45 -72 V\n-78 30 V\n45 72
      V\n.8469 g 1928 3122 N 45 72 78 -26 -45 -72 h\n1.000 UP\n1.000
      UL\nLT5\n1928 3122 M\n78 -26 V\n-45 -72 V\n-78 26 V\n45 72 V\n.8456 g
      2006 3096 N 45 72 78 -22 -45 -72 h\n1.000 UP\n1.000 UL\nLT5\n2006 3096
      M\n78 -22 V\n-45 -72 V\n-78 22 V\n45 72 V\n.8469 g 2084 3074 N 45 72 78
      -18 -45 -72 h\n1.000 UP\n1.000 UL\nLT5\n2084 3074 M\n78 -18 V\n-45 -72
      V\n-78 18 V\n45 72 V\n.8509 g 2162 3056 N 45 73 78 -15 -45 -72 h\n1.000
      UP\n1.000 UL\nLT5\n2162 3056 M\n78 -14 V\n-45 -73 V\n-78 15 V\n45 72
      V\n.8571 g 2240 3042 N 45 72 78 -11 -45 -73 h\n1.000 UP\n1.000
      UL\nLT5\n2240 3042 M\n78 -12 V\n-45 -72 V\n-78 11 V\n45 73 V\n.865 g
      2318 3030 N 46 72 78 -9 -45 -72 h\n1.000 UP\n1.000 UL\nLT5\n2318 3030
      M\n79 -9 V\n-46 -72 V\n-78 9 V\n45 72 V\n.8737 g 2397 3021 N 45 72 79
      -9 -46 -72 h\n1.000 UP\n1.000 UL\nLT5\n2397 3021 M\n78 -9 V\n-45 -72
      V\n-79 9 V\n46 72 V\n.8821 g 2475 3012 N 45 73 78 -11 -45 -72 h\n1.000
      UP\n1.000 UL\nLT5\n2475 3012 M\n78 -10 V\n-45 -73 V\n-78 11 V\n45 72
      V\n.8884 g 2553 3002 N 45 75 78 -16 -45 -73 h\n1.000 UP\n1.000
      UL\nLT5\n2553 3002 M\n78 -14 V\n-45 -75 V\n-78 16 V\n45 73 V\n.8905 g
      2631 2988 N 45 78 78 -25 -45 -75 h\n1.000 UP\n1.000 UL\nLT5\n2631 2988
      M\n78 -22 V\n-45 -78 V\n-78 25 V\n45 75 V\n.8855 g 2709 2966 N 45 83 78
      -38 -45 -78 h\n1.000 UP\n1.000 UL\nLT5\n2709 2966 M\n78 -33 V\n-45 -83
      V\n-78 38 V\n45 78 V\n.87 g 2787 2933 N 45 91 78 -58 -45 -83 h\n1.000
      UP\n1.000 UL\nLT5\n2787 2933 M\n78 -50 V\n-45 -91 V\n-78 58 V\n45 83
      V\n.8393 g 2865 2883 N 45 102 78 -86 -45 -91 h\n1.000 UP\n1.000
      UL\nLT5\n2865 2883 M\n78 -75 V\n-45 -102 V\n-78 86 V\n45 91 V\n.7881 g
      2943 2808 N 45 116 78 -122 -45 -102 h\n1.000 UP\n1.000 UL\nLT5\n2943
      2808 M\n78 -108 V\n-45 -116 V\n-78 122 V\n45 102 V\n.7093 g 3021 2700 N
      45 134 78 -171 -45 -116 h\n1.000 UP\n1.000 UL\nLT5\n3021 2700 M\n78
      -153 V\n-45 -134 V\n-78 171 V\n45 116 V\n.5949 g 3099 2547 N 45 157 78
      -232 -45 -134 h\n1.000 UP\n1.000 UL\nLT5\n3099 2547 M\n78 -209 V\n-45
      -157 V\n-78 232 V\n45 134 V\n.5059 g 868 2821 N 45 180 78 216 -45 -208
      h\n1.000 UP\n1.000 UL\nLT5\n868 2821 M\n78 188 V\n901 2829 L\n823 2613
      L\n45 208 V\n.6361 g 946 3009 N 45 156 78 150 -45 -180 h\n1.000
      UP\n1.000 UL\nLT5\n946 3009 M\n78 126 V\n979 2979 L\n901 2829 L\n45 180
      V\n.7272 g 1024 3135 N 45 138 78 96 -45 -156 h\n1.000 UP\n1.000
      UL\nLT5\n1024 3135 M\n78 78 V\n-45 -138 V\n-78 -96 V\n45 156 V\n.7881 g
      1102 3213 N 45 125 78 55 -45 -138 h\n1.000 UP\n1.000 UL\nLT5\n1102 3213
      M\n78 42 V\n-45 -125 V\n-78 -55 V\n45 138 V\n.8259 g 1180 3255 N 45 114
      78 25 -45 -125 h\n1.000 UP\n1.000 UL\nLT5\n1180 3255 M\n78 14 V\n-45
      -114 V\n-78 -25 V\n45 125 V\n.8468 g 1258 3269 N 45 106 78 2 -45 -114
      h\n1.000 UP\n1.000 UL\nLT5\n1258 3269 M\n78 -6 V\n-45 -106 V\n-78 -2
      V\n45 114 V\n.8554 g 1336 3263 N 45 101 78 -14 -45 -106 h\n1.000
      UP\n1.000 UL\nLT5\n1336 3263 M\n78 -19 V\n-45 -101 V\n-78 14 V\n45 106
      V\n.8558 g 1414 3244 N 45 96 78 -24 -45 -101 h\n1.000 UP\n1.000
      UL\nLT5\n1414 3244 M\n78 -29 V\n-45 -96 V\n-78 24 V\n45 101 V\n.8511 g
      1492 3215 N 46 94 78 -31 -45 -96 h\n1.000 UP\n1.000 UL\nLT5\n1492 3215
      M\n79 -33 V\n-46 -94 V\n-78 31 V\n45 96 V\n.8436 g 1571 3182 N 45 92 79
      -33 -46 -94 h\n1.000 UP\n1.000 UL\nLT5\n1571 3182 M\n78 -35 V\n-45 -92
      V\n-79 33 V\n46 94 V\n.8353 g 1649 3147 N 45 92 78 -34 -45 -92 h\n1.000
      UP\n1.000 UL\nLT5\n1649 3147 M\n78 -34 V\n-45 -92 V\n-78 34 V\n45 92
      V\n.8276 g 1727 3113 N 45 92 78 -33 -45 -92 h\n1.000 UP\n1.000
      UL\nLT5\n1727 3113 M\n78 -33 V\n-45 -92 V\n-78 33 V\n45 92 V\n.8213 g
      1805 3080 N 45 91 78 -29 -45 -92 h\n1.000 UP\n1.000 UL\nLT5\n1805 3080
      M\n78 -30 V\n-45 -91 V\n-78 29 V\n45 92 V\n.8174 g 1883 3050 N 45 92 78
      -27 -45 -91 h\n1.000 UP\n1.000 UL\nLT5\n1883 3050 M\n78 -26 V\n-45 -92
      V\n-78 27 V\n45 91 V\n.816 g 1961 3024 N 45 92 78 -22 -45 -92 h\n1.000
      UP\n1.000 UL\nLT5\n1961 3024 M\n78 -22 V\n-45 -92 V\n-78 22 V\n45 92
      V\n.8174 g 2039 3002 N 45 92 78 -18 -45 -92 h\n1.000 UP\n1.000
      UL\nLT5\n2039 3002 M\n78 -18 V\n-45 -92 V\n-78 18 V\n45 92 V\n.8213 g
      2117 2984 N 45 91 78 -14 -45 -92 h\n1.000 UP\n1.000 UL\nLT5\n2117 2984
      M\n78 -15 V\n-45 -91 V\n-78 14 V\n45 92 V\n.8276 g 2195 2969 N 45 92 78
      -12 -45 -91 h\n1.000 UP\n1.000 UL\nLT5\n2195 2969 M\n78 -11 V\n-45 -92
      V\n-78 12 V\n45 91 V\n.8353 g 2273 2958 N 45 93 78 -10 -45 -92 h\n1.000
      UP\n1.000 UL\nLT5\n2273 2958 M\n78 -9 V\n-45 -93 V\n-78 10 V\n45 92
      V\n.8436 g 2351 2949 N 46 94 78 -10 -45 -93 h\n1.000 UP\n1.000
      UL\nLT5\n2351 2949 M\n79 -9 V\n-46 -94 V\n-78 10 V\n45 93 V\n.8511 g
      2430 2940 N 45 97 79 -14 -46 -94 h\n1.000 UP\n1.000 UL\nLT5\n2430 2940
      M\n78 -11 V\n-45 -97 V\n-79 14 V\n46 94 V\n.8558 g 2508 2929 N 45 101
      78 -20 -45 -97 h\n1.000 UP\n1.000 UL\nLT5\n2508 2929 M\n78 -16 V\n-45
      -101 V\n-78 20 V\n45 97 V\n.8554 g 2586 2913 N 45 106 78 -30 -45 -101
      h\n1.000 UP\n1.000 UL\nLT5\n2586 2913 M\n78 -25 V\n-45 -106 V\n-78 30
      V\n45 101 V\n.8468 g 2664 2888 N 45 114 78 -46 -45 -106 h\n1.000
      UP\n1.000 UL\nLT5\n2664 2888 M\n78 -38 V\n-45 -114 V\n-78 46 V\n45 106
      V\n.8259 g 2742 2850 N 45 125 78 -69 -45 -114 h\n1.000 UP\n1.000
      UL\nLT5\n2742 2850 M\n78 -58 V\n-45 -125 V\n-78 69 V\n45 114 V\n.7881 g
      2820 2792 N 45 138 78 -99 -45 -125 h\n1.000 UP\n1.000 UL\nLT5\n2820
      2792 M\n78 -86 V\n-45 -138 V\n-78 99 V\n45 125 V\n.7272 g 2898 2706 N
      45 157 78 -141 -45 -138 h\n1.000 UP\n1.000 UL\nLT5\n2898 2706 M\n78
      -122 V\n-45 -157 V\n-78 141 V\n45 138 V\n.6361 g 2976 2584 N 45 179 78
      -193 -45 -157 h\n1.000 UP\n1.000 UL\nLT5\n2976 2584 M\n78 -171 V\n-45
      -179 V\n-78 193 V\n45 157 V\n.5059 g 3054 2413 N 45 208 78 -261 -45
      -179 h\n1.000 UP\n1.000 UL\nLT5\n3054 2413 M\n78 -232 V\n-45 -208
      V\n-78 261 V\n45 179 V\n.3798 g 823 2613 N 45 238 78 251 -45 -273
      h\n1.000 UP\n1.000 UL\nLT5\n823 2613 M\n78 216 V\n856 2591 L\n778 2340
      L\n45 273 V\n.5293 g 901 2829 N 45 210 78 178 -45 -238 h\n1.000
      UP\n1.000 UL\nLT5\n901 2829 M\n78 150 V\n934 2769 L\n856 2591 L\n45 238
      V\n.6361 g 979 2979 N 45 187 78 119 -45 -210 h\n1.000 UP\n1.000
      UL\nLT5\n979 2979 M\n78 96 V\n-45 -187 V\n934 2769 L\n45 210 V\n.7093 g
      1057 3075 N 45 168 78 74 -45 -187 h\n1.000 UP\n1.000 UL\nLT5\n1057 3075
      M\n78 55 V\n-45 -168 V\n-78 -74 V\n45 187 V\n.7569 g 1135 3130 N 45 154
      78 39 -45 -168 h\n1.000 UP\n1.000 UL\nLT5\n1135 3130 M\n78 25 V\n-45
      -154 V\n-78 -39 V\n45 168 V\n.7851 g 1213 3155 N 45 143 78 13 -45 -154
      h\n1.000 UP\n1.000 UL\nLT5\n1213 3155 M\n78 2 V\n-45 -143 V\n-78 -13
      V\n45 154 V\n.7993 g 1291 3157 N 45 135 78 -6 -45 -143 h\n1.000
      UP\n1.000 UL\nLT5\n1291 3157 M\n78 -14 V\n-45 -135 V\n-78 6 V\n45 143
      V\n.8037 g 1369 3143 N 45 129 78 -18 -45 -135 h\n1.000 UP\n1.000
      UL\nLT5\n1369 3143 M\n78 -24 V\n-45 -129 V\n-78 18 V\n45 135 V\n.8017 g
      1447 3119 N 45 124 78 -26 -45 -129 h\n1.000 UP\n1.000 UL\nLT5\n1447
      3119 M\n78 -31 V\n-45 -124 V\n-78 26 V\n45 129 V\n.7962 g 1525 3088 N
      46 122 78 -31 -45 -124 h\n1.000 UP\n1.000 UL\nLT5\n1525 3088 M\n79 -33
      V\n-46 -122 V\n-78 31 V\n45 124 V\n.7891 g 1604 3055 N 45 120 79 -32
      -46 -122 h\n1.000 UP\n1.000 UL\nLT5\n1604 3055 M\n78 -34 V\n-45 -120
      V\n-79 32 V\n46 122 V\n.7821 g 1682 3021 N 45 118 78 -31 -45 -120
      h\n1.000 UP\n1.000 UL\nLT5\n1682 3021 M\n78 -33 V\n-45 -118 V\n-78 31
      V\n45 120 V\n.7763 g 1760 2988 N 45 118 78 -29 -45 -118 h\n1.000
      UP\n1.000 UL\nLT5\n1760 2988 M\n78 -29 V\n-45 -118 V\n-78 29 V\n45 118
      V\n.7726 g 1838 2959 N 45 117 78 -26 -45 -118 h\n1.000 UP\n1.000
      UL\nLT5\n1838 2959 M\n78 -27 V\n-45 -117 V\n-78 26 V\n45 118 V\n.7712 g
      1916 2932 N 45 117 78 -22 -45 -117 h\n1.000 UP\n1.000 UL\nLT5\n1916
      2932 M\n78 -22 V\n-45 -117 V\n-78 22 V\n45 117 V\n.7726 g 1994 2910 N
      45 117 78 -18 -45 -117 h\n1.000 UP\n1.000 UL\nLT5\n1994 2910 M\n78 -18
      V\n-45 -117 V\n-78 18 V\n45 117 V\n.7763 g 2072 2892 N 45 118 78 -15
      -45 -117 h\n1.000 UP\n1.000 UL\nLT5\n2072 2892 M\n78 -14 V\n-45 -118
      V\n-78 15 V\n45 117 V\n.7821 g 2150 2878 N 45 119 78 -13 -45 -118
      h\n1.000 UP\n1.000 UL\nLT5\n2150 2878 M\n78 -12 V\n-45 -119 V\n-78 13
      V\n45 118 V\n.7891 g 2228 2866 N 45 121 78 -12 -45 -119 h\n1.000
      UP\n1.000 UL\nLT5\n2228 2866 M\n78 -10 V\n-45 -121 V\n-78 12 V\n45 119
      V\n.7962 g 2306 2856 N 45 125 78 -14 -45 -121 h\n1.000 UP\n1.000
      UL\nLT5\n2306 2856 M\n78 -10 V\n-45 -125 V\n-78 14 V\n45 121 V\n.8017 g
      2384 2846 N 46 129 78 -18 -45 -125 h\n1.000 UP\n1.000 UL\nLT5\n2384
      2846 M\n79 -14 V\n-46 -129 V\n-78 18 V\n45 125 V\n.8037 g 2463 2832 N
      45 135 79 -26 -46 -129 h\n1.000 UP\n1.000 UL\nLT5\n2463 2832 M\n78 -20
      V\n-45 -135 V\n-79 26 V\n46 129 V\n.7993 g 2541 2812 N 45 143 78 -38
      -45 -135 h\n1.000 UP\n1.000 UL\nLT5\n2541 2812 M\n78 -30 V\n-45 -143
      V\n-78 38 V\n45 135 V\n.7851 g 2619 2782 N 45 154 78 -57 -45 -143
      h\n1.000 UP\n1.000 UL\nLT5\n2619 2782 M\n78 -46 V\n-45 -154 V\n-78 57
      V\n45 143 V\n.7569 g 2697 2736 N 45 168 78 -83 -45 -154 h\n1.000
      UP\n1.000 UL\nLT5\n2697 2736 M\n78 -69 V\n-45 -168 V\n-78 83 V\n45 154
      V\n.7093 g 2775 2667 N 45 187 78 -118 -45 -168 h\n1.000 UP\n1.000
      UL\nLT5\n2775 2667 M\n78 -99 V\n-45 -187 V\n-78 118 V\n45 168 V\n.6361
      g 2853 2568 N 45 209 78 -163 -45 -187 h\n1.000 UP\n1.000 UL\nLT5\n2853
      2568 M\n78 -141 V\n-45 -209 V\n-78 163 V\n45 187 V\n.5293 g 2931 2427 N
      45 238 78 -222 -45 -209 h\n1.000 UP\n1.000 UL\nLT5\n2931 2427 M\n78
      -193 V\n-45 -238 V\n-78 222 V\n45 209 V\n.3798 g 3009 2234 N 45 273 78
      -296 -45 -238 h\n1.000 UP\n1.000 UL\nLT5\n3009 2234 M\n78 -261 V\n-45
      -273 V\n-78 296 V\n45 238 V\n.2065 g 778 2340 N 45 311 79 294 -46 -354
      h\n1.000 UP\n1.000 UL\nLT5\n778 2340 M\n78 251 V\n811 2280 L\n732 1986
      L\n46 354 V\n.3798 g 856 2591 N 45 277 78 212 -45 -311 h\n1.000
      UP\n1.000 UL\nLT5\n856 2591 M\n78 178 V\n889 2492 L\n811 2280 L\n45 311
      V\n.5059 g 934 2769 N 45 248 78 148 -45 -277 h\n1.000 UP\n1.000
      UL\nLT5\n934 2769 M\n78 119 V\n967 2640 L\n889 2492 L\n45 277 V\n.5949
      g 1012 2888 N 45 225 78 97 -45 -248 h\n1.000 UP\n1.000 UL\nLT5\n1012
      2888 M\n78 74 V\n-45 -225 V\n-78 -97 V\n45 248 V\n.655 g 1090 2962 N 45
      207 78 57 -45 -225 h\n1.000 UP\n1.000 UL\nLT5\n1090 2962 M\n78 39
      V\n-45 -207 V\n-78 -57 V\n45 225 V\n.6931 g 1168 3001 N 45 192 78 28
      -45 -207 h\n1.000 UP\n1.000 UL\nLT5\n1168 3001 M\n78 13 V\n-45 -192
      V\n-78 -28 V\n45 207 V\n.7149 g 1246 3014 N 45 181 78 5 -45 -192
      h\n1.000 UP\n1.000 UL\nLT5\n1246 3014 M\n78 -6 V\n-45 -181 V\n-78 -5
      V\n45 192 V\n.7251 g 1324 3008 N 45 172 78 -9 -45 -181 h\n1.000
      UP\n1.000 UL\nLT5\n1324 3008 M\n78 -18 V\n-45 -172 V\n-78 9 V\n45 181
      V\n.7276 g 1402 2990 N 45 166 78 -20 -45 -172 h\n1.000 UP\n1.000
      UL\nLT5\n1402 2990 M\n78 -26 V\n-45 -166 V\n-78 20 V\n45 172 V\n.7252 g
      1480 2964 N 45 161 78 -26 -45 -166 h\n1.000 UP\n1.000 UL\nLT5\n1480
      2964 M\n78 -31 V\n-45 -161 V\n-78 26 V\n45 166 V\n.7204 g 1558 2933 N
      46 157 78 -28 -45 -161 h\n1.000 UP\n1.000 UL\nLT5\n1558 2933 M\n79 -32
      V\n-46 -157 V\n-78 28 V\n45 161 V\n.7149 g 1637 2901 N 45 155 79 -29
      -46 -157 h\n1.000 UP\n1.000 UL\nLT5\n1637 2901 M\n78 -31 V\n-45 -155
      V\n-79 29 V\n46 157 V\n.7101 g 1715 2870 N 45 153 78 -27 -45 -155
      h\n1.000 UP\n1.000 UL\nLT5\n1715 2870 M\n78 -29 V\n-45 -153 V\n-78 27
      V\n45 155 V\n.7068 g 1793 2841 N 45 153 78 -26 -45 -153 h\n1.000
      UP\n1.000 UL\nLT5\n1793 2841 M\n78 -26 V\n-45 -153 V\n-78 26 V\n45 153
      V\n.7057 g 1871 2815 N 45 153 78 -22 -45 -153 h\n1.000 UP\n1.000
      UL\nLT5\n1871 2815 M\n78 -22 V\n-45 -153 V\n-78 22 V\n45 153 V\n.7068 g
      1949 2793 N 45 154 78 -19 -45 -153 h\n1.000 UP\n1.000 UL\nLT5\n1949
      2793 M\n78 -18 V\n-45 -154 V\n-78 19 V\n45 153 V\n.7101 g 2027 2775 N
      45 155 78 -16 -45 -154 h\n1.000 UP\n1.000 UL\nLT5\n2027 2775 M\n78 -15
      V\n-45 -155 V\n-78 16 V\n45 154 V\n.7149 g 2105 2760 N 45 157 78 -15
      -45 -155 h\n1.000 UP\n1.000 UL\nLT5\n2105 2760 M\n78 -13 V\n-45 -157
      V\n-78 15 V\n45 155 V\n.7204 g 2183 2747 N 45 161 78 -16 -45 -157
      h\n1.000 UP\n1.000 UL\nLT5\n2183 2747 M\n78 -12 V\n-45 -161 V\n-78 16
      V\n45 157 V\n.7252 g 2261 2735 N 45 165 78 -18 -45 -161 h\n1.000
      UP\n1.000 UL\nLT5\n2261 2735 M\n78 -14 V\n-45 -165 V\n-78 18 V\n45 161
      V\n.7276 g 2339 2721 N 45 172 78 -25 -45 -165 h\n1.000 UP\n1.000
      UL\nLT5\n2339 2721 M\n78 -18 V\n-45 -172 V\n-78 25 V\n45 165 V\n.7251 g
      2417 2703 N 46 180 78 -34 -45 -172 h\n1.000 UP\n1.000 UL\nLT5\n2417
      2703 M\n79 -26 V\n-46 -180 V\n-78 34 V\n45 172 V\n.7149 g 2496 2677 N
      45 192 79 -50 -46 -180 h\n1.000 UP\n1.000 UL\nLT5\n2496 2677 M\n78 -38
      V\n-45 -192 V\n-79 50 V\n46 180 V\n.6931 g 2574 2639 N 45 207 78 -72
      -45 -192 h\n1.000 UP\n1.000 UL\nLT5\n2574 2639 M\n78 -57 V\n-45 -207
      V\n-78 72 V\n45 192 V\n.655 g 2652 2582 N 45 225 78 -101 -45 -207
      h\n1.000 UP\n1.000 UL\nLT5\n2652 2582 M\n78 -83 V\n-45 -225 V\n-78 101
      V\n45 207 V\n.5949 g 2730 2499 N 45 248 78 -141 -45 -225 h\n1.000
      UP\n1.000 UL\nLT5\n2730 2499 M\n78 -118 V\n-45 -248 V\n-78 141 V\n45
      225 V\n.5059 g 2808 2381 N 45 277 78 -192 -45 -248 h\n1.000 UP\n1.000
      UL\nLT5\n2808 2381 M\n78 -163 V\n-45 -277 V\n-78 192 V\n45 248 V\n.3798
      g 2886 2218 N 45 312 78 -257 -45 -277 h\n1.000 UP\n1.000 UL\nLT5\n2886
      2218 M\n78 -222 V\n-45 -312 V\n-78 257 V\n45 277 V\n.2065 g 2964 1996 N
      45 353 78 -337 -45 -312 h\n1.000 UP\n1.000 UL\nLT5\n2964 1996 M\n78
      -296 V\n-45 -353 V\n-78 337 V\n45 312 V\n%pm3d_map_end\ngrestore %
      colour palette end\nstroke gsave\t%% draw gray scale smooth
      box\nmaxcolors 0 gt {/imax maxcolors def} {/imax 1024 def} ifelse\n4373
      2214 translate 181 1647 scale 0 setlinewidth\n/ystep 1 imax div def /y0
      0 def /ii 0 def\n{ y0 g 0 y0 N 1 0 V 0 ystep V -1 0 f\n/y0 y0 ystep add
      def /ii ii 1 add def\nii imax ge {exit} if } loop\ngrestore 0
      setgray\n1.000 UL\nLTb\n4373 2214 M\n181 0 V\n0 1647 V\n-181 0 V\n0
      -1647 V\n1.000 UL\nLTb\n1.000 UL\nLTb\n4554 2214 M\n-63 0 V\n
      stroke\n4656 2214 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 (-4)]\n] -46.7 MLshow\ngrestore\n4373 2214 M\n63 0 V\n118 183
      R\n-63 0 V\n stroke\n4656 2397 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 (-3.5)]\n] -46.7 MLshow\ngrestore\n4373 2397 M\n63 0
      V\n118 183 R\n-63 0 V\n stroke\n4656 2580 M\ngsave 0 setgray\n[
      [(Helvetica) 140.0 0.0 true true 0 (-3)]\n] -46.7
      MLshow\ngrestore\n4373 2580 M\n63 0 V\n118 183 R\n-63 0 V\n
      stroke\n4656 2763 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 (-2.5)]\n] -46.7 MLshow\ngrestore\n4373 2763 M\n63 0 V\n118 183
      R\n-63 0 V\n stroke\n4656 2946 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 (-2)]\n] -46.7 MLshow\ngrestore\n4373 2946 M\n63 0
      V\n118 183 R\n-63 0 V\n stroke\n4656 3129 M\ngsave 0 setgray\n[
      [(Helvetica) 140.0 0.0 true true 0 (-1.5)]\n] -46.7
      MLshow\ngrestore\n4373 3129 M\n63 0 V\n118 183 R\n-63 0 V\n
      stroke\n4656 3312 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 (-1)]\n] -46.7 MLshow\ngrestore\n4373 3312 M\n63 0 V\n118 183
      R\n-63 0 V\n stroke\n4656 3495 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 (-0.5)]\n] -46.7 MLshow\ngrestore\n4373 3495 M\n63 0
      V\n118 183 R\n-63 0 V\n stroke\n4656 3678 M\ngsave 0 setgray\n[
      [(Helvetica) 140.0 0.0 true true 0 ( 0)]\n] -46.7
      MLshow\ngrestore\n4373 3678 M\n63 0 V\n118 183 R\n-63 0 V\n
      stroke\n4656 3861 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 ( 0.5)]\n] -46.7 MLshow\ngrestore\n4373 3861 M\n63 0 V\n1.000
      UP\n1.000 UL\nLT1\nLT1\n733 1987 M\n1.000 UL\nLT1\nLT1\n812 2281
      M\n1.000 UL\nLT1\nLT1\n890 2493 M\n1.000 UL\nLT1\nLT1\n968 2640
      M\n1.000 UL\nLT1\nLT1\n1046 2737 M\n1.000 UL\nLT1\nLT1\n1124 2794
      M\n1.000 UL\nLT1\nLT1\n1202 2822 M\n1.000 UL\nLT1\nLT1\n1280 2827
      M\n1.000 UL\nLT1\nLT1\n1358 2818 M\n1.000 UL\nLT1\nLT1\n1436 2798
      M\n1.000 UL\nLT1\nLT1\n1514 2772 M\n1.000 UL\nLT1\nLT1\n1592 2744
      M\n1.000 UL\nLT1\nLT1\n1671 2715 M\n1.000 UL\nLT1\nLT1\n1749 2688
      M\n1.000 UL\nLT1\nLT1\n1827 2662 M\n1.000 UL\nLT1\nLT1\n1905 2640
      M\n1.000 UL\nLT1\nLT1\n1983 2621 M\n1.000 UL\nLT1\nLT1\n2061 2605
      M\n1.000 UL\nLT1\nLT1\n2139 2590 M\n1.000 UL\nLT1\nLT1\n2217 2575
      M\n1.000 UL\nLT1\nLT1\n2295 2557 M\n1.000 UL\nLT1\nLT1\n2373 2532
      M\n1.000 UL\nLT1\nLT1\n2451 2498 M\n1.000 UL\nLT1\nLT1\n2529 2448
      M\n1.000 UL\nLT1\nLT1\n2607 2376 M\n1.000 UL\nLT1\nLT1\n2685 2275
      M\n1.000 UL\nLT1\nLT1\n2763 2134 M\n1.000 UL\nLT1\nLT1\n2841 1942
      M\n1.000 UL\nLT1\nLT1\n2919 1685 M\n1.000 UL\nLT1\nLT1\n2997 1348
      M\n1.000 UL\nLT1\nLT1\n779 2341 M\n1.000 UL\nLT1\nLT1\n857 2591
      M\n1.000 UL\nLT1\nLT1\n935 2769 M\n1.000 UL\nLT1\nLT1\n1013 2888
      M\n1.000 UL\nLT1\nLT1\n1091 2962 M\n1.000 UL\nLT1\nLT1\n1169 3001
      M\n1.000 UL\nLT1\nLT1\n1247 3014 M\n1.000 UL\nLT1\nLT1\n1325 3008
      M\n1.000 UL\nLT1\nLT1\n1403 2990 M\n1.000 UL\nLT1\nLT1\n1481 2964
      M\n1.000 UL\nLT1\nLT1\n1559 2933 M\n1.000 UL\nLT1\nLT1\n1638 2901
      M\n1.000 UL\nLT1\nLT1\n1716 2870 M\n1.000 UL\nLT1\nLT1\n1794 2841
      M\n1.000 UL\nLT1\nLT1\n1872 2815 M\n1.000 UL\nLT1\nLT1\n1950 2793
      M\n1.000 UL\nLT1\nLT1\n2028 2775 M\n1.000 UL\nLT1\nLT1\n2106 2760
      M\n1.000 UL\nLT1\nLT1\n2184 2747 M\n1.000 UL\nLT1\nLT1\n2262 2735
      M\n1.000 UL\nLT1\nLT1\n2340 2721 M\n1.000 UL\nLT1\nLT1\n2418 2703
      M\n1.000 UL\nLT1\nLT1\n2497 2677 M\n1.000 UL\nLT1\nLT1\n2574 2639
      M\n1.000 UL\nLT1\nLT1\n2652 2583 M\n1.000 UL\nLT1\nLT1\n2730 2500
      M\n1.000 UL\nLT1\nLT1\n2808 2382 M\n1.000 UL\nLT1\nLT1\n2886 2219
      M\n1.000 UL\nLT1\nLT1\n2964 1997 M\n1.000 UL\nLT1\nLT1\n3042 1701
      M\n1.000 UL\nLT1\nLT1\n824 2613 M\n1.000 UL\nLT1\nLT1\n902 2829
      M\n1.000 UL\nLT1\nLT1\n980 2979 M\n1.000 UL\nLT1\nLT1\n1058 3075
      M\n1.000 UL\nLT1\nLT1\n1136 3130 M\n1.000 UL\nLT1\nLT1\n1214 3155
      M\n1.000 UL\nLT1\nLT1\n1292 3157 M\n1.000 UL\nLT1\nLT1\n1370 3143
      M\n1.000 UL\nLT1\nLT1\n1448 3119 M\n1.000 UL\nLT1\nLT1\n1526 3088
      M\n1.000 UL\nLT1\nLT1\n1605 3055 M\n1.000 UL\nLT1\nLT1\n1683 3021
      M\n1.000 UL\nLT1\nLT1\n1761 2988 M\n1.000 UL\nLT1\nLT1\n1839 2959
      M\n1.000 UL\nLT1\nLT1\n1917 2932 M\n1.000 UL\nLT1\nLT1\n1995 2910
      M\n1.000 UL\nLT1\nLT1\n2073 2892 M\n1.000 UL\nLT1\nLT1\n2151 2878
      M\n1.000 UL\nLT1\nLT1\n2229 2866 M\n1.000 UL\nLT1\nLT1\n2307 2856
      M\n1.000 UL\nLT1\nLT1\n2385 2846 M\n1.000 UL\nLT1\nLT1\n2464 2832
      M\n1.000 UL\nLT1\nLT1\n2541 2812 M\n1.000 UL\nLT1\nLT1\n2619 2782
      M\n1.000 UL\nLT1\nLT1\n2697 2736 M\n1.000 UL\nLT1\nLT1\n2775 2667
      M\n1.000 UL\nLT1\nLT1\n2853 2569 M\n1.000 UL\nLT1\nLT1\n2931 2428
      M\n1.000 UL\nLT1\nLT1\n3009 2235 M\n1.000 UL\nLT1\nLT1\n3087 1974
      M\n1.000 UL\nLT1\nLT1\n869 2821 M\n1.000 UL\nLT1\nLT1\n947 3009
      M\n1.000 UL\nLT1\nLT1\n1025 3135 M\n1.000 UL\nLT1\nLT1\n1103 3213
      M\n1.000 UL\nLT1\nLT1\n1181 3255 M\n1.000 UL\nLT1\nLT1\n1259 3269
      M\n1.000 UL\nLT1\nLT1\n1337 3263 M\n1.000 UL\nLT1\nLT1\n1415 3244
      M\n1.000 UL\nLT1\nLT1\n1493 3215 M\n1.000 UL\nLT1\nLT1\n1572 3182
      M\n1.000 UL\nLT1\nLT1\n1650 3147 M\n1.000 UL\nLT1\nLT1\n1728 3113
      M\n1.000 UL\nLT1\nLT1\n1806 3080 M\n1.000 UL\nLT1\nLT1\n1884 3050
      M\n1.000 UL\nLT1\nLT1\n1962 3024 M\n1.000 UL\nLT1\nLT1\n2040 3002
      M\n1.000 UL\nLT1\nLT1\n2118 2984 M\n1.000 UL\nLT1\nLT1\n2196 2969
      M\n1.000 UL\nLT1\nLT1\n2274 2958 M\n1.000 UL\nLT1\nLT1\n2352 2949
      M\n1.000 UL\nLT1\nLT1\n2431 2940 M\n1.000 UL\nLT1\nLT1\n2509 2929
      M\n1.000 UL\nLT1\nLT1\n2586 2913 M\n1.000 UL\nLT1\nLT1\n2664 2888
      M\n1.000 UL\nLT1\nLT1\n2742 2850 M\n1.000 UL\nLT1\nLT1\n2820 2792
      M\n1.000 UL\nLT1\nLT1\n2898 2706 M\n1.000 UL\nLT1\nLT1\n2976 2585
      M\n1.000 UL\nLT1\nLT1\n3054 2414 M\n1.000 UL\nLT1\nLT1\n3132 2182
      M\n1.000 UL\nLT1\nLT1\n914 2978 M\n1.000 UL\nLT1\nLT1\n992 3143
      M\n1.000 UL\nLT1\nLT1\n1070 3251 M\n1.000 UL\nLT1\nLT1\n1148 3315
      M\n1.000 UL\nLT1\nLT1\n1226 3346 M\n1.000 UL\nLT1\nLT1\n1304 3352
      M\n1.000 UL\nLT1\nLT1\n1382 3341 M\n1.000 UL\nLT1\nLT1\n1460 3319
      M\n1.000 UL\nLT1\nLT1\n1538 3288 M\n1.000 UL\nLT1\nLT1\n1617 3254
      M\n1.000 UL\nLT1\nLT1\n1695 3219 M\n1.000 UL\nLT1\nLT1\n1773 3184
      M\n1.000 UL\nLT1\nLT1\n1851 3152 M\n1.000 UL\nLT1\nLT1\n1929 3122
      M\n1.000 UL\nLT1\nLT1\n2007 3096 M\n1.000 UL\nLT1\nLT1\n2085 3074
      M\n1.000 UL\nLT1\nLT1\n2163 3056 M\n1.000 UL\nLT1\nLT1\n2241 3042
      M\n1.000 UL\nLT1\nLT1\n2319 3030 M\n1.000 UL\nLT1\nLT1\n2398 3021
      M\n1.000 UL\nLT1\nLT1\n2476 3012 M\n1.000 UL\nLT1\nLT1\n2553 3002
      M\n1.000 UL\nLT1\nLT1\n2631 2988 M\n1.000 UL\nLT1\nLT1\n2709 2966
      M\n1.000 UL\nLT1\nLT1\n2787 2933 M\n1.000 UL\nLT1\nLT1\n2865 2883
      M\n1.000 UL\nLT1\nLT1\n2943 2808 M\n1.000 UL\nLT1\nLT1\n3021 2700
      M\n1.000 UL\nLT1\nLT1\n3099 2548 M\n1.000 UL\nLT1\nLT1\n3177 2339
      M\n1.000 UL\nLT1\nLT1\n959 3095 M\n1.000 UL\nLT1\nLT1\n1037 3242
      M\n1.000 UL\nLT1\nLT1\n1115 3336 M\n1.000 UL\nLT1\nLT1\n1193 3389
      M\n1.000 UL\nLT1\nLT1\n1271 3413 M\n1.000 UL\nLT1\nLT1\n1349 3414
      M\n1.000 UL\nLT1\nLT1\n1427 3400 M\n1.000 UL\nLT1\nLT1\n1505 3375
      M\n1.000 UL\nLT1\nLT1\n1584 3345 M\n1.000 UL\nLT1\nLT1\n1662 3311
      M\n1.000 UL\nLT1\nLT1\n1740 3276 M\n1.000 UL\nLT1\nLT1\n1818 3242
      M\n1.000 UL\nLT1\nLT1\n1896 3210 M\n1.000 UL\nLT1\nLT1\n1974 3181
      M\n1.000 UL\nLT1\nLT1\n2052 3156 M\n1.000 UL\nLT1\nLT1\n2130 3134
      M\n1.000 UL\nLT1\nLT1\n2208 3115 M\n1.000 UL\nLT1\nLT1\n2286 3100
      M\n1.000 UL\nLT1\nLT1\n2365 3088 M\n1.000 UL\nLT1\nLT1\n2443 3078
      M\n1.000 UL\nLT1\nLT1\n2520 3068 M\n1.000 UL\nLT1\nLT1\n2598 3058
      M\n1.000 UL\nLT1\nLT1\n2676 3045 M\n1.000 UL\nLT1\nLT1\n2754 3025
      M\n1.000 UL\nLT1\nLT1\n2832 2995 M\n1.000 UL\nLT1\nLT1\n2910 2950
      M\n1.000 UL\nLT1\nLT1\n2988 2882 M\n1.000 UL\nLT1\nLT1\n3066 2784
      M\n1.000 UL\nLT1\nLT1\n3144 2646 M\n1.000 UL\nLT1\nLT1\n3223 2457
      M\n1.000 UL\nLT1\nLT1\n1004 3183 M\n1.000 UL\nLT1\nLT1\n1082 3315
      M\n1.000 UL\nLT1\nLT1\n1160 3398 M\n1.000 UL\nLT1\nLT1\n1238 3444
      M\n1.000 UL\nLT1\nLT1\n1316 3462 M\n1.000 UL\nLT1\nLT1\n1394 3460
      M\n1.000 UL\nLT1\nLT1\n1472 3444 M\n1.000 UL\nLT1\nLT1\n1551 3420
      M\n1.000 UL\nLT1\nLT1\n1629 3389 M\n1.000 UL\nLT1\nLT1\n1707 3357
      M\n1.000 UL\nLT1\nLT1\n1785 3323 M\n1.000 UL\nLT1\nLT1\n1863 3291
      M\n1.000 UL\nLT1\nLT1\n1941 3260 M\n1.000 UL\nLT1\nLT1\n2019 3232
      M\n1.000 UL\nLT1\nLT1\n2097 3207 M\n1.000 UL\nLT1\nLT1\n2175 3184
      M\n1.000 UL\nLT1\nLT1\n2253 3166 M\n1.000 UL\nLT1\nLT1\n2331 3150
      M\n1.000 UL\nLT1\nLT1\n2410 3136 M\n1.000 UL\nLT1\nLT1\n2488 3125
      M\n1.000 UL\nLT1\nLT1\n2565 3114 M\n1.000 UL\nLT1\nLT1\n2643 3103
      M\n1.000 UL\nLT1\nLT1\n2721 3089 M\n1.000 UL\nLT1\nLT1\n2799 3069
      M\n1.000 UL\nLT1\nLT1\n2877 3041 M\n1.000 UL\nLT1\nLT1\n2955 2999
      M\n1.000 UL\nLT1\nLT1\n3033 2937 M\n1.000 UL\nLT1\nLT1\n3111 2847
      M\n1.000 UL\nLT1\nLT1\n3190 2720 M\n1.000 UL\nLT1\nLT1\n3268 2545
      M\n1.000 UL\nLT1\nLT1\n1049 3249 M\n1.000 UL\nLT1\nLT1\n1127 3370
      M\n1.000 UL\nLT1\nLT1\n1205 3444 M\n1.000 UL\nLT1\nLT1\n1283 3485
      M\n1.000 UL\nLT1\nLT1\n1361 3499 M\n1.000 UL\nLT1\nLT1\n1439 3496
      M\n1.000 UL\nLT1\nLT1\n1518 3480 M\n1.000 UL\nLT1\nLT1\n1596 3456
      M\n1.000 UL\nLT1\nLT1\n1674 3427 M\n1.000 UL\nLT1\nLT1\n1752 3396
      M\n1.000 UL\nLT1\nLT1\n1830 3364 M\n1.000 UL\nLT1\nLT1\n1908 3333
      M\n1.000 UL\nLT1\nLT1\n1986 3304 M\n1.000 UL\nLT1\nLT1\n2064 3276
      M\n1.000 UL\nLT1\nLT1\n2142 3252 M\n1.000 UL\nLT1\nLT1\n2220 3230
      M\n1.000 UL\nLT1\nLT1\n2298 3210 M\n1.000 UL\nLT1\nLT1\n2377 3193
      M\n1.000 UL\nLT1\nLT1\n2455 3179 M\n1.000 UL\nLT1\nLT1\n2532 3165
      M\n1.000 UL\nLT1\nLT1\n2610 3153 M\n1.000 UL\nLT1\nLT1\n2688 3140
      M\n1.000 UL\nLT1\nLT1\n2766 3125 M\n1.000 UL\nLT1\nLT1\n2844 3105
      M\n1.000 UL\nLT1\nLT1\n2922 3077 M\n1.000 UL\nLT1\nLT1\n3000 3036
      M\n1.000 UL\nLT1\nLT1\n3078 2977 M\n1.000 UL\nLT1\nLT1\n3156 2893
      M\n1.000 UL\nLT1\nLT1\n3235 2774 M\n1.000 UL\nLT1\nLT1\n3313 2610
      M\n1.000 UL\nLT1\nLT1\n1094 3300 M\n1.000 UL\nLT1\nLT1\n1172 3412
      M\n1.000 UL\nLT1\nLT1\n1250 3480 M\n1.000 UL\nLT1\nLT1\n1328 3517
      M\n1.000 UL\nLT1\nLT1\n1406 3529 M\n1.000 UL\nLT1\nLT1\n1485 3525
      M\n1.000 UL\nLT1\nLT1\n1563 3510 M\n1.000 UL\nLT1\nLT1\n1641 3487
      M\n1.000 UL\nLT1\nLT1\n1719 3460 M\n1.000 UL\nLT1\nLT1\n1797 3431
      M\n1.000 UL\nLT1\nLT1\n1875 3401 M\n1.000 UL\nLT1\nLT1\n1953 3372
      M\n1.000 UL\nLT1\nLT1\n2031 3344 M\n1.000 UL\nLT1\nLT1\n2109 3318
      M\n1.000 UL\nLT1\nLT1\n2187 3293 M\n1.000 UL\nLT1\nLT1\n2265 3271
      M\n1.000 UL\nLT1\nLT1\n2344 3251 M\n1.000 UL\nLT1\nLT1\n2422 3233
      M\n1.000 UL\nLT1\nLT1\n2500 3217 M\n1.000 UL\nLT1\nLT1\n2577 3202
      M\n1.000 UL\nLT1\nLT1\n2655 3188 M\n1.000 UL\nLT1\nLT1\n2733 3173
      M\n1.000 UL\nLT1\nLT1\n2811 3156 M\n1.000 UL\nLT1\nLT1\n2889 3135
      M\n1.000 UL\nLT1\nLT1\n2967 3106 M\n1.000 UL\nLT1\nLT1\n3045 3066
      M\n1.000 UL\nLT1\nLT1\n3123 3009 M\n1.000 UL\nLT1\nLT1\n3202 2929
      M\n1.000 UL\nLT1\nLT1\n3280 2816 M\n1.000 UL\nLT1\nLT1\n3358 2660
      M\n1.000 UL\nLT1\nLT1\n1139 3340 M\n1.000 UL\nLT1\nLT1\n1217 3446
      M\n1.000 UL\nLT1\nLT1\n1295 3510 M\n1.000 UL\nLT1\nLT1\n1373 3544
      M\n1.000 UL\nLT1\nLT1\n1452 3556 M\n1.000 UL\nLT1\nLT1\n1530 3552
      M\n1.000 UL\nLT1\nLT1\n1608 3537 M\n1.000 UL\nLT1\nLT1\n1686 3516
      M\n1.000 UL\nLT1\nLT1\n1764 3491 M\n1.000 UL\nLT1\nLT1\n1842 3464
      M\n1.000 UL\nLT1\nLT1\n1920 3436 M\n1.000 UL\nLT1\nLT1\n1998 3408
      M\n1.000 UL\nLT1\nLT1\n2076 3382 M\n1.000 UL\nLT1\nLT1\n2154 3357
      M\n1.000 UL\nLT1\nLT1\n2232 3333 M\n1.000 UL\nLT1\nLT1\n2311 3311
      M\n1.000 UL\nLT1\nLT1\n2389 3291 M\n1.000 UL\nLT1\nLT1\n2467 3272
      M\n1.000 UL\nLT1\nLT1\n2544 3254 M\n1.000 UL\nLT1\nLT1\n2622 3237
      M\n1.000 UL\nLT1\nLT1\n2700 3221 M\n1.000 UL\nLT1\nLT1\n2778 3204
      M\n1.000 UL\nLT1\nLT1\n2856 3185 M\n1.000 UL\nLT1\nLT1\n2934 3162
      M\n1.000 UL\nLT1\nLT1\n3012 3133 M\n1.000 UL\nLT1\nLT1\n3090 3093
      M\n1.000 UL\nLT1\nLT1\n3169 3037 M\n1.000 UL\nLT1\nLT1\n3247 2959
      M\n1.000 UL\nLT1\nLT1\n3325 2850 M\n1.000 UL\nLT1\nLT1\n3403 2701
      M\n1.000 UL\nLT1\nLT1\n1184 3375 M\n1.000 UL\nLT1\nLT1\n1262 3475
      M\n1.000 UL\nLT1\nLT1\n1340 3537 M\n1.000 UL\nLT1\nLT1\n1419 3569
      M\n1.000 UL\nLT1\nLT1\n1497 3581 M\n1.000 UL\nLT1\nLT1\n1575 3577
      M\n1.000 UL\nLT1\nLT1\n1653 3564 M\n1.000 UL\nLT1\nLT1\n1731 3545
      M\n1.000 UL\nLT1\nLT1\n1809 3521 M\n1.000 UL\nLT1\nLT1\n1887 3496
      M\n1.000 UL\nLT1\nLT1\n1965 3470 M\n1.000 UL\nLT1\nLT1\n2043 3445
      M\n1.000 UL\nLT1\nLT1\n2121 3419 M\n1.000 UL\nLT1\nLT1\n2199 3395
      M\n1.000 UL\nLT1\nLT1\n2278 3372 M\n1.000 UL\nLT1\nLT1\n2356 3350
      M\n1.000 UL\nLT1\nLT1\n2434 3329 M\n1.000 UL\nLT1\nLT1\n2512 3309
      M\n1.000 UL\nLT1\nLT1\n2589 3290 M\n1.000 UL\nLT1\nLT1\n2667 3272
      M\n1.000 UL\nLT1\nLT1\n2745 3254 M\n1.000 UL\nLT1\nLT1\n2823 3235
      M\n1.000 UL\nLT1\nLT1\n2901 3214 M\n1.000 UL\nLT1\nLT1\n2979 3189
      M\n1.000 UL\nLT1\nLT1\n3057 3158 M\n1.000 UL\nLT1\nLT1\n3136 3117
      M\n1.000 UL\nLT1\nLT1\n3214 3062 M\n1.000 UL\nLT1\nLT1\n3292 2985
      M\n1.000 UL\nLT1\nLT1\n3370 2880 M\n1.000 UL\nLT1\nLT1\n3448 2735
      M\n1.000 UL\nLT1\nLT1\n1229 3407 M\n1.000 UL\nLT1\nLT1\n1307 3504
      M\n1.000 UL\nLT1\nLT1\n1386 3563 M\n1.000 UL\nLT1\nLT1\n1464 3595
      M\n1.000 UL\nLT1\nLT1\n1542 3606 M\n1.000 UL\nLT1\nLT1\n1620 3604
      M\n1.000 UL\nLT1\nLT1\n1698 3592 M\n1.000 UL\nLT1\nLT1\n1776 3574
      M\n1.000 UL\nLT1\nLT1\n1854 3552 M\n1.000 UL\nLT1\nLT1\n1932 3529
      M\n1.000 UL\nLT1\nLT1\n2010 3505 M\n1.000 UL\nLT1\nLT1\n2088 3480
      M\n1.000 UL\nLT1\nLT1\n2166 3457 M\n1.000 UL\nLT1\nLT1\n2245 3433
      M\n1.000 UL\nLT1\nLT1\n2323 3410 M\n1.000 UL\nLT1\nLT1\n2401 3388
      M\n1.000 UL\nLT1\nLT1\n2479 3367 M\n1.000 UL\nLT1\nLT1\n2556 3346
      M\n1.000 UL\nLT1\nLT1\n2634 3326 M\n1.000 UL\nLT1\nLT1\n2712 3306
      M\n1.000 UL\nLT1\nLT1\n2790 3286 M\n1.000 UL\nLT1\nLT1\n2868 3266
      M\n1.000 UL\nLT1\nLT1\n2946 3243 M\n1.000 UL\nLT1\nLT1\n3024 3217
      M\n1.000 UL\nLT1\nLT1\n3103 3185 M\n1.000 UL\nLT1\nLT1\n3181 3143
      M\n1.000 UL\nLT1\nLT1\n3259 3087 M\n1.000 UL\nLT1\nLT1\n3337 3012
      M\n1.000 UL\nLT1\nLT1\n3415 2908 M\n1.000 UL\nLT1\nLT1\n3493 2767
      M\n1.000 UL\nLT1\nLT1\n1274 3438 M\n1.000 UL\nLT1\nLT1\n1353 3533
      M\n1.000 UL\nLT1\nLT1\n1431 3591 M\n1.000 UL\nLT1\nLT1\n1509 3622
      M\n1.000 UL\nLT1\nLT1\n1587 3634 M\n1.000 UL\nLT1\nLT1\n1665 3632
      M\n1.000 UL\nLT1\nLT1\n1743 3621 M\n1.000 UL\nLT1\nLT1\n1821 3605
      M\n1.000 UL\nLT1\nLT1\n1899 3585 M\n1.000 UL\nLT1\nLT1\n1977 3563
      M\n1.000 UL\nLT1\nLT1\n2055 3540 M\n1.000 UL\nLT1\nLT1\n2133 3517
      M\n1.000 UL\nLT1\nLT1\n2212 3494 M\n1.000 UL\nLT1\nLT1\n2290 3471
      M\n1.000 UL\nLT1\nLT1\n2368 3449 M\n1.000 UL\nLT1\nLT1\n2446 3427
      M\n1.000 UL\nLT1\nLT1\n2523 3405 M\n1.000 UL\nLT1\nLT1\n2601 3384
      M\n1.000 UL\nLT1\nLT1\n2679 3362 M\n1.000 UL\nLT1\nLT1\n2757 3341
      M\n1.000 UL\nLT1\nLT1\n2835 3320 M\n1.000 UL\nLT1\nLT1\n2913 3298
      M\n1.000 UL\nLT1\nLT1\n2991 3274 M\n1.000 UL\nLT1\nLT1\n3070 3246
      M\n1.000 UL\nLT1\nLT1\n3148 3213 M\n1.000 UL\nLT1\nLT1\n3226 3171
      M\n1.000 UL\nLT1\nLT1\n3304 3115 M\n1.000 UL\nLT1\nLT1\n3382 3039
      M\n1.000 UL\nLT1\nLT1\n3460 2937 M\n1.000 UL\nLT1\nLT1\n3538 2798
      M\n1.000 UL\nLT1\nLT1\n1320 3471 M\n1.000 UL\nLT1\nLT1\n1398 3564
      M\n1.000 UL\nLT1\nLT1\n1476 3621 M\n1.000 UL\nLT1\nLT1\n1554 3652
      M\n1.000 UL\nLT1\nLT1\n1632 3664 M\n1.000 UL\nLT1\nLT1\n1710 3663
      M\n1.000 UL\nLT1\nLT1\n1788 3653 M\n1.000 UL\nLT1\nLT1\n1866 3638
      M\n1.000 UL\nLT1\nLT1\n1944 3619 M\n1.000 UL\nLT1\nLT1\n2022 3598
      M\n1.000 UL\nLT1\nLT1\n2100 3576 M\n1.000 UL\nLT1\nLT1\n2179 3554
      M\n1.000 UL\nLT1\nLT1\n2257 3531 M\n1.000 UL\nLT1\nLT1\n2335 3509
      M\n1.000 UL\nLT1\nLT1\n2413 3487 M\n1.000 UL\nLT1\nLT1\n2491 3465
      M\n1.000 UL\nLT1\nLT1\n2568 3443 M\n1.000 UL\nLT1\nLT1\n2646 3421
      M\n1.000 UL\nLT1\nLT1\n2724 3399 M\n1.000 UL\nLT1\nLT1\n2802 3377
      M\n1.000 UL\nLT1\nLT1\n2880 3355 M\n1.000 UL\nLT1\nLT1\n2958 3332
      M\n1.000 UL\nLT1\nLT1\n3037 3307 M\n1.000 UL\nLT1\nLT1\n3115 3279
      M\n1.000 UL\nLT1\nLT1\n3193 3244 M\n1.000 UL\nLT1\nLT1\n3271 3201
      M\n1.000 UL\nLT1\nLT1\n3349 3145 M\n1.000 UL\nLT1\nLT1\n3427 3070
      M\n1.000 UL\nLT1\nLT1\n3505 2968 M\n1.000 UL\nLT1\nLT1\n3583 2831
      M\n1.000 UL\nLT1\nLT1\n1365 3506 M\n1.000 UL\nLT1\nLT1\n1443 3598
      M\n1.000 UL\nLT1\nLT1\n1521 3655 M\n1.000 UL\nLT1\nLT1\n1599 3686
      M\n1.000 UL\nLT1\nLT1\n1677 3699 M\n1.000 UL\nLT1\nLT1\n1755 3698
      M\n1.000 UL\nLT1\nLT1\n1833 3688 M\n1.000 UL\nLT1\nLT1\n1911 3673
      M\n1.000 UL\nLT1\nLT1\n1989 3655 M\n1.000 UL\nLT1\nLT1\n2067 3634
      M\n1.000 UL\nLT1\nLT1\n2146 3613 M\n1.000 UL\nLT1\nLT1\n2224 3591
      M\n1.000 UL\nLT1\nLT1\n2302 3569 M\n1.000 UL\nLT1\nLT1\n2380 3547
      M\n1.000 UL\nLT1\nLT1\n2458 3525 M\n1.000 UL\nLT1\nLT1\n2535 3503
      M\n1.000 UL\nLT1\nLT1\n2613 3481 M\n1.000 UL\nLT1\nLT1\n2691 3459
      M\n1.000 UL\nLT1\nLT1\n2769 3437 M\n1.000 UL\nLT1\nLT1\n2847 3415
      M\n1.000 UL\nLT1\nLT1\n2925 3392 M\n1.000 UL\nLT1\nLT1\n3004 3368
      M\n1.000 UL\nLT1\nLT1\n3082 3343 M\n1.000 UL\nLT1\nLT1\n3160 3314
      M\n1.000 UL\nLT1\nLT1\n3238 3279 M\n1.000 UL\nLT1\nLT1\n3316 3236
      M\n1.000 UL\nLT1\nLT1\n3394 3179 M\n1.000 UL\nLT1\nLT1\n3472 3104
      M\n1.000 UL\nLT1\nLT1\n3550 3003 M\n1.000 UL\nLT1\nLT1\n3628 2866
      M\n1.000 UL\nLT1\nLT1\n1410 3544 M\n1.000 UL\nLT1\nLT1\n1488 3637
      M\n1.000 UL\nLT1\nLT1\n1566 3694 M\n1.000 UL\nLT1\nLT1\n1644 3725
      M\n1.000 UL\nLT1\nLT1\n1722 3737 M\n1.000 UL\nLT1\nLT1\n1800 3736
      M\n1.000 UL\nLT1\nLT1\n1878 3727 M\n1.000 UL\nLT1\nLT1\n1956 3712
      M\n1.000 UL\nLT1\nLT1\n2034 3693 M\n1.000 UL\nLT1\nLT1\n2113 3673
      M\n1.000 UL\nLT1\nLT1\n2191 3651 M\n1.000 UL\nLT1\nLT1\n2269 3629
      M\n1.000 UL\nLT1\nLT1\n2347 3607 M\n1.000 UL\nLT1\nLT1\n2425 3585
      M\n1.000 UL\nLT1\nLT1\n2503 3563 M\n1.000 UL\nLT1\nLT1\n2580 3541
      M\n1.000 UL\nLT1\nLT1\n2658 3519 M\n1.000 UL\nLT1\nLT1\n2736 3497
      M\n1.000 UL\nLT1\nLT1\n2814 3475 M\n1.000 UL\nLT1\nLT1\n2892 3453
      M\n1.000 UL\nLT1\nLT1\n2971 3430 M\n1.000 UL\nLT1\nLT1\n3049 3406
      M\n1.000 UL\nLT1\nLT1\n3127 3381 M\n1.000 UL\nLT1\nLT1\n3205 3352
      M\n1.000 UL\nLT1\nLT1\n3283 3317 M\n1.000 UL\nLT1\nLT1\n3361 3274
      M\n1.000 UL\nLT1\nLT1\n3439 3217 M\n1.000 UL\nLT1\nLT1\n3517 3142
      M\n1.000 UL\nLT1\nLT1\n3595 3041 M\n1.000 UL\nLT1\nLT1\n3673 2905
      M\n1.000 UL\nLT1\nLT1\n1455 3585 M\n1.000 UL\nLT1\nLT1\n1533 3678
      M\n1.000 UL\nLT1\nLT1\n1611 3736 M\n1.000 UL\nLT1\nLT1\n1689 3767
      M\n1.000 UL\nLT1\nLT1\n1767 3779 M\n1.000 UL\nLT1\nLT1\n1845 3778
      M\n1.000 UL\nLT1\nLT1\n1923 3768 M\n1.000 UL\nLT1\nLT1\n2001 3752
      M\n1.000 UL\nLT1\nLT1\n2080 3733 M\n1.000 UL\nLT1\nLT1\n2158 3712
      M\n1.000 UL\nLT1\nLT1\n2236 3691 M\n1.000 UL\nLT1\nLT1\n2314 3668
      M\n1.000 UL\nLT1\nLT1\n2392 3646 M\n1.000 UL\nLT1\nLT1\n2470 3624
      M\n1.000 UL\nLT1\nLT1\n2547 3601 M\n1.000 UL\nLT1\nLT1\n2625 3579
      M\n1.000 UL\nLT1\nLT1\n2703 3557 M\n1.000 UL\nLT1\nLT1\n2781 3536
      M\n1.000 UL\nLT1\nLT1\n2859 3514 M\n1.000 UL\nLT1\nLT1\n2938 3492
      M\n1.000 UL\nLT1\nLT1\n3016 3470 M\n1.000 UL\nLT1\nLT1\n3094 3447
      M\n1.000 UL\nLT1\nLT1\n3172 3422 M\n1.000 UL\nLT1\nLT1\n3250 3393
      M\n1.000 UL\nLT1\nLT1\n3328 3359 M\n1.000 UL\nLT1\nLT1\n3406 3316
      M\n1.000 UL\nLT1\nLT1\n3484 3260 M\n1.000 UL\nLT1\nLT1\n3562 3185
      M\n1.000 UL\nLT1\nLT1\n3640 3083 M\n1.000 UL\nLT1\nLT1\n3718 2946
      M\n1.000 UL\nLT1\nLT1\n1500 3629 M\n1.000 UL\nLT1\nLT1\n1578 3724
      M\n1.000 UL\nLT1\nLT1\n1656 3782 M\n1.000 UL\nLT1\nLT1\n1734 3813
      M\n1.000 UL\nLT1\nLT1\n1812 3825 M\n1.000 UL\nLT1\nLT1\n1890 3823
      M\n1.000 UL\nLT1\nLT1\n1968 3812 M\n1.000 UL\nLT1\nLT1\n2047 3796
      M\n1.000 UL\nLT1\nLT1\n2125 3776 M\n1.000 UL\nLT1\nLT1\n2203 3754
      M\n1.000 UL\nLT1\nLT1\n2281 3731 M\n1.000 UL\nLT1\nLT1\n2359 3708
      M\n1.000 UL\nLT1\nLT1\n2437 3685 M\n1.000 UL\nLT1\nLT1\n2515 3662
      M\n1.000 UL\nLT1\nLT1\n2592 3640 M\n1.000 UL\nLT1\nLT1\n2670 3618
      M\n1.000 UL\nLT1\nLT1\n2748 3596 M\n1.000 UL\nLT1\nLT1\n2826 3574
      M\n1.000 UL\nLT1\nLT1\n2905 3553 M\n1.000 UL\nLT1\nLT1\n2983 3532
      M\n1.000 UL\nLT1\nLT1\n3061 3511 M\n1.000 UL\nLT1\nLT1\n3139 3489
      M\n1.000 UL\nLT1\nLT1\n3217 3465 M\n1.000 UL\nLT1\nLT1\n3295 3437
      M\n1.000 UL\nLT1\nLT1\n3373 3404 M\n1.000 UL\nLT1\nLT1\n3451 3362
      M\n1.000 UL\nLT1\nLT1\n3529 3306 M\n1.000 UL\nLT1\nLT1\n3607 3230
      M\n1.000 UL\nLT1\nLT1\n3685 3128 M\n1.000 UL\nLT1\nLT1\n3764 2989
      M\n1.000 UL\nLT1\nLT1\n1545 3674 M\n1.000 UL\nLT1\nLT1\n1623 3771
      M\n1.000 UL\nLT1\nLT1\n1701 3830 M\n1.000 UL\nLT1\nLT1\n1779 3862
      M\n1.000 UL\nLT1\nLT1\n1857 3873 M\n1.000 UL\nLT1\nLT1\n1935 3871
      M\n1.000 UL\nLT1\nLT1\n2014 3859 M\n1.000 UL\nLT1\nLT1\n2092 3841
      M\n1.000 UL\nLT1\nLT1\n2170 3820 M\n1.000 UL\nLT1\nLT1\n2248 3796
      M\n1.000 UL\nLT1\nLT1\n2326 3772 M\n1.000 UL\nLT1\nLT1\n2404 3748
      M\n1.000 UL\nLT1\nLT1\n2482 3724 M\n1.000 UL\nLT1\nLT1\n2559 3701
      M\n1.000 UL\nLT1\nLT1\n2637 3678 M\n1.000 UL\nLT1\nLT1\n2715 3656
      M\n1.000 UL\nLT1\nLT1\n2793 3634 M\n1.000 UL\nLT1\nLT1\n2872 3614
      M\n1.000 UL\nLT1\nLT1\n2950 3593 M\n1.000 UL\nLT1\nLT1\n3028 3574
      M\n1.000 UL\nLT1\nLT1\n3106 3554 M\n1.000 UL\nLT1\nLT1\n3184 3533
      M\n1.000 UL\nLT1\nLT1\n3262 3510 M\n1.000 UL\nLT1\nLT1\n3340 3484
      M\n1.000 UL\nLT1\nLT1\n3418 3452 M\n1.000 UL\nLT1\nLT1\n3496 3410
      M\n1.000 UL\nLT1\nLT1\n3574 3355 M\n1.000 UL\nLT1\nLT1\n3652 3279
      M\n1.000 UL\nLT1\nLT1\n3731 3176 M\n1.000 UL\nLT1\nLT1\n3809 3035
      M\n1.000 UL\nLT1\nLT1\n1590 3719 M\n1.000 UL\nLT1\nLT1\n1668 3819
      M\n1.000 UL\nLT1\nLT1\n1746 3880 M\n1.000 UL\nLT1\nLT1\n1824 3913
      M\n1.000 UL\nLT1\nLT1\n1902 3924 M\n1.000 UL\nLT1\nLT1\n1981 3921
      M\n1.000 UL\nLT1\nLT1\n2059 3908 M\n1.000 UL\nLT1\nLT1\n2137 3888
      M\n1.000 UL\nLT1\nLT1\n2215 3865 M\n1.000 UL\nLT1\nLT1\n2293 3840
      M\n1.000 UL\nLT1\nLT1\n2371 3814 M\n1.000 UL\nLT1\nLT1\n2449 3788
      M\n1.000 UL\nLT1\nLT1\n2526 3763 M\n1.000 UL\nLT1\nLT1\n2604 3739
      M\n1.000 UL\nLT1\nLT1\n2682 3716 M\n1.000 UL\nLT1\nLT1\n2760 3694
      M\n1.000 UL\nLT1\nLT1\n2839 3673 M\n1.000 UL\nLT1\nLT1\n2917 3653
      M\n1.000 UL\nLT1\nLT1\n2995 3634 M\n1.000 UL\nLT1\nLT1\n3073 3616
      M\n1.000 UL\nLT1\nLT1\n3151 3597 M\n1.000 UL\nLT1\nLT1\n3229 3578
      M\n1.000 UL\nLT1\nLT1\n3307 3558 M\n1.000 UL\nLT1\nLT1\n3385 3533
      M\n1.000 UL\nLT1\nLT1\n3463 3502 M\n1.000 UL\nLT1\nLT1\n3541 3461
      M\n1.000 UL\nLT1\nLT1\n3619 3406 M\n1.000 UL\nLT1\nLT1\n3698 3329
      M\n1.000 UL\nLT1\nLT1\n3776 3224 M\n1.000 UL\nLT1\nLT1\n3854 3079
      M\n1.000 UL\nLT1\nLT1\n1635 3761 M\n1.000 UL\nLT1\nLT1\n1713 3866
      M\n1.000 UL\nLT1\nLT1\n1791 3930 M\n1.000 UL\nLT1\nLT1\n1869 3964
      M\n1.000 UL\nLT1\nLT1\n1948 3976 M\n1.000 UL\nLT1\nLT1\n2026 3972
      M\n1.000 UL\nLT1\nLT1\n2104 3957 M\n1.000 UL\nLT1\nLT1\n2182 3936
      M\n1.000 UL\nLT1\nLT1\n2260 3911 M\n1.000 UL\nLT1\nLT1\n2338 3884
      M\n1.000 UL\nLT1\nLT1\n2416 3856 M\n1.000 UL\nLT1\nLT1\n2494 3829
      M\n1.000 UL\nLT1\nLT1\n2571 3802 M\n1.000 UL\nLT1\nLT1\n2649 3777
      M\n1.000 UL\nLT1\nLT1\n2727 3753 M\n1.000 UL\nLT1\nLT1\n2806 3731
      M\n1.000 UL\nLT1\nLT1\n2884 3711 M\n1.000 UL\nLT1\nLT1\n2962 3692
      M\n1.000 UL\nLT1\nLT1\n3040 3674 M\n1.000 UL\nLT1\nLT1\n3118 3658
      M\n1.000 UL\nLT1\nLT1\n3196 3641 M\n1.000 UL\nLT1\nLT1\n3274 3624
      M\n1.000 UL\nLT1\nLT1\n3352 3605 M\n1.000 UL\nLT1\nLT1\n3430 3583
      M\n1.000 UL\nLT1\nLT1\n3508 3553 M\n1.000 UL\nLT1\nLT1\n3586 3513
      M\n1.000 UL\nLT1\nLT1\n3665 3457 M\n1.000 UL\nLT1\nLT1\n3743 3379
      M\n1.000 UL\nLT1\nLT1\n3821 3270 M\n1.000 UL\nLT1\nLT1\n3899 3121
      M\n1.000 UL\nLT1\nLT1\n1680 3796 M\n1.000 UL\nLT1\nLT1\n1758 3908
      M\n1.000 UL\nLT1\nLT1\n1836 3977 M\n1.000 UL\nLT1\nLT1\n1915 4013
      M\n1.000 UL\nLT1\nLT1\n1993 4026 M\n1.000 UL\nLT1\nLT1\n2071 4022
      M\n1.000 UL\nLT1\nLT1\n2149 4006 M\n1.000 UL\nLT1\nLT1\n2227 3984
      M\n1.000 UL\nLT1\nLT1\n2305 3956 M\n1.000 UL\nLT1\nLT1\n2383 3927
      M\n1.000 UL\nLT1\nLT1\n2461 3897 M\n1.000 UL\nLT1\nLT1\n2538 3868
      M\n1.000 UL\nLT1\nLT1\n2616 3840 M\n1.000 UL\nLT1\nLT1\n2694 3814
      M\n1.000 UL\nLT1\nLT1\n2773 3790 M\n1.000 UL\nLT1\nLT1\n2851 3768
      M\n1.000 UL\nLT1\nLT1\n2929 3748 M\n1.000 UL\nLT1\nLT1\n3007 3730
      M\n1.000 UL\nLT1\nLT1\n3085 3714 M\n1.000 UL\nLT1\nLT1\n3163 3699
      M\n1.000 UL\nLT1\nLT1\n3241 3685 M\n1.000 UL\nLT1\nLT1\n3319 3670
      M\n1.000 UL\nLT1\nLT1\n3397 3653 M\n1.000 UL\nLT1\nLT1\n3475 3632
      M\n1.000 UL\nLT1\nLT1\n3553 3603 M\n1.000 UL\nLT1\nLT1\n3632 3563
      M\n1.000 UL\nLT1\nLT1\n3710 3506 M\n1.000 UL\nLT1\nLT1\n3788 3426
      M\n1.000 UL\nLT1\nLT1\n3866 3313 M\n1.000 UL\nLT1\nLT1\n3944 3157
      M\n1.000 UL\nLT1\nLT1\n1725 3822 M\n1.000 UL\nLT1\nLT1\n1803 3943
      M\n1.000 UL\nLT1\nLT1\n1882 4017 M\n1.000 UL\nLT1\nLT1\n1960 4058
      M\n1.000 UL\nLT1\nLT1\n2038 4072 M\n1.000 UL\nLT1\nLT1\n2116 4069
      M\n1.000 UL\nLT1\nLT1\n2194 4053 M\n1.000 UL\nLT1\nLT1\n2272 4029
      M\n1.000 UL\nLT1\nLT1\n2350 4000 M\n1.000 UL\nLT1\nLT1\n2428 3968
      M\n1.000 UL\nLT1\nLT1\n2506 3937 M\n1.000 UL\nLT1\nLT1\n2583 3906
      M\n1.000 UL\nLT1\nLT1\n2661 3876 M\n1.000 UL\nLT1\nLT1\n2740 3849
      M\n1.000 UL\nLT1\nLT1\n2818 3825 M\n1.000 UL\nLT1\nLT1\n2896 3803
      M\n1.000 UL\nLT1\nLT1\n2974 3783 M\n1.000 UL\nLT1\nLT1\n3052 3766
      M\n1.000 UL\nLT1\nLT1\n3130 3751 M\n1.000 UL\nLT1\nLT1\n3208 3738
      M\n1.000 UL\nLT1\nLT1\n3286 3726 M\n1.000 UL\nLT1\nLT1\n3364 3713
      M\n1.000 UL\nLT1\nLT1\n3442 3698 M\n1.000 UL\nLT1\nLT1\n3520 3678
      M\n1.000 UL\nLT1\nLT1\n3599 3650 M\n1.000 UL\nLT1\nLT1\n3677 3609
      M\n1.000 UL\nLT1\nLT1\n3755 3550 M\n1.000 UL\nLT1\nLT1\n3833 3466
      M\n1.000 UL\nLT1\nLT1\n3911 3347 M\n1.000 UL\nLT1\nLT1\n3989 3183
      M\n1.000 UL\nLT1\nLT1\n1770 3832 M\n1.000 UL\nLT1\nLT1\n1848 3964
      M\n1.000 UL\nLT1\nLT1\n1927 4047 M\n1.000 UL\nLT1\nLT1\n2005 4093
      M\n1.000 UL\nLT1\nLT1\n2083 4111 M\n1.000 UL\nLT1\nLT1\n2161 4109
      M\n1.000 UL\nLT1\nLT1\n2239 4094 M\n1.000 UL\nLT1\nLT1\n2317 4069
      M\n1.000 UL\nLT1\nLT1\n2395 4039 M\n1.000 UL\nLT1\nLT1\n2473 4006
      M\n1.000 UL\nLT1\nLT1\n2550 3972 M\n1.000 UL\nLT1\nLT1\n2628 3940
      M\n1.000 UL\nLT1\nLT1\n2707 3909 M\n1.000 UL\nLT1\nLT1\n2785 3881
      M\n1.000 UL\nLT1\nLT1\n2863 3856 M\n1.000 UL\nLT1\nLT1\n2941 3834
      M\n1.000 UL\nLT1\nLT1\n3019 3815 M\n1.000 UL\nLT1\nLT1\n3097 3799
      M\n1.000 UL\nLT1\nLT1\n3175 3786 M\n1.000 UL\nLT1\nLT1\n3253 3774
      M\n1.000 UL\nLT1\nLT1\n3331 3763 M\n1.000 UL\nLT1\nLT1\n3409 3752
      M\n1.000 UL\nLT1\nLT1\n3487 3738 M\n1.000 UL\nLT1\nLT1\n3566 3719
      M\n1.000 UL\nLT1\nLT1\n3644 3690 M\n1.000 UL\nLT1\nLT1\n3722 3648
      M\n1.000 UL\nLT1\nLT1\n3800 3586 M\n1.000 UL\nLT1\nLT1\n3878 3496
      M\n1.000 UL\nLT1\nLT1\n3956 3369 M\n1.000 UL\nLT1\nLT1\n4034 3193
      M\n1.000 UL\nLT1\nLT1\n1815 3821 M\n1.000 UL\nLT1\nLT1\n1894 3968
      M\n1.000 UL\nLT1\nLT1\n1972 4061 M\n1.000 UL\nLT1\nLT1\n2050 4115
      M\n1.000 UL\nLT1\nLT1\n2128 4138 M\n1.000 UL\nLT1\nLT1\n2206 4140
      M\n1.000 UL\nLT1\nLT1\n2284 4125 M\n1.000 UL\nLT1\nLT1\n2362 4101
      M\n1.000 UL\nLT1\nLT1\n2440 4070 M\n1.000 UL\nLT1\nLT1\n2518 4036
      M\n1.000 UL\nLT1\nLT1\n2595 4002 M\n1.000 UL\nLT1\nLT1\n2673 3968
      M\n1.000 UL\nLT1\nLT1\n2752 3936 M\n1.000 UL\nLT1\nLT1\n2830 3907
      M\n1.000 UL\nLT1\nLT1\n2908 3881 M\n1.000 UL\nLT1\nLT1\n2986 3859
      M\n1.000 UL\nLT1\nLT1\n3064 3841 M\n1.000 UL\nLT1\nLT1\n3142 3826
      M\n1.000 UL\nLT1\nLT1\n3220 3814 M\n1.000 UL\nLT1\nLT1\n3298 3803
      M\n1.000 UL\nLT1\nLT1\n3376 3794 M\n1.000 UL\nLT1\nLT1\n3454 3784
      M\n1.000 UL\nLT1\nLT1\n3533 3770 M\n1.000 UL\nLT1\nLT1\n3611 3751
      M\n1.000 UL\nLT1\nLT1\n3689 3721 M\n1.000 UL\nLT1\nLT1\n3767 3675
      M\n1.000 UL\nLT1\nLT1\n3845 3608 M\n1.000 UL\nLT1\nLT1\n3923 3510
      M\n1.000 UL\nLT1\nLT1\n4001 3372 M\n1.000 UL\nLT1\nLT1\n4079 3181
      M\n1.000 UL\nLT1\nLT1\n1861 3780 M\n1.000 UL\nLT1\nLT1\n1939 3945
      M\n1.000 UL\nLT1\nLT1\n2017 4053 M\n1.000 UL\nLT1\nLT1\n2095 4117
      M\n1.000 UL\nLT1\nLT1\n2173 4148 M\n1.000 UL\nLT1\nLT1\n2251 4154
      M\n1.000 UL\nLT1\nLT1\n2329 4143 M\n1.000 UL\nLT1\nLT1\n2407 4121
      M\n1.000 UL\nLT1\nLT1\n2485 4091 M\n1.000 UL\nLT1\nLT1\n2562 4056
      M\n1.000 UL\nLT1\nLT1\n2640 4021 M\n1.000 UL\nLT1\nLT1\n2719 3986
      M\n1.000 UL\nLT1\nLT1\n2797 3954 M\n1.000 UL\nLT1\nLT1\n2875 3924
      M\n1.000 UL\nLT1\nLT1\n2953 3898 M\n1.000 UL\nLT1\nLT1\n3031 3876
      M\n1.000 UL\nLT1\nLT1\n3109 3858 M\n1.000 UL\nLT1\nLT1\n3187 3844
      M\n1.000 UL\nLT1\nLT1\n3265 3832 M\n1.000 UL\nLT1\nLT1\n3343 3823
      M\n1.000 UL\nLT1\nLT1\n3421 3814 M\n1.000 UL\nLT1\nLT1\n3500 3804
      M\n1.000 UL\nLT1\nLT1\n3578 3790 M\n1.000 UL\nLT1\nLT1\n3656 3769
      M\n1.000 UL\nLT1\nLT1\n3734 3735 M\n1.000 UL\nLT1\nLT1\n3812 3685
      M\n1.000 UL\nLT1\nLT1\n3890 3610 M\n1.000 UL\nLT1\nLT1\n3968 3502
      M\n1.000 UL\nLT1\nLT1\n4046 3349 M\n1.000 UL\nLT1\nLT1\n4124 3140
      M\n1.000 UL\nLT1\nLT1\n1906 3699 M\n1.000 UL\nLT1\nLT1\n1984 3887
      M\n1.000 UL\nLT1\nLT1\n2062 4014 M\n1.000 UL\nLT1\nLT1\n2140 4092
      M\n1.000 UL\nLT1\nLT1\n2218 4133 M\n1.000 UL\nLT1\nLT1\n2296 4147
      M\n1.000 UL\nLT1\nLT1\n2374 4141 M\n1.000 UL\nLT1\nLT1\n2452 4122
      M\n1.000 UL\nLT1\nLT1\n2529 4094 M\n1.000 UL\nLT1\nLT1\n2607 4061
      M\n1.000 UL\nLT1\nLT1\n2686 4026 M\n1.000 UL\nLT1\nLT1\n2764 3991
      M\n1.000 UL\nLT1\nLT1\n2842 3958 M\n1.000 UL\nLT1\nLT1\n2920 3928
      M\n1.000 UL\nLT1\nLT1\n2998 3902 M\n1.000 UL\nLT1\nLT1\n3076 3880
      M\n1.000 UL\nLT1\nLT1\n3154 3862 M\n1.000 UL\nLT1\nLT1\n3232 3848
      M\n1.000 UL\nLT1\nLT1\n3310 3837 M\n1.000 UL\nLT1\nLT1\n3388 3827
      M\n1.000 UL\nLT1\nLT1\n3466 3818 M\n1.000 UL\nLT1\nLT1\n3545 3807
      M\n1.000 UL\nLT1\nLT1\n3623 3791 M\n1.000 UL\nLT1\nLT1\n3701 3767
      M\n1.000 UL\nLT1\nLT1\n3779 3728 M\n1.000 UL\nLT1\nLT1\n3857 3670
      M\n1.000 UL\nLT1\nLT1\n3935 3585 M\n1.000 UL\nLT1\nLT1\n4013 3462
      M\n1.000 UL\nLT1\nLT1\n4091 3292 M\n1.000 UL\nLT1\nLT1\n4169 3060
      M\n1.000 UL\nLT1\nLT1\n1951 3567 M\n1.000 UL\nLT1\nLT1\n2029 3784
      M\n1.000 UL\nLT1\nLT1\n2107 3934 M\n1.000 UL\nLT1\nLT1\n2185 4030
      M\n1.000 UL\nLT1\nLT1\n2263 4085 M\n1.000 UL\nLT1\nLT1\n2341 4110
      M\n1.000 UL\nLT1\nLT1\n2419 4112 M\n1.000 UL\nLT1\nLT1\n2497 4098
      M\n1.000 UL\nLT1\nLT1\n2574 4074 M\n1.000 UL\nLT1\nLT1\n2653 4043
      M\n1.000 UL\nLT1\nLT1\n2731 4010 M\n1.000 UL\nLT1\nLT1\n2809 3976
      M\n1.000 UL\nLT1\nLT1\n2887 3943 M\n1.000 UL\nLT1\nLT1\n2965 3913
      M\n1.000 UL\nLT1\nLT1\n3043 3887 M\n1.000 UL\nLT1\nLT1\n3121 3865
      M\n1.000 UL\nLT1\nLT1\n3199 3847 M\n1.000 UL\nLT1\nLT1\n3277 3833
      M\n1.000 UL\nLT1\nLT1\n3355 3821 M\n1.000 UL\nLT1\nLT1\n3433 3811
      M\n1.000 UL\nLT1\nLT1\n3512 3801 M\n1.000 UL\nLT1\nLT1\n3590 3787
      M\n1.000 UL\nLT1\nLT1\n3668 3767 M\n1.000 UL\nLT1\nLT1\n3746 3737
      M\n1.000 UL\nLT1\nLT1\n3824 3691 M\n1.000 UL\nLT1\nLT1\n3902 3622
      M\n1.000 UL\nLT1\nLT1\n3980 3523 M\n1.000 UL\nLT1\nLT1\n4058 3382
      M\n1.000 UL\nLT1\nLT1\n4136 3189 M\n1.000 UL\nLT1\nLT1\n4214 2928
      M\n1.000 UL\nLT1\nLT1\n1996 3371 M\n1.000 UL\nLT1\nLT1\n2074 3623
      M\n1.000 UL\nLT1\nLT1\n2152 3800 M\n1.000 UL\nLT1\nLT1\n2230 3920
      M\n1.000 UL\nLT1\nLT1\n2308 3993 M\n1.000 UL\nLT1\nLT1\n2386 4032
      M\n1.000 UL\nLT1\nLT1\n2464 4045 M\n1.000 UL\nLT1\nLT1\n2541 4039
      M\n1.000 UL\nLT1\nLT1\n2620 4021 M\n1.000 UL\nLT1\nLT1\n2698 3995
      M\n1.000 UL\nLT1\nLT1\n2776 3964 M\n1.000 UL\nLT1\nLT1\n2854 3932
      M\n1.000 UL\nLT1\nLT1\n2932 3901 M\n1.000 UL\nLT1\nLT1\n3010 3872
      M\n1.000 UL\nLT1\nLT1\n3088 3846 M\n1.000 UL\nLT1\nLT1\n3166 3824
      M\n1.000 UL\nLT1\nLT1\n3244 3806 M\n1.000 UL\nLT1\nLT1\n3322 3791
      M\n1.000 UL\nLT1\nLT1\n3400 3778 M\n1.000 UL\nLT1\nLT1\n3479 3766
      M\n1.000 UL\nLT1\nLT1\n3557 3752 M\n1.000 UL\nLT1\nLT1\n3635 3734
      M\n1.000 UL\nLT1\nLT1\n3713 3709 M\n1.000 UL\nLT1\nLT1\n3791 3670
      M\n1.000 UL\nLT1\nLT1\n3869 3613 M\n1.000 UL\nLT1\nLT1\n3947 3530
      M\n1.000 UL\nLT1\nLT1\n4025 3412 M\n1.000 UL\nLT1\nLT1\n4103 3249
      M\n1.000 UL\nLT1\nLT1\n4181 3027 M\n1.000 UL\nLT1\nLT1\n4259 2732
      M\n1.000 UL\nLT1\nLT1\n2041 3094 M\n1.000 UL\nLT1\nLT1\n2119 3387
      M\n1.000 UL\nLT1\nLT1\n2197 3600 M\n1.000 UL\nLT1\nLT1\n2275 3747
      M\n1.000 UL\nLT1\nLT1\n2353 3844 M\n1.000 UL\nLT1\nLT1\n2431 3902
      M\n1.000 UL\nLT1\nLT1\n2509 3929 M\n1.000 UL\nLT1\nLT1\n2587 3935
      M\n1.000 UL\nLT1\nLT1\n2665 3926 M\n1.000 UL\nLT1\nLT1\n2743 3906
      M\n1.000 UL\nLT1\nLT1\n2821 3880 M\n1.000 UL\nLT1\nLT1\n2899 3852
      M\n1.000 UL\nLT1\nLT1\n2977 3823 M\n1.000 UL\nLT1\nLT1\n3055 3795
      M\n1.000 UL\nLT1\nLT1\n3133 3770 M\n1.000 UL\nLT1\nLT1\n3211 3748
      M\n1.000 UL\nLT1\nLT1\n3289 3729 M\n1.000 UL\nLT1\nLT1\n3367 3712
      M\n1.000 UL\nLT1\nLT1\n3446 3697 M\n1.000 UL\nLT1\nLT1\n3524 3682
      M\n1.000 UL\nLT1\nLT1\n3602 3663 M\n1.000 UL\nLT1\nLT1\n3680 3639
      M\n1.000 UL\nLT1\nLT1\n3758 3604 M\n1.000 UL\nLT1\nLT1\n3836 3554
      M\n1.000 UL\nLT1\nLT1\n3914 3483 M\n1.000 UL\nLT1\nLT1\n3992 3381
      M\n1.000 UL\nLT1\nLT1\n4070 3240 M\n1.000 UL\nLT1\nLT1\n4148 3048
      M\n1.000 UL\nLT1\nLT1\n4226 2792 M\n1.000 UL\nLT1\nLT1\n4305 2455
      M\n1.000 UL\nLT1\n1.000 UL\nLT2\nLT3\n1569 1074 Pnt\n1486 1092
      Pnt\n1406 1112 Pnt\n1329 1136 Pnt\n1258 1163 Pnt\n1192 1196 Pnt\n1132
      1234 Pnt\n1132 1234 Pnt\n1128 1238 Pnt\n1088 1285 Pnt\n1079 1303
      Pnt\n1065 1353 Pnt\n1065 1358 Pnt\n1078 1405 Pnt\n1101 1449 Pnt\n1135
      1491 Pnt\n1177 1530 Pnt\n1226 1567 Pnt\n1280 1603 Pnt\n1335 1638
      Pnt\n1389 1673 Pnt\n1441 1710 Pnt\n1490 1747 Pnt\n1535 1785 Pnt\n1577
      1824 Pnt\n1615 1864 Pnt\n1650 1905 Pnt\n1685 1946 Pnt\n1722 1987
      Pnt\n1763 2026 Pnt\n1811 2064 Pnt\n1868 2099 Pnt\n1934 2131 Pnt\n2011
      2160 Pnt\n2020 2162 Pnt\n2116 2181 Pnt\n2152 2186 Pnt\n2255 2193
      Pnt\n2265 2193 Pnt\n2361 2187 Pnt\n2452 2175 Pnt\n2537 2159 Pnt\n2616
      2138 Pnt\n2692 2114 Pnt\n2765 2088 Pnt\n2838 2061 Pnt\n2910 2034
      Pnt\n2984 2009 Pnt\n3060 1985 Pnt\n3138 1963 Pnt\n3218 1943 Pnt\n3301
      1924 Pnt\n3384 1906 Pnt\n3468 1889 Pnt\n3551 1871 Pnt\n3631 1851
      Pnt\n3708 1828 Pnt\n3779 1800 Pnt\n3845 1768 Pnt\n3905 1730 Pnt\n3909
      1726 Pnt\n3949 1679 Pnt\n3958 1661 Pnt\n3972 1611 Pnt\n3972 1606
      Pnt\n3959 1559 Pnt\n3936 1514 Pnt\n3902 1473 Pnt\n3860 1434 Pnt\n3811
      1397 Pnt\n3757 1361 Pnt\n3702 1326 Pnt\n3648 1290 Pnt\n3596 1254
      Pnt\n3547 1217 Pnt\n3502 1179 Pnt\n3460 1139 Pnt\n3422 1099 Pnt\n3387
      1058 Pnt\n3352 1017 Pnt\n3315 977 Pnt\n3274 938 Pnt\n3226 900 Pnt\n3169
      865 Pnt\n3103 833 Pnt\n3026 804 Pnt\n3017 802 Pnt\n2921 782 Pnt\n2885
      778 Pnt\n2782 771 Pnt\n2772 771 Pnt\n2676 777 Pnt\n2585 789 Pnt\n2500
      805 Pnt\n2421 826 Pnt\n2345 850 Pnt\n2272 876 Pnt\n2199 903 Pnt\n2127
      929 Pnt\n2053 955 Pnt\n1977 979 Pnt\n1899 1001 Pnt\n1819 1021 Pnt\n1736
      1040 Pnt\n1653 1057 Pnt\n1569 1074 Pnt\nLT4\n2610 870 Pnt\n2585 877
      Pnt\n2575 880 Pnt\n2514 905 Pnt\n2451 940 Pnt\n2391 977 Pnt\n2370 989
      Pnt\n2338 1020 Pnt\n2282 1061 Pnt\n2269 1068 Pnt\n2228 1103 Pnt\n2162
      1136 Pnt\n2084 1158 Pnt\n1993 1169 Pnt\n1911 1170 Pnt\n1892 1171
      Pnt\n1791 1174 Pnt\n1720 1173 Pnt\n1688 1175 Pnt\n1592 1182 Pnt\n1499
      1192 Pnt\n1425 1205 Pnt\n1414 1208 Pnt\n1414 1208 Pnt\n1390 1215
      Pnt\n1338 1232 Pnt\n1276 1267 Pnt\n1228 1311 Pnt\n1227 1314 Pnt\n1223
      1364 Pnt\n1241 1410 Pnt\n1268 1437 Pnt\n1281 1449 Pnt\n1288 1454
      Pnt\n1339 1484 Pnt\n1410 1515 Pnt\n1486 1544 Pnt\n1511 1554 Pnt\n1574
      1570 Pnt\n1658 1597 Pnt\n1673 1604 Pnt\n1744 1624 Pnt\n1811 1656
      Pnt\n1856 1695 Pnt\n1880 1739 Pnt\n1880 1779 Pnt\n1884 1788 Pnt\n1890
      1838 Pnt\n1886 1872 Pnt\n1892 1888 Pnt\n1906 1935 Pnt\n1925 1980
      Pnt\n1953 2017 Pnt\n1958 2022 Pnt\n1973 2034 Pnt\n2007 2059 Pnt\n2080
      2090 Pnt\n2170 2113 Pnt\n2175 2114 Pnt\n2277 2115 Pnt\n2371 2107
      Pnt\n2427 2093 Pnt\n2452 2087 Pnt\n2462 2084 Pnt\n2523 2059 Pnt\n2586
      2024 Pnt\n2646 1987 Pnt\n2667 1975 Pnt\n2699 1944 Pnt\n2755 1903
      Pnt\n2768 1895 Pnt\n2809 1860 Pnt\n2875 1828 Pnt\n2953 1806 Pnt\n3044
      1794 Pnt\n3126 1794 Pnt\n3145 1792 Pnt\n3246 1789 Pnt\n3317 1791
      Pnt\n3349 1788 Pnt\n3445 1781 Pnt\n3538 1772 Pnt\n3612 1759 Pnt\n3623
      1756 Pnt\n3647 1749 Pnt\n3699 1732 Pnt\n3761 1696 Pnt\n3809 1652
      Pnt\n3810 1650 Pnt\n3814 1600 Pnt\n3796 1554 Pnt\n3769 1527 Pnt\n3756
      1514 Pnt\n3749 1510 Pnt\n3698 1480 Pnt\n3627 1449 Pnt\n3551 1419
      Pnt\n3526 1409 Pnt\n3463 1393 Pnt\n3379 1366 Pnt\n3364 1360 Pnt\n3293
      1340 Pnt\n3226 1307 Pnt\n3181 1269 Pnt\n3157 1225 Pnt\n3157 1185
      Pnt\n3153 1175 Pnt\n3147 1126 Pnt\n3151 1091 Pnt\n3145 1076 Pnt\n3131
      1029 Pnt\n3112 983 Pnt\n3084 947 Pnt\n3079 942 Pnt\n3064 930 Pnt\n3030
      905 Pnt\n2957 874 Pnt\n2867 851 Pnt\n2862 850 Pnt\n2760 848 Pnt\n2666
      857 Pnt\n2610 870 Pnt\nLT5\n3017 1214 Pnt\n3050 1183 Pnt\n3063 1150
      Pnt\n3083 1122 Pnt\n3085 1093 Pnt\n3094 1043 Pnt\n3093 1040 Pnt\n3075
      994 Pnt\n3045 951 Pnt\n2998 914 Pnt\n2929 882 Pnt\n2893 873 Pnt\n2817
      863 Pnt\n2776 862 Pnt\n2684 873 Pnt\n2605 893 Pnt\n2536 923 Pnt\n2473
      958 Pnt\n2468 961 Pnt\n2426 1006 Pnt\n2398 1032 Pnt\n2387 1061
      Pnt\n2364 1093 Pnt\n2361 1128 Pnt\n2348 1148 Pnt\n2348 1199 Pnt\n2354
      1211 Pnt\n2348 1250 Pnt\n2366 1296 Pnt\n2394 1332 Pnt\n2316 1354
      Pnt\n2266 1324 Pnt\n2193 1294 Pnt\n2120 1277 Pnt\n2103 1268 Pnt\n2013
      1243 Pnt\n1970 1238 Pnt\n1907 1222 Pnt\n1840 1216 Pnt\n1783 1206
      Pnt\n1723 1205 Pnt\n1622 1200 Pnt\n1614 1201 Pnt\n1521 1210 Pnt\n1433
      1224 Pnt\n1357 1247 Pnt\n1292 1281 Pnt\n1292 1281 Pnt\n1273 1299
      Pnt\n1253 1336 Pnt\n1252 1356 Pnt\n1273 1401 Pnt\n1315 1440 Pnt\n1376
      1473 Pnt\n1448 1504 Pnt\n1454 1507 Pnt\n1546 1527 Pnt\n1599 1541
      Pnt\n1659 1546 Pnt\n1723 1558 Pnt\n1794 1559 Pnt\n1836 1565 Pnt\n1940
      1565 Pnt\n1964 1562 Pnt\n2044 1565 Pnt\n2138 1557 Pnt\n2213 1543
      Pnt\n2258 1581 Pnt\n2196 1606 Pnt\n2134 1641 Pnt\n2099 1677 Pnt\n2082
      1685 Pnt\n2030 1729 Pnt\n2020 1750 Pnt\n1987 1781 Pnt\n1974 1814
      Pnt\n1954 1842 Pnt\n1952 1871 Pnt\n1943 1920 Pnt\n1944 1924 Pnt\n1962
      1970 Pnt\n1992 2013 Pnt\n2039 2050 Pnt\n2108 2082 Pnt\n2144 2091
      Pnt\n2220 2101 Pnt\n2261 2102 Pnt\n2353 2091 Pnt\n2432 2070 Pnt\n2501
      2041 Pnt\n2564 2005 Pnt\n2569 2002 Pnt\n2611 1957 Pnt\n2639 1932
      Pnt\n2650 1902 Pnt\n2673 1871 Pnt\n2676 1836 Pnt\n2689 1816 Pnt\n2689
      1765 Pnt\n2683 1753 Pnt\n2689 1714 Pnt\n2671 1668 Pnt\n2643 1631
      Pnt\n2721 1609 Pnt\n2771 1640 Pnt\n2844 1670 Pnt\n2917 1687 Pnt\n2934
      1695 Pnt\n3024 1721 Pnt\n3067 1726 Pnt\n3130 1742 Pnt\n3197 1748
      Pnt\n3254 1758 Pnt\n3314 1759 Pnt\n3415 1763 Pnt\n3423 1763 Pnt\n3516
      1754 Pnt\n3604 1740 Pnt\n3680 1716 Pnt\n3745 1683 Pnt\n3764 1665
      Pnt\n3784 1628 Pnt\n3785 1608 Pnt\n3764 1563 Pnt\n3722 1524 Pnt\n3661
      1490 Pnt\n3589 1460 Pnt\n3583 1457 Pnt\n3491 1436 Pnt\n3438 1423
      Pnt\n3378 1417 Pnt\n3314 1406 Pnt\n3243 1405 Pnt\n3201 1398 Pnt\n3097
      1398 Pnt\n3073 1402 Pnt\n2993 1398 Pnt\n2899 1407 Pnt\n2824 1421
      Pnt\n2779 1383 Pnt\n2841 1358 Pnt\n2903 1323 Pnt\n2938 1287 Pnt\n2955
      1279 Pnt\n3007 1235 Pnt\n3017 1214 Pnt\nLT6\n3227 1508 Pnt\n3220 1513
      Pnt\n3173 1551 Pnt\n3156 1582 Pnt\n3158 1626 Pnt\n3159 1632 Pnt\n3194
      1673 Pnt\n3237 1693 Pnt\n3259 1706 Pnt\n3359 1728 Pnt\n3383 1729
      Pnt\n3491 1733 Pnt\n3532 1731 Pnt\n3583 1722 Pnt\n3662 1701 Pnt\n3695
      1684 Pnt\n3723 1664 Pnt\n3748 1618 Pnt\n3744 1594 Pnt\n3732 1572
      Pnt\n3687 1534 Pnt\n3650 1514 Pnt\n3617 1503 Pnt\n3521 1479 Pnt\n3498
      1474 Pnt\n3389 1469 Pnt\n3357 1474 Pnt\n3299 1481 Pnt\n3227 1508
      Pnt\n2128 1812 Pnt\n2086 1833 Pnt\n2061 1844 Pnt\n2014 1893 Pnt\n2012
      1905 Pnt\n2006 1958 Pnt\n2010 1977 Pnt\n2027 2003 Pnt\n2071 2041
      Pnt\n2104 2057 Pnt\n2145 2071 Pnt\n2239 2083 Pnt\n2289 2081 Pnt\n2334
      2076 Pnt\n2412 2053 Pnt\n2452 2035 Pnt\n2476 2019 Pnt\n2524 1972
      Pnt\n2535 1961 Pnt\n2544 1908 Pnt\n2534 1892 Pnt\n2519 1864 Pnt\n2464
      1828 Pnt\n2455 1825 Pnt\n2377 1802 Pnt\n2314 1794 Pnt\n2223 1794
      Pnt\n2211 1795 Pnt\n2128 1812 Pnt\n2625 910 Pnt\n2585 928 Pnt\n2561 945
      Pnt\n2513 992 Pnt\n2502 1003 Pnt\n2493 1056 Pnt\n2503 1072 Pnt\n2518
      1100 Pnt\n2573 1136 Pnt\n2582 1139 Pnt\n2660 1162 Pnt\n2723 1170
      Pnt\n2814 1169 Pnt\n2826 1169 Pnt\n2909 1151 Pnt\n2951 1130 Pnt\n2976
      1119 Pnt\n3023 1071 Pnt\n3025 1059 Pnt\n3031 1006 Pnt\n3027 986
      Pnt\n3010 961 Pnt\n2966 923 Pnt\n2933 907 Pnt\n2892 893 Pnt\n2798 880
      Pnt\n2748 882 Pnt\n2703 888 Pnt\n2625 910 Pnt\n1375 1263 Pnt\n1342 1279
      Pnt\n1314 1299 Pnt\n1289 1345 Pnt\n1293 1370 Pnt\n1305 1392 Pnt\n1350
      1430 Pnt\n1387 1449 Pnt\n1420 1461 Pnt\n1516 1485 Pnt\n1539 1490
      Pnt\n1648 1494 Pnt\n1680 1489 Pnt\n1738 1482 Pnt\n1810 1455 Pnt\n1817
      1451 Pnt\n1864 1413 Pnt\n1881 1382 Pnt\n1879 1337 Pnt\n1878 1332
      Pnt\n1843 1291 Pnt\n1800 1270 Pnt\n1778 1258 Pnt\n1678 1235 Pnt\n1654
      1234 Pnt\n1546 1231 Pnt\n1505 1233 Pnt\n1454 1241 Pnt\n1375 1263
      Pnt\n1.000 UL\nLTb\nLTb\n4305 1717 M\n2997 609 L\n1.000
      UL\nLTb\nLTb\n733 1249 M\n2997 609 L\n1.000 UL\nLTb\nLTb\n733 1249
      M\n2041 2356 L\n1.000 UL\nLTb\nLTb\n4305 1717 M\n2041 2356 L\n1.000
      UL\nLTb\nLTb\n733 1249 M\n0 2214 V\n1.000 UL\nLTb\nLTb\n2041 2356 M\n0
      738 V\n1.000 UL\nLTb\nLTb\n4305 1717 M\n0 738 V\n1.000
      UL\nLTb\nLTb\n2997 609 M\n0 739 V\n1.000 UL\nLTb\nLTb\n733 1249 M\n48
      41 V\n1.000 UL\nLTb\n670 1157 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 (-1)]\n] -46.7 MCshow\ngrestore\n1.000
      UL\nLTb\nLTb\n2041 2356 M\n-48 -41 V\n1.000 UL\nLTb\nLTb\n1300 1089
      M\n47 41 V\n1.000 UL\nLTb\n1236 997 M\ngsave 0 setgray\n[ [(Helvetica)
      140.0 0.0 true true 0 (-0.5)]\n] -46.7 MCshow\ngrestore\n1.000
      UL\nLTb\nLTb\n2606 2197 M\n-48 -42 V\n1.000 UL\nLTb\nLTb\n1866 929
      M\n47 41 V\n1.000 UL\nLTb\n1802 837 M\ngsave 0 setgray\n[ [(Helvetica)
      140.0 0.0 true true 0 ( 0)]\n] -46.7 MCshow\ngrestore\n1.000
      UL\nLTb\nLTb\n3172 2037 M\n-47 -42 V\n1.000 UL\nLTb\nLTb\n2432 769
      M\n48 41 V\n1.000 UL\nLTb\n2368 678 M\ngsave 0 setgray\n[ [(Helvetica)
      140.0 0.0 true true 0 ( 0.5)]\n] -46.7 MCshow\ngrestore\n1.000
      UL\nLTb\nLTb\n3738 1877 M\n-47 -41 V\n1.000 UL\nLTb\nLTb\n2997 609
      M\n48 42 V\n1.000 UL\nLTb\n2934 518 M\ngsave 0 setgray\n[ [(Helvetica)
      140.0 0.0 true true 0 ( 1)]\n] -46.7 MCshow\ngrestore\n1.000
      UL\nLTb\nLTb\n4305 1717 M\n-48 -41 V\n1.000 UL\nLTb\nLTb\n2997 609
      M\n-60 18 V\n stroke\n3078 570 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 (-1)]\n] -46.7 MLshow\ngrestore\n1.000
      UL\nLTb\nLTb\n733 1249 M\n61 -18 V\n1.000 UL\nLTb\nLTb\n3324 886 M\n-61
      18 V\n stroke\n3405 847 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0
      true true 0 (-0.5)]\n] -46.7 MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n1060
      1526 M\n61 -18 V\n1.000 UL\nLTb\nLTb\n3651 1163 M\n-61 18 V\n
      stroke\n3732 1124 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 ( 0)]\n] -46.7 MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n1387 1803
      M\n61 -18 V\n1.000 UL\nLTb\nLTb\n3978 1440 M\n-61 17 V\n stroke\n4058
      1401 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (
      0.5)]\n] -46.7 MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n1714 2080 M\n61
      -18 V\n1.000 UL\nLTb\nLTb\n4305 1717 M\n-61 17 V\n stroke\n4385 1678
      M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 1)]\n] -46.7
      MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n2041 2356 M\n60 -17 V\n1.000
      UL\nLTb\nLTb\n733 1987 M\n63 0 V\n stroke\n607 1987 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-4)]\n] -46.7
      MRshow\ngrestore\n1.000 UL\nLTb\nLTb\n733 2151 M\n63 0 V\n stroke\n607
      2151 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0
      (-3.5)]\n] -46.7 MRshow\ngrestore\n1.000 UL\nLTb\nLTb\n733 2315 M\n63 0
      V\n stroke\n607 2315 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 (-3)]\n] -46.7 MRshow\ngrestore\n1.000 UL\nLTb\nLTb\n733 2479
      M\n63 0 V\n stroke\n607 2479 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 (-2.5)]\n] -46.7 MRshow\ngrestore\n1.000
      UL\nLTb\nLTb\n733 2643 M\n63 0 V\n stroke\n607 2643 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-2)]\n] -46.7
      MRshow\ngrestore\n1.000 UL\nLTb\nLTb\n733 2807 M\n63 0 V\n stroke\n607
      2807 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0
      (-1.5)]\n] -46.7 MRshow\ngrestore\n1.000 UL\nLTb\nLTb\n733 2971 M\n63 0
      V\n stroke\n607 2971 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 (-1)]\n] -46.7 MRshow\ngrestore\n1.000 UL\nLTb\nLTb\n733 3135
      M\n63 0 V\n stroke\n607 3135 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 (-0.5)]\n] -46.7 MRshow\ngrestore\n1.000
      UL\nLTb\nLTb\n733 3299 M\n63 0 V\n stroke\n607 3299 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 0)]\n] -46.7
      MRshow\ngrestore\n1.000 UL\nLTb\nLTb\n733 3463 M\n63 0 V\n stroke\n607
      3463 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (
      0.5)]\n] -46.7 MRshow\ngrestore\n1.000
      UP\nstroke\ngrestore\nend\nshowpage\n%%Trailer\n%%DocumentFonts:
      Helvetica\n>|ps>||||||>

      \;
    </output>

    <\input|GNUplot] >
      set pm3d at s ~set palette rgb 3,3,3 ~set nocolorbox
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~set parametric ~set nokey ~set
      noztics \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~set
      urange[-5:5] ~set vrange[0:10] ~set yrange[0:10] ~set zrange[0:1]
      \ \ \ \ \ \ \ ~set isosamples 100,100 ~set view 0,0,1.5,1
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~set
      multiplot ~set size 1,1 ~set origin 0,0 ~set nosurface
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~splot u, v, (v\<less\> u**2)? 1:0.8
      ~set size 1,1 \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~set
      origin ~set surface \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~splot
      u, u**2, 1 with lines lt 1 lw 3 \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~unset
      multiplot
    </input>

    <\output>
      <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
      temp.eps\n%%Creator: gnuplot 3.8h patchlevel 0\n%%CreationDate: Sat Mar
      29 13:01:26 2003\n%%DocumentFonts: (atend)\n%%BoundingBox: 50 50 410
      302\n%%Orientation: Portrait\n%%EndComments\n/gnudict 256 dict
      def\ngnudict begin\n/Color false def\n/Solid false def\n/gnulinewidth
      5.000 def\n/userlinewidth gnulinewidth def\n/vshift -46 def\n/dl {10.0
      mul} def\n/hpt_ 31.5 def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt vpt_
      def\n/M {moveto} bind def\n/L {lineto} bind def\n/R {rmoveto} bind
      def\n/V {rlineto} bind def\n/N {newpath moveto} bind def\n/f {rlineto
      fill} bind def\n/vpt2 vpt 2 mul def\n/hpt2 hpt 2 mul def\n/Lshow {
      currentpoint stroke M\n \ 0 vshift R show } def\n/Rshow { currentpoint
      stroke M\n \ dup stringwidth pop neg vshift R show } def\n/Cshow {
      currentpoint stroke M\n \ dup stringwidth pop -2 div vshift R show }
      def\n/UP { dup vpt_ mul /vpt exch def hpt_ mul /hpt exch def\n \ /hpt2
      hpt 2 mul def /vpt2 vpt 2 mul def } def\n/DL { Color {setrgbcolor Solid
      {pop []} if 0 setdash }\n {pop pop pop Solid {pop []} if 0 setdash}
      ifelse } def\n/BL { stroke userlinewidth 2 mul setlinewidth } def\n/AL
      { stroke userlinewidth 2 div setlinewidth } def\n/UL { dup gnulinewidth
      mul /userlinewidth exch def\n \ \ \ \ \ dup 1 lt {pop 1} if 10 mul /udl
      exch def } def\n/PL { stroke userlinewidth setlinewidth } def\n/LTb {
      BL [] 0 0 0 DL } def\n/LTa { AL [1 udl mul 2 udl mul] 0 setdash 0 0 0
      setrgbcolor } def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 { PL [4 dl 2 dl] 0
      1 0 DL } def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL } def\n/LT3 { PL [1 dl 1.5
      dl] 1 0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl 2 dl] 0 1 1 DL }
      def\n/LT5 { PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL } def\n/LT6 { PL [2 dl 2
      dl 2 dl 4 dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      1 0.3 0 DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      0.5 0.5 0.5 DL } def\n/Pnt { stroke [] 0 setdash\n \ \ gsave 1
      setlinecap M 0 0 V stroke grestore } def\n/Dia { stroke [] 0 setdash 2
      copy vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt
      neg vpt V closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0 setdash
      vpt sub M 0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg R hpt2
      0 V stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt sub
      exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
      closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt sub
      exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2 neg 0
      R hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy vpt 1.12
      mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      1.62 mul V closepath stroke\n \ Pnt \ } def\n/Star { 2 copy Pls Crs }
      def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V \ closepath fill }
      def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt
      -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath fill
      } def\n/TriD { stroke [] 0 setdash 2 copy vpt 1.12 mul sub M\n \ hpt
      neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V
      closepath stroke\n \ Pnt \ } def\n/TriDF { stroke [] 0 setdash vpt 1.12
      mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      -1.62 mul V closepath fill} def\n/DiaF { stroke [] 0 setdash vpt add
      M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V
      closepath fill } def\n/Pent { stroke [] 0 setdash 2 copy gsave\n
      \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath stroke
      grestore Pnt } def\n/PentF { stroke [] 0 setdash gsave\n \ translate 0
      hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath fill grestore }
      def\n/Circle { stroke [] 0 setdash 2 copy\n \ hpt 0 360 arc stroke Pnt
      } def\n/CircleF { stroke [] 0 setdash hpt 0 360 arc fill } def\n/C0 {
      BL [] 0 setdash 2 copy moveto vpt 90 450 \ arc } bind def\n/C1 { BL []
      0 setdash 2 copy \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C2 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C3 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
      bind def\n/C4 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
      \ vpt 180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 270 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C6 { BL [] 0
      setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 90 270 arc closepath
      fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
      def\n/C7 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 0 270
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
      } bind def\n/C8 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
      copy \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
      moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13 {
      BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
      setdash 2 copy vpt 0 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
      \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
      \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
      bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
      def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
      bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
      def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
      Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch vpt2
      vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy exch vpt
      sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 { BL [] 0
      setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt sub exch
      vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0 setdash 2
      copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare } bind
      def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt vpt2
      Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub vpt Square fill Bsquare
      } bind def\n/S9 { BL [] 0 setdash 2 copy vpt sub vpt vpt2 Rec fill
      Bsquare } bind def\n/S10 { BL [] 0 setdash 2 copy vpt sub vpt Square
      fill 2 copy exch vpt sub exch vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S11 { BL [] 0 setdash 2 copy vpt sub vpt Square fill 2 copy
      exch vpt sub exch vpt2 vpt Rec fill\n \ \ \ \ \ \ Bsquare } bind
      def\n/S12 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt
      Rec fill Bsquare } bind def\n/S13 { BL [] 0 setdash 2 copy exch vpt sub
      exch vpt sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill
      Bsquare } bind def\n/S14 { BL [] 0 setdash 2 copy exch vpt sub exch vpt
      sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square
      fill Bsquare } bind def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill
      Bsquare } bind def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke
      grestore } bind def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke
      grestore } bind def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke
      grestore } bind def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke
      grestore } bind def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke
      grestore } bind def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke
      grestore } bind def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke
      grestore } bind def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke
      grestore } bind def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke
      grestore } bind def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke
      grestore } bind def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke
      grestore } bind def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke
      grestore } bind def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke
      grestore } bind def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke
      grestore } bind def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke
      grestore } bind def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke
      grestore } bind def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg
      vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke }
      def\n/BoxE { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE
      { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke }
      def\n/TriDE { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt
      1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath
      stroke } def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M
      4 {72 rotate 0 hpt L} repeat\n \ closepath stroke grestore }
      def\n/CircE { stroke [] 0 setdash \n \ hpt 0 360 arc stroke }
      def\n/Opaque { gsave closepath 1 setgray fill grestore 0 setgray
      closepath } def\n/DiaW { stroke [] 0 setdash vpt add M\n \ hpt neg vpt
      neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V Opaque stroke }
      def\n/BoxW { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW {
      stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW
      { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW
      { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
      repeat\n \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash
      \n \ hpt 0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray
      fill grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
      makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
      ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0 get
      findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ] exch
      dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch 4 get
      {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n \ \ \ \ {dup 3
      get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5\n
      \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop
      -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get\n
      \ \ \ \ show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop
      pop\n \ \ \ \ pop aload pop M} ifelse }ifelse }ifelse } forall} bind
      def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get findfont exch 1 get
      scalefont\n \ \ \ \ setfont 6 get stringwidth pop add} {pop} ifelse}
      forall} bind def\n/MLshow { currentpoint stroke M\n \ 0 exch R MFshow }
      bind def\n/MRshow { currentpoint stroke M\n \ exch dup MFwidth neg 3 -1
      roll R MFshow } def\n/MCshow { currentpoint stroke M\n \ exch dup
      MFwidth -2 div 3 -1 roll R MFshow } def\nend\n%%EndProlog\ngnudict
      begin\ngsave\n50 50 translate\n0.050 0.050 scale\n0
      setgray\nnewpath\n(Helvetica) findfont 140 scalefont setfont\n1.000
      UL\nLTb\ngsave %% colour palette begin\n/maxcolors 0
      def\n/maxcolorsLast {maxcolors 1 sub maxcolors div} def\n/pm3dround
      {maxcolors 0 gt {dup maxcolorsLast ge {pop 1} {maxcolors mul floor
      maxcolors div} ifelse} if} def\n/cF3 { } bind def\t% x\nColor true and
      { % COLOUR vs. GRAY map\n \ /g {stroke pm3dround dup cF3 exch dup cF3
      exch cF3 setrgbcolor} bind def\n \ /h {rlineto rlineto rlineto fill}
      bind def\n}{\n \ /g {stroke pm3dround setgray} bind def\n \ /h {rlineto
      rlineto rlineto fill} bind def\n} ifelse\n%pm3d_map_begin\n1 g 5957
      4508 N 0 39 49 0 0 -39 h\n1 g 5909 4508 N 0 39 48 0 0 -39 h\n1 g 5860
      4508 N 0 39 49 0 0 -39 h\n1 g 5811 4508 N 0 39 49 0 0 -39 h\n1 g 5763
      4508 N 0 39 48 0 0 -39 h\n1 g 5714 4508 N 0 39 49 0 0 -39 h\n1 g 5665
      4508 N 0 39 49 0 0 -39 h\n1 g 5617 4508 N 0 39 48 0 0 -39 h\n1 g 5568
      4508 N 0 39 49 0 0 -39 h\n1 g 5520 4508 N 0 39 48 0 0 -39 h\n1 g 5471
      4508 N 0 39 49 0 0 -39 h\n1 g 5422 4508 N 0 39 49 0 0 -39 h\n1 g 5374
      4508 N 0 39 48 0 0 -39 h\n1 g 5325 4508 N 0 39 49 0 0 -39 h\n1 g 5277
      4508 N 0 39 48 0 0 -39 h\n1 g 5228 4508 N 0 39 49 0 0 -39 h\n1 g 5179
      4508 N 0 39 49 0 0 -39 h\n1 g 5131 4508 N 0 39 48 0 0 -39 h\n.9 g 5082
      4508 N 0 39 49 0 0 -39 h\n.8 g 5034 4508 N 0 39 48 0 0 -39 h\n.8 g 4985
      4508 N 0 39 49 0 0 -39 h\n.8 g 4936 4508 N 0 39 49 0 0 -39 h\n.8 g 4888
      4508 N 0 39 48 0 0 -39 h\n.8 g 4839 4508 N 0 39 49 0 0 -39 h\n.8 g 4790
      4508 N 0 39 49 0 0 -39 h\n.8 g 4742 4508 N 0 39 48 0 0 -39 h\n.8 g 4693
      4508 N 0 39 49 0 0 -39 h\n.8 g 4645 4508 N 0 39 48 0 0 -39 h\n.8 g 4596
      4508 N 0 39 49 0 0 -39 h\n.8 g 4547 4508 N 0 39 49 0 0 -39 h\n.8 g 4499
      4508 N 0 39 48 0 0 -39 h\n.8 g 4450 4508 N 0 39 49 0 0 -39 h\n.8 g 4402
      4508 N 0 39 48 0 0 -39 h\n.8 g 4353 4508 N 0 39 49 0 0 -39 h\n.8 g 4304
      4508 N 0 39 49 0 0 -39 h\n.8 g 4256 4508 N 0 39 48 0 0 -39 h\n.8 g 4207
      4508 N 0 39 49 0 0 -39 h\n.8 g 4159 4508 N 0 39 48 0 0 -39 h\n.8 g 4110
      4508 N 0 39 49 0 0 -39 h\n.8 g 4061 4508 N 0 39 49 0 0 -39 h\n.8 g 4013
      4508 N 0 39 48 0 0 -39 h\n.8 g 3964 4508 N 0 39 49 0 0 -39 h\n.8 g 3915
      4508 N 0 39 49 0 0 -39 h\n.8 g 3867 4508 N 0 39 48 0 0 -39 h\n.8 g 3818
      4508 N 0 39 49 0 0 -39 h\n.8 g 3770 4508 N 0 39 48 0 0 -39 h\n.8 g 3721
      4508 N 0 39 49 0 0 -39 h\n.8 g 3672 4508 N 0 39 49 0 0 -39 h\n.8 g 3624
      4508 N 0 39 48 0 0 -39 h\n.8 g 3575 4508 N 0 39 49 0 0 -39 h\n.8 g 3527
      4508 N 0 39 48 0 0 -39 h\n.8 g 3478 4508 N 0 39 49 0 0 -39 h\n.8 g 3429
      4508 N 0 39 49 0 0 -39 h\n.8 g 3381 4508 N 0 39 48 0 0 -39 h\n.8 g 3332
      4508 N 0 39 49 0 0 -39 h\n.8 g 3284 4508 N 0 39 48 0 0 -39 h\n.8 g 3235
      4508 N 0 39 49 0 0 -39 h\n.8 g 3186 4508 N 0 39 49 0 0 -39 h\n.8 g 3138
      4508 N 0 39 48 0 0 -39 h\n.8 g 3089 4508 N 0 39 49 0 0 -39 h\n.8 g 3040
      4508 N 0 39 49 0 0 -39 h\n.8 g 2992 4508 N 0 39 48 0 0 -39 h\n.8 g 2943
      4508 N 0 39 49 0 0 -39 h\n.8 g 2895 4508 N 0 39 48 0 0 -39 h\n.8 g 2846
      4508 N 0 39 49 0 0 -39 h\n.8 g 2797 4508 N 0 39 49 0 0 -39 h\n.8 g 2749
      4508 N 0 39 48 0 0 -39 h\n.8 g 2700 4508 N 0 39 49 0 0 -39 h\n.8 g 2652
      4508 N 0 39 48 0 0 -39 h\n.8 g 2603 4508 N 0 39 49 0 0 -39 h\n.8 g 2554
      4508 N 0 39 49 0 0 -39 h\n.8 g 2506 4508 N 0 39 48 0 0 -39 h\n.8 g 2457
      4508 N 0 39 49 0 0 -39 h\n.8 g 2409 4508 N 0 39 48 0 0 -39 h\n.8 g 2360
      4508 N 0 39 49 0 0 -39 h\n.8 g 2311 4508 N 0 39 49 0 0 -39 h\n.8 g 2263
      4508 N 0 39 48 0 0 -39 h\n.8 g 2214 4508 N 0 39 49 0 0 -39 h\n.8 g 2165
      4508 N 0 39 49 0 0 -39 h\n.8 g 2117 4508 N 0 39 48 0 0 -39 h\n.9 g 2068
      4508 N 0 39 49 0 0 -39 h\n1 g 2020 4508 N 0 39 48 0 0 -39 h\n1 g 1971
      4508 N 0 39 49 0 0 -39 h\n1 g 1922 4508 N 0 39 49 0 0 -39 h\n1 g 1874
      4508 N 0 39 48 0 0 -39 h\n1 g 1825 4508 N 0 39 49 0 0 -39 h\n1 g 1777
      4508 N 0 39 48 0 0 -39 h\n1 g 1728 4508 N 0 39 49 0 0 -39 h\n1 g 1679
      4508 N 0 39 49 0 0 -39 h\n1 g 1631 4508 N 0 39 48 0 0 -39 h\n1 g 1582
      4508 N 0 39 49 0 0 -39 h\n1 g 1534 4508 N 0 39 48 0 0 -39 h\n1 g 1485
      4508 N 0 39 49 0 0 -39 h\n1 g 1436 4508 N 0 39 49 0 0 -39 h\n1 g 1388
      4508 N 0 39 48 0 0 -39 h\n1 g 1339 4508 N 0 39 49 0 0 -39 h\n1 g 1290
      4508 N 0 39 49 0 0 -39 h\n1 g 1242 4508 N 0 39 48 0 0 -39 h\n1 g 1193
      4508 N 0 39 49 0 0 -39 h\n1 g 5957 4469 N 0 39 49 0 0 -39 h\n1 g 5909
      4469 N 0 39 48 0 0 -39 h\n1 g 5860 4469 N 0 39 49 0 0 -39 h\n1 g 5811
      4469 N 0 39 49 0 0 -39 h\n1 g 5763 4469 N 0 39 48 0 0 -39 h\n1 g 5714
      4469 N 0 39 49 0 0 -39 h\n1 g 5665 4469 N 0 39 49 0 0 -39 h\n1 g 5617
      4469 N 0 39 48 0 0 -39 h\n1 g 5568 4469 N 0 39 49 0 0 -39 h\n1 g 5520
      4469 N 0 39 48 0 0 -39 h\n1 g 5471 4469 N 0 39 49 0 0 -39 h\n1 g 5422
      4469 N 0 39 49 0 0 -39 h\n1 g 5374 4469 N 0 39 48 0 0 -39 h\n1 g 5325
      4469 N 0 39 49 0 0 -39 h\n1 g 5277 4469 N 0 39 48 0 0 -39 h\n1 g 5228
      4469 N 0 39 49 0 0 -39 h\n1 g 5179 4469 N 0 39 49 0 0 -39 h\n1 g 5131
      4469 N 0 39 48 0 0 -39 h\n.9 g 5082 4469 N 0 39 49 0 0 -39 h\n.8 g 5034
      4469 N 0 39 48 0 0 -39 h\n.8 g 4985 4469 N 0 39 49 0 0 -39 h\n.8 g 4936
      4469 N 0 39 49 0 0 -39 h\n.8 g 4888 4469 N 0 39 48 0 0 -39 h\n.8 g 4839
      4469 N 0 39 49 0 0 -39 h\n.8 g 4790 4469 N 0 39 49 0 0 -39 h\n.8 g 4742
      4469 N 0 39 48 0 0 -39 h\n.8 g 4693 4469 N 0 39 49 0 0 -39 h\n.8 g 4645
      4469 N 0 39 48 0 0 -39 h\n.8 g 4596 4469 N 0 39 49 0 0 -39 h\n.8 g 4547
      4469 N 0 39 49 0 0 -39 h\n.8 g 4499 4469 N 0 39 48 0 0 -39 h\n.8 g 4450
      4469 N 0 39 49 0 0 -39 h\n.8 g 4402 4469 N 0 39 48 0 0 -39 h\n.8 g 4353
      4469 N 0 39 49 0 0 -39 h\n.8 g 4304 4469 N 0 39 49 0 0 -39 h\n.8 g 4256
      4469 N 0 39 48 0 0 -39 h\n.8 g 4207 4469 N 0 39 49 0 0 -39 h\n.8 g 4159
      4469 N 0 39 48 0 0 -39 h\n.8 g 4110 4469 N 0 39 49 0 0 -39 h\n.8 g 4061
      4469 N 0 39 49 0 0 -39 h\n.8 g 4013 4469 N 0 39 48 0 0 -39 h\n.8 g 3964
      4469 N 0 39 49 0 0 -39 h\n.8 g 3915 4469 N 0 39 49 0 0 -39 h\n.8 g 3867
      4469 N 0 39 48 0 0 -39 h\n.8 g 3818 4469 N 0 39 49 0 0 -39 h\n.8 g 3770
      4469 N 0 39 48 0 0 -39 h\n.8 g 3721 4469 N 0 39 49 0 0 -39 h\n.8 g 3672
      4469 N 0 39 49 0 0 -39 h\n.8 g 3624 4469 N 0 39 48 0 0 -39 h\n.8 g 3575
      4469 N 0 39 49 0 0 -39 h\n.8 g 3527 4469 N 0 39 48 0 0 -39 h\n.8 g 3478
      4469 N 0 39 49 0 0 -39 h\n.8 g 3429 4469 N 0 39 49 0 0 -39 h\n.8 g 3381
      4469 N 0 39 48 0 0 -39 h\n.8 g 3332 4469 N 0 39 49 0 0 -39 h\n.8 g 3284
      4469 N 0 39 48 0 0 -39 h\n.8 g 3235 4469 N 0 39 49 0 0 -39 h\n.8 g 3186
      4469 N 0 39 49 0 0 -39 h\n.8 g 3138 4469 N 0 39 48 0 0 -39 h\n.8 g 3089
      4469 N 0 39 49 0 0 -39 h\n.8 g 3040 4469 N 0 39 49 0 0 -39 h\n.8 g 2992
      4469 N 0 39 48 0 0 -39 h\n.8 g 2943 4469 N 0 39 49 0 0 -39 h\n.8 g 2895
      4469 N 0 39 48 0 0 -39 h\n.8 g 2846 4469 N 0 39 49 0 0 -39 h\n.8 g 2797
      4469 N 0 39 49 0 0 -39 h\n.8 g 2749 4469 N 0 39 48 0 0 -39 h\n.8 g 2700
      4469 N 0 39 49 0 0 -39 h\n.8 g 2652 4469 N 0 39 48 0 0 -39 h\n.8 g 2603
      4469 N 0 39 49 0 0 -39 h\n.8 g 2554 4469 N 0 39 49 0 0 -39 h\n.8 g 2506
      4469 N 0 39 48 0 0 -39 h\n.8 g 2457 4469 N 0 39 49 0 0 -39 h\n.8 g 2409
      4469 N 0 39 48 0 0 -39 h\n.8 g 2360 4469 N 0 39 49 0 0 -39 h\n.8 g 2311
      4469 N 0 39 49 0 0 -39 h\n.8 g 2263 4469 N 0 39 48 0 0 -39 h\n.8 g 2214
      4469 N 0 39 49 0 0 -39 h\n.8 g 2165 4469 N 0 39 49 0 0 -39 h\n.8 g 2117
      4469 N 0 39 48 0 0 -39 h\n.9 g 2068 4469 N 0 39 49 0 0 -39 h\n1 g 2020
      4469 N 0 39 48 0 0 -39 h\n1 g 1971 4469 N 0 39 49 0 0 -39 h\n1 g 1922
      4469 N 0 39 49 0 0 -39 h\n1 g 1874 4469 N 0 39 48 0 0 -39 h\n1 g 1825
      4469 N 0 39 49 0 0 -39 h\n1 g 1777 4469 N 0 39 48 0 0 -39 h\n1 g 1728
      4469 N 0 39 49 0 0 -39 h\n1 g 1679 4469 N 0 39 49 0 0 -39 h\n1 g 1631
      4469 N 0 39 48 0 0 -39 h\n1 g 1582 4469 N 0 39 49 0 0 -39 h\n1 g 1534
      4469 N 0 39 48 0 0 -39 h\n1 g 1485 4469 N 0 39 49 0 0 -39 h\n1 g 1436
      4469 N 0 39 49 0 0 -39 h\n1 g 1388 4469 N 0 39 48 0 0 -39 h\n1 g 1339
      4469 N 0 39 49 0 0 -39 h\n1 g 1290 4469 N 0 39 49 0 0 -39 h\n1 g 1242
      4469 N 0 39 48 0 0 -39 h\n1 g 1193 4469 N 0 39 49 0 0 -39 h\n1 g 5957
      4430 N 0 38 49 0 0 -38 h\n1 g 5909 4430 N 0 38 48 0 0 -38 h\n1 g 5860
      4430 N 0 38 49 0 0 -38 h\n1 g 5811 4430 N 0 38 49 0 0 -38 h\n1 g 5763
      4430 N 0 38 48 0 0 -38 h\n1 g 5714 4430 N 0 38 49 0 0 -38 h\n1 g 5665
      4430 N 0 38 49 0 0 -38 h\n1 g 5617 4430 N 0 38 48 0 0 -38 h\n1 g 5568
      4430 N 0 38 49 0 0 -38 h\n1 g 5520 4430 N 0 38 48 0 0 -38 h\n1 g 5471
      4430 N 0 38 49 0 0 -38 h\n1 g 5422 4430 N 0 38 49 0 0 -38 h\n1 g 5374
      4430 N 0 38 48 0 0 -38 h\n1 g 5325 4430 N 0 38 49 0 0 -38 h\n1 g 5277
      4430 N 0 38 48 0 0 -38 h\n1 g 5228 4430 N 0 38 49 0 0 -38 h\n1 g 5179
      4430 N 0 38 49 0 0 -38 h\n1 g 5131 4430 N 0 38 48 0 0 -38 h\n.9 g 5082
      4430 N 0 38 49 0 0 -38 h\n.8 g 5034 4430 N 0 38 48 0 0 -38 h\n.8 g 4985
      4430 N 0 38 49 0 0 -38 h\n.8 g 4936 4430 N 0 38 49 0 0 -38 h\n.8 g 4888
      4430 N 0 38 48 0 0 -38 h\n.8 g 4839 4430 N 0 38 49 0 0 -38 h\n.8 g 4790
      4430 N 0 38 49 0 0 -38 h\n.8 g 4742 4430 N 0 38 48 0 0 -38 h\n.8 g 4693
      4430 N 0 38 49 0 0 -38 h\n.8 g 4645 4430 N 0 38 48 0 0 -38 h\n.8 g 4596
      4430 N 0 38 49 0 0 -38 h\n.8 g 4547 4430 N 0 38 49 0 0 -38 h\n.8 g 4499
      4430 N 0 38 48 0 0 -38 h\n.8 g 4450 4430 N 0 38 49 0 0 -38 h\n.8 g 4402
      4430 N 0 38 48 0 0 -38 h\n.8 g 4353 4430 N 0 38 49 0 0 -38 h\n.8 g 4304
      4430 N 0 38 49 0 0 -38 h\n.8 g 4256 4430 N 0 38 48 0 0 -38 h\n.8 g 4207
      4430 N 0 38 49 0 0 -38 h\n.8 g 4159 4430 N 0 38 48 0 0 -38 h\n.8 g 4110
      4430 N 0 38 49 0 0 -38 h\n.8 g 4061 4430 N 0 38 49 0 0 -38 h\n.8 g 4013
      4430 N 0 38 48 0 0 -38 h\n.8 g 3964 4430 N 0 38 49 0 0 -38 h\n.8 g 3915
      4430 N 0 38 49 0 0 -38 h\n.8 g 3867 4430 N 0 38 48 0 0 -38 h\n.8 g 3818
      4430 N 0 38 49 0 0 -38 h\n.8 g 3770 4430 N 0 38 48 0 0 -38 h\n.8 g 3721
      4430 N 0 38 49 0 0 -38 h\n.8 g 3672 4430 N 0 38 49 0 0 -38 h\n.8 g 3624
      4430 N 0 38 48 0 0 -38 h\n.8 g 3575 4430 N 0 38 49 0 0 -38 h\n.8 g 3527
      4430 N 0 38 48 0 0 -38 h\n.8 g 3478 4430 N 0 38 49 0 0 -38 h\n.8 g 3429
      4430 N 0 38 49 0 0 -38 h\n.8 g 3381 4430 N 0 38 48 0 0 -38 h\n.8 g 3332
      4430 N 0 38 49 0 0 -38 h\n.8 g 3284 4430 N 0 38 48 0 0 -38 h\n.8 g 3235
      4430 N 0 38 49 0 0 -38 h\n.8 g 3186 4430 N 0 38 49 0 0 -38 h\n.8 g 3138
      4430 N 0 38 48 0 0 -38 h\n.8 g 3089 4430 N 0 38 49 0 0 -38 h\n.8 g 3040
      4430 N 0 38 49 0 0 -38 h\n.8 g 2992 4430 N 0 38 48 0 0 -38 h\n.8 g 2943
      4430 N 0 38 49 0 0 -38 h\n.8 g 2895 4430 N 0 38 48 0 0 -38 h\n.8 g 2846
      4430 N 0 38 49 0 0 -38 h\n.8 g 2797 4430 N 0 38 49 0 0 -38 h\n.8 g 2749
      4430 N 0 38 48 0 0 -38 h\n.8 g 2700 4430 N 0 38 49 0 0 -38 h\n.8 g 2652
      4430 N 0 38 48 0 0 -38 h\n.8 g 2603 4430 N 0 38 49 0 0 -38 h\n.8 g 2554
      4430 N 0 38 49 0 0 -38 h\n.8 g 2506 4430 N 0 38 48 0 0 -38 h\n.8 g 2457
      4430 N 0 38 49 0 0 -38 h\n.8 g 2409 4430 N 0 38 48 0 0 -38 h\n.8 g 2360
      4430 N 0 38 49 0 0 -38 h\n.8 g 2311 4430 N 0 38 49 0 0 -38 h\n.8 g 2263
      4430 N 0 38 48 0 0 -38 h\n.8 g 2214 4430 N 0 38 49 0 0 -38 h\n.8 g 2165
      4430 N 0 38 49 0 0 -38 h\n.8 g 2117 4430 N 0 38 48 0 0 -38 h\n.9 g 2068
      4430 N 0 38 49 0 0 -38 h\n1 g 2020 4430 N 0 38 48 0 0 -38 h\n1 g 1971
      4430 N 0 38 49 0 0 -38 h\n1 g 1922 4430 N 0 38 49 0 0 -38 h\n1 g 1874
      4430 N 0 38 48 0 0 -38 h\n1 g 1825 4430 N 0 38 49 0 0 -38 h\n1 g 1777
      4430 N 0 38 48 0 0 -38 h\n1 g 1728 4430 N 0 38 49 0 0 -38 h\n1 g 1679
      4430 N 0 38 49 0 0 -38 h\n1 g 1631 4430 N 0 38 48 0 0 -38 h\n1 g 1582
      4430 N 0 38 49 0 0 -38 h\n1 g 1534 4430 N 0 38 48 0 0 -38 h\n1 g 1485
      4430 N 0 38 49 0 0 -38 h\n1 g 1436 4430 N 0 38 49 0 0 -38 h\n1 g 1388
      4430 N 0 38 48 0 0 -38 h\n1 g 1339 4430 N 0 38 49 0 0 -38 h\n1 g 1290
      4430 N 0 38 49 0 0 -38 h\n1 g 1242 4430 N 0 38 48 0 0 -38 h\n1 g 1193
      4430 N 0 38 49 0 0 -38 h\n1 g 5957 4392 N 0 39 49 0 0 -39 h\n1 g 5909
      4392 N 0 39 48 0 0 -39 h\n1 g 5860 4392 N 0 39 49 0 0 -39 h\n1 g 5811
      4392 N 0 39 49 0 0 -39 h\n1 g 5763 4392 N 0 39 48 0 0 -39 h\n1 g 5714
      4392 N 0 39 49 0 0 -39 h\n1 g 5665 4392 N 0 39 49 0 0 -39 h\n1 g 5617
      4392 N 0 39 48 0 0 -39 h\n1 g 5568 4392 N 0 39 49 0 0 -39 h\n1 g 5520
      4392 N 0 39 48 0 0 -39 h\n1 g 5471 4392 N 0 39 49 0 0 -39 h\n1 g 5422
      4392 N 0 39 49 0 0 -39 h\n1 g 5374 4392 N 0 39 48 0 0 -39 h\n1 g 5325
      4392 N 0 39 49 0 0 -39 h\n1 g 5277 4392 N 0 39 48 0 0 -39 h\n1 g 5228
      4392 N 0 39 49 0 0 -39 h\n1 g 5179 4392 N 0 39 49 0 0 -39 h\n1 g 5131
      4392 N 0 39 48 0 0 -39 h\n.9 g 5082 4392 N 0 39 49 0 0 -39 h\n.8 g 5034
      4392 N 0 39 48 0 0 -39 h\n.8 g 4985 4392 N 0 39 49 0 0 -39 h\n.8 g 4936
      4392 N 0 39 49 0 0 -39 h\n.8 g 4888 4392 N 0 39 48 0 0 -39 h\n.8 g 4839
      4392 N 0 39 49 0 0 -39 h\n.8 g 4790 4392 N 0 39 49 0 0 -39 h\n.8 g 4742
      4392 N 0 39 48 0 0 -39 h\n.8 g 4693 4392 N 0 39 49 0 0 -39 h\n.8 g 4645
      4392 N 0 39 48 0 0 -39 h\n.8 g 4596 4392 N 0 39 49 0 0 -39 h\n.8 g 4547
      4392 N 0 39 49 0 0 -39 h\n.8 g 4499 4392 N 0 39 48 0 0 -39 h\n.8 g 4450
      4392 N 0 39 49 0 0 -39 h\n.8 g 4402 4392 N 0 39 48 0 0 -39 h\n.8 g 4353
      4392 N 0 39 49 0 0 -39 h\n.8 g 4304 4392 N 0 39 49 0 0 -39 h\n.8 g 4256
      4392 N 0 39 48 0 0 -39 h\n.8 g 4207 4392 N 0 39 49 0 0 -39 h\n.8 g 4159
      4392 N 0 39 48 0 0 -39 h\n.8 g 4110 4392 N 0 39 49 0 0 -39 h\n.8 g 4061
      4392 N 0 39 49 0 0 -39 h\n.8 g 4013 4392 N 0 39 48 0 0 -39 h\n.8 g 3964
      4392 N 0 39 49 0 0 -39 h\n.8 g 3915 4392 N 0 39 49 0 0 -39 h\n.8 g 3867
      4392 N 0 39 48 0 0 -39 h\n.8 g 3818 4392 N 0 39 49 0 0 -39 h\n.8 g 3770
      4392 N 0 39 48 0 0 -39 h\n.8 g 3721 4392 N 0 39 49 0 0 -39 h\n.8 g 3672
      4392 N 0 39 49 0 0 -39 h\n.8 g 3624 4392 N 0 39 48 0 0 -39 h\n.8 g 3575
      4392 N 0 39 49 0 0 -39 h\n.8 g 3527 4392 N 0 39 48 0 0 -39 h\n.8 g 3478
      4392 N 0 39 49 0 0 -39 h\n.8 g 3429 4392 N 0 39 49 0 0 -39 h\n.8 g 3381
      4392 N 0 39 48 0 0 -39 h\n.8 g 3332 4392 N 0 39 49 0 0 -39 h\n.8 g 3284
      4392 N 0 39 48 0 0 -39 h\n.8 g 3235 4392 N 0 39 49 0 0 -39 h\n.8 g 3186
      4392 N 0 39 49 0 0 -39 h\n.8 g 3138 4392 N 0 39 48 0 0 -39 h\n.8 g 3089
      4392 N 0 39 49 0 0 -39 h\n.8 g 3040 4392 N 0 39 49 0 0 -39 h\n.8 g 2992
      4392 N 0 39 48 0 0 -39 h\n.8 g 2943 4392 N 0 39 49 0 0 -39 h\n.8 g 2895
      4392 N 0 39 48 0 0 -39 h\n.8 g 2846 4392 N 0 39 49 0 0 -39 h\n.8 g 2797
      4392 N 0 39 49 0 0 -39 h\n.8 g 2749 4392 N 0 39 48 0 0 -39 h\n.8 g 2700
      4392 N 0 39 49 0 0 -39 h\n.8 g 2652 4392 N 0 39 48 0 0 -39 h\n.8 g 2603
      4392 N 0 39 49 0 0 -39 h\n.8 g 2554 4392 N 0 39 49 0 0 -39 h\n.8 g 2506
      4392 N 0 39 48 0 0 -39 h\n.8 g 2457 4392 N 0 39 49 0 0 -39 h\n.8 g 2409
      4392 N 0 39 48 0 0 -39 h\n.8 g 2360 4392 N 0 39 49 0 0 -39 h\n.8 g 2311
      4392 N 0 39 49 0 0 -39 h\n.8 g 2263 4392 N 0 39 48 0 0 -39 h\n.8 g 2214
      4392 N 0 39 49 0 0 -39 h\n.8 g 2165 4392 N 0 39 49 0 0 -39 h\n.8 g 2117
      4392 N 0 39 48 0 0 -39 h\n.9 g 2068 4392 N 0 39 49 0 0 -39 h\n1 g 2020
      4392 N 0 39 48 0 0 -39 h\n1 g 1971 4392 N 0 39 49 0 0 -39 h\n1 g 1922
      4392 N 0 39 49 0 0 -39 h\n1 g 1874 4392 N 0 39 48 0 0 -39 h\n1 g 1825
      4392 N 0 39 49 0 0 -39 h\n1 g 1777 4392 N 0 39 48 0 0 -39 h\n1 g 1728
      4392 N 0 39 49 0 0 -39 h\n1 g 1679 4392 N 0 39 49 0 0 -39 h\n1 g 1631
      4392 N 0 39 48 0 0 -39 h\n1 g 1582 4392 N 0 39 49 0 0 -39 h\n1 g 1534
      4392 N 0 39 48 0 0 -39 h\n1 g 1485 4392 N 0 39 49 0 0 -39 h\n1 g 1436
      4392 N 0 39 49 0 0 -39 h\n1 g 1388 4392 N 0 39 48 0 0 -39 h\n1 g 1339
      4392 N 0 39 49 0 0 -39 h\n1 g 1290 4392 N 0 39 49 0 0 -39 h\n1 g 1242
      4392 N 0 39 48 0 0 -39 h\n1 g 1193 4392 N 0 39 49 0 0 -39 h\n1 g 5957
      4353 N 0 39 49 0 0 -39 h\n1 g 5909 4353 N 0 39 48 0 0 -39 h\n1 g 5860
      4353 N 0 39 49 0 0 -39 h\n1 g 5811 4353 N 0 39 49 0 0 -39 h\n1 g 5763
      4353 N 0 39 48 0 0 -39 h\n1 g 5714 4353 N 0 39 49 0 0 -39 h\n1 g 5665
      4353 N 0 39 49 0 0 -39 h\n1 g 5617 4353 N 0 39 48 0 0 -39 h\n1 g 5568
      4353 N 0 39 49 0 0 -39 h\n1 g 5520 4353 N 0 39 48 0 0 -39 h\n1 g 5471
      4353 N 0 39 49 0 0 -39 h\n1 g 5422 4353 N 0 39 49 0 0 -39 h\n1 g 5374
      4353 N 0 39 48 0 0 -39 h\n1 g 5325 4353 N 0 39 49 0 0 -39 h\n1 g 5277
      4353 N 0 39 48 0 0 -39 h\n1 g 5228 4353 N 0 39 49 0 0 -39 h\n1 g 5179
      4353 N 0 39 49 0 0 -39 h\n1 g 5131 4353 N 0 39 48 0 0 -39 h\n.9 g 5082
      4353 N 0 39 49 0 0 -39 h\n.8 g 5034 4353 N 0 39 48 0 0 -39 h\n.8 g 4985
      4353 N 0 39 49 0 0 -39 h\n.8 g 4936 4353 N 0 39 49 0 0 -39 h\n.8 g 4888
      4353 N 0 39 48 0 0 -39 h\n.8 g 4839 4353 N 0 39 49 0 0 -39 h\n.8 g 4790
      4353 N 0 39 49 0 0 -39 h\n.8 g 4742 4353 N 0 39 48 0 0 -39 h\n.8 g 4693
      4353 N 0 39 49 0 0 -39 h\n.8 g 4645 4353 N 0 39 48 0 0 -39 h\n.8 g 4596
      4353 N 0 39 49 0 0 -39 h\n.8 g 4547 4353 N 0 39 49 0 0 -39 h\n.8 g 4499
      4353 N 0 39 48 0 0 -39 h\n.8 g 4450 4353 N 0 39 49 0 0 -39 h\n.8 g 4402
      4353 N 0 39 48 0 0 -39 h\n.8 g 4353 4353 N 0 39 49 0 0 -39 h\n.8 g 4304
      4353 N 0 39 49 0 0 -39 h\n.8 g 4256 4353 N 0 39 48 0 0 -39 h\n.8 g 4207
      4353 N 0 39 49 0 0 -39 h\n.8 g 4159 4353 N 0 39 48 0 0 -39 h\n.8 g 4110
      4353 N 0 39 49 0 0 -39 h\n.8 g 4061 4353 N 0 39 49 0 0 -39 h\n.8 g 4013
      4353 N 0 39 48 0 0 -39 h\n.8 g 3964 4353 N 0 39 49 0 0 -39 h\n.8 g 3915
      4353 N 0 39 49 0 0 -39 h\n.8 g 3867 4353 N 0 39 48 0 0 -39 h\n.8 g 3818
      4353 N 0 39 49 0 0 -39 h\n.8 g 3770 4353 N 0 39 48 0 0 -39 h\n.8 g 3721
      4353 N 0 39 49 0 0 -39 h\n.8 g 3672 4353 N 0 39 49 0 0 -39 h\n.8 g 3624
      4353 N 0 39 48 0 0 -39 h\n.8 g 3575 4353 N 0 39 49 0 0 -39 h\n.8 g 3527
      4353 N 0 39 48 0 0 -39 h\n.8 g 3478 4353 N 0 39 49 0 0 -39 h\n.8 g 3429
      4353 N 0 39 49 0 0 -39 h\n.8 g 3381 4353 N 0 39 48 0 0 -39 h\n.8 g 3332
      4353 N 0 39 49 0 0 -39 h\n.8 g 3284 4353 N 0 39 48 0 0 -39 h\n.8 g 3235
      4353 N 0 39 49 0 0 -39 h\n.8 g 3186 4353 N 0 39 49 0 0 -39 h\n.8 g 3138
      4353 N 0 39 48 0 0 -39 h\n.8 g 3089 4353 N 0 39 49 0 0 -39 h\n.8 g 3040
      4353 N 0 39 49 0 0 -39 h\n.8 g 2992 4353 N 0 39 48 0 0 -39 h\n.8 g 2943
      4353 N 0 39 49 0 0 -39 h\n.8 g 2895 4353 N 0 39 48 0 0 -39 h\n.8 g 2846
      4353 N 0 39 49 0 0 -39 h\n.8 g 2797 4353 N 0 39 49 0 0 -39 h\n.8 g 2749
      4353 N 0 39 48 0 0 -39 h\n.8 g 2700 4353 N 0 39 49 0 0 -39 h\n.8 g 2652
      4353 N 0 39 48 0 0 -39 h\n.8 g 2603 4353 N 0 39 49 0 0 -39 h\n.8 g 2554
      4353 N 0 39 49 0 0 -39 h\n.8 g 2506 4353 N 0 39 48 0 0 -39 h\n.8 g 2457
      4353 N 0 39 49 0 0 -39 h\n.8 g 2409 4353 N 0 39 48 0 0 -39 h\n.8 g 2360
      4353 N 0 39 49 0 0 -39 h\n.8 g 2311 4353 N 0 39 49 0 0 -39 h\n.8 g 2263
      4353 N 0 39 48 0 0 -39 h\n.8 g 2214 4353 N 0 39 49 0 0 -39 h\n.8 g 2165
      4353 N 0 39 49 0 0 -39 h\n.8 g 2117 4353 N 0 39 48 0 0 -39 h\n.9 g 2068
      4353 N 0 39 49 0 0 -39 h\n1 g 2020 4353 N 0 39 48 0 0 -39 h\n1 g 1971
      4353 N 0 39 49 0 0 -39 h\n1 g 1922 4353 N 0 39 49 0 0 -39 h\n1 g 1874
      4353 N 0 39 48 0 0 -39 h\n1 g 1825 4353 N 0 39 49 0 0 -39 h\n1 g 1777
      4353 N 0 39 48 0 0 -39 h\n1 g 1728 4353 N 0 39 49 0 0 -39 h\n1 g 1679
      4353 N 0 39 49 0 0 -39 h\n1 g 1631 4353 N 0 39 48 0 0 -39 h\n1 g 1582
      4353 N 0 39 49 0 0 -39 h\n1 g 1534 4353 N 0 39 48 0 0 -39 h\n1 g 1485
      4353 N 0 39 49 0 0 -39 h\n1 g 1436 4353 N 0 39 49 0 0 -39 h\n1 g 1388
      4353 N 0 39 48 0 0 -39 h\n1 g 1339 4353 N 0 39 49 0 0 -39 h\n1 g 1290
      4353 N 0 39 49 0 0 -39 h\n1 g 1242 4353 N 0 39 48 0 0 -39 h\n1 g 1193
      4353 N 0 39 49 0 0 -39 h\n1 g 5957 4314 N 0 39 49 0 0 -39 h\n1 g 5909
      4314 N 0 39 48 0 0 -39 h\n1 g 5860 4314 N 0 39 49 0 0 -39 h\n1 g 5811
      4314 N 0 39 49 0 0 -39 h\n1 g 5763 4314 N 0 39 48 0 0 -39 h\n1 g 5714
      4314 N 0 39 49 0 0 -39 h\n1 g 5665 4314 N 0 39 49 0 0 -39 h\n1 g 5617
      4314 N 0 39 48 0 0 -39 h\n1 g 5568 4314 N 0 39 49 0 0 -39 h\n1 g 5520
      4314 N 0 39 48 0 0 -39 h\n1 g 5471 4314 N 0 39 49 0 0 -39 h\n1 g 5422
      4314 N 0 39 49 0 0 -39 h\n1 g 5374 4314 N 0 39 48 0 0 -39 h\n1 g 5325
      4314 N 0 39 49 0 0 -39 h\n1 g 5277 4314 N 0 39 48 0 0 -39 h\n1 g 5228
      4314 N 0 39 49 0 0 -39 h\n1 g 5179 4314 N 0 39 49 0 0 -39 h\n1 g 5131
      4314 N 0 39 48 0 0 -39 h\n.95 g 5082 4314 N 0 39 49 0 0 -39 h\n.85 g
      5034 4314 N 0 39 48 0 0 -39 h\n.8 g 4985 4314 N 0 39 49 0 0 -39 h\n.8 g
      4936 4314 N 0 39 49 0 0 -39 h\n.8 g 4888 4314 N 0 39 48 0 0 -39 h\n.8 g
      4839 4314 N 0 39 49 0 0 -39 h\n.8 g 4790 4314 N 0 39 49 0 0 -39 h\n.8 g
      4742 4314 N 0 39 48 0 0 -39 h\n.8 g 4693 4314 N 0 39 49 0 0 -39 h\n.8 g
      4645 4314 N 0 39 48 0 0 -39 h\n.8 g 4596 4314 N 0 39 49 0 0 -39 h\n.8 g
      4547 4314 N 0 39 49 0 0 -39 h\n.8 g 4499 4314 N 0 39 48 0 0 -39 h\n.8 g
      4450 4314 N 0 39 49 0 0 -39 h\n.8 g 4402 4314 N 0 39 48 0 0 -39 h\n.8 g
      4353 4314 N 0 39 49 0 0 -39 h\n.8 g 4304 4314 N 0 39 49 0 0 -39 h\n.8 g
      4256 4314 N 0 39 48 0 0 -39 h\n.8 g 4207 4314 N 0 39 49 0 0 -39 h\n.8 g
      4159 4314 N 0 39 48 0 0 -39 h\n.8 g 4110 4314 N 0 39 49 0 0 -39 h\n.8 g
      4061 4314 N 0 39 49 0 0 -39 h\n.8 g 4013 4314 N 0 39 48 0 0 -39 h\n.8 g
      3964 4314 N 0 39 49 0 0 -39 h\n.8 g 3915 4314 N 0 39 49 0 0 -39 h\n.8 g
      3867 4314 N 0 39 48 0 0 -39 h\n.8 g 3818 4314 N 0 39 49 0 0 -39 h\n.8 g
      3770 4314 N 0 39 48 0 0 -39 h\n.8 g 3721 4314 N 0 39 49 0 0 -39 h\n.8 g
      3672 4314 N 0 39 49 0 0 -39 h\n.8 g 3624 4314 N 0 39 48 0 0 -39 h\n.8 g
      3575 4314 N 0 39 49 0 0 -39 h\n.8 g 3527 4314 N 0 39 48 0 0 -39 h\n.8 g
      3478 4314 N 0 39 49 0 0 -39 h\n.8 g 3429 4314 N 0 39 49 0 0 -39 h\n.8 g
      3381 4314 N 0 39 48 0 0 -39 h\n.8 g 3332 4314 N 0 39 49 0 0 -39 h\n.8 g
      3284 4314 N 0 39 48 0 0 -39 h\n.8 g 3235 4314 N 0 39 49 0 0 -39 h\n.8 g
      3186 4314 N 0 39 49 0 0 -39 h\n.8 g 3138 4314 N 0 39 48 0 0 -39 h\n.8 g
      3089 4314 N 0 39 49 0 0 -39 h\n.8 g 3040 4314 N 0 39 49 0 0 -39 h\n.8 g
      2992 4314 N 0 39 48 0 0 -39 h\n.8 g 2943 4314 N 0 39 49 0 0 -39 h\n.8 g
      2895 4314 N 0 39 48 0 0 -39 h\n.8 g 2846 4314 N 0 39 49 0 0 -39 h\n.8 g
      2797 4314 N 0 39 49 0 0 -39 h\n.8 g 2749 4314 N 0 39 48 0 0 -39 h\n.8 g
      2700 4314 N 0 39 49 0 0 -39 h\n.8 g 2652 4314 N 0 39 48 0 0 -39 h\n.8 g
      2603 4314 N 0 39 49 0 0 -39 h\n.8 g 2554 4314 N 0 39 49 0 0 -39 h\n.8 g
      2506 4314 N 0 39 48 0 0 -39 h\n.8 g 2457 4314 N 0 39 49 0 0 -39 h\n.8 g
      2409 4314 N 0 39 48 0 0 -39 h\n.8 g 2360 4314 N 0 39 49 0 0 -39 h\n.8 g
      2311 4314 N 0 39 49 0 0 -39 h\n.8 g 2263 4314 N 0 39 48 0 0 -39 h\n.8 g
      2214 4314 N 0 39 49 0 0 -39 h\n.8 g 2165 4314 N 0 39 49 0 0 -39 h\n.85
      g 2117 4314 N 0 39 48 0 0 -39 h\n.95 g 2068 4314 N 0 39 49 0 0 -39 h\n1
      g 2020 4314 N 0 39 48 0 0 -39 h\n1 g 1971 4314 N 0 39 49 0 0 -39 h\n1 g
      1922 4314 N 0 39 49 0 0 -39 h\n1 g 1874 4314 N 0 39 48 0 0 -39 h\n1 g
      1825 4314 N 0 39 49 0 0 -39 h\n1 g 1777 4314 N 0 39 48 0 0 -39 h\n1 g
      1728 4314 N 0 39 49 0 0 -39 h\n1 g 1679 4314 N 0 39 49 0 0 -39 h\n1 g
      1631 4314 N 0 39 48 0 0 -39 h\n1 g 1582 4314 N 0 39 49 0 0 -39 h\n1 g
      1534 4314 N 0 39 48 0 0 -39 h\n1 g 1485 4314 N 0 39 49 0 0 -39 h\n1 g
      1436 4314 N 0 39 49 0 0 -39 h\n1 g 1388 4314 N 0 39 48 0 0 -39 h\n1 g
      1339 4314 N 0 39 49 0 0 -39 h\n1 g 1290 4314 N 0 39 49 0 0 -39 h\n1 g
      1242 4314 N 0 39 48 0 0 -39 h\n1 g 1193 4314 N 0 39 49 0 0 -39 h\n1 g
      5957 4275 N 0 38 49 0 0 -38 h\n1 g 5909 4275 N 0 38 48 0 0 -38 h\n1 g
      5860 4275 N 0 38 49 0 0 -38 h\n1 g 5811 4275 N 0 38 49 0 0 -38 h\n1 g
      5763 4275 N 0 38 48 0 0 -38 h\n1 g 5714 4275 N 0 38 49 0 0 -38 h\n1 g
      5665 4275 N 0 38 49 0 0 -38 h\n1 g 5617 4275 N 0 38 48 0 0 -38 h\n1 g
      5568 4275 N 0 38 49 0 0 -38 h\n1 g 5520 4275 N 0 38 48 0 0 -38 h\n1 g
      5471 4275 N 0 38 49 0 0 -38 h\n1 g 5422 4275 N 0 38 49 0 0 -38 h\n1 g
      5374 4275 N 0 38 48 0 0 -38 h\n1 g 5325 4275 N 0 38 49 0 0 -38 h\n1 g
      5277 4275 N 0 38 48 0 0 -38 h\n1 g 5228 4275 N 0 38 49 0 0 -38 h\n1 g
      5179 4275 N 0 38 49 0 0 -38 h\n1 g 5131 4275 N 0 38 48 0 0 -38 h\n1 g
      5082 4275 N 0 38 49 0 0 -38 h\n.9 g 5034 4275 N 0 38 48 0 0 -38 h\n.8 g
      4985 4275 N 0 38 49 0 0 -38 h\n.8 g 4936 4275 N 0 38 49 0 0 -38 h\n.8 g
      4888 4275 N 0 38 48 0 0 -38 h\n.8 g 4839 4275 N 0 38 49 0 0 -38 h\n.8 g
      4790 4275 N 0 38 49 0 0 -38 h\n.8 g 4742 4275 N 0 38 48 0 0 -38 h\n.8 g
      4693 4275 N 0 38 49 0 0 -38 h\n.8 g 4645 4275 N 0 38 48 0 0 -38 h\n.8 g
      4596 4275 N 0 38 49 0 0 -38 h\n.8 g 4547 4275 N 0 38 49 0 0 -38 h\n.8 g
      4499 4275 N 0 38 48 0 0 -38 h\n.8 g 4450 4275 N 0 38 49 0 0 -38 h\n.8 g
      4402 4275 N 0 38 48 0 0 -38 h\n.8 g 4353 4275 N 0 38 49 0 0 -38 h\n.8 g
      4304 4275 N 0 38 49 0 0 -38 h\n.8 g 4256 4275 N 0 38 48 0 0 -38 h\n.8 g
      4207 4275 N 0 38 49 0 0 -38 h\n.8 g 4159 4275 N 0 38 48 0 0 -38 h\n.8 g
      4110 4275 N 0 38 49 0 0 -38 h\n.8 g 4061 4275 N 0 38 49 0 0 -38 h\n.8 g
      4013 4275 N 0 38 48 0 0 -38 h\n.8 g 3964 4275 N 0 38 49 0 0 -38 h\n.8 g
      3915 4275 N 0 38 49 0 0 -38 h\n.8 g 3867 4275 N 0 38 48 0 0 -38 h\n.8 g
      3818 4275 N 0 38 49 0 0 -38 h\n.8 g 3770 4275 N 0 38 48 0 0 -38 h\n.8 g
      3721 4275 N 0 38 49 0 0 -38 h\n.8 g 3672 4275 N 0 38 49 0 0 -38 h\n.8 g
      3624 4275 N 0 38 48 0 0 -38 h\n.8 g 3575 4275 N 0 38 49 0 0 -38 h\n.8 g
      3527 4275 N 0 38 48 0 0 -38 h\n.8 g 3478 4275 N 0 38 49 0 0 -38 h\n.8 g
      3429 4275 N 0 38 49 0 0 -38 h\n.8 g 3381 4275 N 0 38 48 0 0 -38 h\n.8 g
      3332 4275 N 0 38 49 0 0 -38 h\n.8 g 3284 4275 N 0 38 48 0 0 -38 h\n.8 g
      3235 4275 N 0 38 49 0 0 -38 h\n.8 g 3186 4275 N 0 38 49 0 0 -38 h\n.8 g
      3138 4275 N 0 38 48 0 0 -38 h\n.8 g 3089 4275 N 0 38 49 0 0 -38 h\n.8 g
      3040 4275 N 0 38 49 0 0 -38 h\n.8 g 2992 4275 N 0 38 48 0 0 -38 h\n.8 g
      2943 4275 N 0 38 49 0 0 -38 h\n.8 g 2895 4275 N 0 38 48 0 0 -38 h\n.8 g
      2846 4275 N 0 38 49 0 0 -38 h\n.8 g 2797 4275 N 0 38 49 0 0 -38 h\n.8 g
      2749 4275 N 0 38 48 0 0 -38 h\n.8 g 2700 4275 N 0 38 49 0 0 -38 h\n.8 g
      2652 4275 N 0 38 48 0 0 -38 h\n.8 g 2603 4275 N 0 38 49 0 0 -38 h\n.8 g
      2554 4275 N 0 38 49 0 0 -38 h\n.8 g 2506 4275 N 0 38 48 0 0 -38 h\n.8 g
      2457 4275 N 0 38 49 0 0 -38 h\n.8 g 2409 4275 N 0 38 48 0 0 -38 h\n.8 g
      2360 4275 N 0 38 49 0 0 -38 h\n.8 g 2311 4275 N 0 38 49 0 0 -38 h\n.8 g
      2263 4275 N 0 38 48 0 0 -38 h\n.8 g 2214 4275 N 0 38 49 0 0 -38 h\n.8 g
      2165 4275 N 0 38 49 0 0 -38 h\n.9 g 2117 4275 N 0 38 48 0 0 -38 h\n1 g
      2068 4275 N 0 38 49 0 0 -38 h\n1 g 2020 4275 N 0 38 48 0 0 -38 h\n1 g
      1971 4275 N 0 38 49 0 0 -38 h\n1 g 1922 4275 N 0 38 49 0 0 -38 h\n1 g
      1874 4275 N 0 38 48 0 0 -38 h\n1 g 1825 4275 N 0 38 49 0 0 -38 h\n1 g
      1777 4275 N 0 38 48 0 0 -38 h\n1 g 1728 4275 N 0 38 49 0 0 -38 h\n1 g
      1679 4275 N 0 38 49 0 0 -38 h\n1 g 1631 4275 N 0 38 48 0 0 -38 h\n1 g
      1582 4275 N 0 38 49 0 0 -38 h\n1 g 1534 4275 N 0 38 48 0 0 -38 h\n1 g
      1485 4275 N 0 38 49 0 0 -38 h\n1 g 1436 4275 N 0 38 49 0 0 -38 h\n1 g
      1388 4275 N 0 38 48 0 0 -38 h\n1 g 1339 4275 N 0 38 49 0 0 -38 h\n1 g
      1290 4275 N 0 38 49 0 0 -38 h\n1 g 1242 4275 N 0 38 48 0 0 -38 h\n1 g
      1193 4275 N 0 38 49 0 0 -38 h\n1 g 5957 4237 N 0 39 49 0 0 -39 h\n1 g
      5909 4237 N 0 39 48 0 0 -39 h\n1 g 5860 4237 N 0 39 49 0 0 -39 h\n1 g
      5811 4237 N 0 39 49 0 0 -39 h\n1 g 5763 4237 N 0 39 48 0 0 -39 h\n1 g
      5714 4237 N 0 39 49 0 0 -39 h\n1 g 5665 4237 N 0 39 49 0 0 -39 h\n1 g
      5617 4237 N 0 39 48 0 0 -39 h\n1 g 5568 4237 N 0 39 49 0 0 -39 h\n1 g
      5520 4237 N 0 39 48 0 0 -39 h\n1 g 5471 4237 N 0 39 49 0 0 -39 h\n1 g
      5422 4237 N 0 39 49 0 0 -39 h\n1 g 5374 4237 N 0 39 48 0 0 -39 h\n1 g
      5325 4237 N 0 39 49 0 0 -39 h\n1 g 5277 4237 N 0 39 48 0 0 -39 h\n1 g
      5228 4237 N 0 39 49 0 0 -39 h\n1 g 5179 4237 N 0 39 49 0 0 -39 h\n1 g
      5131 4237 N 0 39 48 0 0 -39 h\n1 g 5082 4237 N 0 39 49 0 0 -39 h\n.9 g
      5034 4237 N 0 39 48 0 0 -39 h\n.8 g 4985 4237 N 0 39 49 0 0 -39 h\n.8 g
      4936 4237 N 0 39 49 0 0 -39 h\n.8 g 4888 4237 N 0 39 48 0 0 -39 h\n.8 g
      4839 4237 N 0 39 49 0 0 -39 h\n.8 g 4790 4237 N 0 39 49 0 0 -39 h\n.8 g
      4742 4237 N 0 39 48 0 0 -39 h\n.8 g 4693 4237 N 0 39 49 0 0 -39 h\n.8 g
      4645 4237 N 0 39 48 0 0 -39 h\n.8 g 4596 4237 N 0 39 49 0 0 -39 h\n.8 g
      4547 4237 N 0 39 49 0 0 -39 h\n.8 g 4499 4237 N 0 39 48 0 0 -39 h\n.8 g
      4450 4237 N 0 39 49 0 0 -39 h\n.8 g 4402 4237 N 0 39 48 0 0 -39 h\n.8 g
      4353 4237 N 0 39 49 0 0 -39 h\n.8 g 4304 4237 N 0 39 49 0 0 -39 h\n.8 g
      4256 4237 N 0 39 48 0 0 -39 h\n.8 g 4207 4237 N 0 39 49 0 0 -39 h\n.8 g
      4159 4237 N 0 39 48 0 0 -39 h\n.8 g 4110 4237 N 0 39 49 0 0 -39 h\n.8 g
      4061 4237 N 0 39 49 0 0 -39 h\n.8 g 4013 4237 N 0 39 48 0 0 -39 h\n.8 g
      3964 4237 N 0 39 49 0 0 -39 h\n.8 g 3915 4237 N 0 39 49 0 0 -39 h\n.8 g
      3867 4237 N 0 39 48 0 0 -39 h\n.8 g 3818 4237 N 0 39 49 0 0 -39 h\n.8 g
      3770 4237 N 0 39 48 0 0 -39 h\n.8 g 3721 4237 N 0 39 49 0 0 -39 h\n.8 g
      3672 4237 N 0 39 49 0 0 -39 h\n.8 g 3624 4237 N 0 39 48 0 0 -39 h\n.8 g
      3575 4237 N 0 39 49 0 0 -39 h\n.8 g 3527 4237 N 0 39 48 0 0 -39 h\n.8 g
      3478 4237 N 0 39 49 0 0 -39 h\n.8 g 3429 4237 N 0 39 49 0 0 -39 h\n.8 g
      3381 4237 N 0 39 48 0 0 -39 h\n.8 g 3332 4237 N 0 39 49 0 0 -39 h\n.8 g
      3284 4237 N 0 39 48 0 0 -39 h\n.8 g 3235 4237 N 0 39 49 0 0 -39 h\n.8 g
      3186 4237 N 0 39 49 0 0 -39 h\n.8 g 3138 4237 N 0 39 48 0 0 -39 h\n.8 g
      3089 4237 N 0 39 49 0 0 -39 h\n.8 g 3040 4237 N 0 39 49 0 0 -39 h\n.8 g
      2992 4237 N 0 39 48 0 0 -39 h\n.8 g 2943 4237 N 0 39 49 0 0 -39 h\n.8 g
      2895 4237 N 0 39 48 0 0 -39 h\n.8 g 2846 4237 N 0 39 49 0 0 -39 h\n.8 g
      2797 4237 N 0 39 49 0 0 -39 h\n.8 g 2749 4237 N 0 39 48 0 0 -39 h\n.8 g
      2700 4237 N 0 39 49 0 0 -39 h\n.8 g 2652 4237 N 0 39 48 0 0 -39 h\n.8 g
      2603 4237 N 0 39 49 0 0 -39 h\n.8 g 2554 4237 N 0 39 49 0 0 -39 h\n.8 g
      2506 4237 N 0 39 48 0 0 -39 h\n.8 g 2457 4237 N 0 39 49 0 0 -39 h\n.8 g
      2409 4237 N 0 39 48 0 0 -39 h\n.8 g 2360 4237 N 0 39 49 0 0 -39 h\n.8 g
      2311 4237 N 0 39 49 0 0 -39 h\n.8 g 2263 4237 N 0 39 48 0 0 -39 h\n.8 g
      2214 4237 N 0 39 49 0 0 -39 h\n.8 g 2165 4237 N 0 39 49 0 0 -39 h\n.9 g
      2117 4237 N 0 39 48 0 0 -39 h\n1 g 2068 4237 N 0 39 49 0 0 -39 h\n1 g
      2020 4237 N 0 39 48 0 0 -39 h\n1 g 1971 4237 N 0 39 49 0 0 -39 h\n1 g
      1922 4237 N 0 39 49 0 0 -39 h\n1 g 1874 4237 N 0 39 48 0 0 -39 h\n1 g
      1825 4237 N 0 39 49 0 0 -39 h\n1 g 1777 4237 N 0 39 48 0 0 -39 h\n1 g
      1728 4237 N 0 39 49 0 0 -39 h\n1 g 1679 4237 N 0 39 49 0 0 -39 h\n1 g
      1631 4237 N 0 39 48 0 0 -39 h\n1 g 1582 4237 N 0 39 49 0 0 -39 h\n1 g
      1534 4237 N 0 39 48 0 0 -39 h\n1 g 1485 4237 N 0 39 49 0 0 -39 h\n1 g
      1436 4237 N 0 39 49 0 0 -39 h\n1 g 1388 4237 N 0 39 48 0 0 -39 h\n1 g
      1339 4237 N 0 39 49 0 0 -39 h\n1 g 1290 4237 N 0 39 49 0 0 -39 h\n1 g
      1242 4237 N 0 39 48 0 0 -39 h\n1 g 1193 4237 N 0 39 49 0 0 -39 h\n1 g
      5957 4198 N 0 39 49 0 0 -39 h\n1 g 5909 4198 N 0 39 48 0 0 -39 h\n1 g
      5860 4198 N 0 39 49 0 0 -39 h\n1 g 5811 4198 N 0 39 49 0 0 -39 h\n1 g
      5763 4198 N 0 39 48 0 0 -39 h\n1 g 5714 4198 N 0 39 49 0 0 -39 h\n1 g
      5665 4198 N 0 39 49 0 0 -39 h\n1 g 5617 4198 N 0 39 48 0 0 -39 h\n1 g
      5568 4198 N 0 39 49 0 0 -39 h\n1 g 5520 4198 N 0 39 48 0 0 -39 h\n1 g
      5471 4198 N 0 39 49 0 0 -39 h\n1 g 5422 4198 N 0 39 49 0 0 -39 h\n1 g
      5374 4198 N 0 39 48 0 0 -39 h\n1 g 5325 4198 N 0 39 49 0 0 -39 h\n1 g
      5277 4198 N 0 39 48 0 0 -39 h\n1 g 5228 4198 N 0 39 49 0 0 -39 h\n1 g
      5179 4198 N 0 39 49 0 0 -39 h\n1 g 5131 4198 N 0 39 48 0 0 -39 h\n1 g
      5082 4198 N 0 39 49 0 0 -39 h\n.9 g 5034 4198 N 0 39 48 0 0 -39 h\n.8 g
      4985 4198 N 0 39 49 0 0 -39 h\n.8 g 4936 4198 N 0 39 49 0 0 -39 h\n.8 g
      4888 4198 N 0 39 48 0 0 -39 h\n.8 g 4839 4198 N 0 39 49 0 0 -39 h\n.8 g
      4790 4198 N 0 39 49 0 0 -39 h\n.8 g 4742 4198 N 0 39 48 0 0 -39 h\n.8 g
      4693 4198 N 0 39 49 0 0 -39 h\n.8 g 4645 4198 N 0 39 48 0 0 -39 h\n.8 g
      4596 4198 N 0 39 49 0 0 -39 h\n.8 g 4547 4198 N 0 39 49 0 0 -39 h\n.8 g
      4499 4198 N 0 39 48 0 0 -39 h\n.8 g 4450 4198 N 0 39 49 0 0 -39 h\n.8 g
      4402 4198 N 0 39 48 0 0 -39 h\n.8 g 4353 4198 N 0 39 49 0 0 -39 h\n.8 g
      4304 4198 N 0 39 49 0 0 -39 h\n.8 g 4256 4198 N 0 39 48 0 0 -39 h\n.8 g
      4207 4198 N 0 39 49 0 0 -39 h\n.8 g 4159 4198 N 0 39 48 0 0 -39 h\n.8 g
      4110 4198 N 0 39 49 0 0 -39 h\n.8 g 4061 4198 N 0 39 49 0 0 -39 h\n.8 g
      4013 4198 N 0 39 48 0 0 -39 h\n.8 g 3964 4198 N 0 39 49 0 0 -39 h\n.8 g
      3915 4198 N 0 39 49 0 0 -39 h\n.8 g 3867 4198 N 0 39 48 0 0 -39 h\n.8 g
      3818 4198 N 0 39 49 0 0 -39 h\n.8 g 3770 4198 N 0 39 48 0 0 -39 h\n.8 g
      3721 4198 N 0 39 49 0 0 -39 h\n.8 g 3672 4198 N 0 39 49 0 0 -39 h\n.8 g
      3624 4198 N 0 39 48 0 0 -39 h\n.8 g 3575 4198 N 0 39 49 0 0 -39 h\n.8 g
      3527 4198 N 0 39 48 0 0 -39 h\n.8 g 3478 4198 N 0 39 49 0 0 -39 h\n.8 g
      3429 4198 N 0 39 49 0 0 -39 h\n.8 g 3381 4198 N 0 39 48 0 0 -39 h\n.8 g
      3332 4198 N 0 39 49 0 0 -39 h\n.8 g 3284 4198 N 0 39 48 0 0 -39 h\n.8 g
      3235 4198 N 0 39 49 0 0 -39 h\n.8 g 3186 4198 N 0 39 49 0 0 -39 h\n.8 g
      3138 4198 N 0 39 48 0 0 -39 h\n.8 g 3089 4198 N 0 39 49 0 0 -39 h\n.8 g
      3040 4198 N 0 39 49 0 0 -39 h\n.8 g 2992 4198 N 0 39 48 0 0 -39 h\n.8 g
      2943 4198 N 0 39 49 0 0 -39 h\n.8 g 2895 4198 N 0 39 48 0 0 -39 h\n.8 g
      2846 4198 N 0 39 49 0 0 -39 h\n.8 g 2797 4198 N 0 39 49 0 0 -39 h\n.8 g
      2749 4198 N 0 39 48 0 0 -39 h\n.8 g 2700 4198 N 0 39 49 0 0 -39 h\n.8 g
      2652 4198 N 0 39 48 0 0 -39 h\n.8 g 2603 4198 N 0 39 49 0 0 -39 h\n.8 g
      2554 4198 N 0 39 49 0 0 -39 h\n.8 g 2506 4198 N 0 39 48 0 0 -39 h\n.8 g
      2457 4198 N 0 39 49 0 0 -39 h\n.8 g 2409 4198 N 0 39 48 0 0 -39 h\n.8 g
      2360 4198 N 0 39 49 0 0 -39 h\n.8 g 2311 4198 N 0 39 49 0 0 -39 h\n.8 g
      2263 4198 N 0 39 48 0 0 -39 h\n.8 g 2214 4198 N 0 39 49 0 0 -39 h\n.8 g
      2165 4198 N 0 39 49 0 0 -39 h\n.9 g 2117 4198 N 0 39 48 0 0 -39 h\n1 g
      2068 4198 N 0 39 49 0 0 -39 h\n1 g 2020 4198 N 0 39 48 0 0 -39 h\n1 g
      1971 4198 N 0 39 49 0 0 -39 h\n1 g 1922 4198 N 0 39 49 0 0 -39 h\n1 g
      1874 4198 N 0 39 48 0 0 -39 h\n1 g 1825 4198 N 0 39 49 0 0 -39 h\n1 g
      1777 4198 N 0 39 48 0 0 -39 h\n1 g 1728 4198 N 0 39 49 0 0 -39 h\n1 g
      1679 4198 N 0 39 49 0 0 -39 h\n1 g 1631 4198 N 0 39 48 0 0 -39 h\n1 g
      1582 4198 N 0 39 49 0 0 -39 h\n1 g 1534 4198 N 0 39 48 0 0 -39 h\n1 g
      1485 4198 N 0 39 49 0 0 -39 h\n1 g 1436 4198 N 0 39 49 0 0 -39 h\n1 g
      1388 4198 N 0 39 48 0 0 -39 h\n1 g 1339 4198 N 0 39 49 0 0 -39 h\n1 g
      1290 4198 N 0 39 49 0 0 -39 h\n1 g 1242 4198 N 0 39 48 0 0 -39 h\n1 g
      1193 4198 N 0 39 49 0 0 -39 h\n1 g 5957 4159 N 0 39 49 0 0 -39 h\n1 g
      5909 4159 N 0 39 48 0 0 -39 h\n1 g 5860 4159 N 0 39 49 0 0 -39 h\n1 g
      5811 4159 N 0 39 49 0 0 -39 h\n1 g 5763 4159 N 0 39 48 0 0 -39 h\n1 g
      5714 4159 N 0 39 49 0 0 -39 h\n1 g 5665 4159 N 0 39 49 0 0 -39 h\n1 g
      5617 4159 N 0 39 48 0 0 -39 h\n1 g 5568 4159 N 0 39 49 0 0 -39 h\n1 g
      5520 4159 N 0 39 48 0 0 -39 h\n1 g 5471 4159 N 0 39 49 0 0 -39 h\n1 g
      5422 4159 N 0 39 49 0 0 -39 h\n1 g 5374 4159 N 0 39 48 0 0 -39 h\n1 g
      5325 4159 N 0 39 49 0 0 -39 h\n1 g 5277 4159 N 0 39 48 0 0 -39 h\n1 g
      5228 4159 N 0 39 49 0 0 -39 h\n1 g 5179 4159 N 0 39 49 0 0 -39 h\n1 g
      5131 4159 N 0 39 48 0 0 -39 h\n1 g 5082 4159 N 0 39 49 0 0 -39 h\n.9 g
      5034 4159 N 0 39 48 0 0 -39 h\n.8 g 4985 4159 N 0 39 49 0 0 -39 h\n.8 g
      4936 4159 N 0 39 49 0 0 -39 h\n.8 g 4888 4159 N 0 39 48 0 0 -39 h\n.8 g
      4839 4159 N 0 39 49 0 0 -39 h\n.8 g 4790 4159 N 0 39 49 0 0 -39 h\n.8 g
      4742 4159 N 0 39 48 0 0 -39 h\n.8 g 4693 4159 N 0 39 49 0 0 -39 h\n.8 g
      4645 4159 N 0 39 48 0 0 -39 h\n.8 g 4596 4159 N 0 39 49 0 0 -39 h\n.8 g
      4547 4159 N 0 39 49 0 0 -39 h\n.8 g 4499 4159 N 0 39 48 0 0 -39 h\n.8 g
      4450 4159 N 0 39 49 0 0 -39 h\n.8 g 4402 4159 N 0 39 48 0 0 -39 h\n.8 g
      4353 4159 N 0 39 49 0 0 -39 h\n.8 g 4304 4159 N 0 39 49 0 0 -39 h\n.8 g
      4256 4159 N 0 39 48 0 0 -39 h\n.8 g 4207 4159 N 0 39 49 0 0 -39 h\n.8 g
      4159 4159 N 0 39 48 0 0 -39 h\n.8 g 4110 4159 N 0 39 49 0 0 -39 h\n.8 g
      4061 4159 N 0 39 49 0 0 -39 h\n.8 g 4013 4159 N 0 39 48 0 0 -39 h\n.8 g
      3964 4159 N 0 39 49 0 0 -39 h\n.8 g 3915 4159 N 0 39 49 0 0 -39 h\n.8 g
      3867 4159 N 0 39 48 0 0 -39 h\n.8 g 3818 4159 N 0 39 49 0 0 -39 h\n.8 g
      3770 4159 N 0 39 48 0 0 -39 h\n.8 g 3721 4159 N 0 39 49 0 0 -39 h\n.8 g
      3672 4159 N 0 39 49 0 0 -39 h\n.8 g 3624 4159 N 0 39 48 0 0 -39 h\n.8 g
      3575 4159 N 0 39 49 0 0 -39 h\n.8 g 3527 4159 N 0 39 48 0 0 -39 h\n.8 g
      3478 4159 N 0 39 49 0 0 -39 h\n.8 g 3429 4159 N 0 39 49 0 0 -39 h\n.8 g
      3381 4159 N 0 39 48 0 0 -39 h\n.8 g 3332 4159 N 0 39 49 0 0 -39 h\n.8 g
      3284 4159 N 0 39 48 0 0 -39 h\n.8 g 3235 4159 N 0 39 49 0 0 -39 h\n.8 g
      3186 4159 N 0 39 49 0 0 -39 h\n.8 g 3138 4159 N 0 39 48 0 0 -39 h\n.8 g
      3089 4159 N 0 39 49 0 0 -39 h\n.8 g 3040 4159 N 0 39 49 0 0 -39 h\n.8 g
      2992 4159 N 0 39 48 0 0 -39 h\n.8 g 2943 4159 N 0 39 49 0 0 -39 h\n.8 g
      2895 4159 N 0 39 48 0 0 -39 h\n.8 g 2846 4159 N 0 39 49 0 0 -39 h\n.8 g
      2797 4159 N 0 39 49 0 0 -39 h\n.8 g 2749 4159 N 0 39 48 0 0 -39 h\n.8 g
      2700 4159 N 0 39 49 0 0 -39 h\n.8 g 2652 4159 N 0 39 48 0 0 -39 h\n.8 g
      2603 4159 N 0 39 49 0 0 -39 h\n.8 g 2554 4159 N 0 39 49 0 0 -39 h\n.8 g
      2506 4159 N 0 39 48 0 0 -39 h\n.8 g 2457 4159 N 0 39 49 0 0 -39 h\n.8 g
      2409 4159 N 0 39 48 0 0 -39 h\n.8 g 2360 4159 N 0 39 49 0 0 -39 h\n.8 g
      2311 4159 N 0 39 49 0 0 -39 h\n.8 g 2263 4159 N 0 39 48 0 0 -39 h\n.8 g
      2214 4159 N 0 39 49 0 0 -39 h\n.8 g 2165 4159 N 0 39 49 0 0 -39 h\n.9 g
      2117 4159 N 0 39 48 0 0 -39 h\n1 g 2068 4159 N 0 39 49 0 0 -39 h\n1 g
      2020 4159 N 0 39 48 0 0 -39 h\n1 g 1971 4159 N 0 39 49 0 0 -39 h\n1 g
      1922 4159 N 0 39 49 0 0 -39 h\n1 g 1874 4159 N 0 39 48 0 0 -39 h\n1 g
      1825 4159 N 0 39 49 0 0 -39 h\n1 g 1777 4159 N 0 39 48 0 0 -39 h\n1 g
      1728 4159 N 0 39 49 0 0 -39 h\n1 g 1679 4159 N 0 39 49 0 0 -39 h\n1 g
      1631 4159 N 0 39 48 0 0 -39 h\n1 g 1582 4159 N 0 39 49 0 0 -39 h\n1 g
      1534 4159 N 0 39 48 0 0 -39 h\n1 g 1485 4159 N 0 39 49 0 0 -39 h\n1 g
      1436 4159 N 0 39 49 0 0 -39 h\n1 g 1388 4159 N 0 39 48 0 0 -39 h\n1 g
      1339 4159 N 0 39 49 0 0 -39 h\n1 g 1290 4159 N 0 39 49 0 0 -39 h\n1 g
      1242 4159 N 0 39 48 0 0 -39 h\n1 g 1193 4159 N 0 39 49 0 0 -39 h\n1 g
      5957 4120 N 0 38 49 0 0 -38 h\n1 g 5909 4120 N 0 38 48 0 0 -38 h\n1 g
      5860 4120 N 0 38 49 0 0 -38 h\n1 g 5811 4120 N 0 38 49 0 0 -38 h\n1 g
      5763 4120 N 0 38 48 0 0 -38 h\n1 g 5714 4120 N 0 38 49 0 0 -38 h\n1 g
      5665 4120 N 0 38 49 0 0 -38 h\n1 g 5617 4120 N 0 38 48 0 0 -38 h\n1 g
      5568 4120 N 0 38 49 0 0 -38 h\n1 g 5520 4120 N 0 38 48 0 0 -38 h\n1 g
      5471 4120 N 0 38 49 0 0 -38 h\n1 g 5422 4120 N 0 38 49 0 0 -38 h\n1 g
      5374 4120 N 0 38 48 0 0 -38 h\n1 g 5325 4120 N 0 38 49 0 0 -38 h\n1 g
      5277 4120 N 0 38 48 0 0 -38 h\n1 g 5228 4120 N 0 38 49 0 0 -38 h\n1 g
      5179 4120 N 0 38 49 0 0 -38 h\n1 g 5131 4120 N 0 38 48 0 0 -38 h\n1 g
      5082 4120 N 0 38 49 0 0 -38 h\n.9 g 5034 4120 N 0 38 48 0 0 -38 h\n.8 g
      4985 4120 N 0 38 49 0 0 -38 h\n.8 g 4936 4120 N 0 38 49 0 0 -38 h\n.8 g
      4888 4120 N 0 38 48 0 0 -38 h\n.8 g 4839 4120 N 0 38 49 0 0 -38 h\n.8 g
      4790 4120 N 0 38 49 0 0 -38 h\n.8 g 4742 4120 N 0 38 48 0 0 -38 h\n.8 g
      4693 4120 N 0 38 49 0 0 -38 h\n.8 g 4645 4120 N 0 38 48 0 0 -38 h\n.8 g
      4596 4120 N 0 38 49 0 0 -38 h\n.8 g 4547 4120 N 0 38 49 0 0 -38 h\n.8 g
      4499 4120 N 0 38 48 0 0 -38 h\n.8 g 4450 4120 N 0 38 49 0 0 -38 h\n.8 g
      4402 4120 N 0 38 48 0 0 -38 h\n.8 g 4353 4120 N 0 38 49 0 0 -38 h\n.8 g
      4304 4120 N 0 38 49 0 0 -38 h\n.8 g 4256 4120 N 0 38 48 0 0 -38 h\n.8 g
      4207 4120 N 0 38 49 0 0 -38 h\n.8 g 4159 4120 N 0 38 48 0 0 -38 h\n.8 g
      4110 4120 N 0 38 49 0 0 -38 h\n.8 g 4061 4120 N 0 38 49 0 0 -38 h\n.8 g
      4013 4120 N 0 38 48 0 0 -38 h\n.8 g 3964 4120 N 0 38 49 0 0 -38 h\n.8 g
      3915 4120 N 0 38 49 0 0 -38 h\n.8 g 3867 4120 N 0 38 48 0 0 -38 h\n.8 g
      3818 4120 N 0 38 49 0 0 -38 h\n.8 g 3770 4120 N 0 38 48 0 0 -38 h\n.8 g
      3721 4120 N 0 38 49 0 0 -38 h\n.8 g 3672 4120 N 0 38 49 0 0 -38 h\n.8 g
      3624 4120 N 0 38 48 0 0 -38 h\n.8 g 3575 4120 N 0 38 49 0 0 -38 h\n.8 g
      3527 4120 N 0 38 48 0 0 -38 h\n.8 g 3478 4120 N 0 38 49 0 0 -38 h\n.8 g
      3429 4120 N 0 38 49 0 0 -38 h\n.8 g 3381 4120 N 0 38 48 0 0 -38 h\n.8 g
      3332 4120 N 0 38 49 0 0 -38 h\n.8 g 3284 4120 N 0 38 48 0 0 -38 h\n.8 g
      3235 4120 N 0 38 49 0 0 -38 h\n.8 g 3186 4120 N 0 38 49 0 0 -38 h\n.8 g
      3138 4120 N 0 38 48 0 0 -38 h\n.8 g 3089 4120 N 0 38 49 0 0 -38 h\n.8 g
      3040 4120 N 0 38 49 0 0 -38 h\n.8 g 2992 4120 N 0 38 48 0 0 -38 h\n.8 g
      2943 4120 N 0 38 49 0 0 -38 h\n.8 g 2895 4120 N 0 38 48 0 0 -38 h\n.8 g
      2846 4120 N 0 38 49 0 0 -38 h\n.8 g 2797 4120 N 0 38 49 0 0 -38 h\n.8 g
      2749 4120 N 0 38 48 0 0 -38 h\n.8 g 2700 4120 N 0 38 49 0 0 -38 h\n.8 g
      2652 4120 N 0 38 48 0 0 -38 h\n.8 g 2603 4120 N 0 38 49 0 0 -38 h\n.8 g
      2554 4120 N 0 38 49 0 0 -38 h\n.8 g 2506 4120 N 0 38 48 0 0 -38 h\n.8 g
      2457 4120 N 0 38 49 0 0 -38 h\n.8 g 2409 4120 N 0 38 48 0 0 -38 h\n.8 g
      2360 4120 N 0 38 49 0 0 -38 h\n.8 g 2311 4120 N 0 38 49 0 0 -38 h\n.8 g
      2263 4120 N 0 38 48 0 0 -38 h\n.8 g 2214 4120 N 0 38 49 0 0 -38 h\n.8 g
      2165 4120 N 0 38 49 0 0 -38 h\n.9 g 2117 4120 N 0 38 48 0 0 -38 h\n1 g
      2068 4120 N 0 38 49 0 0 -38 h\n1 g 2020 4120 N 0 38 48 0 0 -38 h\n1 g
      1971 4120 N 0 38 49 0 0 -38 h\n1 g 1922 4120 N 0 38 49 0 0 -38 h\n1 g
      1874 4120 N 0 38 48 0 0 -38 h\n1 g 1825 4120 N 0 38 49 0 0 -38 h\n1 g
      1777 4120 N 0 38 48 0 0 -38 h\n1 g 1728 4120 N 0 38 49 0 0 -38 h\n1 g
      1679 4120 N 0 38 49 0 0 -38 h\n1 g 1631 4120 N 0 38 48 0 0 -38 h\n1 g
      1582 4120 N 0 38 49 0 0 -38 h\n1 g 1534 4120 N 0 38 48 0 0 -38 h\n1 g
      1485 4120 N 0 38 49 0 0 -38 h\n1 g 1436 4120 N 0 38 49 0 0 -38 h\n1 g
      1388 4120 N 0 38 48 0 0 -38 h\n1 g 1339 4120 N 0 38 49 0 0 -38 h\n1 g
      1290 4120 N 0 38 49 0 0 -38 h\n1 g 1242 4120 N 0 38 48 0 0 -38 h\n1 g
      1193 4120 N 0 38 49 0 0 -38 h\n1 g 5957 4082 N 0 39 49 0 0 -39 h\n1 g
      5909 4082 N 0 39 48 0 0 -39 h\n1 g 5860 4082 N 0 39 49 0 0 -39 h\n1 g
      5811 4082 N 0 39 49 0 0 -39 h\n1 g 5763 4082 N 0 39 48 0 0 -39 h\n1 g
      5714 4082 N 0 39 49 0 0 -39 h\n1 g 5665 4082 N 0 39 49 0 0 -39 h\n1 g
      5617 4082 N 0 39 48 0 0 -39 h\n1 g 5568 4082 N 0 39 49 0 0 -39 h\n1 g
      5520 4082 N 0 39 48 0 0 -39 h\n1 g 5471 4082 N 0 39 49 0 0 -39 h\n1 g
      5422 4082 N 0 39 49 0 0 -39 h\n1 g 5374 4082 N 0 39 48 0 0 -39 h\n1 g
      5325 4082 N 0 39 49 0 0 -39 h\n1 g 5277 4082 N 0 39 48 0 0 -39 h\n1 g
      5228 4082 N 0 39 49 0 0 -39 h\n1 g 5179 4082 N 0 39 49 0 0 -39 h\n1 g
      5131 4082 N 0 39 48 0 0 -39 h\n1 g 5082 4082 N 0 39 49 0 0 -39 h\n.95 g
      5034 4082 N 0 39 48 0 0 -39 h\n.85 g 4985 4082 N 0 39 49 0 0 -39 h\n.8
      g 4936 4082 N 0 39 49 0 0 -39 h\n.8 g 4888 4082 N 0 39 48 0 0 -39 h\n.8
      g 4839 4082 N 0 39 49 0 0 -39 h\n.8 g 4790 4082 N 0 39 49 0 0 -39 h\n.8
      g 4742 4082 N 0 39 48 0 0 -39 h\n.8 g 4693 4082 N 0 39 49 0 0 -39 h\n.8
      g 4645 4082 N 0 39 48 0 0 -39 h\n.8 g 4596 4082 N 0 39 49 0 0 -39 h\n.8
      g 4547 4082 N 0 39 49 0 0 -39 h\n.8 g 4499 4082 N 0 39 48 0 0 -39 h\n.8
      g 4450 4082 N 0 39 49 0 0 -39 h\n.8 g 4402 4082 N 0 39 48 0 0 -39 h\n.8
      g 4353 4082 N 0 39 49 0 0 -39 h\n.8 g 4304 4082 N 0 39 49 0 0 -39 h\n.8
      g 4256 4082 N 0 39 48 0 0 -39 h\n.8 g 4207 4082 N 0 39 49 0 0 -39 h\n.8
      g 4159 4082 N 0 39 48 0 0 -39 h\n.8 g 4110 4082 N 0 39 49 0 0 -39 h\n.8
      g 4061 4082 N 0 39 49 0 0 -39 h\n.8 g 4013 4082 N 0 39 48 0 0 -39 h\n.8
      g 3964 4082 N 0 39 49 0 0 -39 h\n.8 g 3915 4082 N 0 39 49 0 0 -39 h\n.8
      g 3867 4082 N 0 39 48 0 0 -39 h\n.8 g 3818 4082 N 0 39 49 0 0 -39 h\n.8
      g 3770 4082 N 0 39 48 0 0 -39 h\n.8 g 3721 4082 N 0 39 49 0 0 -39 h\n.8
      g 3672 4082 N 0 39 49 0 0 -39 h\n.8 g 3624 4082 N 0 39 48 0 0 -39 h\n.8
      g 3575 4082 N 0 39 49 0 0 -39 h\n.8 g 3527 4082 N 0 39 48 0 0 -39 h\n.8
      g 3478 4082 N 0 39 49 0 0 -39 h\n.8 g 3429 4082 N 0 39 49 0 0 -39 h\n.8
      g 3381 4082 N 0 39 48 0 0 -39 h\n.8 g 3332 4082 N 0 39 49 0 0 -39 h\n.8
      g 3284 4082 N 0 39 48 0 0 -39 h\n.8 g 3235 4082 N 0 39 49 0 0 -39 h\n.8
      g 3186 4082 N 0 39 49 0 0 -39 h\n.8 g 3138 4082 N 0 39 48 0 0 -39 h\n.8
      g 3089 4082 N 0 39 49 0 0 -39 h\n.8 g 3040 4082 N 0 39 49 0 0 -39 h\n.8
      g 2992 4082 N 0 39 48 0 0 -39 h\n.8 g 2943 4082 N 0 39 49 0 0 -39 h\n.8
      g 2895 4082 N 0 39 48 0 0 -39 h\n.8 g 2846 4082 N 0 39 49 0 0 -39 h\n.8
      g 2797 4082 N 0 39 49 0 0 -39 h\n.8 g 2749 4082 N 0 39 48 0 0 -39 h\n.8
      g 2700 4082 N 0 39 49 0 0 -39 h\n.8 g 2652 4082 N 0 39 48 0 0 -39 h\n.8
      g 2603 4082 N 0 39 49 0 0 -39 h\n.8 g 2554 4082 N 0 39 49 0 0 -39 h\n.8
      g 2506 4082 N 0 39 48 0 0 -39 h\n.8 g 2457 4082 N 0 39 49 0 0 -39 h\n.8
      g 2409 4082 N 0 39 48 0 0 -39 h\n.8 g 2360 4082 N 0 39 49 0 0 -39 h\n.8
      g 2311 4082 N 0 39 49 0 0 -39 h\n.8 g 2263 4082 N 0 39 48 0 0 -39 h\n.8
      g 2214 4082 N 0 39 49 0 0 -39 h\n.85 g 2165 4082 N 0 39 49 0 0 -39
      h\n.95 g 2117 4082 N 0 39 48 0 0 -39 h\n1 g 2068 4082 N 0 39 49 0 0 -39
      h\n1 g 2020 4082 N 0 39 48 0 0 -39 h\n1 g 1971 4082 N 0 39 49 0 0 -39
      h\n1 g 1922 4082 N 0 39 49 0 0 -39 h\n1 g 1874 4082 N 0 39 48 0 0 -39
      h\n1 g 1825 4082 N 0 39 49 0 0 -39 h\n1 g 1777 4082 N 0 39 48 0 0 -39
      h\n1 g 1728 4082 N 0 39 49 0 0 -39 h\n1 g 1679 4082 N 0 39 49 0 0 -39
      h\n1 g 1631 4082 N 0 39 48 0 0 -39 h\n1 g 1582 4082 N 0 39 49 0 0 -39
      h\n1 g 1534 4082 N 0 39 48 0 0 -39 h\n1 g 1485 4082 N 0 39 49 0 0 -39
      h\n1 g 1436 4082 N 0 39 49 0 0 -39 h\n1 g 1388 4082 N 0 39 48 0 0 -39
      h\n1 g 1339 4082 N 0 39 49 0 0 -39 h\n1 g 1290 4082 N 0 39 49 0 0 -39
      h\n1 g 1242 4082 N 0 39 48 0 0 -39 h\n1 g 1193 4082 N 0 39 49 0 0 -39
      h\n1 g 5957 4043 N 0 39 49 0 0 -39 h\n1 g 5909 4043 N 0 39 48 0 0 -39
      h\n1 g 5860 4043 N 0 39 49 0 0 -39 h\n1 g 5811 4043 N 0 39 49 0 0 -39
      h\n1 g 5763 4043 N 0 39 48 0 0 -39 h\n1 g 5714 4043 N 0 39 49 0 0 -39
      h\n1 g 5665 4043 N 0 39 49 0 0 -39 h\n1 g 5617 4043 N 0 39 48 0 0 -39
      h\n1 g 5568 4043 N 0 39 49 0 0 -39 h\n1 g 5520 4043 N 0 39 48 0 0 -39
      h\n1 g 5471 4043 N 0 39 49 0 0 -39 h\n1 g 5422 4043 N 0 39 49 0 0 -39
      h\n1 g 5374 4043 N 0 39 48 0 0 -39 h\n1 g 5325 4043 N 0 39 49 0 0 -39
      h\n1 g 5277 4043 N 0 39 48 0 0 -39 h\n1 g 5228 4043 N 0 39 49 0 0 -39
      h\n1 g 5179 4043 N 0 39 49 0 0 -39 h\n1 g 5131 4043 N 0 39 48 0 0 -39
      h\n1 g 5082 4043 N 0 39 49 0 0 -39 h\n1 g 5034 4043 N 0 39 48 0 0 -39
      h\n.9 g 4985 4043 N 0 39 49 0 0 -39 h\n.8 g 4936 4043 N 0 39 49 0 0 -39
      h\n.8 g 4888 4043 N 0 39 48 0 0 -39 h\n.8 g 4839 4043 N 0 39 49 0 0 -39
      h\n.8 g 4790 4043 N 0 39 49 0 0 -39 h\n.8 g 4742 4043 N 0 39 48 0 0 -39
      h\n.8 g 4693 4043 N 0 39 49 0 0 -39 h\n.8 g 4645 4043 N 0 39 48 0 0 -39
      h\n.8 g 4596 4043 N 0 39 49 0 0 -39 h\n.8 g 4547 4043 N 0 39 49 0 0 -39
      h\n.8 g 4499 4043 N 0 39 48 0 0 -39 h\n.8 g 4450 4043 N 0 39 49 0 0 -39
      h\n.8 g 4402 4043 N 0 39 48 0 0 -39 h\n.8 g 4353 4043 N 0 39 49 0 0 -39
      h\n.8 g 4304 4043 N 0 39 49 0 0 -39 h\n.8 g 4256 4043 N 0 39 48 0 0 -39
      h\n.8 g 4207 4043 N 0 39 49 0 0 -39 h\n.8 g 4159 4043 N 0 39 48 0 0 -39
      h\n.8 g 4110 4043 N 0 39 49 0 0 -39 h\n.8 g 4061 4043 N 0 39 49 0 0 -39
      h\n.8 g 4013 4043 N 0 39 48 0 0 -39 h\n.8 g 3964 4043 N 0 39 49 0 0 -39
      h\n.8 g 3915 4043 N 0 39 49 0 0 -39 h\n.8 g 3867 4043 N 0 39 48 0 0 -39
      h\n.8 g 3818 4043 N 0 39 49 0 0 -39 h\n.8 g 3770 4043 N 0 39 48 0 0 -39
      h\n.8 g 3721 4043 N 0 39 49 0 0 -39 h\n.8 g 3672 4043 N 0 39 49 0 0 -39
      h\n.8 g 3624 4043 N 0 39 48 0 0 -39 h\n.8 g 3575 4043 N 0 39 49 0 0 -39
      h\n.8 g 3527 4043 N 0 39 48 0 0 -39 h\n.8 g 3478 4043 N 0 39 49 0 0 -39
      h\n.8 g 3429 4043 N 0 39 49 0 0 -39 h\n.8 g 3381 4043 N 0 39 48 0 0 -39
      h\n.8 g 3332 4043 N 0 39 49 0 0 -39 h\n.8 g 3284 4043 N 0 39 48 0 0 -39
      h\n.8 g 3235 4043 N 0 39 49 0 0 -39 h\n.8 g 3186 4043 N 0 39 49 0 0 -39
      h\n.8 g 3138 4043 N 0 39 48 0 0 -39 h\n.8 g 3089 4043 N 0 39 49 0 0 -39
      h\n.8 g 3040 4043 N 0 39 49 0 0 -39 h\n.8 g 2992 4043 N 0 39 48 0 0 -39
      h\n.8 g 2943 4043 N 0 39 49 0 0 -39 h\n.8 g 2895 4043 N 0 39 48 0 0 -39
      h\n.8 g 2846 4043 N 0 39 49 0 0 -39 h\n.8 g 2797 4043 N 0 39 49 0 0 -39
      h\n.8 g 2749 4043 N 0 39 48 0 0 -39 h\n.8 g 2700 4043 N 0 39 49 0 0 -39
      h\n.8 g 2652 4043 N 0 39 48 0 0 -39 h\n.8 g 2603 4043 N 0 39 49 0 0 -39
      h\n.8 g 2554 4043 N 0 39 49 0 0 -39 h\n.8 g 2506 4043 N 0 39 48 0 0 -39
      h\n.8 g 2457 4043 N 0 39 49 0 0 -39 h\n.8 g 2409 4043 N 0 39 48 0 0 -39
      h\n.8 g 2360 4043 N 0 39 49 0 0 -39 h\n.8 g 2311 4043 N 0 39 49 0 0 -39
      h\n.8 g 2263 4043 N 0 39 48 0 0 -39 h\n.8 g 2214 4043 N 0 39 49 0 0 -39
      h\n.9 g 2165 4043 N 0 39 49 0 0 -39 h\n1 g 2117 4043 N 0 39 48 0 0 -39
      h\n1 g 2068 4043 N 0 39 49 0 0 -39 h\n1 g 2020 4043 N 0 39 48 0 0 -39
      h\n1 g 1971 4043 N 0 39 49 0 0 -39 h\n1 g 1922 4043 N 0 39 49 0 0 -39
      h\n1 g 1874 4043 N 0 39 48 0 0 -39 h\n1 g 1825 4043 N 0 39 49 0 0 -39
      h\n1 g 1777 4043 N 0 39 48 0 0 -39 h\n1 g 1728 4043 N 0 39 49 0 0 -39
      h\n1 g 1679 4043 N 0 39 49 0 0 -39 h\n1 g 1631 4043 N 0 39 48 0 0 -39
      h\n1 g 1582 4043 N 0 39 49 0 0 -39 h\n1 g 1534 4043 N 0 39 48 0 0 -39
      h\n1 g 1485 4043 N 0 39 49 0 0 -39 h\n1 g 1436 4043 N 0 39 49 0 0 -39
      h\n1 g 1388 4043 N 0 39 48 0 0 -39 h\n1 g 1339 4043 N 0 39 49 0 0 -39
      h\n1 g 1290 4043 N 0 39 49 0 0 -39 h\n1 g 1242 4043 N 0 39 48 0 0 -39
      h\n1 g 1193 4043 N 0 39 49 0 0 -39 h\n1 g 5957 4004 N 0 39 49 0 0 -39
      h\n1 g 5909 4004 N 0 39 48 0 0 -39 h\n1 g 5860 4004 N 0 39 49 0 0 -39
      h\n1 g 5811 4004 N 0 39 49 0 0 -39 h\n1 g 5763 4004 N 0 39 48 0 0 -39
      h\n1 g 5714 4004 N 0 39 49 0 0 -39 h\n1 g 5665 4004 N 0 39 49 0 0 -39
      h\n1 g 5617 4004 N 0 39 48 0 0 -39 h\n1 g 5568 4004 N 0 39 49 0 0 -39
      h\n1 g 5520 4004 N 0 39 48 0 0 -39 h\n1 g 5471 4004 N 0 39 49 0 0 -39
      h\n1 g 5422 4004 N 0 39 49 0 0 -39 h\n1 g 5374 4004 N 0 39 48 0 0 -39
      h\n1 g 5325 4004 N 0 39 49 0 0 -39 h\n1 g 5277 4004 N 0 39 48 0 0 -39
      h\n1 g 5228 4004 N 0 39 49 0 0 -39 h\n1 g 5179 4004 N 0 39 49 0 0 -39
      h\n1 g 5131 4004 N 0 39 48 0 0 -39 h\n1 g 5082 4004 N 0 39 49 0 0 -39
      h\n1 g 5034 4004 N 0 39 48 0 0 -39 h\n.9 g 4985 4004 N 0 39 49 0 0 -39
      h\n.8 g 4936 4004 N 0 39 49 0 0 -39 h\n.8 g 4888 4004 N 0 39 48 0 0 -39
      h\n.8 g 4839 4004 N 0 39 49 0 0 -39 h\n.8 g 4790 4004 N 0 39 49 0 0 -39
      h\n.8 g 4742 4004 N 0 39 48 0 0 -39 h\n.8 g 4693 4004 N 0 39 49 0 0 -39
      h\n.8 g 4645 4004 N 0 39 48 0 0 -39 h\n.8 g 4596 4004 N 0 39 49 0 0 -39
      h\n.8 g 4547 4004 N 0 39 49 0 0 -39 h\n.8 g 4499 4004 N 0 39 48 0 0 -39
      h\n.8 g 4450 4004 N 0 39 49 0 0 -39 h\n.8 g 4402 4004 N 0 39 48 0 0 -39
      h\n.8 g 4353 4004 N 0 39 49 0 0 -39 h\n.8 g 4304 4004 N 0 39 49 0 0 -39
      h\n.8 g 4256 4004 N 0 39 48 0 0 -39 h\n.8 g 4207 4004 N 0 39 49 0 0 -39
      h\n.8 g 4159 4004 N 0 39 48 0 0 -39 h\n.8 g 4110 4004 N 0 39 49 0 0 -39
      h\n.8 g 4061 4004 N 0 39 49 0 0 -39 h\n.8 g 4013 4004 N 0 39 48 0 0 -39
      h\n.8 g 3964 4004 N 0 39 49 0 0 -39 h\n.8 g 3915 4004 N 0 39 49 0 0 -39
      h\n.8 g 3867 4004 N 0 39 48 0 0 -39 h\n.8 g 3818 4004 N 0 39 49 0 0 -39
      h\n.8 g 3770 4004 N 0 39 48 0 0 -39 h\n.8 g 3721 4004 N 0 39 49 0 0 -39
      h\n.8 g 3672 4004 N 0 39 49 0 0 -39 h\n.8 g 3624 4004 N 0 39 48 0 0 -39
      h\n.8 g 3575 4004 N 0 39 49 0 0 -39 h\n.8 g 3527 4004 N 0 39 48 0 0 -39
      h\n.8 g 3478 4004 N 0 39 49 0 0 -39 h\n.8 g 3429 4004 N 0 39 49 0 0 -39
      h\n.8 g 3381 4004 N 0 39 48 0 0 -39 h\n.8 g 3332 4004 N 0 39 49 0 0 -39
      h\n.8 g 3284 4004 N 0 39 48 0 0 -39 h\n.8 g 3235 4004 N 0 39 49 0 0 -39
      h\n.8 g 3186 4004 N 0 39 49 0 0 -39 h\n.8 g 3138 4004 N 0 39 48 0 0 -39
      h\n.8 g 3089 4004 N 0 39 49 0 0 -39 h\n.8 g 3040 4004 N 0 39 49 0 0 -39
      h\n.8 g 2992 4004 N 0 39 48 0 0 -39 h\n.8 g 2943 4004 N 0 39 49 0 0 -39
      h\n.8 g 2895 4004 N 0 39 48 0 0 -39 h\n.8 g 2846 4004 N 0 39 49 0 0 -39
      h\n.8 g 2797 4004 N 0 39 49 0 0 -39 h\n.8 g 2749 4004 N 0 39 48 0 0 -39
      h\n.8 g 2700 4004 N 0 39 49 0 0 -39 h\n.8 g 2652 4004 N 0 39 48 0 0 -39
      h\n.8 g 2603 4004 N 0 39 49 0 0 -39 h\n.8 g 2554 4004 N 0 39 49 0 0 -39
      h\n.8 g 2506 4004 N 0 39 48 0 0 -39 h\n.8 g 2457 4004 N 0 39 49 0 0 -39
      h\n.8 g 2409 4004 N 0 39 48 0 0 -39 h\n.8 g 2360 4004 N 0 39 49 0 0 -39
      h\n.8 g 2311 4004 N 0 39 49 0 0 -39 h\n.8 g 2263 4004 N 0 39 48 0 0 -39
      h\n.8 g 2214 4004 N 0 39 49 0 0 -39 h\n.9 g 2165 4004 N 0 39 49 0 0 -39
      h\n1 g 2117 4004 N 0 39 48 0 0 -39 h\n1 g 2068 4004 N 0 39 49 0 0 -39
      h\n1 g 2020 4004 N 0 39 48 0 0 -39 h\n1 g 1971 4004 N 0 39 49 0 0 -39
      h\n1 g 1922 4004 N 0 39 49 0 0 -39 h\n1 g 1874 4004 N 0 39 48 0 0 -39
      h\n1 g 1825 4004 N 0 39 49 0 0 -39 h\n1 g 1777 4004 N 0 39 48 0 0 -39
      h\n1 g 1728 4004 N 0 39 49 0 0 -39 h\n1 g 1679 4004 N 0 39 49 0 0 -39
      h\n1 g 1631 4004 N 0 39 48 0 0 -39 h\n1 g 1582 4004 N 0 39 49 0 0 -39
      h\n1 g 1534 4004 N 0 39 48 0 0 -39 h\n1 g 1485 4004 N 0 39 49 0 0 -39
      h\n1 g 1436 4004 N 0 39 49 0 0 -39 h\n1 g 1388 4004 N 0 39 48 0 0 -39
      h\n1 g 1339 4004 N 0 39 49 0 0 -39 h\n1 g 1290 4004 N 0 39 49 0 0 -39
      h\n1 g 1242 4004 N 0 39 48 0 0 -39 h\n1 g 1193 4004 N 0 39 49 0 0 -39
      h\n1 g 5957 3965 N 0 38 49 0 0 -38 h\n1 g 5909 3965 N 0 38 48 0 0 -38
      h\n1 g 5860 3965 N 0 38 49 0 0 -38 h\n1 g 5811 3965 N 0 38 49 0 0 -38
      h\n1 g 5763 3965 N 0 38 48 0 0 -38 h\n1 g 5714 3965 N 0 38 49 0 0 -38
      h\n1 g 5665 3965 N 0 38 49 0 0 -38 h\n1 g 5617 3965 N 0 38 48 0 0 -38
      h\n1 g 5568 3965 N 0 38 49 0 0 -38 h\n1 g 5520 3965 N 0 38 48 0 0 -38
      h\n1 g 5471 3965 N 0 38 49 0 0 -38 h\n1 g 5422 3965 N 0 38 49 0 0 -38
      h\n1 g 5374 3965 N 0 38 48 0 0 -38 h\n1 g 5325 3965 N 0 38 49 0 0 -38
      h\n1 g 5277 3965 N 0 38 48 0 0 -38 h\n1 g 5228 3965 N 0 38 49 0 0 -38
      h\n1 g 5179 3965 N 0 38 49 0 0 -38 h\n1 g 5131 3965 N 0 38 48 0 0 -38
      h\n1 g 5082 3965 N 0 38 49 0 0 -38 h\n1 g 5034 3965 N 0 38 48 0 0 -38
      h\n.9 g 4985 3965 N 0 38 49 0 0 -38 h\n.8 g 4936 3965 N 0 38 49 0 0 -38
      h\n.8 g 4888 3965 N 0 38 48 0 0 -38 h\n.8 g 4839 3965 N 0 38 49 0 0 -38
      h\n.8 g 4790 3965 N 0 38 49 0 0 -38 h\n.8 g 4742 3965 N 0 38 48 0 0 -38
      h\n.8 g 4693 3965 N 0 38 49 0 0 -38 h\n.8 g 4645 3965 N 0 38 48 0 0 -38
      h\n.8 g 4596 3965 N 0 38 49 0 0 -38 h\n.8 g 4547 3965 N 0 38 49 0 0 -38
      h\n.8 g 4499 3965 N 0 38 48 0 0 -38 h\n.8 g 4450 3965 N 0 38 49 0 0 -38
      h\n.8 g 4402 3965 N 0 38 48 0 0 -38 h\n.8 g 4353 3965 N 0 38 49 0 0 -38
      h\n.8 g 4304 3965 N 0 38 49 0 0 -38 h\n.8 g 4256 3965 N 0 38 48 0 0 -38
      h\n.8 g 4207 3965 N 0 38 49 0 0 -38 h\n.8 g 4159 3965 N 0 38 48 0 0 -38
      h\n.8 g 4110 3965 N 0 38 49 0 0 -38 h\n.8 g 4061 3965 N 0 38 49 0 0 -38
      h\n.8 g 4013 3965 N 0 38 48 0 0 -38 h\n.8 g 3964 3965 N 0 38 49 0 0 -38
      h\n.8 g 3915 3965 N 0 38 49 0 0 -38 h\n.8 g 3867 3965 N 0 38 48 0 0 -38
      h\n.8 g 3818 3965 N 0 38 49 0 0 -38 h\n.8 g 3770 3965 N 0 38 48 0 0 -38
      h\n.8 g 3721 3965 N 0 38 49 0 0 -38 h\n.8 g 3672 3965 N 0 38 49 0 0 -38
      h\n.8 g 3624 3965 N 0 38 48 0 0 -38 h\n.8 g 3575 3965 N 0 38 49 0 0 -38
      h\n.8 g 3527 3965 N 0 38 48 0 0 -38 h\n.8 g 3478 3965 N 0 38 49 0 0 -38
      h\n.8 g 3429 3965 N 0 38 49 0 0 -38 h\n.8 g 3381 3965 N 0 38 48 0 0 -38
      h\n.8 g 3332 3965 N 0 38 49 0 0 -38 h\n.8 g 3284 3965 N 0 38 48 0 0 -38
      h\n.8 g 3235 3965 N 0 38 49 0 0 -38 h\n.8 g 3186 3965 N 0 38 49 0 0 -38
      h\n.8 g 3138 3965 N 0 38 48 0 0 -38 h\n.8 g 3089 3965 N 0 38 49 0 0 -38
      h\n.8 g 3040 3965 N 0 38 49 0 0 -38 h\n.8 g 2992 3965 N 0 38 48 0 0 -38
      h\n.8 g 2943 3965 N 0 38 49 0 0 -38 h\n.8 g 2895 3965 N 0 38 48 0 0 -38
      h\n.8 g 2846 3965 N 0 38 49 0 0 -38 h\n.8 g 2797 3965 N 0 38 49 0 0 -38
      h\n.8 g 2749 3965 N 0 38 48 0 0 -38 h\n.8 g 2700 3965 N 0 38 49 0 0 -38
      h\n.8 g 2652 3965 N 0 38 48 0 0 -38 h\n.8 g 2603 3965 N 0 38 49 0 0 -38
      h\n.8 g 2554 3965 N 0 38 49 0 0 -38 h\n.8 g 2506 3965 N 0 38 48 0 0 -38
      h\n.8 g 2457 3965 N 0 38 49 0 0 -38 h\n.8 g 2409 3965 N 0 38 48 0 0 -38
      h\n.8 g 2360 3965 N 0 38 49 0 0 -38 h\n.8 g 2311 3965 N 0 38 49 0 0 -38
      h\n.8 g 2263 3965 N 0 38 48 0 0 -38 h\n.8 g 2214 3965 N 0 38 49 0 0 -38
      h\n.9 g 2165 3965 N 0 38 49 0 0 -38 h\n1 g 2117 3965 N 0 38 48 0 0 -38
      h\n1 g 2068 3965 N 0 38 49 0 0 -38 h\n1 g 2020 3965 N 0 38 48 0 0 -38
      h\n1 g 1971 3965 N 0 38 49 0 0 -38 h\n1 g 1922 3965 N 0 38 49 0 0 -38
      h\n1 g 1874 3965 N 0 38 48 0 0 -38 h\n1 g 1825 3965 N 0 38 49 0 0 -38
      h\n1 g 1777 3965 N 0 38 48 0 0 -38 h\n1 g 1728 3965 N 0 38 49 0 0 -38
      h\n1 g 1679 3965 N 0 38 49 0 0 -38 h\n1 g 1631 3965 N 0 38 48 0 0 -38
      h\n1 g 1582 3965 N 0 38 49 0 0 -38 h\n1 g 1534 3965 N 0 38 48 0 0 -38
      h\n1 g 1485 3965 N 0 38 49 0 0 -38 h\n1 g 1436 3965 N 0 38 49 0 0 -38
      h\n1 g 1388 3965 N 0 38 48 0 0 -38 h\n1 g 1339 3965 N 0 38 49 0 0 -38
      h\n1 g 1290 3965 N 0 38 49 0 0 -38 h\n1 g 1242 3965 N 0 38 48 0 0 -38
      h\n1 g 1193 3965 N 0 38 49 0 0 -38 h\n1 g 5957 3927 N 0 39 49 0 0 -39
      h\n1 g 5909 3927 N 0 39 48 0 0 -39 h\n1 g 5860 3927 N 0 39 49 0 0 -39
      h\n1 g 5811 3927 N 0 39 49 0 0 -39 h\n1 g 5763 3927 N 0 39 48 0 0 -39
      h\n1 g 5714 3927 N 0 39 49 0 0 -39 h\n1 g 5665 3927 N 0 39 49 0 0 -39
      h\n1 g 5617 3927 N 0 39 48 0 0 -39 h\n1 g 5568 3927 N 0 39 49 0 0 -39
      h\n1 g 5520 3927 N 0 39 48 0 0 -39 h\n1 g 5471 3927 N 0 39 49 0 0 -39
      h\n1 g 5422 3927 N 0 39 49 0 0 -39 h\n1 g 5374 3927 N 0 39 48 0 0 -39
      h\n1 g 5325 3927 N 0 39 49 0 0 -39 h\n1 g 5277 3927 N 0 39 48 0 0 -39
      h\n1 g 5228 3927 N 0 39 49 0 0 -39 h\n1 g 5179 3927 N 0 39 49 0 0 -39
      h\n1 g 5131 3927 N 0 39 48 0 0 -39 h\n1 g 5082 3927 N 0 39 49 0 0 -39
      h\n1 g 5034 3927 N 0 39 48 0 0 -39 h\n.9 g 4985 3927 N 0 39 49 0 0 -39
      h\n.8 g 4936 3927 N 0 39 49 0 0 -39 h\n.8 g 4888 3927 N 0 39 48 0 0 -39
      h\n.8 g 4839 3927 N 0 39 49 0 0 -39 h\n.8 g 4790 3927 N 0 39 49 0 0 -39
      h\n.8 g 4742 3927 N 0 39 48 0 0 -39 h\n.8 g 4693 3927 N 0 39 49 0 0 -39
      h\n.8 g 4645 3927 N 0 39 48 0 0 -39 h\n.8 g 4596 3927 N 0 39 49 0 0 -39
      h\n.8 g 4547 3927 N 0 39 49 0 0 -39 h\n.8 g 4499 3927 N 0 39 48 0 0 -39
      h\n.8 g 4450 3927 N 0 39 49 0 0 -39 h\n.8 g 4402 3927 N 0 39 48 0 0 -39
      h\n.8 g 4353 3927 N 0 39 49 0 0 -39 h\n.8 g 4304 3927 N 0 39 49 0 0 -39
      h\n.8 g 4256 3927 N 0 39 48 0 0 -39 h\n.8 g 4207 3927 N 0 39 49 0 0 -39
      h\n.8 g 4159 3927 N 0 39 48 0 0 -39 h\n.8 g 4110 3927 N 0 39 49 0 0 -39
      h\n.8 g 4061 3927 N 0 39 49 0 0 -39 h\n.8 g 4013 3927 N 0 39 48 0 0 -39
      h\n.8 g 3964 3927 N 0 39 49 0 0 -39 h\n.8 g 3915 3927 N 0 39 49 0 0 -39
      h\n.8 g 3867 3927 N 0 39 48 0 0 -39 h\n.8 g 3818 3927 N 0 39 49 0 0 -39
      h\n.8 g 3770 3927 N 0 39 48 0 0 -39 h\n.8 g 3721 3927 N 0 39 49 0 0 -39
      h\n.8 g 3672 3927 N 0 39 49 0 0 -39 h\n.8 g 3624 3927 N 0 39 48 0 0 -39
      h\n.8 g 3575 3927 N 0 39 49 0 0 -39 h\n.8 g 3527 3927 N 0 39 48 0 0 -39
      h\n.8 g 3478 3927 N 0 39 49 0 0 -39 h\n.8 g 3429 3927 N 0 39 49 0 0 -39
      h\n.8 g 3381 3927 N 0 39 48 0 0 -39 h\n.8 g 3332 3927 N 0 39 49 0 0 -39
      h\n.8 g 3284 3927 N 0 39 48 0 0 -39 h\n.8 g 3235 3927 N 0 39 49 0 0 -39
      h\n.8 g 3186 3927 N 0 39 49 0 0 -39 h\n.8 g 3138 3927 N 0 39 48 0 0 -39
      h\n.8 g 3089 3927 N 0 39 49 0 0 -39 h\n.8 g 3040 3927 N 0 39 49 0 0 -39
      h\n.8 g 2992 3927 N 0 39 48 0 0 -39 h\n.8 g 2943 3927 N 0 39 49 0 0 -39
      h\n.8 g 2895 3927 N 0 39 48 0 0 -39 h\n.8 g 2846 3927 N 0 39 49 0 0 -39
      h\n.8 g 2797 3927 N 0 39 49 0 0 -39 h\n.8 g 2749 3927 N 0 39 48 0 0 -39
      h\n.8 g 2700 3927 N 0 39 49 0 0 -39 h\n.8 g 2652 3927 N 0 39 48 0 0 -39
      h\n.8 g 2603 3927 N 0 39 49 0 0 -39 h\n.8 g 2554 3927 N 0 39 49 0 0 -39
      h\n.8 g 2506 3927 N 0 39 48 0 0 -39 h\n.8 g 2457 3927 N 0 39 49 0 0 -39
      h\n.8 g 2409 3927 N 0 39 48 0 0 -39 h\n.8 g 2360 3927 N 0 39 49 0 0 -39
      h\n.8 g 2311 3927 N 0 39 49 0 0 -39 h\n.8 g 2263 3927 N 0 39 48 0 0 -39
      h\n.8 g 2214 3927 N 0 39 49 0 0 -39 h\n.9 g 2165 3927 N 0 39 49 0 0 -39
      h\n1 g 2117 3927 N 0 39 48 0 0 -39 h\n1 g 2068 3927 N 0 39 49 0 0 -39
      h\n1 g 2020 3927 N 0 39 48 0 0 -39 h\n1 g 1971 3927 N 0 39 49 0 0 -39
      h\n1 g 1922 3927 N 0 39 49 0 0 -39 h\n1 g 1874 3927 N 0 39 48 0 0 -39
      h\n1 g 1825 3927 N 0 39 49 0 0 -39 h\n1 g 1777 3927 N 0 39 48 0 0 -39
      h\n1 g 1728 3927 N 0 39 49 0 0 -39 h\n1 g 1679 3927 N 0 39 49 0 0 -39
      h\n1 g 1631 3927 N 0 39 48 0 0 -39 h\n1 g 1582 3927 N 0 39 49 0 0 -39
      h\n1 g 1534 3927 N 0 39 48 0 0 -39 h\n1 g 1485 3927 N 0 39 49 0 0 -39
      h\n1 g 1436 3927 N 0 39 49 0 0 -39 h\n1 g 1388 3927 N 0 39 48 0 0 -39
      h\n1 g 1339 3927 N 0 39 49 0 0 -39 h\n1 g 1290 3927 N 0 39 49 0 0 -39
      h\n1 g 1242 3927 N 0 39 48 0 0 -39 h\n1 g 1193 3927 N 0 39 49 0 0 -39
      h\n1 g 5957 3888 N 0 39 49 0 0 -39 h\n1 g 5909 3888 N 0 39 48 0 0 -39
      h\n1 g 5860 3888 N 0 39 49 0 0 -39 h\n1 g 5811 3888 N 0 39 49 0 0 -39
      h\n1 g 5763 3888 N 0 39 48 0 0 -39 h\n1 g 5714 3888 N 0 39 49 0 0 -39
      h\n1 g 5665 3888 N 0 39 49 0 0 -39 h\n1 g 5617 3888 N 0 39 48 0 0 -39
      h\n1 g 5568 3888 N 0 39 49 0 0 -39 h\n1 g 5520 3888 N 0 39 48 0 0 -39
      h\n1 g 5471 3888 N 0 39 49 0 0 -39 h\n1 g 5422 3888 N 0 39 49 0 0 -39
      h\n1 g 5374 3888 N 0 39 48 0 0 -39 h\n1 g 5325 3888 N 0 39 49 0 0 -39
      h\n1 g 5277 3888 N 0 39 48 0 0 -39 h\n1 g 5228 3888 N 0 39 49 0 0 -39
      h\n1 g 5179 3888 N 0 39 49 0 0 -39 h\n1 g 5131 3888 N 0 39 48 0 0 -39
      h\n1 g 5082 3888 N 0 39 49 0 0 -39 h\n1 g 5034 3888 N 0 39 48 0 0 -39
      h\n.95 g 4985 3888 N 0 39 49 0 0 -39 h\n.85 g 4936 3888 N 0 39 49 0 0
      -39 h\n.8 g 4888 3888 N 0 39 48 0 0 -39 h\n.8 g 4839 3888 N 0 39 49 0 0
      -39 h\n.8 g 4790 3888 N 0 39 49 0 0 -39 h\n.8 g 4742 3888 N 0 39 48 0 0
      -39 h\n.8 g 4693 3888 N 0 39 49 0 0 -39 h\n.8 g 4645 3888 N 0 39 48 0 0
      -39 h\n.8 g 4596 3888 N 0 39 49 0 0 -39 h\n.8 g 4547 3888 N 0 39 49 0 0
      -39 h\n.8 g 4499 3888 N 0 39 48 0 0 -39 h\n.8 g 4450 3888 N 0 39 49 0 0
      -39 h\n.8 g 4402 3888 N 0 39 48 0 0 -39 h\n.8 g 4353 3888 N 0 39 49 0 0
      -39 h\n.8 g 4304 3888 N 0 39 49 0 0 -39 h\n.8 g 4256 3888 N 0 39 48 0 0
      -39 h\n.8 g 4207 3888 N 0 39 49 0 0 -39 h\n.8 g 4159 3888 N 0 39 48 0 0
      -39 h\n.8 g 4110 3888 N 0 39 49 0 0 -39 h\n.8 g 4061 3888 N 0 39 49 0 0
      -39 h\n.8 g 4013 3888 N 0 39 48 0 0 -39 h\n.8 g 3964 3888 N 0 39 49 0 0
      -39 h\n.8 g 3915 3888 N 0 39 49 0 0 -39 h\n.8 g 3867 3888 N 0 39 48 0 0
      -39 h\n.8 g 3818 3888 N 0 39 49 0 0 -39 h\n.8 g 3770 3888 N 0 39 48 0 0
      -39 h\n.8 g 3721 3888 N 0 39 49 0 0 -39 h\n.8 g 3672 3888 N 0 39 49 0 0
      -39 h\n.8 g 3624 3888 N 0 39 48 0 0 -39 h\n.8 g 3575 3888 N 0 39 49 0 0
      -39 h\n.8 g 3527 3888 N 0 39 48 0 0 -39 h\n.8 g 3478 3888 N 0 39 49 0 0
      -39 h\n.8 g 3429 3888 N 0 39 49 0 0 -39 h\n.8 g 3381 3888 N 0 39 48 0 0
      -39 h\n.8 g 3332 3888 N 0 39 49 0 0 -39 h\n.8 g 3284 3888 N 0 39 48 0 0
      -39 h\n.8 g 3235 3888 N 0 39 49 0 0 -39 h\n.8 g 3186 3888 N 0 39 49 0 0
      -39 h\n.8 g 3138 3888 N 0 39 48 0 0 -39 h\n.8 g 3089 3888 N 0 39 49 0 0
      -39 h\n.8 g 3040 3888 N 0 39 49 0 0 -39 h\n.8 g 2992 3888 N 0 39 48 0 0
      -39 h\n.8 g 2943 3888 N 0 39 49 0 0 -39 h\n.8 g 2895 3888 N 0 39 48 0 0
      -39 h\n.8 g 2846 3888 N 0 39 49 0 0 -39 h\n.8 g 2797 3888 N 0 39 49 0 0
      -39 h\n.8 g 2749 3888 N 0 39 48 0 0 -39 h\n.8 g 2700 3888 N 0 39 49 0 0
      -39 h\n.8 g 2652 3888 N 0 39 48 0 0 -39 h\n.8 g 2603 3888 N 0 39 49 0 0
      -39 h\n.8 g 2554 3888 N 0 39 49 0 0 -39 h\n.8 g 2506 3888 N 0 39 48 0 0
      -39 h\n.8 g 2457 3888 N 0 39 49 0 0 -39 h\n.8 g 2409 3888 N 0 39 48 0 0
      -39 h\n.8 g 2360 3888 N 0 39 49 0 0 -39 h\n.8 g 2311 3888 N 0 39 49 0 0
      -39 h\n.8 g 2263 3888 N 0 39 48 0 0 -39 h\n.85 g 2214 3888 N 0 39 49 0
      0 -39 h\n.95 g 2165 3888 N 0 39 49 0 0 -39 h\n1 g 2117 3888 N 0 39 48 0
      0 -39 h\n1 g 2068 3888 N 0 39 49 0 0 -39 h\n1 g 2020 3888 N 0 39 48 0 0
      -39 h\n1 g 1971 3888 N 0 39 49 0 0 -39 h\n1 g 1922 3888 N 0 39 49 0 0
      -39 h\n1 g 1874 3888 N 0 39 48 0 0 -39 h\n1 g 1825 3888 N 0 39 49 0 0
      -39 h\n1 g 1777 3888 N 0 39 48 0 0 -39 h\n1 g 1728 3888 N 0 39 49 0 0
      -39 h\n1 g 1679 3888 N 0 39 49 0 0 -39 h\n1 g 1631 3888 N 0 39 48 0 0
      -39 h\n1 g 1582 3888 N 0 39 49 0 0 -39 h\n1 g 1534 3888 N 0 39 48 0 0
      -39 h\n1 g 1485 3888 N 0 39 49 0 0 -39 h\n1 g 1436 3888 N 0 39 49 0 0
      -39 h\n1 g 1388 3888 N 0 39 48 0 0 -39 h\n1 g 1339 3888 N 0 39 49 0 0
      -39 h\n1 g 1290 3888 N 0 39 49 0 0 -39 h\n1 g 1242 3888 N 0 39 48 0 0
      -39 h\n1 g 1193 3888 N 0 39 49 0 0 -39 h\n1 g 5957 3849 N 0 39 49 0 0
      -39 h\n1 g 5909 3849 N 0 39 48 0 0 -39 h\n1 g 5860 3849 N 0 39 49 0 0
      -39 h\n1 g 5811 3849 N 0 39 49 0 0 -39 h\n1 g 5763 3849 N 0 39 48 0 0
      -39 h\n1 g 5714 3849 N 0 39 49 0 0 -39 h\n1 g 5665 3849 N 0 39 49 0 0
      -39 h\n1 g 5617 3849 N 0 39 48 0 0 -39 h\n1 g 5568 3849 N 0 39 49 0 0
      -39 h\n1 g 5520 3849 N 0 39 48 0 0 -39 h\n1 g 5471 3849 N 0 39 49 0 0
      -39 h\n1 g 5422 3849 N 0 39 49 0 0 -39 h\n1 g 5374 3849 N 0 39 48 0 0
      -39 h\n1 g 5325 3849 N 0 39 49 0 0 -39 h\n1 g 5277 3849 N 0 39 48 0 0
      -39 h\n1 g 5228 3849 N 0 39 49 0 0 -39 h\n1 g 5179 3849 N 0 39 49 0 0
      -39 h\n1 g 5131 3849 N 0 39 48 0 0 -39 h\n1 g 5082 3849 N 0 39 49 0 0
      -39 h\n1 g 5034 3849 N 0 39 48 0 0 -39 h\n1 g 4985 3849 N 0 39 49 0 0
      -39 h\n.9 g 4936 3849 N 0 39 49 0 0 -39 h\n.8 g 4888 3849 N 0 39 48 0 0
      -39 h\n.8 g 4839 3849 N 0 39 49 0 0 -39 h\n.8 g 4790 3849 N 0 39 49 0 0
      -39 h\n.8 g 4742 3849 N 0 39 48 0 0 -39 h\n.8 g 4693 3849 N 0 39 49 0 0
      -39 h\n.8 g 4645 3849 N 0 39 48 0 0 -39 h\n.8 g 4596 3849 N 0 39 49 0 0
      -39 h\n.8 g 4547 3849 N 0 39 49 0 0 -39 h\n.8 g 4499 3849 N 0 39 48 0 0
      -39 h\n.8 g 4450 3849 N 0 39 49 0 0 -39 h\n.8 g 4402 3849 N 0 39 48 0 0
      -39 h\n.8 g 4353 3849 N 0 39 49 0 0 -39 h\n.8 g 4304 3849 N 0 39 49 0 0
      -39 h\n.8 g 4256 3849 N 0 39 48 0 0 -39 h\n.8 g 4207 3849 N 0 39 49 0 0
      -39 h\n.8 g 4159 3849 N 0 39 48 0 0 -39 h\n.8 g 4110 3849 N 0 39 49 0 0
      -39 h\n.8 g 4061 3849 N 0 39 49 0 0 -39 h\n.8 g 4013 3849 N 0 39 48 0 0
      -39 h\n.8 g 3964 3849 N 0 39 49 0 0 -39 h\n.8 g 3915 3849 N 0 39 49 0 0
      -39 h\n.8 g 3867 3849 N 0 39 48 0 0 -39 h\n.8 g 3818 3849 N 0 39 49 0 0
      -39 h\n.8 g 3770 3849 N 0 39 48 0 0 -39 h\n.8 g 3721 3849 N 0 39 49 0 0
      -39 h\n.8 g 3672 3849 N 0 39 49 0 0 -39 h\n.8 g 3624 3849 N 0 39 48 0 0
      -39 h\n.8 g 3575 3849 N 0 39 49 0 0 -39 h\n.8 g 3527 3849 N 0 39 48 0 0
      -39 h\n.8 g 3478 3849 N 0 39 49 0 0 -39 h\n.8 g 3429 3849 N 0 39 49 0 0
      -39 h\n.8 g 3381 3849 N 0 39 48 0 0 -39 h\n.8 g 3332 3849 N 0 39 49 0 0
      -39 h\n.8 g 3284 3849 N 0 39 48 0 0 -39 h\n.8 g 3235 3849 N 0 39 49 0 0
      -39 h\n.8 g 3186 3849 N 0 39 49 0 0 -39 h\n.8 g 3138 3849 N 0 39 48 0 0
      -39 h\n.8 g 3089 3849 N 0 39 49 0 0 -39 h\n.8 g 3040 3849 N 0 39 49 0 0
      -39 h\n.8 g 2992 3849 N 0 39 48 0 0 -39 h\n.8 g 2943 3849 N 0 39 49 0 0
      -39 h\n.8 g 2895 3849 N 0 39 48 0 0 -39 h\n.8 g 2846 3849 N 0 39 49 0 0
      -39 h\n.8 g 2797 3849 N 0 39 49 0 0 -39 h\n.8 g 2749 3849 N 0 39 48 0 0
      -39 h\n.8 g 2700 3849 N 0 39 49 0 0 -39 h\n.8 g 2652 3849 N 0 39 48 0 0
      -39 h\n.8 g 2603 3849 N 0 39 49 0 0 -39 h\n.8 g 2554 3849 N 0 39 49 0 0
      -39 h\n.8 g 2506 3849 N 0 39 48 0 0 -39 h\n.8 g 2457 3849 N 0 39 49 0 0
      -39 h\n.8 g 2409 3849 N 0 39 48 0 0 -39 h\n.8 g 2360 3849 N 0 39 49 0 0
      -39 h\n.8 g 2311 3849 N 0 39 49 0 0 -39 h\n.8 g 2263 3849 N 0 39 48 0 0
      -39 h\n.9 g 2214 3849 N 0 39 49 0 0 -39 h\n1 g 2165 3849 N 0 39 49 0 0
      -39 h\n1 g 2117 3849 N 0 39 48 0 0 -39 h\n1 g 2068 3849 N 0 39 49 0 0
      -39 h\n1 g 2020 3849 N 0 39 48 0 0 -39 h\n1 g 1971 3849 N 0 39 49 0 0
      -39 h\n1 g 1922 3849 N 0 39 49 0 0 -39 h\n1 g 1874 3849 N 0 39 48 0 0
      -39 h\n1 g 1825 3849 N 0 39 49 0 0 -39 h\n1 g 1777 3849 N 0 39 48 0 0
      -39 h\n1 g 1728 3849 N 0 39 49 0 0 -39 h\n1 g 1679 3849 N 0 39 49 0 0
      -39 h\n1 g 1631 3849 N 0 39 48 0 0 -39 h\n1 g 1582 3849 N 0 39 49 0 0
      -39 h\n1 g 1534 3849 N 0 39 48 0 0 -39 h\n1 g 1485 3849 N 0 39 49 0 0
      -39 h\n1 g 1436 3849 N 0 39 49 0 0 -39 h\n1 g 1388 3849 N 0 39 48 0 0
      -39 h\n1 g 1339 3849 N 0 39 49 0 0 -39 h\n1 g 1290 3849 N 0 39 49 0 0
      -39 h\n1 g 1242 3849 N 0 39 48 0 0 -39 h\n1 g 1193 3849 N 0 39 49 0 0
      -39 h\n1 g 5957 3810 N 0 38 49 0 0 -38 h\n1 g 5909 3810 N 0 38 48 0 0
      -38 h\n1 g 5860 3810 N 0 38 49 0 0 -38 h\n1 g 5811 3810 N 0 38 49 0 0
      -38 h\n1 g 5763 3810 N 0 38 48 0 0 -38 h\n1 g 5714 3810 N 0 38 49 0 0
      -38 h\n1 g 5665 3810 N 0 38 49 0 0 -38 h\n1 g 5617 3810 N 0 38 48 0 0
      -38 h\n1 g 5568 3810 N 0 38 49 0 0 -38 h\n1 g 5520 3810 N 0 38 48 0 0
      -38 h\n1 g 5471 3810 N 0 38 49 0 0 -38 h\n1 g 5422 3810 N 0 38 49 0 0
      -38 h\n1 g 5374 3810 N 0 38 48 0 0 -38 h\n1 g 5325 3810 N 0 38 49 0 0
      -38 h\n1 g 5277 3810 N 0 38 48 0 0 -38 h\n1 g 5228 3810 N 0 38 49 0 0
      -38 h\n1 g 5179 3810 N 0 38 49 0 0 -38 h\n1 g 5131 3810 N 0 38 48 0 0
      -38 h\n1 g 5082 3810 N 0 38 49 0 0 -38 h\n1 g 5034 3810 N 0 38 48 0 0
      -38 h\n1 g 4985 3810 N 0 38 49 0 0 -38 h\n.9 g 4936 3810 N 0 38 49 0 0
      -38 h\n.8 g 4888 3810 N 0 38 48 0 0 -38 h\n.8 g 4839 3810 N 0 38 49 0 0
      -38 h\n.8 g 4790 3810 N 0 38 49 0 0 -38 h\n.8 g 4742 3810 N 0 38 48 0 0
      -38 h\n.8 g 4693 3810 N 0 38 49 0 0 -38 h\n.8 g 4645 3810 N 0 38 48 0 0
      -38 h\n.8 g 4596 3810 N 0 38 49 0 0 -38 h\n.8 g 4547 3810 N 0 38 49 0 0
      -38 h\n.8 g 4499 3810 N 0 38 48 0 0 -38 h\n.8 g 4450 3810 N 0 38 49 0 0
      -38 h\n.8 g 4402 3810 N 0 38 48 0 0 -38 h\n.8 g 4353 3810 N 0 38 49 0 0
      -38 h\n.8 g 4304 3810 N 0 38 49 0 0 -38 h\n.8 g 4256 3810 N 0 38 48 0 0
      -38 h\n.8 g 4207 3810 N 0 38 49 0 0 -38 h\n.8 g 4159 3810 N 0 38 48 0 0
      -38 h\n.8 g 4110 3810 N 0 38 49 0 0 -38 h\n.8 g 4061 3810 N 0 38 49 0 0
      -38 h\n.8 g 4013 3810 N 0 38 48 0 0 -38 h\n.8 g 3964 3810 N 0 38 49 0 0
      -38 h\n.8 g 3915 3810 N 0 38 49 0 0 -38 h\n.8 g 3867 3810 N 0 38 48 0 0
      -38 h\n.8 g 3818 3810 N 0 38 49 0 0 -38 h\n.8 g 3770 3810 N 0 38 48 0 0
      -38 h\n.8 g 3721 3810 N 0 38 49 0 0 -38 h\n.8 g 3672 3810 N 0 38 49 0 0
      -38 h\n.8 g 3624 3810 N 0 38 48 0 0 -38 h\n.8 g 3575 3810 N 0 38 49 0 0
      -38 h\n.8 g 3527 3810 N 0 38 48 0 0 -38 h\n.8 g 3478 3810 N 0 38 49 0 0
      -38 h\n.8 g 3429 3810 N 0 38 49 0 0 -38 h\n.8 g 3381 3810 N 0 38 48 0 0
      -38 h\n.8 g 3332 3810 N 0 38 49 0 0 -38 h\n.8 g 3284 3810 N 0 38 48 0 0
      -38 h\n.8 g 3235 3810 N 0 38 49 0 0 -38 h\n.8 g 3186 3810 N 0 38 49 0 0
      -38 h\n.8 g 3138 3810 N 0 38 48 0 0 -38 h\n.8 g 3089 3810 N 0 38 49 0 0
      -38 h\n.8 g 3040 3810 N 0 38 49 0 0 -38 h\n.8 g 2992 3810 N 0 38 48 0 0
      -38 h\n.8 g 2943 3810 N 0 38 49 0 0 -38 h\n.8 g 2895 3810 N 0 38 48 0 0
      -38 h\n.8 g 2846 3810 N 0 38 49 0 0 -38 h\n.8 g 2797 3810 N 0 38 49 0 0
      -38 h\n.8 g 2749 3810 N 0 38 48 0 0 -38 h\n.8 g 2700 3810 N 0 38 49 0 0
      -38 h\n.8 g 2652 3810 N 0 38 48 0 0 -38 h\n.8 g 2603 3810 N 0 38 49 0 0
      -38 h\n.8 g 2554 3810 N 0 38 49 0 0 -38 h\n.8 g 2506 3810 N 0 38 48 0 0
      -38 h\n.8 g 2457 3810 N 0 38 49 0 0 -38 h\n.8 g 2409 3810 N 0 38 48 0 0
      -38 h\n.8 g 2360 3810 N 0 38 49 0 0 -38 h\n.8 g 2311 3810 N 0 38 49 0 0
      -38 h\n.8 g 2263 3810 N 0 38 48 0 0 -38 h\n.9 g 2214 3810 N 0 38 49 0 0
      -38 h\n1 g 2165 3810 N 0 38 49 0 0 -38 h\n1 g 2117 3810 N 0 38 48 0 0
      -38 h\n1 g 2068 3810 N 0 38 49 0 0 -38 h\n1 g 2020 3810 N 0 38 48 0 0
      -38 h\n1 g 1971 3810 N 0 38 49 0 0 -38 h\n1 g 1922 3810 N 0 38 49 0 0
      -38 h\n1 g 1874 3810 N 0 38 48 0 0 -38 h\n1 g 1825 3810 N 0 38 49 0 0
      -38 h\n1 g 1777 3810 N 0 38 48 0 0 -38 h\n1 g 1728 3810 N 0 38 49 0 0
      -38 h\n1 g 1679 3810 N 0 38 49 0 0 -38 h\n1 g 1631 3810 N 0 38 48 0 0
      -38 h\n1 g 1582 3810 N 0 38 49 0 0 -38 h\n1 g 1534 3810 N 0 38 48 0 0
      -38 h\n1 g 1485 3810 N 0 38 49 0 0 -38 h\n1 g 1436 3810 N 0 38 49 0 0
      -38 h\n1 g 1388 3810 N 0 38 48 0 0 -38 h\n1 g 1339 3810 N 0 38 49 0 0
      -38 h\n1 g 1290 3810 N 0 38 49 0 0 -38 h\n1 g 1242 3810 N 0 38 48 0 0
      -38 h\n1 g 1193 3810 N 0 38 49 0 0 -38 h\n1 g 5957 3772 N 0 39 49 0 0
      -39 h\n1 g 5909 3772 N 0 39 48 0 0 -39 h\n1 g 5860 3772 N 0 39 49 0 0
      -39 h\n1 g 5811 3772 N 0 39 49 0 0 -39 h\n1 g 5763 3772 N 0 39 48 0 0
      -39 h\n1 g 5714 3772 N 0 39 49 0 0 -39 h\n1 g 5665 3772 N 0 39 49 0 0
      -39 h\n1 g 5617 3772 N 0 39 48 0 0 -39 h\n1 g 5568 3772 N 0 39 49 0 0
      -39 h\n1 g 5520 3772 N 0 39 48 0 0 -39 h\n1 g 5471 3772 N 0 39 49 0 0
      -39 h\n1 g 5422 3772 N 0 39 49 0 0 -39 h\n1 g 5374 3772 N 0 39 48 0 0
      -39 h\n1 g 5325 3772 N 0 39 49 0 0 -39 h\n1 g 5277 3772 N 0 39 48 0 0
      -39 h\n1 g 5228 3772 N 0 39 49 0 0 -39 h\n1 g 5179 3772 N 0 39 49 0 0
      -39 h\n1 g 5131 3772 N 0 39 48 0 0 -39 h\n1 g 5082 3772 N 0 39 49 0 0
      -39 h\n1 g 5034 3772 N 0 39 48 0 0 -39 h\n1 g 4985 3772 N 0 39 49 0 0
      -39 h\n.9 g 4936 3772 N 0 39 49 0 0 -39 h\n.8 g 4888 3772 N 0 39 48 0 0
      -39 h\n.8 g 4839 3772 N 0 39 49 0 0 -39 h\n.8 g 4790 3772 N 0 39 49 0 0
      -39 h\n.8 g 4742 3772 N 0 39 48 0 0 -39 h\n.8 g 4693 3772 N 0 39 49 0 0
      -39 h\n.8 g 4645 3772 N 0 39 48 0 0 -39 h\n.8 g 4596 3772 N 0 39 49 0 0
      -39 h\n.8 g 4547 3772 N 0 39 49 0 0 -39 h\n.8 g 4499 3772 N 0 39 48 0 0
      -39 h\n.8 g 4450 3772 N 0 39 49 0 0 -39 h\n.8 g 4402 3772 N 0 39 48 0 0
      -39 h\n.8 g 4353 3772 N 0 39 49 0 0 -39 h\n.8 g 4304 3772 N 0 39 49 0 0
      -39 h\n.8 g 4256 3772 N 0 39 48 0 0 -39 h\n.8 g 4207 3772 N 0 39 49 0 0
      -39 h\n.8 g 4159 3772 N 0 39 48 0 0 -39 h\n.8 g 4110 3772 N 0 39 49 0 0
      -39 h\n.8 g 4061 3772 N 0 39 49 0 0 -39 h\n.8 g 4013 3772 N 0 39 48 0 0
      -39 h\n.8 g 3964 3772 N 0 39 49 0 0 -39 h\n.8 g 3915 3772 N 0 39 49 0 0
      -39 h\n.8 g 3867 3772 N 0 39 48 0 0 -39 h\n.8 g 3818 3772 N 0 39 49 0 0
      -39 h\n.8 g 3770 3772 N 0 39 48 0 0 -39 h\n.8 g 3721 3772 N 0 39 49 0 0
      -39 h\n.8 g 3672 3772 N 0 39 49 0 0 -39 h\n.8 g 3624 3772 N 0 39 48 0 0
      -39 h\n.8 g 3575 3772 N 0 39 49 0 0 -39 h\n.8 g 3527 3772 N 0 39 48 0 0
      -39 h\n.8 g 3478 3772 N 0 39 49 0 0 -39 h\n.8 g 3429 3772 N 0 39 49 0 0
      -39 h\n.8 g 3381 3772 N 0 39 48 0 0 -39 h\n.8 g 3332 3772 N 0 39 49 0 0
      -39 h\n.8 g 3284 3772 N 0 39 48 0 0 -39 h\n.8 g 3235 3772 N 0 39 49 0 0
      -39 h\n.8 g 3186 3772 N 0 39 49 0 0 -39 h\n.8 g 3138 3772 N 0 39 48 0 0
      -39 h\n.8 g 3089 3772 N 0 39 49 0 0 -39 h\n.8 g 3040 3772 N 0 39 49 0 0
      -39 h\n.8 g 2992 3772 N 0 39 48 0 0 -39 h\n.8 g 2943 3772 N 0 39 49 0 0
      -39 h\n.8 g 2895 3772 N 0 39 48 0 0 -39 h\n.8 g 2846 3772 N 0 39 49 0 0
      -39 h\n.8 g 2797 3772 N 0 39 49 0 0 -39 h\n.8 g 2749 3772 N 0 39 48 0 0
      -39 h\n.8 g 2700 3772 N 0 39 49 0 0 -39 h\n.8 g 2652 3772 N 0 39 48 0 0
      -39 h\n.8 g 2603 3772 N 0 39 49 0 0 -39 h\n.8 g 2554 3772 N 0 39 49 0 0
      -39 h\n.8 g 2506 3772 N 0 39 48 0 0 -39 h\n.8 g 2457 3772 N 0 39 49 0 0
      -39 h\n.8 g 2409 3772 N 0 39 48 0 0 -39 h\n.8 g 2360 3772 N 0 39 49 0 0
      -39 h\n.8 g 2311 3772 N 0 39 49 0 0 -39 h\n.8 g 2263 3772 N 0 39 48 0 0
      -39 h\n.9 g 2214 3772 N 0 39 49 0 0 -39 h\n1 g 2165 3772 N 0 39 49 0 0
      -39 h\n1 g 2117 3772 N 0 39 48 0 0 -39 h\n1 g 2068 3772 N 0 39 49 0 0
      -39 h\n1 g 2020 3772 N 0 39 48 0 0 -39 h\n1 g 1971 3772 N 0 39 49 0 0
      -39 h\n1 g 1922 3772 N 0 39 49 0 0 -39 h\n1 g 1874 3772 N 0 39 48 0 0
      -39 h\n1 g 1825 3772 N 0 39 49 0 0 -39 h\n1 g 1777 3772 N 0 39 48 0 0
      -39 h\n1 g 1728 3772 N 0 39 49 0 0 -39 h\n1 g 1679 3772 N 0 39 49 0 0
      -39 h\n1 g 1631 3772 N 0 39 48 0 0 -39 h\n1 g 1582 3772 N 0 39 49 0 0
      -39 h\n1 g 1534 3772 N 0 39 48 0 0 -39 h\n1 g 1485 3772 N 0 39 49 0 0
      -39 h\n1 g 1436 3772 N 0 39 49 0 0 -39 h\n1 g 1388 3772 N 0 39 48 0 0
      -39 h\n1 g 1339 3772 N 0 39 49 0 0 -39 h\n1 g 1290 3772 N 0 39 49 0 0
      -39 h\n1 g 1242 3772 N 0 39 48 0 0 -39 h\n1 g 1193 3772 N 0 39 49 0 0
      -39 h\n1 g 5957 3733 N 0 39 49 0 0 -39 h\n1 g 5909 3733 N 0 39 48 0 0
      -39 h\n1 g 5860 3733 N 0 39 49 0 0 -39 h\n1 g 5811 3733 N 0 39 49 0 0
      -39 h\n1 g 5763 3733 N 0 39 48 0 0 -39 h\n1 g 5714 3733 N 0 39 49 0 0
      -39 h\n1 g 5665 3733 N 0 39 49 0 0 -39 h\n1 g 5617 3733 N 0 39 48 0 0
      -39 h\n1 g 5568 3733 N 0 39 49 0 0 -39 h\n1 g 5520 3733 N 0 39 48 0 0
      -39 h\n1 g 5471 3733 N 0 39 49 0 0 -39 h\n1 g 5422 3733 N 0 39 49 0 0
      -39 h\n1 g 5374 3733 N 0 39 48 0 0 -39 h\n1 g 5325 3733 N 0 39 49 0 0
      -39 h\n1 g 5277 3733 N 0 39 48 0 0 -39 h\n1 g 5228 3733 N 0 39 49 0 0
      -39 h\n1 g 5179 3733 N 0 39 49 0 0 -39 h\n1 g 5131 3733 N 0 39 48 0 0
      -39 h\n1 g 5082 3733 N 0 39 49 0 0 -39 h\n1 g 5034 3733 N 0 39 48 0 0
      -39 h\n1 g 4985 3733 N 0 39 49 0 0 -39 h\n.9 g 4936 3733 N 0 39 49 0 0
      -39 h\n.8 g 4888 3733 N 0 39 48 0 0 -39 h\n.8 g 4839 3733 N 0 39 49 0 0
      -39 h\n.8 g 4790 3733 N 0 39 49 0 0 -39 h\n.8 g 4742 3733 N 0 39 48 0 0
      -39 h\n.8 g 4693 3733 N 0 39 49 0 0 -39 h\n.8 g 4645 3733 N 0 39 48 0 0
      -39 h\n.8 g 4596 3733 N 0 39 49 0 0 -39 h\n.8 g 4547 3733 N 0 39 49 0 0
      -39 h\n.8 g 4499 3733 N 0 39 48 0 0 -39 h\n.8 g 4450 3733 N 0 39 49 0 0
      -39 h\n.8 g 4402 3733 N 0 39 48 0 0 -39 h\n.8 g 4353 3733 N 0 39 49 0 0
      -39 h\n.8 g 4304 3733 N 0 39 49 0 0 -39 h\n.8 g 4256 3733 N 0 39 48 0 0
      -39 h\n.8 g 4207 3733 N 0 39 49 0 0 -39 h\n.8 g 4159 3733 N 0 39 48 0 0
      -39 h\n.8 g 4110 3733 N 0 39 49 0 0 -39 h\n.8 g 4061 3733 N 0 39 49 0 0
      -39 h\n.8 g 4013 3733 N 0 39 48 0 0 -39 h\n.8 g 3964 3733 N 0 39 49 0 0
      -39 h\n.8 g 3915 3733 N 0 39 49 0 0 -39 h\n.8 g 3867 3733 N 0 39 48 0 0
      -39 h\n.8 g 3818 3733 N 0 39 49 0 0 -39 h\n.8 g 3770 3733 N 0 39 48 0 0
      -39 h\n.8 g 3721 3733 N 0 39 49 0 0 -39 h\n.8 g 3672 3733 N 0 39 49 0 0
      -39 h\n.8 g 3624 3733 N 0 39 48 0 0 -39 h\n.8 g 3575 3733 N 0 39 49 0 0
      -39 h\n.8 g 3527 3733 N 0 39 48 0 0 -39 h\n.8 g 3478 3733 N 0 39 49 0 0
      -39 h\n.8 g 3429 3733 N 0 39 49 0 0 -39 h\n.8 g 3381 3733 N 0 39 48 0 0
      -39 h\n.8 g 3332 3733 N 0 39 49 0 0 -39 h\n.8 g 3284 3733 N 0 39 48 0 0
      -39 h\n.8 g 3235 3733 N 0 39 49 0 0 -39 h\n.8 g 3186 3733 N 0 39 49 0 0
      -39 h\n.8 g 3138 3733 N 0 39 48 0 0 -39 h\n.8 g 3089 3733 N 0 39 49 0 0
      -39 h\n.8 g 3040 3733 N 0 39 49 0 0 -39 h\n.8 g 2992 3733 N 0 39 48 0 0
      -39 h\n.8 g 2943 3733 N 0 39 49 0 0 -39 h\n.8 g 2895 3733 N 0 39 48 0 0
      -39 h\n.8 g 2846 3733 N 0 39 49 0 0 -39 h\n.8 g 2797 3733 N 0 39 49 0 0
      -39 h\n.8 g 2749 3733 N 0 39 48 0 0 -39 h\n.8 g 2700 3733 N 0 39 49 0 0
      -39 h\n.8 g 2652 3733 N 0 39 48 0 0 -39 h\n.8 g 2603 3733 N 0 39 49 0 0
      -39 h\n.8 g 2554 3733 N 0 39 49 0 0 -39 h\n.8 g 2506 3733 N 0 39 48 0 0
      -39 h\n.8 g 2457 3733 N 0 39 49 0 0 -39 h\n.8 g 2409 3733 N 0 39 48 0 0
      -39 h\n.8 g 2360 3733 N 0 39 49 0 0 -39 h\n.8 g 2311 3733 N 0 39 49 0 0
      -39 h\n.8 g 2263 3733 N 0 39 48 0 0 -39 h\n.9 g 2214 3733 N 0 39 49 0 0
      -39 h\n1 g 2165 3733 N 0 39 49 0 0 -39 h\n1 g 2117 3733 N 0 39 48 0 0
      -39 h\n1 g 2068 3733 N 0 39 49 0 0 -39 h\n1 g 2020 3733 N 0 39 48 0 0
      -39 h\n1 g 1971 3733 N 0 39 49 0 0 -39 h\n1 g 1922 3733 N 0 39 49 0 0
      -39 h\n1 g 1874 3733 N 0 39 48 0 0 -39 h\n1 g 1825 3733 N 0 39 49 0 0
      -39 h\n1 g 1777 3733 N 0 39 48 0 0 -39 h\n1 g 1728 3733 N 0 39 49 0 0
      -39 h\n1 g 1679 3733 N 0 39 49 0 0 -39 h\n1 g 1631 3733 N 0 39 48 0 0
      -39 h\n1 g 1582 3733 N 0 39 49 0 0 -39 h\n1 g 1534 3733 N 0 39 48 0 0
      -39 h\n1 g 1485 3733 N 0 39 49 0 0 -39 h\n1 g 1436 3733 N 0 39 49 0 0
      -39 h\n1 g 1388 3733 N 0 39 48 0 0 -39 h\n1 g 1339 3733 N 0 39 49 0 0
      -39 h\n1 g 1290 3733 N 0 39 49 0 0 -39 h\n1 g 1242 3733 N 0 39 48 0 0
      -39 h\n1 g 1193 3733 N 0 39 49 0 0 -39 h\n1 g 5957 3694 N 0 39 49 0 0
      -39 h\n1 g 5909 3694 N 0 39 48 0 0 -39 h\n1 g 5860 3694 N 0 39 49 0 0
      -39 h\n1 g 5811 3694 N 0 39 49 0 0 -39 h\n1 g 5763 3694 N 0 39 48 0 0
      -39 h\n1 g 5714 3694 N 0 39 49 0 0 -39 h\n1 g 5665 3694 N 0 39 49 0 0
      -39 h\n1 g 5617 3694 N 0 39 48 0 0 -39 h\n1 g 5568 3694 N 0 39 49 0 0
      -39 h\n1 g 5520 3694 N 0 39 48 0 0 -39 h\n1 g 5471 3694 N 0 39 49 0 0
      -39 h\n1 g 5422 3694 N 0 39 49 0 0 -39 h\n1 g 5374 3694 N 0 39 48 0 0
      -39 h\n1 g 5325 3694 N 0 39 49 0 0 -39 h\n1 g 5277 3694 N 0 39 48 0 0
      -39 h\n1 g 5228 3694 N 0 39 49 0 0 -39 h\n1 g 5179 3694 N 0 39 49 0 0
      -39 h\n1 g 5131 3694 N 0 39 48 0 0 -39 h\n1 g 5082 3694 N 0 39 49 0 0
      -39 h\n1 g 5034 3694 N 0 39 48 0 0 -39 h\n1 g 4985 3694 N 0 39 49 0 0
      -39 h\n.9 g 4936 3694 N 0 39 49 0 0 -39 h\n.8 g 4888 3694 N 0 39 48 0 0
      -39 h\n.8 g 4839 3694 N 0 39 49 0 0 -39 h\n.8 g 4790 3694 N 0 39 49 0 0
      -39 h\n.8 g 4742 3694 N 0 39 48 0 0 -39 h\n.8 g 4693 3694 N 0 39 49 0 0
      -39 h\n.8 g 4645 3694 N 0 39 48 0 0 -39 h\n.8 g 4596 3694 N 0 39 49 0 0
      -39 h\n.8 g 4547 3694 N 0 39 49 0 0 -39 h\n.8 g 4499 3694 N 0 39 48 0 0
      -39 h\n.8 g 4450 3694 N 0 39 49 0 0 -39 h\n.8 g 4402 3694 N 0 39 48 0 0
      -39 h\n.8 g 4353 3694 N 0 39 49 0 0 -39 h\n.8 g 4304 3694 N 0 39 49 0 0
      -39 h\n.8 g 4256 3694 N 0 39 48 0 0 -39 h\n.8 g 4207 3694 N 0 39 49 0 0
      -39 h\n.8 g 4159 3694 N 0 39 48 0 0 -39 h\n.8 g 4110 3694 N 0 39 49 0 0
      -39 h\n.8 g 4061 3694 N 0 39 49 0 0 -39 h\n.8 g 4013 3694 N 0 39 48 0 0
      -39 h\n.8 g 3964 3694 N 0 39 49 0 0 -39 h\n.8 g 3915 3694 N 0 39 49 0 0
      -39 h\n.8 g 3867 3694 N 0 39 48 0 0 -39 h\n.8 g 3818 3694 N 0 39 49 0 0
      -39 h\n.8 g 3770 3694 N 0 39 48 0 0 -39 h\n.8 g 3721 3694 N 0 39 49 0 0
      -39 h\n.8 g 3672 3694 N 0 39 49 0 0 -39 h\n.8 g 3624 3694 N 0 39 48 0 0
      -39 h\n.8 g 3575 3694 N 0 39 49 0 0 -39 h\n.8 g 3527 3694 N 0 39 48 0 0
      -39 h\n.8 g 3478 3694 N 0 39 49 0 0 -39 h\n.8 g 3429 3694 N 0 39 49 0 0
      -39 h\n.8 g 3381 3694 N 0 39 48 0 0 -39 h\n.8 g 3332 3694 N 0 39 49 0 0
      -39 h\n.8 g 3284 3694 N 0 39 48 0 0 -39 h\n.8 g 3235 3694 N 0 39 49 0 0
      -39 h\n.8 g 3186 3694 N 0 39 49 0 0 -39 h\n.8 g 3138 3694 N 0 39 48 0 0
      -39 h\n.8 g 3089 3694 N 0 39 49 0 0 -39 h\n.8 g 3040 3694 N 0 39 49 0 0
      -39 h\n.8 g 2992 3694 N 0 39 48 0 0 -39 h\n.8 g 2943 3694 N 0 39 49 0 0
      -39 h\n.8 g 2895 3694 N 0 39 48 0 0 -39 h\n.8 g 2846 3694 N 0 39 49 0 0
      -39 h\n.8 g 2797 3694 N 0 39 49 0 0 -39 h\n.8 g 2749 3694 N 0 39 48 0 0
      -39 h\n.8 g 2700 3694 N 0 39 49 0 0 -39 h\n.8 g 2652 3694 N 0 39 48 0 0
      -39 h\n.8 g 2603 3694 N 0 39 49 0 0 -39 h\n.8 g 2554 3694 N 0 39 49 0 0
      -39 h\n.8 g 2506 3694 N 0 39 48 0 0 -39 h\n.8 g 2457 3694 N 0 39 49 0 0
      -39 h\n.8 g 2409 3694 N 0 39 48 0 0 -39 h\n.8 g 2360 3694 N 0 39 49 0 0
      -39 h\n.8 g 2311 3694 N 0 39 49 0 0 -39 h\n.8 g 2263 3694 N 0 39 48 0 0
      -39 h\n.9 g 2214 3694 N 0 39 49 0 0 -39 h\n1 g 2165 3694 N 0 39 49 0 0
      -39 h\n1 g 2117 3694 N 0 39 48 0 0 -39 h\n1 g 2068 3694 N 0 39 49 0 0
      -39 h\n1 g 2020 3694 N 0 39 48 0 0 -39 h\n1 g 1971 3694 N 0 39 49 0 0
      -39 h\n1 g 1922 3694 N 0 39 49 0 0 -39 h\n1 g 1874 3694 N 0 39 48 0 0
      -39 h\n1 g 1825 3694 N 0 39 49 0 0 -39 h\n1 g 1777 3694 N 0 39 48 0 0
      -39 h\n1 g 1728 3694 N 0 39 49 0 0 -39 h\n1 g 1679 3694 N 0 39 49 0 0
      -39 h\n1 g 1631 3694 N 0 39 48 0 0 -39 h\n1 g 1582 3694 N 0 39 49 0 0
      -39 h\n1 g 1534 3694 N 0 39 48 0 0 -39 h\n1 g 1485 3694 N 0 39 49 0 0
      -39 h\n1 g 1436 3694 N 0 39 49 0 0 -39 h\n1 g 1388 3694 N 0 39 48 0 0
      -39 h\n1 g 1339 3694 N 0 39 49 0 0 -39 h\n1 g 1290 3694 N 0 39 49 0 0
      -39 h\n1 g 1242 3694 N 0 39 48 0 0 -39 h\n1 g 1193 3694 N 0 39 49 0 0
      -39 h\n1 g 5957 3655 N 0 38 49 0 0 -38 h\n1 g 5909 3655 N 0 38 48 0 0
      -38 h\n1 g 5860 3655 N 0 38 49 0 0 -38 h\n1 g 5811 3655 N 0 38 49 0 0
      -38 h\n1 g 5763 3655 N 0 38 48 0 0 -38 h\n1 g 5714 3655 N 0 38 49 0 0
      -38 h\n1 g 5665 3655 N 0 38 49 0 0 -38 h\n1 g 5617 3655 N 0 38 48 0 0
      -38 h\n1 g 5568 3655 N 0 38 49 0 0 -38 h\n1 g 5520 3655 N 0 38 48 0 0
      -38 h\n1 g 5471 3655 N 0 38 49 0 0 -38 h\n1 g 5422 3655 N 0 38 49 0 0
      -38 h\n1 g 5374 3655 N 0 38 48 0 0 -38 h\n1 g 5325 3655 N 0 38 49 0 0
      -38 h\n1 g 5277 3655 N 0 38 48 0 0 -38 h\n1 g 5228 3655 N 0 38 49 0 0
      -38 h\n1 g 5179 3655 N 0 38 49 0 0 -38 h\n1 g 5131 3655 N 0 38 48 0 0
      -38 h\n1 g 5082 3655 N 0 38 49 0 0 -38 h\n1 g 5034 3655 N 0 38 48 0 0
      -38 h\n1 g 4985 3655 N 0 38 49 0 0 -38 h\n.95 g 4936 3655 N 0 38 49 0 0
      -38 h\n.85 g 4888 3655 N 0 38 48 0 0 -38 h\n.8 g 4839 3655 N 0 38 49 0
      0 -38 h\n.8 g 4790 3655 N 0 38 49 0 0 -38 h\n.8 g 4742 3655 N 0 38 48 0
      0 -38 h\n.8 g 4693 3655 N 0 38 49 0 0 -38 h\n.8 g 4645 3655 N 0 38 48 0
      0 -38 h\n.8 g 4596 3655 N 0 38 49 0 0 -38 h\n.8 g 4547 3655 N 0 38 49 0
      0 -38 h\n.8 g 4499 3655 N 0 38 48 0 0 -38 h\n.8 g 4450 3655 N 0 38 49 0
      0 -38 h\n.8 g 4402 3655 N 0 38 48 0 0 -38 h\n.8 g 4353 3655 N 0 38 49 0
      0 -38 h\n.8 g 4304 3655 N 0 38 49 0 0 -38 h\n.8 g 4256 3655 N 0 38 48 0
      0 -38 h\n.8 g 4207 3655 N 0 38 49 0 0 -38 h\n.8 g 4159 3655 N 0 38 48 0
      0 -38 h\n.8 g 4110 3655 N 0 38 49 0 0 -38 h\n.8 g 4061 3655 N 0 38 49 0
      0 -38 h\n.8 g 4013 3655 N 0 38 48 0 0 -38 h\n.8 g 3964 3655 N 0 38 49 0
      0 -38 h\n.8 g 3915 3655 N 0 38 49 0 0 -38 h\n.8 g 3867 3655 N 0 38 48 0
      0 -38 h\n.8 g 3818 3655 N 0 38 49 0 0 -38 h\n.8 g 3770 3655 N 0 38 48 0
      0 -38 h\n.8 g 3721 3655 N 0 38 49 0 0 -38 h\n.8 g 3672 3655 N 0 38 49 0
      0 -38 h\n.8 g 3624 3655 N 0 38 48 0 0 -38 h\n.8 g 3575 3655 N 0 38 49 0
      0 -38 h\n.8 g 3527 3655 N 0 38 48 0 0 -38 h\n.8 g 3478 3655 N 0 38 49 0
      0 -38 h\n.8 g 3429 3655 N 0 38 49 0 0 -38 h\n.8 g 3381 3655 N 0 38 48 0
      0 -38 h\n.8 g 3332 3655 N 0 38 49 0 0 -38 h\n.8 g 3284 3655 N 0 38 48 0
      0 -38 h\n.8 g 3235 3655 N 0 38 49 0 0 -38 h\n.8 g 3186 3655 N 0 38 49 0
      0 -38 h\n.8 g 3138 3655 N 0 38 48 0 0 -38 h\n.8 g 3089 3655 N 0 38 49 0
      0 -38 h\n.8 g 3040 3655 N 0 38 49 0 0 -38 h\n.8 g 2992 3655 N 0 38 48 0
      0 -38 h\n.8 g 2943 3655 N 0 38 49 0 0 -38 h\n.8 g 2895 3655 N 0 38 48 0
      0 -38 h\n.8 g 2846 3655 N 0 38 49 0 0 -38 h\n.8 g 2797 3655 N 0 38 49 0
      0 -38 h\n.8 g 2749 3655 N 0 38 48 0 0 -38 h\n.8 g 2700 3655 N 0 38 49 0
      0 -38 h\n.8 g 2652 3655 N 0 38 48 0 0 -38 h\n.8 g 2603 3655 N 0 38 49 0
      0 -38 h\n.8 g 2554 3655 N 0 38 49 0 0 -38 h\n.8 g 2506 3655 N 0 38 48 0
      0 -38 h\n.8 g 2457 3655 N 0 38 49 0 0 -38 h\n.8 g 2409 3655 N 0 38 48 0
      0 -38 h\n.8 g 2360 3655 N 0 38 49 0 0 -38 h\n.8 g 2311 3655 N 0 38 49 0
      0 -38 h\n.85 g 2263 3655 N 0 38 48 0 0 -38 h\n.95 g 2214 3655 N 0 38 49
      0 0 -38 h\n1 g 2165 3655 N 0 38 49 0 0 -38 h\n1 g 2117 3655 N 0 38 48 0
      0 -38 h\n1 g 2068 3655 N 0 38 49 0 0 -38 h\n1 g 2020 3655 N 0 38 48 0 0
      -38 h\n1 g 1971 3655 N 0 38 49 0 0 -38 h\n1 g 1922 3655 N 0 38 49 0 0
      -38 h\n1 g 1874 3655 N 0 38 48 0 0 -38 h\n1 g 1825 3655 N 0 38 49 0 0
      -38 h\n1 g 1777 3655 N 0 38 48 0 0 -38 h\n1 g 1728 3655 N 0 38 49 0 0
      -38 h\n1 g 1679 3655 N 0 38 49 0 0 -38 h\n1 g 1631 3655 N 0 38 48 0 0
      -38 h\n1 g 1582 3655 N 0 38 49 0 0 -38 h\n1 g 1534 3655 N 0 38 48 0 0
      -38 h\n1 g 1485 3655 N 0 38 49 0 0 -38 h\n1 g 1436 3655 N 0 38 49 0 0
      -38 h\n1 g 1388 3655 N 0 38 48 0 0 -38 h\n1 g 1339 3655 N 0 38 49 0 0
      -38 h\n1 g 1290 3655 N 0 38 49 0 0 -38 h\n1 g 1242 3655 N 0 38 48 0 0
      -38 h\n1 g 1193 3655 N 0 38 49 0 0 -38 h\n1 g 5957 3617 N 0 39 49 0 0
      -39 h\n1 g 5909 3617 N 0 39 48 0 0 -39 h\n1 g 5860 3617 N 0 39 49 0 0
      -39 h\n1 g 5811 3617 N 0 39 49 0 0 -39 h\n1 g 5763 3617 N 0 39 48 0 0
      -39 h\n1 g 5714 3617 N 0 39 49 0 0 -39 h\n1 g 5665 3617 N 0 39 49 0 0
      -39 h\n1 g 5617 3617 N 0 39 48 0 0 -39 h\n1 g 5568 3617 N 0 39 49 0 0
      -39 h\n1 g 5520 3617 N 0 39 48 0 0 -39 h\n1 g 5471 3617 N 0 39 49 0 0
      -39 h\n1 g 5422 3617 N 0 39 49 0 0 -39 h\n1 g 5374 3617 N 0 39 48 0 0
      -39 h\n1 g 5325 3617 N 0 39 49 0 0 -39 h\n1 g 5277 3617 N 0 39 48 0 0
      -39 h\n1 g 5228 3617 N 0 39 49 0 0 -39 h\n1 g 5179 3617 N 0 39 49 0 0
      -39 h\n1 g 5131 3617 N 0 39 48 0 0 -39 h\n1 g 5082 3617 N 0 39 49 0 0
      -39 h\n1 g 5034 3617 N 0 39 48 0 0 -39 h\n1 g 4985 3617 N 0 39 49 0 0
      -39 h\n1 g 4936 3617 N 0 39 49 0 0 -39 h\n.9 g 4888 3617 N 0 39 48 0 0
      -39 h\n.8 g 4839 3617 N 0 39 49 0 0 -39 h\n.8 g 4790 3617 N 0 39 49 0 0
      -39 h\n.8 g 4742 3617 N 0 39 48 0 0 -39 h\n.8 g 4693 3617 N 0 39 49 0 0
      -39 h\n.8 g 4645 3617 N 0 39 48 0 0 -39 h\n.8 g 4596 3617 N 0 39 49 0 0
      -39 h\n.8 g 4547 3617 N 0 39 49 0 0 -39 h\n.8 g 4499 3617 N 0 39 48 0 0
      -39 h\n.8 g 4450 3617 N 0 39 49 0 0 -39 h\n.8 g 4402 3617 N 0 39 48 0 0
      -39 h\n.8 g 4353 3617 N 0 39 49 0 0 -39 h\n.8 g 4304 3617 N 0 39 49 0 0
      -39 h\n.8 g 4256 3617 N 0 39 48 0 0 -39 h\n.8 g 4207 3617 N 0 39 49 0 0
      -39 h\n.8 g 4159 3617 N 0 39 48 0 0 -39 h\n.8 g 4110 3617 N 0 39 49 0 0
      -39 h\n.8 g 4061 3617 N 0 39 49 0 0 -39 h\n.8 g 4013 3617 N 0 39 48 0 0
      -39 h\n.8 g 3964 3617 N 0 39 49 0 0 -39 h\n.8 g 3915 3617 N 0 39 49 0 0
      -39 h\n.8 g 3867 3617 N 0 39 48 0 0 -39 h\n.8 g 3818 3617 N 0 39 49 0 0
      -39 h\n.8 g 3770 3617 N 0 39 48 0 0 -39 h\n.8 g 3721 3617 N 0 39 49 0 0
      -39 h\n.8 g 3672 3617 N 0 39 49 0 0 -39 h\n.8 g 3624 3617 N 0 39 48 0 0
      -39 h\n.8 g 3575 3617 N 0 39 49 0 0 -39 h\n.8 g 3527 3617 N 0 39 48 0 0
      -39 h\n.8 g 3478 3617 N 0 39 49 0 0 -39 h\n.8 g 3429 3617 N 0 39 49 0 0
      -39 h\n.8 g 3381 3617 N 0 39 48 0 0 -39 h\n.8 g 3332 3617 N 0 39 49 0 0
      -39 h\n.8 g 3284 3617 N 0 39 48 0 0 -39 h\n.8 g 3235 3617 N 0 39 49 0 0
      -39 h\n.8 g 3186 3617 N 0 39 49 0 0 -39 h\n.8 g 3138 3617 N 0 39 48 0 0
      -39 h\n.8 g 3089 3617 N 0 39 49 0 0 -39 h\n.8 g 3040 3617 N 0 39 49 0 0
      -39 h\n.8 g 2992 3617 N 0 39 48 0 0 -39 h\n.8 g 2943 3617 N 0 39 49 0 0
      -39 h\n.8 g 2895 3617 N 0 39 48 0 0 -39 h\n.8 g 2846 3617 N 0 39 49 0 0
      -39 h\n.8 g 2797 3617 N 0 39 49 0 0 -39 h\n.8 g 2749 3617 N 0 39 48 0 0
      -39 h\n.8 g 2700 3617 N 0 39 49 0 0 -39 h\n.8 g 2652 3617 N 0 39 48 0 0
      -39 h\n.8 g 2603 3617 N 0 39 49 0 0 -39 h\n.8 g 2554 3617 N 0 39 49 0 0
      -39 h\n.8 g 2506 3617 N 0 39 48 0 0 -39 h\n.8 g 2457 3617 N 0 39 49 0 0
      -39 h\n.8 g 2409 3617 N 0 39 48 0 0 -39 h\n.8 g 2360 3617 N 0 39 49 0 0
      -39 h\n.8 g 2311 3617 N 0 39 49 0 0 -39 h\n.9 g 2263 3617 N 0 39 48 0 0
      -39 h\n1 g 2214 3617 N 0 39 49 0 0 -39 h\n1 g 2165 3617 N 0 39 49 0 0
      -39 h\n1 g 2117 3617 N 0 39 48 0 0 -39 h\n1 g 2068 3617 N 0 39 49 0 0
      -39 h\n1 g 2020 3617 N 0 39 48 0 0 -39 h\n1 g 1971 3617 N 0 39 49 0 0
      -39 h\n1 g 1922 3617 N 0 39 49 0 0 -39 h\n1 g 1874 3617 N 0 39 48 0 0
      -39 h\n1 g 1825 3617 N 0 39 49 0 0 -39 h\n1 g 1777 3617 N 0 39 48 0 0
      -39 h\n1 g 1728 3617 N 0 39 49 0 0 -39 h\n1 g 1679 3617 N 0 39 49 0 0
      -39 h\n1 g 1631 3617 N 0 39 48 0 0 -39 h\n1 g 1582 3617 N 0 39 49 0 0
      -39 h\n1 g 1534 3617 N 0 39 48 0 0 -39 h\n1 g 1485 3617 N 0 39 49 0 0
      -39 h\n1 g 1436 3617 N 0 39 49 0 0 -39 h\n1 g 1388 3617 N 0 39 48 0 0
      -39 h\n1 g 1339 3617 N 0 39 49 0 0 -39 h\n1 g 1290 3617 N 0 39 49 0 0
      -39 h\n1 g 1242 3617 N 0 39 48 0 0 -39 h\n1 g 1193 3617 N 0 39 49 0 0
      -39 h\n1 g 5957 3578 N 0 39 49 0 0 -39 h\n1 g 5909 3578 N 0 39 48 0 0
      -39 h\n1 g 5860 3578 N 0 39 49 0 0 -39 h\n1 g 5811 3578 N 0 39 49 0 0
      -39 h\n1 g 5763 3578 N 0 39 48 0 0 -39 h\n1 g 5714 3578 N 0 39 49 0 0
      -39 h\n1 g 5665 3578 N 0 39 49 0 0 -39 h\n1 g 5617 3578 N 0 39 48 0 0
      -39 h\n1 g 5568 3578 N 0 39 49 0 0 -39 h\n1 g 5520 3578 N 0 39 48 0 0
      -39 h\n1 g 5471 3578 N 0 39 49 0 0 -39 h\n1 g 5422 3578 N 0 39 49 0 0
      -39 h\n1 g 5374 3578 N 0 39 48 0 0 -39 h\n1 g 5325 3578 N 0 39 49 0 0
      -39 h\n1 g 5277 3578 N 0 39 48 0 0 -39 h\n1 g 5228 3578 N 0 39 49 0 0
      -39 h\n1 g 5179 3578 N 0 39 49 0 0 -39 h\n1 g 5131 3578 N 0 39 48 0 0
      -39 h\n1 g 5082 3578 N 0 39 49 0 0 -39 h\n1 g 5034 3578 N 0 39 48 0 0
      -39 h\n1 g 4985 3578 N 0 39 49 0 0 -39 h\n1 g 4936 3578 N 0 39 49 0 0
      -39 h\n.9 g 4888 3578 N 0 39 48 0 0 -39 h\n.8 g 4839 3578 N 0 39 49 0 0
      -39 h\n.8 g 4790 3578 N 0 39 49 0 0 -39 h\n.8 g 4742 3578 N 0 39 48 0 0
      -39 h\n.8 g 4693 3578 N 0 39 49 0 0 -39 h\n.8 g 4645 3578 N 0 39 48 0 0
      -39 h\n.8 g 4596 3578 N 0 39 49 0 0 -39 h\n.8 g 4547 3578 N 0 39 49 0 0
      -39 h\n.8 g 4499 3578 N 0 39 48 0 0 -39 h\n.8 g 4450 3578 N 0 39 49 0 0
      -39 h\n.8 g 4402 3578 N 0 39 48 0 0 -39 h\n.8 g 4353 3578 N 0 39 49 0 0
      -39 h\n.8 g 4304 3578 N 0 39 49 0 0 -39 h\n.8 g 4256 3578 N 0 39 48 0 0
      -39 h\n.8 g 4207 3578 N 0 39 49 0 0 -39 h\n.8 g 4159 3578 N 0 39 48 0 0
      -39 h\n.8 g 4110 3578 N 0 39 49 0 0 -39 h\n.8 g 4061 3578 N 0 39 49 0 0
      -39 h\n.8 g 4013 3578 N 0 39 48 0 0 -39 h\n.8 g 3964 3578 N 0 39 49 0 0
      -39 h\n.8 g 3915 3578 N 0 39 49 0 0 -39 h\n.8 g 3867 3578 N 0 39 48 0 0
      -39 h\n.8 g 3818 3578 N 0 39 49 0 0 -39 h\n.8 g 3770 3578 N 0 39 48 0 0
      -39 h\n.8 g 3721 3578 N 0 39 49 0 0 -39 h\n.8 g 3672 3578 N 0 39 49 0 0
      -39 h\n.8 g 3624 3578 N 0 39 48 0 0 -39 h\n.8 g 3575 3578 N 0 39 49 0 0
      -39 h\n.8 g 3527 3578 N 0 39 48 0 0 -39 h\n.8 g 3478 3578 N 0 39 49 0 0
      -39 h\n.8 g 3429 3578 N 0 39 49 0 0 -39 h\n.8 g 3381 3578 N 0 39 48 0 0
      -39 h\n.8 g 3332 3578 N 0 39 49 0 0 -39 h\n.8 g 3284 3578 N 0 39 48 0 0
      -39 h\n.8 g 3235 3578 N 0 39 49 0 0 -39 h\n.8 g 3186 3578 N 0 39 49 0 0
      -39 h\n.8 g 3138 3578 N 0 39 48 0 0 -39 h\n.8 g 3089 3578 N 0 39 49 0 0
      -39 h\n.8 g 3040 3578 N 0 39 49 0 0 -39 h\n.8 g 2992 3578 N 0 39 48 0 0
      -39 h\n.8 g 2943 3578 N 0 39 49 0 0 -39 h\n.8 g 2895 3578 N 0 39 48 0 0
      -39 h\n.8 g 2846 3578 N 0 39 49 0 0 -39 h\n.8 g 2797 3578 N 0 39 49 0 0
      -39 h\n.8 g 2749 3578 N 0 39 48 0 0 -39 h\n.8 g 2700 3578 N 0 39 49 0 0
      -39 h\n.8 g 2652 3578 N 0 39 48 0 0 -39 h\n.8 g 2603 3578 N 0 39 49 0 0
      -39 h\n.8 g 2554 3578 N 0 39 49 0 0 -39 h\n.8 g 2506 3578 N 0 39 48 0 0
      -39 h\n.8 g 2457 3578 N 0 39 49 0 0 -39 h\n.8 g 2409 3578 N 0 39 48 0 0
      -39 h\n.8 g 2360 3578 N 0 39 49 0 0 -39 h\n.8 g 2311 3578 N 0 39 49 0 0
      -39 h\n.9 g 2263 3578 N 0 39 48 0 0 -39 h\n1 g 2214 3578 N 0 39 49 0 0
      -39 h\n1 g 2165 3578 N 0 39 49 0 0 -39 h\n1 g 2117 3578 N 0 39 48 0 0
      -39 h\n1 g 2068 3578 N 0 39 49 0 0 -39 h\n1 g 2020 3578 N 0 39 48 0 0
      -39 h\n1 g 1971 3578 N 0 39 49 0 0 -39 h\n1 g 1922 3578 N 0 39 49 0 0
      -39 h\n1 g 1874 3578 N 0 39 48 0 0 -39 h\n1 g 1825 3578 N 0 39 49 0 0
      -39 h\n1 g 1777 3578 N 0 39 48 0 0 -39 h\n1 g 1728 3578 N 0 39 49 0 0
      -39 h\n1 g 1679 3578 N 0 39 49 0 0 -39 h\n1 g 1631 3578 N 0 39 48 0 0
      -39 h\n1 g 1582 3578 N 0 39 49 0 0 -39 h\n1 g 1534 3578 N 0 39 48 0 0
      -39 h\n1 g 1485 3578 N 0 39 49 0 0 -39 h\n1 g 1436 3578 N 0 39 49 0 0
      -39 h\n1 g 1388 3578 N 0 39 48 0 0 -39 h\n1 g 1339 3578 N 0 39 49 0 0
      -39 h\n1 g 1290 3578 N 0 39 49 0 0 -39 h\n1 g 1242 3578 N 0 39 48 0 0
      -39 h\n1 g 1193 3578 N 0 39 49 0 0 -39 h\n1 g 5957 3539 N 0 39 49 0 0
      -39 h\n1 g 5909 3539 N 0 39 48 0 0 -39 h\n1 g 5860 3539 N 0 39 49 0 0
      -39 h\n1 g 5811 3539 N 0 39 49 0 0 -39 h\n1 g 5763 3539 N 0 39 48 0 0
      -39 h\n1 g 5714 3539 N 0 39 49 0 0 -39 h\n1 g 5665 3539 N 0 39 49 0 0
      -39 h\n1 g 5617 3539 N 0 39 48 0 0 -39 h\n1 g 5568 3539 N 0 39 49 0 0
      -39 h\n1 g 5520 3539 N 0 39 48 0 0 -39 h\n1 g 5471 3539 N 0 39 49 0 0
      -39 h\n1 g 5422 3539 N 0 39 49 0 0 -39 h\n1 g 5374 3539 N 0 39 48 0 0
      -39 h\n1 g 5325 3539 N 0 39 49 0 0 -39 h\n1 g 5277 3539 N 0 39 48 0 0
      -39 h\n1 g 5228 3539 N 0 39 49 0 0 -39 h\n1 g 5179 3539 N 0 39 49 0 0
      -39 h\n1 g 5131 3539 N 0 39 48 0 0 -39 h\n1 g 5082 3539 N 0 39 49 0 0
      -39 h\n1 g 5034 3539 N 0 39 48 0 0 -39 h\n1 g 4985 3539 N 0 39 49 0 0
      -39 h\n1 g 4936 3539 N 0 39 49 0 0 -39 h\n.9 g 4888 3539 N 0 39 48 0 0
      -39 h\n.8 g 4839 3539 N 0 39 49 0 0 -39 h\n.8 g 4790 3539 N 0 39 49 0 0
      -39 h\n.8 g 4742 3539 N 0 39 48 0 0 -39 h\n.8 g 4693 3539 N 0 39 49 0 0
      -39 h\n.8 g 4645 3539 N 0 39 48 0 0 -39 h\n.8 g 4596 3539 N 0 39 49 0 0
      -39 h\n.8 g 4547 3539 N 0 39 49 0 0 -39 h\n.8 g 4499 3539 N 0 39 48 0 0
      -39 h\n.8 g 4450 3539 N 0 39 49 0 0 -39 h\n.8 g 4402 3539 N 0 39 48 0 0
      -39 h\n.8 g 4353 3539 N 0 39 49 0 0 -39 h\n.8 g 4304 3539 N 0 39 49 0 0
      -39 h\n.8 g 4256 3539 N 0 39 48 0 0 -39 h\n.8 g 4207 3539 N 0 39 49 0 0
      -39 h\n.8 g 4159 3539 N 0 39 48 0 0 -39 h\n.8 g 4110 3539 N 0 39 49 0 0
      -39 h\n.8 g 4061 3539 N 0 39 49 0 0 -39 h\n.8 g 4013 3539 N 0 39 48 0 0
      -39 h\n.8 g 3964 3539 N 0 39 49 0 0 -39 h\n.8 g 3915 3539 N 0 39 49 0 0
      -39 h\n.8 g 3867 3539 N 0 39 48 0 0 -39 h\n.8 g 3818 3539 N 0 39 49 0 0
      -39 h\n.8 g 3770 3539 N 0 39 48 0 0 -39 h\n.8 g 3721 3539 N 0 39 49 0 0
      -39 h\n.8 g 3672 3539 N 0 39 49 0 0 -39 h\n.8 g 3624 3539 N 0 39 48 0 0
      -39 h\n.8 g 3575 3539 N 0 39 49 0 0 -39 h\n.8 g 3527 3539 N 0 39 48 0 0
      -39 h\n.8 g 3478 3539 N 0 39 49 0 0 -39 h\n.8 g 3429 3539 N 0 39 49 0 0
      -39 h\n.8 g 3381 3539 N 0 39 48 0 0 -39 h\n.8 g 3332 3539 N 0 39 49 0 0
      -39 h\n.8 g 3284 3539 N 0 39 48 0 0 -39 h\n.8 g 3235 3539 N 0 39 49 0 0
      -39 h\n.8 g 3186 3539 N 0 39 49 0 0 -39 h\n.8 g 3138 3539 N 0 39 48 0 0
      -39 h\n.8 g 3089 3539 N 0 39 49 0 0 -39 h\n.8 g 3040 3539 N 0 39 49 0 0
      -39 h\n.8 g 2992 3539 N 0 39 48 0 0 -39 h\n.8 g 2943 3539 N 0 39 49 0 0
      -39 h\n.8 g 2895 3539 N 0 39 48 0 0 -39 h\n.8 g 2846 3539 N 0 39 49 0 0
      -39 h\n.8 g 2797 3539 N 0 39 49 0 0 -39 h\n.8 g 2749 3539 N 0 39 48 0 0
      -39 h\n.8 g 2700 3539 N 0 39 49 0 0 -39 h\n.8 g 2652 3539 N 0 39 48 0 0
      -39 h\n.8 g 2603 3539 N 0 39 49 0 0 -39 h\n.8 g 2554 3539 N 0 39 49 0 0
      -39 h\n.8 g 2506 3539 N 0 39 48 0 0 -39 h\n.8 g 2457 3539 N 0 39 49 0 0
      -39 h\n.8 g 2409 3539 N 0 39 48 0 0 -39 h\n.8 g 2360 3539 N 0 39 49 0 0
      -39 h\n.8 g 2311 3539 N 0 39 49 0 0 -39 h\n.9 g 2263 3539 N 0 39 48 0 0
      -39 h\n1 g 2214 3539 N 0 39 49 0 0 -39 h\n1 g 2165 3539 N 0 39 49 0 0
      -39 h\n1 g 2117 3539 N 0 39 48 0 0 -39 h\n1 g 2068 3539 N 0 39 49 0 0
      -39 h\n1 g 2020 3539 N 0 39 48 0 0 -39 h\n1 g 1971 3539 N 0 39 49 0 0
      -39 h\n1 g 1922 3539 N 0 39 49 0 0 -39 h\n1 g 1874 3539 N 0 39 48 0 0
      -39 h\n1 g 1825 3539 N 0 39 49 0 0 -39 h\n1 g 1777 3539 N 0 39 48 0 0
      -39 h\n1 g 1728 3539 N 0 39 49 0 0 -39 h\n1 g 1679 3539 N 0 39 49 0 0
      -39 h\n1 g 1631 3539 N 0 39 48 0 0 -39 h\n1 g 1582 3539 N 0 39 49 0 0
      -39 h\n1 g 1534 3539 N 0 39 48 0 0 -39 h\n1 g 1485 3539 N 0 39 49 0 0
      -39 h\n1 g 1436 3539 N 0 39 49 0 0 -39 h\n1 g 1388 3539 N 0 39 48 0 0
      -39 h\n1 g 1339 3539 N 0 39 49 0 0 -39 h\n1 g 1290 3539 N 0 39 49 0 0
      -39 h\n1 g 1242 3539 N 0 39 48 0 0 -39 h\n1 g 1193 3539 N 0 39 49 0 0
      -39 h\n1 g 5957 3500 N 0 38 49 0 0 -38 h\n1 g 5909 3500 N 0 38 48 0 0
      -38 h\n1 g 5860 3500 N 0 38 49 0 0 -38 h\n1 g 5811 3500 N 0 38 49 0 0
      -38 h\n1 g 5763 3500 N 0 38 48 0 0 -38 h\n1 g 5714 3500 N 0 38 49 0 0
      -38 h\n1 g 5665 3500 N 0 38 49 0 0 -38 h\n1 g 5617 3500 N 0 38 48 0 0
      -38 h\n1 g 5568 3500 N 0 38 49 0 0 -38 h\n1 g 5520 3500 N 0 38 48 0 0
      -38 h\n1 g 5471 3500 N 0 38 49 0 0 -38 h\n1 g 5422 3500 N 0 38 49 0 0
      -38 h\n1 g 5374 3500 N 0 38 48 0 0 -38 h\n1 g 5325 3500 N 0 38 49 0 0
      -38 h\n1 g 5277 3500 N 0 38 48 0 0 -38 h\n1 g 5228 3500 N 0 38 49 0 0
      -38 h\n1 g 5179 3500 N 0 38 49 0 0 -38 h\n1 g 5131 3500 N 0 38 48 0 0
      -38 h\n1 g 5082 3500 N 0 38 49 0 0 -38 h\n1 g 5034 3500 N 0 38 48 0 0
      -38 h\n1 g 4985 3500 N 0 38 49 0 0 -38 h\n1 g 4936 3500 N 0 38 49 0 0
      -38 h\n.9 g 4888 3500 N 0 38 48 0 0 -38 h\n.8 g 4839 3500 N 0 38 49 0 0
      -38 h\n.8 g 4790 3500 N 0 38 49 0 0 -38 h\n.8 g 4742 3500 N 0 38 48 0 0
      -38 h\n.8 g 4693 3500 N 0 38 49 0 0 -38 h\n.8 g 4645 3500 N 0 38 48 0 0
      -38 h\n.8 g 4596 3500 N 0 38 49 0 0 -38 h\n.8 g 4547 3500 N 0 38 49 0 0
      -38 h\n.8 g 4499 3500 N 0 38 48 0 0 -38 h\n.8 g 4450 3500 N 0 38 49 0 0
      -38 h\n.8 g 4402 3500 N 0 38 48 0 0 -38 h\n.8 g 4353 3500 N 0 38 49 0 0
      -38 h\n.8 g 4304 3500 N 0 38 49 0 0 -38 h\n.8 g 4256 3500 N 0 38 48 0 0
      -38 h\n.8 g 4207 3500 N 0 38 49 0 0 -38 h\n.8 g 4159 3500 N 0 38 48 0 0
      -38 h\n.8 g 4110 3500 N 0 38 49 0 0 -38 h\n.8 g 4061 3500 N 0 38 49 0 0
      -38 h\n.8 g 4013 3500 N 0 38 48 0 0 -38 h\n.8 g 3964 3500 N 0 38 49 0 0
      -38 h\n.8 g 3915 3500 N 0 38 49 0 0 -38 h\n.8 g 3867 3500 N 0 38 48 0 0
      -38 h\n.8 g 3818 3500 N 0 38 49 0 0 -38 h\n.8 g 3770 3500 N 0 38 48 0 0
      -38 h\n.8 g 3721 3500 N 0 38 49 0 0 -38 h\n.8 g 3672 3500 N 0 38 49 0 0
      -38 h\n.8 g 3624 3500 N 0 38 48 0 0 -38 h\n.8 g 3575 3500 N 0 38 49 0 0
      -38 h\n.8 g 3527 3500 N 0 38 48 0 0 -38 h\n.8 g 3478 3500 N 0 38 49 0 0
      -38 h\n.8 g 3429 3500 N 0 38 49 0 0 -38 h\n.8 g 3381 3500 N 0 38 48 0 0
      -38 h\n.8 g 3332 3500 N 0 38 49 0 0 -38 h\n.8 g 3284 3500 N 0 38 48 0 0
      -38 h\n.8 g 3235 3500 N 0 38 49 0 0 -38 h\n.8 g 3186 3500 N 0 38 49 0 0
      -38 h\n.8 g 3138 3500 N 0 38 48 0 0 -38 h\n.8 g 3089 3500 N 0 38 49 0 0
      -38 h\n.8 g 3040 3500 N 0 38 49 0 0 -38 h\n.8 g 2992 3500 N 0 38 48 0 0
      -38 h\n.8 g 2943 3500 N 0 38 49 0 0 -38 h\n.8 g 2895 3500 N 0 38 48 0 0
      -38 h\n.8 g 2846 3500 N 0 38 49 0 0 -38 h\n.8 g 2797 3500 N 0 38 49 0 0
      -38 h\n.8 g 2749 3500 N 0 38 48 0 0 -38 h\n.8 g 2700 3500 N 0 38 49 0 0
      -38 h\n.8 g 2652 3500 N 0 38 48 0 0 -38 h\n.8 g 2603 3500 N 0 38 49 0 0
      -38 h\n.8 g 2554 3500 N 0 38 49 0 0 -38 h\n.8 g 2506 3500 N 0 38 48 0 0
      -38 h\n.8 g 2457 3500 N 0 38 49 0 0 -38 h\n.8 g 2409 3500 N 0 38 48 0 0
      -38 h\n.8 g 2360 3500 N 0 38 49 0 0 -38 h\n.8 g 2311 3500 N 0 38 49 0 0
      -38 h\n.9 g 2263 3500 N 0 38 48 0 0 -38 h\n1 g 2214 3500 N 0 38 49 0 0
      -38 h\n1 g 2165 3500 N 0 38 49 0 0 -38 h\n1 g 2117 3500 N 0 38 48 0 0
      -38 h\n1 g 2068 3500 N 0 38 49 0 0 -38 h\n1 g 2020 3500 N 0 38 48 0 0
      -38 h\n1 g 1971 3500 N 0 38 49 0 0 -38 h\n1 g 1922 3500 N 0 38 49 0 0
      -38 h\n1 g 1874 3500 N 0 38 48 0 0 -38 h\n1 g 1825 3500 N 0 38 49 0 0
      -38 h\n1 g 1777 3500 N 0 38 48 0 0 -38 h\n1 g 1728 3500 N 0 38 49 0 0
      -38 h\n1 g 1679 3500 N 0 38 49 0 0 -38 h\n1 g 1631 3500 N 0 38 48 0 0
      -38 h\n1 g 1582 3500 N 0 38 49 0 0 -38 h\n1 g 1534 3500 N 0 38 48 0 0
      -38 h\n1 g 1485 3500 N 0 38 49 0 0 -38 h\n1 g 1436 3500 N 0 38 49 0 0
      -38 h\n1 g 1388 3500 N 0 38 48 0 0 -38 h\n1 g 1339 3500 N 0 38 49 0 0
      -38 h\n1 g 1290 3500 N 0 38 49 0 0 -38 h\n1 g 1242 3500 N 0 38 48 0 0
      -38 h\n1 g 1193 3500 N 0 38 49 0 0 -38 h\n1 g 5957 3462 N 0 39 49 0 0
      -39 h\n1 g 5909 3462 N 0 39 48 0 0 -39 h\n1 g 5860 3462 N 0 39 49 0 0
      -39 h\n1 g 5811 3462 N 0 39 49 0 0 -39 h\n1 g 5763 3462 N 0 39 48 0 0
      -39 h\n1 g 5714 3462 N 0 39 49 0 0 -39 h\n1 g 5665 3462 N 0 39 49 0 0
      -39 h\n1 g 5617 3462 N 0 39 48 0 0 -39 h\n1 g 5568 3462 N 0 39 49 0 0
      -39 h\n1 g 5520 3462 N 0 39 48 0 0 -39 h\n1 g 5471 3462 N 0 39 49 0 0
      -39 h\n1 g 5422 3462 N 0 39 49 0 0 -39 h\n1 g 5374 3462 N 0 39 48 0 0
      -39 h\n1 g 5325 3462 N 0 39 49 0 0 -39 h\n1 g 5277 3462 N 0 39 48 0 0
      -39 h\n1 g 5228 3462 N 0 39 49 0 0 -39 h\n1 g 5179 3462 N 0 39 49 0 0
      -39 h\n1 g 5131 3462 N 0 39 48 0 0 -39 h\n1 g 5082 3462 N 0 39 49 0 0
      -39 h\n1 g 5034 3462 N 0 39 48 0 0 -39 h\n1 g 4985 3462 N 0 39 49 0 0
      -39 h\n1 g 4936 3462 N 0 39 49 0 0 -39 h\n.9 g 4888 3462 N 0 39 48 0 0
      -39 h\n.8 g 4839 3462 N 0 39 49 0 0 -39 h\n.8 g 4790 3462 N 0 39 49 0 0
      -39 h\n.8 g 4742 3462 N 0 39 48 0 0 -39 h\n.8 g 4693 3462 N 0 39 49 0 0
      -39 h\n.8 g 4645 3462 N 0 39 48 0 0 -39 h\n.8 g 4596 3462 N 0 39 49 0 0
      -39 h\n.8 g 4547 3462 N 0 39 49 0 0 -39 h\n.8 g 4499 3462 N 0 39 48 0 0
      -39 h\n.8 g 4450 3462 N 0 39 49 0 0 -39 h\n.8 g 4402 3462 N 0 39 48 0 0
      -39 h\n.8 g 4353 3462 N 0 39 49 0 0 -39 h\n.8 g 4304 3462 N 0 39 49 0 0
      -39 h\n.8 g 4256 3462 N 0 39 48 0 0 -39 h\n.8 g 4207 3462 N 0 39 49 0 0
      -39 h\n.8 g 4159 3462 N 0 39 48 0 0 -39 h\n.8 g 4110 3462 N 0 39 49 0 0
      -39 h\n.8 g 4061 3462 N 0 39 49 0 0 -39 h\n.8 g 4013 3462 N 0 39 48 0 0
      -39 h\n.8 g 3964 3462 N 0 39 49 0 0 -39 h\n.8 g 3915 3462 N 0 39 49 0 0
      -39 h\n.8 g 3867 3462 N 0 39 48 0 0 -39 h\n.8 g 3818 3462 N 0 39 49 0 0
      -39 h\n.8 g 3770 3462 N 0 39 48 0 0 -39 h\n.8 g 3721 3462 N 0 39 49 0 0
      -39 h\n.8 g 3672 3462 N 0 39 49 0 0 -39 h\n.8 g 3624 3462 N 0 39 48 0 0
      -39 h\n.8 g 3575 3462 N 0 39 49 0 0 -39 h\n.8 g 3527 3462 N 0 39 48 0 0
      -39 h\n.8 g 3478 3462 N 0 39 49 0 0 -39 h\n.8 g 3429 3462 N 0 39 49 0 0
      -39 h\n.8 g 3381 3462 N 0 39 48 0 0 -39 h\n.8 g 3332 3462 N 0 39 49 0 0
      -39 h\n.8 g 3284 3462 N 0 39 48 0 0 -39 h\n.8 g 3235 3462 N 0 39 49 0 0
      -39 h\n.8 g 3186 3462 N 0 39 49 0 0 -39 h\n.8 g 3138 3462 N 0 39 48 0 0
      -39 h\n.8 g 3089 3462 N 0 39 49 0 0 -39 h\n.8 g 3040 3462 N 0 39 49 0 0
      -39 h\n.8 g 2992 3462 N 0 39 48 0 0 -39 h\n.8 g 2943 3462 N 0 39 49 0 0
      -39 h\n.8 g 2895 3462 N 0 39 48 0 0 -39 h\n.8 g 2846 3462 N 0 39 49 0 0
      -39 h\n.8 g 2797 3462 N 0 39 49 0 0 -39 h\n.8 g 2749 3462 N 0 39 48 0 0
      -39 h\n.8 g 2700 3462 N 0 39 49 0 0 -39 h\n.8 g 2652 3462 N 0 39 48 0 0
      -39 h\n.8 g 2603 3462 N 0 39 49 0 0 -39 h\n.8 g 2554 3462 N 0 39 49 0 0
      -39 h\n.8 g 2506 3462 N 0 39 48 0 0 -39 h\n.8 g 2457 3462 N 0 39 49 0 0
      -39 h\n.8 g 2409 3462 N 0 39 48 0 0 -39 h\n.8 g 2360 3462 N 0 39 49 0 0
      -39 h\n.8 g 2311 3462 N 0 39 49 0 0 -39 h\n.9 g 2263 3462 N 0 39 48 0 0
      -39 h\n1 g 2214 3462 N 0 39 49 0 0 -39 h\n1 g 2165 3462 N 0 39 49 0 0
      -39 h\n1 g 2117 3462 N 0 39 48 0 0 -39 h\n1 g 2068 3462 N 0 39 49 0 0
      -39 h\n1 g 2020 3462 N 0 39 48 0 0 -39 h\n1 g 1971 3462 N 0 39 49 0 0
      -39 h\n1 g 1922 3462 N 0 39 49 0 0 -39 h\n1 g 1874 3462 N 0 39 48 0 0
      -39 h\n1 g 1825 3462 N 0 39 49 0 0 -39 h\n1 g 1777 3462 N 0 39 48 0 0
      -39 h\n1 g 1728 3462 N 0 39 49 0 0 -39 h\n1 g 1679 3462 N 0 39 49 0 0
      -39 h\n1 g 1631 3462 N 0 39 48 0 0 -39 h\n1 g 1582 3462 N 0 39 49 0 0
      -39 h\n1 g 1534 3462 N 0 39 48 0 0 -39 h\n1 g 1485 3462 N 0 39 49 0 0
      -39 h\n1 g 1436 3462 N 0 39 49 0 0 -39 h\n1 g 1388 3462 N 0 39 48 0 0
      -39 h\n1 g 1339 3462 N 0 39 49 0 0 -39 h\n1 g 1290 3462 N 0 39 49 0 0
      -39 h\n1 g 1242 3462 N 0 39 48 0 0 -39 h\n1 g 1193 3462 N 0 39 49 0 0
      -39 h\n1 g 5957 3423 N 0 39 49 0 0 -39 h\n1 g 5909 3423 N 0 39 48 0 0
      -39 h\n1 g 5860 3423 N 0 39 49 0 0 -39 h\n1 g 5811 3423 N 0 39 49 0 0
      -39 h\n1 g 5763 3423 N 0 39 48 0 0 -39 h\n1 g 5714 3423 N 0 39 49 0 0
      -39 h\n1 g 5665 3423 N 0 39 49 0 0 -39 h\n1 g 5617 3423 N 0 39 48 0 0
      -39 h\n1 g 5568 3423 N 0 39 49 0 0 -39 h\n1 g 5520 3423 N 0 39 48 0 0
      -39 h\n1 g 5471 3423 N 0 39 49 0 0 -39 h\n1 g 5422 3423 N 0 39 49 0 0
      -39 h\n1 g 5374 3423 N 0 39 48 0 0 -39 h\n1 g 5325 3423 N 0 39 49 0 0
      -39 h\n1 g 5277 3423 N 0 39 48 0 0 -39 h\n1 g 5228 3423 N 0 39 49 0 0
      -39 h\n1 g 5179 3423 N 0 39 49 0 0 -39 h\n1 g 5131 3423 N 0 39 48 0 0
      -39 h\n1 g 5082 3423 N 0 39 49 0 0 -39 h\n1 g 5034 3423 N 0 39 48 0 0
      -39 h\n1 g 4985 3423 N 0 39 49 0 0 -39 h\n1 g 4936 3423 N 0 39 49 0 0
      -39 h\n.95 g 4888 3423 N 0 39 48 0 0 -39 h\n.85 g 4839 3423 N 0 39 49 0
      0 -39 h\n.8 g 4790 3423 N 0 39 49 0 0 -39 h\n.8 g 4742 3423 N 0 39 48 0
      0 -39 h\n.8 g 4693 3423 N 0 39 49 0 0 -39 h\n.8 g 4645 3423 N 0 39 48 0
      0 -39 h\n.8 g 4596 3423 N 0 39 49 0 0 -39 h\n.8 g 4547 3423 N 0 39 49 0
      0 -39 h\n.8 g 4499 3423 N 0 39 48 0 0 -39 h\n.8 g 4450 3423 N 0 39 49 0
      0 -39 h\n.8 g 4402 3423 N 0 39 48 0 0 -39 h\n.8 g 4353 3423 N 0 39 49 0
      0 -39 h\n.8 g 4304 3423 N 0 39 49 0 0 -39 h\n.8 g 4256 3423 N 0 39 48 0
      0 -39 h\n.8 g 4207 3423 N 0 39 49 0 0 -39 h\n.8 g 4159 3423 N 0 39 48 0
      0 -39 h\n.8 g 4110 3423 N 0 39 49 0 0 -39 h\n.8 g 4061 3423 N 0 39 49 0
      0 -39 h\n.8 g 4013 3423 N 0 39 48 0 0 -39 h\n.8 g 3964 3423 N 0 39 49 0
      0 -39 h\n.8 g 3915 3423 N 0 39 49 0 0 -39 h\n.8 g 3867 3423 N 0 39 48 0
      0 -39 h\n.8 g 3818 3423 N 0 39 49 0 0 -39 h\n.8 g 3770 3423 N 0 39 48 0
      0 -39 h\n.8 g 3721 3423 N 0 39 49 0 0 -39 h\n.8 g 3672 3423 N 0 39 49 0
      0 -39 h\n.8 g 3624 3423 N 0 39 48 0 0 -39 h\n.8 g 3575 3423 N 0 39 49 0
      0 -39 h\n.8 g 3527 3423 N 0 39 48 0 0 -39 h\n.8 g 3478 3423 N 0 39 49 0
      0 -39 h\n.8 g 3429 3423 N 0 39 49 0 0 -39 h\n.8 g 3381 3423 N 0 39 48 0
      0 -39 h\n.8 g 3332 3423 N 0 39 49 0 0 -39 h\n.8 g 3284 3423 N 0 39 48 0
      0 -39 h\n.8 g 3235 3423 N 0 39 49 0 0 -39 h\n.8 g 3186 3423 N 0 39 49 0
      0 -39 h\n.8 g 3138 3423 N 0 39 48 0 0 -39 h\n.8 g 3089 3423 N 0 39 49 0
      0 -39 h\n.8 g 3040 3423 N 0 39 49 0 0 -39 h\n.8 g 2992 3423 N 0 39 48 0
      0 -39 h\n.8 g 2943 3423 N 0 39 49 0 0 -39 h\n.8 g 2895 3423 N 0 39 48 0
      0 -39 h\n.8 g 2846 3423 N 0 39 49 0 0 -39 h\n.8 g 2797 3423 N 0 39 49 0
      0 -39 h\n.8 g 2749 3423 N 0 39 48 0 0 -39 h\n.8 g 2700 3423 N 0 39 49 0
      0 -39 h\n.8 g 2652 3423 N 0 39 48 0 0 -39 h\n.8 g 2603 3423 N 0 39 49 0
      0 -39 h\n.8 g 2554 3423 N 0 39 49 0 0 -39 h\n.8 g 2506 3423 N 0 39 48 0
      0 -39 h\n.8 g 2457 3423 N 0 39 49 0 0 -39 h\n.8 g 2409 3423 N 0 39 48 0
      0 -39 h\n.8 g 2360 3423 N 0 39 49 0 0 -39 h\n.85 g 2311 3423 N 0 39 49
      0 0 -39 h\n.95 g 2263 3423 N 0 39 48 0 0 -39 h\n1 g 2214 3423 N 0 39 49
      0 0 -39 h\n1 g 2165 3423 N 0 39 49 0 0 -39 h\n1 g 2117 3423 N 0 39 48 0
      0 -39 h\n1 g 2068 3423 N 0 39 49 0 0 -39 h\n1 g 2020 3423 N 0 39 48 0 0
      -39 h\n1 g 1971 3423 N 0 39 49 0 0 -39 h\n1 g 1922 3423 N 0 39 49 0 0
      -39 h\n1 g 1874 3423 N 0 39 48 0 0 -39 h\n1 g 1825 3423 N 0 39 49 0 0
      -39 h\n1 g 1777 3423 N 0 39 48 0 0 -39 h\n1 g 1728 3423 N 0 39 49 0 0
      -39 h\n1 g 1679 3423 N 0 39 49 0 0 -39 h\n1 g 1631 3423 N 0 39 48 0 0
      -39 h\n1 g 1582 3423 N 0 39 49 0 0 -39 h\n1 g 1534 3423 N 0 39 48 0 0
      -39 h\n1 g 1485 3423 N 0 39 49 0 0 -39 h\n1 g 1436 3423 N 0 39 49 0 0
      -39 h\n1 g 1388 3423 N 0 39 48 0 0 -39 h\n1 g 1339 3423 N 0 39 49 0 0
      -39 h\n1 g 1290 3423 N 0 39 49 0 0 -39 h\n1 g 1242 3423 N 0 39 48 0 0
      -39 h\n1 g 1193 3423 N 0 39 49 0 0 -39 h\n1 g 5957 3384 N 0 39 49 0 0
      -39 h\n1 g 5909 3384 N 0 39 48 0 0 -39 h\n1 g 5860 3384 N 0 39 49 0 0
      -39 h\n1 g 5811 3384 N 0 39 49 0 0 -39 h\n1 g 5763 3384 N 0 39 48 0 0
      -39 h\n1 g 5714 3384 N 0 39 49 0 0 -39 h\n1 g 5665 3384 N 0 39 49 0 0
      -39 h\n1 g 5617 3384 N 0 39 48 0 0 -39 h\n1 g 5568 3384 N 0 39 49 0 0
      -39 h\n1 g 5520 3384 N 0 39 48 0 0 -39 h\n1 g 5471 3384 N 0 39 49 0 0
      -39 h\n1 g 5422 3384 N 0 39 49 0 0 -39 h\n1 g 5374 3384 N 0 39 48 0 0
      -39 h\n1 g 5325 3384 N 0 39 49 0 0 -39 h\n1 g 5277 3384 N 0 39 48 0 0
      -39 h\n1 g 5228 3384 N 0 39 49 0 0 -39 h\n1 g 5179 3384 N 0 39 49 0 0
      -39 h\n1 g 5131 3384 N 0 39 48 0 0 -39 h\n1 g 5082 3384 N 0 39 49 0 0
      -39 h\n1 g 5034 3384 N 0 39 48 0 0 -39 h\n1 g 4985 3384 N 0 39 49 0 0
      -39 h\n1 g 4936 3384 N 0 39 49 0 0 -39 h\n1 g 4888 3384 N 0 39 48 0 0
      -39 h\n.9 g 4839 3384 N 0 39 49 0 0 -39 h\n.8 g 4790 3384 N 0 39 49 0 0
      -39 h\n.8 g 4742 3384 N 0 39 48 0 0 -39 h\n.8 g 4693 3384 N 0 39 49 0 0
      -39 h\n.8 g 4645 3384 N 0 39 48 0 0 -39 h\n.8 g 4596 3384 N 0 39 49 0 0
      -39 h\n.8 g 4547 3384 N 0 39 49 0 0 -39 h\n.8 g 4499 3384 N 0 39 48 0 0
      -39 h\n.8 g 4450 3384 N 0 39 49 0 0 -39 h\n.8 g 4402 3384 N 0 39 48 0 0
      -39 h\n.8 g 4353 3384 N 0 39 49 0 0 -39 h\n.8 g 4304 3384 N 0 39 49 0 0
      -39 h\n.8 g 4256 3384 N 0 39 48 0 0 -39 h\n.8 g 4207 3384 N 0 39 49 0 0
      -39 h\n.8 g 4159 3384 N 0 39 48 0 0 -39 h\n.8 g 4110 3384 N 0 39 49 0 0
      -39 h\n.8 g 4061 3384 N 0 39 49 0 0 -39 h\n.8 g 4013 3384 N 0 39 48 0 0
      -39 h\n.8 g 3964 3384 N 0 39 49 0 0 -39 h\n.8 g 3915 3384 N 0 39 49 0 0
      -39 h\n.8 g 3867 3384 N 0 39 48 0 0 -39 h\n.8 g 3818 3384 N 0 39 49 0 0
      -39 h\n.8 g 3770 3384 N 0 39 48 0 0 -39 h\n.8 g 3721 3384 N 0 39 49 0 0
      -39 h\n.8 g 3672 3384 N 0 39 49 0 0 -39 h\n.8 g 3624 3384 N 0 39 48 0 0
      -39 h\n.8 g 3575 3384 N 0 39 49 0 0 -39 h\n.8 g 3527 3384 N 0 39 48 0 0
      -39 h\n.8 g 3478 3384 N 0 39 49 0 0 -39 h\n.8 g 3429 3384 N 0 39 49 0 0
      -39 h\n.8 g 3381 3384 N 0 39 48 0 0 -39 h\n.8 g 3332 3384 N 0 39 49 0 0
      -39 h\n.8 g 3284 3384 N 0 39 48 0 0 -39 h\n.8 g 3235 3384 N 0 39 49 0 0
      -39 h\n.8 g 3186 3384 N 0 39 49 0 0 -39 h\n.8 g 3138 3384 N 0 39 48 0 0
      -39 h\n.8 g 3089 3384 N 0 39 49 0 0 -39 h\n.8 g 3040 3384 N 0 39 49 0 0
      -39 h\n.8 g 2992 3384 N 0 39 48 0 0 -39 h\n.8 g 2943 3384 N 0 39 49 0 0
      -39 h\n.8 g 2895 3384 N 0 39 48 0 0 -39 h\n.8 g 2846 3384 N 0 39 49 0 0
      -39 h\n.8 g 2797 3384 N 0 39 49 0 0 -39 h\n.8 g 2749 3384 N 0 39 48 0 0
      -39 h\n.8 g 2700 3384 N 0 39 49 0 0 -39 h\n.8 g 2652 3384 N 0 39 48 0 0
      -39 h\n.8 g 2603 3384 N 0 39 49 0 0 -39 h\n.8 g 2554 3384 N 0 39 49 0 0
      -39 h\n.8 g 2506 3384 N 0 39 48 0 0 -39 h\n.8 g 2457 3384 N 0 39 49 0 0
      -39 h\n.8 g 2409 3384 N 0 39 48 0 0 -39 h\n.8 g 2360 3384 N 0 39 49 0 0
      -39 h\n.9 g 2311 3384 N 0 39 49 0 0 -39 h\n1 g 2263 3384 N 0 39 48 0 0
      -39 h\n1 g 2214 3384 N 0 39 49 0 0 -39 h\n1 g 2165 3384 N 0 39 49 0 0
      -39 h\n1 g 2117 3384 N 0 39 48 0 0 -39 h\n1 g 2068 3384 N 0 39 49 0 0
      -39 h\n1 g 2020 3384 N 0 39 48 0 0 -39 h\n1 g 1971 3384 N 0 39 49 0 0
      -39 h\n1 g 1922 3384 N 0 39 49 0 0 -39 h\n1 g 1874 3384 N 0 39 48 0 0
      -39 h\n1 g 1825 3384 N 0 39 49 0 0 -39 h\n1 g 1777 3384 N 0 39 48 0 0
      -39 h\n1 g 1728 3384 N 0 39 49 0 0 -39 h\n1 g 1679 3384 N 0 39 49 0 0
      -39 h\n1 g 1631 3384 N 0 39 48 0 0 -39 h\n1 g 1582 3384 N 0 39 49 0 0
      -39 h\n1 g 1534 3384 N 0 39 48 0 0 -39 h\n1 g 1485 3384 N 0 39 49 0 0
      -39 h\n1 g 1436 3384 N 0 39 49 0 0 -39 h\n1 g 1388 3384 N 0 39 48 0 0
      -39 h\n1 g 1339 3384 N 0 39 49 0 0 -39 h\n1 g 1290 3384 N 0 39 49 0 0
      -39 h\n1 g 1242 3384 N 0 39 48 0 0 -39 h\n1 g 1193 3384 N 0 39 49 0 0
      -39 h\n1 g 5957 3345 N 0 38 49 0 0 -38 h\n1 g 5909 3345 N 0 38 48 0 0
      -38 h\n1 g 5860 3345 N 0 38 49 0 0 -38 h\n1 g 5811 3345 N 0 38 49 0 0
      -38 h\n1 g 5763 3345 N 0 38 48 0 0 -38 h\n1 g 5714 3345 N 0 38 49 0 0
      -38 h\n1 g 5665 3345 N 0 38 49 0 0 -38 h\n1 g 5617 3345 N 0 38 48 0 0
      -38 h\n1 g 5568 3345 N 0 38 49 0 0 -38 h\n1 g 5520 3345 N 0 38 48 0 0
      -38 h\n1 g 5471 3345 N 0 38 49 0 0 -38 h\n1 g 5422 3345 N 0 38 49 0 0
      -38 h\n1 g 5374 3345 N 0 38 48 0 0 -38 h\n1 g 5325 3345 N 0 38 49 0 0
      -38 h\n1 g 5277 3345 N 0 38 48 0 0 -38 h\n1 g 5228 3345 N 0 38 49 0 0
      -38 h\n1 g 5179 3345 N 0 38 49 0 0 -38 h\n1 g 5131 3345 N 0 38 48 0 0
      -38 h\n1 g 5082 3345 N 0 38 49 0 0 -38 h\n1 g 5034 3345 N 0 38 48 0 0
      -38 h\n1 g 4985 3345 N 0 38 49 0 0 -38 h\n1 g 4936 3345 N 0 38 49 0 0
      -38 h\n1 g 4888 3345 N 0 38 48 0 0 -38 h\n.9 g 4839 3345 N 0 38 49 0 0
      -38 h\n.8 g 4790 3345 N 0 38 49 0 0 -38 h\n.8 g 4742 3345 N 0 38 48 0 0
      -38 h\n.8 g 4693 3345 N 0 38 49 0 0 -38 h\n.8 g 4645 3345 N 0 38 48 0 0
      -38 h\n.8 g 4596 3345 N 0 38 49 0 0 -38 h\n.8 g 4547 3345 N 0 38 49 0 0
      -38 h\n.8 g 4499 3345 N 0 38 48 0 0 -38 h\n.8 g 4450 3345 N 0 38 49 0 0
      -38 h\n.8 g 4402 3345 N 0 38 48 0 0 -38 h\n.8 g 4353 3345 N 0 38 49 0 0
      -38 h\n.8 g 4304 3345 N 0 38 49 0 0 -38 h\n.8 g 4256 3345 N 0 38 48 0 0
      -38 h\n.8 g 4207 3345 N 0 38 49 0 0 -38 h\n.8 g 4159 3345 N 0 38 48 0 0
      -38 h\n.8 g 4110 3345 N 0 38 49 0 0 -38 h\n.8 g 4061 3345 N 0 38 49 0 0
      -38 h\n.8 g 4013 3345 N 0 38 48 0 0 -38 h\n.8 g 3964 3345 N 0 38 49 0 0
      -38 h\n.8 g 3915 3345 N 0 38 49 0 0 -38 h\n.8 g 3867 3345 N 0 38 48 0 0
      -38 h\n.8 g 3818 3345 N 0 38 49 0 0 -38 h\n.8 g 3770 3345 N 0 38 48 0 0
      -38 h\n.8 g 3721 3345 N 0 38 49 0 0 -38 h\n.8 g 3672 3345 N 0 38 49 0 0
      -38 h\n.8 g 3624 3345 N 0 38 48 0 0 -38 h\n.8 g 3575 3345 N 0 38 49 0 0
      -38 h\n.8 g 3527 3345 N 0 38 48 0 0 -38 h\n.8 g 3478 3345 N 0 38 49 0 0
      -38 h\n.8 g 3429 3345 N 0 38 49 0 0 -38 h\n.8 g 3381 3345 N 0 38 48 0 0
      -38 h\n.8 g 3332 3345 N 0 38 49 0 0 -38 h\n.8 g 3284 3345 N 0 38 48 0 0
      -38 h\n.8 g 3235 3345 N 0 38 49 0 0 -38 h\n.8 g 3186 3345 N 0 38 49 0 0
      -38 h\n.8 g 3138 3345 N 0 38 48 0 0 -38 h\n.8 g 3089 3345 N 0 38 49 0 0
      -38 h\n.8 g 3040 3345 N 0 38 49 0 0 -38 h\n.8 g 2992 3345 N 0 38 48 0 0
      -38 h\n.8 g 2943 3345 N 0 38 49 0 0 -38 h\n.8 g 2895 3345 N 0 38 48 0 0
      -38 h\n.8 g 2846 3345 N 0 38 49 0 0 -38 h\n.8 g 2797 3345 N 0 38 49 0 0
      -38 h\n.8 g 2749 3345 N 0 38 48 0 0 -38 h\n.8 g 2700 3345 N 0 38 49 0 0
      -38 h\n.8 g 2652 3345 N 0 38 48 0 0 -38 h\n.8 g 2603 3345 N 0 38 49 0 0
      -38 h\n.8 g 2554 3345 N 0 38 49 0 0 -38 h\n.8 g 2506 3345 N 0 38 48 0 0
      -38 h\n.8 g 2457 3345 N 0 38 49 0 0 -38 h\n.8 g 2409 3345 N 0 38 48 0 0
      -38 h\n.8 g 2360 3345 N 0 38 49 0 0 -38 h\n.9 g 2311 3345 N 0 38 49 0 0
      -38 h\n1 g 2263 3345 N 0 38 48 0 0 -38 h\n1 g 2214 3345 N 0 38 49 0 0
      -38 h\n1 g 2165 3345 N 0 38 49 0 0 -38 h\n1 g 2117 3345 N 0 38 48 0 0
      -38 h\n1 g 2068 3345 N 0 38 49 0 0 -38 h\n1 g 2020 3345 N 0 38 48 0 0
      -38 h\n1 g 1971 3345 N 0 38 49 0 0 -38 h\n1 g 1922 3345 N 0 38 49 0 0
      -38 h\n1 g 1874 3345 N 0 38 48 0 0 -38 h\n1 g 1825 3345 N 0 38 49 0 0
      -38 h\n1 g 1777 3345 N 0 38 48 0 0 -38 h\n1 g 1728 3345 N 0 38 49 0 0
      -38 h\n1 g 1679 3345 N 0 38 49 0 0 -38 h\n1 g 1631 3345 N 0 38 48 0 0
      -38 h\n1 g 1582 3345 N 0 38 49 0 0 -38 h\n1 g 1534 3345 N 0 38 48 0 0
      -38 h\n1 g 1485 3345 N 0 38 49 0 0 -38 h\n1 g 1436 3345 N 0 38 49 0 0
      -38 h\n1 g 1388 3345 N 0 38 48 0 0 -38 h\n1 g 1339 3345 N 0 38 49 0 0
      -38 h\n1 g 1290 3345 N 0 38 49 0 0 -38 h\n1 g 1242 3345 N 0 38 48 0 0
      -38 h\n1 g 1193 3345 N 0 38 49 0 0 -38 h\n1 g 5957 3307 N 0 39 49 0 0
      -39 h\n1 g 5909 3307 N 0 39 48 0 0 -39 h\n1 g 5860 3307 N 0 39 49 0 0
      -39 h\n1 g 5811 3307 N 0 39 49 0 0 -39 h\n1 g 5763 3307 N 0 39 48 0 0
      -39 h\n1 g 5714 3307 N 0 39 49 0 0 -39 h\n1 g 5665 3307 N 0 39 49 0 0
      -39 h\n1 g 5617 3307 N 0 39 48 0 0 -39 h\n1 g 5568 3307 N 0 39 49 0 0
      -39 h\n1 g 5520 3307 N 0 39 48 0 0 -39 h\n1 g 5471 3307 N 0 39 49 0 0
      -39 h\n1 g 5422 3307 N 0 39 49 0 0 -39 h\n1 g 5374 3307 N 0 39 48 0 0
      -39 h\n1 g 5325 3307 N 0 39 49 0 0 -39 h\n1 g 5277 3307 N 0 39 48 0 0
      -39 h\n1 g 5228 3307 N 0 39 49 0 0 -39 h\n1 g 5179 3307 N 0 39 49 0 0
      -39 h\n1 g 5131 3307 N 0 39 48 0 0 -39 h\n1 g 5082 3307 N 0 39 49 0 0
      -39 h\n1 g 5034 3307 N 0 39 48 0 0 -39 h\n1 g 4985 3307 N 0 39 49 0 0
      -39 h\n1 g 4936 3307 N 0 39 49 0 0 -39 h\n1 g 4888 3307 N 0 39 48 0 0
      -39 h\n.9 g 4839 3307 N 0 39 49 0 0 -39 h\n.8 g 4790 3307 N 0 39 49 0 0
      -39 h\n.8 g 4742 3307 N 0 39 48 0 0 -39 h\n.8 g 4693 3307 N 0 39 49 0 0
      -39 h\n.8 g 4645 3307 N 0 39 48 0 0 -39 h\n.8 g 4596 3307 N 0 39 49 0 0
      -39 h\n.8 g 4547 3307 N 0 39 49 0 0 -39 h\n.8 g 4499 3307 N 0 39 48 0 0
      -39 h\n.8 g 4450 3307 N 0 39 49 0 0 -39 h\n.8 g 4402 3307 N 0 39 48 0 0
      -39 h\n.8 g 4353 3307 N 0 39 49 0 0 -39 h\n.8 g 4304 3307 N 0 39 49 0 0
      -39 h\n.8 g 4256 3307 N 0 39 48 0 0 -39 h\n.8 g 4207 3307 N 0 39 49 0 0
      -39 h\n.8 g 4159 3307 N 0 39 48 0 0 -39 h\n.8 g 4110 3307 N 0 39 49 0 0
      -39 h\n.8 g 4061 3307 N 0 39 49 0 0 -39 h\n.8 g 4013 3307 N 0 39 48 0 0
      -39 h\n.8 g 3964 3307 N 0 39 49 0 0 -39 h\n.8 g 3915 3307 N 0 39 49 0 0
      -39 h\n.8 g 3867 3307 N 0 39 48 0 0 -39 h\n.8 g 3818 3307 N 0 39 49 0 0
      -39 h\n.8 g 3770 3307 N 0 39 48 0 0 -39 h\n.8 g 3721 3307 N 0 39 49 0 0
      -39 h\n.8 g 3672 3307 N 0 39 49 0 0 -39 h\n.8 g 3624 3307 N 0 39 48 0 0
      -39 h\n.8 g 3575 3307 N 0 39 49 0 0 -39 h\n.8 g 3527 3307 N 0 39 48 0 0
      -39 h\n.8 g 3478 3307 N 0 39 49 0 0 -39 h\n.8 g 3429 3307 N 0 39 49 0 0
      -39 h\n.8 g 3381 3307 N 0 39 48 0 0 -39 h\n.8 g 3332 3307 N 0 39 49 0 0
      -39 h\n.8 g 3284 3307 N 0 39 48 0 0 -39 h\n.8 g 3235 3307 N 0 39 49 0 0
      -39 h\n.8 g 3186 3307 N 0 39 49 0 0 -39 h\n.8 g 3138 3307 N 0 39 48 0 0
      -39 h\n.8 g 3089 3307 N 0 39 49 0 0 -39 h\n.8 g 3040 3307 N 0 39 49 0 0
      -39 h\n.8 g 2992 3307 N 0 39 48 0 0 -39 h\n.8 g 2943 3307 N 0 39 49 0 0
      -39 h\n.8 g 2895 3307 N 0 39 48 0 0 -39 h\n.8 g 2846 3307 N 0 39 49 0 0
      -39 h\n.8 g 2797 3307 N 0 39 49 0 0 -39 h\n.8 g 2749 3307 N 0 39 48 0 0
      -39 h\n.8 g 2700 3307 N 0 39 49 0 0 -39 h\n.8 g 2652 3307 N 0 39 48 0 0
      -39 h\n.8 g 2603 3307 N 0 39 49 0 0 -39 h\n.8 g 2554 3307 N 0 39 49 0 0
      -39 h\n.8 g 2506 3307 N 0 39 48 0 0 -39 h\n.8 g 2457 3307 N 0 39 49 0 0
      -39 h\n.8 g 2409 3307 N 0 39 48 0 0 -39 h\n.8 g 2360 3307 N 0 39 49 0 0
      -39 h\n.9 g 2311 3307 N 0 39 49 0 0 -39 h\n1 g 2263 3307 N 0 39 48 0 0
      -39 h\n1 g 2214 3307 N 0 39 49 0 0 -39 h\n1 g 2165 3307 N 0 39 49 0 0
      -39 h\n1 g 2117 3307 N 0 39 48 0 0 -39 h\n1 g 2068 3307 N 0 39 49 0 0
      -39 h\n1 g 2020 3307 N 0 39 48 0 0 -39 h\n1 g 1971 3307 N 0 39 49 0 0
      -39 h\n1 g 1922 3307 N 0 39 49 0 0 -39 h\n1 g 1874 3307 N 0 39 48 0 0
      -39 h\n1 g 1825 3307 N 0 39 49 0 0 -39 h\n1 g 1777 3307 N 0 39 48 0 0
      -39 h\n1 g 1728 3307 N 0 39 49 0 0 -39 h\n1 g 1679 3307 N 0 39 49 0 0
      -39 h\n1 g 1631 3307 N 0 39 48 0 0 -39 h\n1 g 1582 3307 N 0 39 49 0 0
      -39 h\n1 g 1534 3307 N 0 39 48 0 0 -39 h\n1 g 1485 3307 N 0 39 49 0 0
      -39 h\n1 g 1436 3307 N 0 39 49 0 0 -39 h\n1 g 1388 3307 N 0 39 48 0 0
      -39 h\n1 g 1339 3307 N 0 39 49 0 0 -39 h\n1 g 1290 3307 N 0 39 49 0 0
      -39 h\n1 g 1242 3307 N 0 39 48 0 0 -39 h\n1 g 1193 3307 N 0 39 49 0 0
      -39 h\n1 g 5957 3268 N 0 39 49 0 0 -39 h\n1 g 5909 3268 N 0 39 48 0 0
      -39 h\n1 g 5860 3268 N 0 39 49 0 0 -39 h\n1 g 5811 3268 N 0 39 49 0 0
      -39 h\n1 g 5763 3268 N 0 39 48 0 0 -39 h\n1 g 5714 3268 N 0 39 49 0 0
      -39 h\n1 g 5665 3268 N 0 39 49 0 0 -39 h\n1 g 5617 3268 N 0 39 48 0 0
      -39 h\n1 g 5568 3268 N 0 39 49 0 0 -39 h\n1 g 5520 3268 N 0 39 48 0 0
      -39 h\n1 g 5471 3268 N 0 39 49 0 0 -39 h\n1 g 5422 3268 N 0 39 49 0 0
      -39 h\n1 g 5374 3268 N 0 39 48 0 0 -39 h\n1 g 5325 3268 N 0 39 49 0 0
      -39 h\n1 g 5277 3268 N 0 39 48 0 0 -39 h\n1 g 5228 3268 N 0 39 49 0 0
      -39 h\n1 g 5179 3268 N 0 39 49 0 0 -39 h\n1 g 5131 3268 N 0 39 48 0 0
      -39 h\n1 g 5082 3268 N 0 39 49 0 0 -39 h\n1 g 5034 3268 N 0 39 48 0 0
      -39 h\n1 g 4985 3268 N 0 39 49 0 0 -39 h\n1 g 4936 3268 N 0 39 49 0 0
      -39 h\n1 g 4888 3268 N 0 39 48 0 0 -39 h\n.9 g 4839 3268 N 0 39 49 0 0
      -39 h\n.8 g 4790 3268 N 0 39 49 0 0 -39 h\n.8 g 4742 3268 N 0 39 48 0 0
      -39 h\n.8 g 4693 3268 N 0 39 49 0 0 -39 h\n.8 g 4645 3268 N 0 39 48 0 0
      -39 h\n.8 g 4596 3268 N 0 39 49 0 0 -39 h\n.8 g 4547 3268 N 0 39 49 0 0
      -39 h\n.8 g 4499 3268 N 0 39 48 0 0 -39 h\n.8 g 4450 3268 N 0 39 49 0 0
      -39 h\n.8 g 4402 3268 N 0 39 48 0 0 -39 h\n.8 g 4353 3268 N 0 39 49 0 0
      -39 h\n.8 g 4304 3268 N 0 39 49 0 0 -39 h\n.8 g 4256 3268 N 0 39 48 0 0
      -39 h\n.8 g 4207 3268 N 0 39 49 0 0 -39 h\n.8 g 4159 3268 N 0 39 48 0 0
      -39 h\n.8 g 4110 3268 N 0 39 49 0 0 -39 h\n.8 g 4061 3268 N 0 39 49 0 0
      -39 h\n.8 g 4013 3268 N 0 39 48 0 0 -39 h\n.8 g 3964 3268 N 0 39 49 0 0
      -39 h\n.8 g 3915 3268 N 0 39 49 0 0 -39 h\n.8 g 3867 3268 N 0 39 48 0 0
      -39 h\n.8 g 3818 3268 N 0 39 49 0 0 -39 h\n.8 g 3770 3268 N 0 39 48 0 0
      -39 h\n.8 g 3721 3268 N 0 39 49 0 0 -39 h\n.8 g 3672 3268 N 0 39 49 0 0
      -39 h\n.8 g 3624 3268 N 0 39 48 0 0 -39 h\n.8 g 3575 3268 N 0 39 49 0 0
      -39 h\n.8 g 3527 3268 N 0 39 48 0 0 -39 h\n.8 g 3478 3268 N 0 39 49 0 0
      -39 h\n.8 g 3429 3268 N 0 39 49 0 0 -39 h\n.8 g 3381 3268 N 0 39 48 0 0
      -39 h\n.8 g 3332 3268 N 0 39 49 0 0 -39 h\n.8 g 3284 3268 N 0 39 48 0 0
      -39 h\n.8 g 3235 3268 N 0 39 49 0 0 -39 h\n.8 g 3186 3268 N 0 39 49 0 0
      -39 h\n.8 g 3138 3268 N 0 39 48 0 0 -39 h\n.8 g 3089 3268 N 0 39 49 0 0
      -39 h\n.8 g 3040 3268 N 0 39 49 0 0 -39 h\n.8 g 2992 3268 N 0 39 48 0 0
      -39 h\n.8 g 2943 3268 N 0 39 49 0 0 -39 h\n.8 g 2895 3268 N 0 39 48 0 0
      -39 h\n.8 g 2846 3268 N 0 39 49 0 0 -39 h\n.8 g 2797 3268 N 0 39 49 0 0
      -39 h\n.8 g 2749 3268 N 0 39 48 0 0 -39 h\n.8 g 2700 3268 N 0 39 49 0 0
      -39 h\n.8 g 2652 3268 N 0 39 48 0 0 -39 h\n.8 g 2603 3268 N 0 39 49 0 0
      -39 h\n.8 g 2554 3268 N 0 39 49 0 0 -39 h\n.8 g 2506 3268 N 0 39 48 0 0
      -39 h\n.8 g 2457 3268 N 0 39 49 0 0 -39 h\n.8 g 2409 3268 N 0 39 48 0 0
      -39 h\n.8 g 2360 3268 N 0 39 49 0 0 -39 h\n.9 g 2311 3268 N 0 39 49 0 0
      -39 h\n1 g 2263 3268 N 0 39 48 0 0 -39 h\n1 g 2214 3268 N 0 39 49 0 0
      -39 h\n1 g 2165 3268 N 0 39 49 0 0 -39 h\n1 g 2117 3268 N 0 39 48 0 0
      -39 h\n1 g 2068 3268 N 0 39 49 0 0 -39 h\n1 g 2020 3268 N 0 39 48 0 0
      -39 h\n1 g 1971 3268 N 0 39 49 0 0 -39 h\n1 g 1922 3268 N 0 39 49 0 0
      -39 h\n1 g 1874 3268 N 0 39 48 0 0 -39 h\n1 g 1825 3268 N 0 39 49 0 0
      -39 h\n1 g 1777 3268 N 0 39 48 0 0 -39 h\n1 g 1728 3268 N 0 39 49 0 0
      -39 h\n1 g 1679 3268 N 0 39 49 0 0 -39 h\n1 g 1631 3268 N 0 39 48 0 0
      -39 h\n1 g 1582 3268 N 0 39 49 0 0 -39 h\n1 g 1534 3268 N 0 39 48 0 0
      -39 h\n1 g 1485 3268 N 0 39 49 0 0 -39 h\n1 g 1436 3268 N 0 39 49 0 0
      -39 h\n1 g 1388 3268 N 0 39 48 0 0 -39 h\n1 g 1339 3268 N 0 39 49 0 0
      -39 h\n1 g 1290 3268 N 0 39 49 0 0 -39 h\n1 g 1242 3268 N 0 39 48 0 0
      -39 h\n1 g 1193 3268 N 0 39 49 0 0 -39 h\n1 g 5957 3229 N 0 39 49 0 0
      -39 h\n1 g 5909 3229 N 0 39 48 0 0 -39 h\n1 g 5860 3229 N 0 39 49 0 0
      -39 h\n1 g 5811 3229 N 0 39 49 0 0 -39 h\n1 g 5763 3229 N 0 39 48 0 0
      -39 h\n1 g 5714 3229 N 0 39 49 0 0 -39 h\n1 g 5665 3229 N 0 39 49 0 0
      -39 h\n1 g 5617 3229 N 0 39 48 0 0 -39 h\n1 g 5568 3229 N 0 39 49 0 0
      -39 h\n1 g 5520 3229 N 0 39 48 0 0 -39 h\n1 g 5471 3229 N 0 39 49 0 0
      -39 h\n1 g 5422 3229 N 0 39 49 0 0 -39 h\n1 g 5374 3229 N 0 39 48 0 0
      -39 h\n1 g 5325 3229 N 0 39 49 0 0 -39 h\n1 g 5277 3229 N 0 39 48 0 0
      -39 h\n1 g 5228 3229 N 0 39 49 0 0 -39 h\n1 g 5179 3229 N 0 39 49 0 0
      -39 h\n1 g 5131 3229 N 0 39 48 0 0 -39 h\n1 g 5082 3229 N 0 39 49 0 0
      -39 h\n1 g 5034 3229 N 0 39 48 0 0 -39 h\n1 g 4985 3229 N 0 39 49 0 0
      -39 h\n1 g 4936 3229 N 0 39 49 0 0 -39 h\n1 g 4888 3229 N 0 39 48 0 0
      -39 h\n.95 g 4839 3229 N 0 39 49 0 0 -39 h\n.85 g 4790 3229 N 0 39 49 0
      0 -39 h\n.8 g 4742 3229 N 0 39 48 0 0 -39 h\n.8 g 4693 3229 N 0 39 49 0
      0 -39 h\n.8 g 4645 3229 N 0 39 48 0 0 -39 h\n.8 g 4596 3229 N 0 39 49 0
      0 -39 h\n.8 g 4547 3229 N 0 39 49 0 0 -39 h\n.8 g 4499 3229 N 0 39 48 0
      0 -39 h\n.8 g 4450 3229 N 0 39 49 0 0 -39 h\n.8 g 4402 3229 N 0 39 48 0
      0 -39 h\n.8 g 4353 3229 N 0 39 49 0 0 -39 h\n.8 g 4304 3229 N 0 39 49 0
      0 -39 h\n.8 g 4256 3229 N 0 39 48 0 0 -39 h\n.8 g 4207 3229 N 0 39 49 0
      0 -39 h\n.8 g 4159 3229 N 0 39 48 0 0 -39 h\n.8 g 4110 3229 N 0 39 49 0
      0 -39 h\n.8 g 4061 3229 N 0 39 49 0 0 -39 h\n.8 g 4013 3229 N 0 39 48 0
      0 -39 h\n.8 g 3964 3229 N 0 39 49 0 0 -39 h\n.8 g 3915 3229 N 0 39 49 0
      0 -39 h\n.8 g 3867 3229 N 0 39 48 0 0 -39 h\n.8 g 3818 3229 N 0 39 49 0
      0 -39 h\n.8 g 3770 3229 N 0 39 48 0 0 -39 h\n.8 g 3721 3229 N 0 39 49 0
      0 -39 h\n.8 g 3672 3229 N 0 39 49 0 0 -39 h\n.8 g 3624 3229 N 0 39 48 0
      0 -39 h\n.8 g 3575 3229 N 0 39 49 0 0 -39 h\n.8 g 3527 3229 N 0 39 48 0
      0 -39 h\n.8 g 3478 3229 N 0 39 49 0 0 -39 h\n.8 g 3429 3229 N 0 39 49 0
      0 -39 h\n.8 g 3381 3229 N 0 39 48 0 0 -39 h\n.8 g 3332 3229 N 0 39 49 0
      0 -39 h\n.8 g 3284 3229 N 0 39 48 0 0 -39 h\n.8 g 3235 3229 N 0 39 49 0
      0 -39 h\n.8 g 3186 3229 N 0 39 49 0 0 -39 h\n.8 g 3138 3229 N 0 39 48 0
      0 -39 h\n.8 g 3089 3229 N 0 39 49 0 0 -39 h\n.8 g 3040 3229 N 0 39 49 0
      0 -39 h\n.8 g 2992 3229 N 0 39 48 0 0 -39 h\n.8 g 2943 3229 N 0 39 49 0
      0 -39 h\n.8 g 2895 3229 N 0 39 48 0 0 -39 h\n.8 g 2846 3229 N 0 39 49 0
      0 -39 h\n.8 g 2797 3229 N 0 39 49 0 0 -39 h\n.8 g 2749 3229 N 0 39 48 0
      0 -39 h\n.8 g 2700 3229 N 0 39 49 0 0 -39 h\n.8 g 2652 3229 N 0 39 48 0
      0 -39 h\n.8 g 2603 3229 N 0 39 49 0 0 -39 h\n.8 g 2554 3229 N 0 39 49 0
      0 -39 h\n.8 g 2506 3229 N 0 39 48 0 0 -39 h\n.8 g 2457 3229 N 0 39 49 0
      0 -39 h\n.8 g 2409 3229 N 0 39 48 0 0 -39 h\n.85 g 2360 3229 N 0 39 49
      0 0 -39 h\n.95 g 2311 3229 N 0 39 49 0 0 -39 h\n1 g 2263 3229 N 0 39 48
      0 0 -39 h\n1 g 2214 3229 N 0 39 49 0 0 -39 h\n1 g 2165 3229 N 0 39 49 0
      0 -39 h\n1 g 2117 3229 N 0 39 48 0 0 -39 h\n1 g 2068 3229 N 0 39 49 0 0
      -39 h\n1 g 2020 3229 N 0 39 48 0 0 -39 h\n1 g 1971 3229 N 0 39 49 0 0
      -39 h\n1 g 1922 3229 N 0 39 49 0 0 -39 h\n1 g 1874 3229 N 0 39 48 0 0
      -39 h\n1 g 1825 3229 N 0 39 49 0 0 -39 h\n1 g 1777 3229 N 0 39 48 0 0
      -39 h\n1 g 1728 3229 N 0 39 49 0 0 -39 h\n1 g 1679 3229 N 0 39 49 0 0
      -39 h\n1 g 1631 3229 N 0 39 48 0 0 -39 h\n1 g 1582 3229 N 0 39 49 0 0
      -39 h\n1 g 1534 3229 N 0 39 48 0 0 -39 h\n1 g 1485 3229 N 0 39 49 0 0
      -39 h\n1 g 1436 3229 N 0 39 49 0 0 -39 h\n1 g 1388 3229 N 0 39 48 0 0
      -39 h\n1 g 1339 3229 N 0 39 49 0 0 -39 h\n1 g 1290 3229 N 0 39 49 0 0
      -39 h\n1 g 1242 3229 N 0 39 48 0 0 -39 h\n1 g 1193 3229 N 0 39 49 0 0
      -39 h\n1 g 5957 3190 N 0 39 49 0 0 -39 h\n1 g 5909 3190 N 0 39 48 0 0
      -39 h\n1 g 5860 3190 N 0 39 49 0 0 -39 h\n1 g 5811 3190 N 0 39 49 0 0
      -39 h\n1 g 5763 3190 N 0 39 48 0 0 -39 h\n1 g 5714 3190 N 0 39 49 0 0
      -39 h\n1 g 5665 3190 N 0 39 49 0 0 -39 h\n1 g 5617 3190 N 0 39 48 0 0
      -39 h\n1 g 5568 3190 N 0 39 49 0 0 -39 h\n1 g 5520 3190 N 0 39 48 0 0
      -39 h\n1 g 5471 3190 N 0 39 49 0 0 -39 h\n1 g 5422 3190 N 0 39 49 0 0
      -39 h\n1 g 5374 3190 N 0 39 48 0 0 -39 h\n1 g 5325 3190 N 0 39 49 0 0
      -39 h\n1 g 5277 3190 N 0 39 48 0 0 -39 h\n1 g 5228 3190 N 0 39 49 0 0
      -39 h\n1 g 5179 3190 N 0 39 49 0 0 -39 h\n1 g 5131 3190 N 0 39 48 0 0
      -39 h\n1 g 5082 3190 N 0 39 49 0 0 -39 h\n1 g 5034 3190 N 0 39 48 0 0
      -39 h\n1 g 4985 3190 N 0 39 49 0 0 -39 h\n1 g 4936 3190 N 0 39 49 0 0
      -39 h\n1 g 4888 3190 N 0 39 48 0 0 -39 h\n1 g 4839 3190 N 0 39 49 0 0
      -39 h\n.9 g 4790 3190 N 0 39 49 0 0 -39 h\n.8 g 4742 3190 N 0 39 48 0 0
      -39 h\n.8 g 4693 3190 N 0 39 49 0 0 -39 h\n.8 g 4645 3190 N 0 39 48 0 0
      -39 h\n.8 g 4596 3190 N 0 39 49 0 0 -39 h\n.8 g 4547 3190 N 0 39 49 0 0
      -39 h\n.8 g 4499 3190 N 0 39 48 0 0 -39 h\n.8 g 4450 3190 N 0 39 49 0 0
      -39 h\n.8 g 4402 3190 N 0 39 48 0 0 -39 h\n.8 g 4353 3190 N 0 39 49 0 0
      -39 h\n.8 g 4304 3190 N 0 39 49 0 0 -39 h\n.8 g 4256 3190 N 0 39 48 0 0
      -39 h\n.8 g 4207 3190 N 0 39 49 0 0 -39 h\n.8 g 4159 3190 N 0 39 48 0 0
      -39 h\n.8 g 4110 3190 N 0 39 49 0 0 -39 h\n.8 g 4061 3190 N 0 39 49 0 0
      -39 h\n.8 g 4013 3190 N 0 39 48 0 0 -39 h\n.8 g 3964 3190 N 0 39 49 0 0
      -39 h\n.8 g 3915 3190 N 0 39 49 0 0 -39 h\n.8 g 3867 3190 N 0 39 48 0 0
      -39 h\n.8 g 3818 3190 N 0 39 49 0 0 -39 h\n.8 g 3770 3190 N 0 39 48 0 0
      -39 h\n.8 g 3721 3190 N 0 39 49 0 0 -39 h\n.8 g 3672 3190 N 0 39 49 0 0
      -39 h\n.8 g 3624 3190 N 0 39 48 0 0 -39 h\n.8 g 3575 3190 N 0 39 49 0 0
      -39 h\n.8 g 3527 3190 N 0 39 48 0 0 -39 h\n.8 g 3478 3190 N 0 39 49 0 0
      -39 h\n.8 g 3429 3190 N 0 39 49 0 0 -39 h\n.8 g 3381 3190 N 0 39 48 0 0
      -39 h\n.8 g 3332 3190 N 0 39 49 0 0 -39 h\n.8 g 3284 3190 N 0 39 48 0 0
      -39 h\n.8 g 3235 3190 N 0 39 49 0 0 -39 h\n.8 g 3186 3190 N 0 39 49 0 0
      -39 h\n.8 g 3138 3190 N 0 39 48 0 0 -39 h\n.8 g 3089 3190 N 0 39 49 0 0
      -39 h\n.8 g 3040 3190 N 0 39 49 0 0 -39 h\n.8 g 2992 3190 N 0 39 48 0 0
      -39 h\n.8 g 2943 3190 N 0 39 49 0 0 -39 h\n.8 g 2895 3190 N 0 39 48 0 0
      -39 h\n.8 g 2846 3190 N 0 39 49 0 0 -39 h\n.8 g 2797 3190 N 0 39 49 0 0
      -39 h\n.8 g 2749 3190 N 0 39 48 0 0 -39 h\n.8 g 2700 3190 N 0 39 49 0 0
      -39 h\n.8 g 2652 3190 N 0 39 48 0 0 -39 h\n.8 g 2603 3190 N 0 39 49 0 0
      -39 h\n.8 g 2554 3190 N 0 39 49 0 0 -39 h\n.8 g 2506 3190 N 0 39 48 0 0
      -39 h\n.8 g 2457 3190 N 0 39 49 0 0 -39 h\n.8 g 2409 3190 N 0 39 48 0 0
      -39 h\n.9 g 2360 3190 N 0 39 49 0 0 -39 h\n1 g 2311 3190 N 0 39 49 0 0
      -39 h\n1 g 2263 3190 N 0 39 48 0 0 -39 h\n1 g 2214 3190 N 0 39 49 0 0
      -39 h\n1 g 2165 3190 N 0 39 49 0 0 -39 h\n1 g 2117 3190 N 0 39 48 0 0
      -39 h\n1 g 2068 3190 N 0 39 49 0 0 -39 h\n1 g 2020 3190 N 0 39 48 0 0
      -39 h\n1 g 1971 3190 N 0 39 49 0 0 -39 h\n1 g 1922 3190 N 0 39 49 0 0
      -39 h\n1 g 1874 3190 N 0 39 48 0 0 -39 h\n1 g 1825 3190 N 0 39 49 0 0
      -39 h\n1 g 1777 3190 N 0 39 48 0 0 -39 h\n1 g 1728 3190 N 0 39 49 0 0
      -39 h\n1 g 1679 3190 N 0 39 49 0 0 -39 h\n1 g 1631 3190 N 0 39 48 0 0
      -39 h\n1 g 1582 3190 N 0 39 49 0 0 -39 h\n1 g 1534 3190 N 0 39 48 0 0
      -39 h\n1 g 1485 3190 N 0 39 49 0 0 -39 h\n1 g 1436 3190 N 0 39 49 0 0
      -39 h\n1 g 1388 3190 N 0 39 48 0 0 -39 h\n1 g 1339 3190 N 0 39 49 0 0
      -39 h\n1 g 1290 3190 N 0 39 49 0 0 -39 h\n1 g 1242 3190 N 0 39 48 0 0
      -39 h\n1 g 1193 3190 N 0 39 49 0 0 -39 h\n1 g 5957 3151 N 0 38 49 0 0
      -38 h\n1 g 5909 3151 N 0 38 48 0 0 -38 h\n1 g 5860 3151 N 0 38 49 0 0
      -38 h\n1 g 5811 3151 N 0 38 49 0 0 -38 h\n1 g 5763 3151 N 0 38 48 0 0
      -38 h\n1 g 5714 3151 N 0 38 49 0 0 -38 h\n1 g 5665 3151 N 0 38 49 0 0
      -38 h\n1 g 5617 3151 N 0 38 48 0 0 -38 h\n1 g 5568 3151 N 0 38 49 0 0
      -38 h\n1 g 5520 3151 N 0 38 48 0 0 -38 h\n1 g 5471 3151 N 0 38 49 0 0
      -38 h\n1 g 5422 3151 N 0 38 49 0 0 -38 h\n1 g 5374 3151 N 0 38 48 0 0
      -38 h\n1 g 5325 3151 N 0 38 49 0 0 -38 h\n1 g 5277 3151 N 0 38 48 0 0
      -38 h\n1 g 5228 3151 N 0 38 49 0 0 -38 h\n1 g 5179 3151 N 0 38 49 0 0
      -38 h\n1 g 5131 3151 N 0 38 48 0 0 -38 h\n1 g 5082 3151 N 0 38 49 0 0
      -38 h\n1 g 5034 3151 N 0 38 48 0 0 -38 h\n1 g 4985 3151 N 0 38 49 0 0
      -38 h\n1 g 4936 3151 N 0 38 49 0 0 -38 h\n1 g 4888 3151 N 0 38 48 0 0
      -38 h\n1 g 4839 3151 N 0 38 49 0 0 -38 h\n.9 g 4790 3151 N 0 38 49 0 0
      -38 h\n.8 g 4742 3151 N 0 38 48 0 0 -38 h\n.8 g 4693 3151 N 0 38 49 0 0
      -38 h\n.8 g 4645 3151 N 0 38 48 0 0 -38 h\n.8 g 4596 3151 N 0 38 49 0 0
      -38 h\n.8 g 4547 3151 N 0 38 49 0 0 -38 h\n.8 g 4499 3151 N 0 38 48 0 0
      -38 h\n.8 g 4450 3151 N 0 38 49 0 0 -38 h\n.8 g 4402 3151 N 0 38 48 0 0
      -38 h\n.8 g 4353 3151 N 0 38 49 0 0 -38 h\n.8 g 4304 3151 N 0 38 49 0 0
      -38 h\n.8 g 4256 3151 N 0 38 48 0 0 -38 h\n.8 g 4207 3151 N 0 38 49 0 0
      -38 h\n.8 g 4159 3151 N 0 38 48 0 0 -38 h\n.8 g 4110 3151 N 0 38 49 0 0
      -38 h\n.8 g 4061 3151 N 0 38 49 0 0 -38 h\n.8 g 4013 3151 N 0 38 48 0 0
      -38 h\n.8 g 3964 3151 N 0 38 49 0 0 -38 h\n.8 g 3915 3151 N 0 38 49 0 0
      -38 h\n.8 g 3867 3151 N 0 38 48 0 0 -38 h\n.8 g 3818 3151 N 0 38 49 0 0
      -38 h\n.8 g 3770 3151 N 0 38 48 0 0 -38 h\n.8 g 3721 3151 N 0 38 49 0 0
      -38 h\n.8 g 3672 3151 N 0 38 49 0 0 -38 h\n.8 g 3624 3151 N 0 38 48 0 0
      -38 h\n.8 g 3575 3151 N 0 38 49 0 0 -38 h\n.8 g 3527 3151 N 0 38 48 0 0
      -38 h\n.8 g 3478 3151 N 0 38 49 0 0 -38 h\n.8 g 3429 3151 N 0 38 49 0 0
      -38 h\n.8 g 3381 3151 N 0 38 48 0 0 -38 h\n.8 g 3332 3151 N 0 38 49 0 0
      -38 h\n.8 g 3284 3151 N 0 38 48 0 0 -38 h\n.8 g 3235 3151 N 0 38 49 0 0
      -38 h\n.8 g 3186 3151 N 0 38 49 0 0 -38 h\n.8 g 3138 3151 N 0 38 48 0 0
      -38 h\n.8 g 3089 3151 N 0 38 49 0 0 -38 h\n.8 g 3040 3151 N 0 38 49 0 0
      -38 h\n.8 g 2992 3151 N 0 38 48 0 0 -38 h\n.8 g 2943 3151 N 0 38 49 0 0
      -38 h\n.8 g 2895 3151 N 0 38 48 0 0 -38 h\n.8 g 2846 3151 N 0 38 49 0 0
      -38 h\n.8 g 2797 3151 N 0 38 49 0 0 -38 h\n.8 g 2749 3151 N 0 38 48 0 0
      -38 h\n.8 g 2700 3151 N 0 38 49 0 0 -38 h\n.8 g 2652 3151 N 0 38 48 0 0
      -38 h\n.8 g 2603 3151 N 0 38 49 0 0 -38 h\n.8 g 2554 3151 N 0 38 49 0 0
      -38 h\n.8 g 2506 3151 N 0 38 48 0 0 -38 h\n.8 g 2457 3151 N 0 38 49 0 0
      -38 h\n.8 g 2409 3151 N 0 38 48 0 0 -38 h\n.9 g 2360 3151 N 0 38 49 0 0
      -38 h\n1 g 2311 3151 N 0 38 49 0 0 -38 h\n1 g 2263 3151 N 0 38 48 0 0
      -38 h\n1 g 2214 3151 N 0 38 49 0 0 -38 h\n1 g 2165 3151 N 0 38 49 0 0
      -38 h\n1 g 2117 3151 N 0 38 48 0 0 -38 h\n1 g 2068 3151 N 0 38 49 0 0
      -38 h\n1 g 2020 3151 N 0 38 48 0 0 -38 h\n1 g 1971 3151 N 0 38 49 0 0
      -38 h\n1 g 1922 3151 N 0 38 49 0 0 -38 h\n1 g 1874 3151 N 0 38 48 0 0
      -38 h\n1 g 1825 3151 N 0 38 49 0 0 -38 h\n1 g 1777 3151 N 0 38 48 0 0
      -38 h\n1 g 1728 3151 N 0 38 49 0 0 -38 h\n1 g 1679 3151 N 0 38 49 0 0
      -38 h\n1 g 1631 3151 N 0 38 48 0 0 -38 h\n1 g 1582 3151 N 0 38 49 0 0
      -38 h\n1 g 1534 3151 N 0 38 48 0 0 -38 h\n1 g 1485 3151 N 0 38 49 0 0
      -38 h\n1 g 1436 3151 N 0 38 49 0 0 -38 h\n1 g 1388 3151 N 0 38 48 0 0
      -38 h\n1 g 1339 3151 N 0 38 49 0 0 -38 h\n1 g 1290 3151 N 0 38 49 0 0
      -38 h\n1 g 1242 3151 N 0 38 48 0 0 -38 h\n1 g 1193 3151 N 0 38 49 0 0
      -38 h\n1 g 5957 3113 N 0 39 49 0 0 -39 h\n1 g 5909 3113 N 0 39 48 0 0
      -39 h\n1 g 5860 3113 N 0 39 49 0 0 -39 h\n1 g 5811 3113 N 0 39 49 0 0
      -39 h\n1 g 5763 3113 N 0 39 48 0 0 -39 h\n1 g 5714 3113 N 0 39 49 0 0
      -39 h\n1 g 5665 3113 N 0 39 49 0 0 -39 h\n1 g 5617 3113 N 0 39 48 0 0
      -39 h\n1 g 5568 3113 N 0 39 49 0 0 -39 h\n1 g 5520 3113 N 0 39 48 0 0
      -39 h\n1 g 5471 3113 N 0 39 49 0 0 -39 h\n1 g 5422 3113 N 0 39 49 0 0
      -39 h\n1 g 5374 3113 N 0 39 48 0 0 -39 h\n1 g 5325 3113 N 0 39 49 0 0
      -39 h\n1 g 5277 3113 N 0 39 48 0 0 -39 h\n1 g 5228 3113 N 0 39 49 0 0
      -39 h\n1 g 5179 3113 N 0 39 49 0 0 -39 h\n1 g 5131 3113 N 0 39 48 0 0
      -39 h\n1 g 5082 3113 N 0 39 49 0 0 -39 h\n1 g 5034 3113 N 0 39 48 0 0
      -39 h\n1 g 4985 3113 N 0 39 49 0 0 -39 h\n1 g 4936 3113 N 0 39 49 0 0
      -39 h\n1 g 4888 3113 N 0 39 48 0 0 -39 h\n1 g 4839 3113 N 0 39 49 0 0
      -39 h\n.9 g 4790 3113 N 0 39 49 0 0 -39 h\n.8 g 4742 3113 N 0 39 48 0 0
      -39 h\n.8 g 4693 3113 N 0 39 49 0 0 -39 h\n.8 g 4645 3113 N 0 39 48 0 0
      -39 h\n.8 g 4596 3113 N 0 39 49 0 0 -39 h\n.8 g 4547 3113 N 0 39 49 0 0
      -39 h\n.8 g 4499 3113 N 0 39 48 0 0 -39 h\n.8 g 4450 3113 N 0 39 49 0 0
      -39 h\n.8 g 4402 3113 N 0 39 48 0 0 -39 h\n.8 g 4353 3113 N 0 39 49 0 0
      -39 h\n.8 g 4304 3113 N 0 39 49 0 0 -39 h\n.8 g 4256 3113 N 0 39 48 0 0
      -39 h\n.8 g 4207 3113 N 0 39 49 0 0 -39 h\n.8 g 4159 3113 N 0 39 48 0 0
      -39 h\n.8 g 4110 3113 N 0 39 49 0 0 -39 h\n.8 g 4061 3113 N 0 39 49 0 0
      -39 h\n.8 g 4013 3113 N 0 39 48 0 0 -39 h\n.8 g 3964 3113 N 0 39 49 0 0
      -39 h\n.8 g 3915 3113 N 0 39 49 0 0 -39 h\n.8 g 3867 3113 N 0 39 48 0 0
      -39 h\n.8 g 3818 3113 N 0 39 49 0 0 -39 h\n.8 g 3770 3113 N 0 39 48 0 0
      -39 h\n.8 g 3721 3113 N 0 39 49 0 0 -39 h\n.8 g 3672 3113 N 0 39 49 0 0
      -39 h\n.8 g 3624 3113 N 0 39 48 0 0 -39 h\n.8 g 3575 3113 N 0 39 49 0 0
      -39 h\n.8 g 3527 3113 N 0 39 48 0 0 -39 h\n.8 g 3478 3113 N 0 39 49 0 0
      -39 h\n.8 g 3429 3113 N 0 39 49 0 0 -39 h\n.8 g 3381 3113 N 0 39 48 0 0
      -39 h\n.8 g 3332 3113 N 0 39 49 0 0 -39 h\n.8 g 3284 3113 N 0 39 48 0 0
      -39 h\n.8 g 3235 3113 N 0 39 49 0 0 -39 h\n.8 g 3186 3113 N 0 39 49 0 0
      -39 h\n.8 g 3138 3113 N 0 39 48 0 0 -39 h\n.8 g 3089 3113 N 0 39 49 0 0
      -39 h\n.8 g 3040 3113 N 0 39 49 0 0 -39 h\n.8 g 2992 3113 N 0 39 48 0 0
      -39 h\n.8 g 2943 3113 N 0 39 49 0 0 -39 h\n.8 g 2895 3113 N 0 39 48 0 0
      -39 h\n.8 g 2846 3113 N 0 39 49 0 0 -39 h\n.8 g 2797 3113 N 0 39 49 0 0
      -39 h\n.8 g 2749 3113 N 0 39 48 0 0 -39 h\n.8 g 2700 3113 N 0 39 49 0 0
      -39 h\n.8 g 2652 3113 N 0 39 48 0 0 -39 h\n.8 g 2603 3113 N 0 39 49 0 0
      -39 h\n.8 g 2554 3113 N 0 39 49 0 0 -39 h\n.8 g 2506 3113 N 0 39 48 0 0
      -39 h\n.8 g 2457 3113 N 0 39 49 0 0 -39 h\n.8 g 2409 3113 N 0 39 48 0 0
      -39 h\n.9 g 2360 3113 N 0 39 49 0 0 -39 h\n1 g 2311 3113 N 0 39 49 0 0
      -39 h\n1 g 2263 3113 N 0 39 48 0 0 -39 h\n1 g 2214 3113 N 0 39 49 0 0
      -39 h\n1 g 2165 3113 N 0 39 49 0 0 -39 h\n1 g 2117 3113 N 0 39 48 0 0
      -39 h\n1 g 2068 3113 N 0 39 49 0 0 -39 h\n1 g 2020 3113 N 0 39 48 0 0
      -39 h\n1 g 1971 3113 N 0 39 49 0 0 -39 h\n1 g 1922 3113 N 0 39 49 0 0
      -39 h\n1 g 1874 3113 N 0 39 48 0 0 -39 h\n1 g 1825 3113 N 0 39 49 0 0
      -39 h\n1 g 1777 3113 N 0 39 48 0 0 -39 h\n1 g 1728 3113 N 0 39 49 0 0
      -39 h\n1 g 1679 3113 N 0 39 49 0 0 -39 h\n1 g 1631 3113 N 0 39 48 0 0
      -39 h\n1 g 1582 3113 N 0 39 49 0 0 -39 h\n1 g 1534 3113 N 0 39 48 0 0
      -39 h\n1 g 1485 3113 N 0 39 49 0 0 -39 h\n1 g 1436 3113 N 0 39 49 0 0
      -39 h\n1 g 1388 3113 N 0 39 48 0 0 -39 h\n1 g 1339 3113 N 0 39 49 0 0
      -39 h\n1 g 1290 3113 N 0 39 49 0 0 -39 h\n1 g 1242 3113 N 0 39 48 0 0
      -39 h\n1 g 1193 3113 N 0 39 49 0 0 -39 h\n1 g 5957 3074 N 0 39 49 0 0
      -39 h\n1 g 5909 3074 N 0 39 48 0 0 -39 h\n1 g 5860 3074 N 0 39 49 0 0
      -39 h\n1 g 5811 3074 N 0 39 49 0 0 -39 h\n1 g 5763 3074 N 0 39 48 0 0
      -39 h\n1 g 5714 3074 N 0 39 49 0 0 -39 h\n1 g 5665 3074 N 0 39 49 0 0
      -39 h\n1 g 5617 3074 N 0 39 48 0 0 -39 h\n1 g 5568 3074 N 0 39 49 0 0
      -39 h\n1 g 5520 3074 N 0 39 48 0 0 -39 h\n1 g 5471 3074 N 0 39 49 0 0
      -39 h\n1 g 5422 3074 N 0 39 49 0 0 -39 h\n1 g 5374 3074 N 0 39 48 0 0
      -39 h\n1 g 5325 3074 N 0 39 49 0 0 -39 h\n1 g 5277 3074 N 0 39 48 0 0
      -39 h\n1 g 5228 3074 N 0 39 49 0 0 -39 h\n1 g 5179 3074 N 0 39 49 0 0
      -39 h\n1 g 5131 3074 N 0 39 48 0 0 -39 h\n1 g 5082 3074 N 0 39 49 0 0
      -39 h\n1 g 5034 3074 N 0 39 48 0 0 -39 h\n1 g 4985 3074 N 0 39 49 0 0
      -39 h\n1 g 4936 3074 N 0 39 49 0 0 -39 h\n1 g 4888 3074 N 0 39 48 0 0
      -39 h\n1 g 4839 3074 N 0 39 49 0 0 -39 h\n.9 g 4790 3074 N 0 39 49 0 0
      -39 h\n.8 g 4742 3074 N 0 39 48 0 0 -39 h\n.8 g 4693 3074 N 0 39 49 0 0
      -39 h\n.8 g 4645 3074 N 0 39 48 0 0 -39 h\n.8 g 4596 3074 N 0 39 49 0 0
      -39 h\n.8 g 4547 3074 N 0 39 49 0 0 -39 h\n.8 g 4499 3074 N 0 39 48 0 0
      -39 h\n.8 g 4450 3074 N 0 39 49 0 0 -39 h\n.8 g 4402 3074 N 0 39 48 0 0
      -39 h\n.8 g 4353 3074 N 0 39 49 0 0 -39 h\n.8 g 4304 3074 N 0 39 49 0 0
      -39 h\n.8 g 4256 3074 N 0 39 48 0 0 -39 h\n.8 g 4207 3074 N 0 39 49 0 0
      -39 h\n.8 g 4159 3074 N 0 39 48 0 0 -39 h\n.8 g 4110 3074 N 0 39 49 0 0
      -39 h\n.8 g 4061 3074 N 0 39 49 0 0 -39 h\n.8 g 4013 3074 N 0 39 48 0 0
      -39 h\n.8 g 3964 3074 N 0 39 49 0 0 -39 h\n.8 g 3915 3074 N 0 39 49 0 0
      -39 h\n.8 g 3867 3074 N 0 39 48 0 0 -39 h\n.8 g 3818 3074 N 0 39 49 0 0
      -39 h\n.8 g 3770 3074 N 0 39 48 0 0 -39 h\n.8 g 3721 3074 N 0 39 49 0 0
      -39 h\n.8 g 3672 3074 N 0 39 49 0 0 -39 h\n.8 g 3624 3074 N 0 39 48 0 0
      -39 h\n.8 g 3575 3074 N 0 39 49 0 0 -39 h\n.8 g 3527 3074 N 0 39 48 0 0
      -39 h\n.8 g 3478 3074 N 0 39 49 0 0 -39 h\n.8 g 3429 3074 N 0 39 49 0 0
      -39 h\n.8 g 3381 3074 N 0 39 48 0 0 -39 h\n.8 g 3332 3074 N 0 39 49 0 0
      -39 h\n.8 g 3284 3074 N 0 39 48 0 0 -39 h\n.8 g 3235 3074 N 0 39 49 0 0
      -39 h\n.8 g 3186 3074 N 0 39 49 0 0 -39 h\n.8 g 3138 3074 N 0 39 48 0 0
      -39 h\n.8 g 3089 3074 N 0 39 49 0 0 -39 h\n.8 g 3040 3074 N 0 39 49 0 0
      -39 h\n.8 g 2992 3074 N 0 39 48 0 0 -39 h\n.8 g 2943 3074 N 0 39 49 0 0
      -39 h\n.8 g 2895 3074 N 0 39 48 0 0 -39 h\n.8 g 2846 3074 N 0 39 49 0 0
      -39 h\n.8 g 2797 3074 N 0 39 49 0 0 -39 h\n.8 g 2749 3074 N 0 39 48 0 0
      -39 h\n.8 g 2700 3074 N 0 39 49 0 0 -39 h\n.8 g 2652 3074 N 0 39 48 0 0
      -39 h\n.8 g 2603 3074 N 0 39 49 0 0 -39 h\n.8 g 2554 3074 N 0 39 49 0 0
      -39 h\n.8 g 2506 3074 N 0 39 48 0 0 -39 h\n.8 g 2457 3074 N 0 39 49 0 0
      -39 h\n.8 g 2409 3074 N 0 39 48 0 0 -39 h\n.9 g 2360 3074 N 0 39 49 0 0
      -39 h\n1 g 2311 3074 N 0 39 49 0 0 -39 h\n1 g 2263 3074 N 0 39 48 0 0
      -39 h\n1 g 2214 3074 N 0 39 49 0 0 -39 h\n1 g 2165 3074 N 0 39 49 0 0
      -39 h\n1 g 2117 3074 N 0 39 48 0 0 -39 h\n1 g 2068 3074 N 0 39 49 0 0
      -39 h\n1 g 2020 3074 N 0 39 48 0 0 -39 h\n1 g 1971 3074 N 0 39 49 0 0
      -39 h\n1 g 1922 3074 N 0 39 49 0 0 -39 h\n1 g 1874 3074 N 0 39 48 0 0
      -39 h\n1 g 1825 3074 N 0 39 49 0 0 -39 h\n1 g 1777 3074 N 0 39 48 0 0
      -39 h\n1 g 1728 3074 N 0 39 49 0 0 -39 h\n1 g 1679 3074 N 0 39 49 0 0
      -39 h\n1 g 1631 3074 N 0 39 48 0 0 -39 h\n1 g 1582 3074 N 0 39 49 0 0
      -39 h\n1 g 1534 3074 N 0 39 48 0 0 -39 h\n1 g 1485 3074 N 0 39 49 0 0
      -39 h\n1 g 1436 3074 N 0 39 49 0 0 -39 h\n1 g 1388 3074 N 0 39 48 0 0
      -39 h\n1 g 1339 3074 N 0 39 49 0 0 -39 h\n1 g 1290 3074 N 0 39 49 0 0
      -39 h\n1 g 1242 3074 N 0 39 48 0 0 -39 h\n1 g 1193 3074 N 0 39 49 0 0
      -39 h\n1 g 5957 3035 N 0 39 49 0 0 -39 h\n1 g 5909 3035 N 0 39 48 0 0
      -39 h\n1 g 5860 3035 N 0 39 49 0 0 -39 h\n1 g 5811 3035 N 0 39 49 0 0
      -39 h\n1 g 5763 3035 N 0 39 48 0 0 -39 h\n1 g 5714 3035 N 0 39 49 0 0
      -39 h\n1 g 5665 3035 N 0 39 49 0 0 -39 h\n1 g 5617 3035 N 0 39 48 0 0
      -39 h\n1 g 5568 3035 N 0 39 49 0 0 -39 h\n1 g 5520 3035 N 0 39 48 0 0
      -39 h\n1 g 5471 3035 N 0 39 49 0 0 -39 h\n1 g 5422 3035 N 0 39 49 0 0
      -39 h\n1 g 5374 3035 N 0 39 48 0 0 -39 h\n1 g 5325 3035 N 0 39 49 0 0
      -39 h\n1 g 5277 3035 N 0 39 48 0 0 -39 h\n1 g 5228 3035 N 0 39 49 0 0
      -39 h\n1 g 5179 3035 N 0 39 49 0 0 -39 h\n1 g 5131 3035 N 0 39 48 0 0
      -39 h\n1 g 5082 3035 N 0 39 49 0 0 -39 h\n1 g 5034 3035 N 0 39 48 0 0
      -39 h\n1 g 4985 3035 N 0 39 49 0 0 -39 h\n1 g 4936 3035 N 0 39 49 0 0
      -39 h\n1 g 4888 3035 N 0 39 48 0 0 -39 h\n1 g 4839 3035 N 0 39 49 0 0
      -39 h\n.95 g 4790 3035 N 0 39 49 0 0 -39 h\n.85 g 4742 3035 N 0 39 48 0
      0 -39 h\n.8 g 4693 3035 N 0 39 49 0 0 -39 h\n.8 g 4645 3035 N 0 39 48 0
      0 -39 h\n.8 g 4596 3035 N 0 39 49 0 0 -39 h\n.8 g 4547 3035 N 0 39 49 0
      0 -39 h\n.8 g 4499 3035 N 0 39 48 0 0 -39 h\n.8 g 4450 3035 N 0 39 49 0
      0 -39 h\n.8 g 4402 3035 N 0 39 48 0 0 -39 h\n.8 g 4353 3035 N 0 39 49 0
      0 -39 h\n.8 g 4304 3035 N 0 39 49 0 0 -39 h\n.8 g 4256 3035 N 0 39 48 0
      0 -39 h\n.8 g 4207 3035 N 0 39 49 0 0 -39 h\n.8 g 4159 3035 N 0 39 48 0
      0 -39 h\n.8 g 4110 3035 N 0 39 49 0 0 -39 h\n.8 g 4061 3035 N 0 39 49 0
      0 -39 h\n.8 g 4013 3035 N 0 39 48 0 0 -39 h\n.8 g 3964 3035 N 0 39 49 0
      0 -39 h\n.8 g 3915 3035 N 0 39 49 0 0 -39 h\n.8 g 3867 3035 N 0 39 48 0
      0 -39 h\n.8 g 3818 3035 N 0 39 49 0 0 -39 h\n.8 g 3770 3035 N 0 39 48 0
      0 -39 h\n.8 g 3721 3035 N 0 39 49 0 0 -39 h\n.8 g 3672 3035 N 0 39 49 0
      0 -39 h\n.8 g 3624 3035 N 0 39 48 0 0 -39 h\n.8 g 3575 3035 N 0 39 49 0
      0 -39 h\n.8 g 3527 3035 N 0 39 48 0 0 -39 h\n.8 g 3478 3035 N 0 39 49 0
      0 -39 h\n.8 g 3429 3035 N 0 39 49 0 0 -39 h\n.8 g 3381 3035 N 0 39 48 0
      0 -39 h\n.8 g 3332 3035 N 0 39 49 0 0 -39 h\n.8 g 3284 3035 N 0 39 48 0
      0 -39 h\n.8 g 3235 3035 N 0 39 49 0 0 -39 h\n.8 g 3186 3035 N 0 39 49 0
      0 -39 h\n.8 g 3138 3035 N 0 39 48 0 0 -39 h\n.8 g 3089 3035 N 0 39 49 0
      0 -39 h\n.8 g 3040 3035 N 0 39 49 0 0 -39 h\n.8 g 2992 3035 N 0 39 48 0
      0 -39 h\n.8 g 2943 3035 N 0 39 49 0 0 -39 h\n.8 g 2895 3035 N 0 39 48 0
      0 -39 h\n.8 g 2846 3035 N 0 39 49 0 0 -39 h\n.8 g 2797 3035 N 0 39 49 0
      0 -39 h\n.8 g 2749 3035 N 0 39 48 0 0 -39 h\n.8 g 2700 3035 N 0 39 49 0
      0 -39 h\n.8 g 2652 3035 N 0 39 48 0 0 -39 h\n.8 g 2603 3035 N 0 39 49 0
      0 -39 h\n.8 g 2554 3035 N 0 39 49 0 0 -39 h\n.8 g 2506 3035 N 0 39 48 0
      0 -39 h\n.8 g 2457 3035 N 0 39 49 0 0 -39 h\n.85 g 2409 3035 N 0 39 48
      0 0 -39 h\n.95 g 2360 3035 N 0 39 49 0 0 -39 h\n1 g 2311 3035 N 0 39 49
      0 0 -39 h\n1 g 2263 3035 N 0 39 48 0 0 -39 h\n1 g 2214 3035 N 0 39 49 0
      0 -39 h\n1 g 2165 3035 N 0 39 49 0 0 -39 h\n1 g 2117 3035 N 0 39 48 0 0
      -39 h\n1 g 2068 3035 N 0 39 49 0 0 -39 h\n1 g 2020 3035 N 0 39 48 0 0
      -39 h\n1 g 1971 3035 N 0 39 49 0 0 -39 h\n1 g 1922 3035 N 0 39 49 0 0
      -39 h\n1 g 1874 3035 N 0 39 48 0 0 -39 h\n1 g 1825 3035 N 0 39 49 0 0
      -39 h\n1 g 1777 3035 N 0 39 48 0 0 -39 h\n1 g 1728 3035 N 0 39 49 0 0
      -39 h\n1 g 1679 3035 N 0 39 49 0 0 -39 h\n1 g 1631 3035 N 0 39 48 0 0
      -39 h\n1 g 1582 3035 N 0 39 49 0 0 -39 h\n1 g 1534 3035 N 0 39 48 0 0
      -39 h\n1 g 1485 3035 N 0 39 49 0 0 -39 h\n1 g 1436 3035 N 0 39 49 0 0
      -39 h\n1 g 1388 3035 N 0 39 48 0 0 -39 h\n1 g 1339 3035 N 0 39 49 0 0
      -39 h\n1 g 1290 3035 N 0 39 49 0 0 -39 h\n1 g 1242 3035 N 0 39 48 0 0
      -39 h\n1 g 1193 3035 N 0 39 49 0 0 -39 h\n1 g 5957 2996 N 0 38 49 0 0
      -38 h\n1 g 5909 2996 N 0 38 48 0 0 -38 h\n1 g 5860 2996 N 0 38 49 0 0
      -38 h\n1 g 5811 2996 N 0 38 49 0 0 -38 h\n1 g 5763 2996 N 0 38 48 0 0
      -38 h\n1 g 5714 2996 N 0 38 49 0 0 -38 h\n1 g 5665 2996 N 0 38 49 0 0
      -38 h\n1 g 5617 2996 N 0 38 48 0 0 -38 h\n1 g 5568 2996 N 0 38 49 0 0
      -38 h\n1 g 5520 2996 N 0 38 48 0 0 -38 h\n1 g 5471 2996 N 0 38 49 0 0
      -38 h\n1 g 5422 2996 N 0 38 49 0 0 -38 h\n1 g 5374 2996 N 0 38 48 0 0
      -38 h\n1 g 5325 2996 N 0 38 49 0 0 -38 h\n1 g 5277 2996 N 0 38 48 0 0
      -38 h\n1 g 5228 2996 N 0 38 49 0 0 -38 h\n1 g 5179 2996 N 0 38 49 0 0
      -38 h\n1 g 5131 2996 N 0 38 48 0 0 -38 h\n1 g 5082 2996 N 0 38 49 0 0
      -38 h\n1 g 5034 2996 N 0 38 48 0 0 -38 h\n1 g 4985 2996 N 0 38 49 0 0
      -38 h\n1 g 4936 2996 N 0 38 49 0 0 -38 h\n1 g 4888 2996 N 0 38 48 0 0
      -38 h\n1 g 4839 2996 N 0 38 49 0 0 -38 h\n1 g 4790 2996 N 0 38 49 0 0
      -38 h\n.9 g 4742 2996 N 0 38 48 0 0 -38 h\n.8 g 4693 2996 N 0 38 49 0 0
      -38 h\n.8 g 4645 2996 N 0 38 48 0 0 -38 h\n.8 g 4596 2996 N 0 38 49 0 0
      -38 h\n.8 g 4547 2996 N 0 38 49 0 0 -38 h\n.8 g 4499 2996 N 0 38 48 0 0
      -38 h\n.8 g 4450 2996 N 0 38 49 0 0 -38 h\n.8 g 4402 2996 N 0 38 48 0 0
      -38 h\n.8 g 4353 2996 N 0 38 49 0 0 -38 h\n.8 g 4304 2996 N 0 38 49 0 0
      -38 h\n.8 g 4256 2996 N 0 38 48 0 0 -38 h\n.8 g 4207 2996 N 0 38 49 0 0
      -38 h\n.8 g 4159 2996 N 0 38 48 0 0 -38 h\n.8 g 4110 2996 N 0 38 49 0 0
      -38 h\n.8 g 4061 2996 N 0 38 49 0 0 -38 h\n.8 g 4013 2996 N 0 38 48 0 0
      -38 h\n.8 g 3964 2996 N 0 38 49 0 0 -38 h\n.8 g 3915 2996 N 0 38 49 0 0
      -38 h\n.8 g 3867 2996 N 0 38 48 0 0 -38 h\n.8 g 3818 2996 N 0 38 49 0 0
      -38 h\n.8 g 3770 2996 N 0 38 48 0 0 -38 h\n.8 g 3721 2996 N 0 38 49 0 0
      -38 h\n.8 g 3672 2996 N 0 38 49 0 0 -38 h\n.8 g 3624 2996 N 0 38 48 0 0
      -38 h\n.8 g 3575 2996 N 0 38 49 0 0 -38 h\n.8 g 3527 2996 N 0 38 48 0 0
      -38 h\n.8 g 3478 2996 N 0 38 49 0 0 -38 h\n.8 g 3429 2996 N 0 38 49 0 0
      -38 h\n.8 g 3381 2996 N 0 38 48 0 0 -38 h\n.8 g 3332 2996 N 0 38 49 0 0
      -38 h\n.8 g 3284 2996 N 0 38 48 0 0 -38 h\n.8 g 3235 2996 N 0 38 49 0 0
      -38 h\n.8 g 3186 2996 N 0 38 49 0 0 -38 h\n.8 g 3138 2996 N 0 38 48 0 0
      -38 h\n.8 g 3089 2996 N 0 38 49 0 0 -38 h\n.8 g 3040 2996 N 0 38 49 0 0
      -38 h\n.8 g 2992 2996 N 0 38 48 0 0 -38 h\n.8 g 2943 2996 N 0 38 49 0 0
      -38 h\n.8 g 2895 2996 N 0 38 48 0 0 -38 h\n.8 g 2846 2996 N 0 38 49 0 0
      -38 h\n.8 g 2797 2996 N 0 38 49 0 0 -38 h\n.8 g 2749 2996 N 0 38 48 0 0
      -38 h\n.8 g 2700 2996 N 0 38 49 0 0 -38 h\n.8 g 2652 2996 N 0 38 48 0 0
      -38 h\n.8 g 2603 2996 N 0 38 49 0 0 -38 h\n.8 g 2554 2996 N 0 38 49 0 0
      -38 h\n.8 g 2506 2996 N 0 38 48 0 0 -38 h\n.8 g 2457 2996 N 0 38 49 0 0
      -38 h\n.9 g 2409 2996 N 0 38 48 0 0 -38 h\n1 g 2360 2996 N 0 38 49 0 0
      -38 h\n1 g 2311 2996 N 0 38 49 0 0 -38 h\n1 g 2263 2996 N 0 38 48 0 0
      -38 h\n1 g 2214 2996 N 0 38 49 0 0 -38 h\n1 g 2165 2996 N 0 38 49 0 0
      -38 h\n1 g 2117 2996 N 0 38 48 0 0 -38 h\n1 g 2068 2996 N 0 38 49 0 0
      -38 h\n1 g 2020 2996 N 0 38 48 0 0 -38 h\n1 g 1971 2996 N 0 38 49 0 0
      -38 h\n1 g 1922 2996 N 0 38 49 0 0 -38 h\n1 g 1874 2996 N 0 38 48 0 0
      -38 h\n1 g 1825 2996 N 0 38 49 0 0 -38 h\n1 g 1777 2996 N 0 38 48 0 0
      -38 h\n1 g 1728 2996 N 0 38 49 0 0 -38 h\n1 g 1679 2996 N 0 38 49 0 0
      -38 h\n1 g 1631 2996 N 0 38 48 0 0 -38 h\n1 g 1582 2996 N 0 38 49 0 0
      -38 h\n1 g 1534 2996 N 0 38 48 0 0 -38 h\n1 g 1485 2996 N 0 38 49 0 0
      -38 h\n1 g 1436 2996 N 0 38 49 0 0 -38 h\n1 g 1388 2996 N 0 38 48 0 0
      -38 h\n1 g 1339 2996 N 0 38 49 0 0 -38 h\n1 g 1290 2996 N 0 38 49 0 0
      -38 h\n1 g 1242 2996 N 0 38 48 0 0 -38 h\n1 g 1193 2996 N 0 38 49 0 0
      -38 h\n1 g 5957 2958 N 0 39 49 0 0 -39 h\n1 g 5909 2958 N 0 39 48 0 0
      -39 h\n1 g 5860 2958 N 0 39 49 0 0 -39 h\n1 g 5811 2958 N 0 39 49 0 0
      -39 h\n1 g 5763 2958 N 0 39 48 0 0 -39 h\n1 g 5714 2958 N 0 39 49 0 0
      -39 h\n1 g 5665 2958 N 0 39 49 0 0 -39 h\n1 g 5617 2958 N 0 39 48 0 0
      -39 h\n1 g 5568 2958 N 0 39 49 0 0 -39 h\n1 g 5520 2958 N 0 39 48 0 0
      -39 h\n1 g 5471 2958 N 0 39 49 0 0 -39 h\n1 g 5422 2958 N 0 39 49 0 0
      -39 h\n1 g 5374 2958 N 0 39 48 0 0 -39 h\n1 g 5325 2958 N 0 39 49 0 0
      -39 h\n1 g 5277 2958 N 0 39 48 0 0 -39 h\n1 g 5228 2958 N 0 39 49 0 0
      -39 h\n1 g 5179 2958 N 0 39 49 0 0 -39 h\n1 g 5131 2958 N 0 39 48 0 0
      -39 h\n1 g 5082 2958 N 0 39 49 0 0 -39 h\n1 g 5034 2958 N 0 39 48 0 0
      -39 h\n1 g 4985 2958 N 0 39 49 0 0 -39 h\n1 g 4936 2958 N 0 39 49 0 0
      -39 h\n1 g 4888 2958 N 0 39 48 0 0 -39 h\n1 g 4839 2958 N 0 39 49 0 0
      -39 h\n1 g 4790 2958 N 0 39 49 0 0 -39 h\n.9 g 4742 2958 N 0 39 48 0 0
      -39 h\n.8 g 4693 2958 N 0 39 49 0 0 -39 h\n.8 g 4645 2958 N 0 39 48 0 0
      -39 h\n.8 g 4596 2958 N 0 39 49 0 0 -39 h\n.8 g 4547 2958 N 0 39 49 0 0
      -39 h\n.8 g 4499 2958 N 0 39 48 0 0 -39 h\n.8 g 4450 2958 N 0 39 49 0 0
      -39 h\n.8 g 4402 2958 N 0 39 48 0 0 -39 h\n.8 g 4353 2958 N 0 39 49 0 0
      -39 h\n.8 g 4304 2958 N 0 39 49 0 0 -39 h\n.8 g 4256 2958 N 0 39 48 0 0
      -39 h\n.8 g 4207 2958 N 0 39 49 0 0 -39 h\n.8 g 4159 2958 N 0 39 48 0 0
      -39 h\n.8 g 4110 2958 N 0 39 49 0 0 -39 h\n.8 g 4061 2958 N 0 39 49 0 0
      -39 h\n.8 g 4013 2958 N 0 39 48 0 0 -39 h\n.8 g 3964 2958 N 0 39 49 0 0
      -39 h\n.8 g 3915 2958 N 0 39 49 0 0 -39 h\n.8 g 3867 2958 N 0 39 48 0 0
      -39 h\n.8 g 3818 2958 N 0 39 49 0 0 -39 h\n.8 g 3770 2958 N 0 39 48 0 0
      -39 h\n.8 g 3721 2958 N 0 39 49 0 0 -39 h\n.8 g 3672 2958 N 0 39 49 0 0
      -39 h\n.8 g 3624 2958 N 0 39 48 0 0 -39 h\n.8 g 3575 2958 N 0 39 49 0 0
      -39 h\n.8 g 3527 2958 N 0 39 48 0 0 -39 h\n.8 g 3478 2958 N 0 39 49 0 0
      -39 h\n.8 g 3429 2958 N 0 39 49 0 0 -39 h\n.8 g 3381 2958 N 0 39 48 0 0
      -39 h\n.8 g 3332 2958 N 0 39 49 0 0 -39 h\n.8 g 3284 2958 N 0 39 48 0 0
      -39 h\n.8 g 3235 2958 N 0 39 49 0 0 -39 h\n.8 g 3186 2958 N 0 39 49 0 0
      -39 h\n.8 g 3138 2958 N 0 39 48 0 0 -39 h\n.8 g 3089 2958 N 0 39 49 0 0
      -39 h\n.8 g 3040 2958 N 0 39 49 0 0 -39 h\n.8 g 2992 2958 N 0 39 48 0 0
      -39 h\n.8 g 2943 2958 N 0 39 49 0 0 -39 h\n.8 g 2895 2958 N 0 39 48 0 0
      -39 h\n.8 g 2846 2958 N 0 39 49 0 0 -39 h\n.8 g 2797 2958 N 0 39 49 0 0
      -39 h\n.8 g 2749 2958 N 0 39 48 0 0 -39 h\n.8 g 2700 2958 N 0 39 49 0 0
      -39 h\n.8 g 2652 2958 N 0 39 48 0 0 -39 h\n.8 g 2603 2958 N 0 39 49 0 0
      -39 h\n.8 g 2554 2958 N 0 39 49 0 0 -39 h\n.8 g 2506 2958 N 0 39 48 0 0
      -39 h\n.8 g 2457 2958 N 0 39 49 0 0 -39 h\n.9 g 2409 2958 N 0 39 48 0 0
      -39 h\n1 g 2360 2958 N 0 39 49 0 0 -39 h\n1 g 2311 2958 N 0 39 49 0 0
      -39 h\n1 g 2263 2958 N 0 39 48 0 0 -39 h\n1 g 2214 2958 N 0 39 49 0 0
      -39 h\n1 g 2165 2958 N 0 39 49 0 0 -39 h\n1 g 2117 2958 N 0 39 48 0 0
      -39 h\n1 g 2068 2958 N 0 39 49 0 0 -39 h\n1 g 2020 2958 N 0 39 48 0 0
      -39 h\n1 g 1971 2958 N 0 39 49 0 0 -39 h\n1 g 1922 2958 N 0 39 49 0 0
      -39 h\n1 g 1874 2958 N 0 39 48 0 0 -39 h\n1 g 1825 2958 N 0 39 49 0 0
      -39 h\n1 g 1777 2958 N 0 39 48 0 0 -39 h\n1 g 1728 2958 N 0 39 49 0 0
      -39 h\n1 g 1679 2958 N 0 39 49 0 0 -39 h\n1 g 1631 2958 N 0 39 48 0 0
      -39 h\n1 g 1582 2958 N 0 39 49 0 0 -39 h\n1 g 1534 2958 N 0 39 48 0 0
      -39 h\n1 g 1485 2958 N 0 39 49 0 0 -39 h\n1 g 1436 2958 N 0 39 49 0 0
      -39 h\n1 g 1388 2958 N 0 39 48 0 0 -39 h\n1 g 1339 2958 N 0 39 49 0 0
      -39 h\n1 g 1290 2958 N 0 39 49 0 0 -39 h\n1 g 1242 2958 N 0 39 48 0 0
      -39 h\n1 g 1193 2958 N 0 39 49 0 0 -39 h\n1 g 5957 2919 N 0 39 49 0 0
      -39 h\n1 g 5909 2919 N 0 39 48 0 0 -39 h\n1 g 5860 2919 N 0 39 49 0 0
      -39 h\n1 g 5811 2919 N 0 39 49 0 0 -39 h\n1 g 5763 2919 N 0 39 48 0 0
      -39 h\n1 g 5714 2919 N 0 39 49 0 0 -39 h\n1 g 5665 2919 N 0 39 49 0 0
      -39 h\n1 g 5617 2919 N 0 39 48 0 0 -39 h\n1 g 5568 2919 N 0 39 49 0 0
      -39 h\n1 g 5520 2919 N 0 39 48 0 0 -39 h\n1 g 5471 2919 N 0 39 49 0 0
      -39 h\n1 g 5422 2919 N 0 39 49 0 0 -39 h\n1 g 5374 2919 N 0 39 48 0 0
      -39 h\n1 g 5325 2919 N 0 39 49 0 0 -39 h\n1 g 5277 2919 N 0 39 48 0 0
      -39 h\n1 g 5228 2919 N 0 39 49 0 0 -39 h\n1 g 5179 2919 N 0 39 49 0 0
      -39 h\n1 g 5131 2919 N 0 39 48 0 0 -39 h\n1 g 5082 2919 N 0 39 49 0 0
      -39 h\n1 g 5034 2919 N 0 39 48 0 0 -39 h\n1 g 4985 2919 N 0 39 49 0 0
      -39 h\n1 g 4936 2919 N 0 39 49 0 0 -39 h\n1 g 4888 2919 N 0 39 48 0 0
      -39 h\n1 g 4839 2919 N 0 39 49 0 0 -39 h\n1 g 4790 2919 N 0 39 49 0 0
      -39 h\n.9 g 4742 2919 N 0 39 48 0 0 -39 h\n.8 g 4693 2919 N 0 39 49 0 0
      -39 h\n.8 g 4645 2919 N 0 39 48 0 0 -39 h\n.8 g 4596 2919 N 0 39 49 0 0
      -39 h\n.8 g 4547 2919 N 0 39 49 0 0 -39 h\n.8 g 4499 2919 N 0 39 48 0 0
      -39 h\n.8 g 4450 2919 N 0 39 49 0 0 -39 h\n.8 g 4402 2919 N 0 39 48 0 0
      -39 h\n.8 g 4353 2919 N 0 39 49 0 0 -39 h\n.8 g 4304 2919 N 0 39 49 0 0
      -39 h\n.8 g 4256 2919 N 0 39 48 0 0 -39 h\n.8 g 4207 2919 N 0 39 49 0 0
      -39 h\n.8 g 4159 2919 N 0 39 48 0 0 -39 h\n.8 g 4110 2919 N 0 39 49 0 0
      -39 h\n.8 g 4061 2919 N 0 39 49 0 0 -39 h\n.8 g 4013 2919 N 0 39 48 0 0
      -39 h\n.8 g 3964 2919 N 0 39 49 0 0 -39 h\n.8 g 3915 2919 N 0 39 49 0 0
      -39 h\n.8 g 3867 2919 N 0 39 48 0 0 -39 h\n.8 g 3818 2919 N 0 39 49 0 0
      -39 h\n.8 g 3770 2919 N 0 39 48 0 0 -39 h\n.8 g 3721 2919 N 0 39 49 0 0
      -39 h\n.8 g 3672 2919 N 0 39 49 0 0 -39 h\n.8 g 3624 2919 N 0 39 48 0 0
      -39 h\n.8 g 3575 2919 N 0 39 49 0 0 -39 h\n.8 g 3527 2919 N 0 39 48 0 0
      -39 h\n.8 g 3478 2919 N 0 39 49 0 0 -39 h\n.8 g 3429 2919 N 0 39 49 0 0
      -39 h\n.8 g 3381 2919 N 0 39 48 0 0 -39 h\n.8 g 3332 2919 N 0 39 49 0 0
      -39 h\n.8 g 3284 2919 N 0 39 48 0 0 -39 h\n.8 g 3235 2919 N 0 39 49 0 0
      -39 h\n.8 g 3186 2919 N 0 39 49 0 0 -39 h\n.8 g 3138 2919 N 0 39 48 0 0
      -39 h\n.8 g 3089 2919 N 0 39 49 0 0 -39 h\n.8 g 3040 2919 N 0 39 49 0 0
      -39 h\n.8 g 2992 2919 N 0 39 48 0 0 -39 h\n.8 g 2943 2919 N 0 39 49 0 0
      -39 h\n.8 g 2895 2919 N 0 39 48 0 0 -39 h\n.8 g 2846 2919 N 0 39 49 0 0
      -39 h\n.8 g 2797 2919 N 0 39 49 0 0 -39 h\n.8 g 2749 2919 N 0 39 48 0 0
      -39 h\n.8 g 2700 2919 N 0 39 49 0 0 -39 h\n.8 g 2652 2919 N 0 39 48 0 0
      -39 h\n.8 g 2603 2919 N 0 39 49 0 0 -39 h\n.8 g 2554 2919 N 0 39 49 0 0
      -39 h\n.8 g 2506 2919 N 0 39 48 0 0 -39 h\n.8 g 2457 2919 N 0 39 49 0 0
      -39 h\n.9 g 2409 2919 N 0 39 48 0 0 -39 h\n1 g 2360 2919 N 0 39 49 0 0
      -39 h\n1 g 2311 2919 N 0 39 49 0 0 -39 h\n1 g 2263 2919 N 0 39 48 0 0
      -39 h\n1 g 2214 2919 N 0 39 49 0 0 -39 h\n1 g 2165 2919 N 0 39 49 0 0
      -39 h\n1 g 2117 2919 N 0 39 48 0 0 -39 h\n1 g 2068 2919 N 0 39 49 0 0
      -39 h\n1 g 2020 2919 N 0 39 48 0 0 -39 h\n1 g 1971 2919 N 0 39 49 0 0
      -39 h\n1 g 1922 2919 N 0 39 49 0 0 -39 h\n1 g 1874 2919 N 0 39 48 0 0
      -39 h\n1 g 1825 2919 N 0 39 49 0 0 -39 h\n1 g 1777 2919 N 0 39 48 0 0
      -39 h\n1 g 1728 2919 N 0 39 49 0 0 -39 h\n1 g 1679 2919 N 0 39 49 0 0
      -39 h\n1 g 1631 2919 N 0 39 48 0 0 -39 h\n1 g 1582 2919 N 0 39 49 0 0
      -39 h\n1 g 1534 2919 N 0 39 48 0 0 -39 h\n1 g 1485 2919 N 0 39 49 0 0
      -39 h\n1 g 1436 2919 N 0 39 49 0 0 -39 h\n1 g 1388 2919 N 0 39 48 0 0
      -39 h\n1 g 1339 2919 N 0 39 49 0 0 -39 h\n1 g 1290 2919 N 0 39 49 0 0
      -39 h\n1 g 1242 2919 N 0 39 48 0 0 -39 h\n1 g 1193 2919 N 0 39 49 0 0
      -39 h\n1 g 5957 2880 N 0 39 49 0 0 -39 h\n1 g 5909 2880 N 0 39 48 0 0
      -39 h\n1 g 5860 2880 N 0 39 49 0 0 -39 h\n1 g 5811 2880 N 0 39 49 0 0
      -39 h\n1 g 5763 2880 N 0 39 48 0 0 -39 h\n1 g 5714 2880 N 0 39 49 0 0
      -39 h\n1 g 5665 2880 N 0 39 49 0 0 -39 h\n1 g 5617 2880 N 0 39 48 0 0
      -39 h\n1 g 5568 2880 N 0 39 49 0 0 -39 h\n1 g 5520 2880 N 0 39 48 0 0
      -39 h\n1 g 5471 2880 N 0 39 49 0 0 -39 h\n1 g 5422 2880 N 0 39 49 0 0
      -39 h\n1 g 5374 2880 N 0 39 48 0 0 -39 h\n1 g 5325 2880 N 0 39 49 0 0
      -39 h\n1 g 5277 2880 N 0 39 48 0 0 -39 h\n1 g 5228 2880 N 0 39 49 0 0
      -39 h\n1 g 5179 2880 N 0 39 49 0 0 -39 h\n1 g 5131 2880 N 0 39 48 0 0
      -39 h\n1 g 5082 2880 N 0 39 49 0 0 -39 h\n1 g 5034 2880 N 0 39 48 0 0
      -39 h\n1 g 4985 2880 N 0 39 49 0 0 -39 h\n1 g 4936 2880 N 0 39 49 0 0
      -39 h\n1 g 4888 2880 N 0 39 48 0 0 -39 h\n1 g 4839 2880 N 0 39 49 0 0
      -39 h\n1 g 4790 2880 N 0 39 49 0 0 -39 h\n.9 g 4742 2880 N 0 39 48 0 0
      -39 h\n.8 g 4693 2880 N 0 39 49 0 0 -39 h\n.8 g 4645 2880 N 0 39 48 0 0
      -39 h\n.8 g 4596 2880 N 0 39 49 0 0 -39 h\n.8 g 4547 2880 N 0 39 49 0 0
      -39 h\n.8 g 4499 2880 N 0 39 48 0 0 -39 h\n.8 g 4450 2880 N 0 39 49 0 0
      -39 h\n.8 g 4402 2880 N 0 39 48 0 0 -39 h\n.8 g 4353 2880 N 0 39 49 0 0
      -39 h\n.8 g 4304 2880 N 0 39 49 0 0 -39 h\n.8 g 4256 2880 N 0 39 48 0 0
      -39 h\n.8 g 4207 2880 N 0 39 49 0 0 -39 h\n.8 g 4159 2880 N 0 39 48 0 0
      -39 h\n.8 g 4110 2880 N 0 39 49 0 0 -39 h\n.8 g 4061 2880 N 0 39 49 0 0
      -39 h\n.8 g 4013 2880 N 0 39 48 0 0 -39 h\n.8 g 3964 2880 N 0 39 49 0 0
      -39 h\n.8 g 3915 2880 N 0 39 49 0 0 -39 h\n.8 g 3867 2880 N 0 39 48 0 0
      -39 h\n.8 g 3818 2880 N 0 39 49 0 0 -39 h\n.8 g 3770 2880 N 0 39 48 0 0
      -39 h\n.8 g 3721 2880 N 0 39 49 0 0 -39 h\n.8 g 3672 2880 N 0 39 49 0 0
      -39 h\n.8 g 3624 2880 N 0 39 48 0 0 -39 h\n.8 g 3575 2880 N 0 39 49 0 0
      -39 h\n.8 g 3527 2880 N 0 39 48 0 0 -39 h\n.8 g 3478 2880 N 0 39 49 0 0
      -39 h\n.8 g 3429 2880 N 0 39 49 0 0 -39 h\n.8 g 3381 2880 N 0 39 48 0 0
      -39 h\n.8 g 3332 2880 N 0 39 49 0 0 -39 h\n.8 g 3284 2880 N 0 39 48 0 0
      -39 h\n.8 g 3235 2880 N 0 39 49 0 0 -39 h\n.8 g 3186 2880 N 0 39 49 0 0
      -39 h\n.8 g 3138 2880 N 0 39 48 0 0 -39 h\n.8 g 3089 2880 N 0 39 49 0 0
      -39 h\n.8 g 3040 2880 N 0 39 49 0 0 -39 h\n.8 g 2992 2880 N 0 39 48 0 0
      -39 h\n.8 g 2943 2880 N 0 39 49 0 0 -39 h\n.8 g 2895 2880 N 0 39 48 0 0
      -39 h\n.8 g 2846 2880 N 0 39 49 0 0 -39 h\n.8 g 2797 2880 N 0 39 49 0 0
      -39 h\n.8 g 2749 2880 N 0 39 48 0 0 -39 h\n.8 g 2700 2880 N 0 39 49 0 0
      -39 h\n.8 g 2652 2880 N 0 39 48 0 0 -39 h\n.8 g 2603 2880 N 0 39 49 0 0
      -39 h\n.8 g 2554 2880 N 0 39 49 0 0 -39 h\n.8 g 2506 2880 N 0 39 48 0 0
      -39 h\n.8 g 2457 2880 N 0 39 49 0 0 -39 h\n.9 g 2409 2880 N 0 39 48 0 0
      -39 h\n1 g 2360 2880 N 0 39 49 0 0 -39 h\n1 g 2311 2880 N 0 39 49 0 0
      -39 h\n1 g 2263 2880 N 0 39 48 0 0 -39 h\n1 g 2214 2880 N 0 39 49 0 0
      -39 h\n1 g 2165 2880 N 0 39 49 0 0 -39 h\n1 g 2117 2880 N 0 39 48 0 0
      -39 h\n1 g 2068 2880 N 0 39 49 0 0 -39 h\n1 g 2020 2880 N 0 39 48 0 0
      -39 h\n1 g 1971 2880 N 0 39 49 0 0 -39 h\n1 g 1922 2880 N 0 39 49 0 0
      -39 h\n1 g 1874 2880 N 0 39 48 0 0 -39 h\n1 g 1825 2880 N 0 39 49 0 0
      -39 h\n1 g 1777 2880 N 0 39 48 0 0 -39 h\n1 g 1728 2880 N 0 39 49 0 0
      -39 h\n1 g 1679 2880 N 0 39 49 0 0 -39 h\n1 g 1631 2880 N 0 39 48 0 0
      -39 h\n1 g 1582 2880 N 0 39 49 0 0 -39 h\n1 g 1534 2880 N 0 39 48 0 0
      -39 h\n1 g 1485 2880 N 0 39 49 0 0 -39 h\n1 g 1436 2880 N 0 39 49 0 0
      -39 h\n1 g 1388 2880 N 0 39 48 0 0 -39 h\n1 g 1339 2880 N 0 39 49 0 0
      -39 h\n1 g 1290 2880 N 0 39 49 0 0 -39 h\n1 g 1242 2880 N 0 39 48 0 0
      -39 h\n1 g 1193 2880 N 0 39 49 0 0 -39 h\n1 g 5957 2841 N 0 38 49 0 0
      -38 h\n1 g 5909 2841 N 0 38 48 0 0 -38 h\n1 g 5860 2841 N 0 38 49 0 0
      -38 h\n1 g 5811 2841 N 0 38 49 0 0 -38 h\n1 g 5763 2841 N 0 38 48 0 0
      -38 h\n1 g 5714 2841 N 0 38 49 0 0 -38 h\n1 g 5665 2841 N 0 38 49 0 0
      -38 h\n1 g 5617 2841 N 0 38 48 0 0 -38 h\n1 g 5568 2841 N 0 38 49 0 0
      -38 h\n1 g 5520 2841 N 0 38 48 0 0 -38 h\n1 g 5471 2841 N 0 38 49 0 0
      -38 h\n1 g 5422 2841 N 0 38 49 0 0 -38 h\n1 g 5374 2841 N 0 38 48 0 0
      -38 h\n1 g 5325 2841 N 0 38 49 0 0 -38 h\n1 g 5277 2841 N 0 38 48 0 0
      -38 h\n1 g 5228 2841 N 0 38 49 0 0 -38 h\n1 g 5179 2841 N 0 38 49 0 0
      -38 h\n1 g 5131 2841 N 0 38 48 0 0 -38 h\n1 g 5082 2841 N 0 38 49 0 0
      -38 h\n1 g 5034 2841 N 0 38 48 0 0 -38 h\n1 g 4985 2841 N 0 38 49 0 0
      -38 h\n1 g 4936 2841 N 0 38 49 0 0 -38 h\n1 g 4888 2841 N 0 38 48 0 0
      -38 h\n1 g 4839 2841 N 0 38 49 0 0 -38 h\n1 g 4790 2841 N 0 38 49 0 0
      -38 h\n.95 g 4742 2841 N 0 38 48 0 0 -38 h\n.85 g 4693 2841 N 0 38 49 0
      0 -38 h\n.8 g 4645 2841 N 0 38 48 0 0 -38 h\n.8 g 4596 2841 N 0 38 49 0
      0 -38 h\n.8 g 4547 2841 N 0 38 49 0 0 -38 h\n.8 g 4499 2841 N 0 38 48 0
      0 -38 h\n.8 g 4450 2841 N 0 38 49 0 0 -38 h\n.8 g 4402 2841 N 0 38 48 0
      0 -38 h\n.8 g 4353 2841 N 0 38 49 0 0 -38 h\n.8 g 4304 2841 N 0 38 49 0
      0 -38 h\n.8 g 4256 2841 N 0 38 48 0 0 -38 h\n.8 g 4207 2841 N 0 38 49 0
      0 -38 h\n.8 g 4159 2841 N 0 38 48 0 0 -38 h\n.8 g 4110 2841 N 0 38 49 0
      0 -38 h\n.8 g 4061 2841 N 0 38 49 0 0 -38 h\n.8 g 4013 2841 N 0 38 48 0
      0 -38 h\n.8 g 3964 2841 N 0 38 49 0 0 -38 h\n.8 g 3915 2841 N 0 38 49 0
      0 -38 h\n.8 g 3867 2841 N 0 38 48 0 0 -38 h\n.8 g 3818 2841 N 0 38 49 0
      0 -38 h\n.8 g 3770 2841 N 0 38 48 0 0 -38 h\n.8 g 3721 2841 N 0 38 49 0
      0 -38 h\n.8 g 3672 2841 N 0 38 49 0 0 -38 h\n.8 g 3624 2841 N 0 38 48 0
      0 -38 h\n.8 g 3575 2841 N 0 38 49 0 0 -38 h\n.8 g 3527 2841 N 0 38 48 0
      0 -38 h\n.8 g 3478 2841 N 0 38 49 0 0 -38 h\n.8 g 3429 2841 N 0 38 49 0
      0 -38 h\n.8 g 3381 2841 N 0 38 48 0 0 -38 h\n.8 g 3332 2841 N 0 38 49 0
      0 -38 h\n.8 g 3284 2841 N 0 38 48 0 0 -38 h\n.8 g 3235 2841 N 0 38 49 0
      0 -38 h\n.8 g 3186 2841 N 0 38 49 0 0 -38 h\n.8 g 3138 2841 N 0 38 48 0
      0 -38 h\n.8 g 3089 2841 N 0 38 49 0 0 -38 h\n.8 g 3040 2841 N 0 38 49 0
      0 -38 h\n.8 g 2992 2841 N 0 38 48 0 0 -38 h\n.8 g 2943 2841 N 0 38 49 0
      0 -38 h\n.8 g 2895 2841 N 0 38 48 0 0 -38 h\n.8 g 2846 2841 N 0 38 49 0
      0 -38 h\n.8 g 2797 2841 N 0 38 49 0 0 -38 h\n.8 g 2749 2841 N 0 38 48 0
      0 -38 h\n.8 g 2700 2841 N 0 38 49 0 0 -38 h\n.8 g 2652 2841 N 0 38 48 0
      0 -38 h\n.8 g 2603 2841 N 0 38 49 0 0 -38 h\n.8 g 2554 2841 N 0 38 49 0
      0 -38 h\n.8 g 2506 2841 N 0 38 48 0 0 -38 h\n.85 g 2457 2841 N 0 38 49
      0 0 -38 h\n.95 g 2409 2841 N 0 38 48 0 0 -38 h\n1 g 2360 2841 N 0 38 49
      0 0 -38 h\n1 g 2311 2841 N 0 38 49 0 0 -38 h\n1 g 2263 2841 N 0 38 48 0
      0 -38 h\n1 g 2214 2841 N 0 38 49 0 0 -38 h\n1 g 2165 2841 N 0 38 49 0 0
      -38 h\n1 g 2117 2841 N 0 38 48 0 0 -38 h\n1 g 2068 2841 N 0 38 49 0 0
      -38 h\n1 g 2020 2841 N 0 38 48 0 0 -38 h\n1 g 1971 2841 N 0 38 49 0 0
      -38 h\n1 g 1922 2841 N 0 38 49 0 0 -38 h\n1 g 1874 2841 N 0 38 48 0 0
      -38 h\n1 g 1825 2841 N 0 38 49 0 0 -38 h\n1 g 1777 2841 N 0 38 48 0 0
      -38 h\n1 g 1728 2841 N 0 38 49 0 0 -38 h\n1 g 1679 2841 N 0 38 49 0 0
      -38 h\n1 g 1631 2841 N 0 38 48 0 0 -38 h\n1 g 1582 2841 N 0 38 49 0 0
      -38 h\n1 g 1534 2841 N 0 38 48 0 0 -38 h\n1 g 1485 2841 N 0 38 49 0 0
      -38 h\n1 g 1436 2841 N 0 38 49 0 0 -38 h\n1 g 1388 2841 N 0 38 48 0 0
      -38 h\n1 g 1339 2841 N 0 38 49 0 0 -38 h\n1 g 1290 2841 N 0 38 49 0 0
      -38 h\n1 g 1242 2841 N 0 38 48 0 0 -38 h\n1 g 1193 2841 N 0 38 49 0 0
      -38 h\n1 g 5957 2803 N 0 39 49 0 0 -39 h\n1 g 5909 2803 N 0 39 48 0 0
      -39 h\n1 g 5860 2803 N 0 39 49 0 0 -39 h\n1 g 5811 2803 N 0 39 49 0 0
      -39 h\n1 g 5763 2803 N 0 39 48 0 0 -39 h\n1 g 5714 2803 N 0 39 49 0 0
      -39 h\n1 g 5665 2803 N 0 39 49 0 0 -39 h\n1 g 5617 2803 N 0 39 48 0 0
      -39 h\n1 g 5568 2803 N 0 39 49 0 0 -39 h\n1 g 5520 2803 N 0 39 48 0 0
      -39 h\n1 g 5471 2803 N 0 39 49 0 0 -39 h\n1 g 5422 2803 N 0 39 49 0 0
      -39 h\n1 g 5374 2803 N 0 39 48 0 0 -39 h\n1 g 5325 2803 N 0 39 49 0 0
      -39 h\n1 g 5277 2803 N 0 39 48 0 0 -39 h\n1 g 5228 2803 N 0 39 49 0 0
      -39 h\n1 g 5179 2803 N 0 39 49 0 0 -39 h\n1 g 5131 2803 N 0 39 48 0 0
      -39 h\n1 g 5082 2803 N 0 39 49 0 0 -39 h\n1 g 5034 2803 N 0 39 48 0 0
      -39 h\n1 g 4985 2803 N 0 39 49 0 0 -39 h\n1 g 4936 2803 N 0 39 49 0 0
      -39 h\n1 g 4888 2803 N 0 39 48 0 0 -39 h\n1 g 4839 2803 N 0 39 49 0 0
      -39 h\n1 g 4790 2803 N 0 39 49 0 0 -39 h\n1 g 4742 2803 N 0 39 48 0 0
      -39 h\n.9 g 4693 2803 N 0 39 49 0 0 -39 h\n.8 g 4645 2803 N 0 39 48 0 0
      -39 h\n.8 g 4596 2803 N 0 39 49 0 0 -39 h\n.8 g 4547 2803 N 0 39 49 0 0
      -39 h\n.8 g 4499 2803 N 0 39 48 0 0 -39 h\n.8 g 4450 2803 N 0 39 49 0 0
      -39 h\n.8 g 4402 2803 N 0 39 48 0 0 -39 h\n.8 g 4353 2803 N 0 39 49 0 0
      -39 h\n.8 g 4304 2803 N 0 39 49 0 0 -39 h\n.8 g 4256 2803 N 0 39 48 0 0
      -39 h\n.8 g 4207 2803 N 0 39 49 0 0 -39 h\n.8 g 4159 2803 N 0 39 48 0 0
      -39 h\n.8 g 4110 2803 N 0 39 49 0 0 -39 h\n.8 g 4061 2803 N 0 39 49 0 0
      -39 h\n.8 g 4013 2803 N 0 39 48 0 0 -39 h\n.8 g 3964 2803 N 0 39 49 0 0
      -39 h\n.8 g 3915 2803 N 0 39 49 0 0 -39 h\n.8 g 3867 2803 N 0 39 48 0 0
      -39 h\n.8 g 3818 2803 N 0 39 49 0 0 -39 h\n.8 g 3770 2803 N 0 39 48 0 0
      -39 h\n.8 g 3721 2803 N 0 39 49 0 0 -39 h\n.8 g 3672 2803 N 0 39 49 0 0
      -39 h\n.8 g 3624 2803 N 0 39 48 0 0 -39 h\n.8 g 3575 2803 N 0 39 49 0 0
      -39 h\n.8 g 3527 2803 N 0 39 48 0 0 -39 h\n.8 g 3478 2803 N 0 39 49 0 0
      -39 h\n.8 g 3429 2803 N 0 39 49 0 0 -39 h\n.8 g 3381 2803 N 0 39 48 0 0
      -39 h\n.8 g 3332 2803 N 0 39 49 0 0 -39 h\n.8 g 3284 2803 N 0 39 48 0 0
      -39 h\n.8 g 3235 2803 N 0 39 49 0 0 -39 h\n.8 g 3186 2803 N 0 39 49 0 0
      -39 h\n.8 g 3138 2803 N 0 39 48 0 0 -39 h\n.8 g 3089 2803 N 0 39 49 0 0
      -39 h\n.8 g 3040 2803 N 0 39 49 0 0 -39 h\n.8 g 2992 2803 N 0 39 48 0 0
      -39 h\n.8 g 2943 2803 N 0 39 49 0 0 -39 h\n.8 g 2895 2803 N 0 39 48 0 0
      -39 h\n.8 g 2846 2803 N 0 39 49 0 0 -39 h\n.8 g 2797 2803 N 0 39 49 0 0
      -39 h\n.8 g 2749 2803 N 0 39 48 0 0 -39 h\n.8 g 2700 2803 N 0 39 49 0 0
      -39 h\n.8 g 2652 2803 N 0 39 48 0 0 -39 h\n.8 g 2603 2803 N 0 39 49 0 0
      -39 h\n.8 g 2554 2803 N 0 39 49 0 0 -39 h\n.8 g 2506 2803 N 0 39 48 0 0
      -39 h\n.9 g 2457 2803 N 0 39 49 0 0 -39 h\n1 g 2409 2803 N 0 39 48 0 0
      -39 h\n1 g 2360 2803 N 0 39 49 0 0 -39 h\n1 g 2311 2803 N 0 39 49 0 0
      -39 h\n1 g 2263 2803 N 0 39 48 0 0 -39 h\n1 g 2214 2803 N 0 39 49 0 0
      -39 h\n1 g 2165 2803 N 0 39 49 0 0 -39 h\n1 g 2117 2803 N 0 39 48 0 0
      -39 h\n1 g 2068 2803 N 0 39 49 0 0 -39 h\n1 g 2020 2803 N 0 39 48 0 0
      -39 h\n1 g 1971 2803 N 0 39 49 0 0 -39 h\n1 g 1922 2803 N 0 39 49 0 0
      -39 h\n1 g 1874 2803 N 0 39 48 0 0 -39 h\n1 g 1825 2803 N 0 39 49 0 0
      -39 h\n1 g 1777 2803 N 0 39 48 0 0 -39 h\n1 g 1728 2803 N 0 39 49 0 0
      -39 h\n1 g 1679 2803 N 0 39 49 0 0 -39 h\n1 g 1631 2803 N 0 39 48 0 0
      -39 h\n1 g 1582 2803 N 0 39 49 0 0 -39 h\n1 g 1534 2803 N 0 39 48 0 0
      -39 h\n1 g 1485 2803 N 0 39 49 0 0 -39 h\n1 g 1436 2803 N 0 39 49 0 0
      -39 h\n1 g 1388 2803 N 0 39 48 0 0 -39 h\n1 g 1339 2803 N 0 39 49 0 0
      -39 h\n1 g 1290 2803 N 0 39 49 0 0 -39 h\n1 g 1242 2803 N 0 39 48 0 0
      -39 h\n1 g 1193 2803 N 0 39 49 0 0 -39 h\n1 g 5957 2764 N 0 39 49 0 0
      -39 h\n1 g 5909 2764 N 0 39 48 0 0 -39 h\n1 g 5860 2764 N 0 39 49 0 0
      -39 h\n1 g 5811 2764 N 0 39 49 0 0 -39 h\n1 g 5763 2764 N 0 39 48 0 0
      -39 h\n1 g 5714 2764 N 0 39 49 0 0 -39 h\n1 g 5665 2764 N 0 39 49 0 0
      -39 h\n1 g 5617 2764 N 0 39 48 0 0 -39 h\n1 g 5568 2764 N 0 39 49 0 0
      -39 h\n1 g 5520 2764 N 0 39 48 0 0 -39 h\n1 g 5471 2764 N 0 39 49 0 0
      -39 h\n1 g 5422 2764 N 0 39 49 0 0 -39 h\n1 g 5374 2764 N 0 39 48 0 0
      -39 h\n1 g 5325 2764 N 0 39 49 0 0 -39 h\n1 g 5277 2764 N 0 39 48 0 0
      -39 h\n1 g 5228 2764 N 0 39 49 0 0 -39 h\n1 g 5179 2764 N 0 39 49 0 0
      -39 h\n1 g 5131 2764 N 0 39 48 0 0 -39 h\n1 g 5082 2764 N 0 39 49 0 0
      -39 h\n1 g 5034 2764 N 0 39 48 0 0 -39 h\n1 g 4985 2764 N 0 39 49 0 0
      -39 h\n1 g 4936 2764 N 0 39 49 0 0 -39 h\n1 g 4888 2764 N 0 39 48 0 0
      -39 h\n1 g 4839 2764 N 0 39 49 0 0 -39 h\n1 g 4790 2764 N 0 39 49 0 0
      -39 h\n1 g 4742 2764 N 0 39 48 0 0 -39 h\n.9 g 4693 2764 N 0 39 49 0 0
      -39 h\n.8 g 4645 2764 N 0 39 48 0 0 -39 h\n.8 g 4596 2764 N 0 39 49 0 0
      -39 h\n.8 g 4547 2764 N 0 39 49 0 0 -39 h\n.8 g 4499 2764 N 0 39 48 0 0
      -39 h\n.8 g 4450 2764 N 0 39 49 0 0 -39 h\n.8 g 4402 2764 N 0 39 48 0 0
      -39 h\n.8 g 4353 2764 N 0 39 49 0 0 -39 h\n.8 g 4304 2764 N 0 39 49 0 0
      -39 h\n.8 g 4256 2764 N 0 39 48 0 0 -39 h\n.8 g 4207 2764 N 0 39 49 0 0
      -39 h\n.8 g 4159 2764 N 0 39 48 0 0 -39 h\n.8 g 4110 2764 N 0 39 49 0 0
      -39 h\n.8 g 4061 2764 N 0 39 49 0 0 -39 h\n.8 g 4013 2764 N 0 39 48 0 0
      -39 h\n.8 g 3964 2764 N 0 39 49 0 0 -39 h\n.8 g 3915 2764 N 0 39 49 0 0
      -39 h\n.8 g 3867 2764 N 0 39 48 0 0 -39 h\n.8 g 3818 2764 N 0 39 49 0 0
      -39 h\n.8 g 3770 2764 N 0 39 48 0 0 -39 h\n.8 g 3721 2764 N 0 39 49 0 0
      -39 h\n.8 g 3672 2764 N 0 39 49 0 0 -39 h\n.8 g 3624 2764 N 0 39 48 0 0
      -39 h\n.8 g 3575 2764 N 0 39 49 0 0 -39 h\n.8 g 3527 2764 N 0 39 48 0 0
      -39 h\n.8 g 3478 2764 N 0 39 49 0 0 -39 h\n.8 g 3429 2764 N 0 39 49 0 0
      -39 h\n.8 g 3381 2764 N 0 39 48 0 0 -39 h\n.8 g 3332 2764 N 0 39 49 0 0
      -39 h\n.8 g 3284 2764 N 0 39 48 0 0 -39 h\n.8 g 3235 2764 N 0 39 49 0 0
      -39 h\n.8 g 3186 2764 N 0 39 49 0 0 -39 h\n.8 g 3138 2764 N 0 39 48 0 0
      -39 h\n.8 g 3089 2764 N 0 39 49 0 0 -39 h\n.8 g 3040 2764 N 0 39 49 0 0
      -39 h\n.8 g 2992 2764 N 0 39 48 0 0 -39 h\n.8 g 2943 2764 N 0 39 49 0 0
      -39 h\n.8 g 2895 2764 N 0 39 48 0 0 -39 h\n.8 g 2846 2764 N 0 39 49 0 0
      -39 h\n.8 g 2797 2764 N 0 39 49 0 0 -39 h\n.8 g 2749 2764 N 0 39 48 0 0
      -39 h\n.8 g 2700 2764 N 0 39 49 0 0 -39 h\n.8 g 2652 2764 N 0 39 48 0 0
      -39 h\n.8 g 2603 2764 N 0 39 49 0 0 -39 h\n.8 g 2554 2764 N 0 39 49 0 0
      -39 h\n.8 g 2506 2764 N 0 39 48 0 0 -39 h\n.9 g 2457 2764 N 0 39 49 0 0
      -39 h\n1 g 2409 2764 N 0 39 48 0 0 -39 h\n1 g 2360 2764 N 0 39 49 0 0
      -39 h\n1 g 2311 2764 N 0 39 49 0 0 -39 h\n1 g 2263 2764 N 0 39 48 0 0
      -39 h\n1 g 2214 2764 N 0 39 49 0 0 -39 h\n1 g 2165 2764 N 0 39 49 0 0
      -39 h\n1 g 2117 2764 N 0 39 48 0 0 -39 h\n1 g 2068 2764 N 0 39 49 0 0
      -39 h\n1 g 2020 2764 N 0 39 48 0 0 -39 h\n1 g 1971 2764 N 0 39 49 0 0
      -39 h\n1 g 1922 2764 N 0 39 49 0 0 -39 h\n1 g 1874 2764 N 0 39 48 0 0
      -39 h\n1 g 1825 2764 N 0 39 49 0 0 -39 h\n1 g 1777 2764 N 0 39 48 0 0
      -39 h\n1 g 1728 2764 N 0 39 49 0 0 -39 h\n1 g 1679 2764 N 0 39 49 0 0
      -39 h\n1 g 1631 2764 N 0 39 48 0 0 -39 h\n1 g 1582 2764 N 0 39 49 0 0
      -39 h\n1 g 1534 2764 N 0 39 48 0 0 -39 h\n1 g 1485 2764 N 0 39 49 0 0
      -39 h\n1 g 1436 2764 N 0 39 49 0 0 -39 h\n1 g 1388 2764 N 0 39 48 0 0
      -39 h\n1 g 1339 2764 N 0 39 49 0 0 -39 h\n1 g 1290 2764 N 0 39 49 0 0
      -39 h\n1 g 1242 2764 N 0 39 48 0 0 -39 h\n1 g 1193 2764 N 0 39 49 0 0
      -39 h\n1 g 5957 2725 N 0 39 49 0 0 -39 h\n1 g 5909 2725 N 0 39 48 0 0
      -39 h\n1 g 5860 2725 N 0 39 49 0 0 -39 h\n1 g 5811 2725 N 0 39 49 0 0
      -39 h\n1 g 5763 2725 N 0 39 48 0 0 -39 h\n1 g 5714 2725 N 0 39 49 0 0
      -39 h\n1 g 5665 2725 N 0 39 49 0 0 -39 h\n1 g 5617 2725 N 0 39 48 0 0
      -39 h\n1 g 5568 2725 N 0 39 49 0 0 -39 h\n1 g 5520 2725 N 0 39 48 0 0
      -39 h\n1 g 5471 2725 N 0 39 49 0 0 -39 h\n1 g 5422 2725 N 0 39 49 0 0
      -39 h\n1 g 5374 2725 N 0 39 48 0 0 -39 h\n1 g 5325 2725 N 0 39 49 0 0
      -39 h\n1 g 5277 2725 N 0 39 48 0 0 -39 h\n1 g 5228 2725 N 0 39 49 0 0
      -39 h\n1 g 5179 2725 N 0 39 49 0 0 -39 h\n1 g 5131 2725 N 0 39 48 0 0
      -39 h\n1 g 5082 2725 N 0 39 49 0 0 -39 h\n1 g 5034 2725 N 0 39 48 0 0
      -39 h\n1 g 4985 2725 N 0 39 49 0 0 -39 h\n1 g 4936 2725 N 0 39 49 0 0
      -39 h\n1 g 4888 2725 N 0 39 48 0 0 -39 h\n1 g 4839 2725 N 0 39 49 0 0
      -39 h\n1 g 4790 2725 N 0 39 49 0 0 -39 h\n1 g 4742 2725 N 0 39 48 0 0
      -39 h\n.9 g 4693 2725 N 0 39 49 0 0 -39 h\n.8 g 4645 2725 N 0 39 48 0 0
      -39 h\n.8 g 4596 2725 N 0 39 49 0 0 -39 h\n.8 g 4547 2725 N 0 39 49 0 0
      -39 h\n.8 g 4499 2725 N 0 39 48 0 0 -39 h\n.8 g 4450 2725 N 0 39 49 0 0
      -39 h\n.8 g 4402 2725 N 0 39 48 0 0 -39 h\n.8 g 4353 2725 N 0 39 49 0 0
      -39 h\n.8 g 4304 2725 N 0 39 49 0 0 -39 h\n.8 g 4256 2725 N 0 39 48 0 0
      -39 h\n.8 g 4207 2725 N 0 39 49 0 0 -39 h\n.8 g 4159 2725 N 0 39 48 0 0
      -39 h\n.8 g 4110 2725 N 0 39 49 0 0 -39 h\n.8 g 4061 2725 N 0 39 49 0 0
      -39 h\n.8 g 4013 2725 N 0 39 48 0 0 -39 h\n.8 g 3964 2725 N 0 39 49 0 0
      -39 h\n.8 g 3915 2725 N 0 39 49 0 0 -39 h\n.8 g 3867 2725 N 0 39 48 0 0
      -39 h\n.8 g 3818 2725 N 0 39 49 0 0 -39 h\n.8 g 3770 2725 N 0 39 48 0 0
      -39 h\n.8 g 3721 2725 N 0 39 49 0 0 -39 h\n.8 g 3672 2725 N 0 39 49 0 0
      -39 h\n.8 g 3624 2725 N 0 39 48 0 0 -39 h\n.8 g 3575 2725 N 0 39 49 0 0
      -39 h\n.8 g 3527 2725 N 0 39 48 0 0 -39 h\n.8 g 3478 2725 N 0 39 49 0 0
      -39 h\n.8 g 3429 2725 N 0 39 49 0 0 -39 h\n.8 g 3381 2725 N 0 39 48 0 0
      -39 h\n.8 g 3332 2725 N 0 39 49 0 0 -39 h\n.8 g 3284 2725 N 0 39 48 0 0
      -39 h\n.8 g 3235 2725 N 0 39 49 0 0 -39 h\n.8 g 3186 2725 N 0 39 49 0 0
      -39 h\n.8 g 3138 2725 N 0 39 48 0 0 -39 h\n.8 g 3089 2725 N 0 39 49 0 0
      -39 h\n.8 g 3040 2725 N 0 39 49 0 0 -39 h\n.8 g 2992 2725 N 0 39 48 0 0
      -39 h\n.8 g 2943 2725 N 0 39 49 0 0 -39 h\n.8 g 2895 2725 N 0 39 48 0 0
      -39 h\n.8 g 2846 2725 N 0 39 49 0 0 -39 h\n.8 g 2797 2725 N 0 39 49 0 0
      -39 h\n.8 g 2749 2725 N 0 39 48 0 0 -39 h\n.8 g 2700 2725 N 0 39 49 0 0
      -39 h\n.8 g 2652 2725 N 0 39 48 0 0 -39 h\n.8 g 2603 2725 N 0 39 49 0 0
      -39 h\n.8 g 2554 2725 N 0 39 49 0 0 -39 h\n.8 g 2506 2725 N 0 39 48 0 0
      -39 h\n.9 g 2457 2725 N 0 39 49 0 0 -39 h\n1 g 2409 2725 N 0 39 48 0 0
      -39 h\n1 g 2360 2725 N 0 39 49 0 0 -39 h\n1 g 2311 2725 N 0 39 49 0 0
      -39 h\n1 g 2263 2725 N 0 39 48 0 0 -39 h\n1 g 2214 2725 N 0 39 49 0 0
      -39 h\n1 g 2165 2725 N 0 39 49 0 0 -39 h\n1 g 2117 2725 N 0 39 48 0 0
      -39 h\n1 g 2068 2725 N 0 39 49 0 0 -39 h\n1 g 2020 2725 N 0 39 48 0 0
      -39 h\n1 g 1971 2725 N 0 39 49 0 0 -39 h\n1 g 1922 2725 N 0 39 49 0 0
      -39 h\n1 g 1874 2725 N 0 39 48 0 0 -39 h\n1 g 1825 2725 N 0 39 49 0 0
      -39 h\n1 g 1777 2725 N 0 39 48 0 0 -39 h\n1 g 1728 2725 N 0 39 49 0 0
      -39 h\n1 g 1679 2725 N 0 39 49 0 0 -39 h\n1 g 1631 2725 N 0 39 48 0 0
      -39 h\n1 g 1582 2725 N 0 39 49 0 0 -39 h\n1 g 1534 2725 N 0 39 48 0 0
      -39 h\n1 g 1485 2725 N 0 39 49 0 0 -39 h\n1 g 1436 2725 N 0 39 49 0 0
      -39 h\n1 g 1388 2725 N 0 39 48 0 0 -39 h\n1 g 1339 2725 N 0 39 49 0 0
      -39 h\n1 g 1290 2725 N 0 39 49 0 0 -39 h\n1 g 1242 2725 N 0 39 48 0 0
      -39 h\n1 g 1193 2725 N 0 39 49 0 0 -39 h\n1 g 5957 2686 N 0 38 49 0 0
      -38 h\n1 g 5909 2686 N 0 38 48 0 0 -38 h\n1 g 5860 2686 N 0 38 49 0 0
      -38 h\n1 g 5811 2686 N 0 38 49 0 0 -38 h\n1 g 5763 2686 N 0 38 48 0 0
      -38 h\n1 g 5714 2686 N 0 38 49 0 0 -38 h\n1 g 5665 2686 N 0 38 49 0 0
      -38 h\n1 g 5617 2686 N 0 38 48 0 0 -38 h\n1 g 5568 2686 N 0 38 49 0 0
      -38 h\n1 g 5520 2686 N 0 38 48 0 0 -38 h\n1 g 5471 2686 N 0 38 49 0 0
      -38 h\n1 g 5422 2686 N 0 38 49 0 0 -38 h\n1 g 5374 2686 N 0 38 48 0 0
      -38 h\n1 g 5325 2686 N 0 38 49 0 0 -38 h\n1 g 5277 2686 N 0 38 48 0 0
      -38 h\n1 g 5228 2686 N 0 38 49 0 0 -38 h\n1 g 5179 2686 N 0 38 49 0 0
      -38 h\n1 g 5131 2686 N 0 38 48 0 0 -38 h\n1 g 5082 2686 N 0 38 49 0 0
      -38 h\n1 g 5034 2686 N 0 38 48 0 0 -38 h\n1 g 4985 2686 N 0 38 49 0 0
      -38 h\n1 g 4936 2686 N 0 38 49 0 0 -38 h\n1 g 4888 2686 N 0 38 48 0 0
      -38 h\n1 g 4839 2686 N 0 38 49 0 0 -38 h\n1 g 4790 2686 N 0 38 49 0 0
      -38 h\n1 g 4742 2686 N 0 38 48 0 0 -38 h\n.95 g 4693 2686 N 0 38 49 0 0
      -38 h\n.85 g 4645 2686 N 0 38 48 0 0 -38 h\n.8 g 4596 2686 N 0 38 49 0
      0 -38 h\n.8 g 4547 2686 N 0 38 49 0 0 -38 h\n.8 g 4499 2686 N 0 38 48 0
      0 -38 h\n.8 g 4450 2686 N 0 38 49 0 0 -38 h\n.8 g 4402 2686 N 0 38 48 0
      0 -38 h\n.8 g 4353 2686 N 0 38 49 0 0 -38 h\n.8 g 4304 2686 N 0 38 49 0
      0 -38 h\n.8 g 4256 2686 N 0 38 48 0 0 -38 h\n.8 g 4207 2686 N 0 38 49 0
      0 -38 h\n.8 g 4159 2686 N 0 38 48 0 0 -38 h\n.8 g 4110 2686 N 0 38 49 0
      0 -38 h\n.8 g 4061 2686 N 0 38 49 0 0 -38 h\n.8 g 4013 2686 N 0 38 48 0
      0 -38 h\n.8 g 3964 2686 N 0 38 49 0 0 -38 h\n.8 g 3915 2686 N 0 38 49 0
      0 -38 h\n.8 g 3867 2686 N 0 38 48 0 0 -38 h\n.8 g 3818 2686 N 0 38 49 0
      0 -38 h\n.8 g 3770 2686 N 0 38 48 0 0 -38 h\n.8 g 3721 2686 N 0 38 49 0
      0 -38 h\n.8 g 3672 2686 N 0 38 49 0 0 -38 h\n.8 g 3624 2686 N 0 38 48 0
      0 -38 h\n.8 g 3575 2686 N 0 38 49 0 0 -38 h\n.8 g 3527 2686 N 0 38 48 0
      0 -38 h\n.8 g 3478 2686 N 0 38 49 0 0 -38 h\n.8 g 3429 2686 N 0 38 49 0
      0 -38 h\n.8 g 3381 2686 N 0 38 48 0 0 -38 h\n.8 g 3332 2686 N 0 38 49 0
      0 -38 h\n.8 g 3284 2686 N 0 38 48 0 0 -38 h\n.8 g 3235 2686 N 0 38 49 0
      0 -38 h\n.8 g 3186 2686 N 0 38 49 0 0 -38 h\n.8 g 3138 2686 N 0 38 48 0
      0 -38 h\n.8 g 3089 2686 N 0 38 49 0 0 -38 h\n.8 g 3040 2686 N 0 38 49 0
      0 -38 h\n.8 g 2992 2686 N 0 38 48 0 0 -38 h\n.8 g 2943 2686 N 0 38 49 0
      0 -38 h\n.8 g 2895 2686 N 0 38 48 0 0 -38 h\n.8 g 2846 2686 N 0 38 49 0
      0 -38 h\n.8 g 2797 2686 N 0 38 49 0 0 -38 h\n.8 g 2749 2686 N 0 38 48 0
      0 -38 h\n.8 g 2700 2686 N 0 38 49 0 0 -38 h\n.8 g 2652 2686 N 0 38 48 0
      0 -38 h\n.8 g 2603 2686 N 0 38 49 0 0 -38 h\n.8 g 2554 2686 N 0 38 49 0
      0 -38 h\n.85 g 2506 2686 N 0 38 48 0 0 -38 h\n.95 g 2457 2686 N 0 38 49
      0 0 -38 h\n1 g 2409 2686 N 0 38 48 0 0 -38 h\n1 g 2360 2686 N 0 38 49 0
      0 -38 h\n1 g 2311 2686 N 0 38 49 0 0 -38 h\n1 g 2263 2686 N 0 38 48 0 0
      -38 h\n1 g 2214 2686 N 0 38 49 0 0 -38 h\n1 g 2165 2686 N 0 38 49 0 0
      -38 h\n1 g 2117 2686 N 0 38 48 0 0 -38 h\n1 g 2068 2686 N 0 38 49 0 0
      -38 h\n1 g 2020 2686 N 0 38 48 0 0 -38 h\n1 g 1971 2686 N 0 38 49 0 0
      -38 h\n1 g 1922 2686 N 0 38 49 0 0 -38 h\n1 g 1874 2686 N 0 38 48 0 0
      -38 h\n1 g 1825 2686 N 0 38 49 0 0 -38 h\n1 g 1777 2686 N 0 38 48 0 0
      -38 h\n1 g 1728 2686 N 0 38 49 0 0 -38 h\n1 g 1679 2686 N 0 38 49 0 0
      -38 h\n1 g 1631 2686 N 0 38 48 0 0 -38 h\n1 g 1582 2686 N 0 38 49 0 0
      -38 h\n1 g 1534 2686 N 0 38 48 0 0 -38 h\n1 g 1485 2686 N 0 38 49 0 0
      -38 h\n1 g 1436 2686 N 0 38 49 0 0 -38 h\n1 g 1388 2686 N 0 38 48 0 0
      -38 h\n1 g 1339 2686 N 0 38 49 0 0 -38 h\n1 g 1290 2686 N 0 38 49 0 0
      -38 h\n1 g 1242 2686 N 0 38 48 0 0 -38 h\n1 g 1193 2686 N 0 38 49 0 0
      -38 h\n1 g 5957 2648 N 0 39 49 0 0 -39 h\n1 g 5909 2648 N 0 39 48 0 0
      -39 h\n1 g 5860 2648 N 0 39 49 0 0 -39 h\n1 g 5811 2648 N 0 39 49 0 0
      -39 h\n1 g 5763 2648 N 0 39 48 0 0 -39 h\n1 g 5714 2648 N 0 39 49 0 0
      -39 h\n1 g 5665 2648 N 0 39 49 0 0 -39 h\n1 g 5617 2648 N 0 39 48 0 0
      -39 h\n1 g 5568 2648 N 0 39 49 0 0 -39 h\n1 g 5520 2648 N 0 39 48 0 0
      -39 h\n1 g 5471 2648 N 0 39 49 0 0 -39 h\n1 g 5422 2648 N 0 39 49 0 0
      -39 h\n1 g 5374 2648 N 0 39 48 0 0 -39 h\n1 g 5325 2648 N 0 39 49 0 0
      -39 h\n1 g 5277 2648 N 0 39 48 0 0 -39 h\n1 g 5228 2648 N 0 39 49 0 0
      -39 h\n1 g 5179 2648 N 0 39 49 0 0 -39 h\n1 g 5131 2648 N 0 39 48 0 0
      -39 h\n1 g 5082 2648 N 0 39 49 0 0 -39 h\n1 g 5034 2648 N 0 39 48 0 0
      -39 h\n1 g 4985 2648 N 0 39 49 0 0 -39 h\n1 g 4936 2648 N 0 39 49 0 0
      -39 h\n1 g 4888 2648 N 0 39 48 0 0 -39 h\n1 g 4839 2648 N 0 39 49 0 0
      -39 h\n1 g 4790 2648 N 0 39 49 0 0 -39 h\n1 g 4742 2648 N 0 39 48 0 0
      -39 h\n1 g 4693 2648 N 0 39 49 0 0 -39 h\n.9 g 4645 2648 N 0 39 48 0 0
      -39 h\n.8 g 4596 2648 N 0 39 49 0 0 -39 h\n.8 g 4547 2648 N 0 39 49 0 0
      -39 h\n.8 g 4499 2648 N 0 39 48 0 0 -39 h\n.8 g 4450 2648 N 0 39 49 0 0
      -39 h\n.8 g 4402 2648 N 0 39 48 0 0 -39 h\n.8 g 4353 2648 N 0 39 49 0 0
      -39 h\n.8 g 4304 2648 N 0 39 49 0 0 -39 h\n.8 g 4256 2648 N 0 39 48 0 0
      -39 h\n.8 g 4207 2648 N 0 39 49 0 0 -39 h\n.8 g 4159 2648 N 0 39 48 0 0
      -39 h\n.8 g 4110 2648 N 0 39 49 0 0 -39 h\n.8 g 4061 2648 N 0 39 49 0 0
      -39 h\n.8 g 4013 2648 N 0 39 48 0 0 -39 h\n.8 g 3964 2648 N 0 39 49 0 0
      -39 h\n.8 g 3915 2648 N 0 39 49 0 0 -39 h\n.8 g 3867 2648 N 0 39 48 0 0
      -39 h\n.8 g 3818 2648 N 0 39 49 0 0 -39 h\n.8 g 3770 2648 N 0 39 48 0 0
      -39 h\n.8 g 3721 2648 N 0 39 49 0 0 -39 h\n.8 g 3672 2648 N 0 39 49 0 0
      -39 h\n.8 g 3624 2648 N 0 39 48 0 0 -39 h\n.8 g 3575 2648 N 0 39 49 0 0
      -39 h\n.8 g 3527 2648 N 0 39 48 0 0 -39 h\n.8 g 3478 2648 N 0 39 49 0 0
      -39 h\n.8 g 3429 2648 N 0 39 49 0 0 -39 h\n.8 g 3381 2648 N 0 39 48 0 0
      -39 h\n.8 g 3332 2648 N 0 39 49 0 0 -39 h\n.8 g 3284 2648 N 0 39 48 0 0
      -39 h\n.8 g 3235 2648 N 0 39 49 0 0 -39 h\n.8 g 3186 2648 N 0 39 49 0 0
      -39 h\n.8 g 3138 2648 N 0 39 48 0 0 -39 h\n.8 g 3089 2648 N 0 39 49 0 0
      -39 h\n.8 g 3040 2648 N 0 39 49 0 0 -39 h\n.8 g 2992 2648 N 0 39 48 0 0
      -39 h\n.8 g 2943 2648 N 0 39 49 0 0 -39 h\n.8 g 2895 2648 N 0 39 48 0 0
      -39 h\n.8 g 2846 2648 N 0 39 49 0 0 -39 h\n.8 g 2797 2648 N 0 39 49 0 0
      -39 h\n.8 g 2749 2648 N 0 39 48 0 0 -39 h\n.8 g 2700 2648 N 0 39 49 0 0
      -39 h\n.8 g 2652 2648 N 0 39 48 0 0 -39 h\n.8 g 2603 2648 N 0 39 49 0 0
      -39 h\n.8 g 2554 2648 N 0 39 49 0 0 -39 h\n.9 g 2506 2648 N 0 39 48 0 0
      -39 h\n1 g 2457 2648 N 0 39 49 0 0 -39 h\n1 g 2409 2648 N 0 39 48 0 0
      -39 h\n1 g 2360 2648 N 0 39 49 0 0 -39 h\n1 g 2311 2648 N 0 39 49 0 0
      -39 h\n1 g 2263 2648 N 0 39 48 0 0 -39 h\n1 g 2214 2648 N 0 39 49 0 0
      -39 h\n1 g 2165 2648 N 0 39 49 0 0 -39 h\n1 g 2117 2648 N 0 39 48 0 0
      -39 h\n1 g 2068 2648 N 0 39 49 0 0 -39 h\n1 g 2020 2648 N 0 39 48 0 0
      -39 h\n1 g 1971 2648 N 0 39 49 0 0 -39 h\n1 g 1922 2648 N 0 39 49 0 0
      -39 h\n1 g 1874 2648 N 0 39 48 0 0 -39 h\n1 g 1825 2648 N 0 39 49 0 0
      -39 h\n1 g 1777 2648 N 0 39 48 0 0 -39 h\n1 g 1728 2648 N 0 39 49 0 0
      -39 h\n1 g 1679 2648 N 0 39 49 0 0 -39 h\n1 g 1631 2648 N 0 39 48 0 0
      -39 h\n1 g 1582 2648 N 0 39 49 0 0 -39 h\n1 g 1534 2648 N 0 39 48 0 0
      -39 h\n1 g 1485 2648 N 0 39 49 0 0 -39 h\n1 g 1436 2648 N 0 39 49 0 0
      -39 h\n1 g 1388 2648 N 0 39 48 0 0 -39 h\n1 g 1339 2648 N 0 39 49 0 0
      -39 h\n1 g 1290 2648 N 0 39 49 0 0 -39 h\n1 g 1242 2648 N 0 39 48 0 0
      -39 h\n1 g 1193 2648 N 0 39 49 0 0 -39 h\n1 g 5957 2609 N 0 39 49 0 0
      -39 h\n1 g 5909 2609 N 0 39 48 0 0 -39 h\n1 g 5860 2609 N 0 39 49 0 0
      -39 h\n1 g 5811 2609 N 0 39 49 0 0 -39 h\n1 g 5763 2609 N 0 39 48 0 0
      -39 h\n1 g 5714 2609 N 0 39 49 0 0 -39 h\n1 g 5665 2609 N 0 39 49 0 0
      -39 h\n1 g 5617 2609 N 0 39 48 0 0 -39 h\n1 g 5568 2609 N 0 39 49 0 0
      -39 h\n1 g 5520 2609 N 0 39 48 0 0 -39 h\n1 g 5471 2609 N 0 39 49 0 0
      -39 h\n1 g 5422 2609 N 0 39 49 0 0 -39 h\n1 g 5374 2609 N 0 39 48 0 0
      -39 h\n1 g 5325 2609 N 0 39 49 0 0 -39 h\n1 g 5277 2609 N 0 39 48 0 0
      -39 h\n1 g 5228 2609 N 0 39 49 0 0 -39 h\n1 g 5179 2609 N 0 39 49 0 0
      -39 h\n1 g 5131 2609 N 0 39 48 0 0 -39 h\n1 g 5082 2609 N 0 39 49 0 0
      -39 h\n1 g 5034 2609 N 0 39 48 0 0 -39 h\n1 g 4985 2609 N 0 39 49 0 0
      -39 h\n1 g 4936 2609 N 0 39 49 0 0 -39 h\n1 g 4888 2609 N 0 39 48 0 0
      -39 h\n1 g 4839 2609 N 0 39 49 0 0 -39 h\n1 g 4790 2609 N 0 39 49 0 0
      -39 h\n1 g 4742 2609 N 0 39 48 0 0 -39 h\n1 g 4693 2609 N 0 39 49 0 0
      -39 h\n.9 g 4645 2609 N 0 39 48 0 0 -39 h\n.8 g 4596 2609 N 0 39 49 0 0
      -39 h\n.8 g 4547 2609 N 0 39 49 0 0 -39 h\n.8 g 4499 2609 N 0 39 48 0 0
      -39 h\n.8 g 4450 2609 N 0 39 49 0 0 -39 h\n.8 g 4402 2609 N 0 39 48 0 0
      -39 h\n.8 g 4353 2609 N 0 39 49 0 0 -39 h\n.8 g 4304 2609 N 0 39 49 0 0
      -39 h\n.8 g 4256 2609 N 0 39 48 0 0 -39 h\n.8 g 4207 2609 N 0 39 49 0 0
      -39 h\n.8 g 4159 2609 N 0 39 48 0 0 -39 h\n.8 g 4110 2609 N 0 39 49 0 0
      -39 h\n.8 g 4061 2609 N 0 39 49 0 0 -39 h\n.8 g 4013 2609 N 0 39 48 0 0
      -39 h\n.8 g 3964 2609 N 0 39 49 0 0 -39 h\n.8 g 3915 2609 N 0 39 49 0 0
      -39 h\n.8 g 3867 2609 N 0 39 48 0 0 -39 h\n.8 g 3818 2609 N 0 39 49 0 0
      -39 h\n.8 g 3770 2609 N 0 39 48 0 0 -39 h\n.8 g 3721 2609 N 0 39 49 0 0
      -39 h\n.8 g 3672 2609 N 0 39 49 0 0 -39 h\n.8 g 3624 2609 N 0 39 48 0 0
      -39 h\n.8 g 3575 2609 N 0 39 49 0 0 -39 h\n.8 g 3527 2609 N 0 39 48 0 0
      -39 h\n.8 g 3478 2609 N 0 39 49 0 0 -39 h\n.8 g 3429 2609 N 0 39 49 0 0
      -39 h\n.8 g 3381 2609 N 0 39 48 0 0 -39 h\n.8 g 3332 2609 N 0 39 49 0 0
      -39 h\n.8 g 3284 2609 N 0 39 48 0 0 -39 h\n.8 g 3235 2609 N 0 39 49 0 0
      -39 h\n.8 g 3186 2609 N 0 39 49 0 0 -39 h\n.8 g 3138 2609 N 0 39 48 0 0
      -39 h\n.8 g 3089 2609 N 0 39 49 0 0 -39 h\n.8 g 3040 2609 N 0 39 49 0 0
      -39 h\n.8 g 2992 2609 N 0 39 48 0 0 -39 h\n.8 g 2943 2609 N 0 39 49 0 0
      -39 h\n.8 g 2895 2609 N 0 39 48 0 0 -39 h\n.8 g 2846 2609 N 0 39 49 0 0
      -39 h\n.8 g 2797 2609 N 0 39 49 0 0 -39 h\n.8 g 2749 2609 N 0 39 48 0 0
      -39 h\n.8 g 2700 2609 N 0 39 49 0 0 -39 h\n.8 g 2652 2609 N 0 39 48 0 0
      -39 h\n.8 g 2603 2609 N 0 39 49 0 0 -39 h\n.8 g 2554 2609 N 0 39 49 0 0
      -39 h\n.9 g 2506 2609 N 0 39 48 0 0 -39 h\n1 g 2457 2609 N 0 39 49 0 0
      -39 h\n1 g 2409 2609 N 0 39 48 0 0 -39 h\n1 g 2360 2609 N 0 39 49 0 0
      -39 h\n1 g 2311 2609 N 0 39 49 0 0 -39 h\n1 g 2263 2609 N 0 39 48 0 0
      -39 h\n1 g 2214 2609 N 0 39 49 0 0 -39 h\n1 g 2165 2609 N 0 39 49 0 0
      -39 h\n1 g 2117 2609 N 0 39 48 0 0 -39 h\n1 g 2068 2609 N 0 39 49 0 0
      -39 h\n1 g 2020 2609 N 0 39 48 0 0 -39 h\n1 g 1971 2609 N 0 39 49 0 0
      -39 h\n1 g 1922 2609 N 0 39 49 0 0 -39 h\n1 g 1874 2609 N 0 39 48 0 0
      -39 h\n1 g 1825 2609 N 0 39 49 0 0 -39 h\n1 g 1777 2609 N 0 39 48 0 0
      -39 h\n1 g 1728 2609 N 0 39 49 0 0 -39 h\n1 g 1679 2609 N 0 39 49 0 0
      -39 h\n1 g 1631 2609 N 0 39 48 0 0 -39 h\n1 g 1582 2609 N 0 39 49 0 0
      -39 h\n1 g 1534 2609 N 0 39 48 0 0 -39 h\n1 g 1485 2609 N 0 39 49 0 0
      -39 h\n1 g 1436 2609 N 0 39 49 0 0 -39 h\n1 g 1388 2609 N 0 39 48 0 0
      -39 h\n1 g 1339 2609 N 0 39 49 0 0 -39 h\n1 g 1290 2609 N 0 39 49 0 0
      -39 h\n1 g 1242 2609 N 0 39 48 0 0 -39 h\n1 g 1193 2609 N 0 39 49 0 0
      -39 h\n1 g 5957 2570 N 0 39 49 0 0 -39 h\n1 g 5909 2570 N 0 39 48 0 0
      -39 h\n1 g 5860 2570 N 0 39 49 0 0 -39 h\n1 g 5811 2570 N 0 39 49 0 0
      -39 h\n1 g 5763 2570 N 0 39 48 0 0 -39 h\n1 g 5714 2570 N 0 39 49 0 0
      -39 h\n1 g 5665 2570 N 0 39 49 0 0 -39 h\n1 g 5617 2570 N 0 39 48 0 0
      -39 h\n1 g 5568 2570 N 0 39 49 0 0 -39 h\n1 g 5520 2570 N 0 39 48 0 0
      -39 h\n1 g 5471 2570 N 0 39 49 0 0 -39 h\n1 g 5422 2570 N 0 39 49 0 0
      -39 h\n1 g 5374 2570 N 0 39 48 0 0 -39 h\n1 g 5325 2570 N 0 39 49 0 0
      -39 h\n1 g 5277 2570 N 0 39 48 0 0 -39 h\n1 g 5228 2570 N 0 39 49 0 0
      -39 h\n1 g 5179 2570 N 0 39 49 0 0 -39 h\n1 g 5131 2570 N 0 39 48 0 0
      -39 h\n1 g 5082 2570 N 0 39 49 0 0 -39 h\n1 g 5034 2570 N 0 39 48 0 0
      -39 h\n1 g 4985 2570 N 0 39 49 0 0 -39 h\n1 g 4936 2570 N 0 39 49 0 0
      -39 h\n1 g 4888 2570 N 0 39 48 0 0 -39 h\n1 g 4839 2570 N 0 39 49 0 0
      -39 h\n1 g 4790 2570 N 0 39 49 0 0 -39 h\n1 g 4742 2570 N 0 39 48 0 0
      -39 h\n1 g 4693 2570 N 0 39 49 0 0 -39 h\n.9 g 4645 2570 N 0 39 48 0 0
      -39 h\n.8 g 4596 2570 N 0 39 49 0 0 -39 h\n.8 g 4547 2570 N 0 39 49 0 0
      -39 h\n.8 g 4499 2570 N 0 39 48 0 0 -39 h\n.8 g 4450 2570 N 0 39 49 0 0
      -39 h\n.8 g 4402 2570 N 0 39 48 0 0 -39 h\n.8 g 4353 2570 N 0 39 49 0 0
      -39 h\n.8 g 4304 2570 N 0 39 49 0 0 -39 h\n.8 g 4256 2570 N 0 39 48 0 0
      -39 h\n.8 g 4207 2570 N 0 39 49 0 0 -39 h\n.8 g 4159 2570 N 0 39 48 0 0
      -39 h\n.8 g 4110 2570 N 0 39 49 0 0 -39 h\n.8 g 4061 2570 N 0 39 49 0 0
      -39 h\n.8 g 4013 2570 N 0 39 48 0 0 -39 h\n.8 g 3964 2570 N 0 39 49 0 0
      -39 h\n.8 g 3915 2570 N 0 39 49 0 0 -39 h\n.8 g 3867 2570 N 0 39 48 0 0
      -39 h\n.8 g 3818 2570 N 0 39 49 0 0 -39 h\n.8 g 3770 2570 N 0 39 48 0 0
      -39 h\n.8 g 3721 2570 N 0 39 49 0 0 -39 h\n.8 g 3672 2570 N 0 39 49 0 0
      -39 h\n.8 g 3624 2570 N 0 39 48 0 0 -39 h\n.8 g 3575 2570 N 0 39 49 0 0
      -39 h\n.8 g 3527 2570 N 0 39 48 0 0 -39 h\n.8 g 3478 2570 N 0 39 49 0 0
      -39 h\n.8 g 3429 2570 N 0 39 49 0 0 -39 h\n.8 g 3381 2570 N 0 39 48 0 0
      -39 h\n.8 g 3332 2570 N 0 39 49 0 0 -39 h\n.8 g 3284 2570 N 0 39 48 0 0
      -39 h\n.8 g 3235 2570 N 0 39 49 0 0 -39 h\n.8 g 3186 2570 N 0 39 49 0 0
      -39 h\n.8 g 3138 2570 N 0 39 48 0 0 -39 h\n.8 g 3089 2570 N 0 39 49 0 0
      -39 h\n.8 g 3040 2570 N 0 39 49 0 0 -39 h\n.8 g 2992 2570 N 0 39 48 0 0
      -39 h\n.8 g 2943 2570 N 0 39 49 0 0 -39 h\n.8 g 2895 2570 N 0 39 48 0 0
      -39 h\n.8 g 2846 2570 N 0 39 49 0 0 -39 h\n.8 g 2797 2570 N 0 39 49 0 0
      -39 h\n.8 g 2749 2570 N 0 39 48 0 0 -39 h\n.8 g 2700 2570 N 0 39 49 0 0
      -39 h\n.8 g 2652 2570 N 0 39 48 0 0 -39 h\n.8 g 2603 2570 N 0 39 49 0 0
      -39 h\n.8 g 2554 2570 N 0 39 49 0 0 -39 h\n.9 g 2506 2570 N 0 39 48 0 0
      -39 h\n1 g 2457 2570 N 0 39 49 0 0 -39 h\n1 g 2409 2570 N 0 39 48 0 0
      -39 h\n1 g 2360 2570 N 0 39 49 0 0 -39 h\n1 g 2311 2570 N 0 39 49 0 0
      -39 h\n1 g 2263 2570 N 0 39 48 0 0 -39 h\n1 g 2214 2570 N 0 39 49 0 0
      -39 h\n1 g 2165 2570 N 0 39 49 0 0 -39 h\n1 g 2117 2570 N 0 39 48 0 0
      -39 h\n1 g 2068 2570 N 0 39 49 0 0 -39 h\n1 g 2020 2570 N 0 39 48 0 0
      -39 h\n1 g 1971 2570 N 0 39 49 0 0 -39 h\n1 g 1922 2570 N 0 39 49 0 0
      -39 h\n1 g 1874 2570 N 0 39 48 0 0 -39 h\n1 g 1825 2570 N 0 39 49 0 0
      -39 h\n1 g 1777 2570 N 0 39 48 0 0 -39 h\n1 g 1728 2570 N 0 39 49 0 0
      -39 h\n1 g 1679 2570 N 0 39 49 0 0 -39 h\n1 g 1631 2570 N 0 39 48 0 0
      -39 h\n1 g 1582 2570 N 0 39 49 0 0 -39 h\n1 g 1534 2570 N 0 39 48 0 0
      -39 h\n1 g 1485 2570 N 0 39 49 0 0 -39 h\n1 g 1436 2570 N 0 39 49 0 0
      -39 h\n1 g 1388 2570 N 0 39 48 0 0 -39 h\n1 g 1339 2570 N 0 39 49 0 0
      -39 h\n1 g 1290 2570 N 0 39 49 0 0 -39 h\n1 g 1242 2570 N 0 39 48 0 0
      -39 h\n1 g 1193 2570 N 0 39 49 0 0 -39 h\n1 g 5957 2531 N 0 38 49 0 0
      -38 h\n1 g 5909 2531 N 0 38 48 0 0 -38 h\n1 g 5860 2531 N 0 38 49 0 0
      -38 h\n1 g 5811 2531 N 0 38 49 0 0 -38 h\n1 g 5763 2531 N 0 38 48 0 0
      -38 h\n1 g 5714 2531 N 0 38 49 0 0 -38 h\n1 g 5665 2531 N 0 38 49 0 0
      -38 h\n1 g 5617 2531 N 0 38 48 0 0 -38 h\n1 g 5568 2531 N 0 38 49 0 0
      -38 h\n1 g 5520 2531 N 0 38 48 0 0 -38 h\n1 g 5471 2531 N 0 38 49 0 0
      -38 h\n1 g 5422 2531 N 0 38 49 0 0 -38 h\n1 g 5374 2531 N 0 38 48 0 0
      -38 h\n1 g 5325 2531 N 0 38 49 0 0 -38 h\n1 g 5277 2531 N 0 38 48 0 0
      -38 h\n1 g 5228 2531 N 0 38 49 0 0 -38 h\n1 g 5179 2531 N 0 38 49 0 0
      -38 h\n1 g 5131 2531 N 0 38 48 0 0 -38 h\n1 g 5082 2531 N 0 38 49 0 0
      -38 h\n1 g 5034 2531 N 0 38 48 0 0 -38 h\n1 g 4985 2531 N 0 38 49 0 0
      -38 h\n1 g 4936 2531 N 0 38 49 0 0 -38 h\n1 g 4888 2531 N 0 38 48 0 0
      -38 h\n1 g 4839 2531 N 0 38 49 0 0 -38 h\n1 g 4790 2531 N 0 38 49 0 0
      -38 h\n1 g 4742 2531 N 0 38 48 0 0 -38 h\n1 g 4693 2531 N 0 38 49 0 0
      -38 h\n.9 g 4645 2531 N 0 38 48 0 0 -38 h\n.8 g 4596 2531 N 0 38 49 0 0
      -38 h\n.8 g 4547 2531 N 0 38 49 0 0 -38 h\n.8 g 4499 2531 N 0 38 48 0 0
      -38 h\n.8 g 4450 2531 N 0 38 49 0 0 -38 h\n.8 g 4402 2531 N 0 38 48 0 0
      -38 h\n.8 g 4353 2531 N 0 38 49 0 0 -38 h\n.8 g 4304 2531 N 0 38 49 0 0
      -38 h\n.8 g 4256 2531 N 0 38 48 0 0 -38 h\n.8 g 4207 2531 N 0 38 49 0 0
      -38 h\n.8 g 4159 2531 N 0 38 48 0 0 -38 h\n.8 g 4110 2531 N 0 38 49 0 0
      -38 h\n.8 g 4061 2531 N 0 38 49 0 0 -38 h\n.8 g 4013 2531 N 0 38 48 0 0
      -38 h\n.8 g 3964 2531 N 0 38 49 0 0 -38 h\n.8 g 3915 2531 N 0 38 49 0 0
      -38 h\n.8 g 3867 2531 N 0 38 48 0 0 -38 h\n.8 g 3818 2531 N 0 38 49 0 0
      -38 h\n.8 g 3770 2531 N 0 38 48 0 0 -38 h\n.8 g 3721 2531 N 0 38 49 0 0
      -38 h\n.8 g 3672 2531 N 0 38 49 0 0 -38 h\n.8 g 3624 2531 N 0 38 48 0 0
      -38 h\n.8 g 3575 2531 N 0 38 49 0 0 -38 h\n.8 g 3527 2531 N 0 38 48 0 0
      -38 h\n.8 g 3478 2531 N 0 38 49 0 0 -38 h\n.8 g 3429 2531 N 0 38 49 0 0
      -38 h\n.8 g 3381 2531 N 0 38 48 0 0 -38 h\n.8 g 3332 2531 N 0 38 49 0 0
      -38 h\n.8 g 3284 2531 N 0 38 48 0 0 -38 h\n.8 g 3235 2531 N 0 38 49 0 0
      -38 h\n.8 g 3186 2531 N 0 38 49 0 0 -38 h\n.8 g 3138 2531 N 0 38 48 0 0
      -38 h\n.8 g 3089 2531 N 0 38 49 0 0 -38 h\n.8 g 3040 2531 N 0 38 49 0 0
      -38 h\n.8 g 2992 2531 N 0 38 48 0 0 -38 h\n.8 g 2943 2531 N 0 38 49 0 0
      -38 h\n.8 g 2895 2531 N 0 38 48 0 0 -38 h\n.8 g 2846 2531 N 0 38 49 0 0
      -38 h\n.8 g 2797 2531 N 0 38 49 0 0 -38 h\n.8 g 2749 2531 N 0 38 48 0 0
      -38 h\n.8 g 2700 2531 N 0 38 49 0 0 -38 h\n.8 g 2652 2531 N 0 38 48 0 0
      -38 h\n.8 g 2603 2531 N 0 38 49 0 0 -38 h\n.8 g 2554 2531 N 0 38 49 0 0
      -38 h\n.9 g 2506 2531 N 0 38 48 0 0 -38 h\n1 g 2457 2531 N 0 38 49 0 0
      -38 h\n1 g 2409 2531 N 0 38 48 0 0 -38 h\n1 g 2360 2531 N 0 38 49 0 0
      -38 h\n1 g 2311 2531 N 0 38 49 0 0 -38 h\n1 g 2263 2531 N 0 38 48 0 0
      -38 h\n1 g 2214 2531 N 0 38 49 0 0 -38 h\n1 g 2165 2531 N 0 38 49 0 0
      -38 h\n1 g 2117 2531 N 0 38 48 0 0 -38 h\n1 g 2068 2531 N 0 38 49 0 0
      -38 h\n1 g 2020 2531 N 0 38 48 0 0 -38 h\n1 g 1971 2531 N 0 38 49 0 0
      -38 h\n1 g 1922 2531 N 0 38 49 0 0 -38 h\n1 g 1874 2531 N 0 38 48 0 0
      -38 h\n1 g 1825 2531 N 0 38 49 0 0 -38 h\n1 g 1777 2531 N 0 38 48 0 0
      -38 h\n1 g 1728 2531 N 0 38 49 0 0 -38 h\n1 g 1679 2531 N 0 38 49 0 0
      -38 h\n1 g 1631 2531 N 0 38 48 0 0 -38 h\n1 g 1582 2531 N 0 38 49 0 0
      -38 h\n1 g 1534 2531 N 0 38 48 0 0 -38 h\n1 g 1485 2531 N 0 38 49 0 0
      -38 h\n1 g 1436 2531 N 0 38 49 0 0 -38 h\n1 g 1388 2531 N 0 38 48 0 0
      -38 h\n1 g 1339 2531 N 0 38 49 0 0 -38 h\n1 g 1290 2531 N 0 38 49 0 0
      -38 h\n1 g 1242 2531 N 0 38 48 0 0 -38 h\n1 g 1193 2531 N 0 38 49 0 0
      -38 h\n1 g 5957 2493 N 0 39 49 0 0 -39 h\n1 g 5909 2493 N 0 39 48 0 0
      -39 h\n1 g 5860 2493 N 0 39 49 0 0 -39 h\n1 g 5811 2493 N 0 39 49 0 0
      -39 h\n1 g 5763 2493 N 0 39 48 0 0 -39 h\n1 g 5714 2493 N 0 39 49 0 0
      -39 h\n1 g 5665 2493 N 0 39 49 0 0 -39 h\n1 g 5617 2493 N 0 39 48 0 0
      -39 h\n1 g 5568 2493 N 0 39 49 0 0 -39 h\n1 g 5520 2493 N 0 39 48 0 0
      -39 h\n1 g 5471 2493 N 0 39 49 0 0 -39 h\n1 g 5422 2493 N 0 39 49 0 0
      -39 h\n1 g 5374 2493 N 0 39 48 0 0 -39 h\n1 g 5325 2493 N 0 39 49 0 0
      -39 h\n1 g 5277 2493 N 0 39 48 0 0 -39 h\n1 g 5228 2493 N 0 39 49 0 0
      -39 h\n1 g 5179 2493 N 0 39 49 0 0 -39 h\n1 g 5131 2493 N 0 39 48 0 0
      -39 h\n1 g 5082 2493 N 0 39 49 0 0 -39 h\n1 g 5034 2493 N 0 39 48 0 0
      -39 h\n1 g 4985 2493 N 0 39 49 0 0 -39 h\n1 g 4936 2493 N 0 39 49 0 0
      -39 h\n1 g 4888 2493 N 0 39 48 0 0 -39 h\n1 g 4839 2493 N 0 39 49 0 0
      -39 h\n1 g 4790 2493 N 0 39 49 0 0 -39 h\n1 g 4742 2493 N 0 39 48 0 0
      -39 h\n1 g 4693 2493 N 0 39 49 0 0 -39 h\n.95 g 4645 2493 N 0 39 48 0 0
      -39 h\n.85 g 4596 2493 N 0 39 49 0 0 -39 h\n.8 g 4547 2493 N 0 39 49 0
      0 -39 h\n.8 g 4499 2493 N 0 39 48 0 0 -39 h\n.8 g 4450 2493 N 0 39 49 0
      0 -39 h\n.8 g 4402 2493 N 0 39 48 0 0 -39 h\n.8 g 4353 2493 N 0 39 49 0
      0 -39 h\n.8 g 4304 2493 N 0 39 49 0 0 -39 h\n.8 g 4256 2493 N 0 39 48 0
      0 -39 h\n.8 g 4207 2493 N 0 39 49 0 0 -39 h\n.8 g 4159 2493 N 0 39 48 0
      0 -39 h\n.8 g 4110 2493 N 0 39 49 0 0 -39 h\n.8 g 4061 2493 N 0 39 49 0
      0 -39 h\n.8 g 4013 2493 N 0 39 48 0 0 -39 h\n.8 g 3964 2493 N 0 39 49 0
      0 -39 h\n.8 g 3915 2493 N 0 39 49 0 0 -39 h\n.8 g 3867 2493 N 0 39 48 0
      0 -39 h\n.8 g 3818 2493 N 0 39 49 0 0 -39 h\n.8 g 3770 2493 N 0 39 48 0
      0 -39 h\n.8 g 3721 2493 N 0 39 49 0 0 -39 h\n.8 g 3672 2493 N 0 39 49 0
      0 -39 h\n.8 g 3624 2493 N 0 39 48 0 0 -39 h\n.8 g 3575 2493 N 0 39 49 0
      0 -39 h\n.8 g 3527 2493 N 0 39 48 0 0 -39 h\n.8 g 3478 2493 N 0 39 49 0
      0 -39 h\n.8 g 3429 2493 N 0 39 49 0 0 -39 h\n.8 g 3381 2493 N 0 39 48 0
      0 -39 h\n.8 g 3332 2493 N 0 39 49 0 0 -39 h\n.8 g 3284 2493 N 0 39 48 0
      0 -39 h\n.8 g 3235 2493 N 0 39 49 0 0 -39 h\n.8 g 3186 2493 N 0 39 49 0
      0 -39 h\n.8 g 3138 2493 N 0 39 48 0 0 -39 h\n.8 g 3089 2493 N 0 39 49 0
      0 -39 h\n.8 g 3040 2493 N 0 39 49 0 0 -39 h\n.8 g 2992 2493 N 0 39 48 0
      0 -39 h\n.8 g 2943 2493 N 0 39 49 0 0 -39 h\n.8 g 2895 2493 N 0 39 48 0
      0 -39 h\n.8 g 2846 2493 N 0 39 49 0 0 -39 h\n.8 g 2797 2493 N 0 39 49 0
      0 -39 h\n.8 g 2749 2493 N 0 39 48 0 0 -39 h\n.8 g 2700 2493 N 0 39 49 0
      0 -39 h\n.8 g 2652 2493 N 0 39 48 0 0 -39 h\n.8 g 2603 2493 N 0 39 49 0
      0 -39 h\n.85 g 2554 2493 N 0 39 49 0 0 -39 h\n.95 g 2506 2493 N 0 39 48
      0 0 -39 h\n1 g 2457 2493 N 0 39 49 0 0 -39 h\n1 g 2409 2493 N 0 39 48 0
      0 -39 h\n1 g 2360 2493 N 0 39 49 0 0 -39 h\n1 g 2311 2493 N 0 39 49 0 0
      -39 h\n1 g 2263 2493 N 0 39 48 0 0 -39 h\n1 g 2214 2493 N 0 39 49 0 0
      -39 h\n1 g 2165 2493 N 0 39 49 0 0 -39 h\n1 g 2117 2493 N 0 39 48 0 0
      -39 h\n1 g 2068 2493 N 0 39 49 0 0 -39 h\n1 g 2020 2493 N 0 39 48 0 0
      -39 h\n1 g 1971 2493 N 0 39 49 0 0 -39 h\n1 g 1922 2493 N 0 39 49 0 0
      -39 h\n1 g 1874 2493 N 0 39 48 0 0 -39 h\n1 g 1825 2493 N 0 39 49 0 0
      -39 h\n1 g 1777 2493 N 0 39 48 0 0 -39 h\n1 g 1728 2493 N 0 39 49 0 0
      -39 h\n1 g 1679 2493 N 0 39 49 0 0 -39 h\n1 g 1631 2493 N 0 39 48 0 0
      -39 h\n1 g 1582 2493 N 0 39 49 0 0 -39 h\n1 g 1534 2493 N 0 39 48 0 0
      -39 h\n1 g 1485 2493 N 0 39 49 0 0 -39 h\n1 g 1436 2493 N 0 39 49 0 0
      -39 h\n1 g 1388 2493 N 0 39 48 0 0 -39 h\n1 g 1339 2493 N 0 39 49 0 0
      -39 h\n1 g 1290 2493 N 0 39 49 0 0 -39 h\n1 g 1242 2493 N 0 39 48 0 0
      -39 h\n1 g 1193 2493 N 0 39 49 0 0 -39 h\n1 g 5957 2454 N 0 39 49 0 0
      -39 h\n1 g 5909 2454 N 0 39 48 0 0 -39 h\n1 g 5860 2454 N 0 39 49 0 0
      -39 h\n1 g 5811 2454 N 0 39 49 0 0 -39 h\n1 g 5763 2454 N 0 39 48 0 0
      -39 h\n1 g 5714 2454 N 0 39 49 0 0 -39 h\n1 g 5665 2454 N 0 39 49 0 0
      -39 h\n1 g 5617 2454 N 0 39 48 0 0 -39 h\n1 g 5568 2454 N 0 39 49 0 0
      -39 h\n1 g 5520 2454 N 0 39 48 0 0 -39 h\n1 g 5471 2454 N 0 39 49 0 0
      -39 h\n1 g 5422 2454 N 0 39 49 0 0 -39 h\n1 g 5374 2454 N 0 39 48 0 0
      -39 h\n1 g 5325 2454 N 0 39 49 0 0 -39 h\n1 g 5277 2454 N 0 39 48 0 0
      -39 h\n1 g 5228 2454 N 0 39 49 0 0 -39 h\n1 g 5179 2454 N 0 39 49 0 0
      -39 h\n1 g 5131 2454 N 0 39 48 0 0 -39 h\n1 g 5082 2454 N 0 39 49 0 0
      -39 h\n1 g 5034 2454 N 0 39 48 0 0 -39 h\n1 g 4985 2454 N 0 39 49 0 0
      -39 h\n1 g 4936 2454 N 0 39 49 0 0 -39 h\n1 g 4888 2454 N 0 39 48 0 0
      -39 h\n1 g 4839 2454 N 0 39 49 0 0 -39 h\n1 g 4790 2454 N 0 39 49 0 0
      -39 h\n1 g 4742 2454 N 0 39 48 0 0 -39 h\n1 g 4693 2454 N 0 39 49 0 0
      -39 h\n1 g 4645 2454 N 0 39 48 0 0 -39 h\n.9 g 4596 2454 N 0 39 49 0 0
      -39 h\n.8 g 4547 2454 N 0 39 49 0 0 -39 h\n.8 g 4499 2454 N 0 39 48 0 0
      -39 h\n.8 g 4450 2454 N 0 39 49 0 0 -39 h\n.8 g 4402 2454 N 0 39 48 0 0
      -39 h\n.8 g 4353 2454 N 0 39 49 0 0 -39 h\n.8 g 4304 2454 N 0 39 49 0 0
      -39 h\n.8 g 4256 2454 N 0 39 48 0 0 -39 h\n.8 g 4207 2454 N 0 39 49 0 0
      -39 h\n.8 g 4159 2454 N 0 39 48 0 0 -39 h\n.8 g 4110 2454 N 0 39 49 0 0
      -39 h\n.8 g 4061 2454 N 0 39 49 0 0 -39 h\n.8 g 4013 2454 N 0 39 48 0 0
      -39 h\n.8 g 3964 2454 N 0 39 49 0 0 -39 h\n.8 g 3915 2454 N 0 39 49 0 0
      -39 h\n.8 g 3867 2454 N 0 39 48 0 0 -39 h\n.8 g 3818 2454 N 0 39 49 0 0
      -39 h\n.8 g 3770 2454 N 0 39 48 0 0 -39 h\n.8 g 3721 2454 N 0 39 49 0 0
      -39 h\n.8 g 3672 2454 N 0 39 49 0 0 -39 h\n.8 g 3624 2454 N 0 39 48 0 0
      -39 h\n.8 g 3575 2454 N 0 39 49 0 0 -39 h\n.8 g 3527 2454 N 0 39 48 0 0
      -39 h\n.8 g 3478 2454 N 0 39 49 0 0 -39 h\n.8 g 3429 2454 N 0 39 49 0 0
      -39 h\n.8 g 3381 2454 N 0 39 48 0 0 -39 h\n.8 g 3332 2454 N 0 39 49 0 0
      -39 h\n.8 g 3284 2454 N 0 39 48 0 0 -39 h\n.8 g 3235 2454 N 0 39 49 0 0
      -39 h\n.8 g 3186 2454 N 0 39 49 0 0 -39 h\n.8 g 3138 2454 N 0 39 48 0 0
      -39 h\n.8 g 3089 2454 N 0 39 49 0 0 -39 h\n.8 g 3040 2454 N 0 39 49 0 0
      -39 h\n.8 g 2992 2454 N 0 39 48 0 0 -39 h\n.8 g 2943 2454 N 0 39 49 0 0
      -39 h\n.8 g 2895 2454 N 0 39 48 0 0 -39 h\n.8 g 2846 2454 N 0 39 49 0 0
      -39 h\n.8 g 2797 2454 N 0 39 49 0 0 -39 h\n.8 g 2749 2454 N 0 39 48 0 0
      -39 h\n.8 g 2700 2454 N 0 39 49 0 0 -39 h\n.8 g 2652 2454 N 0 39 48 0 0
      -39 h\n.8 g 2603 2454 N 0 39 49 0 0 -39 h\n.9 g 2554 2454 N 0 39 49 0 0
      -39 h\n1 g 2506 2454 N 0 39 48 0 0 -39 h\n1 g 2457 2454 N 0 39 49 0 0
      -39 h\n1 g 2409 2454 N 0 39 48 0 0 -39 h\n1 g 2360 2454 N 0 39 49 0 0
      -39 h\n1 g 2311 2454 N 0 39 49 0 0 -39 h\n1 g 2263 2454 N 0 39 48 0 0
      -39 h\n1 g 2214 2454 N 0 39 49 0 0 -39 h\n1 g 2165 2454 N 0 39 49 0 0
      -39 h\n1 g 2117 2454 N 0 39 48 0 0 -39 h\n1 g 2068 2454 N 0 39 49 0 0
      -39 h\n1 g 2020 2454 N 0 39 48 0 0 -39 h\n1 g 1971 2454 N 0 39 49 0 0
      -39 h\n1 g 1922 2454 N 0 39 49 0 0 -39 h\n1 g 1874 2454 N 0 39 48 0 0
      -39 h\n1 g 1825 2454 N 0 39 49 0 0 -39 h\n1 g 1777 2454 N 0 39 48 0 0
      -39 h\n1 g 1728 2454 N 0 39 49 0 0 -39 h\n1 g 1679 2454 N 0 39 49 0 0
      -39 h\n1 g 1631 2454 N 0 39 48 0 0 -39 h\n1 g 1582 2454 N 0 39 49 0 0
      -39 h\n1 g 1534 2454 N 0 39 48 0 0 -39 h\n1 g 1485 2454 N 0 39 49 0 0
      -39 h\n1 g 1436 2454 N 0 39 49 0 0 -39 h\n1 g 1388 2454 N 0 39 48 0 0
      -39 h\n1 g 1339 2454 N 0 39 49 0 0 -39 h\n1 g 1290 2454 N 0 39 49 0 0
      -39 h\n1 g 1242 2454 N 0 39 48 0 0 -39 h\n1 g 1193 2454 N 0 39 49 0 0
      -39 h\n1 g 5957 2415 N 0 39 49 0 0 -39 h\n1 g 5909 2415 N 0 39 48 0 0
      -39 h\n1 g 5860 2415 N 0 39 49 0 0 -39 h\n1 g 5811 2415 N 0 39 49 0 0
      -39 h\n1 g 5763 2415 N 0 39 48 0 0 -39 h\n1 g 5714 2415 N 0 39 49 0 0
      -39 h\n1 g 5665 2415 N 0 39 49 0 0 -39 h\n1 g 5617 2415 N 0 39 48 0 0
      -39 h\n1 g 5568 2415 N 0 39 49 0 0 -39 h\n1 g 5520 2415 N 0 39 48 0 0
      -39 h\n1 g 5471 2415 N 0 39 49 0 0 -39 h\n1 g 5422 2415 N 0 39 49 0 0
      -39 h\n1 g 5374 2415 N 0 39 48 0 0 -39 h\n1 g 5325 2415 N 0 39 49 0 0
      -39 h\n1 g 5277 2415 N 0 39 48 0 0 -39 h\n1 g 5228 2415 N 0 39 49 0 0
      -39 h\n1 g 5179 2415 N 0 39 49 0 0 -39 h\n1 g 5131 2415 N 0 39 48 0 0
      -39 h\n1 g 5082 2415 N 0 39 49 0 0 -39 h\n1 g 5034 2415 N 0 39 48 0 0
      -39 h\n1 g 4985 2415 N 0 39 49 0 0 -39 h\n1 g 4936 2415 N 0 39 49 0 0
      -39 h\n1 g 4888 2415 N 0 39 48 0 0 -39 h\n1 g 4839 2415 N 0 39 49 0 0
      -39 h\n1 g 4790 2415 N 0 39 49 0 0 -39 h\n1 g 4742 2415 N 0 39 48 0 0
      -39 h\n1 g 4693 2415 N 0 39 49 0 0 -39 h\n1 g 4645 2415 N 0 39 48 0 0
      -39 h\n.9 g 4596 2415 N 0 39 49 0 0 -39 h\n.8 g 4547 2415 N 0 39 49 0 0
      -39 h\n.8 g 4499 2415 N 0 39 48 0 0 -39 h\n.8 g 4450 2415 N 0 39 49 0 0
      -39 h\n.8 g 4402 2415 N 0 39 48 0 0 -39 h\n.8 g 4353 2415 N 0 39 49 0 0
      -39 h\n.8 g 4304 2415 N 0 39 49 0 0 -39 h\n.8 g 4256 2415 N 0 39 48 0 0
      -39 h\n.8 g 4207 2415 N 0 39 49 0 0 -39 h\n.8 g 4159 2415 N 0 39 48 0 0
      -39 h\n.8 g 4110 2415 N 0 39 49 0 0 -39 h\n.8 g 4061 2415 N 0 39 49 0 0
      -39 h\n.8 g 4013 2415 N 0 39 48 0 0 -39 h\n.8 g 3964 2415 N 0 39 49 0 0
      -39 h\n.8 g 3915 2415 N 0 39 49 0 0 -39 h\n.8 g 3867 2415 N 0 39 48 0 0
      -39 h\n.8 g 3818 2415 N 0 39 49 0 0 -39 h\n.8 g 3770 2415 N 0 39 48 0 0
      -39 h\n.8 g 3721 2415 N 0 39 49 0 0 -39 h\n.8 g 3672 2415 N 0 39 49 0 0
      -39 h\n.8 g 3624 2415 N 0 39 48 0 0 -39 h\n.8 g 3575 2415 N 0 39 49 0 0
      -39 h\n.8 g 3527 2415 N 0 39 48 0 0 -39 h\n.8 g 3478 2415 N 0 39 49 0 0
      -39 h\n.8 g 3429 2415 N 0 39 49 0 0 -39 h\n.8 g 3381 2415 N 0 39 48 0 0
      -39 h\n.8 g 3332 2415 N 0 39 49 0 0 -39 h\n.8 g 3284 2415 N 0 39 48 0 0
      -39 h\n.8 g 3235 2415 N 0 39 49 0 0 -39 h\n.8 g 3186 2415 N 0 39 49 0 0
      -39 h\n.8 g 3138 2415 N 0 39 48 0 0 -39 h\n.8 g 3089 2415 N 0 39 49 0 0
      -39 h\n.8 g 3040 2415 N 0 39 49 0 0 -39 h\n.8 g 2992 2415 N 0 39 48 0 0
      -39 h\n.8 g 2943 2415 N 0 39 49 0 0 -39 h\n.8 g 2895 2415 N 0 39 48 0 0
      -39 h\n.8 g 2846 2415 N 0 39 49 0 0 -39 h\n.8 g 2797 2415 N 0 39 49 0 0
      -39 h\n.8 g 2749 2415 N 0 39 48 0 0 -39 h\n.8 g 2700 2415 N 0 39 49 0 0
      -39 h\n.8 g 2652 2415 N 0 39 48 0 0 -39 h\n.8 g 2603 2415 N 0 39 49 0 0
      -39 h\n.9 g 2554 2415 N 0 39 49 0 0 -39 h\n1 g 2506 2415 N 0 39 48 0 0
      -39 h\n1 g 2457 2415 N 0 39 49 0 0 -39 h\n1 g 2409 2415 N 0 39 48 0 0
      -39 h\n1 g 2360 2415 N 0 39 49 0 0 -39 h\n1 g 2311 2415 N 0 39 49 0 0
      -39 h\n1 g 2263 2415 N 0 39 48 0 0 -39 h\n1 g 2214 2415 N 0 39 49 0 0
      -39 h\n1 g 2165 2415 N 0 39 49 0 0 -39 h\n1 g 2117 2415 N 0 39 48 0 0
      -39 h\n1 g 2068 2415 N 0 39 49 0 0 -39 h\n1 g 2020 2415 N 0 39 48 0 0
      -39 h\n1 g 1971 2415 N 0 39 49 0 0 -39 h\n1 g 1922 2415 N 0 39 49 0 0
      -39 h\n1 g 1874 2415 N 0 39 48 0 0 -39 h\n1 g 1825 2415 N 0 39 49 0 0
      -39 h\n1 g 1777 2415 N 0 39 48 0 0 -39 h\n1 g 1728 2415 N 0 39 49 0 0
      -39 h\n1 g 1679 2415 N 0 39 49 0 0 -39 h\n1 g 1631 2415 N 0 39 48 0 0
      -39 h\n1 g 1582 2415 N 0 39 49 0 0 -39 h\n1 g 1534 2415 N 0 39 48 0 0
      -39 h\n1 g 1485 2415 N 0 39 49 0 0 -39 h\n1 g 1436 2415 N 0 39 49 0 0
      -39 h\n1 g 1388 2415 N 0 39 48 0 0 -39 h\n1 g 1339 2415 N 0 39 49 0 0
      -39 h\n1 g 1290 2415 N 0 39 49 0 0 -39 h\n1 g 1242 2415 N 0 39 48 0 0
      -39 h\n1 g 1193 2415 N 0 39 49 0 0 -39 h\n1 g 5957 2376 N 0 38 49 0 0
      -38 h\n1 g 5909 2376 N 0 38 48 0 0 -38 h\n1 g 5860 2376 N 0 38 49 0 0
      -38 h\n1 g 5811 2376 N 0 38 49 0 0 -38 h\n1 g 5763 2376 N 0 38 48 0 0
      -38 h\n1 g 5714 2376 N 0 38 49 0 0 -38 h\n1 g 5665 2376 N 0 38 49 0 0
      -38 h\n1 g 5617 2376 N 0 38 48 0 0 -38 h\n1 g 5568 2376 N 0 38 49 0 0
      -38 h\n1 g 5520 2376 N 0 38 48 0 0 -38 h\n1 g 5471 2376 N 0 38 49 0 0
      -38 h\n1 g 5422 2376 N 0 38 49 0 0 -38 h\n1 g 5374 2376 N 0 38 48 0 0
      -38 h\n1 g 5325 2376 N 0 38 49 0 0 -38 h\n1 g 5277 2376 N 0 38 48 0 0
      -38 h\n1 g 5228 2376 N 0 38 49 0 0 -38 h\n1 g 5179 2376 N 0 38 49 0 0
      -38 h\n1 g 5131 2376 N 0 38 48 0 0 -38 h\n1 g 5082 2376 N 0 38 49 0 0
      -38 h\n1 g 5034 2376 N 0 38 48 0 0 -38 h\n1 g 4985 2376 N 0 38 49 0 0
      -38 h\n1 g 4936 2376 N 0 38 49 0 0 -38 h\n1 g 4888 2376 N 0 38 48 0 0
      -38 h\n1 g 4839 2376 N 0 38 49 0 0 -38 h\n1 g 4790 2376 N 0 38 49 0 0
      -38 h\n1 g 4742 2376 N 0 38 48 0 0 -38 h\n1 g 4693 2376 N 0 38 49 0 0
      -38 h\n1 g 4645 2376 N 0 38 48 0 0 -38 h\n.9 g 4596 2376 N 0 38 49 0 0
      -38 h\n.8 g 4547 2376 N 0 38 49 0 0 -38 h\n.8 g 4499 2376 N 0 38 48 0 0
      -38 h\n.8 g 4450 2376 N 0 38 49 0 0 -38 h\n.8 g 4402 2376 N 0 38 48 0 0
      -38 h\n.8 g 4353 2376 N 0 38 49 0 0 -38 h\n.8 g 4304 2376 N 0 38 49 0 0
      -38 h\n.8 g 4256 2376 N 0 38 48 0 0 -38 h\n.8 g 4207 2376 N 0 38 49 0 0
      -38 h\n.8 g 4159 2376 N 0 38 48 0 0 -38 h\n.8 g 4110 2376 N 0 38 49 0 0
      -38 h\n.8 g 4061 2376 N 0 38 49 0 0 -38 h\n.8 g 4013 2376 N 0 38 48 0 0
      -38 h\n.8 g 3964 2376 N 0 38 49 0 0 -38 h\n.8 g 3915 2376 N 0 38 49 0 0
      -38 h\n.8 g 3867 2376 N 0 38 48 0 0 -38 h\n.8 g 3818 2376 N 0 38 49 0 0
      -38 h\n.8 g 3770 2376 N 0 38 48 0 0 -38 h\n.8 g 3721 2376 N 0 38 49 0 0
      -38 h\n.8 g 3672 2376 N 0 38 49 0 0 -38 h\n.8 g 3624 2376 N 0 38 48 0 0
      -38 h\n.8 g 3575 2376 N 0 38 49 0 0 -38 h\n.8 g 3527 2376 N 0 38 48 0 0
      -38 h\n.8 g 3478 2376 N 0 38 49 0 0 -38 h\n.8 g 3429 2376 N 0 38 49 0 0
      -38 h\n.8 g 3381 2376 N 0 38 48 0 0 -38 h\n.8 g 3332 2376 N 0 38 49 0 0
      -38 h\n.8 g 3284 2376 N 0 38 48 0 0 -38 h\n.8 g 3235 2376 N 0 38 49 0 0
      -38 h\n.8 g 3186 2376 N 0 38 49 0 0 -38 h\n.8 g 3138 2376 N 0 38 48 0 0
      -38 h\n.8 g 3089 2376 N 0 38 49 0 0 -38 h\n.8 g 3040 2376 N 0 38 49 0 0
      -38 h\n.8 g 2992 2376 N 0 38 48 0 0 -38 h\n.8 g 2943 2376 N 0 38 49 0 0
      -38 h\n.8 g 2895 2376 N 0 38 48 0 0 -38 h\n.8 g 2846 2376 N 0 38 49 0 0
      -38 h\n.8 g 2797 2376 N 0 38 49 0 0 -38 h\n.8 g 2749 2376 N 0 38 48 0 0
      -38 h\n.8 g 2700 2376 N 0 38 49 0 0 -38 h\n.8 g 2652 2376 N 0 38 48 0 0
      -38 h\n.8 g 2603 2376 N 0 38 49 0 0 -38 h\n.9 g 2554 2376 N 0 38 49 0 0
      -38 h\n1 g 2506 2376 N 0 38 48 0 0 -38 h\n1 g 2457 2376 N 0 38 49 0 0
      -38 h\n1 g 2409 2376 N 0 38 48 0 0 -38 h\n1 g 2360 2376 N 0 38 49 0 0
      -38 h\n1 g 2311 2376 N 0 38 49 0 0 -38 h\n1 g 2263 2376 N 0 38 48 0 0
      -38 h\n1 g 2214 2376 N 0 38 49 0 0 -38 h\n1 g 2165 2376 N 0 38 49 0 0
      -38 h\n1 g 2117 2376 N 0 38 48 0 0 -38 h\n1 g 2068 2376 N 0 38 49 0 0
      -38 h\n1 g 2020 2376 N 0 38 48 0 0 -38 h\n1 g 1971 2376 N 0 38 49 0 0
      -38 h\n1 g 1922 2376 N 0 38 49 0 0 -38 h\n1 g 1874 2376 N 0 38 48 0 0
      -38 h\n1 g 1825 2376 N 0 38 49 0 0 -38 h\n1 g 1777 2376 N 0 38 48 0 0
      -38 h\n1 g 1728 2376 N 0 38 49 0 0 -38 h\n1 g 1679 2376 N 0 38 49 0 0
      -38 h\n1 g 1631 2376 N 0 38 48 0 0 -38 h\n1 g 1582 2376 N 0 38 49 0 0
      -38 h\n1 g 1534 2376 N 0 38 48 0 0 -38 h\n1 g 1485 2376 N 0 38 49 0 0
      -38 h\n1 g 1436 2376 N 0 38 49 0 0 -38 h\n1 g 1388 2376 N 0 38 48 0 0
      -38 h\n1 g 1339 2376 N 0 38 49 0 0 -38 h\n1 g 1290 2376 N 0 38 49 0 0
      -38 h\n1 g 1242 2376 N 0 38 48 0 0 -38 h\n1 g 1193 2376 N 0 38 49 0 0
      -38 h\n1 g 5957 2338 N 0 39 49 0 0 -39 h\n1 g 5909 2338 N 0 39 48 0 0
      -39 h\n1 g 5860 2338 N 0 39 49 0 0 -39 h\n1 g 5811 2338 N 0 39 49 0 0
      -39 h\n1 g 5763 2338 N 0 39 48 0 0 -39 h\n1 g 5714 2338 N 0 39 49 0 0
      -39 h\n1 g 5665 2338 N 0 39 49 0 0 -39 h\n1 g 5617 2338 N 0 39 48 0 0
      -39 h\n1 g 5568 2338 N 0 39 49 0 0 -39 h\n1 g 5520 2338 N 0 39 48 0 0
      -39 h\n1 g 5471 2338 N 0 39 49 0 0 -39 h\n1 g 5422 2338 N 0 39 49 0 0
      -39 h\n1 g 5374 2338 N 0 39 48 0 0 -39 h\n1 g 5325 2338 N 0 39 49 0 0
      -39 h\n1 g 5277 2338 N 0 39 48 0 0 -39 h\n1 g 5228 2338 N 0 39 49 0 0
      -39 h\n1 g 5179 2338 N 0 39 49 0 0 -39 h\n1 g 5131 2338 N 0 39 48 0 0
      -39 h\n1 g 5082 2338 N 0 39 49 0 0 -39 h\n1 g 5034 2338 N 0 39 48 0 0
      -39 h\n1 g 4985 2338 N 0 39 49 0 0 -39 h\n1 g 4936 2338 N 0 39 49 0 0
      -39 h\n1 g 4888 2338 N 0 39 48 0 0 -39 h\n1 g 4839 2338 N 0 39 49 0 0
      -39 h\n1 g 4790 2338 N 0 39 49 0 0 -39 h\n1 g 4742 2338 N 0 39 48 0 0
      -39 h\n1 g 4693 2338 N 0 39 49 0 0 -39 h\n1 g 4645 2338 N 0 39 48 0 0
      -39 h\n.95 g 4596 2338 N 0 39 49 0 0 -39 h\n.85 g 4547 2338 N 0 39 49 0
      0 -39 h\n.8 g 4499 2338 N 0 39 48 0 0 -39 h\n.8 g 4450 2338 N 0 39 49 0
      0 -39 h\n.8 g 4402 2338 N 0 39 48 0 0 -39 h\n.8 g 4353 2338 N 0 39 49 0
      0 -39 h\n.8 g 4304 2338 N 0 39 49 0 0 -39 h\n.8 g 4256 2338 N 0 39 48 0
      0 -39 h\n.8 g 4207 2338 N 0 39 49 0 0 -39 h\n.8 g 4159 2338 N 0 39 48 0
      0 -39 h\n.8 g 4110 2338 N 0 39 49 0 0 -39 h\n.8 g 4061 2338 N 0 39 49 0
      0 -39 h\n.8 g 4013 2338 N 0 39 48 0 0 -39 h\n.8 g 3964 2338 N 0 39 49 0
      0 -39 h\n.8 g 3915 2338 N 0 39 49 0 0 -39 h\n.8 g 3867 2338 N 0 39 48 0
      0 -39 h\n.8 g 3818 2338 N 0 39 49 0 0 -39 h\n.8 g 3770 2338 N 0 39 48 0
      0 -39 h\n.8 g 3721 2338 N 0 39 49 0 0 -39 h\n.8 g 3672 2338 N 0 39 49 0
      0 -39 h\n.8 g 3624 2338 N 0 39 48 0 0 -39 h\n.8 g 3575 2338 N 0 39 49 0
      0 -39 h\n.8 g 3527 2338 N 0 39 48 0 0 -39 h\n.8 g 3478 2338 N 0 39 49 0
      0 -39 h\n.8 g 3429 2338 N 0 39 49 0 0 -39 h\n.8 g 3381 2338 N 0 39 48 0
      0 -39 h\n.8 g 3332 2338 N 0 39 49 0 0 -39 h\n.8 g 3284 2338 N 0 39 48 0
      0 -39 h\n.8 g 3235 2338 N 0 39 49 0 0 -39 h\n.8 g 3186 2338 N 0 39 49 0
      0 -39 h\n.8 g 3138 2338 N 0 39 48 0 0 -39 h\n.8 g 3089 2338 N 0 39 49 0
      0 -39 h\n.8 g 3040 2338 N 0 39 49 0 0 -39 h\n.8 g 2992 2338 N 0 39 48 0
      0 -39 h\n.8 g 2943 2338 N 0 39 49 0 0 -39 h\n.8 g 2895 2338 N 0 39 48 0
      0 -39 h\n.8 g 2846 2338 N 0 39 49 0 0 -39 h\n.8 g 2797 2338 N 0 39 49 0
      0 -39 h\n.8 g 2749 2338 N 0 39 48 0 0 -39 h\n.8 g 2700 2338 N 0 39 49 0
      0 -39 h\n.8 g 2652 2338 N 0 39 48 0 0 -39 h\n.85 g 2603 2338 N 0 39 49
      0 0 -39 h\n.95 g 2554 2338 N 0 39 49 0 0 -39 h\n1 g 2506 2338 N 0 39 48
      0 0 -39 h\n1 g 2457 2338 N 0 39 49 0 0 -39 h\n1 g 2409 2338 N 0 39 48 0
      0 -39 h\n1 g 2360 2338 N 0 39 49 0 0 -39 h\n1 g 2311 2338 N 0 39 49 0 0
      -39 h\n1 g 2263 2338 N 0 39 48 0 0 -39 h\n1 g 2214 2338 N 0 39 49 0 0
      -39 h\n1 g 2165 2338 N 0 39 49 0 0 -39 h\n1 g 2117 2338 N 0 39 48 0 0
      -39 h\n1 g 2068 2338 N 0 39 49 0 0 -39 h\n1 g 2020 2338 N 0 39 48 0 0
      -39 h\n1 g 1971 2338 N 0 39 49 0 0 -39 h\n1 g 1922 2338 N 0 39 49 0 0
      -39 h\n1 g 1874 2338 N 0 39 48 0 0 -39 h\n1 g 1825 2338 N 0 39 49 0 0
      -39 h\n1 g 1777 2338 N 0 39 48 0 0 -39 h\n1 g 1728 2338 N 0 39 49 0 0
      -39 h\n1 g 1679 2338 N 0 39 49 0 0 -39 h\n1 g 1631 2338 N 0 39 48 0 0
      -39 h\n1 g 1582 2338 N 0 39 49 0 0 -39 h\n1 g 1534 2338 N 0 39 48 0 0
      -39 h\n1 g 1485 2338 N 0 39 49 0 0 -39 h\n1 g 1436 2338 N 0 39 49 0 0
      -39 h\n1 g 1388 2338 N 0 39 48 0 0 -39 h\n1 g 1339 2338 N 0 39 49 0 0
      -39 h\n1 g 1290 2338 N 0 39 49 0 0 -39 h\n1 g 1242 2338 N 0 39 48 0 0
      -39 h\n1 g 1193 2338 N 0 39 49 0 0 -39 h\n1 g 5957 2299 N 0 39 49 0 0
      -39 h\n1 g 5909 2299 N 0 39 48 0 0 -39 h\n1 g 5860 2299 N 0 39 49 0 0
      -39 h\n1 g 5811 2299 N 0 39 49 0 0 -39 h\n1 g 5763 2299 N 0 39 48 0 0
      -39 h\n1 g 5714 2299 N 0 39 49 0 0 -39 h\n1 g 5665 2299 N 0 39 49 0 0
      -39 h\n1 g 5617 2299 N 0 39 48 0 0 -39 h\n1 g 5568 2299 N 0 39 49 0 0
      -39 h\n1 g 5520 2299 N 0 39 48 0 0 -39 h\n1 g 5471 2299 N 0 39 49 0 0
      -39 h\n1 g 5422 2299 N 0 39 49 0 0 -39 h\n1 g 5374 2299 N 0 39 48 0 0
      -39 h\n1 g 5325 2299 N 0 39 49 0 0 -39 h\n1 g 5277 2299 N 0 39 48 0 0
      -39 h\n1 g 5228 2299 N 0 39 49 0 0 -39 h\n1 g 5179 2299 N 0 39 49 0 0
      -39 h\n1 g 5131 2299 N 0 39 48 0 0 -39 h\n1 g 5082 2299 N 0 39 49 0 0
      -39 h\n1 g 5034 2299 N 0 39 48 0 0 -39 h\n1 g 4985 2299 N 0 39 49 0 0
      -39 h\n1 g 4936 2299 N 0 39 49 0 0 -39 h\n1 g 4888 2299 N 0 39 48 0 0
      -39 h\n1 g 4839 2299 N 0 39 49 0 0 -39 h\n1 g 4790 2299 N 0 39 49 0 0
      -39 h\n1 g 4742 2299 N 0 39 48 0 0 -39 h\n1 g 4693 2299 N 0 39 49 0 0
      -39 h\n1 g 4645 2299 N 0 39 48 0 0 -39 h\n1 g 4596 2299 N 0 39 49 0 0
      -39 h\n.9 g 4547 2299 N 0 39 49 0 0 -39 h\n.8 g 4499 2299 N 0 39 48 0 0
      -39 h\n.8 g 4450 2299 N 0 39 49 0 0 -39 h\n.8 g 4402 2299 N 0 39 48 0 0
      -39 h\n.8 g 4353 2299 N 0 39 49 0 0 -39 h\n.8 g 4304 2299 N 0 39 49 0 0
      -39 h\n.8 g 4256 2299 N 0 39 48 0 0 -39 h\n.8 g 4207 2299 N 0 39 49 0 0
      -39 h\n.8 g 4159 2299 N 0 39 48 0 0 -39 h\n.8 g 4110 2299 N 0 39 49 0 0
      -39 h\n.8 g 4061 2299 N 0 39 49 0 0 -39 h\n.8 g 4013 2299 N 0 39 48 0 0
      -39 h\n.8 g 3964 2299 N 0 39 49 0 0 -39 h\n.8 g 3915 2299 N 0 39 49 0 0
      -39 h\n.8 g 3867 2299 N 0 39 48 0 0 -39 h\n.8 g 3818 2299 N 0 39 49 0 0
      -39 h\n.8 g 3770 2299 N 0 39 48 0 0 -39 h\n.8 g 3721 2299 N 0 39 49 0 0
      -39 h\n.8 g 3672 2299 N 0 39 49 0 0 -39 h\n.8 g 3624 2299 N 0 39 48 0 0
      -39 h\n.8 g 3575 2299 N 0 39 49 0 0 -39 h\n.8 g 3527 2299 N 0 39 48 0 0
      -39 h\n.8 g 3478 2299 N 0 39 49 0 0 -39 h\n.8 g 3429 2299 N 0 39 49 0 0
      -39 h\n.8 g 3381 2299 N 0 39 48 0 0 -39 h\n.8 g 3332 2299 N 0 39 49 0 0
      -39 h\n.8 g 3284 2299 N 0 39 48 0 0 -39 h\n.8 g 3235 2299 N 0 39 49 0 0
      -39 h\n.8 g 3186 2299 N 0 39 49 0 0 -39 h\n.8 g 3138 2299 N 0 39 48 0 0
      -39 h\n.8 g 3089 2299 N 0 39 49 0 0 -39 h\n.8 g 3040 2299 N 0 39 49 0 0
      -39 h\n.8 g 2992 2299 N 0 39 48 0 0 -39 h\n.8 g 2943 2299 N 0 39 49 0 0
      -39 h\n.8 g 2895 2299 N 0 39 48 0 0 -39 h\n.8 g 2846 2299 N 0 39 49 0 0
      -39 h\n.8 g 2797 2299 N 0 39 49 0 0 -39 h\n.8 g 2749 2299 N 0 39 48 0 0
      -39 h\n.8 g 2700 2299 N 0 39 49 0 0 -39 h\n.8 g 2652 2299 N 0 39 48 0 0
      -39 h\n.9 g 2603 2299 N 0 39 49 0 0 -39 h\n1 g 2554 2299 N 0 39 49 0 0
      -39 h\n1 g 2506 2299 N 0 39 48 0 0 -39 h\n1 g 2457 2299 N 0 39 49 0 0
      -39 h\n1 g 2409 2299 N 0 39 48 0 0 -39 h\n1 g 2360 2299 N 0 39 49 0 0
      -39 h\n1 g 2311 2299 N 0 39 49 0 0 -39 h\n1 g 2263 2299 N 0 39 48 0 0
      -39 h\n1 g 2214 2299 N 0 39 49 0 0 -39 h\n1 g 2165 2299 N 0 39 49 0 0
      -39 h\n1 g 2117 2299 N 0 39 48 0 0 -39 h\n1 g 2068 2299 N 0 39 49 0 0
      -39 h\n1 g 2020 2299 N 0 39 48 0 0 -39 h\n1 g 1971 2299 N 0 39 49 0 0
      -39 h\n1 g 1922 2299 N 0 39 49 0 0 -39 h\n1 g 1874 2299 N 0 39 48 0 0
      -39 h\n1 g 1825 2299 N 0 39 49 0 0 -39 h\n1 g 1777 2299 N 0 39 48 0 0
      -39 h\n1 g 1728 2299 N 0 39 49 0 0 -39 h\n1 g 1679 2299 N 0 39 49 0 0
      -39 h\n1 g 1631 2299 N 0 39 48 0 0 -39 h\n1 g 1582 2299 N 0 39 49 0 0
      -39 h\n1 g 1534 2299 N 0 39 48 0 0 -39 h\n1 g 1485 2299 N 0 39 49 0 0
      -39 h\n1 g 1436 2299 N 0 39 49 0 0 -39 h\n1 g 1388 2299 N 0 39 48 0 0
      -39 h\n1 g 1339 2299 N 0 39 49 0 0 -39 h\n1 g 1290 2299 N 0 39 49 0 0
      -39 h\n1 g 1242 2299 N 0 39 48 0 0 -39 h\n1 g 1193 2299 N 0 39 49 0 0
      -39 h\n1 g 5957 2260 N 0 39 49 0 0 -39 h\n1 g 5909 2260 N 0 39 48 0 0
      -39 h\n1 g 5860 2260 N 0 39 49 0 0 -39 h\n1 g 5811 2260 N 0 39 49 0 0
      -39 h\n1 g 5763 2260 N 0 39 48 0 0 -39 h\n1 g 5714 2260 N 0 39 49 0 0
      -39 h\n1 g 5665 2260 N 0 39 49 0 0 -39 h\n1 g 5617 2260 N 0 39 48 0 0
      -39 h\n1 g 5568 2260 N 0 39 49 0 0 -39 h\n1 g 5520 2260 N 0 39 48 0 0
      -39 h\n1 g 5471 2260 N 0 39 49 0 0 -39 h\n1 g 5422 2260 N 0 39 49 0 0
      -39 h\n1 g 5374 2260 N 0 39 48 0 0 -39 h\n1 g 5325 2260 N 0 39 49 0 0
      -39 h\n1 g 5277 2260 N 0 39 48 0 0 -39 h\n1 g 5228 2260 N 0 39 49 0 0
      -39 h\n1 g 5179 2260 N 0 39 49 0 0 -39 h\n1 g 5131 2260 N 0 39 48 0 0
      -39 h\n1 g 5082 2260 N 0 39 49 0 0 -39 h\n1 g 5034 2260 N 0 39 48 0 0
      -39 h\n1 g 4985 2260 N 0 39 49 0 0 -39 h\n1 g 4936 2260 N 0 39 49 0 0
      -39 h\n1 g 4888 2260 N 0 39 48 0 0 -39 h\n1 g 4839 2260 N 0 39 49 0 0
      -39 h\n1 g 4790 2260 N 0 39 49 0 0 -39 h\n1 g 4742 2260 N 0 39 48 0 0
      -39 h\n1 g 4693 2260 N 0 39 49 0 0 -39 h\n1 g 4645 2260 N 0 39 48 0 0
      -39 h\n1 g 4596 2260 N 0 39 49 0 0 -39 h\n.9 g 4547 2260 N 0 39 49 0 0
      -39 h\n.8 g 4499 2260 N 0 39 48 0 0 -39 h\n.8 g 4450 2260 N 0 39 49 0 0
      -39 h\n.8 g 4402 2260 N 0 39 48 0 0 -39 h\n.8 g 4353 2260 N 0 39 49 0 0
      -39 h\n.8 g 4304 2260 N 0 39 49 0 0 -39 h\n.8 g 4256 2260 N 0 39 48 0 0
      -39 h\n.8 g 4207 2260 N 0 39 49 0 0 -39 h\n.8 g 4159 2260 N 0 39 48 0 0
      -39 h\n.8 g 4110 2260 N 0 39 49 0 0 -39 h\n.8 g 4061 2260 N 0 39 49 0 0
      -39 h\n.8 g 4013 2260 N 0 39 48 0 0 -39 h\n.8 g 3964 2260 N 0 39 49 0 0
      -39 h\n.8 g 3915 2260 N 0 39 49 0 0 -39 h\n.8 g 3867 2260 N 0 39 48 0 0
      -39 h\n.8 g 3818 2260 N 0 39 49 0 0 -39 h\n.8 g 3770 2260 N 0 39 48 0 0
      -39 h\n.8 g 3721 2260 N 0 39 49 0 0 -39 h\n.8 g 3672 2260 N 0 39 49 0 0
      -39 h\n.8 g 3624 2260 N 0 39 48 0 0 -39 h\n.8 g 3575 2260 N 0 39 49 0 0
      -39 h\n.8 g 3527 2260 N 0 39 48 0 0 -39 h\n.8 g 3478 2260 N 0 39 49 0 0
      -39 h\n.8 g 3429 2260 N 0 39 49 0 0 -39 h\n.8 g 3381 2260 N 0 39 48 0 0
      -39 h\n.8 g 3332 2260 N 0 39 49 0 0 -39 h\n.8 g 3284 2260 N 0 39 48 0 0
      -39 h\n.8 g 3235 2260 N 0 39 49 0 0 -39 h\n.8 g 3186 2260 N 0 39 49 0 0
      -39 h\n.8 g 3138 2260 N 0 39 48 0 0 -39 h\n.8 g 3089 2260 N 0 39 49 0 0
      -39 h\n.8 g 3040 2260 N 0 39 49 0 0 -39 h\n.8 g 2992 2260 N 0 39 48 0 0
      -39 h\n.8 g 2943 2260 N 0 39 49 0 0 -39 h\n.8 g 2895 2260 N 0 39 48 0 0
      -39 h\n.8 g 2846 2260 N 0 39 49 0 0 -39 h\n.8 g 2797 2260 N 0 39 49 0 0
      -39 h\n.8 g 2749 2260 N 0 39 48 0 0 -39 h\n.8 g 2700 2260 N 0 39 49 0 0
      -39 h\n.8 g 2652 2260 N 0 39 48 0 0 -39 h\n.9 g 2603 2260 N 0 39 49 0 0
      -39 h\n1 g 2554 2260 N 0 39 49 0 0 -39 h\n1 g 2506 2260 N 0 39 48 0 0
      -39 h\n1 g 2457 2260 N 0 39 49 0 0 -39 h\n1 g 2409 2260 N 0 39 48 0 0
      -39 h\n1 g 2360 2260 N 0 39 49 0 0 -39 h\n1 g 2311 2260 N 0 39 49 0 0
      -39 h\n1 g 2263 2260 N 0 39 48 0 0 -39 h\n1 g 2214 2260 N 0 39 49 0 0
      -39 h\n1 g 2165 2260 N 0 39 49 0 0 -39 h\n1 g 2117 2260 N 0 39 48 0 0
      -39 h\n1 g 2068 2260 N 0 39 49 0 0 -39 h\n1 g 2020 2260 N 0 39 48 0 0
      -39 h\n1 g 1971 2260 N 0 39 49 0 0 -39 h\n1 g 1922 2260 N 0 39 49 0 0
      -39 h\n1 g 1874 2260 N 0 39 48 0 0 -39 h\n1 g 1825 2260 N 0 39 49 0 0
      -39 h\n1 g 1777 2260 N 0 39 48 0 0 -39 h\n1 g 1728 2260 N 0 39 49 0 0
      -39 h\n1 g 1679 2260 N 0 39 49 0 0 -39 h\n1 g 1631 2260 N 0 39 48 0 0
      -39 h\n1 g 1582 2260 N 0 39 49 0 0 -39 h\n1 g 1534 2260 N 0 39 48 0 0
      -39 h\n1 g 1485 2260 N 0 39 49 0 0 -39 h\n1 g 1436 2260 N 0 39 49 0 0
      -39 h\n1 g 1388 2260 N 0 39 48 0 0 -39 h\n1 g 1339 2260 N 0 39 49 0 0
      -39 h\n1 g 1290 2260 N 0 39 49 0 0 -39 h\n1 g 1242 2260 N 0 39 48 0 0
      -39 h\n1 g 1193 2260 N 0 39 49 0 0 -39 h\n1 g 5957 2221 N 0 38 49 0 0
      -38 h\n1 g 5909 2221 N 0 38 48 0 0 -38 h\n1 g 5860 2221 N 0 38 49 0 0
      -38 h\n1 g 5811 2221 N 0 38 49 0 0 -38 h\n1 g 5763 2221 N 0 38 48 0 0
      -38 h\n1 g 5714 2221 N 0 38 49 0 0 -38 h\n1 g 5665 2221 N 0 38 49 0 0
      -38 h\n1 g 5617 2221 N 0 38 48 0 0 -38 h\n1 g 5568 2221 N 0 38 49 0 0
      -38 h\n1 g 5520 2221 N 0 38 48 0 0 -38 h\n1 g 5471 2221 N 0 38 49 0 0
      -38 h\n1 g 5422 2221 N 0 38 49 0 0 -38 h\n1 g 5374 2221 N 0 38 48 0 0
      -38 h\n1 g 5325 2221 N 0 38 49 0 0 -38 h\n1 g 5277 2221 N 0 38 48 0 0
      -38 h\n1 g 5228 2221 N 0 38 49 0 0 -38 h\n1 g 5179 2221 N 0 38 49 0 0
      -38 h\n1 g 5131 2221 N 0 38 48 0 0 -38 h\n1 g 5082 2221 N 0 38 49 0 0
      -38 h\n1 g 5034 2221 N 0 38 48 0 0 -38 h\n1 g 4985 2221 N 0 38 49 0 0
      -38 h\n1 g 4936 2221 N 0 38 49 0 0 -38 h\n1 g 4888 2221 N 0 38 48 0 0
      -38 h\n1 g 4839 2221 N 0 38 49 0 0 -38 h\n1 g 4790 2221 N 0 38 49 0 0
      -38 h\n1 g 4742 2221 N 0 38 48 0 0 -38 h\n1 g 4693 2221 N 0 38 49 0 0
      -38 h\n1 g 4645 2221 N 0 38 48 0 0 -38 h\n1 g 4596 2221 N 0 38 49 0 0
      -38 h\n.9 g 4547 2221 N 0 38 49 0 0 -38 h\n.8 g 4499 2221 N 0 38 48 0 0
      -38 h\n.8 g 4450 2221 N 0 38 49 0 0 -38 h\n.8 g 4402 2221 N 0 38 48 0 0
      -38 h\n.8 g 4353 2221 N 0 38 49 0 0 -38 h\n.8 g 4304 2221 N 0 38 49 0 0
      -38 h\n.8 g 4256 2221 N 0 38 48 0 0 -38 h\n.8 g 4207 2221 N 0 38 49 0 0
      -38 h\n.8 g 4159 2221 N 0 38 48 0 0 -38 h\n.8 g 4110 2221 N 0 38 49 0 0
      -38 h\n.8 g 4061 2221 N 0 38 49 0 0 -38 h\n.8 g 4013 2221 N 0 38 48 0 0
      -38 h\n.8 g 3964 2221 N 0 38 49 0 0 -38 h\n.8 g 3915 2221 N 0 38 49 0 0
      -38 h\n.8 g 3867 2221 N 0 38 48 0 0 -38 h\n.8 g 3818 2221 N 0 38 49 0 0
      -38 h\n.8 g 3770 2221 N 0 38 48 0 0 -38 h\n.8 g 3721 2221 N 0 38 49 0 0
      -38 h\n.8 g 3672 2221 N 0 38 49 0 0 -38 h\n.8 g 3624 2221 N 0 38 48 0 0
      -38 h\n.8 g 3575 2221 N 0 38 49 0 0 -38 h\n.8 g 3527 2221 N 0 38 48 0 0
      -38 h\n.8 g 3478 2221 N 0 38 49 0 0 -38 h\n.8 g 3429 2221 N 0 38 49 0 0
      -38 h\n.8 g 3381 2221 N 0 38 48 0 0 -38 h\n.8 g 3332 2221 N 0 38 49 0 0
      -38 h\n.8 g 3284 2221 N 0 38 48 0 0 -38 h\n.8 g 3235 2221 N 0 38 49 0 0
      -38 h\n.8 g 3186 2221 N 0 38 49 0 0 -38 h\n.8 g 3138 2221 N 0 38 48 0 0
      -38 h\n.8 g 3089 2221 N 0 38 49 0 0 -38 h\n.8 g 3040 2221 N 0 38 49 0 0
      -38 h\n.8 g 2992 2221 N 0 38 48 0 0 -38 h\n.8 g 2943 2221 N 0 38 49 0 0
      -38 h\n.8 g 2895 2221 N 0 38 48 0 0 -38 h\n.8 g 2846 2221 N 0 38 49 0 0
      -38 h\n.8 g 2797 2221 N 0 38 49 0 0 -38 h\n.8 g 2749 2221 N 0 38 48 0 0
      -38 h\n.8 g 2700 2221 N 0 38 49 0 0 -38 h\n.8 g 2652 2221 N 0 38 48 0 0
      -38 h\n.9 g 2603 2221 N 0 38 49 0 0 -38 h\n1 g 2554 2221 N 0 38 49 0 0
      -38 h\n1 g 2506 2221 N 0 38 48 0 0 -38 h\n1 g 2457 2221 N 0 38 49 0 0
      -38 h\n1 g 2409 2221 N 0 38 48 0 0 -38 h\n1 g 2360 2221 N 0 38 49 0 0
      -38 h\n1 g 2311 2221 N 0 38 49 0 0 -38 h\n1 g 2263 2221 N 0 38 48 0 0
      -38 h\n1 g 2214 2221 N 0 38 49 0 0 -38 h\n1 g 2165 2221 N 0 38 49 0 0
      -38 h\n1 g 2117 2221 N 0 38 48 0 0 -38 h\n1 g 2068 2221 N 0 38 49 0 0
      -38 h\n1 g 2020 2221 N 0 38 48 0 0 -38 h\n1 g 1971 2221 N 0 38 49 0 0
      -38 h\n1 g 1922 2221 N 0 38 49 0 0 -38 h\n1 g 1874 2221 N 0 38 48 0 0
      -38 h\n1 g 1825 2221 N 0 38 49 0 0 -38 h\n1 g 1777 2221 N 0 38 48 0 0
      -38 h\n1 g 1728 2221 N 0 38 49 0 0 -38 h\n1 g 1679 2221 N 0 38 49 0 0
      -38 h\n1 g 1631 2221 N 0 38 48 0 0 -38 h\n1 g 1582 2221 N 0 38 49 0 0
      -38 h\n1 g 1534 2221 N 0 38 48 0 0 -38 h\n1 g 1485 2221 N 0 38 49 0 0
      -38 h\n1 g 1436 2221 N 0 38 49 0 0 -38 h\n1 g 1388 2221 N 0 38 48 0 0
      -38 h\n1 g 1339 2221 N 0 38 49 0 0 -38 h\n1 g 1290 2221 N 0 38 49 0 0
      -38 h\n1 g 1242 2221 N 0 38 48 0 0 -38 h\n1 g 1193 2221 N 0 38 49 0 0
      -38 h\n1 g 5957 2183 N 0 39 49 0 0 -39 h\n1 g 5909 2183 N 0 39 48 0 0
      -39 h\n1 g 5860 2183 N 0 39 49 0 0 -39 h\n1 g 5811 2183 N 0 39 49 0 0
      -39 h\n1 g 5763 2183 N 0 39 48 0 0 -39 h\n1 g 5714 2183 N 0 39 49 0 0
      -39 h\n1 g 5665 2183 N 0 39 49 0 0 -39 h\n1 g 5617 2183 N 0 39 48 0 0
      -39 h\n1 g 5568 2183 N 0 39 49 0 0 -39 h\n1 g 5520 2183 N 0 39 48 0 0
      -39 h\n1 g 5471 2183 N 0 39 49 0 0 -39 h\n1 g 5422 2183 N 0 39 49 0 0
      -39 h\n1 g 5374 2183 N 0 39 48 0 0 -39 h\n1 g 5325 2183 N 0 39 49 0 0
      -39 h\n1 g 5277 2183 N 0 39 48 0 0 -39 h\n1 g 5228 2183 N 0 39 49 0 0
      -39 h\n1 g 5179 2183 N 0 39 49 0 0 -39 h\n1 g 5131 2183 N 0 39 48 0 0
      -39 h\n1 g 5082 2183 N 0 39 49 0 0 -39 h\n1 g 5034 2183 N 0 39 48 0 0
      -39 h\n1 g 4985 2183 N 0 39 49 0 0 -39 h\n1 g 4936 2183 N 0 39 49 0 0
      -39 h\n1 g 4888 2183 N 0 39 48 0 0 -39 h\n1 g 4839 2183 N 0 39 49 0 0
      -39 h\n1 g 4790 2183 N 0 39 49 0 0 -39 h\n1 g 4742 2183 N 0 39 48 0 0
      -39 h\n1 g 4693 2183 N 0 39 49 0 0 -39 h\n1 g 4645 2183 N 0 39 48 0 0
      -39 h\n1 g 4596 2183 N 0 39 49 0 0 -39 h\n.95 g 4547 2183 N 0 39 49 0 0
      -39 h\n.85 g 4499 2183 N 0 39 48 0 0 -39 h\n.8 g 4450 2183 N 0 39 49 0
      0 -39 h\n.8 g 4402 2183 N 0 39 48 0 0 -39 h\n.8 g 4353 2183 N 0 39 49 0
      0 -39 h\n.8 g 4304 2183 N 0 39 49 0 0 -39 h\n.8 g 4256 2183 N 0 39 48 0
      0 -39 h\n.8 g 4207 2183 N 0 39 49 0 0 -39 h\n.8 g 4159 2183 N 0 39 48 0
      0 -39 h\n.8 g 4110 2183 N 0 39 49 0 0 -39 h\n.8 g 4061 2183 N 0 39 49 0
      0 -39 h\n.8 g 4013 2183 N 0 39 48 0 0 -39 h\n.8 g 3964 2183 N 0 39 49 0
      0 -39 h\n.8 g 3915 2183 N 0 39 49 0 0 -39 h\n.8 g 3867 2183 N 0 39 48 0
      0 -39 h\n.8 g 3818 2183 N 0 39 49 0 0 -39 h\n.8 g 3770 2183 N 0 39 48 0
      0 -39 h\n.8 g 3721 2183 N 0 39 49 0 0 -39 h\n.8 g 3672 2183 N 0 39 49 0
      0 -39 h\n.8 g 3624 2183 N 0 39 48 0 0 -39 h\n.8 g 3575 2183 N 0 39 49 0
      0 -39 h\n.8 g 3527 2183 N 0 39 48 0 0 -39 h\n.8 g 3478 2183 N 0 39 49 0
      0 -39 h\n.8 g 3429 2183 N 0 39 49 0 0 -39 h\n.8 g 3381 2183 N 0 39 48 0
      0 -39 h\n.8 g 3332 2183 N 0 39 49 0 0 -39 h\n.8 g 3284 2183 N 0 39 48 0
      0 -39 h\n.8 g 3235 2183 N 0 39 49 0 0 -39 h\n.8 g 3186 2183 N 0 39 49 0
      0 -39 h\n.8 g 3138 2183 N 0 39 48 0 0 -39 h\n.8 g 3089 2183 N 0 39 49 0
      0 -39 h\n.8 g 3040 2183 N 0 39 49 0 0 -39 h\n.8 g 2992 2183 N 0 39 48 0
      0 -39 h\n.8 g 2943 2183 N 0 39 49 0 0 -39 h\n.8 g 2895 2183 N 0 39 48 0
      0 -39 h\n.8 g 2846 2183 N 0 39 49 0 0 -39 h\n.8 g 2797 2183 N 0 39 49 0
      0 -39 h\n.8 g 2749 2183 N 0 39 48 0 0 -39 h\n.8 g 2700 2183 N 0 39 49 0
      0 -39 h\n.85 g 2652 2183 N 0 39 48 0 0 -39 h\n.95 g 2603 2183 N 0 39 49
      0 0 -39 h\n1 g 2554 2183 N 0 39 49 0 0 -39 h\n1 g 2506 2183 N 0 39 48 0
      0 -39 h\n1 g 2457 2183 N 0 39 49 0 0 -39 h\n1 g 2409 2183 N 0 39 48 0 0
      -39 h\n1 g 2360 2183 N 0 39 49 0 0 -39 h\n1 g 2311 2183 N 0 39 49 0 0
      -39 h\n1 g 2263 2183 N 0 39 48 0 0 -39 h\n1 g 2214 2183 N 0 39 49 0 0
      -39 h\n1 g 2165 2183 N 0 39 49 0 0 -39 h\n1 g 2117 2183 N 0 39 48 0 0
      -39 h\n1 g 2068 2183 N 0 39 49 0 0 -39 h\n1 g 2020 2183 N 0 39 48 0 0
      -39 h\n1 g 1971 2183 N 0 39 49 0 0 -39 h\n1 g 1922 2183 N 0 39 49 0 0
      -39 h\n1 g 1874 2183 N 0 39 48 0 0 -39 h\n1 g 1825 2183 N 0 39 49 0 0
      -39 h\n1 g 1777 2183 N 0 39 48 0 0 -39 h\n1 g 1728 2183 N 0 39 49 0 0
      -39 h\n1 g 1679 2183 N 0 39 49 0 0 -39 h\n1 g 1631 2183 N 0 39 48 0 0
      -39 h\n1 g 1582 2183 N 0 39 49 0 0 -39 h\n1 g 1534 2183 N 0 39 48 0 0
      -39 h\n1 g 1485 2183 N 0 39 49 0 0 -39 h\n1 g 1436 2183 N 0 39 49 0 0
      -39 h\n1 g 1388 2183 N 0 39 48 0 0 -39 h\n1 g 1339 2183 N 0 39 49 0 0
      -39 h\n1 g 1290 2183 N 0 39 49 0 0 -39 h\n1 g 1242 2183 N 0 39 48 0 0
      -39 h\n1 g 1193 2183 N 0 39 49 0 0 -39 h\n1 g 5957 2144 N 0 39 49 0 0
      -39 h\n1 g 5909 2144 N 0 39 48 0 0 -39 h\n1 g 5860 2144 N 0 39 49 0 0
      -39 h\n1 g 5811 2144 N 0 39 49 0 0 -39 h\n1 g 5763 2144 N 0 39 48 0 0
      -39 h\n1 g 5714 2144 N 0 39 49 0 0 -39 h\n1 g 5665 2144 N 0 39 49 0 0
      -39 h\n1 g 5617 2144 N 0 39 48 0 0 -39 h\n1 g 5568 2144 N 0 39 49 0 0
      -39 h\n1 g 5520 2144 N 0 39 48 0 0 -39 h\n1 g 5471 2144 N 0 39 49 0 0
      -39 h\n1 g 5422 2144 N 0 39 49 0 0 -39 h\n1 g 5374 2144 N 0 39 48 0 0
      -39 h\n1 g 5325 2144 N 0 39 49 0 0 -39 h\n1 g 5277 2144 N 0 39 48 0 0
      -39 h\n1 g 5228 2144 N 0 39 49 0 0 -39 h\n1 g 5179 2144 N 0 39 49 0 0
      -39 h\n1 g 5131 2144 N 0 39 48 0 0 -39 h\n1 g 5082 2144 N 0 39 49 0 0
      -39 h\n1 g 5034 2144 N 0 39 48 0 0 -39 h\n1 g 4985 2144 N 0 39 49 0 0
      -39 h\n1 g 4936 2144 N 0 39 49 0 0 -39 h\n1 g 4888 2144 N 0 39 48 0 0
      -39 h\n1 g 4839 2144 N 0 39 49 0 0 -39 h\n1 g 4790 2144 N 0 39 49 0 0
      -39 h\n1 g 4742 2144 N 0 39 48 0 0 -39 h\n1 g 4693 2144 N 0 39 49 0 0
      -39 h\n1 g 4645 2144 N 0 39 48 0 0 -39 h\n1 g 4596 2144 N 0 39 49 0 0
      -39 h\n1 g 4547 2144 N 0 39 49 0 0 -39 h\n.9 g 4499 2144 N 0 39 48 0 0
      -39 h\n.8 g 4450 2144 N 0 39 49 0 0 -39 h\n.8 g 4402 2144 N 0 39 48 0 0
      -39 h\n.8 g 4353 2144 N 0 39 49 0 0 -39 h\n.8 g 4304 2144 N 0 39 49 0 0
      -39 h\n.8 g 4256 2144 N 0 39 48 0 0 -39 h\n.8 g 4207 2144 N 0 39 49 0 0
      -39 h\n.8 g 4159 2144 N 0 39 48 0 0 -39 h\n.8 g 4110 2144 N 0 39 49 0 0
      -39 h\n.8 g 4061 2144 N 0 39 49 0 0 -39 h\n.8 g 4013 2144 N 0 39 48 0 0
      -39 h\n.8 g 3964 2144 N 0 39 49 0 0 -39 h\n.8 g 3915 2144 N 0 39 49 0 0
      -39 h\n.8 g 3867 2144 N 0 39 48 0 0 -39 h\n.8 g 3818 2144 N 0 39 49 0 0
      -39 h\n.8 g 3770 2144 N 0 39 48 0 0 -39 h\n.8 g 3721 2144 N 0 39 49 0 0
      -39 h\n.8 g 3672 2144 N 0 39 49 0 0 -39 h\n.8 g 3624 2144 N 0 39 48 0 0
      -39 h\n.8 g 3575 2144 N 0 39 49 0 0 -39 h\n.8 g 3527 2144 N 0 39 48 0 0
      -39 h\n.8 g 3478 2144 N 0 39 49 0 0 -39 h\n.8 g 3429 2144 N 0 39 49 0 0
      -39 h\n.8 g 3381 2144 N 0 39 48 0 0 -39 h\n.8 g 3332 2144 N 0 39 49 0 0
      -39 h\n.8 g 3284 2144 N 0 39 48 0 0 -39 h\n.8 g 3235 2144 N 0 39 49 0 0
      -39 h\n.8 g 3186 2144 N 0 39 49 0 0 -39 h\n.8 g 3138 2144 N 0 39 48 0 0
      -39 h\n.8 g 3089 2144 N 0 39 49 0 0 -39 h\n.8 g 3040 2144 N 0 39 49 0 0
      -39 h\n.8 g 2992 2144 N 0 39 48 0 0 -39 h\n.8 g 2943 2144 N 0 39 49 0 0
      -39 h\n.8 g 2895 2144 N 0 39 48 0 0 -39 h\n.8 g 2846 2144 N 0 39 49 0 0
      -39 h\n.8 g 2797 2144 N 0 39 49 0 0 -39 h\n.8 g 2749 2144 N 0 39 48 0 0
      -39 h\n.8 g 2700 2144 N 0 39 49 0 0 -39 h\n.9 g 2652 2144 N 0 39 48 0 0
      -39 h\n1 g 2603 2144 N 0 39 49 0 0 -39 h\n1 g 2554 2144 N 0 39 49 0 0
      -39 h\n1 g 2506 2144 N 0 39 48 0 0 -39 h\n1 g 2457 2144 N 0 39 49 0 0
      -39 h\n1 g 2409 2144 N 0 39 48 0 0 -39 h\n1 g 2360 2144 N 0 39 49 0 0
      -39 h\n1 g 2311 2144 N 0 39 49 0 0 -39 h\n1 g 2263 2144 N 0 39 48 0 0
      -39 h\n1 g 2214 2144 N 0 39 49 0 0 -39 h\n1 g 2165 2144 N 0 39 49 0 0
      -39 h\n1 g 2117 2144 N 0 39 48 0 0 -39 h\n1 g 2068 2144 N 0 39 49 0 0
      -39 h\n1 g 2020 2144 N 0 39 48 0 0 -39 h\n1 g 1971 2144 N 0 39 49 0 0
      -39 h\n1 g 1922 2144 N 0 39 49 0 0 -39 h\n1 g 1874 2144 N 0 39 48 0 0
      -39 h\n1 g 1825 2144 N 0 39 49 0 0 -39 h\n1 g 1777 2144 N 0 39 48 0 0
      -39 h\n1 g 1728 2144 N 0 39 49 0 0 -39 h\n1 g 1679 2144 N 0 39 49 0 0
      -39 h\n1 g 1631 2144 N 0 39 48 0 0 -39 h\n1 g 1582 2144 N 0 39 49 0 0
      -39 h\n1 g 1534 2144 N 0 39 48 0 0 -39 h\n1 g 1485 2144 N 0 39 49 0 0
      -39 h\n1 g 1436 2144 N 0 39 49 0 0 -39 h\n1 g 1388 2144 N 0 39 48 0 0
      -39 h\n1 g 1339 2144 N 0 39 49 0 0 -39 h\n1 g 1290 2144 N 0 39 49 0 0
      -39 h\n1 g 1242 2144 N 0 39 48 0 0 -39 h\n1 g 1193 2144 N 0 39 49 0 0
      -39 h\n1 g 5957 2105 N 0 39 49 0 0 -39 h\n1 g 5909 2105 N 0 39 48 0 0
      -39 h\n1 g 5860 2105 N 0 39 49 0 0 -39 h\n1 g 5811 2105 N 0 39 49 0 0
      -39 h\n1 g 5763 2105 N 0 39 48 0 0 -39 h\n1 g 5714 2105 N 0 39 49 0 0
      -39 h\n1 g 5665 2105 N 0 39 49 0 0 -39 h\n1 g 5617 2105 N 0 39 48 0 0
      -39 h\n1 g 5568 2105 N 0 39 49 0 0 -39 h\n1 g 5520 2105 N 0 39 48 0 0
      -39 h\n1 g 5471 2105 N 0 39 49 0 0 -39 h\n1 g 5422 2105 N 0 39 49 0 0
      -39 h\n1 g 5374 2105 N 0 39 48 0 0 -39 h\n1 g 5325 2105 N 0 39 49 0 0
      -39 h\n1 g 5277 2105 N 0 39 48 0 0 -39 h\n1 g 5228 2105 N 0 39 49 0 0
      -39 h\n1 g 5179 2105 N 0 39 49 0 0 -39 h\n1 g 5131 2105 N 0 39 48 0 0
      -39 h\n1 g 5082 2105 N 0 39 49 0 0 -39 h\n1 g 5034 2105 N 0 39 48 0 0
      -39 h\n1 g 4985 2105 N 0 39 49 0 0 -39 h\n1 g 4936 2105 N 0 39 49 0 0
      -39 h\n1 g 4888 2105 N 0 39 48 0 0 -39 h\n1 g 4839 2105 N 0 39 49 0 0
      -39 h\n1 g 4790 2105 N 0 39 49 0 0 -39 h\n1 g 4742 2105 N 0 39 48 0 0
      -39 h\n1 g 4693 2105 N 0 39 49 0 0 -39 h\n1 g 4645 2105 N 0 39 48 0 0
      -39 h\n1 g 4596 2105 N 0 39 49 0 0 -39 h\n1 g 4547 2105 N 0 39 49 0 0
      -39 h\n.9 g 4499 2105 N 0 39 48 0 0 -39 h\n.8 g 4450 2105 N 0 39 49 0 0
      -39 h\n.8 g 4402 2105 N 0 39 48 0 0 -39 h\n.8 g 4353 2105 N 0 39 49 0 0
      -39 h\n.8 g 4304 2105 N 0 39 49 0 0 -39 h\n.8 g 4256 2105 N 0 39 48 0 0
      -39 h\n.8 g 4207 2105 N 0 39 49 0 0 -39 h\n.8 g 4159 2105 N 0 39 48 0 0
      -39 h\n.8 g 4110 2105 N 0 39 49 0 0 -39 h\n.8 g 4061 2105 N 0 39 49 0 0
      -39 h\n.8 g 4013 2105 N 0 39 48 0 0 -39 h\n.8 g 3964 2105 N 0 39 49 0 0
      -39 h\n.8 g 3915 2105 N 0 39 49 0 0 -39 h\n.8 g 3867 2105 N 0 39 48 0 0
      -39 h\n.8 g 3818 2105 N 0 39 49 0 0 -39 h\n.8 g 3770 2105 N 0 39 48 0 0
      -39 h\n.8 g 3721 2105 N 0 39 49 0 0 -39 h\n.8 g 3672 2105 N 0 39 49 0 0
      -39 h\n.8 g 3624 2105 N 0 39 48 0 0 -39 h\n.8 g 3575 2105 N 0 39 49 0 0
      -39 h\n.8 g 3527 2105 N 0 39 48 0 0 -39 h\n.8 g 3478 2105 N 0 39 49 0 0
      -39 h\n.8 g 3429 2105 N 0 39 49 0 0 -39 h\n.8 g 3381 2105 N 0 39 48 0 0
      -39 h\n.8 g 3332 2105 N 0 39 49 0 0 -39 h\n.8 g 3284 2105 N 0 39 48 0 0
      -39 h\n.8 g 3235 2105 N 0 39 49 0 0 -39 h\n.8 g 3186 2105 N 0 39 49 0 0
      -39 h\n.8 g 3138 2105 N 0 39 48 0 0 -39 h\n.8 g 3089 2105 N 0 39 49 0 0
      -39 h\n.8 g 3040 2105 N 0 39 49 0 0 -39 h\n.8 g 2992 2105 N 0 39 48 0 0
      -39 h\n.8 g 2943 2105 N 0 39 49 0 0 -39 h\n.8 g 2895 2105 N 0 39 48 0 0
      -39 h\n.8 g 2846 2105 N 0 39 49 0 0 -39 h\n.8 g 2797 2105 N 0 39 49 0 0
      -39 h\n.8 g 2749 2105 N 0 39 48 0 0 -39 h\n.8 g 2700 2105 N 0 39 49 0 0
      -39 h\n.9 g 2652 2105 N 0 39 48 0 0 -39 h\n1 g 2603 2105 N 0 39 49 0 0
      -39 h\n1 g 2554 2105 N 0 39 49 0 0 -39 h\n1 g 2506 2105 N 0 39 48 0 0
      -39 h\n1 g 2457 2105 N 0 39 49 0 0 -39 h\n1 g 2409 2105 N 0 39 48 0 0
      -39 h\n1 g 2360 2105 N 0 39 49 0 0 -39 h\n1 g 2311 2105 N 0 39 49 0 0
      -39 h\n1 g 2263 2105 N 0 39 48 0 0 -39 h\n1 g 2214 2105 N 0 39 49 0 0
      -39 h\n1 g 2165 2105 N 0 39 49 0 0 -39 h\n1 g 2117 2105 N 0 39 48 0 0
      -39 h\n1 g 2068 2105 N 0 39 49 0 0 -39 h\n1 g 2020 2105 N 0 39 48 0 0
      -39 h\n1 g 1971 2105 N 0 39 49 0 0 -39 h\n1 g 1922 2105 N 0 39 49 0 0
      -39 h\n1 g 1874 2105 N 0 39 48 0 0 -39 h\n1 g 1825 2105 N 0 39 49 0 0
      -39 h\n1 g 1777 2105 N 0 39 48 0 0 -39 h\n1 g 1728 2105 N 0 39 49 0 0
      -39 h\n1 g 1679 2105 N 0 39 49 0 0 -39 h\n1 g 1631 2105 N 0 39 48 0 0
      -39 h\n1 g 1582 2105 N 0 39 49 0 0 -39 h\n1 g 1534 2105 N 0 39 48 0 0
      -39 h\n1 g 1485 2105 N 0 39 49 0 0 -39 h\n1 g 1436 2105 N 0 39 49 0 0
      -39 h\n1 g 1388 2105 N 0 39 48 0 0 -39 h\n1 g 1339 2105 N 0 39 49 0 0
      -39 h\n1 g 1290 2105 N 0 39 49 0 0 -39 h\n1 g 1242 2105 N 0 39 48 0 0
      -39 h\n1 g 1193 2105 N 0 39 49 0 0 -39 h\n1 g 5957 2066 N 0 38 49 0 0
      -38 h\n1 g 5909 2066 N 0 38 48 0 0 -38 h\n1 g 5860 2066 N 0 38 49 0 0
      -38 h\n1 g 5811 2066 N 0 38 49 0 0 -38 h\n1 g 5763 2066 N 0 38 48 0 0
      -38 h\n1 g 5714 2066 N 0 38 49 0 0 -38 h\n1 g 5665 2066 N 0 38 49 0 0
      -38 h\n1 g 5617 2066 N 0 38 48 0 0 -38 h\n1 g 5568 2066 N 0 38 49 0 0
      -38 h\n1 g 5520 2066 N 0 38 48 0 0 -38 h\n1 g 5471 2066 N 0 38 49 0 0
      -38 h\n1 g 5422 2066 N 0 38 49 0 0 -38 h\n1 g 5374 2066 N 0 38 48 0 0
      -38 h\n1 g 5325 2066 N 0 38 49 0 0 -38 h\n1 g 5277 2066 N 0 38 48 0 0
      -38 h\n1 g 5228 2066 N 0 38 49 0 0 -38 h\n1 g 5179 2066 N 0 38 49 0 0
      -38 h\n1 g 5131 2066 N 0 38 48 0 0 -38 h\n1 g 5082 2066 N 0 38 49 0 0
      -38 h\n1 g 5034 2066 N 0 38 48 0 0 -38 h\n1 g 4985 2066 N 0 38 49 0 0
      -38 h\n1 g 4936 2066 N 0 38 49 0 0 -38 h\n1 g 4888 2066 N 0 38 48 0 0
      -38 h\n1 g 4839 2066 N 0 38 49 0 0 -38 h\n1 g 4790 2066 N 0 38 49 0 0
      -38 h\n1 g 4742 2066 N 0 38 48 0 0 -38 h\n1 g 4693 2066 N 0 38 49 0 0
      -38 h\n1 g 4645 2066 N 0 38 48 0 0 -38 h\n1 g 4596 2066 N 0 38 49 0 0
      -38 h\n1 g 4547 2066 N 0 38 49 0 0 -38 h\n.9 g 4499 2066 N 0 38 48 0 0
      -38 h\n.8 g 4450 2066 N 0 38 49 0 0 -38 h\n.8 g 4402 2066 N 0 38 48 0 0
      -38 h\n.8 g 4353 2066 N 0 38 49 0 0 -38 h\n.8 g 4304 2066 N 0 38 49 0 0
      -38 h\n.8 g 4256 2066 N 0 38 48 0 0 -38 h\n.8 g 4207 2066 N 0 38 49 0 0
      -38 h\n.8 g 4159 2066 N 0 38 48 0 0 -38 h\n.8 g 4110 2066 N 0 38 49 0 0
      -38 h\n.8 g 4061 2066 N 0 38 49 0 0 -38 h\n.8 g 4013 2066 N 0 38 48 0 0
      -38 h\n.8 g 3964 2066 N 0 38 49 0 0 -38 h\n.8 g 3915 2066 N 0 38 49 0 0
      -38 h\n.8 g 3867 2066 N 0 38 48 0 0 -38 h\n.8 g 3818 2066 N 0 38 49 0 0
      -38 h\n.8 g 3770 2066 N 0 38 48 0 0 -38 h\n.8 g 3721 2066 N 0 38 49 0 0
      -38 h\n.8 g 3672 2066 N 0 38 49 0 0 -38 h\n.8 g 3624 2066 N 0 38 48 0 0
      -38 h\n.8 g 3575 2066 N 0 38 49 0 0 -38 h\n.8 g 3527 2066 N 0 38 48 0 0
      -38 h\n.8 g 3478 2066 N 0 38 49 0 0 -38 h\n.8 g 3429 2066 N 0 38 49 0 0
      -38 h\n.8 g 3381 2066 N 0 38 48 0 0 -38 h\n.8 g 3332 2066 N 0 38 49 0 0
      -38 h\n.8 g 3284 2066 N 0 38 48 0 0 -38 h\n.8 g 3235 2066 N 0 38 49 0 0
      -38 h\n.8 g 3186 2066 N 0 38 49 0 0 -38 h\n.8 g 3138 2066 N 0 38 48 0 0
      -38 h\n.8 g 3089 2066 N 0 38 49 0 0 -38 h\n.8 g 3040 2066 N 0 38 49 0 0
      -38 h\n.8 g 2992 2066 N 0 38 48 0 0 -38 h\n.8 g 2943 2066 N 0 38 49 0 0
      -38 h\n.8 g 2895 2066 N 0 38 48 0 0 -38 h\n.8 g 2846 2066 N 0 38 49 0 0
      -38 h\n.8 g 2797 2066 N 0 38 49 0 0 -38 h\n.8 g 2749 2066 N 0 38 48 0 0
      -38 h\n.8 g 2700 2066 N 0 38 49 0 0 -38 h\n.9 g 2652 2066 N 0 38 48 0 0
      -38 h\n1 g 2603 2066 N 0 38 49 0 0 -38 h\n1 g 2554 2066 N 0 38 49 0 0
      -38 h\n1 g 2506 2066 N 0 38 48 0 0 -38 h\n1 g 2457 2066 N 0 38 49 0 0
      -38 h\n1 g 2409 2066 N 0 38 48 0 0 -38 h\n1 g 2360 2066 N 0 38 49 0 0
      -38 h\n1 g 2311 2066 N 0 38 49 0 0 -38 h\n1 g 2263 2066 N 0 38 48 0 0
      -38 h\n1 g 2214 2066 N 0 38 49 0 0 -38 h\n1 g 2165 2066 N 0 38 49 0 0
      -38 h\n1 g 2117 2066 N 0 38 48 0 0 -38 h\n1 g 2068 2066 N 0 38 49 0 0
      -38 h\n1 g 2020 2066 N 0 38 48 0 0 -38 h\n1 g 1971 2066 N 0 38 49 0 0
      -38 h\n1 g 1922 2066 N 0 38 49 0 0 -38 h\n1 g 1874 2066 N 0 38 48 0 0
      -38 h\n1 g 1825 2066 N 0 38 49 0 0 -38 h\n1 g 1777 2066 N 0 38 48 0 0
      -38 h\n1 g 1728 2066 N 0 38 49 0 0 -38 h\n1 g 1679 2066 N 0 38 49 0 0
      -38 h\n1 g 1631 2066 N 0 38 48 0 0 -38 h\n1 g 1582 2066 N 0 38 49 0 0
      -38 h\n1 g 1534 2066 N 0 38 48 0 0 -38 h\n1 g 1485 2066 N 0 38 49 0 0
      -38 h\n1 g 1436 2066 N 0 38 49 0 0 -38 h\n1 g 1388 2066 N 0 38 48 0 0
      -38 h\n1 g 1339 2066 N 0 38 49 0 0 -38 h\n1 g 1290 2066 N 0 38 49 0 0
      -38 h\n1 g 1242 2066 N 0 38 48 0 0 -38 h\n1 g 1193 2066 N 0 38 49 0 0
      -38 h\n1 g 5957 2028 N 0 39 49 0 0 -39 h\n1 g 5909 2028 N 0 39 48 0 0
      -39 h\n1 g 5860 2028 N 0 39 49 0 0 -39 h\n1 g 5811 2028 N 0 39 49 0 0
      -39 h\n1 g 5763 2028 N 0 39 48 0 0 -39 h\n1 g 5714 2028 N 0 39 49 0 0
      -39 h\n1 g 5665 2028 N 0 39 49 0 0 -39 h\n1 g 5617 2028 N 0 39 48 0 0
      -39 h\n1 g 5568 2028 N 0 39 49 0 0 -39 h\n1 g 5520 2028 N 0 39 48 0 0
      -39 h\n1 g 5471 2028 N 0 39 49 0 0 -39 h\n1 g 5422 2028 N 0 39 49 0 0
      -39 h\n1 g 5374 2028 N 0 39 48 0 0 -39 h\n1 g 5325 2028 N 0 39 49 0 0
      -39 h\n1 g 5277 2028 N 0 39 48 0 0 -39 h\n1 g 5228 2028 N 0 39 49 0 0
      -39 h\n1 g 5179 2028 N 0 39 49 0 0 -39 h\n1 g 5131 2028 N 0 39 48 0 0
      -39 h\n1 g 5082 2028 N 0 39 49 0 0 -39 h\n1 g 5034 2028 N 0 39 48 0 0
      -39 h\n1 g 4985 2028 N 0 39 49 0 0 -39 h\n1 g 4936 2028 N 0 39 49 0 0
      -39 h\n1 g 4888 2028 N 0 39 48 0 0 -39 h\n1 g 4839 2028 N 0 39 49 0 0
      -39 h\n1 g 4790 2028 N 0 39 49 0 0 -39 h\n1 g 4742 2028 N 0 39 48 0 0
      -39 h\n1 g 4693 2028 N 0 39 49 0 0 -39 h\n1 g 4645 2028 N 0 39 48 0 0
      -39 h\n1 g 4596 2028 N 0 39 49 0 0 -39 h\n1 g 4547 2028 N 0 39 49 0 0
      -39 h\n.95 g 4499 2028 N 0 39 48 0 0 -39 h\n.85 g 4450 2028 N 0 39 49 0
      0 -39 h\n.8 g 4402 2028 N 0 39 48 0 0 -39 h\n.8 g 4353 2028 N 0 39 49 0
      0 -39 h\n.8 g 4304 2028 N 0 39 49 0 0 -39 h\n.8 g 4256 2028 N 0 39 48 0
      0 -39 h\n.8 g 4207 2028 N 0 39 49 0 0 -39 h\n.8 g 4159 2028 N 0 39 48 0
      0 -39 h\n.8 g 4110 2028 N 0 39 49 0 0 -39 h\n.8 g 4061 2028 N 0 39 49 0
      0 -39 h\n.8 g 4013 2028 N 0 39 48 0 0 -39 h\n.8 g 3964 2028 N 0 39 49 0
      0 -39 h\n.8 g 3915 2028 N 0 39 49 0 0 -39 h\n.8 g 3867 2028 N 0 39 48 0
      0 -39 h\n.8 g 3818 2028 N 0 39 49 0 0 -39 h\n.8 g 3770 2028 N 0 39 48 0
      0 -39 h\n.8 g 3721 2028 N 0 39 49 0 0 -39 h\n.8 g 3672 2028 N 0 39 49 0
      0 -39 h\n.8 g 3624 2028 N 0 39 48 0 0 -39 h\n.8 g 3575 2028 N 0 39 49 0
      0 -39 h\n.8 g 3527 2028 N 0 39 48 0 0 -39 h\n.8 g 3478 2028 N 0 39 49 0
      0 -39 h\n.8 g 3429 2028 N 0 39 49 0 0 -39 h\n.8 g 3381 2028 N 0 39 48 0
      0 -39 h\n.8 g 3332 2028 N 0 39 49 0 0 -39 h\n.8 g 3284 2028 N 0 39 48 0
      0 -39 h\n.8 g 3235 2028 N 0 39 49 0 0 -39 h\n.8 g 3186 2028 N 0 39 49 0
      0 -39 h\n.8 g 3138 2028 N 0 39 48 0 0 -39 h\n.8 g 3089 2028 N 0 39 49 0
      0 -39 h\n.8 g 3040 2028 N 0 39 49 0 0 -39 h\n.8 g 2992 2028 N 0 39 48 0
      0 -39 h\n.8 g 2943 2028 N 0 39 49 0 0 -39 h\n.8 g 2895 2028 N 0 39 48 0
      0 -39 h\n.8 g 2846 2028 N 0 39 49 0 0 -39 h\n.8 g 2797 2028 N 0 39 49 0
      0 -39 h\n.8 g 2749 2028 N 0 39 48 0 0 -39 h\n.85 g 2700 2028 N 0 39 49
      0 0 -39 h\n.95 g 2652 2028 N 0 39 48 0 0 -39 h\n1 g 2603 2028 N 0 39 49
      0 0 -39 h\n1 g 2554 2028 N 0 39 49 0 0 -39 h\n1 g 2506 2028 N 0 39 48 0
      0 -39 h\n1 g 2457 2028 N 0 39 49 0 0 -39 h\n1 g 2409 2028 N 0 39 48 0 0
      -39 h\n1 g 2360 2028 N 0 39 49 0 0 -39 h\n1 g 2311 2028 N 0 39 49 0 0
      -39 h\n1 g 2263 2028 N 0 39 48 0 0 -39 h\n1 g 2214 2028 N 0 39 49 0 0
      -39 h\n1 g 2165 2028 N 0 39 49 0 0 -39 h\n1 g 2117 2028 N 0 39 48 0 0
      -39 h\n1 g 2068 2028 N 0 39 49 0 0 -39 h\n1 g 2020 2028 N 0 39 48 0 0
      -39 h\n1 g 1971 2028 N 0 39 49 0 0 -39 h\n1 g 1922 2028 N 0 39 49 0 0
      -39 h\n1 g 1874 2028 N 0 39 48 0 0 -39 h\n1 g 1825 2028 N 0 39 49 0 0
      -39 h\n1 g 1777 2028 N 0 39 48 0 0 -39 h\n1 g 1728 2028 N 0 39 49 0 0
      -39 h\n1 g 1679 2028 N 0 39 49 0 0 -39 h\n1 g 1631 2028 N 0 39 48 0 0
      -39 h\n1 g 1582 2028 N 0 39 49 0 0 -39 h\n1 g 1534 2028 N 0 39 48 0 0
      -39 h\n1 g 1485 2028 N 0 39 49 0 0 -39 h\n1 g 1436 2028 N 0 39 49 0 0
      -39 h\n1 g 1388 2028 N 0 39 48 0 0 -39 h\n1 g 1339 2028 N 0 39 49 0 0
      -39 h\n1 g 1290 2028 N 0 39 49 0 0 -39 h\n1 g 1242 2028 N 0 39 48 0 0
      -39 h\n1 g 1193 2028 N 0 39 49 0 0 -39 h\n1 g 5957 1989 N 0 39 49 0 0
      -39 h\n1 g 5909 1989 N 0 39 48 0 0 -39 h\n1 g 5860 1989 N 0 39 49 0 0
      -39 h\n1 g 5811 1989 N 0 39 49 0 0 -39 h\n1 g 5763 1989 N 0 39 48 0 0
      -39 h\n1 g 5714 1989 N 0 39 49 0 0 -39 h\n1 g 5665 1989 N 0 39 49 0 0
      -39 h\n1 g 5617 1989 N 0 39 48 0 0 -39 h\n1 g 5568 1989 N 0 39 49 0 0
      -39 h\n1 g 5520 1989 N 0 39 48 0 0 -39 h\n1 g 5471 1989 N 0 39 49 0 0
      -39 h\n1 g 5422 1989 N 0 39 49 0 0 -39 h\n1 g 5374 1989 N 0 39 48 0 0
      -39 h\n1 g 5325 1989 N 0 39 49 0 0 -39 h\n1 g 5277 1989 N 0 39 48 0 0
      -39 h\n1 g 5228 1989 N 0 39 49 0 0 -39 h\n1 g 5179 1989 N 0 39 49 0 0
      -39 h\n1 g 5131 1989 N 0 39 48 0 0 -39 h\n1 g 5082 1989 N 0 39 49 0 0
      -39 h\n1 g 5034 1989 N 0 39 48 0 0 -39 h\n1 g 4985 1989 N 0 39 49 0 0
      -39 h\n1 g 4936 1989 N 0 39 49 0 0 -39 h\n1 g 4888 1989 N 0 39 48 0 0
      -39 h\n1 g 4839 1989 N 0 39 49 0 0 -39 h\n1 g 4790 1989 N 0 39 49 0 0
      -39 h\n1 g 4742 1989 N 0 39 48 0 0 -39 h\n1 g 4693 1989 N 0 39 49 0 0
      -39 h\n1 g 4645 1989 N 0 39 48 0 0 -39 h\n1 g 4596 1989 N 0 39 49 0 0
      -39 h\n1 g 4547 1989 N 0 39 49 0 0 -39 h\n1 g 4499 1989 N 0 39 48 0 0
      -39 h\n.9 g 4450 1989 N 0 39 49 0 0 -39 h\n.8 g 4402 1989 N 0 39 48 0 0
      -39 h\n.8 g 4353 1989 N 0 39 49 0 0 -39 h\n.8 g 4304 1989 N 0 39 49 0 0
      -39 h\n.8 g 4256 1989 N 0 39 48 0 0 -39 h\n.8 g 4207 1989 N 0 39 49 0 0
      -39 h\n.8 g 4159 1989 N 0 39 48 0 0 -39 h\n.8 g 4110 1989 N 0 39 49 0 0
      -39 h\n.8 g 4061 1989 N 0 39 49 0 0 -39 h\n.8 g 4013 1989 N 0 39 48 0 0
      -39 h\n.8 g 3964 1989 N 0 39 49 0 0 -39 h\n.8 g 3915 1989 N 0 39 49 0 0
      -39 h\n.8 g 3867 1989 N 0 39 48 0 0 -39 h\n.8 g 3818 1989 N 0 39 49 0 0
      -39 h\n.8 g 3770 1989 N 0 39 48 0 0 -39 h\n.8 g 3721 1989 N 0 39 49 0 0
      -39 h\n.8 g 3672 1989 N 0 39 49 0 0 -39 h\n.8 g 3624 1989 N 0 39 48 0 0
      -39 h\n.8 g 3575 1989 N 0 39 49 0 0 -39 h\n.8 g 3527 1989 N 0 39 48 0 0
      -39 h\n.8 g 3478 1989 N 0 39 49 0 0 -39 h\n.8 g 3429 1989 N 0 39 49 0 0
      -39 h\n.8 g 3381 1989 N 0 39 48 0 0 -39 h\n.8 g 3332 1989 N 0 39 49 0 0
      -39 h\n.8 g 3284 1989 N 0 39 48 0 0 -39 h\n.8 g 3235 1989 N 0 39 49 0 0
      -39 h\n.8 g 3186 1989 N 0 39 49 0 0 -39 h\n.8 g 3138 1989 N 0 39 48 0 0
      -39 h\n.8 g 3089 1989 N 0 39 49 0 0 -39 h\n.8 g 3040 1989 N 0 39 49 0 0
      -39 h\n.8 g 2992 1989 N 0 39 48 0 0 -39 h\n.8 g 2943 1989 N 0 39 49 0 0
      -39 h\n.8 g 2895 1989 N 0 39 48 0 0 -39 h\n.8 g 2846 1989 N 0 39 49 0 0
      -39 h\n.8 g 2797 1989 N 0 39 49 0 0 -39 h\n.8 g 2749 1989 N 0 39 48 0 0
      -39 h\n.9 g 2700 1989 N 0 39 49 0 0 -39 h\n1 g 2652 1989 N 0 39 48 0 0
      -39 h\n1 g 2603 1989 N 0 39 49 0 0 -39 h\n1 g 2554 1989 N 0 39 49 0 0
      -39 h\n1 g 2506 1989 N 0 39 48 0 0 -39 h\n1 g 2457 1989 N 0 39 49 0 0
      -39 h\n1 g 2409 1989 N 0 39 48 0 0 -39 h\n1 g 2360 1989 N 0 39 49 0 0
      -39 h\n1 g 2311 1989 N 0 39 49 0 0 -39 h\n1 g 2263 1989 N 0 39 48 0 0
      -39 h\n1 g 2214 1989 N 0 39 49 0 0 -39 h\n1 g 2165 1989 N 0 39 49 0 0
      -39 h\n1 g 2117 1989 N 0 39 48 0 0 -39 h\n1 g 2068 1989 N 0 39 49 0 0
      -39 h\n1 g 2020 1989 N 0 39 48 0 0 -39 h\n1 g 1971 1989 N 0 39 49 0 0
      -39 h\n1 g 1922 1989 N 0 39 49 0 0 -39 h\n1 g 1874 1989 N 0 39 48 0 0
      -39 h\n1 g 1825 1989 N 0 39 49 0 0 -39 h\n1 g 1777 1989 N 0 39 48 0 0
      -39 h\n1 g 1728 1989 N 0 39 49 0 0 -39 h\n1 g 1679 1989 N 0 39 49 0 0
      -39 h\n1 g 1631 1989 N 0 39 48 0 0 -39 h\n1 g 1582 1989 N 0 39 49 0 0
      -39 h\n1 g 1534 1989 N 0 39 48 0 0 -39 h\n1 g 1485 1989 N 0 39 49 0 0
      -39 h\n1 g 1436 1989 N 0 39 49 0 0 -39 h\n1 g 1388 1989 N 0 39 48 0 0
      -39 h\n1 g 1339 1989 N 0 39 49 0 0 -39 h\n1 g 1290 1989 N 0 39 49 0 0
      -39 h\n1 g 1242 1989 N 0 39 48 0 0 -39 h\n1 g 1193 1989 N 0 39 49 0 0
      -39 h\n1 g 5957 1950 N 0 39 49 0 0 -39 h\n1 g 5909 1950 N 0 39 48 0 0
      -39 h\n1 g 5860 1950 N 0 39 49 0 0 -39 h\n1 g 5811 1950 N 0 39 49 0 0
      -39 h\n1 g 5763 1950 N 0 39 48 0 0 -39 h\n1 g 5714 1950 N 0 39 49 0 0
      -39 h\n1 g 5665 1950 N 0 39 49 0 0 -39 h\n1 g 5617 1950 N 0 39 48 0 0
      -39 h\n1 g 5568 1950 N 0 39 49 0 0 -39 h\n1 g 5520 1950 N 0 39 48 0 0
      -39 h\n1 g 5471 1950 N 0 39 49 0 0 -39 h\n1 g 5422 1950 N 0 39 49 0 0
      -39 h\n1 g 5374 1950 N 0 39 48 0 0 -39 h\n1 g 5325 1950 N 0 39 49 0 0
      -39 h\n1 g 5277 1950 N 0 39 48 0 0 -39 h\n1 g 5228 1950 N 0 39 49 0 0
      -39 h\n1 g 5179 1950 N 0 39 49 0 0 -39 h\n1 g 5131 1950 N 0 39 48 0 0
      -39 h\n1 g 5082 1950 N 0 39 49 0 0 -39 h\n1 g 5034 1950 N 0 39 48 0 0
      -39 h\n1 g 4985 1950 N 0 39 49 0 0 -39 h\n1 g 4936 1950 N 0 39 49 0 0
      -39 h\n1 g 4888 1950 N 0 39 48 0 0 -39 h\n1 g 4839 1950 N 0 39 49 0 0
      -39 h\n1 g 4790 1950 N 0 39 49 0 0 -39 h\n1 g 4742 1950 N 0 39 48 0 0
      -39 h\n1 g 4693 1950 N 0 39 49 0 0 -39 h\n1 g 4645 1950 N 0 39 48 0 0
      -39 h\n1 g 4596 1950 N 0 39 49 0 0 -39 h\n1 g 4547 1950 N 0 39 49 0 0
      -39 h\n1 g 4499 1950 N 0 39 48 0 0 -39 h\n.9 g 4450 1950 N 0 39 49 0 0
      -39 h\n.8 g 4402 1950 N 0 39 48 0 0 -39 h\n.8 g 4353 1950 N 0 39 49 0 0
      -39 h\n.8 g 4304 1950 N 0 39 49 0 0 -39 h\n.8 g 4256 1950 N 0 39 48 0 0
      -39 h\n.8 g 4207 1950 N 0 39 49 0 0 -39 h\n.8 g 4159 1950 N 0 39 48 0 0
      -39 h\n.8 g 4110 1950 N 0 39 49 0 0 -39 h\n.8 g 4061 1950 N 0 39 49 0 0
      -39 h\n.8 g 4013 1950 N 0 39 48 0 0 -39 h\n.8 g 3964 1950 N 0 39 49 0 0
      -39 h\n.8 g 3915 1950 N 0 39 49 0 0 -39 h\n.8 g 3867 1950 N 0 39 48 0 0
      -39 h\n.8 g 3818 1950 N 0 39 49 0 0 -39 h\n.8 g 3770 1950 N 0 39 48 0 0
      -39 h\n.8 g 3721 1950 N 0 39 49 0 0 -39 h\n.8 g 3672 1950 N 0 39 49 0 0
      -39 h\n.8 g 3624 1950 N 0 39 48 0 0 -39 h\n.8 g 3575 1950 N 0 39 49 0 0
      -39 h\n.8 g 3527 1950 N 0 39 48 0 0 -39 h\n.8 g 3478 1950 N 0 39 49 0 0
      -39 h\n.8 g 3429 1950 N 0 39 49 0 0 -39 h\n.8 g 3381 1950 N 0 39 48 0 0
      -39 h\n.8 g 3332 1950 N 0 39 49 0 0 -39 h\n.8 g 3284 1950 N 0 39 48 0 0
      -39 h\n.8 g 3235 1950 N 0 39 49 0 0 -39 h\n.8 g 3186 1950 N 0 39 49 0 0
      -39 h\n.8 g 3138 1950 N 0 39 48 0 0 -39 h\n.8 g 3089 1950 N 0 39 49 0 0
      -39 h\n.8 g 3040 1950 N 0 39 49 0 0 -39 h\n.8 g 2992 1950 N 0 39 48 0 0
      -39 h\n.8 g 2943 1950 N 0 39 49 0 0 -39 h\n.8 g 2895 1950 N 0 39 48 0 0
      -39 h\n.8 g 2846 1950 N 0 39 49 0 0 -39 h\n.8 g 2797 1950 N 0 39 49 0 0
      -39 h\n.8 g 2749 1950 N 0 39 48 0 0 -39 h\n.9 g 2700 1950 N 0 39 49 0 0
      -39 h\n1 g 2652 1950 N 0 39 48 0 0 -39 h\n1 g 2603 1950 N 0 39 49 0 0
      -39 h\n1 g 2554 1950 N 0 39 49 0 0 -39 h\n1 g 2506 1950 N 0 39 48 0 0
      -39 h\n1 g 2457 1950 N 0 39 49 0 0 -39 h\n1 g 2409 1950 N 0 39 48 0 0
      -39 h\n1 g 2360 1950 N 0 39 49 0 0 -39 h\n1 g 2311 1950 N 0 39 49 0 0
      -39 h\n1 g 2263 1950 N 0 39 48 0 0 -39 h\n1 g 2214 1950 N 0 39 49 0 0
      -39 h\n1 g 2165 1950 N 0 39 49 0 0 -39 h\n1 g 2117 1950 N 0 39 48 0 0
      -39 h\n1 g 2068 1950 N 0 39 49 0 0 -39 h\n1 g 2020 1950 N 0 39 48 0 0
      -39 h\n1 g 1971 1950 N 0 39 49 0 0 -39 h\n1 g 1922 1950 N 0 39 49 0 0
      -39 h\n1 g 1874 1950 N 0 39 48 0 0 -39 h\n1 g 1825 1950 N 0 39 49 0 0
      -39 h\n1 g 1777 1950 N 0 39 48 0 0 -39 h\n1 g 1728 1950 N 0 39 49 0 0
      -39 h\n1 g 1679 1950 N 0 39 49 0 0 -39 h\n1 g 1631 1950 N 0 39 48 0 0
      -39 h\n1 g 1582 1950 N 0 39 49 0 0 -39 h\n1 g 1534 1950 N 0 39 48 0 0
      -39 h\n1 g 1485 1950 N 0 39 49 0 0 -39 h\n1 g 1436 1950 N 0 39 49 0 0
      -39 h\n1 g 1388 1950 N 0 39 48 0 0 -39 h\n1 g 1339 1950 N 0 39 49 0 0
      -39 h\n1 g 1290 1950 N 0 39 49 0 0 -39 h\n1 g 1242 1950 N 0 39 48 0 0
      -39 h\n1 g 1193 1950 N 0 39 49 0 0 -39 h\n1 g 5957 1911 N 0 39 49 0 0
      -39 h\n1 g 5909 1911 N 0 39 48 0 0 -39 h\n1 g 5860 1911 N 0 39 49 0 0
      -39 h\n1 g 5811 1911 N 0 39 49 0 0 -39 h\n1 g 5763 1911 N 0 39 48 0 0
      -39 h\n1 g 5714 1911 N 0 39 49 0 0 -39 h\n1 g 5665 1911 N 0 39 49 0 0
      -39 h\n1 g 5617 1911 N 0 39 48 0 0 -39 h\n1 g 5568 1911 N 0 39 49 0 0
      -39 h\n1 g 5520 1911 N 0 39 48 0 0 -39 h\n1 g 5471 1911 N 0 39 49 0 0
      -39 h\n1 g 5422 1911 N 0 39 49 0 0 -39 h\n1 g 5374 1911 N 0 39 48 0 0
      -39 h\n1 g 5325 1911 N 0 39 49 0 0 -39 h\n1 g 5277 1911 N 0 39 48 0 0
      -39 h\n1 g 5228 1911 N 0 39 49 0 0 -39 h\n1 g 5179 1911 N 0 39 49 0 0
      -39 h\n1 g 5131 1911 N 0 39 48 0 0 -39 h\n1 g 5082 1911 N 0 39 49 0 0
      -39 h\n1 g 5034 1911 N 0 39 48 0 0 -39 h\n1 g 4985 1911 N 0 39 49 0 0
      -39 h\n1 g 4936 1911 N 0 39 49 0 0 -39 h\n1 g 4888 1911 N 0 39 48 0 0
      -39 h\n1 g 4839 1911 N 0 39 49 0 0 -39 h\n1 g 4790 1911 N 0 39 49 0 0
      -39 h\n1 g 4742 1911 N 0 39 48 0 0 -39 h\n1 g 4693 1911 N 0 39 49 0 0
      -39 h\n1 g 4645 1911 N 0 39 48 0 0 -39 h\n1 g 4596 1911 N 0 39 49 0 0
      -39 h\n1 g 4547 1911 N 0 39 49 0 0 -39 h\n1 g 4499 1911 N 0 39 48 0 0
      -39 h\n.9 g 4450 1911 N 0 39 49 0 0 -39 h\n.8 g 4402 1911 N 0 39 48 0 0
      -39 h\n.8 g 4353 1911 N 0 39 49 0 0 -39 h\n.8 g 4304 1911 N 0 39 49 0 0
      -39 h\n.8 g 4256 1911 N 0 39 48 0 0 -39 h\n.8 g 4207 1911 N 0 39 49 0 0
      -39 h\n.8 g 4159 1911 N 0 39 48 0 0 -39 h\n.8 g 4110 1911 N 0 39 49 0 0
      -39 h\n.8 g 4061 1911 N 0 39 49 0 0 -39 h\n.8 g 4013 1911 N 0 39 48 0 0
      -39 h\n.8 g 3964 1911 N 0 39 49 0 0 -39 h\n.8 g 3915 1911 N 0 39 49 0 0
      -39 h\n.8 g 3867 1911 N 0 39 48 0 0 -39 h\n.8 g 3818 1911 N 0 39 49 0 0
      -39 h\n.8 g 3770 1911 N 0 39 48 0 0 -39 h\n.8 g 3721 1911 N 0 39 49 0 0
      -39 h\n.8 g 3672 1911 N 0 39 49 0 0 -39 h\n.8 g 3624 1911 N 0 39 48 0 0
      -39 h\n.8 g 3575 1911 N 0 39 49 0 0 -39 h\n.8 g 3527 1911 N 0 39 48 0 0
      -39 h\n.8 g 3478 1911 N 0 39 49 0 0 -39 h\n.8 g 3429 1911 N 0 39 49 0 0
      -39 h\n.8 g 3381 1911 N 0 39 48 0 0 -39 h\n.8 g 3332 1911 N 0 39 49 0 0
      -39 h\n.8 g 3284 1911 N 0 39 48 0 0 -39 h\n.8 g 3235 1911 N 0 39 49 0 0
      -39 h\n.8 g 3186 1911 N 0 39 49 0 0 -39 h\n.8 g 3138 1911 N 0 39 48 0 0
      -39 h\n.8 g 3089 1911 N 0 39 49 0 0 -39 h\n.8 g 3040 1911 N 0 39 49 0 0
      -39 h\n.8 g 2992 1911 N 0 39 48 0 0 -39 h\n.8 g 2943 1911 N 0 39 49 0 0
      -39 h\n.8 g 2895 1911 N 0 39 48 0 0 -39 h\n.8 g 2846 1911 N 0 39 49 0 0
      -39 h\n.8 g 2797 1911 N 0 39 49 0 0 -39 h\n.8 g 2749 1911 N 0 39 48 0 0
      -39 h\n.9 g 2700 1911 N 0 39 49 0 0 -39 h\n1 g 2652 1911 N 0 39 48 0 0
      -39 h\n1 g 2603 1911 N 0 39 49 0 0 -39 h\n1 g 2554 1911 N 0 39 49 0 0
      -39 h\n1 g 2506 1911 N 0 39 48 0 0 -39 h\n1 g 2457 1911 N 0 39 49 0 0
      -39 h\n1 g 2409 1911 N 0 39 48 0 0 -39 h\n1 g 2360 1911 N 0 39 49 0 0
      -39 h\n1 g 2311 1911 N 0 39 49 0 0 -39 h\n1 g 2263 1911 N 0 39 48 0 0
      -39 h\n1 g 2214 1911 N 0 39 49 0 0 -39 h\n1 g 2165 1911 N 0 39 49 0 0
      -39 h\n1 g 2117 1911 N 0 39 48 0 0 -39 h\n1 g 2068 1911 N 0 39 49 0 0
      -39 h\n1 g 2020 1911 N 0 39 48 0 0 -39 h\n1 g 1971 1911 N 0 39 49 0 0
      -39 h\n1 g 1922 1911 N 0 39 49 0 0 -39 h\n1 g 1874 1911 N 0 39 48 0 0
      -39 h\n1 g 1825 1911 N 0 39 49 0 0 -39 h\n1 g 1777 1911 N 0 39 48 0 0
      -39 h\n1 g 1728 1911 N 0 39 49 0 0 -39 h\n1 g 1679 1911 N 0 39 49 0 0
      -39 h\n1 g 1631 1911 N 0 39 48 0 0 -39 h\n1 g 1582 1911 N 0 39 49 0 0
      -39 h\n1 g 1534 1911 N 0 39 48 0 0 -39 h\n1 g 1485 1911 N 0 39 49 0 0
      -39 h\n1 g 1436 1911 N 0 39 49 0 0 -39 h\n1 g 1388 1911 N 0 39 48 0 0
      -39 h\n1 g 1339 1911 N 0 39 49 0 0 -39 h\n1 g 1290 1911 N 0 39 49 0 0
      -39 h\n1 g 1242 1911 N 0 39 48 0 0 -39 h\n1 g 1193 1911 N 0 39 49 0 0
      -39 h\n1 g 5957 1872 N 0 38 49 0 0 -38 h\n1 g 5909 1872 N 0 38 48 0 0
      -38 h\n1 g 5860 1872 N 0 38 49 0 0 -38 h\n1 g 5811 1872 N 0 38 49 0 0
      -38 h\n1 g 5763 1872 N 0 38 48 0 0 -38 h\n1 g 5714 1872 N 0 38 49 0 0
      -38 h\n1 g 5665 1872 N 0 38 49 0 0 -38 h\n1 g 5617 1872 N 0 38 48 0 0
      -38 h\n1 g 5568 1872 N 0 38 49 0 0 -38 h\n1 g 5520 1872 N 0 38 48 0 0
      -38 h\n1 g 5471 1872 N 0 38 49 0 0 -38 h\n1 g 5422 1872 N 0 38 49 0 0
      -38 h\n1 g 5374 1872 N 0 38 48 0 0 -38 h\n1 g 5325 1872 N 0 38 49 0 0
      -38 h\n1 g 5277 1872 N 0 38 48 0 0 -38 h\n1 g 5228 1872 N 0 38 49 0 0
      -38 h\n1 g 5179 1872 N 0 38 49 0 0 -38 h\n1 g 5131 1872 N 0 38 48 0 0
      -38 h\n1 g 5082 1872 N 0 38 49 0 0 -38 h\n1 g 5034 1872 N 0 38 48 0 0
      -38 h\n1 g 4985 1872 N 0 38 49 0 0 -38 h\n1 g 4936 1872 N 0 38 49 0 0
      -38 h\n1 g 4888 1872 N 0 38 48 0 0 -38 h\n1 g 4839 1872 N 0 38 49 0 0
      -38 h\n1 g 4790 1872 N 0 38 49 0 0 -38 h\n1 g 4742 1872 N 0 38 48 0 0
      -38 h\n1 g 4693 1872 N 0 38 49 0 0 -38 h\n1 g 4645 1872 N 0 38 48 0 0
      -38 h\n1 g 4596 1872 N 0 38 49 0 0 -38 h\n1 g 4547 1872 N 0 38 49 0 0
      -38 h\n1 g 4499 1872 N 0 38 48 0 0 -38 h\n.95 g 4450 1872 N 0 38 49 0 0
      -38 h\n.85 g 4402 1872 N 0 38 48 0 0 -38 h\n.8 g 4353 1872 N 0 38 49 0
      0 -38 h\n.8 g 4304 1872 N 0 38 49 0 0 -38 h\n.8 g 4256 1872 N 0 38 48 0
      0 -38 h\n.8 g 4207 1872 N 0 38 49 0 0 -38 h\n.8 g 4159 1872 N 0 38 48 0
      0 -38 h\n.8 g 4110 1872 N 0 38 49 0 0 -38 h\n.8 g 4061 1872 N 0 38 49 0
      0 -38 h\n.8 g 4013 1872 N 0 38 48 0 0 -38 h\n.8 g 3964 1872 N 0 38 49 0
      0 -38 h\n.8 g 3915 1872 N 0 38 49 0 0 -38 h\n.8 g 3867 1872 N 0 38 48 0
      0 -38 h\n.8 g 3818 1872 N 0 38 49 0 0 -38 h\n.8 g 3770 1872 N 0 38 48 0
      0 -38 h\n.8 g 3721 1872 N 0 38 49 0 0 -38 h\n.8 g 3672 1872 N 0 38 49 0
      0 -38 h\n.8 g 3624 1872 N 0 38 48 0 0 -38 h\n.8 g 3575 1872 N 0 38 49 0
      0 -38 h\n.8 g 3527 1872 N 0 38 48 0 0 -38 h\n.8 g 3478 1872 N 0 38 49 0
      0 -38 h\n.8 g 3429 1872 N 0 38 49 0 0 -38 h\n.8 g 3381 1872 N 0 38 48 0
      0 -38 h\n.8 g 3332 1872 N 0 38 49 0 0 -38 h\n.8 g 3284 1872 N 0 38 48 0
      0 -38 h\n.8 g 3235 1872 N 0 38 49 0 0 -38 h\n.8 g 3186 1872 N 0 38 49 0
      0 -38 h\n.8 g 3138 1872 N 0 38 48 0 0 -38 h\n.8 g 3089 1872 N 0 38 49 0
      0 -38 h\n.8 g 3040 1872 N 0 38 49 0 0 -38 h\n.8 g 2992 1872 N 0 38 48 0
      0 -38 h\n.8 g 2943 1872 N 0 38 49 0 0 -38 h\n.8 g 2895 1872 N 0 38 48 0
      0 -38 h\n.8 g 2846 1872 N 0 38 49 0 0 -38 h\n.8 g 2797 1872 N 0 38 49 0
      0 -38 h\n.85 g 2749 1872 N 0 38 48 0 0 -38 h\n.95 g 2700 1872 N 0 38 49
      0 0 -38 h\n1 g 2652 1872 N 0 38 48 0 0 -38 h\n1 g 2603 1872 N 0 38 49 0
      0 -38 h\n1 g 2554 1872 N 0 38 49 0 0 -38 h\n1 g 2506 1872 N 0 38 48 0 0
      -38 h\n1 g 2457 1872 N 0 38 49 0 0 -38 h\n1 g 2409 1872 N 0 38 48 0 0
      -38 h\n1 g 2360 1872 N 0 38 49 0 0 -38 h\n1 g 2311 1872 N 0 38 49 0 0
      -38 h\n1 g 2263 1872 N 0 38 48 0 0 -38 h\n1 g 2214 1872 N 0 38 49 0 0
      -38 h\n1 g 2165 1872 N 0 38 49 0 0 -38 h\n1 g 2117 1872 N 0 38 48 0 0
      -38 h\n1 g 2068 1872 N 0 38 49 0 0 -38 h\n1 g 2020 1872 N 0 38 48 0 0
      -38 h\n1 g 1971 1872 N 0 38 49 0 0 -38 h\n1 g 1922 1872 N 0 38 49 0 0
      -38 h\n1 g 1874 1872 N 0 38 48 0 0 -38 h\n1 g 1825 1872 N 0 38 49 0 0
      -38 h\n1 g 1777 1872 N 0 38 48 0 0 -38 h\n1 g 1728 1872 N 0 38 49 0 0
      -38 h\n1 g 1679 1872 N 0 38 49 0 0 -38 h\n1 g 1631 1872 N 0 38 48 0 0
      -38 h\n1 g 1582 1872 N 0 38 49 0 0 -38 h\n1 g 1534 1872 N 0 38 48 0 0
      -38 h\n1 g 1485 1872 N 0 38 49 0 0 -38 h\n1 g 1436 1872 N 0 38 49 0 0
      -38 h\n1 g 1388 1872 N 0 38 48 0 0 -38 h\n1 g 1339 1872 N 0 38 49 0 0
      -38 h\n1 g 1290 1872 N 0 38 49 0 0 -38 h\n1 g 1242 1872 N 0 38 48 0 0
      -38 h\n1 g 1193 1872 N 0 38 49 0 0 -38 h\n1 g 5957 1834 N 0 39 49 0 0
      -39 h\n1 g 5909 1834 N 0 39 48 0 0 -39 h\n1 g 5860 1834 N 0 39 49 0 0
      -39 h\n1 g 5811 1834 N 0 39 49 0 0 -39 h\n1 g 5763 1834 N 0 39 48 0 0
      -39 h\n1 g 5714 1834 N 0 39 49 0 0 -39 h\n1 g 5665 1834 N 0 39 49 0 0
      -39 h\n1 g 5617 1834 N 0 39 48 0 0 -39 h\n1 g 5568 1834 N 0 39 49 0 0
      -39 h\n1 g 5520 1834 N 0 39 48 0 0 -39 h\n1 g 5471 1834 N 0 39 49 0 0
      -39 h\n1 g 5422 1834 N 0 39 49 0 0 -39 h\n1 g 5374 1834 N 0 39 48 0 0
      -39 h\n1 g 5325 1834 N 0 39 49 0 0 -39 h\n1 g 5277 1834 N 0 39 48 0 0
      -39 h\n1 g 5228 1834 N 0 39 49 0 0 -39 h\n1 g 5179 1834 N 0 39 49 0 0
      -39 h\n1 g 5131 1834 N 0 39 48 0 0 -39 h\n1 g 5082 1834 N 0 39 49 0 0
      -39 h\n1 g 5034 1834 N 0 39 48 0 0 -39 h\n1 g 4985 1834 N 0 39 49 0 0
      -39 h\n1 g 4936 1834 N 0 39 49 0 0 -39 h\n1 g 4888 1834 N 0 39 48 0 0
      -39 h\n1 g 4839 1834 N 0 39 49 0 0 -39 h\n1 g 4790 1834 N 0 39 49 0 0
      -39 h\n1 g 4742 1834 N 0 39 48 0 0 -39 h\n1 g 4693 1834 N 0 39 49 0 0
      -39 h\n1 g 4645 1834 N 0 39 48 0 0 -39 h\n1 g 4596 1834 N 0 39 49 0 0
      -39 h\n1 g 4547 1834 N 0 39 49 0 0 -39 h\n1 g 4499 1834 N 0 39 48 0 0
      -39 h\n1 g 4450 1834 N 0 39 49 0 0 -39 h\n.9 g 4402 1834 N 0 39 48 0 0
      -39 h\n.8 g 4353 1834 N 0 39 49 0 0 -39 h\n.8 g 4304 1834 N 0 39 49 0 0
      -39 h\n.8 g 4256 1834 N 0 39 48 0 0 -39 h\n.8 g 4207 1834 N 0 39 49 0 0
      -39 h\n.8 g 4159 1834 N 0 39 48 0 0 -39 h\n.8 g 4110 1834 N 0 39 49 0 0
      -39 h\n.8 g 4061 1834 N 0 39 49 0 0 -39 h\n.8 g 4013 1834 N 0 39 48 0 0
      -39 h\n.8 g 3964 1834 N 0 39 49 0 0 -39 h\n.8 g 3915 1834 N 0 39 49 0 0
      -39 h\n.8 g 3867 1834 N 0 39 48 0 0 -39 h\n.8 g 3818 1834 N 0 39 49 0 0
      -39 h\n.8 g 3770 1834 N 0 39 48 0 0 -39 h\n.8 g 3721 1834 N 0 39 49 0 0
      -39 h\n.8 g 3672 1834 N 0 39 49 0 0 -39 h\n.8 g 3624 1834 N 0 39 48 0 0
      -39 h\n.8 g 3575 1834 N 0 39 49 0 0 -39 h\n.8 g 3527 1834 N 0 39 48 0 0
      -39 h\n.8 g 3478 1834 N 0 39 49 0 0 -39 h\n.8 g 3429 1834 N 0 39 49 0 0
      -39 h\n.8 g 3381 1834 N 0 39 48 0 0 -39 h\n.8 g 3332 1834 N 0 39 49 0 0
      -39 h\n.8 g 3284 1834 N 0 39 48 0 0 -39 h\n.8 g 3235 1834 N 0 39 49 0 0
      -39 h\n.8 g 3186 1834 N 0 39 49 0 0 -39 h\n.8 g 3138 1834 N 0 39 48 0 0
      -39 h\n.8 g 3089 1834 N 0 39 49 0 0 -39 h\n.8 g 3040 1834 N 0 39 49 0 0
      -39 h\n.8 g 2992 1834 N 0 39 48 0 0 -39 h\n.8 g 2943 1834 N 0 39 49 0 0
      -39 h\n.8 g 2895 1834 N 0 39 48 0 0 -39 h\n.8 g 2846 1834 N 0 39 49 0 0
      -39 h\n.8 g 2797 1834 N 0 39 49 0 0 -39 h\n.9 g 2749 1834 N 0 39 48 0 0
      -39 h\n1 g 2700 1834 N 0 39 49 0 0 -39 h\n1 g 2652 1834 N 0 39 48 0 0
      -39 h\n1 g 2603 1834 N 0 39 49 0 0 -39 h\n1 g 2554 1834 N 0 39 49 0 0
      -39 h\n1 g 2506 1834 N 0 39 48 0 0 -39 h\n1 g 2457 1834 N 0 39 49 0 0
      -39 h\n1 g 2409 1834 N 0 39 48 0 0 -39 h\n1 g 2360 1834 N 0 39 49 0 0
      -39 h\n1 g 2311 1834 N 0 39 49 0 0 -39 h\n1 g 2263 1834 N 0 39 48 0 0
      -39 h\n1 g 2214 1834 N 0 39 49 0 0 -39 h\n1 g 2165 1834 N 0 39 49 0 0
      -39 h\n1 g 2117 1834 N 0 39 48 0 0 -39 h\n1 g 2068 1834 N 0 39 49 0 0
      -39 h\n1 g 2020 1834 N 0 39 48 0 0 -39 h\n1 g 1971 1834 N 0 39 49 0 0
      -39 h\n1 g 1922 1834 N 0 39 49 0 0 -39 h\n1 g 1874 1834 N 0 39 48 0 0
      -39 h\n1 g 1825 1834 N 0 39 49 0 0 -39 h\n1 g 1777 1834 N 0 39 48 0 0
      -39 h\n1 g 1728 1834 N 0 39 49 0 0 -39 h\n1 g 1679 1834 N 0 39 49 0 0
      -39 h\n1 g 1631 1834 N 0 39 48 0 0 -39 h\n1 g 1582 1834 N 0 39 49 0 0
      -39 h\n1 g 1534 1834 N 0 39 48 0 0 -39 h\n1 g 1485 1834 N 0 39 49 0 0
      -39 h\n1 g 1436 1834 N 0 39 49 0 0 -39 h\n1 g 1388 1834 N 0 39 48 0 0
      -39 h\n1 g 1339 1834 N 0 39 49 0 0 -39 h\n1 g 1290 1834 N 0 39 49 0 0
      -39 h\n1 g 1242 1834 N 0 39 48 0 0 -39 h\n1 g 1193 1834 N 0 39 49 0 0
      -39 h\n1 g 5957 1795 N 0 39 49 0 0 -39 h\n1 g 5909 1795 N 0 39 48 0 0
      -39 h\n1 g 5860 1795 N 0 39 49 0 0 -39 h\n1 g 5811 1795 N 0 39 49 0 0
      -39 h\n1 g 5763 1795 N 0 39 48 0 0 -39 h\n1 g 5714 1795 N 0 39 49 0 0
      -39 h\n1 g 5665 1795 N 0 39 49 0 0 -39 h\n1 g 5617 1795 N 0 39 48 0 0
      -39 h\n1 g 5568 1795 N 0 39 49 0 0 -39 h\n1 g 5520 1795 N 0 39 48 0 0
      -39 h\n1 g 5471 1795 N 0 39 49 0 0 -39 h\n1 g 5422 1795 N 0 39 49 0 0
      -39 h\n1 g 5374 1795 N 0 39 48 0 0 -39 h\n1 g 5325 1795 N 0 39 49 0 0
      -39 h\n1 g 5277 1795 N 0 39 48 0 0 -39 h\n1 g 5228 1795 N 0 39 49 0 0
      -39 h\n1 g 5179 1795 N 0 39 49 0 0 -39 h\n1 g 5131 1795 N 0 39 48 0 0
      -39 h\n1 g 5082 1795 N 0 39 49 0 0 -39 h\n1 g 5034 1795 N 0 39 48 0 0
      -39 h\n1 g 4985 1795 N 0 39 49 0 0 -39 h\n1 g 4936 1795 N 0 39 49 0 0
      -39 h\n1 g 4888 1795 N 0 39 48 0 0 -39 h\n1 g 4839 1795 N 0 39 49 0 0
      -39 h\n1 g 4790 1795 N 0 39 49 0 0 -39 h\n1 g 4742 1795 N 0 39 48 0 0
      -39 h\n1 g 4693 1795 N 0 39 49 0 0 -39 h\n1 g 4645 1795 N 0 39 48 0 0
      -39 h\n1 g 4596 1795 N 0 39 49 0 0 -39 h\n1 g 4547 1795 N 0 39 49 0 0
      -39 h\n1 g 4499 1795 N 0 39 48 0 0 -39 h\n1 g 4450 1795 N 0 39 49 0 0
      -39 h\n.9 g 4402 1795 N 0 39 48 0 0 -39 h\n.8 g 4353 1795 N 0 39 49 0 0
      -39 h\n.8 g 4304 1795 N 0 39 49 0 0 -39 h\n.8 g 4256 1795 N 0 39 48 0 0
      -39 h\n.8 g 4207 1795 N 0 39 49 0 0 -39 h\n.8 g 4159 1795 N 0 39 48 0 0
      -39 h\n.8 g 4110 1795 N 0 39 49 0 0 -39 h\n.8 g 4061 1795 N 0 39 49 0 0
      -39 h\n.8 g 4013 1795 N 0 39 48 0 0 -39 h\n.8 g 3964 1795 N 0 39 49 0 0
      -39 h\n.8 g 3915 1795 N 0 39 49 0 0 -39 h\n.8 g 3867 1795 N 0 39 48 0 0
      -39 h\n.8 g 3818 1795 N 0 39 49 0 0 -39 h\n.8 g 3770 1795 N 0 39 48 0 0
      -39 h\n.8 g 3721 1795 N 0 39 49 0 0 -39 h\n.8 g 3672 1795 N 0 39 49 0 0
      -39 h\n.8 g 3624 1795 N 0 39 48 0 0 -39 h\n.8 g 3575 1795 N 0 39 49 0 0
      -39 h\n.8 g 3527 1795 N 0 39 48 0 0 -39 h\n.8 g 3478 1795 N 0 39 49 0 0
      -39 h\n.8 g 3429 1795 N 0 39 49 0 0 -39 h\n.8 g 3381 1795 N 0 39 48 0 0
      -39 h\n.8 g 3332 1795 N 0 39 49 0 0 -39 h\n.8 g 3284 1795 N 0 39 48 0 0
      -39 h\n.8 g 3235 1795 N 0 39 49 0 0 -39 h\n.8 g 3186 1795 N 0 39 49 0 0
      -39 h\n.8 g 3138 1795 N 0 39 48 0 0 -39 h\n.8 g 3089 1795 N 0 39 49 0 0
      -39 h\n.8 g 3040 1795 N 0 39 49 0 0 -39 h\n.8 g 2992 1795 N 0 39 48 0 0
      -39 h\n.8 g 2943 1795 N 0 39 49 0 0 -39 h\n.8 g 2895 1795 N 0 39 48 0 0
      -39 h\n.8 g 2846 1795 N 0 39 49 0 0 -39 h\n.8 g 2797 1795 N 0 39 49 0 0
      -39 h\n.9 g 2749 1795 N 0 39 48 0 0 -39 h\n1 g 2700 1795 N 0 39 49 0 0
      -39 h\n1 g 2652 1795 N 0 39 48 0 0 -39 h\n1 g 2603 1795 N 0 39 49 0 0
      -39 h\n1 g 2554 1795 N 0 39 49 0 0 -39 h\n1 g 2506 1795 N 0 39 48 0 0
      -39 h\n1 g 2457 1795 N 0 39 49 0 0 -39 h\n1 g 2409 1795 N 0 39 48 0 0
      -39 h\n1 g 2360 1795 N 0 39 49 0 0 -39 h\n1 g 2311 1795 N 0 39 49 0 0
      -39 h\n1 g 2263 1795 N 0 39 48 0 0 -39 h\n1 g 2214 1795 N 0 39 49 0 0
      -39 h\n1 g 2165 1795 N 0 39 49 0 0 -39 h\n1 g 2117 1795 N 0 39 48 0 0
      -39 h\n1 g 2068 1795 N 0 39 49 0 0 -39 h\n1 g 2020 1795 N 0 39 48 0 0
      -39 h\n1 g 1971 1795 N 0 39 49 0 0 -39 h\n1 g 1922 1795 N 0 39 49 0 0
      -39 h\n1 g 1874 1795 N 0 39 48 0 0 -39 h\n1 g 1825 1795 N 0 39 49 0 0
      -39 h\n1 g 1777 1795 N 0 39 48 0 0 -39 h\n1 g 1728 1795 N 0 39 49 0 0
      -39 h\n1 g 1679 1795 N 0 39 49 0 0 -39 h\n1 g 1631 1795 N 0 39 48 0 0
      -39 h\n1 g 1582 1795 N 0 39 49 0 0 -39 h\n1 g 1534 1795 N 0 39 48 0 0
      -39 h\n1 g 1485 1795 N 0 39 49 0 0 -39 h\n1 g 1436 1795 N 0 39 49 0 0
      -39 h\n1 g 1388 1795 N 0 39 48 0 0 -39 h\n1 g 1339 1795 N 0 39 49 0 0
      -39 h\n1 g 1290 1795 N 0 39 49 0 0 -39 h\n1 g 1242 1795 N 0 39 48 0 0
      -39 h\n1 g 1193 1795 N 0 39 49 0 0 -39 h\n1 g 5957 1756 N 0 39 49 0 0
      -39 h\n1 g 5909 1756 N 0 39 48 0 0 -39 h\n1 g 5860 1756 N 0 39 49 0 0
      -39 h\n1 g 5811 1756 N 0 39 49 0 0 -39 h\n1 g 5763 1756 N 0 39 48 0 0
      -39 h\n1 g 5714 1756 N 0 39 49 0 0 -39 h\n1 g 5665 1756 N 0 39 49 0 0
      -39 h\n1 g 5617 1756 N 0 39 48 0 0 -39 h\n1 g 5568 1756 N 0 39 49 0 0
      -39 h\n1 g 5520 1756 N 0 39 48 0 0 -39 h\n1 g 5471 1756 N 0 39 49 0 0
      -39 h\n1 g 5422 1756 N 0 39 49 0 0 -39 h\n1 g 5374 1756 N 0 39 48 0 0
      -39 h\n1 g 5325 1756 N 0 39 49 0 0 -39 h\n1 g 5277 1756 N 0 39 48 0 0
      -39 h\n1 g 5228 1756 N 0 39 49 0 0 -39 h\n1 g 5179 1756 N 0 39 49 0 0
      -39 h\n1 g 5131 1756 N 0 39 48 0 0 -39 h\n1 g 5082 1756 N 0 39 49 0 0
      -39 h\n1 g 5034 1756 N 0 39 48 0 0 -39 h\n1 g 4985 1756 N 0 39 49 0 0
      -39 h\n1 g 4936 1756 N 0 39 49 0 0 -39 h\n1 g 4888 1756 N 0 39 48 0 0
      -39 h\n1 g 4839 1756 N 0 39 49 0 0 -39 h\n1 g 4790 1756 N 0 39 49 0 0
      -39 h\n1 g 4742 1756 N 0 39 48 0 0 -39 h\n1 g 4693 1756 N 0 39 49 0 0
      -39 h\n1 g 4645 1756 N 0 39 48 0 0 -39 h\n1 g 4596 1756 N 0 39 49 0 0
      -39 h\n1 g 4547 1756 N 0 39 49 0 0 -39 h\n1 g 4499 1756 N 0 39 48 0 0
      -39 h\n1 g 4450 1756 N 0 39 49 0 0 -39 h\n.95 g 4402 1756 N 0 39 48 0 0
      -39 h\n.85 g 4353 1756 N 0 39 49 0 0 -39 h\n.8 g 4304 1756 N 0 39 49 0
      0 -39 h\n.8 g 4256 1756 N 0 39 48 0 0 -39 h\n.8 g 4207 1756 N 0 39 49 0
      0 -39 h\n.8 g 4159 1756 N 0 39 48 0 0 -39 h\n.8 g 4110 1756 N 0 39 49 0
      0 -39 h\n.8 g 4061 1756 N 0 39 49 0 0 -39 h\n.8 g 4013 1756 N 0 39 48 0
      0 -39 h\n.8 g 3964 1756 N 0 39 49 0 0 -39 h\n.8 g 3915 1756 N 0 39 49 0
      0 -39 h\n.8 g 3867 1756 N 0 39 48 0 0 -39 h\n.8 g 3818 1756 N 0 39 49 0
      0 -39 h\n.8 g 3770 1756 N 0 39 48 0 0 -39 h\n.8 g 3721 1756 N 0 39 49 0
      0 -39 h\n.8 g 3672 1756 N 0 39 49 0 0 -39 h\n.8 g 3624 1756 N 0 39 48 0
      0 -39 h\n.8 g 3575 1756 N 0 39 49 0 0 -39 h\n.8 g 3527 1756 N 0 39 48 0
      0 -39 h\n.8 g 3478 1756 N 0 39 49 0 0 -39 h\n.8 g 3429 1756 N 0 39 49 0
      0 -39 h\n.8 g 3381 1756 N 0 39 48 0 0 -39 h\n.8 g 3332 1756 N 0 39 49 0
      0 -39 h\n.8 g 3284 1756 N 0 39 48 0 0 -39 h\n.8 g 3235 1756 N 0 39 49 0
      0 -39 h\n.8 g 3186 1756 N 0 39 49 0 0 -39 h\n.8 g 3138 1756 N 0 39 48 0
      0 -39 h\n.8 g 3089 1756 N 0 39 49 0 0 -39 h\n.8 g 3040 1756 N 0 39 49 0
      0 -39 h\n.8 g 2992 1756 N 0 39 48 0 0 -39 h\n.8 g 2943 1756 N 0 39 49 0
      0 -39 h\n.8 g 2895 1756 N 0 39 48 0 0 -39 h\n.8 g 2846 1756 N 0 39 49 0
      0 -39 h\n.85 g 2797 1756 N 0 39 49 0 0 -39 h\n.95 g 2749 1756 N 0 39 48
      0 0 -39 h\n1 g 2700 1756 N 0 39 49 0 0 -39 h\n1 g 2652 1756 N 0 39 48 0
      0 -39 h\n1 g 2603 1756 N 0 39 49 0 0 -39 h\n1 g 2554 1756 N 0 39 49 0 0
      -39 h\n1 g 2506 1756 N 0 39 48 0 0 -39 h\n1 g 2457 1756 N 0 39 49 0 0
      -39 h\n1 g 2409 1756 N 0 39 48 0 0 -39 h\n1 g 2360 1756 N 0 39 49 0 0
      -39 h\n1 g 2311 1756 N 0 39 49 0 0 -39 h\n1 g 2263 1756 N 0 39 48 0 0
      -39 h\n1 g 2214 1756 N 0 39 49 0 0 -39 h\n1 g 2165 1756 N 0 39 49 0 0
      -39 h\n1 g 2117 1756 N 0 39 48 0 0 -39 h\n1 g 2068 1756 N 0 39 49 0 0
      -39 h\n1 g 2020 1756 N 0 39 48 0 0 -39 h\n1 g 1971 1756 N 0 39 49 0 0
      -39 h\n1 g 1922 1756 N 0 39 49 0 0 -39 h\n1 g 1874 1756 N 0 39 48 0 0
      -39 h\n1 g 1825 1756 N 0 39 49 0 0 -39 h\n1 g 1777 1756 N 0 39 48 0 0
      -39 h\n1 g 1728 1756 N 0 39 49 0 0 -39 h\n1 g 1679 1756 N 0 39 49 0 0
      -39 h\n1 g 1631 1756 N 0 39 48 0 0 -39 h\n1 g 1582 1756 N 0 39 49 0 0
      -39 h\n1 g 1534 1756 N 0 39 48 0 0 -39 h\n1 g 1485 1756 N 0 39 49 0 0
      -39 h\n1 g 1436 1756 N 0 39 49 0 0 -39 h\n1 g 1388 1756 N 0 39 48 0 0
      -39 h\n1 g 1339 1756 N 0 39 49 0 0 -39 h\n1 g 1290 1756 N 0 39 49 0 0
      -39 h\n1 g 1242 1756 N 0 39 48 0 0 -39 h\n1 g 1193 1756 N 0 39 49 0 0
      -39 h\n1 g 5957 1717 N 0 38 49 0 0 -38 h\n1 g 5909 1717 N 0 38 48 0 0
      -38 h\n1 g 5860 1717 N 0 38 49 0 0 -38 h\n1 g 5811 1717 N 0 38 49 0 0
      -38 h\n1 g 5763 1717 N 0 38 48 0 0 -38 h\n1 g 5714 1717 N 0 38 49 0 0
      -38 h\n1 g 5665 1717 N 0 38 49 0 0 -38 h\n1 g 5617 1717 N 0 38 48 0 0
      -38 h\n1 g 5568 1717 N 0 38 49 0 0 -38 h\n1 g 5520 1717 N 0 38 48 0 0
      -38 h\n1 g 5471 1717 N 0 38 49 0 0 -38 h\n1 g 5422 1717 N 0 38 49 0 0
      -38 h\n1 g 5374 1717 N 0 38 48 0 0 -38 h\n1 g 5325 1717 N 0 38 49 0 0
      -38 h\n1 g 5277 1717 N 0 38 48 0 0 -38 h\n1 g 5228 1717 N 0 38 49 0 0
      -38 h\n1 g 5179 1717 N 0 38 49 0 0 -38 h\n1 g 5131 1717 N 0 38 48 0 0
      -38 h\n1 g 5082 1717 N 0 38 49 0 0 -38 h\n1 g 5034 1717 N 0 38 48 0 0
      -38 h\n1 g 4985 1717 N 0 38 49 0 0 -38 h\n1 g 4936 1717 N 0 38 49 0 0
      -38 h\n1 g 4888 1717 N 0 38 48 0 0 -38 h\n1 g 4839 1717 N 0 38 49 0 0
      -38 h\n1 g 4790 1717 N 0 38 49 0 0 -38 h\n1 g 4742 1717 N 0 38 48 0 0
      -38 h\n1 g 4693 1717 N 0 38 49 0 0 -38 h\n1 g 4645 1717 N 0 38 48 0 0
      -38 h\n1 g 4596 1717 N 0 38 49 0 0 -38 h\n1 g 4547 1717 N 0 38 49 0 0
      -38 h\n1 g 4499 1717 N 0 38 48 0 0 -38 h\n1 g 4450 1717 N 0 38 49 0 0
      -38 h\n1 g 4402 1717 N 0 38 48 0 0 -38 h\n.9 g 4353 1717 N 0 38 49 0 0
      -38 h\n.8 g 4304 1717 N 0 38 49 0 0 -38 h\n.8 g 4256 1717 N 0 38 48 0 0
      -38 h\n.8 g 4207 1717 N 0 38 49 0 0 -38 h\n.8 g 4159 1717 N 0 38 48 0 0
      -38 h\n.8 g 4110 1717 N 0 38 49 0 0 -38 h\n.8 g 4061 1717 N 0 38 49 0 0
      -38 h\n.8 g 4013 1717 N 0 38 48 0 0 -38 h\n.8 g 3964 1717 N 0 38 49 0 0
      -38 h\n.8 g 3915 1717 N 0 38 49 0 0 -38 h\n.8 g 3867 1717 N 0 38 48 0 0
      -38 h\n.8 g 3818 1717 N 0 38 49 0 0 -38 h\n.8 g 3770 1717 N 0 38 48 0 0
      -38 h\n.8 g 3721 1717 N 0 38 49 0 0 -38 h\n.8 g 3672 1717 N 0 38 49 0 0
      -38 h\n.8 g 3624 1717 N 0 38 48 0 0 -38 h\n.8 g 3575 1717 N 0 38 49 0 0
      -38 h\n.8 g 3527 1717 N 0 38 48 0 0 -38 h\n.8 g 3478 1717 N 0 38 49 0 0
      -38 h\n.8 g 3429 1717 N 0 38 49 0 0 -38 h\n.8 g 3381 1717 N 0 38 48 0 0
      -38 h\n.8 g 3332 1717 N 0 38 49 0 0 -38 h\n.8 g 3284 1717 N 0 38 48 0 0
      -38 h\n.8 g 3235 1717 N 0 38 49 0 0 -38 h\n.8 g 3186 1717 N 0 38 49 0 0
      -38 h\n.8 g 3138 1717 N 0 38 48 0 0 -38 h\n.8 g 3089 1717 N 0 38 49 0 0
      -38 h\n.8 g 3040 1717 N 0 38 49 0 0 -38 h\n.8 g 2992 1717 N 0 38 48 0 0
      -38 h\n.8 g 2943 1717 N 0 38 49 0 0 -38 h\n.8 g 2895 1717 N 0 38 48 0 0
      -38 h\n.8 g 2846 1717 N 0 38 49 0 0 -38 h\n.9 g 2797 1717 N 0 38 49 0 0
      -38 h\n1 g 2749 1717 N 0 38 48 0 0 -38 h\n1 g 2700 1717 N 0 38 49 0 0
      -38 h\n1 g 2652 1717 N 0 38 48 0 0 -38 h\n1 g 2603 1717 N 0 38 49 0 0
      -38 h\n1 g 2554 1717 N 0 38 49 0 0 -38 h\n1 g 2506 1717 N 0 38 48 0 0
      -38 h\n1 g 2457 1717 N 0 38 49 0 0 -38 h\n1 g 2409 1717 N 0 38 48 0 0
      -38 h\n1 g 2360 1717 N 0 38 49 0 0 -38 h\n1 g 2311 1717 N 0 38 49 0 0
      -38 h\n1 g 2263 1717 N 0 38 48 0 0 -38 h\n1 g 2214 1717 N 0 38 49 0 0
      -38 h\n1 g 2165 1717 N 0 38 49 0 0 -38 h\n1 g 2117 1717 N 0 38 48 0 0
      -38 h\n1 g 2068 1717 N 0 38 49 0 0 -38 h\n1 g 2020 1717 N 0 38 48 0 0
      -38 h\n1 g 1971 1717 N 0 38 49 0 0 -38 h\n1 g 1922 1717 N 0 38 49 0 0
      -38 h\n1 g 1874 1717 N 0 38 48 0 0 -38 h\n1 g 1825 1717 N 0 38 49 0 0
      -38 h\n1 g 1777 1717 N 0 38 48 0 0 -38 h\n1 g 1728 1717 N 0 38 49 0 0
      -38 h\n1 g 1679 1717 N 0 38 49 0 0 -38 h\n1 g 1631 1717 N 0 38 48 0 0
      -38 h\n1 g 1582 1717 N 0 38 49 0 0 -38 h\n1 g 1534 1717 N 0 38 48 0 0
      -38 h\n1 g 1485 1717 N 0 38 49 0 0 -38 h\n1 g 1436 1717 N 0 38 49 0 0
      -38 h\n1 g 1388 1717 N 0 38 48 0 0 -38 h\n1 g 1339 1717 N 0 38 49 0 0
      -38 h\n1 g 1290 1717 N 0 38 49 0 0 -38 h\n1 g 1242 1717 N 0 38 48 0 0
      -38 h\n1 g 1193 1717 N 0 38 49 0 0 -38 h\n1 g 5957 1679 N 0 39 49 0 0
      -39 h\n1 g 5909 1679 N 0 39 48 0 0 -39 h\n1 g 5860 1679 N 0 39 49 0 0
      -39 h\n1 g 5811 1679 N 0 39 49 0 0 -39 h\n1 g 5763 1679 N 0 39 48 0 0
      -39 h\n1 g 5714 1679 N 0 39 49 0 0 -39 h\n1 g 5665 1679 N 0 39 49 0 0
      -39 h\n1 g 5617 1679 N 0 39 48 0 0 -39 h\n1 g 5568 1679 N 0 39 49 0 0
      -39 h\n1 g 5520 1679 N 0 39 48 0 0 -39 h\n1 g 5471 1679 N 0 39 49 0 0
      -39 h\n1 g 5422 1679 N 0 39 49 0 0 -39 h\n1 g 5374 1679 N 0 39 48 0 0
      -39 h\n1 g 5325 1679 N 0 39 49 0 0 -39 h\n1 g 5277 1679 N 0 39 48 0 0
      -39 h\n1 g 5228 1679 N 0 39 49 0 0 -39 h\n1 g 5179 1679 N 0 39 49 0 0
      -39 h\n1 g 5131 1679 N 0 39 48 0 0 -39 h\n1 g 5082 1679 N 0 39 49 0 0
      -39 h\n1 g 5034 1679 N 0 39 48 0 0 -39 h\n1 g 4985 1679 N 0 39 49 0 0
      -39 h\n1 g 4936 1679 N 0 39 49 0 0 -39 h\n1 g 4888 1679 N 0 39 48 0 0
      -39 h\n1 g 4839 1679 N 0 39 49 0 0 -39 h\n1 g 4790 1679 N 0 39 49 0 0
      -39 h\n1 g 4742 1679 N 0 39 48 0 0 -39 h\n1 g 4693 1679 N 0 39 49 0 0
      -39 h\n1 g 4645 1679 N 0 39 48 0 0 -39 h\n1 g 4596 1679 N 0 39 49 0 0
      -39 h\n1 g 4547 1679 N 0 39 49 0 0 -39 h\n1 g 4499 1679 N 0 39 48 0 0
      -39 h\n1 g 4450 1679 N 0 39 49 0 0 -39 h\n1 g 4402 1679 N 0 39 48 0 0
      -39 h\n.9 g 4353 1679 N 0 39 49 0 0 -39 h\n.8 g 4304 1679 N 0 39 49 0 0
      -39 h\n.8 g 4256 1679 N 0 39 48 0 0 -39 h\n.8 g 4207 1679 N 0 39 49 0 0
      -39 h\n.8 g 4159 1679 N 0 39 48 0 0 -39 h\n.8 g 4110 1679 N 0 39 49 0 0
      -39 h\n.8 g 4061 1679 N 0 39 49 0 0 -39 h\n.8 g 4013 1679 N 0 39 48 0 0
      -39 h\n.8 g 3964 1679 N 0 39 49 0 0 -39 h\n.8 g 3915 1679 N 0 39 49 0 0
      -39 h\n.8 g 3867 1679 N 0 39 48 0 0 -39 h\n.8 g 3818 1679 N 0 39 49 0 0
      -39 h\n.8 g 3770 1679 N 0 39 48 0 0 -39 h\n.8 g 3721 1679 N 0 39 49 0 0
      -39 h\n.8 g 3672 1679 N 0 39 49 0 0 -39 h\n.8 g 3624 1679 N 0 39 48 0 0
      -39 h\n.8 g 3575 1679 N 0 39 49 0 0 -39 h\n.8 g 3527 1679 N 0 39 48 0 0
      -39 h\n.8 g 3478 1679 N 0 39 49 0 0 -39 h\n.8 g 3429 1679 N 0 39 49 0 0
      -39 h\n.8 g 3381 1679 N 0 39 48 0 0 -39 h\n.8 g 3332 1679 N 0 39 49 0 0
      -39 h\n.8 g 3284 1679 N 0 39 48 0 0 -39 h\n.8 g 3235 1679 N 0 39 49 0 0
      -39 h\n.8 g 3186 1679 N 0 39 49 0 0 -39 h\n.8 g 3138 1679 N 0 39 48 0 0
      -39 h\n.8 g 3089 1679 N 0 39 49 0 0 -39 h\n.8 g 3040 1679 N 0 39 49 0 0
      -39 h\n.8 g 2992 1679 N 0 39 48 0 0 -39 h\n.8 g 2943 1679 N 0 39 49 0 0
      -39 h\n.8 g 2895 1679 N 0 39 48 0 0 -39 h\n.8 g 2846 1679 N 0 39 49 0 0
      -39 h\n.9 g 2797 1679 N 0 39 49 0 0 -39 h\n1 g 2749 1679 N 0 39 48 0 0
      -39 h\n1 g 2700 1679 N 0 39 49 0 0 -39 h\n1 g 2652 1679 N 0 39 48 0 0
      -39 h\n1 g 2603 1679 N 0 39 49 0 0 -39 h\n1 g 2554 1679 N 0 39 49 0 0
      -39 h\n1 g 2506 1679 N 0 39 48 0 0 -39 h\n1 g 2457 1679 N 0 39 49 0 0
      -39 h\n1 g 2409 1679 N 0 39 48 0 0 -39 h\n1 g 2360 1679 N 0 39 49 0 0
      -39 h\n1 g 2311 1679 N 0 39 49 0 0 -39 h\n1 g 2263 1679 N 0 39 48 0 0
      -39 h\n1 g 2214 1679 N 0 39 49 0 0 -39 h\n1 g 2165 1679 N 0 39 49 0 0
      -39 h\n1 g 2117 1679 N 0 39 48 0 0 -39 h\n1 g 2068 1679 N 0 39 49 0 0
      -39 h\n1 g 2020 1679 N 0 39 48 0 0 -39 h\n1 g 1971 1679 N 0 39 49 0 0
      -39 h\n1 g 1922 1679 N 0 39 49 0 0 -39 h\n1 g 1874 1679 N 0 39 48 0 0
      -39 h\n1 g 1825 1679 N 0 39 49 0 0 -39 h\n1 g 1777 1679 N 0 39 48 0 0
      -39 h\n1 g 1728 1679 N 0 39 49 0 0 -39 h\n1 g 1679 1679 N 0 39 49 0 0
      -39 h\n1 g 1631 1679 N 0 39 48 0 0 -39 h\n1 g 1582 1679 N 0 39 49 0 0
      -39 h\n1 g 1534 1679 N 0 39 48 0 0 -39 h\n1 g 1485 1679 N 0 39 49 0 0
      -39 h\n1 g 1436 1679 N 0 39 49 0 0 -39 h\n1 g 1388 1679 N 0 39 48 0 0
      -39 h\n1 g 1339 1679 N 0 39 49 0 0 -39 h\n1 g 1290 1679 N 0 39 49 0 0
      -39 h\n1 g 1242 1679 N 0 39 48 0 0 -39 h\n1 g 1193 1679 N 0 39 49 0 0
      -39 h\n1 g 5957 1640 N 0 39 49 0 0 -39 h\n1 g 5909 1640 N 0 39 48 0 0
      -39 h\n1 g 5860 1640 N 0 39 49 0 0 -39 h\n1 g 5811 1640 N 0 39 49 0 0
      -39 h\n1 g 5763 1640 N 0 39 48 0 0 -39 h\n1 g 5714 1640 N 0 39 49 0 0
      -39 h\n1 g 5665 1640 N 0 39 49 0 0 -39 h\n1 g 5617 1640 N 0 39 48 0 0
      -39 h\n1 g 5568 1640 N 0 39 49 0 0 -39 h\n1 g 5520 1640 N 0 39 48 0 0
      -39 h\n1 g 5471 1640 N 0 39 49 0 0 -39 h\n1 g 5422 1640 N 0 39 49 0 0
      -39 h\n1 g 5374 1640 N 0 39 48 0 0 -39 h\n1 g 5325 1640 N 0 39 49 0 0
      -39 h\n1 g 5277 1640 N 0 39 48 0 0 -39 h\n1 g 5228 1640 N 0 39 49 0 0
      -39 h\n1 g 5179 1640 N 0 39 49 0 0 -39 h\n1 g 5131 1640 N 0 39 48 0 0
      -39 h\n1 g 5082 1640 N 0 39 49 0 0 -39 h\n1 g 5034 1640 N 0 39 48 0 0
      -39 h\n1 g 4985 1640 N 0 39 49 0 0 -39 h\n1 g 4936 1640 N 0 39 49 0 0
      -39 h\n1 g 4888 1640 N 0 39 48 0 0 -39 h\n1 g 4839 1640 N 0 39 49 0 0
      -39 h\n1 g 4790 1640 N 0 39 49 0 0 -39 h\n1 g 4742 1640 N 0 39 48 0 0
      -39 h\n1 g 4693 1640 N 0 39 49 0 0 -39 h\n1 g 4645 1640 N 0 39 48 0 0
      -39 h\n1 g 4596 1640 N 0 39 49 0 0 -39 h\n1 g 4547 1640 N 0 39 49 0 0
      -39 h\n1 g 4499 1640 N 0 39 48 0 0 -39 h\n1 g 4450 1640 N 0 39 49 0 0
      -39 h\n1 g 4402 1640 N 0 39 48 0 0 -39 h\n.95 g 4353 1640 N 0 39 49 0 0
      -39 h\n.85 g 4304 1640 N 0 39 49 0 0 -39 h\n.8 g 4256 1640 N 0 39 48 0
      0 -39 h\n.8 g 4207 1640 N 0 39 49 0 0 -39 h\n.8 g 4159 1640 N 0 39 48 0
      0 -39 h\n.8 g 4110 1640 N 0 39 49 0 0 -39 h\n.8 g 4061 1640 N 0 39 49 0
      0 -39 h\n.8 g 4013 1640 N 0 39 48 0 0 -39 h\n.8 g 3964 1640 N 0 39 49 0
      0 -39 h\n.8 g 3915 1640 N 0 39 49 0 0 -39 h\n.8 g 3867 1640 N 0 39 48 0
      0 -39 h\n.8 g 3818 1640 N 0 39 49 0 0 -39 h\n.8 g 3770 1640 N 0 39 48 0
      0 -39 h\n.8 g 3721 1640 N 0 39 49 0 0 -39 h\n.8 g 3672 1640 N 0 39 49 0
      0 -39 h\n.8 g 3624 1640 N 0 39 48 0 0 -39 h\n.8 g 3575 1640 N 0 39 49 0
      0 -39 h\n.8 g 3527 1640 N 0 39 48 0 0 -39 h\n.8 g 3478 1640 N 0 39 49 0
      0 -39 h\n.8 g 3429 1640 N 0 39 49 0 0 -39 h\n.8 g 3381 1640 N 0 39 48 0
      0 -39 h\n.8 g 3332 1640 N 0 39 49 0 0 -39 h\n.8 g 3284 1640 N 0 39 48 0
      0 -39 h\n.8 g 3235 1640 N 0 39 49 0 0 -39 h\n.8 g 3186 1640 N 0 39 49 0
      0 -39 h\n.8 g 3138 1640 N 0 39 48 0 0 -39 h\n.8 g 3089 1640 N 0 39 49 0
      0 -39 h\n.8 g 3040 1640 N 0 39 49 0 0 -39 h\n.8 g 2992 1640 N 0 39 48 0
      0 -39 h\n.8 g 2943 1640 N 0 39 49 0 0 -39 h\n.8 g 2895 1640 N 0 39 48 0
      0 -39 h\n.85 g 2846 1640 N 0 39 49 0 0 -39 h\n.95 g 2797 1640 N 0 39 49
      0 0 -39 h\n1 g 2749 1640 N 0 39 48 0 0 -39 h\n1 g 2700 1640 N 0 39 49 0
      0 -39 h\n1 g 2652 1640 N 0 39 48 0 0 -39 h\n1 g 2603 1640 N 0 39 49 0 0
      -39 h\n1 g 2554 1640 N 0 39 49 0 0 -39 h\n1 g 2506 1640 N 0 39 48 0 0
      -39 h\n1 g 2457 1640 N 0 39 49 0 0 -39 h\n1 g 2409 1640 N 0 39 48 0 0
      -39 h\n1 g 2360 1640 N 0 39 49 0 0 -39 h\n1 g 2311 1640 N 0 39 49 0 0
      -39 h\n1 g 2263 1640 N 0 39 48 0 0 -39 h\n1 g 2214 1640 N 0 39 49 0 0
      -39 h\n1 g 2165 1640 N 0 39 49 0 0 -39 h\n1 g 2117 1640 N 0 39 48 0 0
      -39 h\n1 g 2068 1640 N 0 39 49 0 0 -39 h\n1 g 2020 1640 N 0 39 48 0 0
      -39 h\n1 g 1971 1640 N 0 39 49 0 0 -39 h\n1 g 1922 1640 N 0 39 49 0 0
      -39 h\n1 g 1874 1640 N 0 39 48 0 0 -39 h\n1 g 1825 1640 N 0 39 49 0 0
      -39 h\n1 g 1777 1640 N 0 39 48 0 0 -39 h\n1 g 1728 1640 N 0 39 49 0 0
      -39 h\n1 g 1679 1640 N 0 39 49 0 0 -39 h\n1 g 1631 1640 N 0 39 48 0 0
      -39 h\n1 g 1582 1640 N 0 39 49 0 0 -39 h\n1 g 1534 1640 N 0 39 48 0 0
      -39 h\n1 g 1485 1640 N 0 39 49 0 0 -39 h\n1 g 1436 1640 N 0 39 49 0 0
      -39 h\n1 g 1388 1640 N 0 39 48 0 0 -39 h\n1 g 1339 1640 N 0 39 49 0 0
      -39 h\n1 g 1290 1640 N 0 39 49 0 0 -39 h\n1 g 1242 1640 N 0 39 48 0 0
      -39 h\n1 g 1193 1640 N 0 39 49 0 0 -39 h\n1 g 5957 1601 N 0 39 49 0 0
      -39 h\n1 g 5909 1601 N 0 39 48 0 0 -39 h\n1 g 5860 1601 N 0 39 49 0 0
      -39 h\n1 g 5811 1601 N 0 39 49 0 0 -39 h\n1 g 5763 1601 N 0 39 48 0 0
      -39 h\n1 g 5714 1601 N 0 39 49 0 0 -39 h\n1 g 5665 1601 N 0 39 49 0 0
      -39 h\n1 g 5617 1601 N 0 39 48 0 0 -39 h\n1 g 5568 1601 N 0 39 49 0 0
      -39 h\n1 g 5520 1601 N 0 39 48 0 0 -39 h\n1 g 5471 1601 N 0 39 49 0 0
      -39 h\n1 g 5422 1601 N 0 39 49 0 0 -39 h\n1 g 5374 1601 N 0 39 48 0 0
      -39 h\n1 g 5325 1601 N 0 39 49 0 0 -39 h\n1 g 5277 1601 N 0 39 48 0 0
      -39 h\n1 g 5228 1601 N 0 39 49 0 0 -39 h\n1 g 5179 1601 N 0 39 49 0 0
      -39 h\n1 g 5131 1601 N 0 39 48 0 0 -39 h\n1 g 5082 1601 N 0 39 49 0 0
      -39 h\n1 g 5034 1601 N 0 39 48 0 0 -39 h\n1 g 4985 1601 N 0 39 49 0 0
      -39 h\n1 g 4936 1601 N 0 39 49 0 0 -39 h\n1 g 4888 1601 N 0 39 48 0 0
      -39 h\n1 g 4839 1601 N 0 39 49 0 0 -39 h\n1 g 4790 1601 N 0 39 49 0 0
      -39 h\n1 g 4742 1601 N 0 39 48 0 0 -39 h\n1 g 4693 1601 N 0 39 49 0 0
      -39 h\n1 g 4645 1601 N 0 39 48 0 0 -39 h\n1 g 4596 1601 N 0 39 49 0 0
      -39 h\n1 g 4547 1601 N 0 39 49 0 0 -39 h\n1 g 4499 1601 N 0 39 48 0 0
      -39 h\n1 g 4450 1601 N 0 39 49 0 0 -39 h\n1 g 4402 1601 N 0 39 48 0 0
      -39 h\n1 g 4353 1601 N 0 39 49 0 0 -39 h\n.9 g 4304 1601 N 0 39 49 0 0
      -39 h\n.8 g 4256 1601 N 0 39 48 0 0 -39 h\n.8 g 4207 1601 N 0 39 49 0 0
      -39 h\n.8 g 4159 1601 N 0 39 48 0 0 -39 h\n.8 g 4110 1601 N 0 39 49 0 0
      -39 h\n.8 g 4061 1601 N 0 39 49 0 0 -39 h\n.8 g 4013 1601 N 0 39 48 0 0
      -39 h\n.8 g 3964 1601 N 0 39 49 0 0 -39 h\n.8 g 3915 1601 N 0 39 49 0 0
      -39 h\n.8 g 3867 1601 N 0 39 48 0 0 -39 h\n.8 g 3818 1601 N 0 39 49 0 0
      -39 h\n.8 g 3770 1601 N 0 39 48 0 0 -39 h\n.8 g 3721 1601 N 0 39 49 0 0
      -39 h\n.8 g 3672 1601 N 0 39 49 0 0 -39 h\n.8 g 3624 1601 N 0 39 48 0 0
      -39 h\n.8 g 3575 1601 N 0 39 49 0 0 -39 h\n.8 g 3527 1601 N 0 39 48 0 0
      -39 h\n.8 g 3478 1601 N 0 39 49 0 0 -39 h\n.8 g 3429 1601 N 0 39 49 0 0
      -39 h\n.8 g 3381 1601 N 0 39 48 0 0 -39 h\n.8 g 3332 1601 N 0 39 49 0 0
      -39 h\n.8 g 3284 1601 N 0 39 48 0 0 -39 h\n.8 g 3235 1601 N 0 39 49 0 0
      -39 h\n.8 g 3186 1601 N 0 39 49 0 0 -39 h\n.8 g 3138 1601 N 0 39 48 0 0
      -39 h\n.8 g 3089 1601 N 0 39 49 0 0 -39 h\n.8 g 3040 1601 N 0 39 49 0 0
      -39 h\n.8 g 2992 1601 N 0 39 48 0 0 -39 h\n.8 g 2943 1601 N 0 39 49 0 0
      -39 h\n.8 g 2895 1601 N 0 39 48 0 0 -39 h\n.9 g 2846 1601 N 0 39 49 0 0
      -39 h\n1 g 2797 1601 N 0 39 49 0 0 -39 h\n1 g 2749 1601 N 0 39 48 0 0
      -39 h\n1 g 2700 1601 N 0 39 49 0 0 -39 h\n1 g 2652 1601 N 0 39 48 0 0
      -39 h\n1 g 2603 1601 N 0 39 49 0 0 -39 h\n1 g 2554 1601 N 0 39 49 0 0
      -39 h\n1 g 2506 1601 N 0 39 48 0 0 -39 h\n1 g 2457 1601 N 0 39 49 0 0
      -39 h\n1 g 2409 1601 N 0 39 48 0 0 -39 h\n1 g 2360 1601 N 0 39 49 0 0
      -39 h\n1 g 2311 1601 N 0 39 49 0 0 -39 h\n1 g 2263 1601 N 0 39 48 0 0
      -39 h\n1 g 2214 1601 N 0 39 49 0 0 -39 h\n1 g 2165 1601 N 0 39 49 0 0
      -39 h\n1 g 2117 1601 N 0 39 48 0 0 -39 h\n1 g 2068 1601 N 0 39 49 0 0
      -39 h\n1 g 2020 1601 N 0 39 48 0 0 -39 h\n1 g 1971 1601 N 0 39 49 0 0
      -39 h\n1 g 1922 1601 N 0 39 49 0 0 -39 h\n1 g 1874 1601 N 0 39 48 0 0
      -39 h\n1 g 1825 1601 N 0 39 49 0 0 -39 h\n1 g 1777 1601 N 0 39 48 0 0
      -39 h\n1 g 1728 1601 N 0 39 49 0 0 -39 h\n1 g 1679 1601 N 0 39 49 0 0
      -39 h\n1 g 1631 1601 N 0 39 48 0 0 -39 h\n1 g 1582 1601 N 0 39 49 0 0
      -39 h\n1 g 1534 1601 N 0 39 48 0 0 -39 h\n1 g 1485 1601 N 0 39 49 0 0
      -39 h\n1 g 1436 1601 N 0 39 49 0 0 -39 h\n1 g 1388 1601 N 0 39 48 0 0
      -39 h\n1 g 1339 1601 N 0 39 49 0 0 -39 h\n1 g 1290 1601 N 0 39 49 0 0
      -39 h\n1 g 1242 1601 N 0 39 48 0 0 -39 h\n1 g 1193 1601 N 0 39 49 0 0
      -39 h\n1 g 5957 1562 N 0 38 49 0 0 -38 h\n1 g 5909 1562 N 0 38 48 0 0
      -38 h\n1 g 5860 1562 N 0 38 49 0 0 -38 h\n1 g 5811 1562 N 0 38 49 0 0
      -38 h\n1 g 5763 1562 N 0 38 48 0 0 -38 h\n1 g 5714 1562 N 0 38 49 0 0
      -38 h\n1 g 5665 1562 N 0 38 49 0 0 -38 h\n1 g 5617 1562 N 0 38 48 0 0
      -38 h\n1 g 5568 1562 N 0 38 49 0 0 -38 h\n1 g 5520 1562 N 0 38 48 0 0
      -38 h\n1 g 5471 1562 N 0 38 49 0 0 -38 h\n1 g 5422 1562 N 0 38 49 0 0
      -38 h\n1 g 5374 1562 N 0 38 48 0 0 -38 h\n1 g 5325 1562 N 0 38 49 0 0
      -38 h\n1 g 5277 1562 N 0 38 48 0 0 -38 h\n1 g 5228 1562 N 0 38 49 0 0
      -38 h\n1 g 5179 1562 N 0 38 49 0 0 -38 h\n1 g 5131 1562 N 0 38 48 0 0
      -38 h\n1 g 5082 1562 N 0 38 49 0 0 -38 h\n1 g 5034 1562 N 0 38 48 0 0
      -38 h\n1 g 4985 1562 N 0 38 49 0 0 -38 h\n1 g 4936 1562 N 0 38 49 0 0
      -38 h\n1 g 4888 1562 N 0 38 48 0 0 -38 h\n1 g 4839 1562 N 0 38 49 0 0
      -38 h\n1 g 4790 1562 N 0 38 49 0 0 -38 h\n1 g 4742 1562 N 0 38 48 0 0
      -38 h\n1 g 4693 1562 N 0 38 49 0 0 -38 h\n1 g 4645 1562 N 0 38 48 0 0
      -38 h\n1 g 4596 1562 N 0 38 49 0 0 -38 h\n1 g 4547 1562 N 0 38 49 0 0
      -38 h\n1 g 4499 1562 N 0 38 48 0 0 -38 h\n1 g 4450 1562 N 0 38 49 0 0
      -38 h\n1 g 4402 1562 N 0 38 48 0 0 -38 h\n1 g 4353 1562 N 0 38 49 0 0
      -38 h\n.9 g 4304 1562 N 0 38 49 0 0 -38 h\n.8 g 4256 1562 N 0 38 48 0 0
      -38 h\n.8 g 4207 1562 N 0 38 49 0 0 -38 h\n.8 g 4159 1562 N 0 38 48 0 0
      -38 h\n.8 g 4110 1562 N 0 38 49 0 0 -38 h\n.8 g 4061 1562 N 0 38 49 0 0
      -38 h\n.8 g 4013 1562 N 0 38 48 0 0 -38 h\n.8 g 3964 1562 N 0 38 49 0 0
      -38 h\n.8 g 3915 1562 N 0 38 49 0 0 -38 h\n.8 g 3867 1562 N 0 38 48 0 0
      -38 h\n.8 g 3818 1562 N 0 38 49 0 0 -38 h\n.8 g 3770 1562 N 0 38 48 0 0
      -38 h\n.8 g 3721 1562 N 0 38 49 0 0 -38 h\n.8 g 3672 1562 N 0 38 49 0 0
      -38 h\n.8 g 3624 1562 N 0 38 48 0 0 -38 h\n.8 g 3575 1562 N 0 38 49 0 0
      -38 h\n.8 g 3527 1562 N 0 38 48 0 0 -38 h\n.8 g 3478 1562 N 0 38 49 0 0
      -38 h\n.8 g 3429 1562 N 0 38 49 0 0 -38 h\n.8 g 3381 1562 N 0 38 48 0 0
      -38 h\n.8 g 3332 1562 N 0 38 49 0 0 -38 h\n.8 g 3284 1562 N 0 38 48 0 0
      -38 h\n.8 g 3235 1562 N 0 38 49 0 0 -38 h\n.8 g 3186 1562 N 0 38 49 0 0
      -38 h\n.8 g 3138 1562 N 0 38 48 0 0 -38 h\n.8 g 3089 1562 N 0 38 49 0 0
      -38 h\n.8 g 3040 1562 N 0 38 49 0 0 -38 h\n.8 g 2992 1562 N 0 38 48 0 0
      -38 h\n.8 g 2943 1562 N 0 38 49 0 0 -38 h\n.8 g 2895 1562 N 0 38 48 0 0
      -38 h\n.9 g 2846 1562 N 0 38 49 0 0 -38 h\n1 g 2797 1562 N 0 38 49 0 0
      -38 h\n1 g 2749 1562 N 0 38 48 0 0 -38 h\n1 g 2700 1562 N 0 38 49 0 0
      -38 h\n1 g 2652 1562 N 0 38 48 0 0 -38 h\n1 g 2603 1562 N 0 38 49 0 0
      -38 h\n1 g 2554 1562 N 0 38 49 0 0 -38 h\n1 g 2506 1562 N 0 38 48 0 0
      -38 h\n1 g 2457 1562 N 0 38 49 0 0 -38 h\n1 g 2409 1562 N 0 38 48 0 0
      -38 h\n1 g 2360 1562 N 0 38 49 0 0 -38 h\n1 g 2311 1562 N 0 38 49 0 0
      -38 h\n1 g 2263 1562 N 0 38 48 0 0 -38 h\n1 g 2214 1562 N 0 38 49 0 0
      -38 h\n1 g 2165 1562 N 0 38 49 0 0 -38 h\n1 g 2117 1562 N 0 38 48 0 0
      -38 h\n1 g 2068 1562 N 0 38 49 0 0 -38 h\n1 g 2020 1562 N 0 38 48 0 0
      -38 h\n1 g 1971 1562 N 0 38 49 0 0 -38 h\n1 g 1922 1562 N 0 38 49 0 0
      -38 h\n1 g 1874 1562 N 0 38 48 0 0 -38 h\n1 g 1825 1562 N 0 38 49 0 0
      -38 h\n1 g 1777 1562 N 0 38 48 0 0 -38 h\n1 g 1728 1562 N 0 38 49 0 0
      -38 h\n1 g 1679 1562 N 0 38 49 0 0 -38 h\n1 g 1631 1562 N 0 38 48 0 0
      -38 h\n1 g 1582 1562 N 0 38 49 0 0 -38 h\n1 g 1534 1562 N 0 38 48 0 0
      -38 h\n1 g 1485 1562 N 0 38 49 0 0 -38 h\n1 g 1436 1562 N 0 38 49 0 0
      -38 h\n1 g 1388 1562 N 0 38 48 0 0 -38 h\n1 g 1339 1562 N 0 38 49 0 0
      -38 h\n1 g 1290 1562 N 0 38 49 0 0 -38 h\n1 g 1242 1562 N 0 38 48 0 0
      -38 h\n1 g 1193 1562 N 0 38 49 0 0 -38 h\n1 g 5957 1524 N 0 39 49 0 0
      -39 h\n1 g 5909 1524 N 0 39 48 0 0 -39 h\n1 g 5860 1524 N 0 39 49 0 0
      -39 h\n1 g 5811 1524 N 0 39 49 0 0 -39 h\n1 g 5763 1524 N 0 39 48 0 0
      -39 h\n1 g 5714 1524 N 0 39 49 0 0 -39 h\n1 g 5665 1524 N 0 39 49 0 0
      -39 h\n1 g 5617 1524 N 0 39 48 0 0 -39 h\n1 g 5568 1524 N 0 39 49 0 0
      -39 h\n1 g 5520 1524 N 0 39 48 0 0 -39 h\n1 g 5471 1524 N 0 39 49 0 0
      -39 h\n1 g 5422 1524 N 0 39 49 0 0 -39 h\n1 g 5374 1524 N 0 39 48 0 0
      -39 h\n1 g 5325 1524 N 0 39 49 0 0 -39 h\n1 g 5277 1524 N 0 39 48 0 0
      -39 h\n1 g 5228 1524 N 0 39 49 0 0 -39 h\n1 g 5179 1524 N 0 39 49 0 0
      -39 h\n1 g 5131 1524 N 0 39 48 0 0 -39 h\n1 g 5082 1524 N 0 39 49 0 0
      -39 h\n1 g 5034 1524 N 0 39 48 0 0 -39 h\n1 g 4985 1524 N 0 39 49 0 0
      -39 h\n1 g 4936 1524 N 0 39 49 0 0 -39 h\n1 g 4888 1524 N 0 39 48 0 0
      -39 h\n1 g 4839 1524 N 0 39 49 0 0 -39 h\n1 g 4790 1524 N 0 39 49 0 0
      -39 h\n1 g 4742 1524 N 0 39 48 0 0 -39 h\n1 g 4693 1524 N 0 39 49 0 0
      -39 h\n1 g 4645 1524 N 0 39 48 0 0 -39 h\n1 g 4596 1524 N 0 39 49 0 0
      -39 h\n1 g 4547 1524 N 0 39 49 0 0 -39 h\n1 g 4499 1524 N 0 39 48 0 0
      -39 h\n1 g 4450 1524 N 0 39 49 0 0 -39 h\n1 g 4402 1524 N 0 39 48 0 0
      -39 h\n1 g 4353 1524 N 0 39 49 0 0 -39 h\n.95 g 4304 1524 N 0 39 49 0 0
      -39 h\n.85 g 4256 1524 N 0 39 48 0 0 -39 h\n.8 g 4207 1524 N 0 39 49 0
      0 -39 h\n.8 g 4159 1524 N 0 39 48 0 0 -39 h\n.8 g 4110 1524 N 0 39 49 0
      0 -39 h\n.8 g 4061 1524 N 0 39 49 0 0 -39 h\n.8 g 4013 1524 N 0 39 48 0
      0 -39 h\n.8 g 3964 1524 N 0 39 49 0 0 -39 h\n.8 g 3915 1524 N 0 39 49 0
      0 -39 h\n.8 g 3867 1524 N 0 39 48 0 0 -39 h\n.8 g 3818 1524 N 0 39 49 0
      0 -39 h\n.8 g 3770 1524 N 0 39 48 0 0 -39 h\n.8 g 3721 1524 N 0 39 49 0
      0 -39 h\n.8 g 3672 1524 N 0 39 49 0 0 -39 h\n.8 g 3624 1524 N 0 39 48 0
      0 -39 h\n.8 g 3575 1524 N 0 39 49 0 0 -39 h\n.8 g 3527 1524 N 0 39 48 0
      0 -39 h\n.8 g 3478 1524 N 0 39 49 0 0 -39 h\n.8 g 3429 1524 N 0 39 49 0
      0 -39 h\n.8 g 3381 1524 N 0 39 48 0 0 -39 h\n.8 g 3332 1524 N 0 39 49 0
      0 -39 h\n.8 g 3284 1524 N 0 39 48 0 0 -39 h\n.8 g 3235 1524 N 0 39 49 0
      0 -39 h\n.8 g 3186 1524 N 0 39 49 0 0 -39 h\n.8 g 3138 1524 N 0 39 48 0
      0 -39 h\n.8 g 3089 1524 N 0 39 49 0 0 -39 h\n.8 g 3040 1524 N 0 39 49 0
      0 -39 h\n.8 g 2992 1524 N 0 39 48 0 0 -39 h\n.8 g 2943 1524 N 0 39 49 0
      0 -39 h\n.85 g 2895 1524 N 0 39 48 0 0 -39 h\n.95 g 2846 1524 N 0 39 49
      0 0 -39 h\n1 g 2797 1524 N 0 39 49 0 0 -39 h\n1 g 2749 1524 N 0 39 48 0
      0 -39 h\n1 g 2700 1524 N 0 39 49 0 0 -39 h\n1 g 2652 1524 N 0 39 48 0 0
      -39 h\n1 g 2603 1524 N 0 39 49 0 0 -39 h\n1 g 2554 1524 N 0 39 49 0 0
      -39 h\n1 g 2506 1524 N 0 39 48 0 0 -39 h\n1 g 2457 1524 N 0 39 49 0 0
      -39 h\n1 g 2409 1524 N 0 39 48 0 0 -39 h\n1 g 2360 1524 N 0 39 49 0 0
      -39 h\n1 g 2311 1524 N 0 39 49 0 0 -39 h\n1 g 2263 1524 N 0 39 48 0 0
      -39 h\n1 g 2214 1524 N 0 39 49 0 0 -39 h\n1 g 2165 1524 N 0 39 49 0 0
      -39 h\n1 g 2117 1524 N 0 39 48 0 0 -39 h\n1 g 2068 1524 N 0 39 49 0 0
      -39 h\n1 g 2020 1524 N 0 39 48 0 0 -39 h\n1 g 1971 1524 N 0 39 49 0 0
      -39 h\n1 g 1922 1524 N 0 39 49 0 0 -39 h\n1 g 1874 1524 N 0 39 48 0 0
      -39 h\n1 g 1825 1524 N 0 39 49 0 0 -39 h\n1 g 1777 1524 N 0 39 48 0 0
      -39 h\n1 g 1728 1524 N 0 39 49 0 0 -39 h\n1 g 1679 1524 N 0 39 49 0 0
      -39 h\n1 g 1631 1524 N 0 39 48 0 0 -39 h\n1 g 1582 1524 N 0 39 49 0 0
      -39 h\n1 g 1534 1524 N 0 39 48 0 0 -39 h\n1 g 1485 1524 N 0 39 49 0 0
      -39 h\n1 g 1436 1524 N 0 39 49 0 0 -39 h\n1 g 1388 1524 N 0 39 48 0 0
      -39 h\n1 g 1339 1524 N 0 39 49 0 0 -39 h\n1 g 1290 1524 N 0 39 49 0 0
      -39 h\n1 g 1242 1524 N 0 39 48 0 0 -39 h\n1 g 1193 1524 N 0 39 49 0 0
      -39 h\n1 g 5957 1485 N 0 39 49 0 0 -39 h\n1 g 5909 1485 N 0 39 48 0 0
      -39 h\n1 g 5860 1485 N 0 39 49 0 0 -39 h\n1 g 5811 1485 N 0 39 49 0 0
      -39 h\n1 g 5763 1485 N 0 39 48 0 0 -39 h\n1 g 5714 1485 N 0 39 49 0 0
      -39 h\n1 g 5665 1485 N 0 39 49 0 0 -39 h\n1 g 5617 1485 N 0 39 48 0 0
      -39 h\n1 g 5568 1485 N 0 39 49 0 0 -39 h\n1 g 5520 1485 N 0 39 48 0 0
      -39 h\n1 g 5471 1485 N 0 39 49 0 0 -39 h\n1 g 5422 1485 N 0 39 49 0 0
      -39 h\n1 g 5374 1485 N 0 39 48 0 0 -39 h\n1 g 5325 1485 N 0 39 49 0 0
      -39 h\n1 g 5277 1485 N 0 39 48 0 0 -39 h\n1 g 5228 1485 N 0 39 49 0 0
      -39 h\n1 g 5179 1485 N 0 39 49 0 0 -39 h\n1 g 5131 1485 N 0 39 48 0 0
      -39 h\n1 g 5082 1485 N 0 39 49 0 0 -39 h\n1 g 5034 1485 N 0 39 48 0 0
      -39 h\n1 g 4985 1485 N 0 39 49 0 0 -39 h\n1 g 4936 1485 N 0 39 49 0 0
      -39 h\n1 g 4888 1485 N 0 39 48 0 0 -39 h\n1 g 4839 1485 N 0 39 49 0 0
      -39 h\n1 g 4790 1485 N 0 39 49 0 0 -39 h\n1 g 4742 1485 N 0 39 48 0 0
      -39 h\n1 g 4693 1485 N 0 39 49 0 0 -39 h\n1 g 4645 1485 N 0 39 48 0 0
      -39 h\n1 g 4596 1485 N 0 39 49 0 0 -39 h\n1 g 4547 1485 N 0 39 49 0 0
      -39 h\n1 g 4499 1485 N 0 39 48 0 0 -39 h\n1 g 4450 1485 N 0 39 49 0 0
      -39 h\n1 g 4402 1485 N 0 39 48 0 0 -39 h\n1 g 4353 1485 N 0 39 49 0 0
      -39 h\n1 g 4304 1485 N 0 39 49 0 0 -39 h\n.9 g 4256 1485 N 0 39 48 0 0
      -39 h\n.8 g 4207 1485 N 0 39 49 0 0 -39 h\n.8 g 4159 1485 N 0 39 48 0 0
      -39 h\n.8 g 4110 1485 N 0 39 49 0 0 -39 h\n.8 g 4061 1485 N 0 39 49 0 0
      -39 h\n.8 g 4013 1485 N 0 39 48 0 0 -39 h\n.8 g 3964 1485 N 0 39 49 0 0
      -39 h\n.8 g 3915 1485 N 0 39 49 0 0 -39 h\n.8 g 3867 1485 N 0 39 48 0 0
      -39 h\n.8 g 3818 1485 N 0 39 49 0 0 -39 h\n.8 g 3770 1485 N 0 39 48 0 0
      -39 h\n.8 g 3721 1485 N 0 39 49 0 0 -39 h\n.8 g 3672 1485 N 0 39 49 0 0
      -39 h\n.8 g 3624 1485 N 0 39 48 0 0 -39 h\n.8 g 3575 1485 N 0 39 49 0 0
      -39 h\n.8 g 3527 1485 N 0 39 48 0 0 -39 h\n.8 g 3478 1485 N 0 39 49 0 0
      -39 h\n.8 g 3429 1485 N 0 39 49 0 0 -39 h\n.8 g 3381 1485 N 0 39 48 0 0
      -39 h\n.8 g 3332 1485 N 0 39 49 0 0 -39 h\n.8 g 3284 1485 N 0 39 48 0 0
      -39 h\n.8 g 3235 1485 N 0 39 49 0 0 -39 h\n.8 g 3186 1485 N 0 39 49 0 0
      -39 h\n.8 g 3138 1485 N 0 39 48 0 0 -39 h\n.8 g 3089 1485 N 0 39 49 0 0
      -39 h\n.8 g 3040 1485 N 0 39 49 0 0 -39 h\n.8 g 2992 1485 N 0 39 48 0 0
      -39 h\n.8 g 2943 1485 N 0 39 49 0 0 -39 h\n.9 g 2895 1485 N 0 39 48 0 0
      -39 h\n1 g 2846 1485 N 0 39 49 0 0 -39 h\n1 g 2797 1485 N 0 39 49 0 0
      -39 h\n1 g 2749 1485 N 0 39 48 0 0 -39 h\n1 g 2700 1485 N 0 39 49 0 0
      -39 h\n1 g 2652 1485 N 0 39 48 0 0 -39 h\n1 g 2603 1485 N 0 39 49 0 0
      -39 h\n1 g 2554 1485 N 0 39 49 0 0 -39 h\n1 g 2506 1485 N 0 39 48 0 0
      -39 h\n1 g 2457 1485 N 0 39 49 0 0 -39 h\n1 g 2409 1485 N 0 39 48 0 0
      -39 h\n1 g 2360 1485 N 0 39 49 0 0 -39 h\n1 g 2311 1485 N 0 39 49 0 0
      -39 h\n1 g 2263 1485 N 0 39 48 0 0 -39 h\n1 g 2214 1485 N 0 39 49 0 0
      -39 h\n1 g 2165 1485 N 0 39 49 0 0 -39 h\n1 g 2117 1485 N 0 39 48 0 0
      -39 h\n1 g 2068 1485 N 0 39 49 0 0 -39 h\n1 g 2020 1485 N 0 39 48 0 0
      -39 h\n1 g 1971 1485 N 0 39 49 0 0 -39 h\n1 g 1922 1485 N 0 39 49 0 0
      -39 h\n1 g 1874 1485 N 0 39 48 0 0 -39 h\n1 g 1825 1485 N 0 39 49 0 0
      -39 h\n1 g 1777 1485 N 0 39 48 0 0 -39 h\n1 g 1728 1485 N 0 39 49 0 0
      -39 h\n1 g 1679 1485 N 0 39 49 0 0 -39 h\n1 g 1631 1485 N 0 39 48 0 0
      -39 h\n1 g 1582 1485 N 0 39 49 0 0 -39 h\n1 g 1534 1485 N 0 39 48 0 0
      -39 h\n1 g 1485 1485 N 0 39 49 0 0 -39 h\n1 g 1436 1485 N 0 39 49 0 0
      -39 h\n1 g 1388 1485 N 0 39 48 0 0 -39 h\n1 g 1339 1485 N 0 39 49 0 0
      -39 h\n1 g 1290 1485 N 0 39 49 0 0 -39 h\n1 g 1242 1485 N 0 39 48 0 0
      -39 h\n1 g 1193 1485 N 0 39 49 0 0 -39 h\n1 g 5957 1446 N 0 39 49 0 0
      -39 h\n1 g 5909 1446 N 0 39 48 0 0 -39 h\n1 g 5860 1446 N 0 39 49 0 0
      -39 h\n1 g 5811 1446 N 0 39 49 0 0 -39 h\n1 g 5763 1446 N 0 39 48 0 0
      -39 h\n1 g 5714 1446 N 0 39 49 0 0 -39 h\n1 g 5665 1446 N 0 39 49 0 0
      -39 h\n1 g 5617 1446 N 0 39 48 0 0 -39 h\n1 g 5568 1446 N 0 39 49 0 0
      -39 h\n1 g 5520 1446 N 0 39 48 0 0 -39 h\n1 g 5471 1446 N 0 39 49 0 0
      -39 h\n1 g 5422 1446 N 0 39 49 0 0 -39 h\n1 g 5374 1446 N 0 39 48 0 0
      -39 h\n1 g 5325 1446 N 0 39 49 0 0 -39 h\n1 g 5277 1446 N 0 39 48 0 0
      -39 h\n1 g 5228 1446 N 0 39 49 0 0 -39 h\n1 g 5179 1446 N 0 39 49 0 0
      -39 h\n1 g 5131 1446 N 0 39 48 0 0 -39 h\n1 g 5082 1446 N 0 39 49 0 0
      -39 h\n1 g 5034 1446 N 0 39 48 0 0 -39 h\n1 g 4985 1446 N 0 39 49 0 0
      -39 h\n1 g 4936 1446 N 0 39 49 0 0 -39 h\n1 g 4888 1446 N 0 39 48 0 0
      -39 h\n1 g 4839 1446 N 0 39 49 0 0 -39 h\n1 g 4790 1446 N 0 39 49 0 0
      -39 h\n1 g 4742 1446 N 0 39 48 0 0 -39 h\n1 g 4693 1446 N 0 39 49 0 0
      -39 h\n1 g 4645 1446 N 0 39 48 0 0 -39 h\n1 g 4596 1446 N 0 39 49 0 0
      -39 h\n1 g 4547 1446 N 0 39 49 0 0 -39 h\n1 g 4499 1446 N 0 39 48 0 0
      -39 h\n1 g 4450 1446 N 0 39 49 0 0 -39 h\n1 g 4402 1446 N 0 39 48 0 0
      -39 h\n1 g 4353 1446 N 0 39 49 0 0 -39 h\n1 g 4304 1446 N 0 39 49 0 0
      -39 h\n.9 g 4256 1446 N 0 39 48 0 0 -39 h\n.8 g 4207 1446 N 0 39 49 0 0
      -39 h\n.8 g 4159 1446 N 0 39 48 0 0 -39 h\n.8 g 4110 1446 N 0 39 49 0 0
      -39 h\n.8 g 4061 1446 N 0 39 49 0 0 -39 h\n.8 g 4013 1446 N 0 39 48 0 0
      -39 h\n.8 g 3964 1446 N 0 39 49 0 0 -39 h\n.8 g 3915 1446 N 0 39 49 0 0
      -39 h\n.8 g 3867 1446 N 0 39 48 0 0 -39 h\n.8 g 3818 1446 N 0 39 49 0 0
      -39 h\n.8 g 3770 1446 N 0 39 48 0 0 -39 h\n.8 g 3721 1446 N 0 39 49 0 0
      -39 h\n.8 g 3672 1446 N 0 39 49 0 0 -39 h\n.8 g 3624 1446 N 0 39 48 0 0
      -39 h\n.8 g 3575 1446 N 0 39 49 0 0 -39 h\n.8 g 3527 1446 N 0 39 48 0 0
      -39 h\n.8 g 3478 1446 N 0 39 49 0 0 -39 h\n.8 g 3429 1446 N 0 39 49 0 0
      -39 h\n.8 g 3381 1446 N 0 39 48 0 0 -39 h\n.8 g 3332 1446 N 0 39 49 0 0
      -39 h\n.8 g 3284 1446 N 0 39 48 0 0 -39 h\n.8 g 3235 1446 N 0 39 49 0 0
      -39 h\n.8 g 3186 1446 N 0 39 49 0 0 -39 h\n.8 g 3138 1446 N 0 39 48 0 0
      -39 h\n.8 g 3089 1446 N 0 39 49 0 0 -39 h\n.8 g 3040 1446 N 0 39 49 0 0
      -39 h\n.8 g 2992 1446 N 0 39 48 0 0 -39 h\n.8 g 2943 1446 N 0 39 49 0 0
      -39 h\n.9 g 2895 1446 N 0 39 48 0 0 -39 h\n1 g 2846 1446 N 0 39 49 0 0
      -39 h\n1 g 2797 1446 N 0 39 49 0 0 -39 h\n1 g 2749 1446 N 0 39 48 0 0
      -39 h\n1 g 2700 1446 N 0 39 49 0 0 -39 h\n1 g 2652 1446 N 0 39 48 0 0
      -39 h\n1 g 2603 1446 N 0 39 49 0 0 -39 h\n1 g 2554 1446 N 0 39 49 0 0
      -39 h\n1 g 2506 1446 N 0 39 48 0 0 -39 h\n1 g 2457 1446 N 0 39 49 0 0
      -39 h\n1 g 2409 1446 N 0 39 48 0 0 -39 h\n1 g 2360 1446 N 0 39 49 0 0
      -39 h\n1 g 2311 1446 N 0 39 49 0 0 -39 h\n1 g 2263 1446 N 0 39 48 0 0
      -39 h\n1 g 2214 1446 N 0 39 49 0 0 -39 h\n1 g 2165 1446 N 0 39 49 0 0
      -39 h\n1 g 2117 1446 N 0 39 48 0 0 -39 h\n1 g 2068 1446 N 0 39 49 0 0
      -39 h\n1 g 2020 1446 N 0 39 48 0 0 -39 h\n1 g 1971 1446 N 0 39 49 0 0
      -39 h\n1 g 1922 1446 N 0 39 49 0 0 -39 h\n1 g 1874 1446 N 0 39 48 0 0
      -39 h\n1 g 1825 1446 N 0 39 49 0 0 -39 h\n1 g 1777 1446 N 0 39 48 0 0
      -39 h\n1 g 1728 1446 N 0 39 49 0 0 -39 h\n1 g 1679 1446 N 0 39 49 0 0
      -39 h\n1 g 1631 1446 N 0 39 48 0 0 -39 h\n1 g 1582 1446 N 0 39 49 0 0
      -39 h\n1 g 1534 1446 N 0 39 48 0 0 -39 h\n1 g 1485 1446 N 0 39 49 0 0
      -39 h\n1 g 1436 1446 N 0 39 49 0 0 -39 h\n1 g 1388 1446 N 0 39 48 0 0
      -39 h\n1 g 1339 1446 N 0 39 49 0 0 -39 h\n1 g 1290 1446 N 0 39 49 0 0
      -39 h\n1 g 1242 1446 N 0 39 48 0 0 -39 h\n1 g 1193 1446 N 0 39 49 0 0
      -39 h\n1 g 5957 1407 N 0 38 49 0 0 -38 h\n1 g 5909 1407 N 0 38 48 0 0
      -38 h\n1 g 5860 1407 N 0 38 49 0 0 -38 h\n1 g 5811 1407 N 0 38 49 0 0
      -38 h\n1 g 5763 1407 N 0 38 48 0 0 -38 h\n1 g 5714 1407 N 0 38 49 0 0
      -38 h\n1 g 5665 1407 N 0 38 49 0 0 -38 h\n1 g 5617 1407 N 0 38 48 0 0
      -38 h\n1 g 5568 1407 N 0 38 49 0 0 -38 h\n1 g 5520 1407 N 0 38 48 0 0
      -38 h\n1 g 5471 1407 N 0 38 49 0 0 -38 h\n1 g 5422 1407 N 0 38 49 0 0
      -38 h\n1 g 5374 1407 N 0 38 48 0 0 -38 h\n1 g 5325 1407 N 0 38 49 0 0
      -38 h\n1 g 5277 1407 N 0 38 48 0 0 -38 h\n1 g 5228 1407 N 0 38 49 0 0
      -38 h\n1 g 5179 1407 N 0 38 49 0 0 -38 h\n1 g 5131 1407 N 0 38 48 0 0
      -38 h\n1 g 5082 1407 N 0 38 49 0 0 -38 h\n1 g 5034 1407 N 0 38 48 0 0
      -38 h\n1 g 4985 1407 N 0 38 49 0 0 -38 h\n1 g 4936 1407 N 0 38 49 0 0
      -38 h\n1 g 4888 1407 N 0 38 48 0 0 -38 h\n1 g 4839 1407 N 0 38 49 0 0
      -38 h\n1 g 4790 1407 N 0 38 49 0 0 -38 h\n1 g 4742 1407 N 0 38 48 0 0
      -38 h\n1 g 4693 1407 N 0 38 49 0 0 -38 h\n1 g 4645 1407 N 0 38 48 0 0
      -38 h\n1 g 4596 1407 N 0 38 49 0 0 -38 h\n1 g 4547 1407 N 0 38 49 0 0
      -38 h\n1 g 4499 1407 N 0 38 48 0 0 -38 h\n1 g 4450 1407 N 0 38 49 0 0
      -38 h\n1 g 4402 1407 N 0 38 48 0 0 -38 h\n1 g 4353 1407 N 0 38 49 0 0
      -38 h\n1 g 4304 1407 N 0 38 49 0 0 -38 h\n.95 g 4256 1407 N 0 38 48 0 0
      -38 h\n.85 g 4207 1407 N 0 38 49 0 0 -38 h\n.8 g 4159 1407 N 0 38 48 0
      0 -38 h\n.8 g 4110 1407 N 0 38 49 0 0 -38 h\n.8 g 4061 1407 N 0 38 49 0
      0 -38 h\n.8 g 4013 1407 N 0 38 48 0 0 -38 h\n.8 g 3964 1407 N 0 38 49 0
      0 -38 h\n.8 g 3915 1407 N 0 38 49 0 0 -38 h\n.8 g 3867 1407 N 0 38 48 0
      0 -38 h\n.8 g 3818 1407 N 0 38 49 0 0 -38 h\n.8 g 3770 1407 N 0 38 48 0
      0 -38 h\n.8 g 3721 1407 N 0 38 49 0 0 -38 h\n.8 g 3672 1407 N 0 38 49 0
      0 -38 h\n.8 g 3624 1407 N 0 38 48 0 0 -38 h\n.8 g 3575 1407 N 0 38 49 0
      0 -38 h\n.8 g 3527 1407 N 0 38 48 0 0 -38 h\n.8 g 3478 1407 N 0 38 49 0
      0 -38 h\n.8 g 3429 1407 N 0 38 49 0 0 -38 h\n.8 g 3381 1407 N 0 38 48 0
      0 -38 h\n.8 g 3332 1407 N 0 38 49 0 0 -38 h\n.8 g 3284 1407 N 0 38 48 0
      0 -38 h\n.8 g 3235 1407 N 0 38 49 0 0 -38 h\n.8 g 3186 1407 N 0 38 49 0
      0 -38 h\n.8 g 3138 1407 N 0 38 48 0 0 -38 h\n.8 g 3089 1407 N 0 38 49 0
      0 -38 h\n.8 g 3040 1407 N 0 38 49 0 0 -38 h\n.8 g 2992 1407 N 0 38 48 0
      0 -38 h\n.85 g 2943 1407 N 0 38 49 0 0 -38 h\n.95 g 2895 1407 N 0 38 48
      0 0 -38 h\n1 g 2846 1407 N 0 38 49 0 0 -38 h\n1 g 2797 1407 N 0 38 49 0
      0 -38 h\n1 g 2749 1407 N 0 38 48 0 0 -38 h\n1 g 2700 1407 N 0 38 49 0 0
      -38 h\n1 g 2652 1407 N 0 38 48 0 0 -38 h\n1 g 2603 1407 N 0 38 49 0 0
      -38 h\n1 g 2554 1407 N 0 38 49 0 0 -38 h\n1 g 2506 1407 N 0 38 48 0 0
      -38 h\n1 g 2457 1407 N 0 38 49 0 0 -38 h\n1 g 2409 1407 N 0 38 48 0 0
      -38 h\n1 g 2360 1407 N 0 38 49 0 0 -38 h\n1 g 2311 1407 N 0 38 49 0 0
      -38 h\n1 g 2263 1407 N 0 38 48 0 0 -38 h\n1 g 2214 1407 N 0 38 49 0 0
      -38 h\n1 g 2165 1407 N 0 38 49 0 0 -38 h\n1 g 2117 1407 N 0 38 48 0 0
      -38 h\n1 g 2068 1407 N 0 38 49 0 0 -38 h\n1 g 2020 1407 N 0 38 48 0 0
      -38 h\n1 g 1971 1407 N 0 38 49 0 0 -38 h\n1 g 1922 1407 N 0 38 49 0 0
      -38 h\n1 g 1874 1407 N 0 38 48 0 0 -38 h\n1 g 1825 1407 N 0 38 49 0 0
      -38 h\n1 g 1777 1407 N 0 38 48 0 0 -38 h\n1 g 1728 1407 N 0 38 49 0 0
      -38 h\n1 g 1679 1407 N 0 38 49 0 0 -38 h\n1 g 1631 1407 N 0 38 48 0 0
      -38 h\n1 g 1582 1407 N 0 38 49 0 0 -38 h\n1 g 1534 1407 N 0 38 48 0 0
      -38 h\n1 g 1485 1407 N 0 38 49 0 0 -38 h\n1 g 1436 1407 N 0 38 49 0 0
      -38 h\n1 g 1388 1407 N 0 38 48 0 0 -38 h\n1 g 1339 1407 N 0 38 49 0 0
      -38 h\n1 g 1290 1407 N 0 38 49 0 0 -38 h\n1 g 1242 1407 N 0 38 48 0 0
      -38 h\n1 g 1193 1407 N 0 38 49 0 0 -38 h\n1 g 5957 1369 N 0 39 49 0 0
      -39 h\n1 g 5909 1369 N 0 39 48 0 0 -39 h\n1 g 5860 1369 N 0 39 49 0 0
      -39 h\n1 g 5811 1369 N 0 39 49 0 0 -39 h\n1 g 5763 1369 N 0 39 48 0 0
      -39 h\n1 g 5714 1369 N 0 39 49 0 0 -39 h\n1 g 5665 1369 N 0 39 49 0 0
      -39 h\n1 g 5617 1369 N 0 39 48 0 0 -39 h\n1 g 5568 1369 N 0 39 49 0 0
      -39 h\n1 g 5520 1369 N 0 39 48 0 0 -39 h\n1 g 5471 1369 N 0 39 49 0 0
      -39 h\n1 g 5422 1369 N 0 39 49 0 0 -39 h\n1 g 5374 1369 N 0 39 48 0 0
      -39 h\n1 g 5325 1369 N 0 39 49 0 0 -39 h\n1 g 5277 1369 N 0 39 48 0 0
      -39 h\n1 g 5228 1369 N 0 39 49 0 0 -39 h\n1 g 5179 1369 N 0 39 49 0 0
      -39 h\n1 g 5131 1369 N 0 39 48 0 0 -39 h\n1 g 5082 1369 N 0 39 49 0 0
      -39 h\n1 g 5034 1369 N 0 39 48 0 0 -39 h\n1 g 4985 1369 N 0 39 49 0 0
      -39 h\n1 g 4936 1369 N 0 39 49 0 0 -39 h\n1 g 4888 1369 N 0 39 48 0 0
      -39 h\n1 g 4839 1369 N 0 39 49 0 0 -39 h\n1 g 4790 1369 N 0 39 49 0 0
      -39 h\n1 g 4742 1369 N 0 39 48 0 0 -39 h\n1 g 4693 1369 N 0 39 49 0 0
      -39 h\n1 g 4645 1369 N 0 39 48 0 0 -39 h\n1 g 4596 1369 N 0 39 49 0 0
      -39 h\n1 g 4547 1369 N 0 39 49 0 0 -39 h\n1 g 4499 1369 N 0 39 48 0 0
      -39 h\n1 g 4450 1369 N 0 39 49 0 0 -39 h\n1 g 4402 1369 N 0 39 48 0 0
      -39 h\n1 g 4353 1369 N 0 39 49 0 0 -39 h\n1 g 4304 1369 N 0 39 49 0 0
      -39 h\n1 g 4256 1369 N 0 39 48 0 0 -39 h\n.9 g 4207 1369 N 0 39 49 0 0
      -39 h\n.8 g 4159 1369 N 0 39 48 0 0 -39 h\n.8 g 4110 1369 N 0 39 49 0 0
      -39 h\n.8 g 4061 1369 N 0 39 49 0 0 -39 h\n.8 g 4013 1369 N 0 39 48 0 0
      -39 h\n.8 g 3964 1369 N 0 39 49 0 0 -39 h\n.8 g 3915 1369 N 0 39 49 0 0
      -39 h\n.8 g 3867 1369 N 0 39 48 0 0 -39 h\n.8 g 3818 1369 N 0 39 49 0 0
      -39 h\n.8 g 3770 1369 N 0 39 48 0 0 -39 h\n.8 g 3721 1369 N 0 39 49 0 0
      -39 h\n.8 g 3672 1369 N 0 39 49 0 0 -39 h\n.8 g 3624 1369 N 0 39 48 0 0
      -39 h\n.8 g 3575 1369 N 0 39 49 0 0 -39 h\n.8 g 3527 1369 N 0 39 48 0 0
      -39 h\n.8 g 3478 1369 N 0 39 49 0 0 -39 h\n.8 g 3429 1369 N 0 39 49 0 0
      -39 h\n.8 g 3381 1369 N 0 39 48 0 0 -39 h\n.8 g 3332 1369 N 0 39 49 0 0
      -39 h\n.8 g 3284 1369 N 0 39 48 0 0 -39 h\n.8 g 3235 1369 N 0 39 49 0 0
      -39 h\n.8 g 3186 1369 N 0 39 49 0 0 -39 h\n.8 g 3138 1369 N 0 39 48 0 0
      -39 h\n.8 g 3089 1369 N 0 39 49 0 0 -39 h\n.8 g 3040 1369 N 0 39 49 0 0
      -39 h\n.8 g 2992 1369 N 0 39 48 0 0 -39 h\n.9 g 2943 1369 N 0 39 49 0 0
      -39 h\n1 g 2895 1369 N 0 39 48 0 0 -39 h\n1 g 2846 1369 N 0 39 49 0 0
      -39 h\n1 g 2797 1369 N 0 39 49 0 0 -39 h\n1 g 2749 1369 N 0 39 48 0 0
      -39 h\n1 g 2700 1369 N 0 39 49 0 0 -39 h\n1 g 2652 1369 N 0 39 48 0 0
      -39 h\n1 g 2603 1369 N 0 39 49 0 0 -39 h\n1 g 2554 1369 N 0 39 49 0 0
      -39 h\n1 g 2506 1369 N 0 39 48 0 0 -39 h\n1 g 2457 1369 N 0 39 49 0 0
      -39 h\n1 g 2409 1369 N 0 39 48 0 0 -39 h\n1 g 2360 1369 N 0 39 49 0 0
      -39 h\n1 g 2311 1369 N 0 39 49 0 0 -39 h\n1 g 2263 1369 N 0 39 48 0 0
      -39 h\n1 g 2214 1369 N 0 39 49 0 0 -39 h\n1 g 2165 1369 N 0 39 49 0 0
      -39 h\n1 g 2117 1369 N 0 39 48 0 0 -39 h\n1 g 2068 1369 N 0 39 49 0 0
      -39 h\n1 g 2020 1369 N 0 39 48 0 0 -39 h\n1 g 1971 1369 N 0 39 49 0 0
      -39 h\n1 g 1922 1369 N 0 39 49 0 0 -39 h\n1 g 1874 1369 N 0 39 48 0 0
      -39 h\n1 g 1825 1369 N 0 39 49 0 0 -39 h\n1 g 1777 1369 N 0 39 48 0 0
      -39 h\n1 g 1728 1369 N 0 39 49 0 0 -39 h\n1 g 1679 1369 N 0 39 49 0 0
      -39 h\n1 g 1631 1369 N 0 39 48 0 0 -39 h\n1 g 1582 1369 N 0 39 49 0 0
      -39 h\n1 g 1534 1369 N 0 39 48 0 0 -39 h\n1 g 1485 1369 N 0 39 49 0 0
      -39 h\n1 g 1436 1369 N 0 39 49 0 0 -39 h\n1 g 1388 1369 N 0 39 48 0 0
      -39 h\n1 g 1339 1369 N 0 39 49 0 0 -39 h\n1 g 1290 1369 N 0 39 49 0 0
      -39 h\n1 g 1242 1369 N 0 39 48 0 0 -39 h\n1 g 1193 1369 N 0 39 49 0 0
      -39 h\n1 g 5957 1330 N 0 39 49 0 0 -39 h\n1 g 5909 1330 N 0 39 48 0 0
      -39 h\n1 g 5860 1330 N 0 39 49 0 0 -39 h\n1 g 5811 1330 N 0 39 49 0 0
      -39 h\n1 g 5763 1330 N 0 39 48 0 0 -39 h\n1 g 5714 1330 N 0 39 49 0 0
      -39 h\n1 g 5665 1330 N 0 39 49 0 0 -39 h\n1 g 5617 1330 N 0 39 48 0 0
      -39 h\n1 g 5568 1330 N 0 39 49 0 0 -39 h\n1 g 5520 1330 N 0 39 48 0 0
      -39 h\n1 g 5471 1330 N 0 39 49 0 0 -39 h\n1 g 5422 1330 N 0 39 49 0 0
      -39 h\n1 g 5374 1330 N 0 39 48 0 0 -39 h\n1 g 5325 1330 N 0 39 49 0 0
      -39 h\n1 g 5277 1330 N 0 39 48 0 0 -39 h\n1 g 5228 1330 N 0 39 49 0 0
      -39 h\n1 g 5179 1330 N 0 39 49 0 0 -39 h\n1 g 5131 1330 N 0 39 48 0 0
      -39 h\n1 g 5082 1330 N 0 39 49 0 0 -39 h\n1 g 5034 1330 N 0 39 48 0 0
      -39 h\n1 g 4985 1330 N 0 39 49 0 0 -39 h\n1 g 4936 1330 N 0 39 49 0 0
      -39 h\n1 g 4888 1330 N 0 39 48 0 0 -39 h\n1 g 4839 1330 N 0 39 49 0 0
      -39 h\n1 g 4790 1330 N 0 39 49 0 0 -39 h\n1 g 4742 1330 N 0 39 48 0 0
      -39 h\n1 g 4693 1330 N 0 39 49 0 0 -39 h\n1 g 4645 1330 N 0 39 48 0 0
      -39 h\n1 g 4596 1330 N 0 39 49 0 0 -39 h\n1 g 4547 1330 N 0 39 49 0 0
      -39 h\n1 g 4499 1330 N 0 39 48 0 0 -39 h\n1 g 4450 1330 N 0 39 49 0 0
      -39 h\n1 g 4402 1330 N 0 39 48 0 0 -39 h\n1 g 4353 1330 N 0 39 49 0 0
      -39 h\n1 g 4304 1330 N 0 39 49 0 0 -39 h\n1 g 4256 1330 N 0 39 48 0 0
      -39 h\n.9 g 4207 1330 N 0 39 49 0 0 -39 h\n.8 g 4159 1330 N 0 39 48 0 0
      -39 h\n.8 g 4110 1330 N 0 39 49 0 0 -39 h\n.8 g 4061 1330 N 0 39 49 0 0
      -39 h\n.8 g 4013 1330 N 0 39 48 0 0 -39 h\n.8 g 3964 1330 N 0 39 49 0 0
      -39 h\n.8 g 3915 1330 N 0 39 49 0 0 -39 h\n.8 g 3867 1330 N 0 39 48 0 0
      -39 h\n.8 g 3818 1330 N 0 39 49 0 0 -39 h\n.8 g 3770 1330 N 0 39 48 0 0
      -39 h\n.8 g 3721 1330 N 0 39 49 0 0 -39 h\n.8 g 3672 1330 N 0 39 49 0 0
      -39 h\n.8 g 3624 1330 N 0 39 48 0 0 -39 h\n.8 g 3575 1330 N 0 39 49 0 0
      -39 h\n.8 g 3527 1330 N 0 39 48 0 0 -39 h\n.8 g 3478 1330 N 0 39 49 0 0
      -39 h\n.8 g 3429 1330 N 0 39 49 0 0 -39 h\n.8 g 3381 1330 N 0 39 48 0 0
      -39 h\n.8 g 3332 1330 N 0 39 49 0 0 -39 h\n.8 g 3284 1330 N 0 39 48 0 0
      -39 h\n.8 g 3235 1330 N 0 39 49 0 0 -39 h\n.8 g 3186 1330 N 0 39 49 0 0
      -39 h\n.8 g 3138 1330 N 0 39 48 0 0 -39 h\n.8 g 3089 1330 N 0 39 49 0 0
      -39 h\n.8 g 3040 1330 N 0 39 49 0 0 -39 h\n.8 g 2992 1330 N 0 39 48 0 0
      -39 h\n.9 g 2943 1330 N 0 39 49 0 0 -39 h\n1 g 2895 1330 N 0 39 48 0 0
      -39 h\n1 g 2846 1330 N 0 39 49 0 0 -39 h\n1 g 2797 1330 N 0 39 49 0 0
      -39 h\n1 g 2749 1330 N 0 39 48 0 0 -39 h\n1 g 2700 1330 N 0 39 49 0 0
      -39 h\n1 g 2652 1330 N 0 39 48 0 0 -39 h\n1 g 2603 1330 N 0 39 49 0 0
      -39 h\n1 g 2554 1330 N 0 39 49 0 0 -39 h\n1 g 2506 1330 N 0 39 48 0 0
      -39 h\n1 g 2457 1330 N 0 39 49 0 0 -39 h\n1 g 2409 1330 N 0 39 48 0 0
      -39 h\n1 g 2360 1330 N 0 39 49 0 0 -39 h\n1 g 2311 1330 N 0 39 49 0 0
      -39 h\n1 g 2263 1330 N 0 39 48 0 0 -39 h\n1 g 2214 1330 N 0 39 49 0 0
      -39 h\n1 g 2165 1330 N 0 39 49 0 0 -39 h\n1 g 2117 1330 N 0 39 48 0 0
      -39 h\n1 g 2068 1330 N 0 39 49 0 0 -39 h\n1 g 2020 1330 N 0 39 48 0 0
      -39 h\n1 g 1971 1330 N 0 39 49 0 0 -39 h\n1 g 1922 1330 N 0 39 49 0 0
      -39 h\n1 g 1874 1330 N 0 39 48 0 0 -39 h\n1 g 1825 1330 N 0 39 49 0 0
      -39 h\n1 g 1777 1330 N 0 39 48 0 0 -39 h\n1 g 1728 1330 N 0 39 49 0 0
      -39 h\n1 g 1679 1330 N 0 39 49 0 0 -39 h\n1 g 1631 1330 N 0 39 48 0 0
      -39 h\n1 g 1582 1330 N 0 39 49 0 0 -39 h\n1 g 1534 1330 N 0 39 48 0 0
      -39 h\n1 g 1485 1330 N 0 39 49 0 0 -39 h\n1 g 1436 1330 N 0 39 49 0 0
      -39 h\n1 g 1388 1330 N 0 39 48 0 0 -39 h\n1 g 1339 1330 N 0 39 49 0 0
      -39 h\n1 g 1290 1330 N 0 39 49 0 0 -39 h\n1 g 1242 1330 N 0 39 48 0 0
      -39 h\n1 g 1193 1330 N 0 39 49 0 0 -39 h\n1 g 5957 1291 N 0 39 49 0 0
      -39 h\n1 g 5909 1291 N 0 39 48 0 0 -39 h\n1 g 5860 1291 N 0 39 49 0 0
      -39 h\n1 g 5811 1291 N 0 39 49 0 0 -39 h\n1 g 5763 1291 N 0 39 48 0 0
      -39 h\n1 g 5714 1291 N 0 39 49 0 0 -39 h\n1 g 5665 1291 N 0 39 49 0 0
      -39 h\n1 g 5617 1291 N 0 39 48 0 0 -39 h\n1 g 5568 1291 N 0 39 49 0 0
      -39 h\n1 g 5520 1291 N 0 39 48 0 0 -39 h\n1 g 5471 1291 N 0 39 49 0 0
      -39 h\n1 g 5422 1291 N 0 39 49 0 0 -39 h\n1 g 5374 1291 N 0 39 48 0 0
      -39 h\n1 g 5325 1291 N 0 39 49 0 0 -39 h\n1 g 5277 1291 N 0 39 48 0 0
      -39 h\n1 g 5228 1291 N 0 39 49 0 0 -39 h\n1 g 5179 1291 N 0 39 49 0 0
      -39 h\n1 g 5131 1291 N 0 39 48 0 0 -39 h\n1 g 5082 1291 N 0 39 49 0 0
      -39 h\n1 g 5034 1291 N 0 39 48 0 0 -39 h\n1 g 4985 1291 N 0 39 49 0 0
      -39 h\n1 g 4936 1291 N 0 39 49 0 0 -39 h\n1 g 4888 1291 N 0 39 48 0 0
      -39 h\n1 g 4839 1291 N 0 39 49 0 0 -39 h\n1 g 4790 1291 N 0 39 49 0 0
      -39 h\n1 g 4742 1291 N 0 39 48 0 0 -39 h\n1 g 4693 1291 N 0 39 49 0 0
      -39 h\n1 g 4645 1291 N 0 39 48 0 0 -39 h\n1 g 4596 1291 N 0 39 49 0 0
      -39 h\n1 g 4547 1291 N 0 39 49 0 0 -39 h\n1 g 4499 1291 N 0 39 48 0 0
      -39 h\n1 g 4450 1291 N 0 39 49 0 0 -39 h\n1 g 4402 1291 N 0 39 48 0 0
      -39 h\n1 g 4353 1291 N 0 39 49 0 0 -39 h\n1 g 4304 1291 N 0 39 49 0 0
      -39 h\n1 g 4256 1291 N 0 39 48 0 0 -39 h\n.95 g 4207 1291 N 0 39 49 0 0
      -39 h\n.85 g 4159 1291 N 0 39 48 0 0 -39 h\n.8 g 4110 1291 N 0 39 49 0
      0 -39 h\n.8 g 4061 1291 N 0 39 49 0 0 -39 h\n.8 g 4013 1291 N 0 39 48 0
      0 -39 h\n.8 g 3964 1291 N 0 39 49 0 0 -39 h\n.8 g 3915 1291 N 0 39 49 0
      0 -39 h\n.8 g 3867 1291 N 0 39 48 0 0 -39 h\n.8 g 3818 1291 N 0 39 49 0
      0 -39 h\n.8 g 3770 1291 N 0 39 48 0 0 -39 h\n.8 g 3721 1291 N 0 39 49 0
      0 -39 h\n.8 g 3672 1291 N 0 39 49 0 0 -39 h\n.8 g 3624 1291 N 0 39 48 0
      0 -39 h\n.8 g 3575 1291 N 0 39 49 0 0 -39 h\n.8 g 3527 1291 N 0 39 48 0
      0 -39 h\n.8 g 3478 1291 N 0 39 49 0 0 -39 h\n.8 g 3429 1291 N 0 39 49 0
      0 -39 h\n.8 g 3381 1291 N 0 39 48 0 0 -39 h\n.8 g 3332 1291 N 0 39 49 0
      0 -39 h\n.8 g 3284 1291 N 0 39 48 0 0 -39 h\n.8 g 3235 1291 N 0 39 49 0
      0 -39 h\n.8 g 3186 1291 N 0 39 49 0 0 -39 h\n.8 g 3138 1291 N 0 39 48 0
      0 -39 h\n.8 g 3089 1291 N 0 39 49 0 0 -39 h\n.8 g 3040 1291 N 0 39 49 0
      0 -39 h\n.85 g 2992 1291 N 0 39 48 0 0 -39 h\n.95 g 2943 1291 N 0 39 49
      0 0 -39 h\n1 g 2895 1291 N 0 39 48 0 0 -39 h\n1 g 2846 1291 N 0 39 49 0
      0 -39 h\n1 g 2797 1291 N 0 39 49 0 0 -39 h\n1 g 2749 1291 N 0 39 48 0 0
      -39 h\n1 g 2700 1291 N 0 39 49 0 0 -39 h\n1 g 2652 1291 N 0 39 48 0 0
      -39 h\n1 g 2603 1291 N 0 39 49 0 0 -39 h\n1 g 2554 1291 N 0 39 49 0 0
      -39 h\n1 g 2506 1291 N 0 39 48 0 0 -39 h\n1 g 2457 1291 N 0 39 49 0 0
      -39 h\n1 g 2409 1291 N 0 39 48 0 0 -39 h\n1 g 2360 1291 N 0 39 49 0 0
      -39 h\n1 g 2311 1291 N 0 39 49 0 0 -39 h\n1 g 2263 1291 N 0 39 48 0 0
      -39 h\n1 g 2214 1291 N 0 39 49 0 0 -39 h\n1 g 2165 1291 N 0 39 49 0 0
      -39 h\n1 g 2117 1291 N 0 39 48 0 0 -39 h\n1 g 2068 1291 N 0 39 49 0 0
      -39 h\n1 g 2020 1291 N 0 39 48 0 0 -39 h\n1 g 1971 1291 N 0 39 49 0 0
      -39 h\n1 g 1922 1291 N 0 39 49 0 0 -39 h\n1 g 1874 1291 N 0 39 48 0 0
      -39 h\n1 g 1825 1291 N 0 39 49 0 0 -39 h\n1 g 1777 1291 N 0 39 48 0 0
      -39 h\n1 g 1728 1291 N 0 39 49 0 0 -39 h\n1 g 1679 1291 N 0 39 49 0 0
      -39 h\n1 g 1631 1291 N 0 39 48 0 0 -39 h\n1 g 1582 1291 N 0 39 49 0 0
      -39 h\n1 g 1534 1291 N 0 39 48 0 0 -39 h\n1 g 1485 1291 N 0 39 49 0 0
      -39 h\n1 g 1436 1291 N 0 39 49 0 0 -39 h\n1 g 1388 1291 N 0 39 48 0 0
      -39 h\n1 g 1339 1291 N 0 39 49 0 0 -39 h\n1 g 1290 1291 N 0 39 49 0 0
      -39 h\n1 g 1242 1291 N 0 39 48 0 0 -39 h\n1 g 1193 1291 N 0 39 49 0 0
      -39 h\n1 g 5957 1252 N 0 38 49 0 0 -38 h\n1 g 5909 1252 N 0 38 48 0 0
      -38 h\n1 g 5860 1252 N 0 38 49 0 0 -38 h\n1 g 5811 1252 N 0 38 49 0 0
      -38 h\n1 g 5763 1252 N 0 38 48 0 0 -38 h\n1 g 5714 1252 N 0 38 49 0 0
      -38 h\n1 g 5665 1252 N 0 38 49 0 0 -38 h\n1 g 5617 1252 N 0 38 48 0 0
      -38 h\n1 g 5568 1252 N 0 38 49 0 0 -38 h\n1 g 5520 1252 N 0 38 48 0 0
      -38 h\n1 g 5471 1252 N 0 38 49 0 0 -38 h\n1 g 5422 1252 N 0 38 49 0 0
      -38 h\n1 g 5374 1252 N 0 38 48 0 0 -38 h\n1 g 5325 1252 N 0 38 49 0 0
      -38 h\n1 g 5277 1252 N 0 38 48 0 0 -38 h\n1 g 5228 1252 N 0 38 49 0 0
      -38 h\n1 g 5179 1252 N 0 38 49 0 0 -38 h\n1 g 5131 1252 N 0 38 48 0 0
      -38 h\n1 g 5082 1252 N 0 38 49 0 0 -38 h\n1 g 5034 1252 N 0 38 48 0 0
      -38 h\n1 g 4985 1252 N 0 38 49 0 0 -38 h\n1 g 4936 1252 N 0 38 49 0 0
      -38 h\n1 g 4888 1252 N 0 38 48 0 0 -38 h\n1 g 4839 1252 N 0 38 49 0 0
      -38 h\n1 g 4790 1252 N 0 38 49 0 0 -38 h\n1 g 4742 1252 N 0 38 48 0 0
      -38 h\n1 g 4693 1252 N 0 38 49 0 0 -38 h\n1 g 4645 1252 N 0 38 48 0 0
      -38 h\n1 g 4596 1252 N 0 38 49 0 0 -38 h\n1 g 4547 1252 N 0 38 49 0 0
      -38 h\n1 g 4499 1252 N 0 38 48 0 0 -38 h\n1 g 4450 1252 N 0 38 49 0 0
      -38 h\n1 g 4402 1252 N 0 38 48 0 0 -38 h\n1 g 4353 1252 N 0 38 49 0 0
      -38 h\n1 g 4304 1252 N 0 38 49 0 0 -38 h\n1 g 4256 1252 N 0 38 48 0 0
      -38 h\n1 g 4207 1252 N 0 38 49 0 0 -38 h\n.9 g 4159 1252 N 0 38 48 0 0
      -38 h\n.8 g 4110 1252 N 0 38 49 0 0 -38 h\n.8 g 4061 1252 N 0 38 49 0 0
      -38 h\n.8 g 4013 1252 N 0 38 48 0 0 -38 h\n.8 g 3964 1252 N 0 38 49 0 0
      -38 h\n.8 g 3915 1252 N 0 38 49 0 0 -38 h\n.8 g 3867 1252 N 0 38 48 0 0
      -38 h\n.8 g 3818 1252 N 0 38 49 0 0 -38 h\n.8 g 3770 1252 N 0 38 48 0 0
      -38 h\n.8 g 3721 1252 N 0 38 49 0 0 -38 h\n.8 g 3672 1252 N 0 38 49 0 0
      -38 h\n.8 g 3624 1252 N 0 38 48 0 0 -38 h\n.8 g 3575 1252 N 0 38 49 0 0
      -38 h\n.8 g 3527 1252 N 0 38 48 0 0 -38 h\n.8 g 3478 1252 N 0 38 49 0 0
      -38 h\n.8 g 3429 1252 N 0 38 49 0 0 -38 h\n.8 g 3381 1252 N 0 38 48 0 0
      -38 h\n.8 g 3332 1252 N 0 38 49 0 0 -38 h\n.8 g 3284 1252 N 0 38 48 0 0
      -38 h\n.8 g 3235 1252 N 0 38 49 0 0 -38 h\n.8 g 3186 1252 N 0 38 49 0 0
      -38 h\n.8 g 3138 1252 N 0 38 48 0 0 -38 h\n.8 g 3089 1252 N 0 38 49 0 0
      -38 h\n.8 g 3040 1252 N 0 38 49 0 0 -38 h\n.9 g 2992 1252 N 0 38 48 0 0
      -38 h\n1 g 2943 1252 N 0 38 49 0 0 -38 h\n1 g 2895 1252 N 0 38 48 0 0
      -38 h\n1 g 2846 1252 N 0 38 49 0 0 -38 h\n1 g 2797 1252 N 0 38 49 0 0
      -38 h\n1 g 2749 1252 N 0 38 48 0 0 -38 h\n1 g 2700 1252 N 0 38 49 0 0
      -38 h\n1 g 2652 1252 N 0 38 48 0 0 -38 h\n1 g 2603 1252 N 0 38 49 0 0
      -38 h\n1 g 2554 1252 N 0 38 49 0 0 -38 h\n1 g 2506 1252 N 0 38 48 0 0
      -38 h\n1 g 2457 1252 N 0 38 49 0 0 -38 h\n1 g 2409 1252 N 0 38 48 0 0
      -38 h\n1 g 2360 1252 N 0 38 49 0 0 -38 h\n1 g 2311 1252 N 0 38 49 0 0
      -38 h\n1 g 2263 1252 N 0 38 48 0 0 -38 h\n1 g 2214 1252 N 0 38 49 0 0
      -38 h\n1 g 2165 1252 N 0 38 49 0 0 -38 h\n1 g 2117 1252 N 0 38 48 0 0
      -38 h\n1 g 2068 1252 N 0 38 49 0 0 -38 h\n1 g 2020 1252 N 0 38 48 0 0
      -38 h\n1 g 1971 1252 N 0 38 49 0 0 -38 h\n1 g 1922 1252 N 0 38 49 0 0
      -38 h\n1 g 1874 1252 N 0 38 48 0 0 -38 h\n1 g 1825 1252 N 0 38 49 0 0
      -38 h\n1 g 1777 1252 N 0 38 48 0 0 -38 h\n1 g 1728 1252 N 0 38 49 0 0
      -38 h\n1 g 1679 1252 N 0 38 49 0 0 -38 h\n1 g 1631 1252 N 0 38 48 0 0
      -38 h\n1 g 1582 1252 N 0 38 49 0 0 -38 h\n1 g 1534 1252 N 0 38 48 0 0
      -38 h\n1 g 1485 1252 N 0 38 49 0 0 -38 h\n1 g 1436 1252 N 0 38 49 0 0
      -38 h\n1 g 1388 1252 N 0 38 48 0 0 -38 h\n1 g 1339 1252 N 0 38 49 0 0
      -38 h\n1 g 1290 1252 N 0 38 49 0 0 -38 h\n1 g 1242 1252 N 0 38 48 0 0
      -38 h\n1 g 1193 1252 N 0 38 49 0 0 -38 h\n1 g 5957 1214 N 0 39 49 0 0
      -39 h\n1 g 5909 1214 N 0 39 48 0 0 -39 h\n1 g 5860 1214 N 0 39 49 0 0
      -39 h\n1 g 5811 1214 N 0 39 49 0 0 -39 h\n1 g 5763 1214 N 0 39 48 0 0
      -39 h\n1 g 5714 1214 N 0 39 49 0 0 -39 h\n1 g 5665 1214 N 0 39 49 0 0
      -39 h\n1 g 5617 1214 N 0 39 48 0 0 -39 h\n1 g 5568 1214 N 0 39 49 0 0
      -39 h\n1 g 5520 1214 N 0 39 48 0 0 -39 h\n1 g 5471 1214 N 0 39 49 0 0
      -39 h\n1 g 5422 1214 N 0 39 49 0 0 -39 h\n1 g 5374 1214 N 0 39 48 0 0
      -39 h\n1 g 5325 1214 N 0 39 49 0 0 -39 h\n1 g 5277 1214 N 0 39 48 0 0
      -39 h\n1 g 5228 1214 N 0 39 49 0 0 -39 h\n1 g 5179 1214 N 0 39 49 0 0
      -39 h\n1 g 5131 1214 N 0 39 48 0 0 -39 h\n1 g 5082 1214 N 0 39 49 0 0
      -39 h\n1 g 5034 1214 N 0 39 48 0 0 -39 h\n1 g 4985 1214 N 0 39 49 0 0
      -39 h\n1 g 4936 1214 N 0 39 49 0 0 -39 h\n1 g 4888 1214 N 0 39 48 0 0
      -39 h\n1 g 4839 1214 N 0 39 49 0 0 -39 h\n1 g 4790 1214 N 0 39 49 0 0
      -39 h\n1 g 4742 1214 N 0 39 48 0 0 -39 h\n1 g 4693 1214 N 0 39 49 0 0
      -39 h\n1 g 4645 1214 N 0 39 48 0 0 -39 h\n1 g 4596 1214 N 0 39 49 0 0
      -39 h\n1 g 4547 1214 N 0 39 49 0 0 -39 h\n1 g 4499 1214 N 0 39 48 0 0
      -39 h\n1 g 4450 1214 N 0 39 49 0 0 -39 h\n1 g 4402 1214 N 0 39 48 0 0
      -39 h\n1 g 4353 1214 N 0 39 49 0 0 -39 h\n1 g 4304 1214 N 0 39 49 0 0
      -39 h\n1 g 4256 1214 N 0 39 48 0 0 -39 h\n1 g 4207 1214 N 0 39 49 0 0
      -39 h\n.95 g 4159 1214 N 0 39 48 0 0 -39 h\n.85 g 4110 1214 N 0 39 49 0
      0 -39 h\n.8 g 4061 1214 N 0 39 49 0 0 -39 h\n.8 g 4013 1214 N 0 39 48 0
      0 -39 h\n.8 g 3964 1214 N 0 39 49 0 0 -39 h\n.8 g 3915 1214 N 0 39 49 0
      0 -39 h\n.8 g 3867 1214 N 0 39 48 0 0 -39 h\n.8 g 3818 1214 N 0 39 49 0
      0 -39 h\n.8 g 3770 1214 N 0 39 48 0 0 -39 h\n.8 g 3721 1214 N 0 39 49 0
      0 -39 h\n.8 g 3672 1214 N 0 39 49 0 0 -39 h\n.8 g 3624 1214 N 0 39 48 0
      0 -39 h\n.8 g 3575 1214 N 0 39 49 0 0 -39 h\n.8 g 3527 1214 N 0 39 48 0
      0 -39 h\n.8 g 3478 1214 N 0 39 49 0 0 -39 h\n.8 g 3429 1214 N 0 39 49 0
      0 -39 h\n.8 g 3381 1214 N 0 39 48 0 0 -39 h\n.8 g 3332 1214 N 0 39 49 0
      0 -39 h\n.8 g 3284 1214 N 0 39 48 0 0 -39 h\n.8 g 3235 1214 N 0 39 49 0
      0 -39 h\n.8 g 3186 1214 N 0 39 49 0 0 -39 h\n.8 g 3138 1214 N 0 39 48 0
      0 -39 h\n.8 g 3089 1214 N 0 39 49 0 0 -39 h\n.85 g 3040 1214 N 0 39 49
      0 0 -39 h\n.95 g 2992 1214 N 0 39 48 0 0 -39 h\n1 g 2943 1214 N 0 39 49
      0 0 -39 h\n1 g 2895 1214 N 0 39 48 0 0 -39 h\n1 g 2846 1214 N 0 39 49 0
      0 -39 h\n1 g 2797 1214 N 0 39 49 0 0 -39 h\n1 g 2749 1214 N 0 39 48 0 0
      -39 h\n1 g 2700 1214 N 0 39 49 0 0 -39 h\n1 g 2652 1214 N 0 39 48 0 0
      -39 h\n1 g 2603 1214 N 0 39 49 0 0 -39 h\n1 g 2554 1214 N 0 39 49 0 0
      -39 h\n1 g 2506 1214 N 0 39 48 0 0 -39 h\n1 g 2457 1214 N 0 39 49 0 0
      -39 h\n1 g 2409 1214 N 0 39 48 0 0 -39 h\n1 g 2360 1214 N 0 39 49 0 0
      -39 h\n1 g 2311 1214 N 0 39 49 0 0 -39 h\n1 g 2263 1214 N 0 39 48 0 0
      -39 h\n1 g 2214 1214 N 0 39 49 0 0 -39 h\n1 g 2165 1214 N 0 39 49 0 0
      -39 h\n1 g 2117 1214 N 0 39 48 0 0 -39 h\n1 g 2068 1214 N 0 39 49 0 0
      -39 h\n1 g 2020 1214 N 0 39 48 0 0 -39 h\n1 g 1971 1214 N 0 39 49 0 0
      -39 h\n1 g 1922 1214 N 0 39 49 0 0 -39 h\n1 g 1874 1214 N 0 39 48 0 0
      -39 h\n1 g 1825 1214 N 0 39 49 0 0 -39 h\n1 g 1777 1214 N 0 39 48 0 0
      -39 h\n1 g 1728 1214 N 0 39 49 0 0 -39 h\n1 g 1679 1214 N 0 39 49 0 0
      -39 h\n1 g 1631 1214 N 0 39 48 0 0 -39 h\n1 g 1582 1214 N 0 39 49 0 0
      -39 h\n1 g 1534 1214 N 0 39 48 0 0 -39 h\n1 g 1485 1214 N 0 39 49 0 0
      -39 h\n1 g 1436 1214 N 0 39 49 0 0 -39 h\n1 g 1388 1214 N 0 39 48 0 0
      -39 h\n1 g 1339 1214 N 0 39 49 0 0 -39 h\n1 g 1290 1214 N 0 39 49 0 0
      -39 h\n1 g 1242 1214 N 0 39 48 0 0 -39 h\n1 g 1193 1214 N 0 39 49 0 0
      -39 h\n1 g 5957 1175 N 0 39 49 0 0 -39 h\n1 g 5909 1175 N 0 39 48 0 0
      -39 h\n1 g 5860 1175 N 0 39 49 0 0 -39 h\n1 g 5811 1175 N 0 39 49 0 0
      -39 h\n1 g 5763 1175 N 0 39 48 0 0 -39 h\n1 g 5714 1175 N 0 39 49 0 0
      -39 h\n1 g 5665 1175 N 0 39 49 0 0 -39 h\n1 g 5617 1175 N 0 39 48 0 0
      -39 h\n1 g 5568 1175 N 0 39 49 0 0 -39 h\n1 g 5520 1175 N 0 39 48 0 0
      -39 h\n1 g 5471 1175 N 0 39 49 0 0 -39 h\n1 g 5422 1175 N 0 39 49 0 0
      -39 h\n1 g 5374 1175 N 0 39 48 0 0 -39 h\n1 g 5325 1175 N 0 39 49 0 0
      -39 h\n1 g 5277 1175 N 0 39 48 0 0 -39 h\n1 g 5228 1175 N 0 39 49 0 0
      -39 h\n1 g 5179 1175 N 0 39 49 0 0 -39 h\n1 g 5131 1175 N 0 39 48 0 0
      -39 h\n1 g 5082 1175 N 0 39 49 0 0 -39 h\n1 g 5034 1175 N 0 39 48 0 0
      -39 h\n1 g 4985 1175 N 0 39 49 0 0 -39 h\n1 g 4936 1175 N 0 39 49 0 0
      -39 h\n1 g 4888 1175 N 0 39 48 0 0 -39 h\n1 g 4839 1175 N 0 39 49 0 0
      -39 h\n1 g 4790 1175 N 0 39 49 0 0 -39 h\n1 g 4742 1175 N 0 39 48 0 0
      -39 h\n1 g 4693 1175 N 0 39 49 0 0 -39 h\n1 g 4645 1175 N 0 39 48 0 0
      -39 h\n1 g 4596 1175 N 0 39 49 0 0 -39 h\n1 g 4547 1175 N 0 39 49 0 0
      -39 h\n1 g 4499 1175 N 0 39 48 0 0 -39 h\n1 g 4450 1175 N 0 39 49 0 0
      -39 h\n1 g 4402 1175 N 0 39 48 0 0 -39 h\n1 g 4353 1175 N 0 39 49 0 0
      -39 h\n1 g 4304 1175 N 0 39 49 0 0 -39 h\n1 g 4256 1175 N 0 39 48 0 0
      -39 h\n1 g 4207 1175 N 0 39 49 0 0 -39 h\n1 g 4159 1175 N 0 39 48 0 0
      -39 h\n.9 g 4110 1175 N 0 39 49 0 0 -39 h\n.8 g 4061 1175 N 0 39 49 0 0
      -39 h\n.8 g 4013 1175 N 0 39 48 0 0 -39 h\n.8 g 3964 1175 N 0 39 49 0 0
      -39 h\n.8 g 3915 1175 N 0 39 49 0 0 -39 h\n.8 g 3867 1175 N 0 39 48 0 0
      -39 h\n.8 g 3818 1175 N 0 39 49 0 0 -39 h\n.8 g 3770 1175 N 0 39 48 0 0
      -39 h\n.8 g 3721 1175 N 0 39 49 0 0 -39 h\n.8 g 3672 1175 N 0 39 49 0 0
      -39 h\n.8 g 3624 1175 N 0 39 48 0 0 -39 h\n.8 g 3575 1175 N 0 39 49 0 0
      -39 h\n.8 g 3527 1175 N 0 39 48 0 0 -39 h\n.8 g 3478 1175 N 0 39 49 0 0
      -39 h\n.8 g 3429 1175 N 0 39 49 0 0 -39 h\n.8 g 3381 1175 N 0 39 48 0 0
      -39 h\n.8 g 3332 1175 N 0 39 49 0 0 -39 h\n.8 g 3284 1175 N 0 39 48 0 0
      -39 h\n.8 g 3235 1175 N 0 39 49 0 0 -39 h\n.8 g 3186 1175 N 0 39 49 0 0
      -39 h\n.8 g 3138 1175 N 0 39 48 0 0 -39 h\n.8 g 3089 1175 N 0 39 49 0 0
      -39 h\n.9 g 3040 1175 N 0 39 49 0 0 -39 h\n1 g 2992 1175 N 0 39 48 0 0
      -39 h\n1 g 2943 1175 N 0 39 49 0 0 -39 h\n1 g 2895 1175 N 0 39 48 0 0
      -39 h\n1 g 2846 1175 N 0 39 49 0 0 -39 h\n1 g 2797 1175 N 0 39 49 0 0
      -39 h\n1 g 2749 1175 N 0 39 48 0 0 -39 h\n1 g 2700 1175 N 0 39 49 0 0
      -39 h\n1 g 2652 1175 N 0 39 48 0 0 -39 h\n1 g 2603 1175 N 0 39 49 0 0
      -39 h\n1 g 2554 1175 N 0 39 49 0 0 -39 h\n1 g 2506 1175 N 0 39 48 0 0
      -39 h\n1 g 2457 1175 N 0 39 49 0 0 -39 h\n1 g 2409 1175 N 0 39 48 0 0
      -39 h\n1 g 2360 1175 N 0 39 49 0 0 -39 h\n1 g 2311 1175 N 0 39 49 0 0
      -39 h\n1 g 2263 1175 N 0 39 48 0 0 -39 h\n1 g 2214 1175 N 0 39 49 0 0
      -39 h\n1 g 2165 1175 N 0 39 49 0 0 -39 h\n1 g 2117 1175 N 0 39 48 0 0
      -39 h\n1 g 2068 1175 N 0 39 49 0 0 -39 h\n1 g 2020 1175 N 0 39 48 0 0
      -39 h\n1 g 1971 1175 N 0 39 49 0 0 -39 h\n1 g 1922 1175 N 0 39 49 0 0
      -39 h\n1 g 1874 1175 N 0 39 48 0 0 -39 h\n1 g 1825 1175 N 0 39 49 0 0
      -39 h\n1 g 1777 1175 N 0 39 48 0 0 -39 h\n1 g 1728 1175 N 0 39 49 0 0
      -39 h\n1 g 1679 1175 N 0 39 49 0 0 -39 h\n1 g 1631 1175 N 0 39 48 0 0
      -39 h\n1 g 1582 1175 N 0 39 49 0 0 -39 h\n1 g 1534 1175 N 0 39 48 0 0
      -39 h\n1 g 1485 1175 N 0 39 49 0 0 -39 h\n1 g 1436 1175 N 0 39 49 0 0
      -39 h\n1 g 1388 1175 N 0 39 48 0 0 -39 h\n1 g 1339 1175 N 0 39 49 0 0
      -39 h\n1 g 1290 1175 N 0 39 49 0 0 -39 h\n1 g 1242 1175 N 0 39 48 0 0
      -39 h\n1 g 1193 1175 N 0 39 49 0 0 -39 h\n1 g 5957 1136 N 0 39 49 0 0
      -39 h\n1 g 5909 1136 N 0 39 48 0 0 -39 h\n1 g 5860 1136 N 0 39 49 0 0
      -39 h\n1 g 5811 1136 N 0 39 49 0 0 -39 h\n1 g 5763 1136 N 0 39 48 0 0
      -39 h\n1 g 5714 1136 N 0 39 49 0 0 -39 h\n1 g 5665 1136 N 0 39 49 0 0
      -39 h\n1 g 5617 1136 N 0 39 48 0 0 -39 h\n1 g 5568 1136 N 0 39 49 0 0
      -39 h\n1 g 5520 1136 N 0 39 48 0 0 -39 h\n1 g 5471 1136 N 0 39 49 0 0
      -39 h\n1 g 5422 1136 N 0 39 49 0 0 -39 h\n1 g 5374 1136 N 0 39 48 0 0
      -39 h\n1 g 5325 1136 N 0 39 49 0 0 -39 h\n1 g 5277 1136 N 0 39 48 0 0
      -39 h\n1 g 5228 1136 N 0 39 49 0 0 -39 h\n1 g 5179 1136 N 0 39 49 0 0
      -39 h\n1 g 5131 1136 N 0 39 48 0 0 -39 h\n1 g 5082 1136 N 0 39 49 0 0
      -39 h\n1 g 5034 1136 N 0 39 48 0 0 -39 h\n1 g 4985 1136 N 0 39 49 0 0
      -39 h\n1 g 4936 1136 N 0 39 49 0 0 -39 h\n1 g 4888 1136 N 0 39 48 0 0
      -39 h\n1 g 4839 1136 N 0 39 49 0 0 -39 h\n1 g 4790 1136 N 0 39 49 0 0
      -39 h\n1 g 4742 1136 N 0 39 48 0 0 -39 h\n1 g 4693 1136 N 0 39 49 0 0
      -39 h\n1 g 4645 1136 N 0 39 48 0 0 -39 h\n1 g 4596 1136 N 0 39 49 0 0
      -39 h\n1 g 4547 1136 N 0 39 49 0 0 -39 h\n1 g 4499 1136 N 0 39 48 0 0
      -39 h\n1 g 4450 1136 N 0 39 49 0 0 -39 h\n1 g 4402 1136 N 0 39 48 0 0
      -39 h\n1 g 4353 1136 N 0 39 49 0 0 -39 h\n1 g 4304 1136 N 0 39 49 0 0
      -39 h\n1 g 4256 1136 N 0 39 48 0 0 -39 h\n1 g 4207 1136 N 0 39 49 0 0
      -39 h\n1 g 4159 1136 N 0 39 48 0 0 -39 h\n.95 g 4110 1136 N 0 39 49 0 0
      -39 h\n.85 g 4061 1136 N 0 39 49 0 0 -39 h\n.8 g 4013 1136 N 0 39 48 0
      0 -39 h\n.8 g 3964 1136 N 0 39 49 0 0 -39 h\n.8 g 3915 1136 N 0 39 49 0
      0 -39 h\n.8 g 3867 1136 N 0 39 48 0 0 -39 h\n.8 g 3818 1136 N 0 39 49 0
      0 -39 h\n.8 g 3770 1136 N 0 39 48 0 0 -39 h\n.8 g 3721 1136 N 0 39 49 0
      0 -39 h\n.8 g 3672 1136 N 0 39 49 0 0 -39 h\n.8 g 3624 1136 N 0 39 48 0
      0 -39 h\n.8 g 3575 1136 N 0 39 49 0 0 -39 h\n.8 g 3527 1136 N 0 39 48 0
      0 -39 h\n.8 g 3478 1136 N 0 39 49 0 0 -39 h\n.8 g 3429 1136 N 0 39 49 0
      0 -39 h\n.8 g 3381 1136 N 0 39 48 0 0 -39 h\n.8 g 3332 1136 N 0 39 49 0
      0 -39 h\n.8 g 3284 1136 N 0 39 48 0 0 -39 h\n.8 g 3235 1136 N 0 39 49 0
      0 -39 h\n.8 g 3186 1136 N 0 39 49 0 0 -39 h\n.8 g 3138 1136 N 0 39 48 0
      0 -39 h\n.85 g 3089 1136 N 0 39 49 0 0 -39 h\n.95 g 3040 1136 N 0 39 49
      0 0 -39 h\n1 g 2992 1136 N 0 39 48 0 0 -39 h\n1 g 2943 1136 N 0 39 49 0
      0 -39 h\n1 g 2895 1136 N 0 39 48 0 0 -39 h\n1 g 2846 1136 N 0 39 49 0 0
      -39 h\n1 g 2797 1136 N 0 39 49 0 0 -39 h\n1 g 2749 1136 N 0 39 48 0 0
      -39 h\n1 g 2700 1136 N 0 39 49 0 0 -39 h\n1 g 2652 1136 N 0 39 48 0 0
      -39 h\n1 g 2603 1136 N 0 39 49 0 0 -39 h\n1 g 2554 1136 N 0 39 49 0 0
      -39 h\n1 g 2506 1136 N 0 39 48 0 0 -39 h\n1 g 2457 1136 N 0 39 49 0 0
      -39 h\n1 g 2409 1136 N 0 39 48 0 0 -39 h\n1 g 2360 1136 N 0 39 49 0 0
      -39 h\n1 g 2311 1136 N 0 39 49 0 0 -39 h\n1 g 2263 1136 N 0 39 48 0 0
      -39 h\n1 g 2214 1136 N 0 39 49 0 0 -39 h\n1 g 2165 1136 N 0 39 49 0 0
      -39 h\n1 g 2117 1136 N 0 39 48 0 0 -39 h\n1 g 2068 1136 N 0 39 49 0 0
      -39 h\n1 g 2020 1136 N 0 39 48 0 0 -39 h\n1 g 1971 1136 N 0 39 49 0 0
      -39 h\n1 g 1922 1136 N 0 39 49 0 0 -39 h\n1 g 1874 1136 N 0 39 48 0 0
      -39 h\n1 g 1825 1136 N 0 39 49 0 0 -39 h\n1 g 1777 1136 N 0 39 48 0 0
      -39 h\n1 g 1728 1136 N 0 39 49 0 0 -39 h\n1 g 1679 1136 N 0 39 49 0 0
      -39 h\n1 g 1631 1136 N 0 39 48 0 0 -39 h\n1 g 1582 1136 N 0 39 49 0 0
      -39 h\n1 g 1534 1136 N 0 39 48 0 0 -39 h\n1 g 1485 1136 N 0 39 49 0 0
      -39 h\n1 g 1436 1136 N 0 39 49 0 0 -39 h\n1 g 1388 1136 N 0 39 48 0 0
      -39 h\n1 g 1339 1136 N 0 39 49 0 0 -39 h\n1 g 1290 1136 N 0 39 49 0 0
      -39 h\n1 g 1242 1136 N 0 39 48 0 0 -39 h\n1 g 1193 1136 N 0 39 49 0 0
      -39 h\n1 g 5957 1097 N 0 38 49 0 0 -38 h\n1 g 5909 1097 N 0 38 48 0 0
      -38 h\n1 g 5860 1097 N 0 38 49 0 0 -38 h\n1 g 5811 1097 N 0 38 49 0 0
      -38 h\n1 g 5763 1097 N 0 38 48 0 0 -38 h\n1 g 5714 1097 N 0 38 49 0 0
      -38 h\n1 g 5665 1097 N 0 38 49 0 0 -38 h\n1 g 5617 1097 N 0 38 48 0 0
      -38 h\n1 g 5568 1097 N 0 38 49 0 0 -38 h\n1 g 5520 1097 N 0 38 48 0 0
      -38 h\n1 g 5471 1097 N 0 38 49 0 0 -38 h\n1 g 5422 1097 N 0 38 49 0 0
      -38 h\n1 g 5374 1097 N 0 38 48 0 0 -38 h\n1 g 5325 1097 N 0 38 49 0 0
      -38 h\n1 g 5277 1097 N 0 38 48 0 0 -38 h\n1 g 5228 1097 N 0 38 49 0 0
      -38 h\n1 g 5179 1097 N 0 38 49 0 0 -38 h\n1 g 5131 1097 N 0 38 48 0 0
      -38 h\n1 g 5082 1097 N 0 38 49 0 0 -38 h\n1 g 5034 1097 N 0 38 48 0 0
      -38 h\n1 g 4985 1097 N 0 38 49 0 0 -38 h\n1 g 4936 1097 N 0 38 49 0 0
      -38 h\n1 g 4888 1097 N 0 38 48 0 0 -38 h\n1 g 4839 1097 N 0 38 49 0 0
      -38 h\n1 g 4790 1097 N 0 38 49 0 0 -38 h\n1 g 4742 1097 N 0 38 48 0 0
      -38 h\n1 g 4693 1097 N 0 38 49 0 0 -38 h\n1 g 4645 1097 N 0 38 48 0 0
      -38 h\n1 g 4596 1097 N 0 38 49 0 0 -38 h\n1 g 4547 1097 N 0 38 49 0 0
      -38 h\n1 g 4499 1097 N 0 38 48 0 0 -38 h\n1 g 4450 1097 N 0 38 49 0 0
      -38 h\n1 g 4402 1097 N 0 38 48 0 0 -38 h\n1 g 4353 1097 N 0 38 49 0 0
      -38 h\n1 g 4304 1097 N 0 38 49 0 0 -38 h\n1 g 4256 1097 N 0 38 48 0 0
      -38 h\n1 g 4207 1097 N 0 38 49 0 0 -38 h\n1 g 4159 1097 N 0 38 48 0 0
      -38 h\n1 g 4110 1097 N 0 38 49 0 0 -38 h\n.9 g 4061 1097 N 0 38 49 0 0
      -38 h\n.8 g 4013 1097 N 0 38 48 0 0 -38 h\n.8 g 3964 1097 N 0 38 49 0 0
      -38 h\n.8 g 3915 1097 N 0 38 49 0 0 -38 h\n.8 g 3867 1097 N 0 38 48 0 0
      -38 h\n.8 g 3818 1097 N 0 38 49 0 0 -38 h\n.8 g 3770 1097 N 0 38 48 0 0
      -38 h\n.8 g 3721 1097 N 0 38 49 0 0 -38 h\n.8 g 3672 1097 N 0 38 49 0 0
      -38 h\n.8 g 3624 1097 N 0 38 48 0 0 -38 h\n.8 g 3575 1097 N 0 38 49 0 0
      -38 h\n.8 g 3527 1097 N 0 38 48 0 0 -38 h\n.8 g 3478 1097 N 0 38 49 0 0
      -38 h\n.8 g 3429 1097 N 0 38 49 0 0 -38 h\n.8 g 3381 1097 N 0 38 48 0 0
      -38 h\n.8 g 3332 1097 N 0 38 49 0 0 -38 h\n.8 g 3284 1097 N 0 38 48 0 0
      -38 h\n.8 g 3235 1097 N 0 38 49 0 0 -38 h\n.8 g 3186 1097 N 0 38 49 0 0
      -38 h\n.8 g 3138 1097 N 0 38 48 0 0 -38 h\n.9 g 3089 1097 N 0 38 49 0 0
      -38 h\n1 g 3040 1097 N 0 38 49 0 0 -38 h\n1 g 2992 1097 N 0 38 48 0 0
      -38 h\n1 g 2943 1097 N 0 38 49 0 0 -38 h\n1 g 2895 1097 N 0 38 48 0 0
      -38 h\n1 g 2846 1097 N 0 38 49 0 0 -38 h\n1 g 2797 1097 N 0 38 49 0 0
      -38 h\n1 g 2749 1097 N 0 38 48 0 0 -38 h\n1 g 2700 1097 N 0 38 49 0 0
      -38 h\n1 g 2652 1097 N 0 38 48 0 0 -38 h\n1 g 2603 1097 N 0 38 49 0 0
      -38 h\n1 g 2554 1097 N 0 38 49 0 0 -38 h\n1 g 2506 1097 N 0 38 48 0 0
      -38 h\n1 g 2457 1097 N 0 38 49 0 0 -38 h\n1 g 2409 1097 N 0 38 48 0 0
      -38 h\n1 g 2360 1097 N 0 38 49 0 0 -38 h\n1 g 2311 1097 N 0 38 49 0 0
      -38 h\n1 g 2263 1097 N 0 38 48 0 0 -38 h\n1 g 2214 1097 N 0 38 49 0 0
      -38 h\n1 g 2165 1097 N 0 38 49 0 0 -38 h\n1 g 2117 1097 N 0 38 48 0 0
      -38 h\n1 g 2068 1097 N 0 38 49 0 0 -38 h\n1 g 2020 1097 N 0 38 48 0 0
      -38 h\n1 g 1971 1097 N 0 38 49 0 0 -38 h\n1 g 1922 1097 N 0 38 49 0 0
      -38 h\n1 g 1874 1097 N 0 38 48 0 0 -38 h\n1 g 1825 1097 N 0 38 49 0 0
      -38 h\n1 g 1777 1097 N 0 38 48 0 0 -38 h\n1 g 1728 1097 N 0 38 49 0 0
      -38 h\n1 g 1679 1097 N 0 38 49 0 0 -38 h\n1 g 1631 1097 N 0 38 48 0 0
      -38 h\n1 g 1582 1097 N 0 38 49 0 0 -38 h\n1 g 1534 1097 N 0 38 48 0 0
      -38 h\n1 g 1485 1097 N 0 38 49 0 0 -38 h\n1 g 1436 1097 N 0 38 49 0 0
      -38 h\n1 g 1388 1097 N 0 38 48 0 0 -38 h\n1 g 1339 1097 N 0 38 49 0 0
      -38 h\n1 g 1290 1097 N 0 38 49 0 0 -38 h\n1 g 1242 1097 N 0 38 48 0 0
      -38 h\n1 g 1193 1097 N 0 38 49 0 0 -38 h\n1 g 5957 1059 N 0 39 49 0 0
      -39 h\n1 g 5909 1059 N 0 39 48 0 0 -39 h\n1 g 5860 1059 N 0 39 49 0 0
      -39 h\n1 g 5811 1059 N 0 39 49 0 0 -39 h\n1 g 5763 1059 N 0 39 48 0 0
      -39 h\n1 g 5714 1059 N 0 39 49 0 0 -39 h\n1 g 5665 1059 N 0 39 49 0 0
      -39 h\n1 g 5617 1059 N 0 39 48 0 0 -39 h\n1 g 5568 1059 N 0 39 49 0 0
      -39 h\n1 g 5520 1059 N 0 39 48 0 0 -39 h\n1 g 5471 1059 N 0 39 49 0 0
      -39 h\n1 g 5422 1059 N 0 39 49 0 0 -39 h\n1 g 5374 1059 N 0 39 48 0 0
      -39 h\n1 g 5325 1059 N 0 39 49 0 0 -39 h\n1 g 5277 1059 N 0 39 48 0 0
      -39 h\n1 g 5228 1059 N 0 39 49 0 0 -39 h\n1 g 5179 1059 N 0 39 49 0 0
      -39 h\n1 g 5131 1059 N 0 39 48 0 0 -39 h\n1 g 5082 1059 N 0 39 49 0 0
      -39 h\n1 g 5034 1059 N 0 39 48 0 0 -39 h\n1 g 4985 1059 N 0 39 49 0 0
      -39 h\n1 g 4936 1059 N 0 39 49 0 0 -39 h\n1 g 4888 1059 N 0 39 48 0 0
      -39 h\n1 g 4839 1059 N 0 39 49 0 0 -39 h\n1 g 4790 1059 N 0 39 49 0 0
      -39 h\n1 g 4742 1059 N 0 39 48 0 0 -39 h\n1 g 4693 1059 N 0 39 49 0 0
      -39 h\n1 g 4645 1059 N 0 39 48 0 0 -39 h\n1 g 4596 1059 N 0 39 49 0 0
      -39 h\n1 g 4547 1059 N 0 39 49 0 0 -39 h\n1 g 4499 1059 N 0 39 48 0 0
      -39 h\n1 g 4450 1059 N 0 39 49 0 0 -39 h\n1 g 4402 1059 N 0 39 48 0 0
      -39 h\n1 g 4353 1059 N 0 39 49 0 0 -39 h\n1 g 4304 1059 N 0 39 49 0 0
      -39 h\n1 g 4256 1059 N 0 39 48 0 0 -39 h\n1 g 4207 1059 N 0 39 49 0 0
      -39 h\n1 g 4159 1059 N 0 39 48 0 0 -39 h\n1 g 4110 1059 N 0 39 49 0 0
      -39 h\n.95 g 4061 1059 N 0 39 49 0 0 -39 h\n.85 g 4013 1059 N 0 39 48 0
      0 -39 h\n.8 g 3964 1059 N 0 39 49 0 0 -39 h\n.8 g 3915 1059 N 0 39 49 0
      0 -39 h\n.8 g 3867 1059 N 0 39 48 0 0 -39 h\n.8 g 3818 1059 N 0 39 49 0
      0 -39 h\n.8 g 3770 1059 N 0 39 48 0 0 -39 h\n.8 g 3721 1059 N 0 39 49 0
      0 -39 h\n.8 g 3672 1059 N 0 39 49 0 0 -39 h\n.8 g 3624 1059 N 0 39 48 0
      0 -39 h\n.8 g 3575 1059 N 0 39 49 0 0 -39 h\n.8 g 3527 1059 N 0 39 48 0
      0 -39 h\n.8 g 3478 1059 N 0 39 49 0 0 -39 h\n.8 g 3429 1059 N 0 39 49 0
      0 -39 h\n.8 g 3381 1059 N 0 39 48 0 0 -39 h\n.8 g 3332 1059 N 0 39 49 0
      0 -39 h\n.8 g 3284 1059 N 0 39 48 0 0 -39 h\n.8 g 3235 1059 N 0 39 49 0
      0 -39 h\n.8 g 3186 1059 N 0 39 49 0 0 -39 h\n.85 g 3138 1059 N 0 39 48
      0 0 -39 h\n.95 g 3089 1059 N 0 39 49 0 0 -39 h\n1 g 3040 1059 N 0 39 49
      0 0 -39 h\n1 g 2992 1059 N 0 39 48 0 0 -39 h\n1 g 2943 1059 N 0 39 49 0
      0 -39 h\n1 g 2895 1059 N 0 39 48 0 0 -39 h\n1 g 2846 1059 N 0 39 49 0 0
      -39 h\n1 g 2797 1059 N 0 39 49 0 0 -39 h\n1 g 2749 1059 N 0 39 48 0 0
      -39 h\n1 g 2700 1059 N 0 39 49 0 0 -39 h\n1 g 2652 1059 N 0 39 48 0 0
      -39 h\n1 g 2603 1059 N 0 39 49 0 0 -39 h\n1 g 2554 1059 N 0 39 49 0 0
      -39 h\n1 g 2506 1059 N 0 39 48 0 0 -39 h\n1 g 2457 1059 N 0 39 49 0 0
      -39 h\n1 g 2409 1059 N 0 39 48 0 0 -39 h\n1 g 2360 1059 N 0 39 49 0 0
      -39 h\n1 g 2311 1059 N 0 39 49 0 0 -39 h\n1 g 2263 1059 N 0 39 48 0 0
      -39 h\n1 g 2214 1059 N 0 39 49 0 0 -39 h\n1 g 2165 1059 N 0 39 49 0 0
      -39 h\n1 g 2117 1059 N 0 39 48 0 0 -39 h\n1 g 2068 1059 N 0 39 49 0 0
      -39 h\n1 g 2020 1059 N 0 39 48 0 0 -39 h\n1 g 1971 1059 N 0 39 49 0 0
      -39 h\n1 g 1922 1059 N 0 39 49 0 0 -39 h\n1 g 1874 1059 N 0 39 48 0 0
      -39 h\n1 g 1825 1059 N 0 39 49 0 0 -39 h\n1 g 1777 1059 N 0 39 48 0 0
      -39 h\n1 g 1728 1059 N 0 39 49 0 0 -39 h\n1 g 1679 1059 N 0 39 49 0 0
      -39 h\n1 g 1631 1059 N 0 39 48 0 0 -39 h\n1 g 1582 1059 N 0 39 49 0 0
      -39 h\n1 g 1534 1059 N 0 39 48 0 0 -39 h\n1 g 1485 1059 N 0 39 49 0 0
      -39 h\n1 g 1436 1059 N 0 39 49 0 0 -39 h\n1 g 1388 1059 N 0 39 48 0 0
      -39 h\n1 g 1339 1059 N 0 39 49 0 0 -39 h\n1 g 1290 1059 N 0 39 49 0 0
      -39 h\n1 g 1242 1059 N 0 39 48 0 0 -39 h\n1 g 1193 1059 N 0 39 49 0 0
      -39 h\n1 g 5957 1020 N 0 39 49 0 0 -39 h\n1 g 5909 1020 N 0 39 48 0 0
      -39 h\n1 g 5860 1020 N 0 39 49 0 0 -39 h\n1 g 5811 1020 N 0 39 49 0 0
      -39 h\n1 g 5763 1020 N 0 39 48 0 0 -39 h\n1 g 5714 1020 N 0 39 49 0 0
      -39 h\n1 g 5665 1020 N 0 39 49 0 0 -39 h\n1 g 5617 1020 N 0 39 48 0 0
      -39 h\n1 g 5568 1020 N 0 39 49 0 0 -39 h\n1 g 5520 1020 N 0 39 48 0 0
      -39 h\n1 g 5471 1020 N 0 39 49 0 0 -39 h\n1 g 5422 1020 N 0 39 49 0 0
      -39 h\n1 g 5374 1020 N 0 39 48 0 0 -39 h\n1 g 5325 1020 N 0 39 49 0 0
      -39 h\n1 g 5277 1020 N 0 39 48 0 0 -39 h\n1 g 5228 1020 N 0 39 49 0 0
      -39 h\n1 g 5179 1020 N 0 39 49 0 0 -39 h\n1 g 5131 1020 N 0 39 48 0 0
      -39 h\n1 g 5082 1020 N 0 39 49 0 0 -39 h\n1 g 5034 1020 N 0 39 48 0 0
      -39 h\n1 g 4985 1020 N 0 39 49 0 0 -39 h\n1 g 4936 1020 N 0 39 49 0 0
      -39 h\n1 g 4888 1020 N 0 39 48 0 0 -39 h\n1 g 4839 1020 N 0 39 49 0 0
      -39 h\n1 g 4790 1020 N 0 39 49 0 0 -39 h\n1 g 4742 1020 N 0 39 48 0 0
      -39 h\n1 g 4693 1020 N 0 39 49 0 0 -39 h\n1 g 4645 1020 N 0 39 48 0 0
      -39 h\n1 g 4596 1020 N 0 39 49 0 0 -39 h\n1 g 4547 1020 N 0 39 49 0 0
      -39 h\n1 g 4499 1020 N 0 39 48 0 0 -39 h\n1 g 4450 1020 N 0 39 49 0 0
      -39 h\n1 g 4402 1020 N 0 39 48 0 0 -39 h\n1 g 4353 1020 N 0 39 49 0 0
      -39 h\n1 g 4304 1020 N 0 39 49 0 0 -39 h\n1 g 4256 1020 N 0 39 48 0 0
      -39 h\n1 g 4207 1020 N 0 39 49 0 0 -39 h\n1 g 4159 1020 N 0 39 48 0 0
      -39 h\n1 g 4110 1020 N 0 39 49 0 0 -39 h\n1 g 4061 1020 N 0 39 49 0 0
      -39 h\n.9 g 4013 1020 N 0 39 48 0 0 -39 h\n.8 g 3964 1020 N 0 39 49 0 0
      -39 h\n.8 g 3915 1020 N 0 39 49 0 0 -39 h\n.8 g 3867 1020 N 0 39 48 0 0
      -39 h\n.8 g 3818 1020 N 0 39 49 0 0 -39 h\n.8 g 3770 1020 N 0 39 48 0 0
      -39 h\n.8 g 3721 1020 N 0 39 49 0 0 -39 h\n.8 g 3672 1020 N 0 39 49 0 0
      -39 h\n.8 g 3624 1020 N 0 39 48 0 0 -39 h\n.8 g 3575 1020 N 0 39 49 0 0
      -39 h\n.8 g 3527 1020 N 0 39 48 0 0 -39 h\n.8 g 3478 1020 N 0 39 49 0 0
      -39 h\n.8 g 3429 1020 N 0 39 49 0 0 -39 h\n.8 g 3381 1020 N 0 39 48 0 0
      -39 h\n.8 g 3332 1020 N 0 39 49 0 0 -39 h\n.8 g 3284 1020 N 0 39 48 0 0
      -39 h\n.8 g 3235 1020 N 0 39 49 0 0 -39 h\n.8 g 3186 1020 N 0 39 49 0 0
      -39 h\n.9 g 3138 1020 N 0 39 48 0 0 -39 h\n1 g 3089 1020 N 0 39 49 0 0
      -39 h\n1 g 3040 1020 N 0 39 49 0 0 -39 h\n1 g 2992 1020 N 0 39 48 0 0
      -39 h\n1 g 2943 1020 N 0 39 49 0 0 -39 h\n1 g 2895 1020 N 0 39 48 0 0
      -39 h\n1 g 2846 1020 N 0 39 49 0 0 -39 h\n1 g 2797 1020 N 0 39 49 0 0
      -39 h\n1 g 2749 1020 N 0 39 48 0 0 -39 h\n1 g 2700 1020 N 0 39 49 0 0
      -39 h\n1 g 2652 1020 N 0 39 48 0 0 -39 h\n1 g 2603 1020 N 0 39 49 0 0
      -39 h\n1 g 2554 1020 N 0 39 49 0 0 -39 h\n1 g 2506 1020 N 0 39 48 0 0
      -39 h\n1 g 2457 1020 N 0 39 49 0 0 -39 h\n1 g 2409 1020 N 0 39 48 0 0
      -39 h\n1 g 2360 1020 N 0 39 49 0 0 -39 h\n1 g 2311 1020 N 0 39 49 0 0
      -39 h\n1 g 2263 1020 N 0 39 48 0 0 -39 h\n1 g 2214 1020 N 0 39 49 0 0
      -39 h\n1 g 2165 1020 N 0 39 49 0 0 -39 h\n1 g 2117 1020 N 0 39 48 0 0
      -39 h\n1 g 2068 1020 N 0 39 49 0 0 -39 h\n1 g 2020 1020 N 0 39 48 0 0
      -39 h\n1 g 1971 1020 N 0 39 49 0 0 -39 h\n1 g 1922 1020 N 0 39 49 0 0
      -39 h\n1 g 1874 1020 N 0 39 48 0 0 -39 h\n1 g 1825 1020 N 0 39 49 0 0
      -39 h\n1 g 1777 1020 N 0 39 48 0 0 -39 h\n1 g 1728 1020 N 0 39 49 0 0
      -39 h\n1 g 1679 1020 N 0 39 49 0 0 -39 h\n1 g 1631 1020 N 0 39 48 0 0
      -39 h\n1 g 1582 1020 N 0 39 49 0 0 -39 h\n1 g 1534 1020 N 0 39 48 0 0
      -39 h\n1 g 1485 1020 N 0 39 49 0 0 -39 h\n1 g 1436 1020 N 0 39 49 0 0
      -39 h\n1 g 1388 1020 N 0 39 48 0 0 -39 h\n1 g 1339 1020 N 0 39 49 0 0
      -39 h\n1 g 1290 1020 N 0 39 49 0 0 -39 h\n1 g 1242 1020 N 0 39 48 0 0
      -39 h\n1 g 1193 1020 N 0 39 49 0 0 -39 h\n1 g 5957 981 N 0 39 49 0 0
      -39 h\n1 g 5909 981 N 0 39 48 0 0 -39 h\n1 g 5860 981 N 0 39 49 0 0 -39
      h\n1 g 5811 981 N 0 39 49 0 0 -39 h\n1 g 5763 981 N 0 39 48 0 0 -39
      h\n1 g 5714 981 N 0 39 49 0 0 -39 h\n1 g 5665 981 N 0 39 49 0 0 -39
      h\n1 g 5617 981 N 0 39 48 0 0 -39 h\n1 g 5568 981 N 0 39 49 0 0 -39
      h\n1 g 5520 981 N 0 39 48 0 0 -39 h\n1 g 5471 981 N 0 39 49 0 0 -39
      h\n1 g 5422 981 N 0 39 49 0 0 -39 h\n1 g 5374 981 N 0 39 48 0 0 -39
      h\n1 g 5325 981 N 0 39 49 0 0 -39 h\n1 g 5277 981 N 0 39 48 0 0 -39
      h\n1 g 5228 981 N 0 39 49 0 0 -39 h\n1 g 5179 981 N 0 39 49 0 0 -39
      h\n1 g 5131 981 N 0 39 48 0 0 -39 h\n1 g 5082 981 N 0 39 49 0 0 -39
      h\n1 g 5034 981 N 0 39 48 0 0 -39 h\n1 g 4985 981 N 0 39 49 0 0 -39
      h\n1 g 4936 981 N 0 39 49 0 0 -39 h\n1 g 4888 981 N 0 39 48 0 0 -39
      h\n1 g 4839 981 N 0 39 49 0 0 -39 h\n1 g 4790 981 N 0 39 49 0 0 -39
      h\n1 g 4742 981 N 0 39 48 0 0 -39 h\n1 g 4693 981 N 0 39 49 0 0 -39
      h\n1 g 4645 981 N 0 39 48 0 0 -39 h\n1 g 4596 981 N 0 39 49 0 0 -39
      h\n1 g 4547 981 N 0 39 49 0 0 -39 h\n1 g 4499 981 N 0 39 48 0 0 -39
      h\n1 g 4450 981 N 0 39 49 0 0 -39 h\n1 g 4402 981 N 0 39 48 0 0 -39
      h\n1 g 4353 981 N 0 39 49 0 0 -39 h\n1 g 4304 981 N 0 39 49 0 0 -39
      h\n1 g 4256 981 N 0 39 48 0 0 -39 h\n1 g 4207 981 N 0 39 49 0 0 -39
      h\n1 g 4159 981 N 0 39 48 0 0 -39 h\n1 g 4110 981 N 0 39 49 0 0 -39
      h\n1 g 4061 981 N 0 39 49 0 0 -39 h\n.95 g 4013 981 N 0 39 48 0 0 -39
      h\n.85 g 3964 981 N 0 39 49 0 0 -39 h\n.8 g 3915 981 N 0 39 49 0 0 -39
      h\n.8 g 3867 981 N 0 39 48 0 0 -39 h\n.8 g 3818 981 N 0 39 49 0 0 -39
      h\n.8 g 3770 981 N 0 39 48 0 0 -39 h\n.8 g 3721 981 N 0 39 49 0 0 -39
      h\n.8 g 3672 981 N 0 39 49 0 0 -39 h\n.8 g 3624 981 N 0 39 48 0 0 -39
      h\n.8 g 3575 981 N 0 39 49 0 0 -39 h\n.8 g 3527 981 N 0 39 48 0 0 -39
      h\n.8 g 3478 981 N 0 39 49 0 0 -39 h\n.8 g 3429 981 N 0 39 49 0 0 -39
      h\n.8 g 3381 981 N 0 39 48 0 0 -39 h\n.8 g 3332 981 N 0 39 49 0 0 -39
      h\n.8 g 3284 981 N 0 39 48 0 0 -39 h\n.8 g 3235 981 N 0 39 49 0 0 -39
      h\n.85 g 3186 981 N 0 39 49 0 0 -39 h\n.95 g 3138 981 N 0 39 48 0 0 -39
      h\n1 g 3089 981 N 0 39 49 0 0 -39 h\n1 g 3040 981 N 0 39 49 0 0 -39
      h\n1 g 2992 981 N 0 39 48 0 0 -39 h\n1 g 2943 981 N 0 39 49 0 0 -39
      h\n1 g 2895 981 N 0 39 48 0 0 -39 h\n1 g 2846 981 N 0 39 49 0 0 -39
      h\n1 g 2797 981 N 0 39 49 0 0 -39 h\n1 g 2749 981 N 0 39 48 0 0 -39
      h\n1 g 2700 981 N 0 39 49 0 0 -39 h\n1 g 2652 981 N 0 39 48 0 0 -39
      h\n1 g 2603 981 N 0 39 49 0 0 -39 h\n1 g 2554 981 N 0 39 49 0 0 -39
      h\n1 g 2506 981 N 0 39 48 0 0 -39 h\n1 g 2457 981 N 0 39 49 0 0 -39
      h\n1 g 2409 981 N 0 39 48 0 0 -39 h\n1 g 2360 981 N 0 39 49 0 0 -39
      h\n1 g 2311 981 N 0 39 49 0 0 -39 h\n1 g 2263 981 N 0 39 48 0 0 -39
      h\n1 g 2214 981 N 0 39 49 0 0 -39 h\n1 g 2165 981 N 0 39 49 0 0 -39
      h\n1 g 2117 981 N 0 39 48 0 0 -39 h\n1 g 2068 981 N 0 39 49 0 0 -39
      h\n1 g 2020 981 N 0 39 48 0 0 -39 h\n1 g 1971 981 N 0 39 49 0 0 -39
      h\n1 g 1922 981 N 0 39 49 0 0 -39 h\n1 g 1874 981 N 0 39 48 0 0 -39
      h\n1 g 1825 981 N 0 39 49 0 0 -39 h\n1 g 1777 981 N 0 39 48 0 0 -39
      h\n1 g 1728 981 N 0 39 49 0 0 -39 h\n1 g 1679 981 N 0 39 49 0 0 -39
      h\n1 g 1631 981 N 0 39 48 0 0 -39 h\n1 g 1582 981 N 0 39 49 0 0 -39
      h\n1 g 1534 981 N 0 39 48 0 0 -39 h\n1 g 1485 981 N 0 39 49 0 0 -39
      h\n1 g 1436 981 N 0 39 49 0 0 -39 h\n1 g 1388 981 N 0 39 48 0 0 -39
      h\n1 g 1339 981 N 0 39 49 0 0 -39 h\n1 g 1290 981 N 0 39 49 0 0 -39
      h\n1 g 1242 981 N 0 39 48 0 0 -39 h\n1 g 1193 981 N 0 39 49 0 0 -39
      h\n1 g 5957 942 N 0 38 49 0 0 -38 h\n1 g 5909 942 N 0 38 48 0 0 -38
      h\n1 g 5860 942 N 0 38 49 0 0 -38 h\n1 g 5811 942 N 0 38 49 0 0 -38
      h\n1 g 5763 942 N 0 38 48 0 0 -38 h\n1 g 5714 942 N 0 38 49 0 0 -38
      h\n1 g 5665 942 N 0 38 49 0 0 -38 h\n1 g 5617 942 N 0 38 48 0 0 -38
      h\n1 g 5568 942 N 0 38 49 0 0 -38 h\n1 g 5520 942 N 0 38 48 0 0 -38
      h\n1 g 5471 942 N 0 38 49 0 0 -38 h\n1 g 5422 942 N 0 38 49 0 0 -38
      h\n1 g 5374 942 N 0 38 48 0 0 -38 h\n1 g 5325 942 N 0 38 49 0 0 -38
      h\n1 g 5277 942 N 0 38 48 0 0 -38 h\n1 g 5228 942 N 0 38 49 0 0 -38
      h\n1 g 5179 942 N 0 38 49 0 0 -38 h\n1 g 5131 942 N 0 38 48 0 0 -38
      h\n1 g 5082 942 N 0 38 49 0 0 -38 h\n1 g 5034 942 N 0 38 48 0 0 -38
      h\n1 g 4985 942 N 0 38 49 0 0 -38 h\n1 g 4936 942 N 0 38 49 0 0 -38
      h\n1 g 4888 942 N 0 38 48 0 0 -38 h\n1 g 4839 942 N 0 38 49 0 0 -38
      h\n1 g 4790 942 N 0 38 49 0 0 -38 h\n1 g 4742 942 N 0 38 48 0 0 -38
      h\n1 g 4693 942 N 0 38 49 0 0 -38 h\n1 g 4645 942 N 0 38 48 0 0 -38
      h\n1 g 4596 942 N 0 38 49 0 0 -38 h\n1 g 4547 942 N 0 38 49 0 0 -38
      h\n1 g 4499 942 N 0 38 48 0 0 -38 h\n1 g 4450 942 N 0 38 49 0 0 -38
      h\n1 g 4402 942 N 0 38 48 0 0 -38 h\n1 g 4353 942 N 0 38 49 0 0 -38
      h\n1 g 4304 942 N 0 38 49 0 0 -38 h\n1 g 4256 942 N 0 38 48 0 0 -38
      h\n1 g 4207 942 N 0 38 49 0 0 -38 h\n1 g 4159 942 N 0 38 48 0 0 -38
      h\n1 g 4110 942 N 0 38 49 0 0 -38 h\n1 g 4061 942 N 0 38 49 0 0 -38
      h\n1 g 4013 942 N 0 38 48 0 0 -38 h\n.9 g 3964 942 N 0 38 49 0 0 -38
      h\n.8 g 3915 942 N 0 38 49 0 0 -38 h\n.8 g 3867 942 N 0 38 48 0 0 -38
      h\n.8 g 3818 942 N 0 38 49 0 0 -38 h\n.8 g 3770 942 N 0 38 48 0 0 -38
      h\n.8 g 3721 942 N 0 38 49 0 0 -38 h\n.8 g 3672 942 N 0 38 49 0 0 -38
      h\n.8 g 3624 942 N 0 38 48 0 0 -38 h\n.8 g 3575 942 N 0 38 49 0 0 -38
      h\n.8 g 3527 942 N 0 38 48 0 0 -38 h\n.8 g 3478 942 N 0 38 49 0 0 -38
      h\n.8 g 3429 942 N 0 38 49 0 0 -38 h\n.8 g 3381 942 N 0 38 48 0 0 -38
      h\n.8 g 3332 942 N 0 38 49 0 0 -38 h\n.8 g 3284 942 N 0 38 48 0 0 -38
      h\n.8 g 3235 942 N 0 38 49 0 0 -38 h\n.9 g 3186 942 N 0 38 49 0 0 -38
      h\n1 g 3138 942 N 0 38 48 0 0 -38 h\n1 g 3089 942 N 0 38 49 0 0 -38
      h\n1 g 3040 942 N 0 38 49 0 0 -38 h\n1 g 2992 942 N 0 38 48 0 0 -38
      h\n1 g 2943 942 N 0 38 49 0 0 -38 h\n1 g 2895 942 N 0 38 48 0 0 -38
      h\n1 g 2846 942 N 0 38 49 0 0 -38 h\n1 g 2797 942 N 0 38 49 0 0 -38
      h\n1 g 2749 942 N 0 38 48 0 0 -38 h\n1 g 2700 942 N 0 38 49 0 0 -38
      h\n1 g 2652 942 N 0 38 48 0 0 -38 h\n1 g 2603 942 N 0 38 49 0 0 -38
      h\n1 g 2554 942 N 0 38 49 0 0 -38 h\n1 g 2506 942 N 0 38 48 0 0 -38
      h\n1 g 2457 942 N 0 38 49 0 0 -38 h\n1 g 2409 942 N 0 38 48 0 0 -38
      h\n1 g 2360 942 N 0 38 49 0 0 -38 h\n1 g 2311 942 N 0 38 49 0 0 -38
      h\n1 g 2263 942 N 0 38 48 0 0 -38 h\n1 g 2214 942 N 0 38 49 0 0 -38
      h\n1 g 2165 942 N 0 38 49 0 0 -38 h\n1 g 2117 942 N 0 38 48 0 0 -38
      h\n1 g 2068 942 N 0 38 49 0 0 -38 h\n1 g 2020 942 N 0 38 48 0 0 -38
      h\n1 g 1971 942 N 0 38 49 0 0 -38 h\n1 g 1922 942 N 0 38 49 0 0 -38
      h\n1 g 1874 942 N 0 38 48 0 0 -38 h\n1 g 1825 942 N 0 38 49 0 0 -38
      h\n1 g 1777 942 N 0 38 48 0 0 -38 h\n1 g 1728 942 N 0 38 49 0 0 -38
      h\n1 g 1679 942 N 0 38 49 0 0 -38 h\n1 g 1631 942 N 0 38 48 0 0 -38
      h\n1 g 1582 942 N 0 38 49 0 0 -38 h\n1 g 1534 942 N 0 38 48 0 0 -38
      h\n1 g 1485 942 N 0 38 49 0 0 -38 h\n1 g 1436 942 N 0 38 49 0 0 -38
      h\n1 g 1388 942 N 0 38 48 0 0 -38 h\n1 g 1339 942 N 0 38 49 0 0 -38
      h\n1 g 1290 942 N 0 38 49 0 0 -38 h\n1 g 1242 942 N 0 38 48 0 0 -38
      h\n1 g 1193 942 N 0 38 49 0 0 -38 h\n1 g 5957 904 N 0 39 49 0 0 -39
      h\n1 g 5909 904 N 0 39 48 0 0 -39 h\n1 g 5860 904 N 0 39 49 0 0 -39
      h\n1 g 5811 904 N 0 39 49 0 0 -39 h\n1 g 5763 904 N 0 39 48 0 0 -39
      h\n1 g 5714 904 N 0 39 49 0 0 -39 h\n1 g 5665 904 N 0 39 49 0 0 -39
      h\n1 g 5617 904 N 0 39 48 0 0 -39 h\n1 g 5568 904 N 0 39 49 0 0 -39
      h\n1 g 5520 904 N 0 39 48 0 0 -39 h\n1 g 5471 904 N 0 39 49 0 0 -39
      h\n1 g 5422 904 N 0 39 49 0 0 -39 h\n1 g 5374 904 N 0 39 48 0 0 -39
      h\n1 g 5325 904 N 0 39 49 0 0 -39 h\n1 g 5277 904 N 0 39 48 0 0 -39
      h\n1 g 5228 904 N 0 39 49 0 0 -39 h\n1 g 5179 904 N 0 39 49 0 0 -39
      h\n1 g 5131 904 N 0 39 48 0 0 -39 h\n1 g 5082 904 N 0 39 49 0 0 -39
      h\n1 g 5034 904 N 0 39 48 0 0 -39 h\n1 g 4985 904 N 0 39 49 0 0 -39
      h\n1 g 4936 904 N 0 39 49 0 0 -39 h\n1 g 4888 904 N 0 39 48 0 0 -39
      h\n1 g 4839 904 N 0 39 49 0 0 -39 h\n1 g 4790 904 N 0 39 49 0 0 -39
      h\n1 g 4742 904 N 0 39 48 0 0 -39 h\n1 g 4693 904 N 0 39 49 0 0 -39
      h\n1 g 4645 904 N 0 39 48 0 0 -39 h\n1 g 4596 904 N 0 39 49 0 0 -39
      h\n1 g 4547 904 N 0 39 49 0 0 -39 h\n1 g 4499 904 N 0 39 48 0 0 -39
      h\n1 g 4450 904 N 0 39 49 0 0 -39 h\n1 g 4402 904 N 0 39 48 0 0 -39
      h\n1 g 4353 904 N 0 39 49 0 0 -39 h\n1 g 4304 904 N 0 39 49 0 0 -39
      h\n1 g 4256 904 N 0 39 48 0 0 -39 h\n1 g 4207 904 N 0 39 49 0 0 -39
      h\n1 g 4159 904 N 0 39 48 0 0 -39 h\n1 g 4110 904 N 0 39 49 0 0 -39
      h\n1 g 4061 904 N 0 39 49 0 0 -39 h\n1 g 4013 904 N 0 39 48 0 0 -39
      h\n.95 g 3964 904 N 0 39 49 0 0 -39 h\n.85 g 3915 904 N 0 39 49 0 0 -39
      h\n.8 g 3867 904 N 0 39 48 0 0 -39 h\n.8 g 3818 904 N 0 39 49 0 0 -39
      h\n.8 g 3770 904 N 0 39 48 0 0 -39 h\n.8 g 3721 904 N 0 39 49 0 0 -39
      h\n.8 g 3672 904 N 0 39 49 0 0 -39 h\n.8 g 3624 904 N 0 39 48 0 0 -39
      h\n.8 g 3575 904 N 0 39 49 0 0 -39 h\n.8 g 3527 904 N 0 39 48 0 0 -39
      h\n.8 g 3478 904 N 0 39 49 0 0 -39 h\n.8 g 3429 904 N 0 39 49 0 0 -39
      h\n.8 g 3381 904 N 0 39 48 0 0 -39 h\n.8 g 3332 904 N 0 39 49 0 0 -39
      h\n.8 g 3284 904 N 0 39 48 0 0 -39 h\n.85 g 3235 904 N 0 39 49 0 0 -39
      h\n.95 g 3186 904 N 0 39 49 0 0 -39 h\n1 g 3138 904 N 0 39 48 0 0 -39
      h\n1 g 3089 904 N 0 39 49 0 0 -39 h\n1 g 3040 904 N 0 39 49 0 0 -39
      h\n1 g 2992 904 N 0 39 48 0 0 -39 h\n1 g 2943 904 N 0 39 49 0 0 -39
      h\n1 g 2895 904 N 0 39 48 0 0 -39 h\n1 g 2846 904 N 0 39 49 0 0 -39
      h\n1 g 2797 904 N 0 39 49 0 0 -39 h\n1 g 2749 904 N 0 39 48 0 0 -39
      h\n1 g 2700 904 N 0 39 49 0 0 -39 h\n1 g 2652 904 N 0 39 48 0 0 -39
      h\n1 g 2603 904 N 0 39 49 0 0 -39 h\n1 g 2554 904 N 0 39 49 0 0 -39
      h\n1 g 2506 904 N 0 39 48 0 0 -39 h\n1 g 2457 904 N 0 39 49 0 0 -39
      h\n1 g 2409 904 N 0 39 48 0 0 -39 h\n1 g 2360 904 N 0 39 49 0 0 -39
      h\n1 g 2311 904 N 0 39 49 0 0 -39 h\n1 g 2263 904 N 0 39 48 0 0 -39
      h\n1 g 2214 904 N 0 39 49 0 0 -39 h\n1 g 2165 904 N 0 39 49 0 0 -39
      h\n1 g 2117 904 N 0 39 48 0 0 -39 h\n1 g 2068 904 N 0 39 49 0 0 -39
      h\n1 g 2020 904 N 0 39 48 0 0 -39 h\n1 g 1971 904 N 0 39 49 0 0 -39
      h\n1 g 1922 904 N 0 39 49 0 0 -39 h\n1 g 1874 904 N 0 39 48 0 0 -39
      h\n1 g 1825 904 N 0 39 49 0 0 -39 h\n1 g 1777 904 N 0 39 48 0 0 -39
      h\n1 g 1728 904 N 0 39 49 0 0 -39 h\n1 g 1679 904 N 0 39 49 0 0 -39
      h\n1 g 1631 904 N 0 39 48 0 0 -39 h\n1 g 1582 904 N 0 39 49 0 0 -39
      h\n1 g 1534 904 N 0 39 48 0 0 -39 h\n1 g 1485 904 N 0 39 49 0 0 -39
      h\n1 g 1436 904 N 0 39 49 0 0 -39 h\n1 g 1388 904 N 0 39 48 0 0 -39
      h\n1 g 1339 904 N 0 39 49 0 0 -39 h\n1 g 1290 904 N 0 39 49 0 0 -39
      h\n1 g 1242 904 N 0 39 48 0 0 -39 h\n1 g 1193 904 N 0 39 49 0 0 -39
      h\n1 g 5957 865 N 0 39 49 0 0 -39 h\n1 g 5909 865 N 0 39 48 0 0 -39
      h\n1 g 5860 865 N 0 39 49 0 0 -39 h\n1 g 5811 865 N 0 39 49 0 0 -39
      h\n1 g 5763 865 N 0 39 48 0 0 -39 h\n1 g 5714 865 N 0 39 49 0 0 -39
      h\n1 g 5665 865 N 0 39 49 0 0 -39 h\n1 g 5617 865 N 0 39 48 0 0 -39
      h\n1 g 5568 865 N 0 39 49 0 0 -39 h\n1 g 5520 865 N 0 39 48 0 0 -39
      h\n1 g 5471 865 N 0 39 49 0 0 -39 h\n1 g 5422 865 N 0 39 49 0 0 -39
      h\n1 g 5374 865 N 0 39 48 0 0 -39 h\n1 g 5325 865 N 0 39 49 0 0 -39
      h\n1 g 5277 865 N 0 39 48 0 0 -39 h\n1 g 5228 865 N 0 39 49 0 0 -39
      h\n1 g 5179 865 N 0 39 49 0 0 -39 h\n1 g 5131 865 N 0 39 48 0 0 -39
      h\n1 g 5082 865 N 0 39 49 0 0 -39 h\n1 g 5034 865 N 0 39 48 0 0 -39
      h\n1 g 4985 865 N 0 39 49 0 0 -39 h\n1 g 4936 865 N 0 39 49 0 0 -39
      h\n1 g 4888 865 N 0 39 48 0 0 -39 h\n1 g 4839 865 N 0 39 49 0 0 -39
      h\n1 g 4790 865 N 0 39 49 0 0 -39 h\n1 g 4742 865 N 0 39 48 0 0 -39
      h\n1 g 4693 865 N 0 39 49 0 0 -39 h\n1 g 4645 865 N 0 39 48 0 0 -39
      h\n1 g 4596 865 N 0 39 49 0 0 -39 h\n1 g 4547 865 N 0 39 49 0 0 -39
      h\n1 g 4499 865 N 0 39 48 0 0 -39 h\n1 g 4450 865 N 0 39 49 0 0 -39
      h\n1 g 4402 865 N 0 39 48 0 0 -39 h\n1 g 4353 865 N 0 39 49 0 0 -39
      h\n1 g 4304 865 N 0 39 49 0 0 -39 h\n1 g 4256 865 N 0 39 48 0 0 -39
      h\n1 g 4207 865 N 0 39 49 0 0 -39 h\n1 g 4159 865 N 0 39 48 0 0 -39
      h\n1 g 4110 865 N 0 39 49 0 0 -39 h\n1 g 4061 865 N 0 39 49 0 0 -39
      h\n1 g 4013 865 N 0 39 48 0 0 -39 h\n1 g 3964 865 N 0 39 49 0 0 -39
      h\n.95 g 3915 865 N 0 39 49 0 0 -39 h\n.85 g 3867 865 N 0 39 48 0 0 -39
      h\n.8 g 3818 865 N 0 39 49 0 0 -39 h\n.8 g 3770 865 N 0 39 48 0 0 -39
      h\n.8 g 3721 865 N 0 39 49 0 0 -39 h\n.8 g 3672 865 N 0 39 49 0 0 -39
      h\n.8 g 3624 865 N 0 39 48 0 0 -39 h\n.8 g 3575 865 N 0 39 49 0 0 -39
      h\n.8 g 3527 865 N 0 39 48 0 0 -39 h\n.8 g 3478 865 N 0 39 49 0 0 -39
      h\n.8 g 3429 865 N 0 39 49 0 0 -39 h\n.8 g 3381 865 N 0 39 48 0 0 -39
      h\n.8 g 3332 865 N 0 39 49 0 0 -39 h\n.85 g 3284 865 N 0 39 48 0 0 -39
      h\n.95 g 3235 865 N 0 39 49 0 0 -39 h\n1 g 3186 865 N 0 39 49 0 0 -39
      h\n1 g 3138 865 N 0 39 48 0 0 -39 h\n1 g 3089 865 N 0 39 49 0 0 -39
      h\n1 g 3040 865 N 0 39 49 0 0 -39 h\n1 g 2992 865 N 0 39 48 0 0 -39
      h\n1 g 2943 865 N 0 39 49 0 0 -39 h\n1 g 2895 865 N 0 39 48 0 0 -39
      h\n1 g 2846 865 N 0 39 49 0 0 -39 h\n1 g 2797 865 N 0 39 49 0 0 -39
      h\n1 g 2749 865 N 0 39 48 0 0 -39 h\n1 g 2700 865 N 0 39 49 0 0 -39
      h\n1 g 2652 865 N 0 39 48 0 0 -39 h\n1 g 2603 865 N 0 39 49 0 0 -39
      h\n1 g 2554 865 N 0 39 49 0 0 -39 h\n1 g 2506 865 N 0 39 48 0 0 -39
      h\n1 g 2457 865 N 0 39 49 0 0 -39 h\n1 g 2409 865 N 0 39 48 0 0 -39
      h\n1 g 2360 865 N 0 39 49 0 0 -39 h\n1 g 2311 865 N 0 39 49 0 0 -39
      h\n1 g 2263 865 N 0 39 48 0 0 -39 h\n1 g 2214 865 N 0 39 49 0 0 -39
      h\n1 g 2165 865 N 0 39 49 0 0 -39 h\n1 g 2117 865 N 0 39 48 0 0 -39
      h\n1 g 2068 865 N 0 39 49 0 0 -39 h\n1 g 2020 865 N 0 39 48 0 0 -39
      h\n1 g 1971 865 N 0 39 49 0 0 -39 h\n1 g 1922 865 N 0 39 49 0 0 -39
      h\n1 g 1874 865 N 0 39 48 0 0 -39 h\n1 g 1825 865 N 0 39 49 0 0 -39
      h\n1 g 1777 865 N 0 39 48 0 0 -39 h\n1 g 1728 865 N 0 39 49 0 0 -39
      h\n1 g 1679 865 N 0 39 49 0 0 -39 h\n1 g 1631 865 N 0 39 48 0 0 -39
      h\n1 g 1582 865 N 0 39 49 0 0 -39 h\n1 g 1534 865 N 0 39 48 0 0 -39
      h\n1 g 1485 865 N 0 39 49 0 0 -39 h\n1 g 1436 865 N 0 39 49 0 0 -39
      h\n1 g 1388 865 N 0 39 48 0 0 -39 h\n1 g 1339 865 N 0 39 49 0 0 -39
      h\n1 g 1290 865 N 0 39 49 0 0 -39 h\n1 g 1242 865 N 0 39 48 0 0 -39
      h\n1 g 1193 865 N 0 39 49 0 0 -39 h\n1 g 5957 826 N 0 39 49 0 0 -39
      h\n1 g 5909 826 N 0 39 48 0 0 -39 h\n1 g 5860 826 N 0 39 49 0 0 -39
      h\n1 g 5811 826 N 0 39 49 0 0 -39 h\n1 g 5763 826 N 0 39 48 0 0 -39
      h\n1 g 5714 826 N 0 39 49 0 0 -39 h\n1 g 5665 826 N 0 39 49 0 0 -39
      h\n1 g 5617 826 N 0 39 48 0 0 -39 h\n1 g 5568 826 N 0 39 49 0 0 -39
      h\n1 g 5520 826 N 0 39 48 0 0 -39 h\n1 g 5471 826 N 0 39 49 0 0 -39
      h\n1 g 5422 826 N 0 39 49 0 0 -39 h\n1 g 5374 826 N 0 39 48 0 0 -39
      h\n1 g 5325 826 N 0 39 49 0 0 -39 h\n1 g 5277 826 N 0 39 48 0 0 -39
      h\n1 g 5228 826 N 0 39 49 0 0 -39 h\n1 g 5179 826 N 0 39 49 0 0 -39
      h\n1 g 5131 826 N 0 39 48 0 0 -39 h\n1 g 5082 826 N 0 39 49 0 0 -39
      h\n1 g 5034 826 N 0 39 48 0 0 -39 h\n1 g 4985 826 N 0 39 49 0 0 -39
      h\n1 g 4936 826 N 0 39 49 0 0 -39 h\n1 g 4888 826 N 0 39 48 0 0 -39
      h\n1 g 4839 826 N 0 39 49 0 0 -39 h\n1 g 4790 826 N 0 39 49 0 0 -39
      h\n1 g 4742 826 N 0 39 48 0 0 -39 h\n1 g 4693 826 N 0 39 49 0 0 -39
      h\n1 g 4645 826 N 0 39 48 0 0 -39 h\n1 g 4596 826 N 0 39 49 0 0 -39
      h\n1 g 4547 826 N 0 39 49 0 0 -39 h\n1 g 4499 826 N 0 39 48 0 0 -39
      h\n1 g 4450 826 N 0 39 49 0 0 -39 h\n1 g 4402 826 N 0 39 48 0 0 -39
      h\n1 g 4353 826 N 0 39 49 0 0 -39 h\n1 g 4304 826 N 0 39 49 0 0 -39
      h\n1 g 4256 826 N 0 39 48 0 0 -39 h\n1 g 4207 826 N 0 39 49 0 0 -39
      h\n1 g 4159 826 N 0 39 48 0 0 -39 h\n1 g 4110 826 N 0 39 49 0 0 -39
      h\n1 g 4061 826 N 0 39 49 0 0 -39 h\n1 g 4013 826 N 0 39 48 0 0 -39
      h\n1 g 3964 826 N 0 39 49 0 0 -39 h\n1 g 3915 826 N 0 39 49 0 0 -39
      h\n.95 g 3867 826 N 0 39 48 0 0 -39 h\n.85 g 3818 826 N 0 39 49 0 0 -39
      h\n.8 g 3770 826 N 0 39 48 0 0 -39 h\n.8 g 3721 826 N 0 39 49 0 0 -39
      h\n.8 g 3672 826 N 0 39 49 0 0 -39 h\n.8 g 3624 826 N 0 39 48 0 0 -39
      h\n.8 g 3575 826 N 0 39 49 0 0 -39 h\n.8 g 3527 826 N 0 39 48 0 0 -39
      h\n.8 g 3478 826 N 0 39 49 0 0 -39 h\n.8 g 3429 826 N 0 39 49 0 0 -39
      h\n.8 g 3381 826 N 0 39 48 0 0 -39 h\n.85 g 3332 826 N 0 39 49 0 0 -39
      h\n.95 g 3284 826 N 0 39 48 0 0 -39 h\n1 g 3235 826 N 0 39 49 0 0 -39
      h\n1 g 3186 826 N 0 39 49 0 0 -39 h\n1 g 3138 826 N 0 39 48 0 0 -39
      h\n1 g 3089 826 N 0 39 49 0 0 -39 h\n1 g 3040 826 N 0 39 49 0 0 -39
      h\n1 g 2992 826 N 0 39 48 0 0 -39 h\n1 g 2943 826 N 0 39 49 0 0 -39
      h\n1 g 2895 826 N 0 39 48 0 0 -39 h\n1 g 2846 826 N 0 39 49 0 0 -39
      h\n1 g 2797 826 N 0 39 49 0 0 -39 h\n1 g 2749 826 N 0 39 48 0 0 -39
      h\n1 g 2700 826 N 0 39 49 0 0 -39 h\n1 g 2652 826 N 0 39 48 0 0 -39
      h\n1 g 2603 826 N 0 39 49 0 0 -39 h\n1 g 2554 826 N 0 39 49 0 0 -39
      h\n1 g 2506 826 N 0 39 48 0 0 -39 h\n1 g 2457 826 N 0 39 49 0 0 -39
      h\n1 g 2409 826 N 0 39 48 0 0 -39 h\n1 g 2360 826 N 0 39 49 0 0 -39
      h\n1 g 2311 826 N 0 39 49 0 0 -39 h\n1 g 2263 826 N 0 39 48 0 0 -39
      h\n1 g 2214 826 N 0 39 49 0 0 -39 h\n1 g 2165 826 N 0 39 49 0 0 -39
      h\n1 g 2117 826 N 0 39 48 0 0 -39 h\n1 g 2068 826 N 0 39 49 0 0 -39
      h\n1 g 2020 826 N 0 39 48 0 0 -39 h\n1 g 1971 826 N 0 39 49 0 0 -39
      h\n1 g 1922 826 N 0 39 49 0 0 -39 h\n1 g 1874 826 N 0 39 48 0 0 -39
      h\n1 g 1825 826 N 0 39 49 0 0 -39 h\n1 g 1777 826 N 0 39 48 0 0 -39
      h\n1 g 1728 826 N 0 39 49 0 0 -39 h\n1 g 1679 826 N 0 39 49 0 0 -39
      h\n1 g 1631 826 N 0 39 48 0 0 -39 h\n1 g 1582 826 N 0 39 49 0 0 -39
      h\n1 g 1534 826 N 0 39 48 0 0 -39 h\n1 g 1485 826 N 0 39 49 0 0 -39
      h\n1 g 1436 826 N 0 39 49 0 0 -39 h\n1 g 1388 826 N 0 39 48 0 0 -39
      h\n1 g 1339 826 N 0 39 49 0 0 -39 h\n1 g 1290 826 N 0 39 49 0 0 -39
      h\n1 g 1242 826 N 0 39 48 0 0 -39 h\n1 g 1193 826 N 0 39 49 0 0 -39
      h\n1 g 5957 787 N 0 38 49 0 0 -38 h\n1 g 5909 787 N 0 38 48 0 0 -38
      h\n1 g 5860 787 N 0 38 49 0 0 -38 h\n1 g 5811 787 N 0 38 49 0 0 -38
      h\n1 g 5763 787 N 0 38 48 0 0 -38 h\n1 g 5714 787 N 0 38 49 0 0 -38
      h\n1 g 5665 787 N 0 38 49 0 0 -38 h\n1 g 5617 787 N 0 38 48 0 0 -38
      h\n1 g 5568 787 N 0 38 49 0 0 -38 h\n1 g 5520 787 N 0 38 48 0 0 -38
      h\n1 g 5471 787 N 0 38 49 0 0 -38 h\n1 g 5422 787 N 0 38 49 0 0 -38
      h\n1 g 5374 787 N 0 38 48 0 0 -38 h\n1 g 5325 787 N 0 38 49 0 0 -38
      h\n1 g 5277 787 N 0 38 48 0 0 -38 h\n1 g 5228 787 N 0 38 49 0 0 -38
      h\n1 g 5179 787 N 0 38 49 0 0 -38 h\n1 g 5131 787 N 0 38 48 0 0 -38
      h\n1 g 5082 787 N 0 38 49 0 0 -38 h\n1 g 5034 787 N 0 38 48 0 0 -38
      h\n1 g 4985 787 N 0 38 49 0 0 -38 h\n1 g 4936 787 N 0 38 49 0 0 -38
      h\n1 g 4888 787 N 0 38 48 0 0 -38 h\n1 g 4839 787 N 0 38 49 0 0 -38
      h\n1 g 4790 787 N 0 38 49 0 0 -38 h\n1 g 4742 787 N 0 38 48 0 0 -38
      h\n1 g 4693 787 N 0 38 49 0 0 -38 h\n1 g 4645 787 N 0 38 48 0 0 -38
      h\n1 g 4596 787 N 0 38 49 0 0 -38 h\n1 g 4547 787 N 0 38 49 0 0 -38
      h\n1 g 4499 787 N 0 38 48 0 0 -38 h\n1 g 4450 787 N 0 38 49 0 0 -38
      h\n1 g 4402 787 N 0 38 48 0 0 -38 h\n1 g 4353 787 N 0 38 49 0 0 -38
      h\n1 g 4304 787 N 0 38 49 0 0 -38 h\n1 g 4256 787 N 0 38 48 0 0 -38
      h\n1 g 4207 787 N 0 38 49 0 0 -38 h\n1 g 4159 787 N 0 38 48 0 0 -38
      h\n1 g 4110 787 N 0 38 49 0 0 -38 h\n1 g 4061 787 N 0 38 49 0 0 -38
      h\n1 g 4013 787 N 0 38 48 0 0 -38 h\n1 g 3964 787 N 0 38 49 0 0 -38
      h\n1 g 3915 787 N 0 38 49 0 0 -38 h\n1 g 3867 787 N 0 38 48 0 0 -38
      h\n.95 g 3818 787 N 0 38 49 0 0 -38 h\n.85 g 3770 787 N 0 38 48 0 0 -38
      h\n.8 g 3721 787 N 0 38 49 0 0 -38 h\n.8 g 3672 787 N 0 38 49 0 0 -38
      h\n.8 g 3624 787 N 0 38 48 0 0 -38 h\n.8 g 3575 787 N 0 38 49 0 0 -38
      h\n.8 g 3527 787 N 0 38 48 0 0 -38 h\n.8 g 3478 787 N 0 38 49 0 0 -38
      h\n.8 g 3429 787 N 0 38 49 0 0 -38 h\n.85 g 3381 787 N 0 38 48 0 0 -38
      h\n.95 g 3332 787 N 0 38 49 0 0 -38 h\n1 g 3284 787 N 0 38 48 0 0 -38
      h\n1 g 3235 787 N 0 38 49 0 0 -38 h\n1 g 3186 787 N 0 38 49 0 0 -38
      h\n1 g 3138 787 N 0 38 48 0 0 -38 h\n1 g 3089 787 N 0 38 49 0 0 -38
      h\n1 g 3040 787 N 0 38 49 0 0 -38 h\n1 g 2992 787 N 0 38 48 0 0 -38
      h\n1 g 2943 787 N 0 38 49 0 0 -38 h\n1 g 2895 787 N 0 38 48 0 0 -38
      h\n1 g 2846 787 N 0 38 49 0 0 -38 h\n1 g 2797 787 N 0 38 49 0 0 -38
      h\n1 g 2749 787 N 0 38 48 0 0 -38 h\n1 g 2700 787 N 0 38 49 0 0 -38
      h\n1 g 2652 787 N 0 38 48 0 0 -38 h\n1 g 2603 787 N 0 38 49 0 0 -38
      h\n1 g 2554 787 N 0 38 49 0 0 -38 h\n1 g 2506 787 N 0 38 48 0 0 -38
      h\n1 g 2457 787 N 0 38 49 0 0 -38 h\n1 g 2409 787 N 0 38 48 0 0 -38
      h\n1 g 2360 787 N 0 38 49 0 0 -38 h\n1 g 2311 787 N 0 38 49 0 0 -38
      h\n1 g 2263 787 N 0 38 48 0 0 -38 h\n1 g 2214 787 N 0 38 49 0 0 -38
      h\n1 g 2165 787 N 0 38 49 0 0 -38 h\n1 g 2117 787 N 0 38 48 0 0 -38
      h\n1 g 2068 787 N 0 38 49 0 0 -38 h\n1 g 2020 787 N 0 38 48 0 0 -38
      h\n1 g 1971 787 N 0 38 49 0 0 -38 h\n1 g 1922 787 N 0 38 49 0 0 -38
      h\n1 g 1874 787 N 0 38 48 0 0 -38 h\n1 g 1825 787 N 0 38 49 0 0 -38
      h\n1 g 1777 787 N 0 38 48 0 0 -38 h\n1 g 1728 787 N 0 38 49 0 0 -38
      h\n1 g 1679 787 N 0 38 49 0 0 -38 h\n1 g 1631 787 N 0 38 48 0 0 -38
      h\n1 g 1582 787 N 0 38 49 0 0 -38 h\n1 g 1534 787 N 0 38 48 0 0 -38
      h\n1 g 1485 787 N 0 38 49 0 0 -38 h\n1 g 1436 787 N 0 38 49 0 0 -38
      h\n1 g 1388 787 N 0 38 48 0 0 -38 h\n1 g 1339 787 N 0 38 49 0 0 -38
      h\n1 g 1290 787 N 0 38 49 0 0 -38 h\n1 g 1242 787 N 0 38 48 0 0 -38
      h\n1 g 1193 787 N 0 38 49 0 0 -38 h\n1 g 5957 749 N 0 39 49 0 0 -39
      h\n1 g 5909 749 N 0 39 48 0 0 -39 h\n1 g 5860 749 N 0 39 49 0 0 -39
      h\n1 g 5811 749 N 0 39 49 0 0 -39 h\n1 g 5763 749 N 0 39 48 0 0 -39
      h\n1 g 5714 749 N 0 39 49 0 0 -39 h\n1 g 5665 749 N 0 39 49 0 0 -39
      h\n1 g 5617 749 N 0 39 48 0 0 -39 h\n1 g 5568 749 N 0 39 49 0 0 -39
      h\n1 g 5520 749 N 0 39 48 0 0 -39 h\n1 g 5471 749 N 0 39 49 0 0 -39
      h\n1 g 5422 749 N 0 39 49 0 0 -39 h\n1 g 5374 749 N 0 39 48 0 0 -39
      h\n1 g 5325 749 N 0 39 49 0 0 -39 h\n1 g 5277 749 N 0 39 48 0 0 -39
      h\n1 g 5228 749 N 0 39 49 0 0 -39 h\n1 g 5179 749 N 0 39 49 0 0 -39
      h\n1 g 5131 749 N 0 39 48 0 0 -39 h\n1 g 5082 749 N 0 39 49 0 0 -39
      h\n1 g 5034 749 N 0 39 48 0 0 -39 h\n1 g 4985 749 N 0 39 49 0 0 -39
      h\n1 g 4936 749 N 0 39 49 0 0 -39 h\n1 g 4888 749 N 0 39 48 0 0 -39
      h\n1 g 4839 749 N 0 39 49 0 0 -39 h\n1 g 4790 749 N 0 39 49 0 0 -39
      h\n1 g 4742 749 N 0 39 48 0 0 -39 h\n1 g 4693 749 N 0 39 49 0 0 -39
      h\n1 g 4645 749 N 0 39 48 0 0 -39 h\n1 g 4596 749 N 0 39 49 0 0 -39
      h\n1 g 4547 749 N 0 39 49 0 0 -39 h\n1 g 4499 749 N 0 39 48 0 0 -39
      h\n1 g 4450 749 N 0 39 49 0 0 -39 h\n1 g 4402 749 N 0 39 48 0 0 -39
      h\n1 g 4353 749 N 0 39 49 0 0 -39 h\n1 g 4304 749 N 0 39 49 0 0 -39
      h\n1 g 4256 749 N 0 39 48 0 0 -39 h\n1 g 4207 749 N 0 39 49 0 0 -39
      h\n1 g 4159 749 N 0 39 48 0 0 -39 h\n1 g 4110 749 N 0 39 49 0 0 -39
      h\n1 g 4061 749 N 0 39 49 0 0 -39 h\n1 g 4013 749 N 0 39 48 0 0 -39
      h\n1 g 3964 749 N 0 39 49 0 0 -39 h\n1 g 3915 749 N 0 39 49 0 0 -39
      h\n1 g 3867 749 N 0 39 48 0 0 -39 h\n1 g 3818 749 N 0 39 49 0 0 -39
      h\n.95 g 3770 749 N 0 39 48 0 0 -39 h\n.85 g 3721 749 N 0 39 49 0 0 -39
      h\n.8 g 3672 749 N 0 39 49 0 0 -39 h\n.8 g 3624 749 N 0 39 48 0 0 -39
      h\n.8 g 3575 749 N 0 39 49 0 0 -39 h\n.8 g 3527 749 N 0 39 48 0 0 -39
      h\n.8 g 3478 749 N 0 39 49 0 0 -39 h\n.85 g 3429 749 N 0 39 49 0 0 -39
      h\n.95 g 3381 749 N 0 39 48 0 0 -39 h\n1 g 3332 749 N 0 39 49 0 0 -39
      h\n1 g 3284 749 N 0 39 48 0 0 -39 h\n1 g 3235 749 N 0 39 49 0 0 -39
      h\n1 g 3186 749 N 0 39 49 0 0 -39 h\n1 g 3138 749 N 0 39 48 0 0 -39
      h\n1 g 3089 749 N 0 39 49 0 0 -39 h\n1 g 3040 749 N 0 39 49 0 0 -39
      h\n1 g 2992 749 N 0 39 48 0 0 -39 h\n1 g 2943 749 N 0 39 49 0 0 -39
      h\n1 g 2895 749 N 0 39 48 0 0 -39 h\n1 g 2846 749 N 0 39 49 0 0 -39
      h\n1 g 2797 749 N 0 39 49 0 0 -39 h\n1 g 2749 749 N 0 39 48 0 0 -39
      h\n1 g 2700 749 N 0 39 49 0 0 -39 h\n1 g 2652 749 N 0 39 48 0 0 -39
      h\n1 g 2603 749 N 0 39 49 0 0 -39 h\n1 g 2554 749 N 0 39 49 0 0 -39
      h\n1 g 2506 749 N 0 39 48 0 0 -39 h\n1 g 2457 749 N 0 39 49 0 0 -39
      h\n1 g 2409 749 N 0 39 48 0 0 -39 h\n1 g 2360 749 N 0 39 49 0 0 -39
      h\n1 g 2311 749 N 0 39 49 0 0 -39 h\n1 g 2263 749 N 0 39 48 0 0 -39
      h\n1 g 2214 749 N 0 39 49 0 0 -39 h\n1 g 2165 749 N 0 39 49 0 0 -39
      h\n1 g 2117 749 N 0 39 48 0 0 -39 h\n1 g 2068 749 N 0 39 49 0 0 -39
      h\n1 g 2020 749 N 0 39 48 0 0 -39 h\n1 g 1971 749 N 0 39 49 0 0 -39
      h\n1 g 1922 749 N 0 39 49 0 0 -39 h\n1 g 1874 749 N 0 39 48 0 0 -39
      h\n1 g 1825 749 N 0 39 49 0 0 -39 h\n1 g 1777 749 N 0 39 48 0 0 -39
      h\n1 g 1728 749 N 0 39 49 0 0 -39 h\n1 g 1679 749 N 0 39 49 0 0 -39
      h\n1 g 1631 749 N 0 39 48 0 0 -39 h\n1 g 1582 749 N 0 39 49 0 0 -39
      h\n1 g 1534 749 N 0 39 48 0 0 -39 h\n1 g 1485 749 N 0 39 49 0 0 -39
      h\n1 g 1436 749 N 0 39 49 0 0 -39 h\n1 g 1388 749 N 0 39 48 0 0 -39
      h\n1 g 1339 749 N 0 39 49 0 0 -39 h\n1 g 1290 749 N 0 39 49 0 0 -39
      h\n1 g 1242 749 N 0 39 48 0 0 -39 h\n1 g 1193 749 N 0 39 49 0 0 -39
      h\n1 g 5957 710 N 0 39 49 0 0 -39 h\n1 g 5909 710 N 0 39 48 0 0 -39
      h\n1 g 5860 710 N 0 39 49 0 0 -39 h\n1 g 5811 710 N 0 39 49 0 0 -39
      h\n1 g 5763 710 N 0 39 48 0 0 -39 h\n1 g 5714 710 N 0 39 49 0 0 -39
      h\n1 g 5665 710 N 0 39 49 0 0 -39 h\n1 g 5617 710 N 0 39 48 0 0 -39
      h\n1 g 5568 710 N 0 39 49 0 0 -39 h\n1 g 5520 710 N 0 39 48 0 0 -39
      h\n1 g 5471 710 N 0 39 49 0 0 -39 h\n1 g 5422 710 N 0 39 49 0 0 -39
      h\n1 g 5374 710 N 0 39 48 0 0 -39 h\n1 g 5325 710 N 0 39 49 0 0 -39
      h\n1 g 5277 710 N 0 39 48 0 0 -39 h\n1 g 5228 710 N 0 39 49 0 0 -39
      h\n1 g 5179 710 N 0 39 49 0 0 -39 h\n1 g 5131 710 N 0 39 48 0 0 -39
      h\n1 g 5082 710 N 0 39 49 0 0 -39 h\n1 g 5034 710 N 0 39 48 0 0 -39
      h\n1 g 4985 710 N 0 39 49 0 0 -39 h\n1 g 4936 710 N 0 39 49 0 0 -39
      h\n1 g 4888 710 N 0 39 48 0 0 -39 h\n1 g 4839 710 N 0 39 49 0 0 -39
      h\n1 g 4790 710 N 0 39 49 0 0 -39 h\n1 g 4742 710 N 0 39 48 0 0 -39
      h\n1 g 4693 710 N 0 39 49 0 0 -39 h\n1 g 4645 710 N 0 39 48 0 0 -39
      h\n1 g 4596 710 N 0 39 49 0 0 -39 h\n1 g 4547 710 N 0 39 49 0 0 -39
      h\n1 g 4499 710 N 0 39 48 0 0 -39 h\n1 g 4450 710 N 0 39 49 0 0 -39
      h\n1 g 4402 710 N 0 39 48 0 0 -39 h\n1 g 4353 710 N 0 39 49 0 0 -39
      h\n1 g 4304 710 N 0 39 49 0 0 -39 h\n1 g 4256 710 N 0 39 48 0 0 -39
      h\n1 g 4207 710 N 0 39 49 0 0 -39 h\n1 g 4159 710 N 0 39 48 0 0 -39
      h\n1 g 4110 710 N 0 39 49 0 0 -39 h\n1 g 4061 710 N 0 39 49 0 0 -39
      h\n1 g 4013 710 N 0 39 48 0 0 -39 h\n1 g 3964 710 N 0 39 49 0 0 -39
      h\n1 g 3915 710 N 0 39 49 0 0 -39 h\n1 g 3867 710 N 0 39 48 0 0 -39
      h\n1 g 3818 710 N 0 39 49 0 0 -39 h\n1 g 3770 710 N 0 39 48 0 0 -39
      h\n.95 g 3721 710 N 0 39 49 0 0 -39 h\n.9 g 3672 710 N 0 39 49 0 0 -39
      h\n.9 g 3624 710 N 0 39 48 0 0 -39 h\n.9 g 3575 710 N 0 39 49 0 0 -39
      h\n.9 g 3527 710 N 0 39 48 0 0 -39 h\n.9 g 3478 710 N 0 39 49 0 0 -39
      h\n.95 g 3429 710 N 0 39 49 0 0 -39 h\n1 g 3381 710 N 0 39 48 0 0 -39
      h\n1 g 3332 710 N 0 39 49 0 0 -39 h\n1 g 3284 710 N 0 39 48 0 0 -39
      h\n1 g 3235 710 N 0 39 49 0 0 -39 h\n1 g 3186 710 N 0 39 49 0 0 -39
      h\n1 g 3138 710 N 0 39 48 0 0 -39 h\n1 g 3089 710 N 0 39 49 0 0 -39
      h\n1 g 3040 710 N 0 39 49 0 0 -39 h\n1 g 2992 710 N 0 39 48 0 0 -39
      h\n1 g 2943 710 N 0 39 49 0 0 -39 h\n1 g 2895 710 N 0 39 48 0 0 -39
      h\n1 g 2846 710 N 0 39 49 0 0 -39 h\n1 g 2797 710 N 0 39 49 0 0 -39
      h\n1 g 2749 710 N 0 39 48 0 0 -39 h\n1 g 2700 710 N 0 39 49 0 0 -39
      h\n1 g 2652 710 N 0 39 48 0 0 -39 h\n1 g 2603 710 N 0 39 49 0 0 -39
      h\n1 g 2554 710 N 0 39 49 0 0 -39 h\n1 g 2506 710 N 0 39 48 0 0 -39
      h\n1 g 2457 710 N 0 39 49 0 0 -39 h\n1 g 2409 710 N 0 39 48 0 0 -39
      h\n1 g 2360 710 N 0 39 49 0 0 -39 h\n1 g 2311 710 N 0 39 49 0 0 -39
      h\n1 g 2263 710 N 0 39 48 0 0 -39 h\n1 g 2214 710 N 0 39 49 0 0 -39
      h\n1 g 2165 710 N 0 39 49 0 0 -39 h\n1 g 2117 710 N 0 39 48 0 0 -39
      h\n1 g 2068 710 N 0 39 49 0 0 -39 h\n1 g 2020 710 N 0 39 48 0 0 -39
      h\n1 g 1971 710 N 0 39 49 0 0 -39 h\n1 g 1922 710 N 0 39 49 0 0 -39
      h\n1 g 1874 710 N 0 39 48 0 0 -39 h\n1 g 1825 710 N 0 39 49 0 0 -39
      h\n1 g 1777 710 N 0 39 48 0 0 -39 h\n1 g 1728 710 N 0 39 49 0 0 -39
      h\n1 g 1679 710 N 0 39 49 0 0 -39 h\n1 g 1631 710 N 0 39 48 0 0 -39
      h\n1 g 1582 710 N 0 39 49 0 0 -39 h\n1 g 1534 710 N 0 39 48 0 0 -39
      h\n1 g 1485 710 N 0 39 49 0 0 -39 h\n1 g 1436 710 N 0 39 49 0 0 -39
      h\n1 g 1388 710 N 0 39 48 0 0 -39 h\n1 g 1339 710 N 0 39 49 0 0 -39
      h\n1 g 1290 710 N 0 39 49 0 0 -39 h\n1 g 1242 710 N 0 39 48 0 0 -39
      h\n1 g 1193 710 N 0 39 49 0 0 -39 h\n%pm3d_map_end\ngrestore % colour
      palette end\n1.000 UP\n1.000 UL\nLTb\nLTb\n6487 4508 M\n0 -3836
      V\n1.000 UL\nLTb\nLTb\n713 672 M\n5774 0 V\n1.000 UL\nLTb\nLTb\n713 672
      M\n0 3836 V\n1.000 UL\nLTb\nLTb\n6487 4508 M\n-5774 0 V\n1.000
      UL\nLTb\nLTb\n713 672 M\n1.000 UL\nLTb\nLTb\n713 672 M\n0 63 V\n1.000
      UL\nLTb\n713 532 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true
      0 (-6)]\n] -46.7 MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n713 4508 M\n0
      -63 V\n1.000 UL\nLTb\nLTb\n1675 672 M\n0 63 V\n1.000 UL\nLTb\n1675 532
      M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-4)]\n] -46.7
      MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n1675 4508 M\n0 -63 V\n1.000
      UL\nLTb\nLTb\n2638 672 M\n0 63 V\n1.000 UL\nLTb\n2638 532 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-2)]\n] -46.7
      MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n2638 4508 M\n0 -63 V\n1.000
      UL\nLTb\nLTb\n3600 672 M\n0 63 V\n1.000 UL\nLTb\n3600 532 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 0)]\n] -46.7
      MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n3600 4508 M\n0 -63 V\n1.000
      UL\nLTb\nLTb\n4562 672 M\n0 63 V\n1.000 UL\nLTb\n4562 532 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 2)]\n] -46.7
      MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n4562 4508 M\n0 -63 V\n1.000
      UL\nLTb\nLTb\n5524 672 M\n0 63 V\n1.000 UL\nLTb\n5524 532 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 4)]\n] -46.7
      MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n5524 4508 M\n0 -63 V\n1.000
      UL\nLTb\nLTb\n6487 672 M\n0 63 V\n1.000 UL\nLTb\n6487 532 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 6)]\n] -46.7
      MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n6487 4508 M\n0 -63 V\n1.000
      UL\nLTb\nLTb\n6487 672 M\n-63 0 V\n stroke\n6571 672 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 0)]\n] -46.7
      MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n713 672 M\n63 0 V\n1.000
      UL\nLTb\nLTb\n6487 1439 M\n-63 0 V\n stroke\n6571 1439 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 2)]\n] -46.7
      MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n713 1439 M\n63 0 V\n1.000
      UL\nLTb\nLTb\n6487 2207 M\n-63 0 V\n stroke\n6571 2207 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 4)]\n] -46.7
      MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n713 2207 M\n63 0 V\n1.000
      UL\nLTb\nLTb\n6487 2973 M\n-63 0 V\n stroke\n6571 2973 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 6)]\n] -46.7
      MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n713 2973 M\n63 0 V\n1.000
      UL\nLTb\nLTb\n6487 3741 M\n-63 0 V\n stroke\n6571 3741 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 8)]\n] -46.7
      MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n713 3741 M\n63 0 V\n1.000
      UL\nLTb\nLTb\n6487 4508 M\n-63 0 V\n stroke\n6571 4508 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 10)]\n] -46.7
      MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n713 4508 M\n63 0 V\n1.000
      UP\n1.000 UL\nLTb\ngsave %% colour palette begin\n/maxcolors 0
      def\n/maxcolorsLast {maxcolors 1 sub maxcolors div} def\n/pm3dround
      {maxcolors 0 gt {dup maxcolorsLast ge {pop 1} {maxcolors mul floor
      maxcolors div} ifelse} if} def\n/cF3 { } bind def\t% x\nColor true and
      { % COLOUR vs. GRAY map\n \ /g {stroke pm3dround dup cF3 exch dup cF3
      exch cF3 setrgbcolor} bind def\n \ /h {rlineto rlineto rlineto fill}
      bind def\n}{\n \ /g {stroke pm3dround setgray} bind def\n \ /h {rlineto
      rlineto rlineto fill} bind def\n} ifelse\n%pm3d_map_begin\n1 g 5082
      4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985
      3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888
      3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790
      3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693
      2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596
      2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499
      2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402
      1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304
      1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207
      1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103
      N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0
      48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0
      0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1
      g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672
      680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0
      0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15
      0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0
      h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1
      g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g
      3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g
      3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g
      2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g
      2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g
      2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g
      2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g
      2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g
      2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g
      2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g
      2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g
      2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g
      2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g
      5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g
      4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g
      4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g
      4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g
      4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g
      4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g
      4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g
      4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g
      4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g
      4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061
      1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N
      0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48
      47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0
      h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g
      3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680
      N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0
      49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49
      -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0
      0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0
      h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0
      h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0 0
      h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n1 g 5082 4313 N 0 0 49 243 0 0
      h\n1 g 5034 4078 N 0 0 48 235 0 0 h\n1 g 4985 3851 N 0 0 49 227 0 0
      h\n1 g 4936 3632 N 0 0 49 219 0 0 h\n1 g 4888 3420 N 0 0 48 212 0 0
      h\n1 g 4839 3217 N 0 0 49 203 0 0 h\n1 g 4790 3021 N 0 0 49 196 0 0
      h\n1 g 4742 2833 N 0 0 48 188 0 0 h\n1 g 4693 2653 N 0 0 49 180 0 0
      h\n1 g 4645 2481 N 0 0 48 172 0 0 h\n1 g 4596 2316 N 0 0 49 165 0 0
      h\n1 g 4547 2160 N 0 0 49 156 0 0 h\n1 g 4499 2011 N 0 0 48 149 0 0
      h\n1 g 4450 1870 N 0 0 49 141 0 0 h\n1 g 4402 1737 N 0 0 48 133 0 0
      h\n1 g 4353 1612 N 0 0 49 125 0 0 h\n1 g 4304 1494 N 0 0 49 118 0 0
      h\n1 g 4256 1384 N 0 0 48 110 0 0 h\n1 g 4207 1283 N 0 0 49 101 0 0
      h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1 g 4110 1103 N 0 0 49 86 0 0 h\n1
      g 4061 1024 N 0 0 49 79 0 0 h\n1 g 4013 954 N 0 0 48 70 0 0 h\n1 g 3964
      891 N 0 0 49 63 0 0 h\n1 g 3915 836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0
      0 48 47 0 0 h\n1 g 3818 750 N 0 0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31
      0 0 h\n1 g 3721 695 N 0 0 49 24 0 0 h\n1 g 3672 680 N 0 0 49 15 0 0
      h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1 g 3575 672 N 0 0 49 0 0 0 h\n1 g
      3527 680 N 0 0 48 -8 0 0 h\n1 g 3478 695 N 0 0 49 -15 0 0 h\n1 g 3429
      719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N 0 0 48 -31 0 0 h\n1 g 3332 789 N
      0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0 48 -47 0 0 h\n1 g 3235 891 N 0 0
      49 -55 0 0 h\n1 g 3186 954 N 0 0 49 -63 0 0 h\n1 g 3138 1024 N 0 0 48
      -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79 0 0 h\n1 g 3040 1189 N 0 0 49 -86
      0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0 h\n1 g 2943 1384 N 0 0 49 -101 0
      0 h\n1 g 2895 1494 N 0 0 48 -110 0 0 h\n1 g 2846 1612 N 0 0 49 -118 0 0
      h\n1 g 2797 1737 N 0 0 49 -125 0 0 h\n1 g 2749 1870 N 0 0 48 -133 0 0
      h\n1 g 2700 2011 N 0 0 49 -141 0 0 h\n1 g 2652 2160 N 0 0 48 -149 0 0
      h\n1 g 2603 2316 N 0 0 49 -156 0 0 h\n1 g 2554 2481 N 0 0 49 -165 0 0
      h\n1 g 2506 2653 N 0 0 48 -172 0 0 h\n1 g 2457 2833 N 0 0 49 -180 0 0
      h\n1 g 2409 3021 N 0 0 48 -188 0 0 h\n1 g 2360 3217 N 0 0 49 -196 0 0
      h\n1 g 2311 3420 N 0 0 49 -203 0 0 h\n1 g 2263 3632 N 0 0 48 -212 0 0
      h\n1 g 2214 3851 N 0 0 49 -219 0 0 h\n1 g 2165 4078 N 0 0 49 -227 0 0
      h\n1 g 2117 4313 N 0 0 48 -235 0 0 h\n1 g 2068 4556 N 0 0 49 -243 0 0
      h\n1 g 5082 4313 N 0 0 49 243 0 0 h\n1 g 5034 4078 N 0 0 48 235 0 0
      h\n1 g 4985 3851 N 0 0 49 227 0 0 h\n1 g 4936 3632 N 0 0 49 219 0 0
      h\n1 g 4888 3420 N 0 0 48 212 0 0 h\n1 g 4839 3217 N 0 0 49 203 0 0
      h\n1 g 4790 3021 N 0 0 49 196 0 0 h\n1 g 4742 2833 N 0 0 48 188 0 0
      h\n1 g 4693 2653 N 0 0 49 180 0 0 h\n1 g 4645 2481 N 0 0 48 172 0 0
      h\n1 g 4596 2316 N 0 0 49 165 0 0 h\n1 g 4547 2160 N 0 0 49 156 0 0
      h\n1 g 4499 2011 N 0 0 48 149 0 0 h\n1 g 4450 1870 N 0 0 49 141 0 0
      h\n1 g 4402 1737 N 0 0 48 133 0 0 h\n1 g 4353 1612 N 0 0 49 125 0 0
      h\n1 g 4304 1494 N 0 0 49 118 0 0 h\n1 g 4256 1384 N 0 0 48 110 0 0
      h\n1 g 4207 1283 N 0 0 49 101 0 0 h\n1 g 4159 1189 N 0 0 48 94 0 0 h\n1
      g 4110 1103 N 0 0 49 86 0 0 h\n1 g 4061 1024 N 0 0 49 79 0 0 h\n1 g
      4013 954 N 0 0 48 70 0 0 h\n1 g 3964 891 N 0 0 49 63 0 0 h\n1 g 3915
      836 N 0 0 49 55 0 0 h\n1 g 3867 789 N 0 0 48 47 0 0 h\n1 g 3818 750 N 0
      0 49 39 0 0 h\n1 g 3770 719 N 0 0 48 31 0 0 h\n1 g 3721 695 N 0 0 49 24
      0 0 h\n1 g 3672 680 N 0 0 49 15 0 0 h\n1 g 3624 672 N 0 0 48 8 0 0 h\n1
      g 3575 672 N 0 0 49 0 0 0 h\n1 g 3527 680 N 0 0 48 -8 0 0 h\n1 g 3478
      695 N 0 0 49 -15 0 0 h\n1 g 3429 719 N 0 0 49 -24 0 0 h\n1 g 3381 750 N
      0 0 48 -31 0 0 h\n1 g 3332 789 N 0 0 49 -39 0 0 h\n1 g 3284 836 N 0 0
      48 -47 0 0 h\n1 g 3235 891 N 0 0 49 -55 0 0 h\n1 g 3186 954 N 0 0 49
      -63 0 0 h\n1 g 3138 1024 N 0 0 48 -70 0 0 h\n1 g 3089 1103 N 0 0 49 -79
      0 0 h\n1 g 3040 1189 N 0 0 49 -86 0 0 h\n1 g 2992 1283 N 0 0 48 -94 0 0
      h\n1 g 2943 1384 N 0 0 49 -101 0 0 h\n1 g 2895 1494 N 0 0 48 -110 0 0
      h\n1 g 2846 1612 N 0 0 49 -118 0 0 h\n1 g 2797 1737 N 0 0 49 -125 0 0
      h\n1 g 2749 1870 N 0 0 48 -133 0 0 h\n1 g 2700 2011 N 0 0 49 -141 0 0
      h\n1 g 2652 2160 N 0 0 48 -149 0 0 h\n1 g 2603 2316 N 0 0 49 -156 0 0
      h\n1 g 2554 2481 N 0 0 49 -165 0 0 h\n1 g 2506 2653 N 0 0 48 -172 0 0
      h\n1 g 2457 2833 N 0 0 49 -180 0 0 h\n1 g 2409 3021 N 0 0 48 -188 0 0
      h\n1 g 2360 3217 N 0 0 49 -196 0 0 h\n1 g 2311 3420 N 0 0 49 -203 0 0
      h\n1 g 2263 3632 N 0 0 48 -212 0 0 h\n1 g 2214 3851 N 0 0 49 -219 0 0
      h\n1 g 2165 4078 N 0 0 49 -227 0 0 h\n1 g 2117 4313 N 0 0 48 -235 0 0
      h\n1 g 2068 4556 N 0 0 49 -243 0 0 h\n%pm3d_map_end\ngrestore % colour
      palette end\n1.000 UP\n3.000 UL\nLT0\n2078 4508 M\n39 -195 V\n48 -235
      V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49
      -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133
      V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49
      -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49
      -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49
      39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49
      101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49
      156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48
      212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48
      -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188
      V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48
      -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86
      V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31
      V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31
      V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94
      V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149
      V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203
      V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195
      V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48
      -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141
      V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49
      -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48
      -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24
      V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86
      V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141
      V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196
      V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0
      R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49
      -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149
      V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48
      -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49
      -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15
      V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79
      V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133
      V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188
      V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195
      V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49
      -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156
      V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49
      -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48
      -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8
      V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70
      V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125
      V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180
      V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235
      V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48
      -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165
      V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48
      -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49
      -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0
      V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63
      V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49
      125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49
      180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48
      235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219
      V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49
      -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\ncurrentpoint stroke
      M\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49
      -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49
      -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49
      39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49
      101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49
      156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48
      212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48
      -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188
      V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48
      -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86
      V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31
      V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31
      V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94
      V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149
      V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203
      V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195
      V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48
      -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141
      V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49
      -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48
      -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24
      V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86
      V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141
      V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196
      V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0
      R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49
      -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149
      V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48
      -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49
      -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15
      V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79
      V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133
      V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188
      V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195
      V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49
      -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156
      V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49
      -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48
      -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8
      V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70
      V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125
      V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180
      V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235
      V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48
      -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165
      V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48
      -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49
      -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0
      V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63
      V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49
      125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49
      180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48
      235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219
      V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49
      -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118
      V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63
      V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8
      V\ncurrentpoint stroke M\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49
      39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49
      101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49
      156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48
      212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48
      -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188
      V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48
      -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86
      V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31
      V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31
      V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94
      V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149
      V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203
      V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195
      V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48
      -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141
      V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49
      -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48
      -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24
      V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86
      V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141
      V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196
      V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0
      R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49
      -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149
      V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48
      -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49
      -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15
      V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79
      V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133
      V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188
      V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195
      V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49
      -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156
      V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49
      -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48
      -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8
      V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70
      V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125
      V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180
      V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235
      V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48
      -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165
      V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48
      -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49
      -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0
      V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63
      V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49
      125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49
      180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48
      235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219
      V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49
      -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118
      V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63
      V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8
      V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55
      V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49
      118 V\ncurrentpoint stroke M\n49 125 V\n48 133 V\n49 141 V\n48 149
      V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203
      V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195
      V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48
      -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141
      V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49
      -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48
      -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24
      V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86
      V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141
      V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196
      V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0
      R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49
      -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149
      V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48
      -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49
      -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15
      V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79
      V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133
      V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188
      V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195
      V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49
      -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156
      V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49
      -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48
      -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8
      V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70
      V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125
      V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180
      V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235
      V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48
      -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165
      V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48
      -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49
      -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0
      V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63
      V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49
      125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49
      180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48
      235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219
      V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49
      -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118
      V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63
      V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8
      V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55
      V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49
      118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48
      172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49
      227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227
      V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48
      -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125
      V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48
      -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49
      -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48
      47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101
      V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49 156
      V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48 212
      V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\ncurrentpoint stroke M\n-3043
      0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203
      V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48
      -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101
      V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47
      V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49
      15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49
      79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133
      V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188
      V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195
      V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49
      -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156
      V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49
      -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48
      -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8
      V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70
      V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125
      V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180
      V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235
      V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48
      -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165
      V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48
      -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49
      -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0
      V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63
      V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49
      125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49
      180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48
      235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219
      V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49
      -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118
      V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63
      V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8
      V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55
      V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49
      118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48
      172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49
      227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227
      V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48
      -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125
      V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48
      -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49
      -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48
      47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101
      V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49 156
      V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48 212
      V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48
      -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188
      V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48
      -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86
      V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31
      V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31
      V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94
      V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149
      V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203
      V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195
      V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48
      -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141
      V\n48 -133 V\ncurrentpoint stroke M\n49 -125 V\n49 -118 V\n48 -110
      V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55
      V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0
      V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63
      V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49
      125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49
      180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48
      235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219
      V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49
      -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118
      V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63
      V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8
      V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55
      V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49
      118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48
      172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49
      227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227
      V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48
      -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125
      V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48
      -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49
      -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48
      47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101
      V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49 156
      V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48 212
      V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48
      -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188
      V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48
      -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86
      V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31
      V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31
      V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94
      V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149
      V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203
      V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195
      V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48
      -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141
      V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49
      -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48
      -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24
      V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86
      V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141
      V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196
      V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0
      R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49
      -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149
      V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48
      -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49
      -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15
      V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79
      V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133
      V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188
      V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195
      V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49
      -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156
      V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49
      -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48
      -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\ncurrentpoint
      stroke M\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47
      V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48
      110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49
      165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49
      219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235
      V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49
      -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133
      V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49
      -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49
      -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49
      39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49
      101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49
      156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48
      212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48
      -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188
      V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48
      -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86
      V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31
      V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31
      V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94
      V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149
      V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203
      V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195
      V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48
      -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141
      V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49
      -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48
      -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24
      V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86
      V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141
      V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196
      V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0
      R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49
      -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149
      V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48
      -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49
      -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15
      V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79
      V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133
      V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188
      V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195
      V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49
      -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156
      V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49
      -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48
      -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8
      V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70
      V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125
      V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180
      V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235
      V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48
      -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165
      V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48
      -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49
      -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0
      V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63
      V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118
      V\ncurrentpoint stroke M\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49
      156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48
      212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48
      -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188
      V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48
      -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86
      V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31
      V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31
      V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94
      V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149
      V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203
      V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195
      V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48
      -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141
      V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49
      -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48
      -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24
      V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86
      V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141
      V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196
      V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0
      R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49
      -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149
      V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48
      -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49
      -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15
      V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79
      V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133
      V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188
      V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195
      V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49
      -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156
      V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49
      -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48
      -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8
      V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70
      V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125
      V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180
      V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235
      V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48
      -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165
      V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48
      -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49
      -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0
      V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63
      V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49
      125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49
      180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48
      235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219
      V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49
      -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118
      V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63
      V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8
      V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55
      V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49
      118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48
      172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49
      227 V\n48 235 V\n39 195 V\ncurrentpoint stroke M\n-3043 0 R\n39 -195
      V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48
      -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141
      V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49
      -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48
      -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24
      V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86
      V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141
      V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196
      V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0
      R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49
      -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149
      V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48
      -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49
      -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15
      V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79
      V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133
      V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188
      V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195
      V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49
      -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156
      V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49
      -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48
      -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8
      V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70
      V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125
      V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180
      V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235
      V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48
      -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165
      V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48
      -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49
      -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0
      V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63
      V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49
      125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49
      180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48
      235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219
      V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49
      -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118
      V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63
      V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8
      V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55
      V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49
      118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48
      172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49
      227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227
      V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48
      -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125
      V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48
      -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49
      -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48
      47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101
      V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49 156
      V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48 212
      V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48
      -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188
      V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48
      -133 V\ncurrentpoint stroke M\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101
      V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47
      V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49
      15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49
      79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133
      V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188
      V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195
      V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49
      -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156
      V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49
      -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48
      -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8
      V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70
      V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125
      V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180
      V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235
      V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48
      -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165
      V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48
      -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49
      -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0
      V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63
      V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49
      125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49
      180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48
      235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219
      V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49
      -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118
      V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63
      V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8
      V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55
      V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49
      118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48
      172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49
      227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227
      V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48
      -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125
      V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48
      -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49
      -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48
      47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101
      V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49 156
      V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48 212
      V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48
      -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188
      V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48
      -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86
      V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31
      V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31
      V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94
      V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149
      V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203
      V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195
      V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48
      -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141
      V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49
      -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48
      -31 V\n49 -24 V\n49 -15 V\n48 -8 V\ncurrentpoint stroke M\n49 0 V\n48 8
      V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70
      V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125
      V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180
      V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235
      V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48
      -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165
      V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48
      -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49
      -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0
      V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63
      V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49
      125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49
      180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48
      235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219
      V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49
      -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118
      V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63
      V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8
      V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55
      V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49
      118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48
      172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49
      227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227
      V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48
      -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125
      V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48
      -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49
      -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48
      47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101
      V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49 156
      V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48 212
      V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48
      -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188
      V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48
      -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86
      V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31
      V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31
      V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94
      V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149
      V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203
      V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195
      V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48
      -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141
      V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49
      -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48
      -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24
      V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86
      V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141
      V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196
      V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0
      R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49
      -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149
      V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48
      -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49
      -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15
      V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79
      V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\ncurrentpoint stroke
      M\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172
      V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227
      V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49
      -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172
      V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49
      -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70
      V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15
      V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47
      V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48
      110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49
      165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49
      219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235
      V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49
      -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133
      V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49
      -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49
      -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49
      39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49
      101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49
      156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48
      212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48
      -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188
      V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48
      -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86
      V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31
      V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31
      V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94
      V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149
      V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203
      V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195
      V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48
      -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141
      V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49
      -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48
      -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24
      V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86
      V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141
      V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196
      V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0
      R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49
      -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149
      V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48
      -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49
      -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15
      V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79
      V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133
      V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188
      V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195
      V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49
      -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156
      V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49
      -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48
      -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8
      V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70
      V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125
      V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180
      V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235
      V\n39 195 V\ncurrentpoint stroke M\n-3043 0 R\n39 -195 V\n48 -235 V\n49
      -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180
      V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49
      -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79
      V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24
      V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39
      V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49
      101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49
      156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48
      212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48
      -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188
      V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48
      -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86
      V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31
      V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31
      V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94
      V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149
      V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203
      V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195
      V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48
      -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141
      V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49
      -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48
      -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24
      V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86
      V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141
      V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196
      V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0
      R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49
      -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149
      V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48
      -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49
      -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15
      V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79
      V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133
      V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188
      V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195
      V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49
      -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156
      V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49
      -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48
      -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8
      V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70
      V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125
      V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180
      V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235
      V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48
      -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165
      V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48
      -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49
      -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0
      V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63
      V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49
      125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49
      180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48
      235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219
      V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49
      -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\ncurrentpoint stroke
      M\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49
      -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49
      -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49
      39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49
      101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49
      156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48
      212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48
      -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188
      V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48
      -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86
      V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31
      V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31
      V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94
      V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149
      V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203
      V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195
      V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48
      -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141
      V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49
      -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48
      -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24
      V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86
      V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141
      V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196
      V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0
      R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49
      -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149
      V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48
      -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49
      -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15
      V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79
      V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133
      V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188
      V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195
      V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49
      -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156
      V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49
      -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48
      -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8
      V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70
      V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125
      V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180
      V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235
      V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48
      -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165
      V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48
      -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49
      -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0
      V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63
      V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49
      125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49
      180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48
      235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219
      V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49
      -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118
      V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63
      V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8
      V\ncurrentpoint stroke M\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49
      39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49
      101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49
      156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48
      212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48
      -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188
      V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48
      -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86
      V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31
      V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31
      V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94
      V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149
      V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203
      V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195
      V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48
      -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141
      V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49
      -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48
      -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24
      V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86
      V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141
      V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196
      V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0
      R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49
      -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149
      V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48
      -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49
      -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15
      V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79
      V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133
      V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188
      V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195
      V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49
      -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156
      V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49
      -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48
      -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8
      V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70
      V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125
      V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180
      V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235
      V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48
      -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165
      V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48
      -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49
      -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0
      V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63
      V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49
      125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49
      180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48
      235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219
      V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49
      -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118
      V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63
      V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8
      V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55
      V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49
      118 V\ncurrentpoint stroke M\n49 125 V\n48 133 V\n49 141 V\n48 149
      V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203
      V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195
      V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48
      -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141
      V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49
      -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48
      -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24
      V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86
      V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141
      V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196
      V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\n-3043 0
      R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49 -203 V\n49
      -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156 V\n48 -149
      V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49 -101 V\n48
      -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49
      -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15
      V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70 V\n49 79
      V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125 V\n48 133
      V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180 V\n48 188
      V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235 V\n39 195
      V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48 -212 V\n49
      -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165 V\n49 -156
      V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48 -110 V\n49
      -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49 -55 V\n48
      -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0 V\n48 8
      V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63 V\n48 70
      V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49 125
      V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49 180
      V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48 235
      V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219 V\n48
      -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49 -165
      V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118 V\n48
      -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63 V\n49
      -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8 V\n49 0
      V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55 V\n49 63
      V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49 118 V\n49
      125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48 172 V\n49
      180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49 227 V\n48
      235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227 V\n49 -219
      V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48 -172 V\n49
      -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125 V\n49 -118
      V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48 -70 V\n49 -63
      V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49 -15 V\n48 -8
      V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48 47 V\n49 55
      V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101 V\n48 110 V\n49
      118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49 156 V\n49 165 V\n48
      172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48 212 V\n49 219 V\n49
      227 V\n48 235 V\n39 195 V\n-3043 0 R\n39 -195 V\n48 -235 V\n49 -227
      V\n49 -219 V\n48 -212 V\n49 -203 V\n49 -196 V\n48 -188 V\n49 -180 V\n48
      -172 V\n49 -165 V\n49 -156 V\n48 -149 V\n49 -141 V\n48 -133 V\n49 -125
      V\n49 -118 V\n48 -110 V\n49 -101 V\n48 -94 V\n49 -86 V\n49 -79 V\n48
      -70 V\n49 -63 V\n49 -55 V\n48 -47 V\n49 -39 V\n48 -31 V\n49 -24 V\n49
      -15 V\n48 -8 V\n49 0 V\n48 8 V\n49 15 V\n49 24 V\n48 31 V\n49 39 V\n48
      47 V\n49 55 V\n49 63 V\n48 70 V\n49 79 V\n49 86 V\n48 94 V\n49 101
      V\n48 110 V\n49 118 V\n49 125 V\n48 133 V\n49 141 V\n48 149 V\n49 156
      V\n49 165 V\n48 172 V\n49 180 V\n48 188 V\n49 196 V\n49 203 V\n48 212
      V\n49 219 V\n49 227 V\n48 235 V\n39 195 V\ncurrentpoint stroke M\n2117
      4313 M\n48 -235 R\n49 -227 R\n49 -219 R\n48 -212 R\n49 -203 R\n49 -196
      R\n48 -188 R\n49 -180 R\n48 -172 R\n49 -165 R\n49 -156 R\n48 -149 R\n49
      -141 R\n48 -133 R\n49 -125 R\n49 -118 R\n48 -110 R\n49 -101 R\n48 -94
      R\n49 -86 R\n49 -79 R\n48 -70 R\n49 -63 R\n49 -55 R\n48 -47 R\n49 -39
      R\n48 -31 R\n49 -24 R\n49 -15 R\n48 -8 R\n49 0 R\n48 8 R\n49 15 R\n49
      24 R\n48 31 R\n49 39 R\n48 47 R\n49 55 R\n49 63 R\n48 70 R\n49 79 R\n49
      86 R\n48 94 R\n49 101 R\n48 110 R\n49 118 R\n49 125 R\n48 133 R\n49 141
      R\n48 149 R\n49 156 R\n49 165 R\n48 172 R\n49 180 R\n48 188 R\n49 196
      R\n49 203 R\n48 212 R\n49 219 R\n49 227 R\n48 235 R\n1.000
      UL\nLTb\nLTb\n6487 4508 M\n0 -3836 V\n1.000 UL\nLTb\nLTb\n713 672
      M\n5774 0 V\n1.000 UL\nLTb\nLTb\n713 672 M\n0 3836 V\n1.000
      UL\nLTb\nLTb\n6487 4508 M\n-5774 0 V\n1.000 UL\nLTb\nLTb\n713 672
      M\n1.000 UL\nLTb\nLTb\n713 672 M\n0 63 V\n1.000 UL\nLTb\n713 532
      M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-6)]\n] -46.7
      MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n713 4508 M\n0 -63 V\n1.000
      UL\nLTb\nLTb\n1675 672 M\n0 63 V\n1.000 UL\nLTb\n1675 532 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-4)]\n] -46.7
      MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n1675 4508 M\n0 -63 V\n1.000
      UL\nLTb\nLTb\n2638 672 M\n0 63 V\n1.000 UL\nLTb\n2638 532 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-2)]\n] -46.7
      MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n2638 4508 M\n0 -63 V\n1.000
      UL\nLTb\nLTb\n3600 672 M\n0 63 V\n1.000 UL\nLTb\n3600 532 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 0)]\n] -46.7
      MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n3600 4508 M\n0 -63 V\n1.000
      UL\nLTb\nLTb\n4562 672 M\n0 63 V\n1.000 UL\nLTb\n4562 532 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 2)]\n] -46.7
      MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n4562 4508 M\n0 -63 V\n1.000
      UL\nLTb\nLTb\n5524 672 M\n0 63 V\n1.000 UL\nLTb\n5524 532 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 4)]\n] -46.7
      MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n5524 4508 M\n0 -63 V\n1.000
      UL\nLTb\nLTb\n6487 672 M\n0 63 V\n1.000 UL\nLTb\n6487 532 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 6)]\n] -46.7
      MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n6487 4508 M\n0 -63 V\n1.000
      UL\nLTb\nLTb\n6487 672 M\n-63 0 V\n stroke\n6571 672 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 0)]\n] -46.7
      MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n713 672 M\n63 0 V\n1.000
      UL\nLTb\nLTb\n6487 1439 M\n-63 0 V\n stroke\n6571 1439 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 2)]\n] -46.7
      MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n713 1439 M\n63 0 V\n1.000
      UL\nLTb\nLTb\n6487 2207 M\n-63 0 V\n stroke\n6571 2207 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 4)]\n] -46.7
      MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n713 2207 M\n63 0 V\n1.000
      UL\nLTb\nLTb\n6487 2973 M\n-63 0 V\n stroke\n6571 2973 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 6)]\n] -46.7
      MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n713 2973 M\n63 0 V\n1.000
      UL\nLTb\nLTb\n6487 3741 M\n-63 0 V\n stroke\n6571 3741 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 8)]\n] -46.7
      MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n713 3741 M\n63 0 V\n1.000
      UL\nLTb\nLTb\n6487 4508 M\n-63 0 V\n stroke\n6571 4508 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 10)]\n] -46.7
      MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n713 4508 M\n63 0 V\n1.000
      UP\nstroke\ngrestore\nend\nshowpage\n%%Trailer\n%%DocumentFonts:
      Helvetica\n>|ps>||||||>

      \;
    </output>

    <\input|GNUplot] >
      set pm3d ~set palette rgbform 9,8,9 ~set parametric ~set \ hidden3d
      \ \ \ ~set urange [0:2*pi] ~set vrange [-pi:pi] ~set isosamples 24,16
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~set size 0.8,1 ~set view 60,20,1,1 ~set
      ticslevel 0 ~x1(u,v)=cos(u)+.5*cos(u)*cos(v)
      ~y1(u,v)=sin(u)+.5*sin(u)*cos(v) ~z1(u,v)=.5*sin(v)
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~x2(u,v)=1+cos(u)+.5*cos(u)*cos(v)
      ~y2(u,v)=.5*sin(v) ~z2(u,v)=sin(u)+.5*sin(u)*cos(v)
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~splot
      x1(u,v), y1(u,v), z1(u,v) lt 3, x2(u,v), y2(u,v), z2(u,v) lt 5
      \ \ \ \ \ \ \ \ \ \ \ 
    </input>

    <\output>
      <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
      temp.eps\n%%Creator: gnuplot 3.8h patchlevel 0\n%%CreationDate: Sat Mar
      29 13:20:29 2003\n%%DocumentFonts: (atend)\n%%BoundingBox: 50 50 338
      302\n%%Orientation: Portrait\n%%EndComments\n/gnudict 256 dict
      def\ngnudict begin\n/Color false def\n/Solid false def\n/gnulinewidth
      5.000 def\n/userlinewidth gnulinewidth def\n/vshift -46 def\n/dl {10.0
      mul} def\n/hpt_ 31.5 def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt vpt_
      def\n/M {moveto} bind def\n/L {lineto} bind def\n/R {rmoveto} bind
      def\n/V {rlineto} bind def\n/N {newpath moveto} bind def\n/f {rlineto
      fill} bind def\n/vpt2 vpt 2 mul def\n/hpt2 hpt 2 mul def\n/Lshow {
      currentpoint stroke M\n \ 0 vshift R show } def\n/Rshow { currentpoint
      stroke M\n \ dup stringwidth pop neg vshift R show } def\n/Cshow {
      currentpoint stroke M\n \ dup stringwidth pop -2 div vshift R show }
      def\n/UP { dup vpt_ mul /vpt exch def hpt_ mul /hpt exch def\n \ /hpt2
      hpt 2 mul def /vpt2 vpt 2 mul def } def\n/DL { Color {setrgbcolor Solid
      {pop []} if 0 setdash }\n {pop pop pop Solid {pop []} if 0 setdash}
      ifelse } def\n/BL { stroke userlinewidth 2 mul setlinewidth } def\n/AL
      { stroke userlinewidth 2 div setlinewidth } def\n/UL { dup gnulinewidth
      mul /userlinewidth exch def\n \ \ \ \ \ dup 1 lt {pop 1} if 10 mul /udl
      exch def } def\n/PL { stroke userlinewidth setlinewidth } def\n/LTb {
      BL [] 0 0 0 DL } def\n/LTa { AL [1 udl mul 2 udl mul] 0 setdash 0 0 0
      setrgbcolor } def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 { PL [4 dl 2 dl] 0
      1 0 DL } def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL } def\n/LT3 { PL [1 dl 1.5
      dl] 1 0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl 2 dl] 0 1 1 DL }
      def\n/LT5 { PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL } def\n/LT6 { PL [2 dl 2
      dl 2 dl 4 dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      1 0.3 0 DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      0.5 0.5 0.5 DL } def\n/Pnt { stroke [] 0 setdash\n \ \ gsave 1
      setlinecap M 0 0 V stroke grestore } def\n/Dia { stroke [] 0 setdash 2
      copy vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt
      neg vpt V closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0 setdash
      vpt sub M 0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg R hpt2
      0 V stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt sub
      exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
      closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt sub
      exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2 neg 0
      R hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy vpt 1.12
      mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      1.62 mul V closepath stroke\n \ Pnt \ } def\n/Star { 2 copy Pls Crs }
      def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V \ closepath fill }
      def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt
      -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath fill
      } def\n/TriD { stroke [] 0 setdash 2 copy vpt 1.12 mul sub M\n \ hpt
      neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V
      closepath stroke\n \ Pnt \ } def\n/TriDF { stroke [] 0 setdash vpt 1.12
      mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      -1.62 mul V closepath fill} def\n/DiaF { stroke [] 0 setdash vpt add
      M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V
      closepath fill } def\n/Pent { stroke [] 0 setdash 2 copy gsave\n
      \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath stroke
      grestore Pnt } def\n/PentF { stroke [] 0 setdash gsave\n \ translate 0
      hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath fill grestore }
      def\n/Circle { stroke [] 0 setdash 2 copy\n \ hpt 0 360 arc stroke Pnt
      } def\n/CircleF { stroke [] 0 setdash hpt 0 360 arc fill } def\n/C0 {
      BL [] 0 setdash 2 copy moveto vpt 90 450 \ arc } bind def\n/C1 { BL []
      0 setdash 2 copy \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C2 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C3 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
      bind def\n/C4 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
      \ vpt 180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 270 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C6 { BL [] 0
      setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 90 270 arc closepath
      fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
      def\n/C7 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 0 270
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
      } bind def\n/C8 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
      copy \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
      moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13 {
      BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
      setdash 2 copy vpt 0 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
      \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
      \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
      bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
      def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
      bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
      def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
      Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch vpt2
      vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy exch vpt
      sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 { BL [] 0
      setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt sub exch
      vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0 setdash 2
      copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare } bind
      def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt vpt2
      Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub vpt Square fill Bsquare
      } bind def\n/S9 { BL [] 0 setdash 2 copy vpt sub vpt vpt2 Rec fill
      Bsquare } bind def\n/S10 { BL [] 0 setdash 2 copy vpt sub vpt Square
      fill 2 copy exch vpt sub exch vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S11 { BL [] 0 setdash 2 copy vpt sub vpt Square fill 2 copy
      exch vpt sub exch vpt2 vpt Rec fill\n \ \ \ \ \ \ Bsquare } bind
      def\n/S12 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt
      Rec fill Bsquare } bind def\n/S13 { BL [] 0 setdash 2 copy exch vpt sub
      exch vpt sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill
      Bsquare } bind def\n/S14 { BL [] 0 setdash 2 copy exch vpt sub exch vpt
      sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square
      fill Bsquare } bind def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill
      Bsquare } bind def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke
      grestore } bind def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke
      grestore } bind def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke
      grestore } bind def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke
      grestore } bind def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke
      grestore } bind def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke
      grestore } bind def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke
      grestore } bind def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke
      grestore } bind def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke
      grestore } bind def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke
      grestore } bind def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke
      grestore } bind def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke
      grestore } bind def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke
      grestore } bind def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke
      grestore } bind def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke
      grestore } bind def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke
      grestore } bind def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg
      vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke }
      def\n/BoxE { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE
      { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke }
      def\n/TriDE { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt
      1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath
      stroke } def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M
      4 {72 rotate 0 hpt L} repeat\n \ closepath stroke grestore }
      def\n/CircE { stroke [] 0 setdash \n \ hpt 0 360 arc stroke }
      def\n/Opaque { gsave closepath 1 setgray fill grestore 0 setgray
      closepath } def\n/DiaW { stroke [] 0 setdash vpt add M\n \ hpt neg vpt
      neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V Opaque stroke }
      def\n/BoxW { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW {
      stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW
      { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW
      { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
      repeat\n \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash
      \n \ hpt 0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray
      fill grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
      makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
      ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0 get
      findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ] exch
      dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch 4 get
      {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n \ \ \ \ {dup 3
      get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5\n
      \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop
      -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get\n
      \ \ \ \ show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop
      pop\n \ \ \ \ pop aload pop M} ifelse }ifelse }ifelse } forall} bind
      def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get findfont exch 1 get
      scalefont\n \ \ \ \ setfont 6 get stringwidth pop add} {pop} ifelse}
      forall} bind def\n/MLshow { currentpoint stroke M\n \ 0 exch R MFshow }
      bind def\n/MRshow { currentpoint stroke M\n \ exch dup MFwidth neg 3 -1
      roll R MFshow } def\n/MCshow { currentpoint stroke M\n \ exch dup
      MFwidth -2 div 3 -1 roll R MFshow } def\nend\n%%EndProlog\ngnudict
      begin\ngsave\n50 50 translate\n0.050 0.050 scale\n0
      setgray\nnewpath\n(Helvetica) findfont 140 scalefont setfont\n1.000
      UL\nLTb\ngsave %% colour palette begin\n/maxcolors 0
      def\n/maxcolorsLast {maxcolors 1 sub maxcolors div} def\n/pm3dround
      {maxcolors 0 gt {dup maxcolorsLast ge {pop 1} {maxcolors mul floor
      maxcolors div} ifelse} if} def\n/cF9 {90 mul sin} bind def\t%
      sin(90x)\n/cF8 {sqrt sqrt} bind def\t% sqrt(sqrt(x))\nColor true and {
      % COLOUR vs. GRAY map\n \ /g {stroke pm3dround dup cF9 exch dup cF8
      exch cF9 setrgbcolor} bind def\n \ /h {rlineto rlineto rlineto fill}
      bind def\n}{\n \ /g {stroke pm3dround setgray} bind def\n \ /h {rlineto
      rlineto rlineto fill} bind def\n} ifelse\n%pm3d_map_begin\n.4661 g 2879
      2589 N -33 150 36 61 31 -154 h\n.4661 g 2913 2646 N -34 146 5 60 33
      -150 h\n.4661 g 2917 2702 N -32 140 -26 57 34 -146 h\n.4661 g 2893 2753
      N -27 137 -57 47 32 -140 h\n.4661 g 2841 2797 N -21 134 -82 35 27 -137
      h\n.4661 g 2765 2829 N -13 133 -101 20 21 -134 h\n.4661 g 2672 2848 N
      -4 132 -114 4 13 -133 h\n.4661 g 2567 2851 N 6 133 -117 -13 4 -132
      h\n.4661 g 2460 2839 N 14 136 -111 -29 -6 -133 h\n.4661 g 2357 2813 N
      23 139 -99 -42 -14 -136 h\n.4661 g 2267 2774 N 28 144 -77 -53 -23 -139
      h\n.4661 g 2195 2726 N 32 148 -51 -59 -28 -144 h\n.4661 g 2148 2671 N
      34 153 -21 -61 -32 -148 h\n.4661 g 2129 2615 N 33 157 11 -59 -34 -153
      h\n.4661 g 2139 2560 N 30 162 42 -53 -33 -157 h\n.4661 g 2178 2512 N 24
      165 70 -41 -30 -162 h\n.4661 g 2242 2474 N 17 167 93 -28 -24 -165
      h\n.4661 g 2328 2448 N 8 168 108 -12 -17 -167 h\n.4661 g 2427 2437 N -1
      168 116 4 -8 -168 h\n.4661 g 2534 2441 N -10 166 116 21 1 -168 h\n.4661
      g 2641 2460 N -19 163 106 36 10 -166 h\n.4661 g 2738 2493 N -25 159 88
      48 19 -163 h\n.4661 g 2820 2537 N -31 154 65 57 25 -159 h\n.4042 g 2910
      2435 N -96 124 45 75 87 -138 h\n.4042 g 2946 2496 N -97 110 6 74 96
      -124 h\n.4042 g 2951 2556 N -90 98 -33 69 97 -110 h\n.4042 g 2925 2613
      N -78 87 -69 58 90 -98 h\n.4042 g 2868 2660 N -59 79 -101 43 78 -87
      h\n.4042 g 2786 2695 N -36 74 -124 25 59 -79 h\n.4042 g 2685 2715 N -11
      74 -139 4 36 -74 h\n.4042 g 2571 2719 N 15 76 -143 -15 11 -74 h\n.4042
      g 2454 2706 N 41 83 -137 -36 -15 -76 h\n.4042 g 2343 2677 N 63 92 -121
      -51 -41 -83 h\n.4042 g 2244 2635 N 81 104 -95 -65 -63 -92 h\n.4042 g
      2167 2582 N 92 117 -62 -72 -81 -104 h\n.4042 g 2116 2523 N 97 132 -26
      -76 -92 -117 h\n.4042 g 2095 2462 N 94 145 14 -72 -97 -132 h\n.4042 g
      2106 2403 N 85 156 51 -64 -94 -145 h\n.4042 g 2148 2350 N 69 166 86 -51
      -85 -156 h\n.4042 g 2218 2309 N 48 172 114 -34 -69 -166 h\n.4042 g 2311
      2281 N 24 175 132 -15 -48 -172 h\n.4042 g 2419 2269 N -3 173 143 6 -24
      -175 h\n.4042 g 2535 2273 N -28 169 141 25 3 -173 h\n.4042 g 2651 2294
      N -52 161 130 44 28 -169 h\n.4042 g 2757 2330 N -73 150 109 59 52 -161
      h\n.4042 g 2845 2378 N -87 138 79 69 73 -150 h\n.3588 g 2997 2297 N
      -140 77 57 94 128 -96 h\n.3588 g 3042 2372 N -141 56 7 95 140 -77
      h\n.3588 g 3048 2446 N -133 38 -41 87 141 -56 h\n.3588 g 3015 2515 N
      -114 22 -88 74 133 -38 h\n.3588 g 2946 2573 N -87 10 -128 55 114 -22
      h\n.3588 g 2845 2616 N -53 4 -158 31 87 -10 h\n.3588 g 2721 2641 N -16
      2 -176 6 53 -4 h\n.3588 g 2582 2645 N 23 7 -182 -20 16 -2 h\n.3588 g
      2439 2630 N 60 15 -174 -44 -23 -7 h\n.3588 g 2302 2594 N 92 30 -153 -66
      -60 -15 h\n.3588 g 2181 2543 N 118 47 -121 -82 -92 -30 h\n.3588 g 2086
      2478 N 135 67 -79 -92 -118 -47 h\n.3588 g 2024 2406 N 142 87 -33 -96
      -135 -67 h\n.3588 g 1998 2330 N 139 107 17 -92 -142 -87 h\n.3588 g 2012
      2258 N 124 124 66 -81 -139 -107 h\n.3588 g 2063 2194 N 101 138 109 -65
      -124 -124 h\n.3588 g 2149 2143 N 71 148 144 -44 -101 -138 h\n.3588 g
      2263 2109 N 34 151 169 -18 -71 -148 h\n.3588 g 2395 2094 N -3 150 180 7
      -34 -151 h\n.3588 g 2538 2100 N -42 143 180 32 3 -150 h\n.3588 g 2679
      2125 N -77 131 165 56 42 -143 h\n.3588 g 2809 2169 N -106 115 138 75 77
      -131 h\n.3588 g 2918 2228 N -128 96 101 88 106 -115 h\n.3379 g 3125
      2201 N -160 15 70 118 147 -39 h\n.3379 g 3182 2295 N -163 -8 10 118 160
      -15 h\n.3379 g 3189 2390 N -152 -30 -52 109 163 8 h\n.3379 g 3148 2477
      N -131 -47 -109 91 152 30 h\n.3379 g 3060 2551 N -100 -60 -159 68 131
      47 h\n.3379 g 2932 2606 N -61 -68 -197 39 100 60 h\n.3379 g 2774 2637 N
      -18 -70 -219 8 61 68 h\n.3379 g 2598 2643 N 27 -65 -227 -25 18 70
      h\n.3379 g 2416 2623 N 69 -53 -216 -56 -27 65 h\n.3379 g 2242 2579 N
      107 -37 -191 -82 -69 53 h\n.3379 g 2089 2513 N 136 -17 -150 -102 -107
      37 h\n.3379 g 1968 2431 N 156 5 -99 -114 -136 17 h\n.3379 g 1889 2339 N
      163 28 -40 -119 -156 -5 h\n.3379 g 1856 2243 N 159 51 21 -115 -163 -28
      h\n.3379 g 1873 2151 N 143 71 82 -101 -159 -51 h\n.3379 g 1939 2070 N
      117 87 135 -81 -143 -71 h\n.3379 g 2048 2005 N 81 97 180 -54 -117 -87
      h\n.3379 g 2192 1961 N 40 102 210 -23 -81 -97 h\n.3379 g 2361 1943 N -5
      100 225 9 -40 -102 h\n.3379 g 2541 1950 N -48 92 223 40 5 -100 h\n.3379
      g 2721 1982 N -89 78 206 70 48 -92 h\n.3379 g 2886 2038 N -123 61 172
      92 89 -78 h\n.3379 g 3024 2113 N -147 39 125 110 123 -61 h\n.345 g 3272
      2162 N -154 -48 83 140 141 26 h\n.345 g 3342 2280 N -156 -70 12 140 154
      48 h\n.345 g 3352 2398 N -146 -90 -62 129 156 70 h\n.345 g 3300 2507 N
      -125 -108 -130 109 146 90 h\n.345 g 3191 2598 N -95 -121 -189 81 125
      108 h\n.345 g 3032 2666 N -59 -128 -233 46 95 121 h\n.345 g 2835 2705 N
      -17 -129 -261 9 59 128 h\n.345 g 2616 2713 N 25 -124 -269 -30 17 129
      h\n.345 g 2389 2688 N 66 -115 -257 -65 -25 124 h\n.345 g 2173 2632 N
      101 -99 -226 -98 -66 115 h\n.345 g 1982 2550 N 130 -80 -179 -121 -101
      99 h\n.345 g 1832 2448 N 148 -58 -117 -136 -130 80 h\n.345 g 1733 2334
      N 156 -35 -48 -142 -148 58 h\n.345 g 1693 2215 N 152 -14 25 -136 -156
      35 h\n.345 g 1714 2100 N 137 5 97 -120 -152 14 h\n.345 g 1796 1999 N
      111 20 161 -96 -137 -5 h\n.345 g 1931 1918 N 78 30 213 -64 -111 -20
      h\n.345 g 2111 1864 N 39 35 249 -28 -78 -30 h\n.345 g 2321 1841 N -4 33
      268 11 -39 -35 h\n.345 g 2546 1850 N -46 25 265 48 4 -33 h\n.345 g 2769
      1890 N -84 13 244 82 46 -25 h\n.345 g 2975 1960 N -116 -6 204 111 84
      -13 h\n.345 g 3147 2052 N -141 -26 150 130 116 6 h\n.3788 g 3413 2188 N
      -120 -103 93 157 110 86 h\n.3788 g 3496 2328 N -121 -120 13 157 120 103
      h\n.3788 g 3508 2468 N -114 -137 -69 146 121 120 h\n.3788 g 3446 2597 N
      -98 -150 -146 122 114 137 h\n.3788 g 3316 2706 N -75 -160 -212 91 98
      150 h\n.3788 g 3127 2787 N -45 -166 -263 52 75 160 h\n.3788 g 2894 2833
      N -13 -167 -293 10 45 166 h\n.3788 g 2633 2842 N 20 -163 -302 -34 13
      167 h\n.3788 g 2364 2812 N 52 -154 -289 -74 -20 163 h\n.3788 g 2107
      2747 N 80 -143 -254 -109 -52 154 h\n.3788 g 1881 2649 N 102 -128 -201
      -136 -80 143 h\n.3788 g 1702 2528 N 117 -111 -132 -153 -102 128
      h\n.3788 g 1585 2392 N 122 -94 -53 -159 -117 111 h\n.3788 g 1537 2250 N
      119 -77 28 -153 -122 94 h\n.3788 g 1562 2114 N 107 -62 109 -135 -119 77
      h\n.3788 g 1659 1994 N 87 -50 181 -108 -107 62 h\n.3788 g 1820 1898 N
      61 -42 239 -72 -87 50 h\n.3788 g 2033 1834 N 29 -39 281 -31 -61 42
      h\n.3788 g 2282 1806 N -3 -40 300 12 -29 39 h\n.3788 g 2550 1817 N -36
      -46 298 54 3 40 h\n.3788 g 2815 1865 N -66 -57 274 93 36 46 h\n.3788 g
      3059 1947 N -92 -69 230 123 66 57 h\n.3788 g 3263 2058 N -110 -86 168
      147 92 69 h\n.4337 g 3523 2274 N -66 -141 99 167 60 131 h\n.4337 g 3616
      2431 N -67 -150 14 166 66 141 h\n.4337 g 3629 2588 N -62 -158 -74 154
      67 150 h\n.4337 g 3560 2734 N -53 -166 -155 130 62 158 h\n.4337 g 3414
      2856 N -41 -171 -224 96 53 166 h\n.4337 g 3202 2947 N -25 -175 -279 56
      41 171 h\n.4337 g 2939 2999 N -8 -175 -310 10 25 175 h\n.4337 g 2646
      3009 N 11 -174 -321 -35 8 175 h\n.4337 g 2344 2975 N 28 -169 -306 -79
      -11 174 h\n.4337 g 2055 2901 N 44 -162 -270 -116 -28 169 h\n.4337 g
      1801 2792 N 55 -154 -212 -144 -44 162 h\n.4337 g 1600 2656 N 63 -145
      -140 -162 -55 154 h\n.4337 g 1468 2503 N 67 -135 -57 -169 -63 145
      h\n.4337 g 1415 2344 N 65 -126 30 -162 -67 135 h\n.4337 g 1443 2191 N
      59 -118 115 -143 -65 126 h\n.4337 g 1552 2056 N 48 -112 192 -114 -59
      118 h\n.4337 g 1733 1948 N 33 -107 254 -77 -48 112 h\n.4337 g 1972 1876
      N 17 -105 297 -33 -33 107 h\n.4337 g 2253 1845 N -2 -106 319 13 -17 105
      h\n.4337 g 2553 1857 N -20 -109 316 57 2 106 h\n.4337 g 2851 1911 N -37
      -114 291 98 20 109 h\n.4337 g 3125 2004 N -50 -123 243 132 37 114
      h\n.4337 g 3355 2127 N -60 -131 178 155 50 123 h\n.5 g 3583 2405 N 0
      -153 99 167 0 153 h\n.5 g 3682 2572 N 0 -154 14 167 0 153 h\n.5 g 3696
      2738 N 0 -154 -74 154 0 154 h\n.5 g 3622 2892 N 0 -154 -155 130 0 154
      h\n.5 g 3467 3022 N 0 -154 -224 96 0 154 h\n.5 g 3243 3118 N 0 -153
      -279 55 0 154 h\n.5 g 2964 3174 N 0 -154 -310 11 0 153 h\n.5 g 2654
      3184 N 0 -153 -321 -36 0 154 h\n.5 g 2333 3149 N 0 -154 -306 -78 0 153
      h\n.5 g 2027 3070 N 0 -154 -270 -116 0 154 h\n.5 g 1757 2954 N 0 -154
      -212 -144 0 154 h\n.5 g 1545 2810 N 0 -153 -140 -163 0 154 h\n.5 g 1405
      2648 N 0 -154 -57 -168 0 153 h\n.5 g 1348 2479 N 0 -154 30 -162 0 154
      h\n.5 g 1378 2317 N 0 -153 115 -144 0 154 h\n.5 g 1493 2174 N 0 -153
      192 -114 0 153 h\n.5 g 1685 2060 N 0 -154 254 -76 0 153 h\n.5 g 1939
      1983 N 0 -154 297 -33 0 154 h\n.5 g 2236 1950 N 0 -153 319 12 0 154
      h\n.5 g 2555 1963 N 0 -154 316 58 0 153 h\n.5 g 2871 2020 N 0 -154 291
      98 0 154 h\n.5 g 3162 2118 N 0 -153 243 131 0 154 h\n.5 g 3405 2250 N 0
      -153 178 155 0 153 h\n.5663 g 3583 2558 N 66 -140 93 157 -60 150
      h\n.5663 g 3682 2725 N 67 -130 13 157 -66 140 h\n.5663 g 3696 2892 N 62
      -122 -69 146 -67 130 h\n.5663 g 3622 3046 N 53 -114 -146 122 -62 122
      h\n.5663 g 3467 3176 N 41 -109 -212 91 -53 114 h\n.5663 g 3243 3272 N
      25 -106 -263 52 -41 109 h\n.5663 g 2964 3327 N 8 -105 -293 10 -25 106
      h\n.5663 g 2654 3338 N -11 -107 -302 -34 -8 105 h\n.5663 g 2333 3302 N
      -28 -111 -289 -74 11 107 h\n.5663 g 2027 3224 N -44 -118 -254 -109 28
      111 h\n.5663 g 1757 3108 N -55 -126 -201 -136 44 118 h\n.5663 g 1545
      2964 N -63 -136 -132 -153 55 126 h\n.5663 g 1405 2801 N -67 -145 -53
      -159 63 136 h\n.5663 g 1348 2633 N -65 -154 28 -153 67 145 h\n.5663 g
      1378 2471 N -59 -163 109 -135 65 154 h\n.5663 g 1493 2327 N -48 -169
      181 -108 59 163 h\n.5663 g 1685 2213 N -33 -173 239 -72 48 169 h\n.5663
      g 1939 2137 N -17 -175 281 -31 33 173 h\n.5663 g 2236 2104 N 2 -175 300
      12 17 175 h\n.5663 g 2555 2116 N 20 -171 298 54 -2 175 h\n.5663 g 2871
      2174 N 37 -166 274 93 -20 171 h\n.5663 g 3162 2272 N 50 -158 230 123
      -37 166 h\n.5663 g 3405 2403 N 60 -150 168 147 -50 158 h\n.6212 g 3523
      2708 N 120 -102 83 140 -110 119 h\n.6212 g 3616 2865 N 121 -85 12 140
      -120 102 h\n.6212 g 3629 3022 N 114 -69 -62 130 -121 85 h\n.6212 g 3560
      3168 N 98 -56 -130 109 -114 69 h\n.6212 g 3414 3290 N 75 -45 -189 80
      -98 56 h\n.6212 g 3202 3381 N 45 -40 -233 47 -75 45 h\n.6212 g 2939
      3433 N 13 -39 -261 9 -45 40 h\n.6212 g 2646 3443 N -20 -43 -269 -30 -13
      39 h\n.6212 g 2344 3409 N -52 -51 -257 -66 20 43 h\n.6212 g 2055 3335 N
      -80 -63 -226 -97 52 51 h\n.6212 g 1801 3226 N -102 -78 -179 -121 80 63
      h\n.6212 g 1600 3090 N -117 -94 -117 -137 102 78 h\n.6212 g 1468 2937 N
      -122 -112 -48 -141 117 94 h\n.6212 g 1415 2778 N -119 -129 25 -136 122
      112 h\n.6212 g 1443 2625 N -107 -144 97 -120 119 129 h\n.6212 g 1552
      2490 N -87 -156 161 -96 107 144 h\n.6212 g 1733 2382 N -61 -164 213 -64
      87 156 h\n.6212 g 1972 2310 N -29 -167 249 -28 61 164 h\n.6212 g 2253
      2279 N 3 -165 268 10 29 167 h\n.6212 g 2553 2291 N 36 -160 265 49 -3
      165 h\n.6212 g 2851 2345 N 66 -149 244 82 -36 160 h\n.6212 g 3125 2438
      N 92 -136 204 110 -66 149 h\n.6212 g 3355 2561 N 110 -119 150 130 -92
      136 h\n.655 g 3413 2827 N 154 -47 70 118 -141 69 h\n.655 g 3496 2967 N
      156 -25 10 118 -154 47 h\n.655 g 3508 3107 N 146 -4 -52 109 -156 25
      h\n.655 g 3446 3237 N 125 13 -109 92 -146 4 h\n.655 g 3316 3346 N 95 25
      -159 68 -125 -13 h\n.655 g 3127 3426 N 59 33 -197 39 -95 -25 h\n.655 g
      2894 3473 N 17 35 -219 7 -59 -33 h\n.655 g 2633 3482 N -25 30 -227 -25
      -17 -35 h\n.655 g 2364 3452 N -66 19 -216 -55 25 -30 h\n.655 g 2107
      3386 N -101 4 -191 -82 66 -19 h\n.655 g 1881 3289 N -130 -15 -150 -102
      101 -4 h\n.655 g 1702 3168 N -148 -37 -99 -115 130 15 h\n.655 g 1585
      3031 N -156 -59 -40 -119 148 37 h\n.655 g 1537 2890 N -152 -81 21 -114
      156 59 h\n.655 g 1562 2754 N -137 -99 82 -102 152 81 h\n.655 g 1659
      2634 N -111 -115 135 -80 137 99 h\n.655 g 1820 2538 N -78 -125 180 -54
      111 115 h\n.655 g 2033 2474 N -39 -129 210 -24 78 125 h\n.655 g 2282
      2446 N 4 -128 225 9 39 129 h\n.655 g 2550 2456 N 46 -120 223 41 -4 128
      h\n.655 g 2815 2505 N 84 -107 206 69 -46 120 h\n.655 g 3059 2587 N 116
      -90 172 93 -84 107 h\n.655 g 3263 2697 N 141 -69 125 109 -116 90
      h\n.6621 g 3272 2896 N 160 16 57 95 -147 7 h\n.6621 g 3342 3014 N 163
      40 7 94 -160 -16 h\n.6621 g 3352 3132 N 152 61 -41 88 -163 -40 h\n.6621
      g 3300 3241 N 131 79 -88 74 -152 -61 h\n.6621 g 3191 3333 N 100 93 -128
      54 -131 -79 h\n.6621 g 3032 3401 N 61 100 -158 32 -100 -93 h\n.6621 g
      2835 3440 N 18 102 -176 5 -61 -100 h\n.6621 g 2616 3447 N -27 97 -182
      -20 -18 -102 h\n.6621 g 2389 3422 N -69 86 -174 -44 27 -97 h\n.6621 g
      2173 3367 N -107 70 -153 -66 69 -86 h\n.6621 g 1982 3285 N -136 50 -121
      -82 107 -70 h\n.6621 g 1832 3183 N -156 27 -79 -92 136 -50 h\n.6621 g
      1733 3068 N -163 4 -33 -96 156 -27 h\n.6621 g 1693 2949 N -159 -18 17
      -92 163 -4 h\n.6621 g 1714 2835 N -143 -39 66 -81 159 18 h\n.6621 g
      1796 2733 N -117 -54 109 -65 143 39 h\n.6621 g 1931 2653 N -81 -65 144
      -43 117 54 h\n.6621 g 2111 2599 N -40 -70 169 -19 81 65 h\n.6621 g 2321
      2575 N 5 -68 180 7 40 70 h\n.6621 g 2546 2584 N 48 -60 180 33 -5 68
      h\n.6621 g 2769 2625 N 89 -46 165 55 -48 60 h\n.6621 g 2975 2694 N 123
      -28 138 75 -89 46 h\n.6621 g 3147 2787 N 147 -7 101 88 -123 28 h\n.6412
      g 3125 2903 N 140 78 45 74 -128 -57 h\n.6412 g 3182 2998 N 141 97 6 75
      -140 -78 h\n.6412 g 3189 3092 N 133 116 -33 69 -141 -97 h\n.6412 g 3148
      3180 N 114 132 -69 58 -133 -116 h\n.6412 g 3060 3254 N 87 143 -101 43
      -114 -132 h\n.6412 g 2932 3308 N 53 151 -124 24 -87 -143 h\n.6412 g
      2774 3340 N 16 151 -139 5 -53 -151 h\n.6412 g 2598 3345 N -23 147 -143
      -16 -16 -151 h\n.6412 g 2416 3325 N -60 138 -137 -35 23 -147 h\n.6412 g
      2242 3281 N -92 123 -121 -51 60 -138 h\n.6412 g 2089 3215 N -118 106
      -95 -65 92 -123 h\n.6412 g 1968 3133 N -135 87 -62 -73 118 -106
      h\n.6412 g 1889 3041 N -142 66 -26 -75 135 -87 h\n.6412 g 1856 2945 N
      -139 46 14 -72 142 -66 h\n.6412 g 1873 2853 N -124 29 51 -64 139 -46
      h\n.6412 g 1939 2772 N -101 15 86 -51 124 -29 h\n.6412 g 2048 2707 N
      -71 6 114 -34 101 -15 h\n.6412 g 2192 2664 N -34 2 132 -15 71 -6
      h\n.6412 g 2361 2645 N 3 4 143 5 34 -2 h\n.6412 g 2541 2652 N 42 11 141
      26 -3 -4 h\n.6412 g 2721 2685 N 77 22 130 44 -42 -11 h\n.6412 g 2886
      2740 N 106 38 109 59 -77 -22 h\n.6412 g 3024 2815 N 128 57 79 69 -106
      -38 h\n.5958 g 2997 2846 N 96 124 36 61 -87 -111 h\n.5958 g 3042 2920 N
      97 138 5 61 -96 -124 h\n.5958 g 3048 2995 N 90 151 -26 56 -97 -138
      h\n.5958 g 3015 3064 N 78 162 -57 47 -90 -151 h\n.5958 g 2946 3122 N 59
      170 -82 35 -78 -162 h\n.5958 g 2845 3165 N 36 173 -101 21 -59 -170
      h\n.5958 g 2721 3189 N 11 175 -114 3 -36 -173 h\n.5958 g 2582 3194 N
      -15 172 -117 -13 -11 -175 h\n.5958 g 2439 3178 N -41 165 -111 -28 15
      -172 h\n.5958 g 2302 3143 N -63 156 -99 -42 41 -165 h\n.5958 g 2181
      3092 N -81 144 -77 -53 63 -156 h\n.5958 g 2086 3027 N -92 130 -51 -59
      81 -144 h\n.5958 g 2024 2954 N -97 117 -21 -62 92 -130 h\n.5958 g 1998
      2879 N -94 104 11 -59 97 -117 h\n.5958 g 2012 2807 N -85 92 42 -52 94
      -104 h\n.5958 g 2063 2743 N -69 83 70 -42 85 -92 h\n.5958 g 2149 2692 N
      -48 77 93 -28 69 -83 h\n.5958 g 2263 2658 N -24 74 108 -12 48 -77
      h\n.5958 g 2395 2643 N 3 74 116 5 24 -74 h\n.5958 g 2538 2648 N 28 79
      116 21 -3 -74 h\n.5958 g 2679 2674 N 52 87 106 36 -28 -79 h\n.5958 g
      2809 2718 N 73 99 88 47 -52 -87 h\n.5958 g 2918 2777 N 87 111 65 57 -73
      -99 h\n.5339 g 2910 2735 N 33 150 34 57 -31 -146 h\n.5339 g 2946 2796 N
      34 155 4 56 -33 -150 h\n.5339 g 2951 2857 N 32 160 -24 51 -34 -155
      h\n.5339 g 2925 2913 N 27 163 -52 44 -32 -160 h\n.5339 g 2868 2960 N 21
      166 -76 32 -27 -163 h\n.5339 g 2786 2995 N 13 168 -93 19 -21 -166
      h\n.5339 g 2685 3016 N 4 168 -105 3 -13 -168 h\n.5339 g 2571 3019 N -6
      167 -107 -12 -4 -168 h\n.5339 g 2454 3006 N -14 165 -103 -26 6 -167
      h\n.5339 g 2343 2978 N -23 162 -90 -39 14 -165 h\n.5339 g 2244 2936 N
      -28 157 -72 -48 23 -162 h\n.5339 g 2167 2883 N -32 153 -47 -55 28 -157
      h\n.5339 g 2116 2824 N -34 147 -19 -56 32 -153 h\n.5339 g 2095 2762 N
      -33 143 10 -55 34 -147 h\n.5339 g 2106 2703 N -30 139 39 -48 33 -143
      h\n.5339 g 2148 2651 N -24 135 64 -38 30 -139 h\n.5339 g 2218 2609 N
      -17 133 86 -26 24 -135 h\n.5339 g 2311 2581 N -8 132 99 -11 17 -133
      h\n.5339 g 2419 2569 N 1 133 107 4 8 -132 h\n.5339 g 2535 2574 N 10 135
      107 19 -1 -133 h\n.5339 g 2651 2595 N 19 138 97 33 -10 -135 h\n.5339 g
      2757 2631 N 25 141 82 44 -19 -138 h\n.5339 g 2845 2678 N 31 146 59 52
      -25 -141 h\n.4765 g 3577 2383 N -101 -77 15 106 100 68 h\n.4314 g 3539
      2296 N -100 -68 42 94 96 61 h\n.3913 g 3478 2228 N -96 -61 66 74 91 55
      h\n.3593 g 3399 2182 N -91 -55 86 50 84 51 h\n.3377 g 3307 2162 N -84
      -51 99 22 77 49 h\n.3281 g 3211 2170 N -77 -49 105 -9 68 50 h\n.3314 g
      3116 2205 N -68 -50 103 -38 60 53 h\n.3471 g 3030 2265 N -60 -53 94 -65
      52 58 h\n.3741 g 2959 2344 N -52 -58 76 -86 47 65 h\n.4105 g 2909 2438
      N -47 -65 55 -102 42 73 h\n.4535 g 2883 2539 N -42 -73 28 -110 40 82
      h\n.5 g 2883 2639 N -40 -82 0 -109 40 91 h\n.5465 g 2909 2732 N -40 -91
      -28 -101 42 99 h\n.5895 g 2959 2810 N -42 -99 -55 -85 47 106 h\n.6259 g
      3030 2868 N -47 -106 -76 -62 52 110 h\n.6529 g 3116 2901 N -52 -110 -94
      -36 60 113 h\n.6686 g 3211 2907 N -60 -113 -103 -7 68 114 h\n.6719 g
      3307 2885 N -68 -114 -105 24 77 112 h\n.6623 g 3399 2837 N -77 -112 -99
      52 84 108 h\n.6407 g 3478 2767 N -84 -108 -86 76 91 102 h\n.6087 g 3539
      2680 N -91 -102 -66 95 96 94 h\n.5686 g 3577 2582 N -96 -94 -42 107 100
      85 h\n.5235 g 3591 2480 N -100 -85 -15 110 101 77 h\n.4728 g 3677 2451
      N -144 -54 17 130 142 30 h\n.4205 g 3635 2357 N -142 -30 51 115 133 9
      h\n.3741 g 3569 2283 N -133 -9 82 91 117 -8 h\n.337 g 3483 2233 N -117
      8 105 61 98 -19 h\n.312 g 3384 2211 N -98 19 121 26 76 -23 h\n.3009 g
      3279 2220 N -76 23 129 -10 52 -22 h\n.3046 g 3176 2258 N -52 22 126 -47
      29 -13 h\n.3228 g 3082 2323 N -29 13 115 -79 8 1 h\n.3541 g 3006 2409 N
      -8 -1 94 -106 -10 21 h\n.3963 g 2951 2511 N 10 -21 67 -125 -22 44
      h\n.4462 g 2923 2621 N 22 -44 35 -134 -29 68 h\n.5 g 2923 2730 N 29 -68
      0 -134 -29 93 h\n.5538 g 2951 2831 N 29 -93 -35 -123 -22 115 h\n.6037 g
      3006 2916 N 22 -115 -67 -104 -10 134 h\n.6459 g 3082 2978 N 10 -134 -94
      -77 8 149 h\n.6772 g 3176 3014 N -8 -149 -115 -44 29 157 h\n.6954 g
      3279 3021 N -29 -157 -126 -8 52 158 h\n.6991 g 3384 2997 N -52 -158
      -129 29 76 153 h\n.688 g 3483 2945 N -76 -153 -121 64 98 141 h\n.663 g
      3569 2869 N -98 -141 -105 93 117 124 h\n.6259 g 3635 2774 N -117 -124
      -82 116 133 103 h\n.5795 g 3677 2667 N -133 -103 -51 131 142 79
      h\n.5272 g 3692 2557 N -142 -79 -17 135 144 54 h\n.466 g 3819 2481 N
      -164 -22 22 165 159 -13 h\n.4006 g 3768 2366 N -159 13 65 146 145 -44
      h\n.3426 g 3686 2275 N -145 44 103 116 124 -69 h\n.2962 g 3581 2214 N
      -124 69 134 78 95 -86 h\n.2649 g 3460 2188 N -95 86 155 33 61 -93
      h\n.2511 g 3331 2198 N -61 93 163 -14 27 -89 h\n.2557 g 3205 2245 N -27
      89 160 -59 -7 -77 h\n.2785 g 3090 2324 N 7 77 146 -101 -38 -55 h\n.3177
      g 2996 2430 N 38 55 119 -134 -63 -27 h\n.3704 g 2929 2555 N 63 27 85
      -158 -81 6 h\n.4327 g 2894 2689 N 81 -6 44 -171 -90 43 h\n.5 g 2894
      2823 N 90 -43 0 -170 -90 79 h\n.5673 g 2929 2946 N 90 -79 -44 -157 -81
      113 h\n.6296 g 2996 3050 N 81 -113 -85 -132 -63 141 h\n.6823 g 3090
      3127 N 63 -141 -119 -98 -38 162 h\n.7215 g 3205 3171 N 38 -162 -146 -56
      -7 174 h\n.7443 g 3331 3179 N 7 -174 -160 -10 27 176 h\n.7489 g 3460
      3150 N -27 -176 -163 37 61 168 h\n.7351 g 3581 3086 N -61 -168 -155 81
      95 151 h\n.7038 g 3686 2993 N -95 -151 -134 118 124 126 h\n.6574 g 3768
      2877 N -124 -126 -103 148 145 94 h\n.5994 g 3819 2746 N -145 -94 -65
      166 159 59 h\n.534 g 3836 2611 N -159 -59 -22 172 164 22 h\n.4573 g
      3978 2468 N -155 14 28 205 149 -54 h\n.3752 g 3913 2322 N -149 54 81
      182 133 -90 h\n.3023 g 3810 2206 N -133 90 129 144 107 -118 h\n.244 g
      3676 2128 N -107 118 166 97 75 -137 h\n.2047 g 3521 2095 N -75 137 192
      41 38 -145 h\n.1874 g 3358 2109 N -38 145 203 -17 -2 -142 h\n.1932 g
      3198 2168 N 2 142 200 -73 -42 -128 h\n.2218 g 3052 2269 N 42 128 181
      -126 -77 -103 h\n.271 g 2933 2403 N 77 103 149 -167 -107 -70 h\n.3372 g
      2848 2561 N 107 70 106 -197 -128 -31 h\n.4155 g 2804 2732 N 128 31 55
      -212 -139 10 h\n.5 g 2804 2902 N 139 -10 0 -212 -139 52 h\n.5845 g 2848
      3059 N 139 -52 -55 -195 -128 90 h\n.6628 g 2933 3191 N 128 -90 -106
      -165 -107 123 h\n.729 g 3052 3289 N 107 -123 -149 -121 -77 146 h\n.7782
      g 3198 3345 N 77 -146 -181 -70 -42 160 h\n.8068 g 3358 3355 N 42 -160
      -200 -12 -2 162 h\n.8126 g 3521 3318 N 2 -162 -203 46 38 153 h\n.7953 g
      3676 3237 N -38 -153 -192 100 75 134 h\n.756 g 3810 3119 N -75 -134
      -166 148 107 104 h\n.6977 g 3913 2971 N -107 -104 -129 184 133 68
      h\n.6248 g 3978 2805 N -133 -68 -81 206 149 28 h\n.5427 g 4000 2633 N
      -149 -28 -28 214 155 -14 h\n.4482 g 4127 2414 N -118 47 33 244 113 -86
      h\n.3486 g 4046 2232 N -113 86 96 216 98 -120 h\n.2601 g 3917 2088 N
      -98 120 153 172 74 -148 h\n.1894 g 3751 1991 N -74 148 198 114 42 -165
      h\n.1418 g 3559 1950 N -42 165 228 49 6 -173 h\n.1207 g 3356 1967 N -6
      173 241 -20 -32 -170 h\n.1278 g 3156 2040 N 32 170 237 -87 -69 -156
      h\n.1625 g 2975 2166 N 69 156 215 -149 -103 -133 h\n.2222 g 2826 2333 N
      103 133 177 -199 -131 -101 h\n.3025 g 2720 2530 N 131 101 126 -234 -151
      -64 h\n.3974 g 2665 2742 N 151 64 65 -252 -161 -24 h\n.5 g 2665 2954 N
      161 24 0 -251 -161 15 h\n.6026 g 2720 3149 N 161 -15 -65 -232 -151 52
      h\n.6975 g 2826 3314 N 151 -52 -126 -196 -131 83 h\n.7778 g 2975 3435 N
      131 -83 -177 -144 -103 106 h\n.8375 g 3156 3505 N 103 -106 -215 -83 -69
      119 h\n.8722 g 3356 3517 N 69 -119 -237 -15 -32 122 h\n.8793 g 3559
      3471 N 32 -122 -241 55 6 113 h\n.8582 g 3751 3371 N -6 -113 -228 119 42
      94 h\n.8106 g 3917 3223 N -42 -94 -198 175 74 67 h\n.7399 g 4046 3039 N
      -74 -67 -153 219 98 32 h\n.6514 g 4127 2833 N -98 -32 -96 245 113 -7
      h\n.5518 g 4155 2619 N -113 7 -33 254 118 -47 h\n.4403 g 4240 2328 N
      -62 73 37 274 58 -103 h\n.3254 g 4144 2112 N -58 103 108 243 46 -130
      h\n.2234 g 3991 1940 N -46 130 172 192 27 -150 h\n.1419 g 3793 1826 N
      -27 150 222 129 3 -165 h\n.087 g 3565 1777 N -3 165 256 55 -25 -171
      h\n.0627 g 3324 1797 N 25 171 272 -22 -56 -169 h\n.0709 g 3087 1884 N
      56 169 266 -99 -85 -157 h\n.1108 g 2872 2033 N 85 157 241 -167 -111
      -139 h\n.1797 g 2695 2232 N 111 139 199 -223 -133 -115 h\n.2723 g 2569
      2466 N 133 115 142 -263 -149 -86 h\n.3817 g 2504 2718 N 149 86 73 -284
      -157 -54 h\n.5 g 2504 2969 N 157 54 0 -282 -157 -23 h\n.6183 g 2569
      3201 N 157 23 -73 -261 -149 6 h\n.7277 g 2695 3397 N 149 -6 -142 -219
      -133 29 h\n.8203 g 2872 3541 N 133 -29 -199 -162 -111 47 h\n.8892 g
      3087 3624 N 111 -47 -241 -93 -85 57 h\n.9291 g 3324 3639 N 85 -57 -266
      -17 -56 59 h\n.9373 g 3565 3584 N 56 -59 -272 61 -25 53 h\n.913 g 3793
      3465 N 25 -53 -256 134 3 38 h\n.8581 g 3991 3290 N -3 -38 -222 197 27
      16 h\n.7766 g 4144 3071 N -27 -16 -172 246 46 -11 h\n.6746 g 4240 2826
      N -46 11 -108 276 58 -42 h\n.5597 g 4273 2572 N -58 42 -37 285 62 -73
      h\n.4349 g 4298 2225 N 5 85 39 291 -7 -102 h\n.3097 g 4190 1982 N 7 102
      115 257 -14 -116 h\n.1985 g 4018 1790 N 14 116 182 204 -24 -128
      h\n.1097 g 3796 1661 N 24 128 236 137 -38 -136 h\n.0498 g 3540 1606 N
      38 136 272 58 -54 -139 h\n.0233 g 3268 1628 N 54 139 287 -24 -69 -137
      h\n.0322 g 3002 1727 N 69 137 283 -104 -86 -132 h\n.0758 g 2761 1894 N
      86 132 256 -177 -101 -122 h\n.1508 g 2562 2117 N 101 122 210 -237 -112
      -108 h\n.2518 g 2420 2380 N 112 108 150 -279 -120 -92 h\n.3711 g 2347
      2664 N 120 92 78 -300 -125 -76 h\n.5 g 2347 2946 N 125 76 0 -300 -125
      -58 h\n.6289 g 2420 3207 N 125 58 -78 -276 -120 -43 h\n.7482 g 2562
      3426 N 120 43 -150 -233 -112 -29 h\n.8492 g 2761 3588 N 112 29 -210
      -172 -101 -19 h\n.9242 g 3002 3681 N 101 19 -256 -98 -86 -14 h\n.9678 g
      3268 3698 N 86 14 -283 -18 -69 -13 h\n.9767 g 3540 3637 N 69 13 -287 65
      -54 -17 h\n.9502 g 3796 3503 N 54 17 -272 142 -38 -25 h\n.8903 g 4018
      3306 N 38 25 -236 209 -24 -37 h\n.8015 g 4190 3060 N 24 37 -182 260 -14
      -51 h\n.6903 g 4298 2784 N 14 51 -115 293 -7 -68 h\n.5651 g 4335 2499 N
      7 68 -39 302 -5 -85 h\n.433 g 4291 2123 N 72 84 39 290 -72 -83 h\n.3041
      g 4176 1866 N 72 83 115 257 -72 -83 h\n.1897 g 3994 1662 N 72 83 182
      205 -72 -84 h\n.0983 g 3758 1525 N 72 84 236 136 -72 -83 h\n.0367 g
      3486 1467 N 72 83 271 59 -71 -84 h\n.0094 g 3199 1491 N 71 84 288 -24
      -72 -84 h\n.0186 g 2916 1595 N 72 84 282 -105 -71 -83 h\n.0634 g 2660
      1772 N 71 83 256 -177 -71 -83 h\n.1406 g 2450 2009 N 71 83 211 -237 -72
      -83 h\n.2445 g 2300 2288 N 72 83 150 -278 -72 -84 h\n.3673 g 2222 2588
      N 72 84 78 -301 -72 -83 h\n.5 g 2222 2888 N 72 83 0 -299 -72 -84
      h\n.6327 g 2300 3164 N 72 84 -78 -277 -72 -83 h\n.7555 g 2450 3397 N 72
      83 -150 -232 -72 -84 h\n.8594 g 2660 3569 N 72 84 -211 -172 -71 -84
      h\n.9366 g 2916 3667 N 71 84 -256 -99 -71 -83 h\n.9814 g 3199 3685 N 71
      83 -282 -17 -72 -84 h\n.9906 g 3486 3620 N 72 84 -288 64 -71 -83
      h\n.9633 g 3758 3478 N 71 83 -271 142 -72 -83 h\n.9017 g 3994 3269 N 72
      83 -236 209 -72 -83 h\n.8103 g 4176 3009 N 72 83 -182 261 -72 -84
      h\n.6959 g 4291 2716 N 72 84 -115 292 -72 -83 h\n.567 g 4330 2414 N 72
      83 -39 303 -72 -84 h\n.4349 g 4219 2040 N 126 67 37 274 -124 -51
      h\n.3097 g 4104 1783 N 124 51 108 242 -117 -36 h\n.1985 g 3922 1578 N
      117 36 172 193 -107 -24 h\n.1097 g 3686 1442 N 107 24 222 128 -93 -16
      h\n.0498 g 3415 1383 N 93 16 256 56 -78 -13 h\n.0233 g 3127 1407 N 78
      13 272 -23 -62 -14 h\n.0322 g 2845 1512 N 62 14 266 -98 -46 -21
      h\n.0758 g 2589 1689 N 46 21 241 -167 -31 -31 h\n.1508 g 2378 1926 N 31
      31 199 -224 -19 -44 h\n.2518 g 2228 2204 N 19 44 141 -263 -10 -59
      h\n.3711 g 2150 2505 N 10 59 74 -283 -6 -77 h\n.5 g 2150 2804 N 6 77 0
      -282 -6 -94 h\n.6289 g 2228 3081 N 6 94 -74 -261 -10 -110 h\n.7482 g
      2378 3313 N 10 110 -141 -220 -19 -122 h\n.8492 g 2589 3485 N 19 122
      -199 -162 -31 -132 h\n.9242 g 2845 3584 N 31 132 -241 -93 -46 -138
      h\n.9678 g 3127 3601 N 46 138 -266 -16 -62 -139 h\n.9767 g 3415 3537 N
      62 139 -272 61 -78 -136 h\n.9502 g 3686 3395 N 78 136 -256 134 -93 -128
      h\n.8903 g 3922 3186 N 93 128 -222 197 -107 -116 h\n.8015 g 4104 2925 N
      107 116 -172 245 -117 -100 h\n.6903 g 4219 2633 N 117 100 -108 276 -124
      -84 h\n.5651 g 4258 2330 N 124 84 -37 286 -126 -67 h\n.4403 g 4095 1989
      N 157 38 33 244 -153 -8 h\n.3254 g 3987 1747 N 153 8 97 216 -142 18
      h\n.2234 g 3815 1554 N 142 -18 153 172 -123 39 h\n.1419 g 3593 1426 N
      123 -39 197 114 -98 53 h\n.087 g 3337 1370 N 98 -53 229 49 -71 60
      h\n.0627 g 3065 1393 N 71 -60 241 -20 -40 57 h\n.0709 g 2799 1491 N 40
      -57 237 -87 -11 46 h\n.1108 g 2558 1658 N 11 -46 215 -149 15 28
      h\n.1797 g 2359 1882 N -15 -28 177 -199 37 3 h\n.2723 g 2218 2145 N -37
      -3 126 -234 52 -26 h\n.3817 g 2144 2428 N -52 26 65 -252 61 -57 h\n.5 g
      2144 2710 N -61 57 0 -251 61 -88 h\n.6183 g 2218 2971 N -61 88 -65 -232
      52 -117 h\n.7277 g 2359 3191 N -52 117 -126 -196 37 -141 h\n.8203 g
      2558 3353 N -37 141 -177 -144 15 -159 h\n.8892 g 2799 3446 N -15 159
      -215 -83 -11 -169 h\n.9291 g 3065 3462 N 11 169 -237 -15 -40 -170
      h\n.9373 g 3337 3401 N 40 170 -241 55 -71 -164 h\n.913 g 3593 3267 N 71
      164 -229 119 -98 -149 h\n.8581 g 3815 3070 N 98 149 -197 175 -123 -127
      h\n.7766 g 3987 2825 N 123 127 -153 219 -142 -101 h\n.6746 g 4095 2549
      N 142 101 -97 245 -153 -70 h\n.5597 g 4132 2263 N 153 70 -33 254 -157
      -38 h\n.4482 g 3942 1981 N 163 4 28 206 -158 34 h\n.3486 g 3845 1765 N
      158 -34 81 181 -142 69 h\n.2601 g 3692 1593 N 142 -69 129 145 -118 96
      h\n.1894 g 3495 1479 N 118 -96 166 96 -87 114 h\n.1418 g 3266 1430 N 87
      -114 192 42 -50 121 h\n.1207 g 3025 1450 N 50 -121 204 -17 -13 118
      h\n.1278 g 2788 1537 N 13 -118 199 -74 25 105 h\n.1625 g 2573 1686 N
      -25 -105 181 -125 59 81 h\n.2222 g 2396 1885 N -59 -81 149 -168 87 50
      h\n.3025 g 2270 2119 N -87 -50 106 -197 107 13 h\n.3974 g 2205 2371 N
      -107 -13 55 -212 117 -27 h\n.5 g 2205 2622 N -117 27 0 -211 117 -67
      h\n.6026 g 2270 2854 N -117 67 -55 -196 107 -103 h\n.6975 g 2396 3050 N
      -107 103 -106 -164 87 -135 h\n.7778 g 2573 3194 N -87 135 -149 -122 59
      -157 h\n.8375 g 2788 3277 N -59 157 -181 -69 25 -171 h\n.8722 g 3025
      3292 N -25 171 -199 -13 -13 -173 h\n.8793 g 3266 3237 N 13 173 -204 46
      -50 -164 h\n.8582 g 3495 3118 N 50 164 -192 100 -87 -145 h\n.8106 g
      3692 2943 N 87 145 -166 148 -118 -118 h\n.7399 g 3845 2724 N 118 118
      -129 184 -142 -83 h\n.6514 g 3942 2479 N 142 83 -81 207 -158 -45
      h\n.5518 g 3975 2225 N 158 45 -28 213 -163 -4 h\n.4573 g 3784 2015 N
      140 -31 22 165 -134 72 h\n.3752 g 3703 1834 N 134 -72 65 146 -118 107
      h\n.3023 g 3574 1689 N 118 -107 104 116 -93 136 h\n.244 g 3408 1593 N
      93 -136 133 78 -60 154 h\n.2047 g 3216 1551 N 60 -154 155 33 -23 163
      h\n.1874 g 3012 1568 N 23 -163 163 -14 18 160 h\n.1932 g 2813 1642 N
      -18 -160 160 -59 57 145 h\n.2218 g 2632 1767 N -57 -145 146 -101 92 121
      h\n.271 g 2483 1935 N -92 -121 119 -134 122 87 h\n.3372 g 2377 2132 N
      -122 -87 86 -158 142 48 h\n.4155 g 2322 2344 N -142 -48 44 -171 153 7
      h\n.5 g 2322 2555 N -153 -7 0 -170 153 -34 h\n.5845 g 2377 2751 N -153
      34 -44 -157 142 -73 h\n.6628 g 2483 2915 N -142 73 -86 -132 122 -105
      h\n.729 g 2632 3037 N -122 105 -119 -98 92 -129 h\n.7782 g 2813 3106 N
      -92 129 -146 -56 57 -142 h\n.8068 g 3012 3119 N -57 142 -160 -10 18
      -145 h\n.8126 g 3216 3073 N -18 145 -163 37 -23 -136 h\n.7953 g 3408
      2973 N 23 136 -155 81 -60 -117 h\n.756 g 3574 2825 N 60 117 -133 119
      -93 -88 h\n.6977 g 3703 2641 N 93 88 -104 147 -118 -51 h\n.6248 g 3784
      2434 N 118 51 -65 166 -134 -10 h\n.5427 g 3812 2221 N 134 10 -22 172
      -140 31 h\n.466 g 3650 2087 N 92 -61 18 130 -88 96 h\n.4006 g 3585 1941
      N 88 -96 51 115 -74 127 h\n.3426 g 3481 1825 N 74 -127 81 91 -51 152
      h\n.2962 g 3348 1747 N 51 -152 105 61 -23 169 h\n.2649 g 3193 1714 N 23
      -169 122 26 10 176 h\n.2511 g 3030 1728 N -10 -176 128 -11 45 173
      h\n.2557 g 2870 1787 N -45 -173 127 -46 78 160 h\n.2785 g 2724 1888 N
      -78 -160 114 -79 110 138 h\n.3177 g 2605 2022 N -110 -138 94 -106 135
      110 h\n.3704 g 2519 2180 N -135 -110 67 -125 154 77 h\n.4327 g 2475
      2351 N -154 -77 35 -134 163 40 h\n.5 g 2475 2521 N -163 -40 0 -134 163
      4 h\n.5673 g 2519 2678 N -163 -4 -35 -123 154 -30 h\n.6296 g 2605 2810
      N -154 30 -67 -105 135 -57 h\n.6823 g 2724 2908 N -135 57 -94 -76 110
      -79 h\n.7215 g 2870 2964 N -110 79 -114 -44 78 -91 h\n.7443 g 3030 2974
      N -78 91 -127 -8 45 -93 h\n.7489 g 3193 2937 N -45 93 -128 29 10 -85
      h\n.7351 g 3348 2856 N -10 85 -122 63 -23 -67 h\n.7038 g 3481 2737 N 23
      67 -105 94 -51 -42 h\n.6574 g 3585 2590 N 51 42 -81 116 -74 -11
      h\n.5994 g 3650 2424 N 74 11 -51 131 -88 24 h\n.534 g 3672 2252 N 88
      -24 -18 135 -92 61 h\n.4728 g 3562 2183 N 29 -81 14 106 -25 105
      h\n.4205 g 3511 2068 N 25 -105 42 94 -16 126 h\n.3741 g 3430 1977 N 16
      -126 66 74 -1 143 h\n.337 g 3325 1916 N 1 -143 86 50 18 154 h\n.312 g
      3203 1890 N -18 -154 100 21 40 159 h\n.3009 g 3075 1901 N -40 -159 104
      -8 64 156 h\n.3046 g 2948 1947 N -64 -156 103 -38 88 148 h\n.3228 g
      2834 2026 N -88 -148 94 -65 108 134 h\n.3541 g 2740 2132 N -108 -134 77
      -86 125 114 h\n.3963 g 2673 2257 N -125 -114 54 -102 138 91 h\n.4462 g
      2638 2391 N -138 -91 29 -110 144 67 h\n.5 g 2638 2525 N -144 -67 0 -109
      144 42 h\n.5538 g 2673 2648 N -144 -42 -29 -101 138 20 h\n.6037 g 2740
      2753 N -138 -20 -54 -85 125 0 h\n.6459 g 2834 2829 N -125 0 -77 -62 108
      -14 h\n.6772 g 2948 2873 N -108 14 -94 -36 88 -22 h\n.6954 g 3075 2881
      N -88 22 -103 -7 64 -23 h\n.6991 g 3203 2852 N -64 23 -104 24 40 -18
      h\n.688 g 3325 2789 N -40 18 -100 52 18 -7 h\n.663 g 3430 2695 N -18 7
      -86 76 -1 11 h\n.6259 g 3511 2579 N 1 -11 -66 95 -16 32 h\n.5795 g 3562
      2448 N 16 -32 -42 107 -25 56 h\n.5272 g 3580 2313 N 25 -56 -14 110 -29
      81 h\n.4765 g 3537 2288 N -40 -86 14 97 40 95 h\n.4314 g 3495 2194 N
      -40 -95 38 87 44 102 h\n.3913 g 3429 2120 N -44 -102 61 68 49 108
      h\n.3593 g 3343 2070 N -49 -108 79 46 56 112 h\n.3377 g 3243 2049 N -56
      -112 92 20 64 113 h\n.3281 g 3139 2057 N -64 -113 96 -8 72 113 h\n.3314
      g 3036 2095 N -72 -113 95 -35 80 110 h\n.3471 g 2942 2160 N -80 -110 86
      -60 88 105 h\n.3741 g 2865 2246 N -88 -105 71 -79 94 98 h\n.4105 g 2811
      2348 N -94 -98 50 -94 98 90 h\n.4535 g 2782 2458 N -98 -90 26 -101 101
      81 h\n.5 g 2782 2567 N -101 -81 0 -100 101 72 h\n.5465 g 2811 2668 N
      -101 -72 -26 -93 98 64 h\n.5895 g 2865 2753 N -98 -64 -50 -78 94 57
      h\n.6259 g 2942 2815 N -94 -57 -71 -58 88 53 h\n.6529 g 3036 2851 N -88
      -53 -86 -33 80 50 h\n.6686 g 3139 2858 N -80 -50 -95 -6 72 49 h\n.6719
      g 3243 2834 N -72 -49 -96 22 64 51 h\n.6623 g 3343 2782 N -64 -51 -92
      48 56 55 h\n.6407 g 3429 2706 N -56 -55 -79 70 49 61 h\n.6087 g 3495
      2611 N -49 -61 -61 87 44 69 h\n.5686 g 3537 2504 N -44 -69 -38 98 40 78
      h\n.5235 g 3551 2394 N -40 -78 -14 102 40 86 h\n%pm3d_map_end\ngrestore
      % colour palette end\nstroke gsave\t%% draw gray scale smooth
      box\nmaxcolors 0 gt {/imax maxcolors def} {/imax 1024 def} ifelse\n4905
      2626 translate 227 1405 scale 0 setlinewidth\n/ystep 1 imax div def /y0
      0 def /ii 0 def\n{ y0 g 0 y0 N 1 0 V 0 ystep V -1 0 f\n/y0 y0 ystep add
      def /ii ii 1 add def\nii imax ge {exit} if } loop\ngrestore 0
      setgray\n1.000 UL\nLTb\n4905 2626 M\n227 0 V\n0 1405 V\n-227 0 V\n0
      -1405 V\n1.000 UL\nLTb\n1.000 UL\nLTb\n5132 2626 M\n-63 0 V\n
      stroke\n5234 2626 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 (-1.5)]\n] -46.7 MLshow\ngrestore\n4905 2626 M\n63 0 V\n164 234
      R\n-63 0 V\n stroke\n5234 2860 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 (-1)]\n] -46.7 MLshow\ngrestore\n4905 2860 M\n63 0
      V\n164 234 R\n-63 0 V\n stroke\n5234 3094 M\ngsave 0 setgray\n[
      [(Helvetica) 140.0 0.0 true true 0 (-0.5)]\n] -46.7
      MLshow\ngrestore\n4905 3094 M\n63 0 V\n164 234 R\n-63 0 V\n
      stroke\n5234 3328 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 ( 0)]\n] -46.7 MLshow\ngrestore\n4905 3328 M\n63 0 V\n164 234
      R\n-63 0 V\n stroke\n5234 3562 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 ( 0.5)]\n] -46.7 MLshow\ngrestore\n4905 3562 M\n63 0
      V\n164 234 R\n-63 0 V\n stroke\n5234 3796 M\ngsave 0 setgray\n[
      [(Helvetica) 140.0 0.0 true true 0 ( 1)]\n] -46.7
      MLshow\ngrestore\n4905 3796 M\n63 0 V\n164 235 R\n-63 0 V\n
      stroke\n5234 4031 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 ( 1.5)]\n] -46.7 MLshow\ngrestore\n4905 4031 M\n63 0 V\n1.000
      UP\n1.000 UL\nLT2\nLT2\n2365 3452 M\n177 19 V\n1.000 UL\nLT2\nLT2\n2108
      3386 M\n257 66 V\n1.000 UL\nLT2\nLT2\n2390 3422 M\n-25 30 V\n1.000
      UL\nLT2\nLT2\n1882 3289 M\n226 97 V\n1.000 UL\nLT2\nLT2\n2174 3367
      M\n-66 19 V\n1.000 UL\nLT2\nLT2\n2390 3422 M\n106 12 V\n1.000
      UL\nLT2\nLT2\n2174 3367 M\n216 55 V\n1.000 UL\nLT2\nLT2\n2410 3350
      M\n-20 72 V\n1.000 UL\nLT2\nLT2\n1983 3285 M\n191 82 V\n1.000
      UL\nLT2\nLT2\n2243 3281 M\n-69 86 V\n1.000 UL\nLT2\nLT2\n1703 3168
      M\n179 121 V\n1.000 UL\nLT2\nLT2\n1983 3285 M\n-101 4 V\n1.000
      UL\nLT2\nLT2\n2243 3281 M\n138 35 V\n1.000 UL\nLT4\nLT5\n3337 1371
      M\n78 13 V\n1.000 UL\nLT4\nLT5\n3686 1443 M\n-271 -59 V\n1.000
      UL\nLT2\nLT2\n2090 3215 M\n153 66 V\n1.000 UL\nLT2\nLT2\n2289 3174
      M\n-46 107 V\n1.000 UL\nLT2\nLT2\n1469 2937 M\n132 153 V\n1.000
      UL\nLT2\nLT2\n1703 3168 M\n-102 -78 V\n1.000 UL\nLT2\nLT2\n1833 3183
      M\n150 102 V\n1.000 UL\nLT2\nLT2\n2090 3215 M\n-107 70 V\n1.000
      UL\nLT4\nLT5\n2559 1659 M\n241 -167 V\n1.000 UL\nLT4\nLT5\n2789 1538
      M\n11 -46 V\n1.000 UL\nLT4\nLT5\n3065 1394 M\n-265 98 V\n1.000
      UL\nLT4\nLT5\n2422 1813 M\n137 -154 V\n1.000 UL\nLT4\nLT5\n2574 1687
      M\n-15 -28 V\n1.000 UL\nLT2\nLT2\n2182 3092 M\n74 31 V\n1.000
      UL\nLT4\nLT5\n3025 1451 M\n40 -57 V\n1.000 UL\nLT4\nLT5\n3337 1371
      M\n-272 23 V\n1.000 UL\nLT2\nLT2\n1969 3133 M\n121 82 V\n1.000
      UL\nLT2\nLT2\n2182 3092 M\n-92 123 V\n1.000 UL\nLT4\nLT5\n3593 1427
      M\n93 16 V\n1.000 UL\nLT4\nLT5\n3922 1579 M\n3686 1443 L\n1.000
      UL\nLT2\nLT2\n1586 3031 M\n117 137 V\n1.000 UL\nLT2\nLT2\n1833 3183
      M\n-130 -15 V\n1.000 UL\nLT2\nLT2\n2182 3092 M\n30 -73 V\n1.000
      UL\nLT2\nLT2\n2168 2883 M\n7 4 V\n1.000 UL\nLT4\nLT5\n3483 2234 M\n-9
      -2 V\n1.000 UL\nLT2\nLT2\n2087 3027 M\n95 65 V\n1.000
      UL\nLT2\nLT2\n2168 2883 M\n2 -12 V\n1.000 UL\nLT4\nLT5\n3266 1431 M\n71
      -60 V\n1.000 UL\nLT4\nLT5\n3593 1427 M\n-256 -56 V\n1.000
      UL\nLT2\nLT2\n3531 2288 M\n7 13 V\n1.000 UL\nLT4\nLT5\n3460 2220 M\n23
      14 V\n1.000 UL\nLT2\nLT2\n1349 2633 M\n57 168 V\n1.000
      UL\nLT2\nLT2\n1469 2937 M\n-63 -136 V\n1.000 UL\nLT4\nLT5\n2574 1687
      M\n215 -149 V\n1.000 UL\nLT4\nLT5\n2814 1643 M\n-25 -105 V\n1.000
      UL\nLT4\nLT5\n3025 1451 M\n-236 87 V\n1.000 UL\nLT2\nLT2\n1734 3068
      M\n99 115 V\n1.000 UL\nLT2\nLT2\n1969 3133 M\n-136 50 V\n1.000
      UL\nLT4\nLT5\n2461 1814 M\n113 -127 V\n1.000 UL\nLT4\nLT5\n2633 1768
      M\n-59 -81 V\n1.000 UL\nLT2\nLT2\n2087 3027 M\n81 -144 V\n1.000
      UL\nLT2\nLT2\n2117 2824 M\n51 59 V\n1.000 UL\nLT4\nLT5\n3012 1569 M\n13
      -118 V\n1.000 UL\nLT4\nLT5\n3266 1431 M\n-241 20 V\n1.000
      UL\nLT4\nLT4\n3520 2254 M\n2 1 V\n1.000 UL\nLT2\nLT2\n2117 2824 M\n27
      -129 V\n1.000 UL\nLT2\nLT2\n1890 3041 M\n79 92 V\n1.000
      UL\nLT2\nLT2\n2087 3027 M\n-118 106 V\n1.000 UL\nLT2\nLT2\n2025 2954
      M\n62 73 V\n1.000 UL\nLT4\nLT5\n3495 1480 M\n98 -53 V\n1.000
      UL\nLT4\nLT5\n3815 1555 M\n3593 1427 L\n1.000 UL\nLT4\nLT5\n3815 1555
      M\n107 24 V\n1.000 UL\nLT4\nLT5\n4104 1784 M\n3922 1579 L\n1.000
      UL\nLT2\nLT2\n1416 2778 M\n53 159 V\n1.000 UL\nLT2\nLT2\n1586 3031
      M\n-117 -94 V\n1.000 UL\nLT4\nLT5\n3216 1552 M\n50 -121 V\n1.000
      UL\nLT4\nLT5\n3495 1480 M\n-229 -49 V\n1.000 UL\nLT4\nLT5\n4104 1784
      M\n72 83 V\n1.000 UL\nLT4\nLT5\n4291 2124 M\n4176 1867 L\n1.000
      UL\nLT2\nLT2\n2025 2954 M\n92 -130 V\n1.000 UL\nLT2\nLT2\n2096 2762
      M\n21 62 V\n1.000 UL\nLT4\nLT5\n3343 2071 M\n41 83 V\n1.000
      UL\nLT4\nLT5\n2633 1768 M\n181 -125 V\n1.000 UL\nLT4\nLT5\n2871 1788
      M\n-57 -145 V\n1.000 UL\nLT4\nLT5\n3012 1569 M\n-198 74 V\n1.000
      UL\nLT4\nLT5\n2145 2710 M\n0 -15 V\n1.000 UL\nLT2\nLT2\n2096 2762 M\n10
      -44 V\n1.000 UL\nLT4\nLT5\n2583 1824 M\n50 -56 V\n1.000
      UL\nLT4\nLT5\n2691 1843 M\n-58 -75 V\n1.000 UL\nLT2\nLT2\n1538 2890
      M\n48 141 V\n1.000 UL\nLT2\nLT2\n1734 3068 M\n-148 -37 V\n1.000
      UL\nLT4\nLT5\n2229 3081 M\n-78 -277 V\n1.000 UL\nLT4\nLT5\n2145 2710
      M\n6 94 V\n1.000 UL\nLT4\nLT5\n3030 1729 M\n-18 -160 V\n1.000
      UL\nLT4\nLT5\n3216 1552 M\n-204 17 V\n1.000 UL\nLT4\nLT5\n3075 1902
      M\n28 70 V\n1.000 UL\nLT2\nLT2\n1890 3041 M\n135 -87 V\n1.000
      UL\nLT2\nLT2\n1999 2879 M\n26 75 V\n1.000 UL\nLT4\nLT5\n3429 2121 M\n49
      108 V\n1.000 UL\nLT2\nLT2\n1379 2318 M\n-30 162 V\n1.000
      UL\nLT2\nLT2\n1349 2633 M\n0 -153 V\n1.000 UL\nLT2\nLT2\n1694 2949
      M\n40 119 V\n1.000 UL\nLT2\nLT2\n1890 3041 M\n-156 27 V\n1.000
      UL\nLT2\nLT2\n1857 2945 M\n33 96 V\n1.000 UL\nLT4\nLT5\n3343 2071
      M\n-95 -20 V\n1.000 UL\nLT4\nLT5\n3203 1891 M\n40 157 V\n1.000
      UL\nLT4\nLT5\n3408 1594 M\n87 -114 V\n1.000 UL\nLT4\nLT5\n3692 1594
      M\n3495 1480 L\n1.000 UL\nLT4\nLT5\n2770 1858 M\n101 -70 V\n1.000
      UL\nLT4\nLT5\n2926 1904 M\n-55 -116 V\n1.000 UL\nLT4\nLT5\n3030 1729
      M\n-159 59 V\n1.000 UL\nLT4\nLT5\n3193 1715 M\n23 -163 V\n1.000
      UL\nLT4\nLT5\n3408 1594 M\n-192 -42 V\n1.000 UL\nLT4\nLT5\n3692 1594
      M\n123 -39 V\n1.000 UL\nLT4\nLT5\n3987 1748 M\n3815 1555 L\n1.000
      UL\nLT4\nLT5\n3075 1902 M\n-74 27 V\n1.000 UL\nLT2\nLT2\n3355 2128
      M\n162 142 V\n1.000 UL\nLT2\nLT2\n1999 2879 M\n97 -117 V\n1.000
      UL\nLT2\nLT2\n2104 2719 M\n-8 43 V\n1.000 UL\nLT4\nLT5\n3075 1902
      M\n-45 -173 V\n1.000 UL\nLT4\nLT5\n3193 1715 M\n-163 14 V\n1.000
      UL\nLT4\nLT5\n3203 1891 M\n-128 11 V\n1.000 UL\nLT4\nLT5\n3495 2195
      M\n43 99 V\n1.000 UL\nLT4\nLT5\n3429 2121 M\n-86 -50 V\n1.000
      UL\nLT4\nLT5\n3325 1917 M\n18 154 V\n1.000 UL\nLT4\nLT5\n3987 1748
      M\n117 36 V\n1.000 UL\nLT4\nLT5\n4219 2041 M\n4104 1784 L\n1.000
      UL\nLT4\nLT5\n3325 1917 M\n-122 -26 V\n1.000 UL\nLT4\nLT5\n3193 1715
      M\n10 176 V\n1.000 UL\nLT2\nLT2\n1379 2472 M\n-30 161 V\n1.000
      UL\nLT2\nLT2\n1416 2778 M\n-67 -145 V\n1.000 UL\nLT4\nLT5\n3348 1748
      M\n-155 -33 V\n1.000 UL\nLT4\nLT5\n2219 2971 M\n-74 -261 V\n1.000
      UL\nLT4\nLT5\n2160 2689 M\n-15 21 V\n1.000 UL\nLT4\nLT5\n4219 2041
      M\n72 83 V\n1.000 UL\nLT4\nLT5\n4330 2415 M\n-39 -291 V\n1.000
      UL\nLT2\nLT2\n1857 2945 M\n142 -66 V\n1.000 UL\nLT2\nLT2\n2013 2807
      M\n-14 72 V\n1.000 UL\nLT4\nLT5\n3348 1748 M\n60 -154 V\n1.000
      UL\nLT4\nLT5\n3574 1690 M\n-166 -96 V\n1.000 UL\nLT4\nLT5\n3495 2195
      M\n-66 -74 V\n1.000 UL\nLT4\nLT5\n3430 1978 M\n-1 143 V\n1.000
      UL\nLT2\nLT2\n3405 2251 M\n144 125 V\n1.000 UL\nLT2\nLT2\n2013 2807
      M\n66 -73 V\n1.000 UL\nLT4\nLT5\n2866 2753 M\n83 51 V\n1.000
      UL\nLT4\nLT5\n4298 2784 M\n37 -284 V\n1.000 UL\nLT4\nLT5\n3430 1978
      M\n-105 -61 V\n1.000 UL\nLT4\nLT5\n3348 1748 M\n-23 169 V\n1.000
      UL\nLT4\nLT5\n2379 3313 M\n2229 3081 L\n1.000 UL\nLT4\nLT5\n2219 2971
      M\n10 110 V\n1.000 UL\nLT4\nLT5\n3574 1690 M\n118 -96 V\n1.000
      UL\nLT4\nLT5\n3845 1766 M\n3692 1594 L\n1.000 UL\nLT2\nLT2\n1444 2625
      M\n-28 153 V\n1.000 UL\nLT2\nLT2\n1538 2890 M\n1416 2778 L\n1.000
      UL\nLT4\nLT5\n3481 1826 M\n-133 -78 V\n1.000 UL\nLT2\nLT2\n3059 1948
      M\n204 111 V\n1.000 UL\nLT2\nLT2\n3355 2128 M\n-92 -69 V\n1.000
      UL\nLT2\nLT2\n1553 2057 M\n-109 135 V\n1.000 UL\nLT2\nLT2\n1379 2318
      M\n65 -126 V\n1.000 UL\nLT2\nLT2\n2918 2777 M\n60 52 V\n1.000
      UL\nLT2\nLT2\n1694 2949 M\n163 -4 V\n1.000 UL\nLT2\nLT2\n1874 2853
      M\n-17 92 V\n1.000 UL\nLT4\nLT5\n3537 2289 M\n-42 -94 V\n1.000
      UL\nLT4\nLT5\n3511 2069 M\n-16 126 V\n1.000 UL\nLT4\nLT5\n2661 3569
      M\n2451 3397 L\n1.000 UL\nLT4\nLT5\n2379 3313 M\n72 84 V\n1.000
      UL\nLT4\nLT5\n3845 1766 M\n142 -18 V\n1.000 UL\nLT4\nLT5\n4095 1990
      M\n3987 1748 L\n1.000 UL\nLT2\nLT2\n1563 2754 M\n-25 136 V\n1.000
      UL\nLT2\nLT2\n1694 2949 M\n-156 -59 V\n1.000 UL\nLT2\nLT2\n1715 2835
      M\n-21 114 V\n1.000 UL\nLT4\nLT5\n3511 2069 M\n-81 -91 V\n1.000
      UL\nLT4\nLT5\n3481 1826 M\n-51 152 V\n1.000 UL\nLT2\nLT2\n3405 2404
      M\n128 112 V\n1.000 UL\nLT4\nLT5\n2271 2854 M\n-51 -183 V\n1.000
      UL\nLT4\nLT5\n2866 2753 M\n-4 -7 V\n1.000 UL\nLT4\nLT5\n3481 1826 M\n93
      -136 V\n1.000 UL\nLT4\nLT5\n3703 1835 M\n3574 1690 L\n1.000
      UL\nLT2\nLT2\n1874 2853 M\n139 -46 V\n1.000 UL\nLT2\nLT2\n2064 2743
      M\n-51 64 V\n1.000 UL\nLT4\nLT5\n4095 1990 M\n124 51 V\n1.000
      UL\nLT4\nLT5\n4258 2331 M\n-39 -290 V\n1.000 UL\nLT2\nLT2\n3024 2815
      M\n44 38 V\n1.000 UL\nLT4\nLT5\n3585 1942 M\n3481 1826 L\n1.000
      UL\nLT4\nLT5\n3551 2395 M\n-14 -106 V\n1.000 UL\nLT4\nLT5\n3562 2184
      M\n-25 105 V\n1.000 UL\nLT4\nLT5\n2360 3191 M\n2219 2971 L\n1.000
      UL\nLT4\nLT5\n2271 2854 M\n-52 117 V\n1.000 UL\nLT2\nLT2\n1494 2175
      M\n-115 143 V\n1.000 UL\nLT2\nLT2\n1379 2472 M\n0 -154 V\n1.000
      UL\nLT2\nLT2\n3355 2562 M\n105 91 V\n1.000 UL\nLT2\nLT2\n3125 2005
      M\n230 123 V\n1.000 UL\nLT2\nLT2\n3405 2251 M\n-50 -123 V\n1.000
      UL\nLT4\nLT5\n2942 2815 M\n-76 -62 V\n1.000 UL\nLT4\nLT5\n2741 2753
      M\n125 0 V\n1.000 UL\nLT4\nLT5\n2378 2751 M\n-29 -103 V\n1.000
      UL\nLT4\nLT5\n4291 2716 M\n39 -301 V\n1.000 UL\nLT4\nLT5\n4291 2716
      M\n7 68 V\n1.000 UL\nLT4\nLT5\n4190 3060 M\n108 -276 V\n1.000
      UL\nLT2\nLT2\n2810 2718 M\n108 59 V\n1.000 UL\nLT2\nLT2\n3024 2815
      M\n-106 -38 V\n1.000 UL\nLT4\nLT5\n3562 2184 M\n-51 -115 V\n1.000
      UL\nLT4\nLT5\n3585 1942 M\n-74 127 V\n1.000 UL\nLT4\nLT5\n2520 2678
      M\n-7 -27 V\n1.000 UL\nLT2\nLT2\n3147 2787 M\n62 55 V\n1.000
      UL\nLT4\nLT5\n3703 1835 M\n142 -69 V\n1.000 UL\nLT4\nLT5\n3942 1982
      M\n-97 -216 V\n1.000 UL\nLT2\nLT2\n3263 2697 M\n83 72 V\n1.000
      UL\nLT4\nLT5\n3537 2505 M\n14 -110 V\n1.000 UL\nLT4\nLT5\n2590 3485
      M\n2379 3313 L\n1.000 UL\nLT4\nLT5\n2360 3191 M\n19 122 V\n1.000
      UL\nLT4\nLT5\n2741 2753 M\n-47 -73 V\n1.000 UL\nLT4\nLT5\n2520 2678
      M\n80 -15 V\n1.000 UL\nLT2\nLT2\n1715 2835 M\n159 18 V\n1.000
      UL\nLT2\nLT2\n1940 2772 M\n-66 81 V\n1.000 UL\nLT4\nLT5\n3036 2851
      M\n-94 -36 V\n1.000 UL\nLT4\nLT5\n2835 2829 M\n107 -14 V\n1.000
      UL\nLT4\nLT5\n3268 3698 M\n-266 -17 V\n1.000 UL\nLT4\nLT5\n2916 3667
      M\n86 14 V\n1.000 UL\nLT2\nLT2\n1940 2772 M\n124 -29 V\n1.000
      UL\nLT2\nLT2\n2150 2692 M\n-86 51 V\n1.000 UL\nLT2\nLT2\n2816 1866
      M\n243 82 V\n1.000 UL\nLT2\nLT2\n3125 2005 M\n-66 -57 V\n1.000
      UL\nLT4\nLT5\n3650 2088 M\n-65 -146 V\n1.000 UL\nLT4\nLT5\n3703 1835
      M\n-118 107 V\n1.000 UL\nLT4\nLT5\n3784 2016 M\n-81 -181 V\n1.000
      UL\nLT4\nLT5\n2916 3667 M\n-255 -98 V\n1.000 UL\nLT4\nLT5\n2590 3485
      M\n71 84 V\n1.000 UL\nLT2\nLT2\n1494 2328 M\n-115 144 V\n1.000
      UL\nLT2\nLT2\n1444 2625 M\n-65 -153 V\n1.000 UL\nLT4\nLT5\n2397 3050
      M\n2271 2854 L\n1.000 UL\nLT4\nLT5\n2378 2751 M\n-107 103 V\n1.000
      UL\nLT4\nLT5\n3942 1982 M\n153 8 V\n1.000 UL\nLT4\nLT5\n4132 2264
      M\n-37 -274 V\n1.000 UL\nLT4\nLT5\n3503 2591 M\n34 -86 V\n1.000
      UL\nLT4\nLT5\n3562 2449 M\n-25 56 V\n1.000 UL\nLT4\nLT5\n3580 2314
      M\n-18 -130 V\n1.000 UL\nLT4\nLT5\n3650 2088 M\n-88 96 V\n1.000
      UL\nLT2\nLT2\n2699 2681 M\n111 37 V\n1.000 UL\nLT2\nLT2\n2886 2740
      M\n-76 -22 V\n1.000 UL\nLT2\nLT2\n3162 2119 M\n243 132 V\n1.000
      UL\nLT2\nLT2\n3405 2404 M\n0 -153 V\n1.000 UL\nLT4\nLT5\n3139 2858
      M\n-103 -7 V\n1.000 UL\nLT4\nLT5\n2948 2873 M\n88 -22 V\n1.000
      UL\nLT2\nLT2\n2886 2740 M\n138 75 V\n1.000 UL\nLT2\nLT2\n3147 2787
      M\n-123 28 V\n1.000 UL\nLT4\nLT5\n2606 2810 M\n-86 -132 V\n1.000
      UL\nLT4\nLT5\n2378 2751 M\n142 -73 V\n1.000 UL\nLT2\nLT2\n1734 1949
      M\n-181 108 V\n1.000 UL\nLT2\nLT2\n1494 2175 M\n59 -118 V\n1.000
      UL\nLT2\nLT2\n1563 2754 M\n152 81 V\n1.000 UL\nLT2\nLT2\n1797 2733
      M\n-82 102 V\n1.000 UL\nLT4\nLT5\n4176 3009 M\n14 51 V\n1.000
      UL\nLT4\nLT5\n4018 3306 M\n172 -246 V\n1.000 UL\nLT4\nLT5\n2835 2829
      M\n-94 -76 V\n1.000 UL\nLT4\nLT5\n2606 2810 M\n135 -57 V\n1.000
      UL\nLT4\nLT5\n2484 2915 M\n2378 2751 L\n1.000 UL\nLT2\nLT2\n1553 2491
      M\n-109 134 V\n1.000 UL\nLT2\nLT2\n1563 2754 M\n1444 2625 L\n1.000
      UL\nLT4\nLT5\n4219 2633 M\n39 -302 V\n1.000 UL\nLT2\nLT2\n1660 2634
      M\n-97 120 V\n1.000 UL\nLT2\nLT2\n2049 2707 M\n101 -15 V\n1.000
      UL\nLT2\nLT2\n2264 2658 M\n-114 34 V\n1.000 UL\nLT2\nLT2\n2034 1835
      M\n-213 64 V\n1.000 UL\nLT2\nLT2\n1734 1949 M\n87 -50 V\n1.000
      UL\nLT4\nLT5\n3234 2836 M\n-95 22 V\n1.000 UL\nLT4\nLT5\n3075 2881
      M\n64 -23 V\n1.000 UL\nLT4\nLT5\n4219 2633 M\n72 83 V\n1.000
      UL\nLT4\nLT5\n4176 3009 M\n115 -293 V\n1.000 UL\nLT4\nLT5\n3540 3637
      M\n-272 61 V\n1.000 UL\nLT4\nLT5\n3199 3685 M\n69 13 V\n1.000
      UL\nLT4\nLT5\n2559 3353 M\n2360 3191 L\n1.000 UL\nLT4\nLT5\n2397 3050
      M\n-37 141 V\n1.000 UL\nLT4\nLT5\n3562 2449 M\n18 -135 V\n1.000
      UL\nLT4\nLT5\n3784 2016 M\n158 -34 V\n1.000 UL\nLT4\nLT5\n3975 2226
      M\n-33 -244 V\n1.000 UL\nLT4\nLT5\n3672 2253 M\n-22 -165 V\n1.000
      UL\nLT4\nLT5\n3784 2016 M\n-134 72 V\n1.000 UL\nLT2\nLT2\n1797 2733
      M\n143 39 V\n1.000 UL\nLT2\nLT2\n2049 2707 M\n-109 65 V\n1.000
      UL\nLT2\nLT2\n3162 2273 M\n243 131 V\n1.000 UL\nLT2\nLT2\n3355 2562
      M\n50 -158 V\n1.000 UL\nLT2\nLT2\n2975 2694 M\n172 93 V\n1.000
      UL\nLT2\nLT2\n3263 2697 M\n-116 90 V\n1.000 UL\nLT4\nLT5\n3994 3269
      M\n24 37 V\n1.000 UL\nLT4\nLT5\n3796 3503 M\n222 -197 V\n1.000
      UL\nLT4\nLT5\n3812 2222 M\n-28 -206 V\n1.000 UL\nLT4\nLT5\n2948 2873
      M\n-113 -44 V\n1.000 UL\nLT4\nLT5\n2725 2908 M\n110 -79 V\n1.000
      UL\nLT2\nLT2\n2852 1912 M\n273 93 V\n1.000 UL\nLT2\nLT2\n3162 2119
      M\n-37 -114 V\n1.000 UL\nLT2\nLT2\n2193 2664 M\n71 -6 V\n1.000
      UL\nLT2\nLT2\n2375 2645 M\n-111 13 V\n1.000 UL\nLT2\nLT2\n2551 1818
      M\n265 48 V\n1.000 UL\nLT2\nLT2\n2852 1912 M\n-36 -46 V\n1.000
      UL\nLT4\nLT5\n2846 3584 M\n-256 -99 V\n1.000 UL\nLT4\nLT5\n2559 3353
      M\n31 132 V\n1.000 UL\nLT4\nLT5\n3199 3685 M\n-283 -18 V\n1.000
      UL\nLT4\nLT5\n2846 3584 M\n70 83 V\n1.000 UL\nLT4\nLT5\n2725 2908
      M\n-119 -98 V\n1.000 UL\nLT4\nLT5\n2484 2915 M\n122 -105 V\n1.000
      UL\nLT4\nLT5\n3796 3503 M\n-256 134 V\n1.000 UL\nLT4\nLT5\n3486 3620
      M\n54 17 V\n1.000 UL\nLT2\nLT2\n1686 2061 M\n-192 114 V\n1.000
      UL\nLT2\nLT2\n1494 2328 M\n0 -153 V\n1.000 UL\nLT4\nLT5\n3758 3478
      M\n38 25 V\n1.000 UL\nLT4\nLT5\n2574 3194 M\n2397 3050 L\n1.000
      UL\nLT4\nLT5\n2484 2915 M\n-87 135 V\n1.000 UL\nLT2\nLT2\n3125 2439
      M\n230 123 V\n1.000 UL\nLT2\nLT2\n3263 2697 M\n92 -135 V\n1.000
      UL\nLT2\nLT2\n2722 2685 M\n164 55 V\n1.000 UL\nLT2\nLT2\n2975 2694
      M\n-89 46 V\n1.000 UL\nLT4\nLT5\n3511 2580 M\n51 -131 V\n1.000
      UL\nLT4\nLT5\n3650 2425 M\n-88 24 V\n1.000 UL\nLT2\nLT2\n3059 2588
      M\n204 109 V\n1.000 UL\nLT4\nLT5\n4095 2550 M\n37 -286 V\n1.000
      UL\nLT4\nLT5\n2633 3037 M\n2484 2915 L\n1.000 UL\nLT2\nLT2\n2283 1807
      M\n-249 28 V\n1.000 UL\nLT2\nLT2\n1973 1877 M\n61 -42 V\n1.000
      UL\nLT4\nLT5\n3075 2881 M\n-127 -8 V\n1.000 UL\nLT4\nLT5\n2871 2964
      M\n77 -91 V\n1.000 UL\nLT4\nLT5\n3650 2425 M\n22 -172 V\n1.000
      UL\nLT4\nLT5\n4104 2925 M\n72 84 V\n1.000 UL\nLT4\nLT5\n3994 3269
      M\n182 -260 V\n1.000 UL\nLT2\nLT2\n1660 2634 M\n137 99 V\n1.000
      UL\nLT2\nLT2\n1932 2653 M\n-135 80 V\n1.000 UL\nLT2\nLT2\n2283 1807
      M\n268 11 V\n1.000 UL\nLT2\nLT2\n2554 1858 M\n-3 -40 V\n1.000
      UL\nLT2\nLT2\n1932 2653 M\n117 54 V\n1.000 UL\nLT2\nLT2\n2193 2664
      M\n-144 43 V\n1.000 UL\nLT4\nLT5\n3430 2695 M\n81 -115 V\n1.000
      UL\nLT4\nLT5\n3585 2590 M\n-74 -10 V\n1.000 UL\nLT2\nLT2\n1973 1877
      M\n-239 72 V\n1.000 UL\nLT2\nLT2\n1686 2061 M\n48 -112 V\n1.000
      UL\nLT4\nLT5\n4095 2550 M\n124 83 V\n1.000 UL\nLT4\nLT5\n4104 2925
      M\n115 -292 V\n1.000 UL\nLT2\nLT2\n2254 1846 M\n29 -39 V\n1.000
      UL\nLT4\nLT5\n2871 2964 M\n-146 -56 V\n1.000 UL\nLT4\nLT5\n2633 3037
      M\n92 -129 V\n1.000 UL\nLT4\nLT5\n3203 2852 M\n-128 29 V\n1.000
      UL\nLT4\nLT5\n3030 2974 M\n45 -93 V\n1.000 UL\nLT2\nLT2\n1686 2214
      M\n-192 114 V\n1.000 UL\nLT2\nLT2\n1553 2491 M\n-59 -163 V\n1.000
      UL\nLT4\nLT5\n3942 2480 M\n33 -254 V\n1.000 UL\nLT4\nLT5\n2800 3446
      M\n-241 -93 V\n1.000 UL\nLT4\nLT5\n2574 3194 M\n-15 159 V\n1.000
      UL\nLT4\nLT5\n3486 3620 M\n-287 65 V\n1.000 UL\nLT4\nLT5\n3127 3601
      M\n72 84 V\n1.000 UL\nLT2\nLT2\n2872 2021 M\n290 98 V\n1.000
      UL\nLT2\nLT2\n3162 2273 M\n0 -154 V\n1.000 UL\nLT4\nLT5\n3784 2435
      M\n28 -213 V\n1.000 UL\nLT4\nLT5\n3325 2789 M\n105 -94 V\n1.000
      UL\nLT4\nLT5\n3481 2737 M\n-51 -42 V\n1.000 UL\nLT2\nLT2\n2542 2652
      M\n180 33 V\n1.000 UL\nLT2\nLT2\n2770 2625 M\n-48 60 V\n1.000
      UL\nLT4\nLT5\n3325 2789 M\n-122 63 V\n1.000 UL\nLT4\nLT5\n3193 2937
      M\n10 -85 V\n1.000 UL\nLT2\nLT2\n1553 2491 M\n107 143 V\n1.000
      UL\nLT2\nLT2\n1821 2539 M\n-161 95 V\n1.000 UL\nLT4\nLT5\n3348 2856
      M\n-23 -67 V\n1.000 UL\nLT2\nLT2\n2770 2625 M\n205 69 V\n1.000
      UL\nLT2\nLT2\n3059 2588 M\n-84 106 V\n1.000 UL\nLT4\nLT5\n3127 3601
      M\n-281 -17 V\n1.000 UL\nLT4\nLT5\n2800 3446 M\n46 138 V\n1.000
      UL\nLT2\nLT2\n1734 2383 M\n-181 108 V\n1.000 UL\nLT2\nLT2\n2554 1858
      M\n298 54 V\n1.000 UL\nLT2\nLT2\n2872 2021 M\n-20 -109 V\n1.000
      UL\nLT4\nLT5\n3585 2590 M\n65 -165 V\n1.000 UL\nLT4\nLT5\n3784 2435
      M\n-134 -10 V\n1.000 UL\nLT4\nLT5\n3922 3186 M\n72 83 V\n1.000
      UL\nLT4\nLT5\n3758 3478 M\n236 -209 V\n1.000 UL\nLT2\nLT2\n2112 2599
      M\n81 65 V\n1.000 UL\nLT2\nLT2\n2362 2645 M\n-169 19 V\n1.000
      UL\nLT4\nLT5\n2814 3106 M\n-181 -69 V\n1.000 UL\nLT4\nLT5\n2574 3194
      M\n59 -157 V\n1.000 UL\nLT4\nLT5\n2789 3277 M\n-215 -83 V\n1.000
      UL\nLT4\nLT5\n3758 3478 M\n-272 142 V\n1.000 UL\nLT4\nLT5\n3415 3537
      M\n71 83 V\n1.000 UL\nLT2\nLT2\n2362 2645 M\n180 7 V\n1.000
      UL\nLT2\nLT2\n2547 2585 M\n-5 67 V\n1.000 UL\nLT4\nLT5\n3030 2974
      M\n-159 -10 V\n1.000 UL\nLT4\nLT5\n2814 3106 M\n57 -142 V\n1.000
      UL\nLT2\nLT2\n2322 2576 M\n40 69 V\n1.000 UL\nLT4\nLT5\n3686 3395 M\n72
      83 V\n1.000 UL\nLT4\nLT5\n3942 2480 M\n153 70 V\n1.000
      UL\nLT4\nLT5\n3987 2825 M\n108 -275 V\n1.000 UL\nLT2\nLT2\n2872 2175
      M\n290 98 V\n1.000 UL\nLT2\nLT2\n3125 2439 M\n37 -166 V\n1.000
      UL\nLT2\nLT2\n2254 1846 M\n-281 31 V\n1.000 UL\nLT2\nLT2\n1940 1984
      M\n33 -107 V\n1.000 UL\nLT4\nLT5\n3987 2825 M\n117 100 V\n1.000
      UL\nLT4\nLT5\n3922 3186 M\n182 -261 V\n1.000 UL\nLT2\nLT2\n1821 2539
      M\n111 114 V\n1.000 UL\nLT2\nLT2\n2112 2599 M\n-180 54 V\n1.000
      UL\nLT2\nLT2\n1940 1984 M\n-254 77 V\n1.000 UL\nLT2\nLT2\n1686 2214
      M\n0 -153 V\n1.000 UL\nLT2\nLT2\n2816 2506 M\n243 82 V\n1.000
      UL\nLT2\nLT2\n3125 2439 M\n-66 149 V\n1.000 UL\nLT4\nLT5\n3481 2737
      M\n104 -147 V\n1.000 UL\nLT4\nLT5\n3703 2641 M\n-118 -51 V\n1.000
      UL\nLT4\nLT5\n3703 2641 M\n81 -206 V\n1.000 UL\nLT4\nLT5\n3942 2480
      M\n-158 -45 V\n1.000 UL\nLT2\nLT2\n2852 2346 M\n273 93 V\n1.000
      UL\nLT4\nLT5\n3845 2724 M\n97 -244 V\n1.000 UL\nLT2\nLT2\n2254 1846
      M\n300 12 V\n1.000 UL\nLT2\nLT2\n2556 1964 M\n-2 -106 V\n1.000
      UL\nLT4\nLT5\n3193 2937 M\n-163 37 V\n1.000 UL\nLT4\nLT5\n3012 3119
      M\n18 -145 V\n1.000 UL\nLT4\nLT5\n3065 3462 M\n-265 -16 V\n1.000
      UL\nLT4\nLT5\n2789 3277 M\n11 169 V\n1.000 UL\nLT4\nLT5\n3415 3537
      M\n-288 64 V\n1.000 UL\nLT4\nLT5\n3065 3462 M\n62 139 V\n1.000
      UL\nLT2\nLT2\n2547 2585 M\n223 40 V\n1.000 UL\nLT2\nLT2\n2816 2506
      M\n-46 119 V\n1.000 UL\nLT2\nLT2\n2237 1951 M\n17 -105 V\n1.000
      UL\nLT4\nLT5\n3012 3119 M\n-198 -13 V\n1.000 UL\nLT4\nLT5\n2789 3277
      M\n25 -171 V\n1.000 UL\nLT4\nLT5\n3348 2856 M\n133 -119 V\n1.000
      UL\nLT4\nLT5\n3574 2825 M\n-93 -88 V\n1.000 UL\nLT2\nLT2\n2556 1964
      M\n316 57 V\n1.000 UL\nLT2\nLT2\n2872 2175 M\n0 -154 V\n1.000
      UL\nLT4\nLT5\n3348 2856 M\n-155 81 V\n1.000 UL\nLT4\nLT5\n3216 3073
      M\n-23 -136 V\n1.000 UL\nLT4\nLT5\n3025 3292 M\n-236 -15 V\n1.000
      UL\nLT4\nLT5\n3408 2973 M\n-60 -117 V\n1.000 UL\nLT4\nLT5\n3815 3070
      M\n107 116 V\n1.000 UL\nLT4\nLT5\n3686 3395 M\n236 -209 V\n1.000
      UL\nLT2\nLT2\n1734 2383 M\n87 156 V\n1.000 UL\nLT2\nLT2\n2034 2475
      M\n-213 64 V\n1.000 UL\nLT2\nLT2\n1940 2138 M\n-254 76 V\n1.000
      UL\nLT2\nLT2\n1734 2383 M\n-48 -169 V\n1.000 UL\nLT2\nLT2\n2034 2475
      M\n78 124 V\n1.000 UL\nLT2\nLT2\n2322 2576 M\n-210 23 V\n1.000
      UL\nLT4\nLT5\n3845 2724 M\n142 101 V\n1.000 UL\nLT4\nLT5\n3815 3070
      M\n172 -245 V\n1.000 UL\nLT4\nLT5\n3574 2825 M\n129 -184 V\n1.000
      UL\nLT4\nLT5\n3845 2724 M\n-142 -83 V\n1.000 UL\nLT4\nLT5\n3686 3395
      M\n-271 142 V\n1.000 UL\nLT4\nLT5\n3337 3401 M\n78 136 V\n1.000
      UL\nLT2\nLT2\n2322 2576 M\n225 9 V\n1.000 UL\nLT2\nLT2\n2551 2457 M\n-4
      128 V\n1.000 UL\nLT2\nLT2\n1973 2311 M\n-239 72 V\n1.000
      UL\nLT4\nLT5\n3593 3267 M\n93 128 V\n1.000 UL\nLT2\nLT2\n2237 1951
      M\n-297 33 V\n1.000 UL\nLT2\nLT2\n1940 2138 M\n0 -154 V\n1.000
      UL\nLT2\nLT2\n2283 2447 M\n39 129 V\n1.000 UL\nLT4\nLT5\n3216 3073
      M\n-204 46 V\n1.000 UL\nLT4\nLT5\n3025 3292 M\n-13 -173 V\n1.000
      UL\nLT4\nLT5\n3692 2943 M\n153 -219 V\n1.000 UL\nLT4\nLT5\n3337 3401
      M\n-272 61 V\n1.000 UL\nLT4\nLT5\n3025 3292 M\n40 170 V\n1.000
      UL\nLT2\nLT2\n2551 2457 M\n265 49 V\n1.000 UL\nLT2\nLT2\n2852 2346
      M\n-36 160 V\n1.000 UL\nLT2\nLT2\n2556 2117 M\n316 58 V\n1.000
      UL\nLT2\nLT2\n2852 2346 M\n20 -171 V\n1.000 UL\nLT4\nLT5\n3408 2973
      M\n166 -148 V\n1.000 UL\nLT4\nLT5\n3692 2943 M\n3574 2825 L\n1.000
      UL\nLT2\nLT2\n2237 1951 M\n319 13 V\n1.000 UL\nLT2\nLT2\n2556 2117 M\n0
      -153 V\n1.000 UL\nLT4\nLT5\n3266 3237 M\n-241 55 V\n1.000
      UL\nLT4\nLT5\n3692 2943 M\n123 127 V\n1.000 UL\nLT4\nLT5\n3593 3267
      M\n222 -197 V\n1.000 UL\nLT4\nLT5\n3408 2973 M\n-192 100 V\n1.000
      UL\nLT4\nLT5\n3266 3237 M\n-50 -164 V\n1.000 UL\nLT2\nLT2\n2554 2292
      M\n298 54 V\n1.000 UL\nLT4\nLT5\n3495 3118 M\n-87 -145 V\n1.000
      UL\nLT2\nLT2\n2237 2105 M\n0 -154 V\n1.000 UL\nLT4\nLT5\n3593 3267
      M\n-256 134 V\n1.000 UL\nLT4\nLT5\n3266 3237 M\n71 164 V\n1.000
      UL\nLT2\nLT2\n1973 2311 M\n61 164 V\n1.000 UL\nLT2\nLT2\n2283 2447
      M\n-249 28 V\n1.000 UL\nLT4\nLT5\n3495 3118 M\n197 -175 V\n1.000
      UL\nLT4\nLT5\n3495 3118 M\n98 149 V\n1.000 UL\nLT2\nLT2\n2237 2105
      M\n-297 33 V\n1.000 UL\nLT2\nLT2\n1973 2311 M\n-33 -173 V\n1.000
      UL\nLT4\nLT5\n3495 3118 M\n-229 119 V\n1.000 UL\nLT2\nLT2\n2283 2447
      M\n268 10 V\n1.000 UL\nLT2\nLT2\n2554 2292 M\n-3 165 V\n1.000
      UL\nLT2\nLT2\n2254 2280 M\n-281 31 V\n1.000 UL\nLT2\nLT2\n2254 2280
      M\n29 167 V\n1.000 UL\nLT2\nLT2\n2237 2105 M\n319 12 V\n1.000
      UL\nLT2\nLT2\n2554 2292 M\n2 -175 V\n1.000 UL\nLT2\nLT2\n2254 2280
      M\n300 12 V\n1.000 UL\nLT2\nLT2\n2254 2280 M\n-17 -175 V\n1.000
      UL\nLT2\n4962 4556 M\ngsave 0 setgray\n(x1\\(u,v\\), y1\\(u,v\\),
      z1\\(u,v\\)) Rshow\ngrestore\n5046 4556 M\n399 0 V\n1.000 UL\nLT4\n4962
      4416 M\ngsave 0 setgray\n(x2\\(u,v\\), y2\\(u,v\\), z2\\(u,v\\))
      Rshow\ngrestore\n5046 4416 M\n399 0 V\n1.000 UL\nLTb\nLTb\n3784 663
      M\n4819 1865 L\n1.000 UL\nLTb\nLTb\n3784 663 M\n941 1101 L\n1.000
      UL\nLTb\nLTb\n941 1101 M\n752 873 V\n1.000 UL\nLTb\nLTb\n4819 1865
      M\n-603 93 V\n1.000 UL\nLTb\nLTb\n941 3315 M\n0 -2214 V\n1.000
      UL\nLTb\nLTb\n978 1152 M\n-37 -51 V\n1.000 UL\nLTb\n891 987 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-1.5)]\n] -46.7
      MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n1333 1097 M\n-37 -51 V\n1.000
      UL\nLTb\n1247 933 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 (-1)]\n] -46.7 MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n1689 1042
      M\n-37 -51 V\n1.000 UL\nLTb\n1602 878 M\ngsave 0 setgray\n[
      [(Helvetica) 140.0 0.0 true true 0 (-0.5)]\n] -46.7
      MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n2044 988 M\n-37 -51 V\n1.000
      UL\nLTb\n1958 823 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 ( 0)]\n] -46.7 MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n2400 933
      M\n-37 -51 V\n1.000 UL\nLTb\n2313 769 M\ngsave 0 setgray\n[
      [(Helvetica) 140.0 0.0 true true 0 ( 0.5)]\n] -46.7
      MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n2755 878 M\n-37 -51 V\n1.000
      UL\nLTb\n2669 714 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 ( 1)]\n] -46.7 MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n3110 823
      M\n-37 -50 V\n1.000 UL\nLTb\n3024 659 M\ngsave 0 setgray\n[
      [(Helvetica) 140.0 0.0 true true 0 ( 1.5)]\n] -46.7
      MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n3466 769 M\n-37 -51 V\n1.000
      UL\nLTb\n3379 605 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 ( 2)]\n] -46.7 MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n4427 1869
      M\n37 51 V\n1.000 UL\nLTb\nLTb\n3821 714 M\n-37 -51 V\n1.000
      UL\nLTb\n3735 550 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 ( 2.5)]\n] -46.7 MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n4782 1814
      M\n37 51 V\n1.000 UL\nLTb\nLTb\n3722 674 M\n62 -11 V\n stroke\n3867 638
      M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-1.5)]\n]
      -46.7 MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n1003 1089 M\n-62 12
      V\n1.000 UL\nLTb\nLTb\n3895 875 M\n62 -11 V\n stroke\n4039 838 M\ngsave
      0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-1)]\n] -46.7
      MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n1175 1290 M\n-62 11 V\n1.000
      UL\nLTb\nLTb\n4067 1075 M\n62 -11 V\n stroke\n4212 1039 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-0.5)]\n] -46.7
      MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n1348 1490 M\n-62 11 V\n1.000
      UL\nLTb\nLTb\n4240 1275 M\n62 -11 V\n stroke\n4384 1239 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 0)]\n] -46.7
      MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n1520 1690 M\n-62 12 V\n1.000
      UL\nLTb\nLTb\n4412 1476 M\n62 -12 V\n stroke\n4557 1439 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 0.5)]\n] -46.7
      MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n1693 1891 M\n-62 11 V\n1.000
      UL\nLTb\nLTb\n4585 1676 M\n62 -11 V\n stroke\n4729 1640 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 1)]\n] -46.7
      MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n4757 1876 M\n62 -11 V\n
      stroke\n4902 1840 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 ( 1.5)]\n] -46.7 MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n1004 1101
      M\n-63 0 V\n stroke\n815 1101 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 (-1.5)]\n] -46.7 MRshow\ngrestore\n1.000
      UL\nLTb\nLTb\n1004 1470 M\n-63 0 V\n stroke\n815 1470 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-1)]\n] -46.7
      MRshow\ngrestore\n1.000 UL\nLTb\nLTb\n1004 1839 M\n-63 0 V\n
      stroke\n815 1839 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true
      0 (-0.5)]\n] -46.7 MRshow\ngrestore\n1.000 UL\nLTb\nLTb\n1004 2208
      M\n-63 0 V\n stroke\n815 2208 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 ( 0)]\n] -46.7 MRshow\ngrestore\n1.000
      UL\nLTb\nLTb\n1004 2578 M\n-63 0 V\n stroke\n815 2578 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 0.5)]\n] -46.7
      MRshow\ngrestore\n1.000 UL\nLTb\nLTb\n1004 2946 M\n-63 0 V\n
      stroke\n815 2946 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true
      0 ( 1)]\n] -46.7 MRshow\ngrestore\n1.000 UL\nLTb\nLTb\n1004 3315 M\n-63
      0 V\n stroke\n815 3315 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0
      true true 0 ( 1.5)]\n] -46.7 MRshow\ngrestore\n1.000
      UP\nstroke\ngrestore\nend\nshowpage\n%%Trailer\n%%DocumentFonts:
      Helvetica\n>|ps>||||||>

      \;
    </output>

    <\input|GNUplot] >
      ~set pm3d at s solid ~set palette rgb -7,-15,-6 ~set nocolorbox
      \ \ \ \ \ ~set ticslevel 0 ~set nosurface ~set noztics ~set hidden3d
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~set isosamples 70,70
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~complex(x,y)=x*{1,0}+y*{0,1}
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~mandel(x,y,z,n)
      = (abs(z)\<gtr\>2.0 \|\| n\<gtr\>1000)?log(n):mandel(x,y,z*z+complex(x,y),n+1)
      ~a=-0.37 ~b=-0.612 \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~set
      multiplot \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~set
      origin 0,0 ~set size 0.5,0.7 \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~splot
      [-0.5:0.5][-0.5:0.5] mandel(a,b,complex(x,y),0)
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~set origin 0.35,-0.15
      ~set size 0.7,1.05 ~set view 0,0,,,
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~splot
      [-0.5:0.5][-0.5:0.5] mandel(a,b,complex(x,y),0)
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~set nomultiplot
    </input>

    <\output>
      <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
      temp.eps\n%%Creator: gnuplot 3.8h patchlevel 0\n%%CreationDate: Sun Apr
      \ 6 13:50:23 2003\n%%DocumentFonts: (atend)\n%%BoundingBox: 50 50 410
      302\n%%Orientation: Portrait\n%%EndComments\n/gnudict 256 dict
      def\ngnudict begin\n/Color false def\n/Solid false def\n/gnulinewidth
      5.000 def\n/userlinewidth gnulinewidth def\n/vshift -46 def\n/dl {10.0
      mul} def\n/hpt_ 31.5 def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt vpt_
      def\n/M {moveto} bind def\n/L {lineto} bind def\n/R {rmoveto} bind
      def\n/V {rlineto} bind def\n/N {newpath moveto} bind def\n/f {rlineto
      fill} bind def\n/vpt2 vpt 2 mul def\n/hpt2 hpt 2 mul def\n/Lshow {
      currentpoint stroke M\n \ 0 vshift R show } def\n/Rshow { currentpoint
      stroke M\n \ dup stringwidth pop neg vshift R show } def\n/Cshow {
      currentpoint stroke M\n \ dup stringwidth pop -2 div vshift R show }
      def\n/UP { dup vpt_ mul /vpt exch def hpt_ mul /hpt exch def\n \ /hpt2
      hpt 2 mul def /vpt2 vpt 2 mul def } def\n/DL { Color {setrgbcolor Solid
      {pop []} if 0 setdash }\n {pop pop pop Solid {pop []} if 0 setdash}
      ifelse } def\n/BL { stroke userlinewidth 2 mul setlinewidth } def\n/AL
      { stroke userlinewidth 2 div setlinewidth } def\n/UL { dup gnulinewidth
      mul /userlinewidth exch def\n \ \ \ \ \ dup 1 lt {pop 1} if 10 mul /udl
      exch def } def\n/PL { stroke userlinewidth setlinewidth } def\n/LTb {
      BL [] 0 0 0 DL } def\n/LTa { AL [1 udl mul 2 udl mul] 0 setdash 0 0 0
      setrgbcolor } def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 { PL [4 dl 2 dl] 0
      1 0 DL } def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL } def\n/LT3 { PL [1 dl 1.5
      dl] 1 0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl 2 dl] 0 1 1 DL }
      def\n/LT5 { PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL } def\n/LT6 { PL [2 dl 2
      dl 2 dl 4 dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      1 0.3 0 DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      0.5 0.5 0.5 DL } def\n/Pnt { stroke [] 0 setdash\n \ \ gsave 1
      setlinecap M 0 0 V stroke grestore } def\n/Dia { stroke [] 0 setdash 2
      copy vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt
      neg vpt V closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0 setdash
      vpt sub M 0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg R hpt2
      0 V stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt sub
      exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
      closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt sub
      exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2 neg 0
      R hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy vpt 1.12
      mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      1.62 mul V closepath stroke\n \ Pnt \ } def\n/Star { 2 copy Pls Crs }
      def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V \ closepath fill }
      def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt
      -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath fill
      } def\n/TriD { stroke [] 0 setdash 2 copy vpt 1.12 mul sub M\n \ hpt
      neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V
      closepath stroke\n \ Pnt \ } def\n/TriDF { stroke [] 0 setdash vpt 1.12
      mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      -1.62 mul V closepath fill} def\n/DiaF { stroke [] 0 setdash vpt add
      M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V
      closepath fill } def\n/Pent { stroke [] 0 setdash 2 copy gsave\n
      \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath stroke
      grestore Pnt } def\n/PentF { stroke [] 0 setdash gsave\n \ translate 0
      hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath fill grestore }
      def\n/Circle { stroke [] 0 setdash 2 copy\n \ hpt 0 360 arc stroke Pnt
      } def\n/CircleF { stroke [] 0 setdash hpt 0 360 arc fill } def\n/C0 {
      BL [] 0 setdash 2 copy moveto vpt 90 450 \ arc } bind def\n/C1 { BL []
      0 setdash 2 copy \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C2 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C3 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
      bind def\n/C4 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
      \ vpt 180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 270 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C6 { BL [] 0
      setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 90 270 arc closepath
      fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
      def\n/C7 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 0 270
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
      } bind def\n/C8 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
      copy \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
      moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13 {
      BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
      setdash 2 copy vpt 0 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
      \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
      \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
      bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
      def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
      bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
      def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
      Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch vpt2
      vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy exch vpt
      sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 { BL [] 0
      setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt sub exch
      vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0 setdash 2
      copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare } bind
      def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt vpt2
      Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub vpt Square fill Bsquare
      } bind def\n/S9 { BL [] 0 setdash 2 copy vpt sub vpt vpt2 Rec fill
      Bsquare } bind def\n/S10 { BL [] 0 setdash 2 copy vpt sub vpt Square
      fill 2 copy exch vpt sub exch vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S11 { BL [] 0 setdash 2 copy vpt sub vpt Square fill 2 copy
      exch vpt sub exch vpt2 vpt Rec fill\n \ \ \ \ \ \ Bsquare } bind
      def\n/S12 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt
      Rec fill Bsquare } bind def\n/S13 { BL [] 0 setdash 2 copy exch vpt sub
      exch vpt sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill
      Bsquare } bind def\n/S14 { BL [] 0 setdash 2 copy exch vpt sub exch vpt
      sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square
      fill Bsquare } bind def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill
      Bsquare } bind def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke
      grestore } bind def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke
      grestore } bind def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke
      grestore } bind def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke
      grestore } bind def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke
      grestore } bind def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke
      grestore } bind def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke
      grestore } bind def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke
      grestore } bind def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke
      grestore } bind def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke
      grestore } bind def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke
      grestore } bind def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke
      grestore } bind def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke
      grestore } bind def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke
      grestore } bind def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke
      grestore } bind def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke
      grestore } bind def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg
      vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke }
      def\n/BoxE { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE
      { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke }
      def\n/TriDE { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt
      1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath
      stroke } def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M
      4 {72 rotate 0 hpt L} repeat\n \ closepath stroke grestore }
      def\n/CircE { stroke [] 0 setdash \n \ hpt 0 360 arc stroke }
      def\n/Opaque { gsave closepath 1 setgray fill grestore 0 setgray
      closepath } def\n/DiaW { stroke [] 0 setdash vpt add M\n \ hpt neg vpt
      neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V Opaque stroke }
      def\n/BoxW { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW {
      stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW
      { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW
      { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
      repeat\n \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash
      \n \ hpt 0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray
      fill grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
      makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
      ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0 get
      findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ] exch
      dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch 4 get
      {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n \ \ \ \ {dup 3
      get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5\n
      \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop
      -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get\n
      \ \ \ \ show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop
      pop\n \ \ \ \ pop aload pop M} ifelse }ifelse }ifelse } forall} bind
      def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get findfont exch 1 get
      scalefont\n \ \ \ \ setfont 6 get stringwidth pop add} {pop} ifelse}
      forall} bind def\n/MLshow { currentpoint stroke M\n \ 0 exch R MFshow }
      bind def\n/MRshow { currentpoint stroke M\n \ exch dup MFwidth neg 3 -1
      roll R MFshow } def\n/MCshow { currentpoint stroke M\n \ exch dup
      MFwidth -2 div 3 -1 roll R MFshow } def\nend\n%%EndProlog\ngnudict
      begin\ngsave\n50 50 translate\n0.050 0.050 scale\n0
      setgray\nnewpath\n(Helvetica) findfont 140 scalefont setfont\n1.000
      UL\nLTb\ngsave %% colour palette begin\n/maxcolors 0
      def\n/maxcolorsLast {maxcolors 1 sub maxcolors div} def\n/pm3dround
      {maxcolors 0 gt {dup maxcolorsLast ge {pop 1} {maxcolors mul floor
      maxcolors div} ifelse} if} def\n/cF7 {sqrt} bind def\t% sqrt(x)\n/cF15
      {360 mul sin} bind def\t% sin(360x)\n/cF6 {dup mul dup mul} bind def\t%
      x^4\nColor true and { % COLOUR vs. GRAY map\n \ /g {stroke pm3dround
      dup 1 exch sub cF7 exch dup 1 exch sub cF15 exch \n\t1 exch sub cF6
      setrgbcolor} bind def\n \ /h {rlineto rlineto rlineto fill} bind
      def\n}{\n \ /g {stroke pm3dround setgray} bind def\n \ /h {rlineto
      rlineto rlineto fill} bind def\n} ifelse\n1.000 UL\nLTb\nLTb\n576 945
      M\n896 733 V\n1.000 UL\nLTb\nLTb\n3024 1255 M\n1472 1678 L\n1.000
      UL\nLTb\nLTb\n576 945 M\n0 1466 V\n1.000 UL\nLTb\nLTb\n3024 1255 M\n0
      1466 V\n1.000 UL\nLTb\nLTb\n1628 1636 M\n-48 -41 V\n1.000
      UL\nLTb\nLTb\n1937 1551 M\n-47 -41 V\n1.000 UL\nLTb\nLTb\n2248 1467
      M\n-48 -42 V\n1.000 UL\nLTb\nLTb\n2558 1382 M\n-47 -41 V\n1.000
      UL\nLTb\nLTb\n2869 1297 M\n-48 -41 V\n1.000 UL\nLTb\nLTb\n666 1018
      M\n60 -17 V\n1.000 UL\nLTb\nLTb\n845 1165 M\n60 -17 V\n1.000
      UL\nLTb\nLTb\n1024 1312 M\n61 -18 V\n1.000 UL\nLTb\nLTb\n1203 1458
      M\n61 -17 V\n1.000 UL\nLTb\nLTb\n1383 1605 M\n60 -17
      V\n%pm3d_map_begin\n.8711 g 3002 1971 N 13 11 22 -7 -13 746 h\n.686 g
      2979 2292 N 13 -746 23 639 -13 -214 h\n.6901 g 2957 2007 N 13 214 22
      -651 -13 722 h\n.6431 g 2934 2035 N 13 -722 23 645 -13 49 h\n.5904 g
      2912 2392 N 13 -49 22 26 -13 -334 h\n.7274 g 2889 2200 N 13 334 23 -689
      -13 547 h\n.8274 g 2867 2764 N 13 -547 22 449 -13 -466 h\n.9224 g 2844
      2770 N 13 466 23 -462 -13 -10 h\n1 g 2822 2776 N 13 10 22 -6 -13 -10
      h\n1 g 2799 2782 N 13 10 23 -6 -13 -10 h\n.9101 g 2777 2261 N 13 10 22
      -6 -13 517 h\n.6833 g 2754 2108 N 13 -517 23 638 -13 32 h\n.5536 g 2732
      2156 N 13 -32 22 -6 -13 -10 h\n.7804 g 2709 2807 N 13 10 23 -650 -13
      -11 h\n1 g 2687 2813 N 13 11 22 -6 -13 -11 h\n1 g 2664 2819 N 13 11 23
      -7 -13 -10 h\n1 g 2642 2825 N 13 10 22 -6 -13 -10 h\n.7931 g 2619 2337
      N 13 10 23 713 -13 -235 h\n.5369 g 2597 2076 N 13 235 22 17 -13 9
      h\n.6197 g 2574 2116 N 13 -9 23 -748 -13 717 h\n.7667 g 2552 2209 N 13
      -717 22 -6 -13 630 h\n.8907 g 2529 2856 N 13 -630 23 -6 -13 -11 h\n1 g
      2507 2862 N 13 11 22 -7 -13 -10 h\n1 g 2484 2868 N 13 10 23 -6 -13 -10
      h\n1 g 2462 2874 N 13 10 22 -6 -13 -10 h\n1 g 2439 2881 N 13 10 23 -6
      -13 -11 h\n.8817 g 2417 2887 N 13 11 22 688 -13 -705 h\n.8817 g 2394
      2893 N 13 705 23 -700 -13 -11 h\n.8461 g 2372 2899 N 13 11 22 897 -13
      -914 h\n.5072 g 2349 1904 N 13 914 23 78 -13 3 h\n.3151 g 2327 1882 N
      13 -3 22 7 -13 18 h\n.3222 g 2304 1873 N 13 -18 23 -104 -13 131 h\n.325
      g 2282 1863 N 13 -131 22 44 -13 97 h\n.4789 g 2259 1885 N 13 -97 23
      -959 -13 1034 h\n.6383 g 2236 1858 N 13 -1034 22 -6 -12 1067 h\n.4572 g
      2214 1864 N 12 -1067 23 1023 -13 38 h\n.3013 g 2191 1919 N 13 -38 23
      -72 -13 55 h\n.5646 g 2169 2392 N 13 -55 22 -970 -13 552 h\n.8225 g
      2146 2481 N 13 -552 23 -6 -13 469 h\n.6885 g 2124 2215 N 13 -469 22 591
      -13 144 h\n.4155 g 2101 1856 N 13 -144 23 361 -13 142 h\n.4513 g 2079
      1840 N 13 -142 22 -970 -13 1128 h\n.5337 g 2056 1941 N 13 -1128 23 547
      -13 480 h\n.5549 g 2034 1976 N 13 -480 22 -559 -13 1004 h\n.8271 g 2011
      2997 N 13 -1004 23 -7 -13 -10 h\n.594 g 1989 1784 N 13 10 22 1157 -13
      46 h\n.1603 g 1966 1717 N 13 -46 23 84 -13 29 h\n.1259 g 1944 1724 N 13
      -29 22 33 -13 -11 h\n.1115 g 1921 1684 N 13 11 23 -6 -13 35 h\n.0958 g
      1899 1690 N 13 -35 22 40 -13 -11 h\n.0879 g 1876 1696 N 13 11 23 -6 -13
      -11 h\n.0783 g 1854 1646 N 13 11 22 -6 -13 45 h\n.0591 g 1831 1652 N 13
      -45 23 50 -13 -11 h\n.0495 g 1809 1658 N 13 11 22 -6 -13 -11 h\n.0495 g
      1786 1664 N 13 11 23 -7 -13 -10 h\n.0495 g 1764 1670 N 13 10 22 -6 -13
      -10 h\n.0495 g 1741 1676 N 13 10 23 -6 -13 -10 h\n.0495 g 1719 1683 N
      13 10 22 -6 -13 -11 h\n.0495 g 1696 1689 N 13 11 23 -6 -13 -11 h\n.0495
      g 1674 1695 N 13 11 22 -6 -13 -11 h\n.0495 g 1651 1701 N 13 11 23 -6
      -13 -11 h\n.0495 g 1629 1707 N 13 11 22 -7 -13 -10 h\n.0495 g 1606 1713
      N 13 10 23 -6 -13 -10 h\n.0495 g 1584 1719 N 13 10 22 -6 -13 -10
      h\n.0495 g 1561 1726 N 13 10 23 -6 -13 -11 h\n.0495 g 1539 1732 N 13 11
      22 -6 -13 -11 h\n.0495 g 1516 1738 N 13 11 23 -6 -13 -11 h\n.0371 g
      1494 1671 N 13 11 22 -6 -13 62 h\n.0124 g 1471 1677 N 13 -62 23 66 -13
      -10 h\n1 g 2989 2717 N 13 10 22 -6 -13 -11 h\n.8902 g 2966 2078 N 13 11
      23 -6 -13 634 h\n.8902 g 2944 2729 N 13 -634 22 -6 -13 -11 h\n.8891 g
      2921 2084 N 13 11 23 -6 -13 640 h\n.6686 g 2899 2058 N 13 -640 22 605
      -13 61 h\n.6759 g 2876 2747 N 13 -61 23 -9 -13 -619 h\n.7101 g 2854
      2298 N 13 619 22 23 -13 -193 h\n.7429 g 2831 2760 N 13 193 23 -228 -13
      -427 h\n.9292 g 2809 2766 N 13 427 22 -422 -13 -11 h\n1 g 2786 2772 N
      13 11 23 -6 -13 -11 h\n1 g 2764 2778 N 13 11 22 -6 -13 -11 h\n.7993 g
      2741 2140 N 13 11 23 527 -13 100 h\n.5797 g 2719 2146 N 13 -100 22 105
      -13 -11 h\n.7804 g 2696 2796 N 13 11 23 -651 -13 -10 h\n1 g 2674 2802 N
      13 10 22 -6 -13 -10 h\n1 g 2651 2809 N 13 10 23 -6 -13 -11 h\n1 g 2629
      2815 N 13 11 22 -6 -13 -11 h\n.8774 g 2606 2102 N 13 11 23 -6 -13 708
      h\n.6277 g 2584 2085 N 13 -708 22 717 -13 8 h\n.6358 g 2561 2833 N 13
      -8 23 -58 -13 -682 h\n.795 g 2539 2839 N 13 682 22 -146 -13 -542
      h\n.9094 g 2516 2845 N 13 542 23 -538 -13 -10 h\n1 g 2494 2852 N 13 10
      22 -6 -13 -11 h\n1 g 2471 2858 N 13 11 23 -6 -13 -11 h\n1 g 2449 2864 N
      13 11 22 -6 -13 -11 h\n1 g 2426 2870 N 13 11 23 -6 -13 -11 h\n.751 g
      2404 2182 N 13 11 22 760 -13 -83 h\n.5971 g 2381 2882 N 13 83 23 130
      -13 -913 h\n.5317 g 2359 1985 N 13 913 22 33 -13 -49 h\n.3529 g 2336
      1907 N 13 49 23 16 -13 13 h\n.3305 g 2314 1900 N 13 -13 22 6 -13 14
      h\n.3505 g 2291 2004 N 13 -14 23 -50 -13 -40 h\n.3934 g 2269 1960 N 13
      40 22 -166 -13 170 h\n.706 g 2246 2919 N 13 -170 23 -778 -13 -11 h\n1 g
      2224 2925 N 13 11 22 -7 -13 -10 h\n.6604 g 2201 1902 N 13 10 23 958 -13
      55 h\n.3318 g 2178 1974 N 13 -55 22 -6 -12 -11 h\n.534 g 2156 2944 N 12
      11 23 -163 -13 -818 h\n.8625 g 2133 2950 N 13 818 23 -813 -13 -11
      h\n.8982 g 2111 2359 N 13 11 22 -6 -13 586 h\n.5954 g 2088 1998 N 13
      -586 23 807 -13 140 h\n.6972 g 2066 2968 N 13 -140 22 -820 -13 -10
      h\n.9058 g 2043 2421 N 13 10 23 -6 -13 543 h\n.9058 g 2021 2980 N 13
      -543 22 -6 -13 -10 h\n1 g 1998 2987 N 13 10 23 -6 -13 -11 h\n.5991 g
      1976 1830 N 13 11 22 1184 -13 -38 h\n.172 g 1953 1746 N 13 38 23 57 -13
      -11 h\n.1326 g 1931 1713 N 13 11 22 33 -13 -11 h\n.1193 g 1908 1719 N
      13 11 23 -6 -13 -11 h\n.1036 g 1886 1679 N 13 11 22 39 -13 -10 h\n.0879
      g 1863 1685 N 13 10 23 -6 -13 -10 h\n.0879 g 1841 1691 N 13 10 22 -6
      -13 -10 h\n.0783 g 1818 1641 N 13 10 23 -6 -13 46 h\n.0591 g 1796 1647
      N 13 -46 22 50 -13 -10 h\n.0495 g 1773 1654 N 13 10 23 -6 -13 -11
      h\n.0495 g 1751 1660 N 13 11 22 -6 -13 -11 h\n.0495 g 1728 1666 N 13 11
      23 -6 -13 -11 h\n.0495 g 1706 1672 N 13 11 22 -6 -13 -11 h\n.0495 g
      1683 1678 N 13 11 23 -6 -13 -11 h\n.0495 g 1661 1684 N 13 11 22 -7 -13
      -10 h\n.0495 g 1638 1690 N 13 10 23 -6 -13 -10 h\n.0495 g 1616 1697 N
      13 10 22 -6 -13 -11 h\n.0495 g 1593 1703 N 13 11 23 -6 -13 -11 h\n.0495
      g 1571 1709 N 13 11 22 -6 -13 -11 h\n.0495 g 1548 1715 N 13 11 23 -6
      -13 -11 h\n.0495 g 1526 1721 N 13 11 22 -6 -13 -11 h\n.0495 g 1503 1727
      N 13 11 23 -7 -13 -10 h\n.0495 g 1481 1733 N 13 10 22 -6 -13 -10
      h\n.0371 g 1458 1667 N 13 10 23 -6 -13 62 h\n1 g 2976 2706 N 13 11 22
      -6 -13 -11 h\n1 g 2953 2712 N 13 11 23 -6 -13 -11 h\n1 g 2931 2718 N 13
      11 22 -7 -13 -10 h\n1 g 2908 2724 N 13 10 23 -6 -13 -10 h\n.8959 g 2886
      2119 N 13 10 22 -6 -13 601 h\n.7922 g 2863 2128 N 13 -601 23 -6 -13 598
      h\n.7876 g 2841 2105 N 13 -598 22 -6 -13 627 h\n.7168 g 2818 2333 N 13
      -627 23 602 -13 -203 h\n.8255 g 2796 2755 N 13 203 22 -614 -13 -11 h\n1
      g 2773 2761 N 13 11 23 -7 -13 -10 h\n1 g 2751 2767 N 13 10 22 -6 -13
      -10 h\n.9091 g 2728 2240 N 13 10 23 -6 -13 523 h\n.6932 g 2706 2135 N
      13 -523 22 617 -13 11 h\n.6932 g 2683 2786 N 13 -11 23 -96 -13 -544
      h\n.9091 g 2661 2792 N 13 544 22 -539 -13 -11 h\n1 g 2638 2798 N 13 11
      23 -6 -13 -11 h\n1 g 2616 2804 N 13 11 22 -6 -13 -11 h\n.883 g 2593
      2810 N 13 11 23 680 -13 -697 h\n.6393 g 2571 2093 N 13 697 22 14 -13 6
      h\n.5468 g 2548 2151 N 13 -6 23 -155 -13 103 h\n.7 g 2526 2297 N 13
      -103 22 -564 -13 521 h\n.9094 g 2503 2835 N 13 -521 23 -6 -13 -11 h\n1
      g 2481 2841 N 13 11 22 -6 -13 -11 h\n1 g 2458 2847 N 13 11 23 -6 -13
      -11 h\n1 g 2436 2853 N 13 11 22 -7 -13 -10 h\n.8803 g 2413 2859 N 13 10
      23 697 -13 -713 h\n.7496 g 2391 2099 N 13 713 22 -709 -13 756 h\n.5615
      g 2368 1969 N 13 -756 23 897 -13 -11 h\n.3729 g 2346 1936 N 13 11 22 23
      -13 -1 h\n.3669 g 2323 1920 N 13 1 23 -61 -13 76 h\n.5199 g 2301 1914 N
      13 -76 22 -883 -13 965 h\n.5767 g 2278 1964 N 13 -965 23 570 -13 345
      h\n.6114 g 2256 2130 N 13 -345 22 -583 -13 762 h\n.8684 g 2233 2908 N
      13 -762 23 -6 -13 -10 h\n.8954 g 2211 2915 N 13 10 22 608 -13 -625
      h\n.5957 g 2188 1957 N 13 625 23 175 -13 158 h\n.536 g 2166 1963 N 13
      -158 22 -801 -13 953 h\n.6982 g 2143 2126 N 13 -953 23 -6 -13 796
      h\n.729 g 2120 2939 N 13 -796 22 777 -12 -794 h\n.7461 g 2098 2945 N 12
      794 23 -83 -13 -717 h\n.7411 g 2075 2138 N 13 717 23 -713 -13 803
      h\n.8615 g 2053 2958 N 13 -803 22 -6 -13 -11 h\n1 g 2030 2964 N 13 11
      23 -6 -13 -11 h\n.8357 g 2008 2970 N 13 11 22 958 -13 -975 h\n.6454 g
      1985 2976 N 13 975 23 147 -13 -1128 h\n.3991 g 1963 1792 N 13 1128 22
      96 -13 -40 h\n.1624 g 1940 1735 N 13 40 23 27 -13 -10 h\n.1392 g 1918
      1702 N 13 10 22 -6 -13 29 h\n.1259 g 1895 1708 N 13 -29 23 33 -13 -10
      h\n.1115 g 1873 1669 N 13 10 22 -6 -13 35 h\n.0958 g 1850 1675 N 13 -35
      23 40 -13 -11 h\n.0879 g 1828 1681 N 13 11 22 -6 -13 -11 h\n.0879 g
      1805 1687 N 13 11 23 -6 -13 -11 h\n.0783 g 1783 1637 N 13 11 22 -7 -13
      46 h\n.0687 g 1760 1643 N 13 -46 23 -6 -13 46 h\n.0591 g 1738 1649 N 13
      -46 22 51 -13 -11 h\n.0495 g 1715 1655 N 13 11 23 -7 -13 -10 h\n.0495 g
      1693 1661 N 13 10 22 -6 -13 -10 h\n.0495 g 1670 1667 N 13 10 23 -6 -13
      -10 h\n.0495 g 1648 1674 N 13 10 22 -6 -13 -11 h\n.0495 g 1625 1680 N
      13 11 23 -6 -13 -11 h\n.0495 g 1603 1686 N 13 11 22 -6 -13 -11 h\n.0495
      g 1580 1692 N 13 11 23 -6 -13 -11 h\n.0495 g 1558 1698 N 13 11 22 -7
      -13 -10 h\n.0495 g 1535 1704 N 13 10 23 -6 -13 -10 h\n.0495 g 1513 1710
      N 13 10 22 -6 -13 -10 h\n.0495 g 1490 1717 N 13 10 23 -6 -13 -11
      h\n.0495 g 1468 1723 N 13 11 22 -6 -13 -11 h\n.0495 g 1445 1729 N 13 11
      23 -6 -13 -11 h\n1 g 2963 2695 N 13 10 22 -6 -13 -10 h\n1 g 2940 2701 N
      13 10 23 -6 -13 -10 h\n1 g 2918 2708 N 13 10 22 -6 -13 -11 h\n1 g 2895
      2714 N 13 11 23 -6 -13 -11 h\n1 g 2873 2720 N 13 11 22 -6 -13 -11 h\n1
      g 2850 2726 N 13 11 23 -6 -13 -11 h\n1 g 2828 2732 N 13 11 22 -6 -13
      -11 h\n.8963 g 2805 2130 N 13 11 23 -7 -13 598 h\n.7985 g 2783 2744 N
      13 -598 22 568 -13 -584 h\n.8178 g 2760 2751 N 13 584 23 -85 -13 -506
      h\n.9157 g 2738 2757 N 13 506 22 -501 -13 -11 h\n1 g 2715 2763 N 13 11
      23 -6 -13 -11 h\n.793 g 2693 2146 N 13 11 22 586 -13 20 h\n.6025 g 2670
      2242 N 13 -20 23 -14 -13 -62 h\n.8095 g 2648 2781 N 13 62 22 -591 -13
      -10 h\n1 g 2625 2787 N 13 10 23 -6 -13 -10 h\n1 g 2603 2793 N 13 10 22
      -6 -13 -10 h\n.883 g 2580 2113 N 13 10 23 -6 -13 676 h\n.645 g 2558
      2099 N 13 -676 22 684 -13 6 h\n.5656 g 2535 2254 N 13 -6 23 -102 -13
      -47 h\n.8037 g 2513 2818 N 13 47 22 -600 -13 -11 h\n1 g 2490 2824 N 13
      11 23 -7 -13 -10 h\n1 g 2468 2830 N 13 10 22 -6 -13 -10 h\n1 g 2445
      2836 N 13 10 23 -6 -13 -10 h\n1 g 2423 2843 N 13 10 22 -6 -13 -11
      h\n.7468 g 2400 2146 N 13 11 23 777 -13 -91 h\n.7468 g 2378 2855 N 13
      91 22 -789 -13 -11 h\n.6937 g 2355 1958 N 13 11 23 888 -13 -2 h\n.3811
      g 2333 1935 N 13 2 22 3 -13 18 h\n.3935 g 2310 1996 N 13 -18 23 -63 -13
      20 h\n.7062 g 2288 2879 N 13 -20 22 -853 -13 -10 h\n.9017 g 2265 2309 N
      13 10 23 -6 -13 566 h\n.9017 g 2243 2892 N 13 -566 22 -6 -13 -11 h\n1 g
      2220 2898 N 13 11 23 -6 -13 -11 h\n.8954 g 2198 2290 N 13 11 22 -6 -13
      603 h\n.7599 g 2175 2115 N 13 -603 23 -6 -13 784 h\n.8646 g 2153 2916 N
      13 -784 22 -7 -13 -10 h\n1 g 2130 2922 N 13 10 23 -6 -13 -10 h\n.8665 g
      2108 2145 N 13 10 22 -6 -13 773 h\n.7461 g 2085 2228 N 13 -773 23 -6
      -13 696 h\n.8796 g 2062 2941 N 13 -696 22 -6 -12 -11 h\n.9219 g 2040
      2947 N 12 11 23 452 -13 -469 h\n.9219 g 2017 2953 N 13 469 23 -464 -13
      -11 h\n.8357 g 1995 1995 N 13 11 22 -7 -13 954 h\n.6454 g 1972 1848 N
      13 -954 23 -6 -13 1107 h\n.3991 g 1950 1752 N 13 -1107 22 1184 -13 19
      h\n.1681 g 1927 1725 N 13 -19 23 23 -13 23 h\n.1516 g 1905 1731 N 13
      -23 22 28 -13 -11 h\n.1326 g 1882 1698 N 13 11 23 33 -13 -11 h\n.1193 g
      1860 1704 N 13 11 22 -6 -13 -11 h\n.1115 g 1837 1664 N 13 11 23 -7 -13
      36 h\n.0958 g 1815 1670 N 13 -36 22 40 -13 -10 h\n.0879 g 1792 1676 N
      13 10 23 -6 -13 -10 h\n.0879 g 1770 1683 N 13 10 22 -6 -13 -11 h\n.0879
      g 1747 1689 N 13 11 23 -6 -13 -11 h\n.0783 g 1725 1638 N 13 11 22 -6
      -13 46 h\n.0591 g 1702 1645 N 13 -46 23 50 -13 -11 h\n.0495 g 1680 1651
      N 13 11 22 -6 -13 -11 h\n.0495 g 1657 1657 N 13 11 23 -6 -13 -11
      h\n.0495 g 1635 1663 N 13 11 22 -6 -13 -11 h\n.0495 g 1612 1669 N 13 11
      23 -7 -13 -10 h\n.0495 g 1590 1675 N 13 10 22 -6 -13 -10 h\n.0495 g
      1567 1681 N 13 10 23 -6 -13 -10 h\n.0495 g 1545 1688 N 13 10 22 -6 -13
      -11 h\n.0495 g 1522 1694 N 13 11 23 -6 -13 -11 h\n.0495 g 1500 1700 N
      13 11 22 -6 -13 -11 h\n.0495 g 1477 1706 N 13 11 23 -6 -13 -11 h\n.0495
      g 1455 1712 N 13 11 22 -6 -13 -11 h\n.0495 g 1432 1718 N 13 11 23 -7
      -13 -10 h\n.8913 g 2950 2685 N 13 649 22 -644 -13 -11 h\n.8973 g 2927
      2691 N 13 11 23 597 -13 -614 h\n.7946 g 2905 2697 N 13 614 22 -7 -13
      -613 h\n.8973 g 2882 2703 N 13 613 23 -608 -13 -11 h\n.9084 g 2860 2709
      N 13 11 22 531 -13 -548 h\n.9084 g 2837 2715 N 13 548 23 -544 -13 -10
      h\n1 g 2815 2721 N 13 10 22 -6 -13 -10 h\n1 g 2792 2728 N 13 10 23 -6
      -13 -11 h\n.9022 g 2770 2160 N 13 11 22 -6 -13 563 h\n.7247 g 2747 2245
      N 13 -563 23 540 -13 -62 h\n.8226 g 2725 2746 N 13 62 22 -552 -13 -11
      h\n1 g 2702 2752 N 13 11 23 -7 -13 -10 h\n.8991 g 2680 2166 N 13 10 22
      -6 -13 582 h\n.7049 g 2657 2180 N 13 -582 23 549 -13 19 h\n.8058 g 2635
      2771 N 13 -19 22 -561 -13 -11 h\n1 g 2612 2777 N 13 11 23 -6 -13 -11
      h\n1 g 2590 2783 N 13 11 22 -6 -13 -11 h\n.8873 g 2567 2789 N 13 11 23
      655 -13 -672 h\n.7697 g 2545 2105 N 13 672 22 -667 -13 679 h\n.781 g
      2522 2207 N 13 -679 23 -7 -13 584 h\n.8987 g 2500 2807 N 13 -584 22 -6
      -13 -10 h\n1 g 2477 2814 N 13 10 23 -6 -13 -11 h\n1 g 2455 2820 N 13 11
      22 -6 -13 -11 h\n1 g 2432 2826 N 13 11 23 -6 -13 -11 h\n1 g 2410 2832 N
      13 11 22 -6 -13 -11 h\n.8665 g 2387 2055 N 13 11 23 -6 -13 772 h\n.7197
      g 2365 2844 N 13 -772 22 855 -13 -872 h\n.5513 g 2342 1956 N 13 872 23
      10 -13 6 h\n.5442 g 2320 1953 N 13 -6 22 -884 -13 893 h\n.7018 g 2297
      2016 N 13 -893 23 -6 -13 836 h\n.8557 g 2275 2869 N 13 -836 22 -6 -13
      -11 h\n1 g 2252 2875 N 13 11 23 -6 -13 -11 h\n1 g 2230 2881 N 13 11 22
      -6 -13 -11 h\n1 g 2207 2887 N 13 11 23 -7 -13 -10 h\n1 g 2185 2893 N 13
      10 22 -6 -13 -10 h\n1 g 2162 2899 N 13 10 23 -6 -13 -10 h\n1 g 2140
      2906 N 13 10 22 -6 -13 -11 h\n1 g 2117 2912 N 13 11 23 -6 -13 -11
      h\n.8803 g 2095 2918 N 13 11 22 696 -13 -713 h\n.8803 g 2072 2924 N 13
      713 23 -708 -13 -11 h\n1 g 2050 2930 N 13 11 22 -7 -13 -10 h\n.9219 g
      2027 2478 N 13 10 23 -6 -13 448 h\n.9219 g 2004 2942 N 13 -448 22 -6
      -12 -10 h\n1 g 1982 2949 N 12 10 23 -6 -13 -11 h\n.8096 g 1959 2955 N
      13 11 23 1111 -13 -1128 h\n.4042 g 1937 1771 N 13 1128 22 66 -13 -10
      h\n.1789 g 1914 1748 N 13 10 23 24 -13 -11 h\n.1573 g 1892 1720 N 13 11
      22 28 -13 -11 h\n.1326 g 1869 1687 N 13 11 23 32 -13 -10 h\n.1193 g
      1847 1693 N 13 10 22 -6 -13 -10 h\n.1193 g 1824 1700 N 13 10 23 -6 -13
      -11 h\n.1115 g 1802 1660 N 13 11 22 -6 -13 35 h\n.0958 g 1779 1666 N 13
      -35 23 40 -13 -11 h\n.0879 g 1757 1672 N 13 11 22 -6 -13 -11 h\n.0879 g
      1734 1678 N 13 11 23 -6 -13 -11 h\n.0879 g 1712 1684 N 13 11 22 -7 -13
      -10 h\n.0783 g 1689 1634 N 13 10 23 -6 -13 46 h\n.0687 g 1667 1640 N 13
      -46 22 -6 -13 46 h\n.0591 g 1644 1646 N 13 -46 23 50 -13 -10 h\n.0495 g
      1622 1652 N 13 10 22 -6 -13 -10 h\n.0495 g 1599 1659 N 13 10 23 -6 -13
      -11 h\n.0495 g 1577 1665 N 13 11 22 -6 -13 -11 h\n.0495 g 1554 1671 N
      13 11 23 -6 -13 -11 h\n.0495 g 1532 1677 N 13 11 22 -6 -13 -11 h\n.0495
      g 1509 1683 N 13 11 23 -6 -13 -11 h\n.0495 g 1487 1689 N 13 11 22 -7
      -13 -10 h\n.0495 g 1464 1695 N 13 10 23 -6 -13 -10 h\n.0495 g 1442 1701
      N 13 10 22 -6 -13 -10 h\n.0495 g 1419 1708 N 13 10 23 -6 -13 -11
      h\n.6641 g 2937 2674 N 13 48 22 -24 -13 -668 h\n.7852 g 2914 2077 N 13
      668 23 -664 -13 593 h\n.6909 g 2892 2084 N 13 -593 22 603 -13 -17
      h\n.7031 g 2869 2692 N 13 17 23 -83 -13 -542 h\n.73 g 2847 2161 N 13
      542 22 -23 -13 12 h\n.7263 g 2824 2705 N 13 -12 23 32 -13 -564 h\n.8148
      g 2802 2711 N 13 564 22 -26 -13 -544 h\n.9091 g 2779 2717 N 13 544 23
      -539 -13 -11 h\n1 g 2757 2723 N 13 11 22 -6 -13 -11 h\n.8301 g 2734
      2183 N 13 11 23 444 -13 85 h\n.7442 g 2712 2735 N 13 -85 22 47 -13 -514
      h\n.9141 g 2689 2742 N 13 514 23 -510 -13 -11 h\n.9192 g 2667 2748 N 13
      11 22 468 -13 -485 h\n.7326 g 2644 2199 N 13 485 23 60 -13 4 h\n.8134 g
      2622 2760 N 13 -4 22 -546 -13 -11 h\n1 g 2599 2766 N 13 11 23 -6 -13
      -11 h\n.8982 g 2577 2772 N 13 11 22 591 -13 -608 h\n.6746 g 2554 2117 N
      13 608 23 47 -13 0 h\n.7764 g 2532 2784 N 13 0 22 -657 -13 -10 h\n1 g
      2509 2791 N 13 10 23 -6 -13 -11 h\n1 g 2487 2797 N 13 11 22 -6 -13 -11
      h\n1 g 2464 2803 N 13 11 23 -6 -13 -11 h\n1 g 2442 2809 N 13 11 22 -6
      -13 -11 h\n1 g 2419 2815 N 13 11 23 -7 -13 -10 h\n.8736 g 2397 2821 N
      13 10 22 736 -13 -752 h\n.742 g 2374 2827 N 13 752 23 24 -13 -782
      h\n.5773 g 2352 1972 N 13 782 22 69 -13 4 h\n.4175 g 2329 1962 N 13 -4
      23 -20 -13 34 h\n.5916 g 2307 2846 N 13 -34 22 -153 -13 -697 h\n.883 g
      2284 2852 N 13 697 23 -692 -13 -11 h\n1 g 2262 2858 N 13 11 22 -7 -13
      -10 h\n1 g 2239 2864 N 13 10 23 -6 -13 -10 h\n1 g 2217 2870 N 13 10 22
      -6 -13 -10 h\n1 g 2194 2877 N 13 10 23 -6 -13 -11 h\n1 g 2172 2883 N 13
      11 22 -6 -13 -11 h\n1 g 2149 2889 N 13 11 23 -6 -13 -11 h\n1 g 2127
      2895 N 13 11 22 -6 -13 -11 h\n.8929 g 2104 2901 N 13 11 23 622 -13 -639
      h\n.7732 g 2082 2205 N 13 639 22 -635 -13 692 h\n.8803 g 2059 2913 N 13
      -692 23 -6 -13 -10 h\n1 g 2037 2920 N 13 10 22 -6 -13 -11 h\n.8959 g
      2014 2926 N 13 11 23 605 -13 -622 h\n.8959 g 1992 2932 N 13 622 22 -617
      -13 -11 h\n.8476 g 1969 2938 N 13 11 23 888 -13 -905 h\n.4844 g 1946
      1827 N 13 905 22 114 -12 92 h\n.434 g 1924 1761 N 12 -92 23 -1021 -13
      1179 h\n.3867 g 1901 1737 N 13 -1179 23 1184 -13 19 h\n.1624 g 1879
      1709 N 13 -19 22 57 -13 -10 h\n.1326 g 1856 1677 N 13 10 23 33 -13 -11
      h\n.1193 g 1834 1683 N 13 11 22 -6 -13 -11 h\n.1193 g 1811 1689 N 13 11
      23 -6 -13 -11 h\n.1193 g 1789 1695 N 13 11 22 -6 -13 -11 h\n.1036 g
      1766 1655 N 13 11 23 40 -13 -11 h\n.0879 g 1744 1661 N 13 11 22 -7 -13
      -10 h\n.0879 g 1721 1667 N 13 10 23 -6 -13 -10 h\n.0879 g 1699 1674 N
      13 10 22 -6 -13 -11 h\n.0879 g 1676 1680 N 13 11 23 -6 -13 -11 h\n.0879
      g 1654 1686 N 13 11 22 -6 -13 -11 h\n.0783 g 1631 1636 N 13 11 23 -6
      -13 45 h\n.0687 g 1609 1642 N 13 -45 22 -6 -13 45 h\n.0591 g 1586 1648
      N 13 -45 23 50 -13 -11 h\n.0495 g 1564 1654 N 13 11 22 -6 -13 -11
      h\n.0495 g 1541 1660 N 13 11 23 -7 -13 -10 h\n.0495 g 1519 1666 N 13 10
      22 -6 -13 -10 h\n.0495 g 1496 1672 N 13 10 23 -6 -13 -10 h\n.0495 g
      1474 1679 N 13 10 22 -6 -13 -11 h\n.0495 g 1451 1685 N 13 11 23 -6 -13
      -11 h\n.0495 g 1429 1691 N 13 11 22 -6 -13 -11 h\n.0495 g 1406 1697 N
      13 11 23 -6 -13 -11 h\n.5636 g 2924 2006 N 13 -14 22 -80 -13 70
      h\n.7897 g 2901 2670 N 13 -70 23 -583 -13 -11 h\n.8963 g 2879 2067 N 13
      11 22 -6 -13 598 h\n.8058 g 2856 2150 N 13 -598 23 -6 -13 521 h\n.8216
      g 2834 2173 N 13 -521 22 -6 -13 504 h\n.8179 g 2811 2141 N 13 -504 23
      -6 -13 542 h\n.8148 g 2789 2167 N 13 -542 22 -7 -13 523 h\n.8291 g 2766
      2706 N 13 -523 23 464 -13 -480 h\n.8395 g 2744 2712 N 13 480 22 -3 -13
      -483 h\n.8427 g 2721 2268 N 13 483 23 -479 -13 440 h\n.7536 g 2699 2221
      N 13 -440 22 485 -13 2 h\n.8304 g 2676 2731 N 13 -2 23 -497 -13 -11
      h\n.8429 g 2654 2263 N 13 11 22 441 -13 16 h\n.6624 g 2631 2203 N 13
      -16 23 66 -13 10 h\n.8195 g 2609 2749 N 13 -10 22 -526 -13 -10 h\n1 g
      2586 2755 N 13 10 23 -6 -13 -10 h\n.7978 g 2564 2164 N 13 10 22 583 -13
      -2 h\n.5787 g 2541 2117 N 13 2 23 40 -13 5 h\n.7809 g 2519 2774 N 13 -5
      22 -641 -13 -11 h\n1 g 2496 2780 N 13 11 23 -6 -13 -11 h\n1 g 2474 2786
      N 13 11 22 -7 -13 -10 h\n1 g 2451 2792 N 13 10 23 -6 -13 -10 h\n1 g
      2429 2798 N 13 10 22 -6 -13 -10 h\n1 g 2406 2805 N 13 10 23 -6 -13 -11
      h\n.7429 g 2384 2069 N 13 11 22 761 -13 -36 h\n.4727 g 2361 2045 N 13
      36 23 40 -13 -52 h\n.4459 g 2339 1976 N 13 52 22 0 -13 17 h\n.4387 g
      2316 1996 N 13 -17 23 -31 -13 28 h\n.4792 g 2294 2149 N 13 -28 22 -59
      -13 -66 h\n.7566 g 2271 2841 N 13 66 23 -748 -13 -10 h\n1 g 2249 2848 N
      13 10 22 -6 -13 -11 h\n1 g 2226 2854 N 13 11 23 -6 -13 -11 h\n1 g 2204
      2860 N 13 11 22 -6 -13 -11 h\n1 g 2181 2866 N 13 11 23 -6 -13 -11 h\n1
      g 2159 2872 N 13 11 22 -6 -13 -11 h\n1 g 2136 2878 N 13 11 23 -7 -13
      -10 h\n1 g 2114 2884 N 13 10 22 -6 -13 -10 h\n.7543 g 2091 2262 N 13 10
      23 807 -13 -195 h\n.7543 g 2069 2897 N 13 195 22 -819 -13 -11 h\n1 g
      2046 2903 N 13 11 23 -6 -13 -11 h\n.8767 g 2024 2909 N 13 11 22 717 -13
      -734 h\n.7726 g 2001 2304 N 13 734 23 -729 -13 600 h\n.8959 g 1979 2921
      N 13 -600 22 -7 -13 -10 h\n.8476 g 1956 2033 N 13 10 23 -6 -13 884
      h\n.6747 g 1934 1919 N 13 -884 22 -6 -13 1004 h\n.8271 g 1911 2940 N 13
      -1004 23 -6 -13 -11 h\n.6434 g 1888 1756 N 13 11 23 897 -13 276 h\n.222
      g 1866 1699 N 13 -276 22 310 -13 23 h\n.1449 g 1843 1666 N 13 -23 23 28
      -13 28 h\n.1259 g 1821 1672 N 13 -28 22 33 -13 -11 h\n.1193 g 1798 1678
      N 13 11 23 -7 -13 -10 h\n.1193 g 1776 1684 N 13 10 22 -6 -13 -10
      h\n.1115 g 1753 1644 N 13 10 23 -6 -13 36 h\n.0958 g 1731 1651 N 13 -36
      22 40 -13 -11 h\n.0879 g 1708 1657 N 13 11 23 -6 -13 -11 h\n.0879 g
      1686 1663 N 13 11 22 -6 -13 -11 h\n.0879 g 1663 1669 N 13 11 23 -6 -13
      -11 h\n.0879 g 1641 1675 N 13 11 22 -7 -13 -10 h\n.0879 g 1618 1681 N
      13 10 23 -6 -13 -10 h\n.0879 g 1596 1687 N 13 10 22 -6 -13 -10 h\n.0783
      g 1573 1637 N 13 10 23 -6 -13 46 h\n.0687 g 1551 1643 N 13 -46 22 -6
      -13 46 h\n.0687 g 1528 1650 N 13 -46 23 -6 -13 45 h\n.0591 g 1506 1656
      N 13 -45 22 50 -13 -11 h\n.0495 g 1483 1662 N 13 11 23 -6 -13 -11
      h\n.0495 g 1461 1668 N 13 11 22 -6 -13 -11 h\n.0495 g 1438 1674 N 13 11
      23 -6 -13 -11 h\n.0495 g 1416 1680 N 13 11 22 -7 -13 -10 h\n.0495 g
      1393 1686 N 13 10 23 -6 -13 -10 h\n.7908 g 2911 2076 N 13 -640 22 -6
      -13 566 h\n.9017 g 2888 2659 N 13 -566 23 -6 -13 -11 h\n1 g 2866 2665 N
      13 11 22 -6 -13 -11 h\n1 g 2843 2671 N 13 11 23 -7 -13 -10 h\n1 g 2821
      2677 N 13 10 22 -6 -13 -10 h\n1 g 2798 2683 N 13 10 23 -6 -13 -10 h\n1
      g 2776 2690 N 13 10 22 -6 -13 -11 h\n.92 g 2753 2226 N 13 11 23 -6 -13
      459 h\n.8395 g 2731 2229 N 13 -459 22 -6 -13 462 h\n.9195 g 2708 2708 N
      13 -462 23 -6 -13 -11 h\n.8376 g 2686 2223 N 13 11 22 455 -13 19
      h\n.8376 g 2663 2720 N 13 -19 23 -468 -13 -10 h\n.8362 g 2641 2279 N 13
      10 22 508 -13 -77 h\n.7477 g 2618 2213 N 13 77 23 -520 -13 509 h\n.9115
      g 2596 2739 N 13 -509 22 -6 -13 -11 h\n1 g 2573 2745 N 13 11 23 -6 -13
      -11 h\n.7959 g 2551 2162 N 13 11 22 602 -13 -30 h\n.6066 g 2528 2122 N
      13 30 23 -139 -13 149 h\n.8107 g 2506 2763 N 13 -149 22 -482 -13 -10
      h\n1 g 2483 2769 N 13 10 23 -6 -13 -10 h\n1 g 2461 2776 N 13 10 22 -6
      -13 -11 h\n1 g 2438 2782 N 13 11 23 -6 -13 -11 h\n1 g 2416 2788 N 13 11
      22 -6 -13 -11 h\n.9122 g 2393 2794 N 13 11 23 509 -13 -526 h\n.7815 g
      2371 2033 N 13 526 22 -521 -13 756 h\n.5943 g 2348 1993 N 13 -756 23
      794 -13 2 h\n.5854 g 2326 1993 N 13 -2 22 -807 -13 809 h\n.7249 g 2303
      2024 N 13 -809 23 -6 -13 784 h\n.7381 g 2281 2083 N 13 -784 22 -6 -13
      731 h\n.8736 g 2258 2831 N 13 -731 23 -6 -13 -11 h\n1 g 2236 2837 N 13
      11 22 -6 -13 -11 h\n1 g 2213 2843 N 13 11 23 -6 -13 -11 h\n1 g 2191
      2849 N 13 11 22 -7 -13 -10 h\n1 g 2168 2855 N 13 10 23 -6 -13 -10 h\n1
      g 2146 2861 N 13 10 22 -6 -13 -10 h\n1 g 2123 2868 N 13 10 23 -6 -13
      -11 h\n.8913 g 2101 2874 N 13 11 22 632 -13 -649 h\n.6072 g 2078 2067 N
      13 649 23 210 -13 -52 h\n.5805 g 2056 2886 N 13 52 22 -66 -13 -805
      h\n.8646 g 2033 2892 N 13 805 23 -800 -13 -11 h\n.8767 g 2011 2175 N 13
      11 22 -7 -13 713 h\n.7413 g 1988 2904 N 13 -713 23 789 -13 -805
      h\n.8646 g 1966 2911 N 13 805 22 -801 -13 -11 h\n1 g 1943 2917 N 13 11
      23 -6 -13 -11 h\n1 g 1921 2923 N 13 11 22 -6 -13 -11 h\n1 g 1898 2929 N
      13 11 23 -6 -13 -11 h\n.6479 g 1875 2032 N 13 11 22 1157 -12 -271
      h\n.2323 g 1853 1722 N 12 271 23 50 -13 -11 h\n.1573 g 1830 1694 N 13
      11 23 27 -13 -10 h\n.1326 g 1808 1661 N 13 10 22 33 -13 -10 h\n.1193 g
      1785 1668 N 13 10 23 -6 -13 -11 h\n.1193 g 1763 1674 N 13 11 22 -6 -13
      -11 h\n.1193 g 1740 1680 N 13 11 23 -6 -13 -11 h\n.1115 g 1718 1640 N
      13 11 22 -6 -13 35 h\n.0958 g 1695 1646 N 13 -35 23 40 -13 -11 h\n.0879
      g 1673 1652 N 13 11 22 -7 -13 -10 h\n.0879 g 1650 1658 N 13 10 23 -6
      -13 -10 h\n.0879 g 1628 1665 N 13 10 22 -6 -13 -11 h\n.0879 g 1605 1671
      N 13 11 23 -6 -13 -11 h\n.0879 g 1583 1677 N 13 11 22 -6 -13 -11
      h\n.0879 g 1560 1683 N 13 11 23 -6 -13 -11 h\n.0879 g 1538 1689 N 13 11
      22 -6 -13 -11 h\n.0879 g 1515 1695 N 13 11 23 -7 -13 -10 h\n.0783 g
      1493 1645 N 13 10 22 -6 -13 46 h\n.0687 g 1470 1651 N 13 -46 23 -6 -13
      46 h\n.0687 g 1448 1657 N 13 -46 22 -6 -13 46 h\n.0687 g 1425 1663 N 13
      -46 23 -6 -13 46 h\n.0687 g 1403 1670 N 13 -46 22 -6 -13 45 h\n.0591 g
      1380 1676 N 13 -45 23 50 -13 -11 h\n1 g 2898 2642 N 13 11 22 -6 -13 -11
      h\n1 g 2875 2648 N 13 11 23 -7 -13 -10 h\n1 g 2853 2654 N 13 10 22 -6
      -13 -10 h\n1 g 2830 2661 N 13 10 23 -6 -13 -11 h\n.9098 g 2808 2667 N
      13 11 22 523 -13 -540 h\n.8345 g 2785 2673 N 13 540 23 -93 -13 -453
      h\n.9247 g 2763 2679 N 13 453 22 -448 -13 -11 h\n1 g 2740 2685 N 13 11
      23 -6 -13 -11 h\n1 g 2718 2691 N 13 11 22 -7 -13 -10 h\n1 g 2695 2697 N
      13 10 23 -6 -13 -10 h\n.8483 g 2673 2242 N 13 10 22 423 -13 22 h\n.8483
      g 2650 2710 N 13 -22 23 -435 -13 -11 h\n.8297 g 2628 2202 N 13 11 22
      480 -13 17 h\n.8297 g 2605 2722 N 13 -17 23 -492 -13 -11 h\n1 g 2583
      2728 N 13 11 22 -6 -13 -11 h\n1 g 2560 2734 N 13 11 23 -7 -13 -10
      h\n.8001 g 2538 2132 N 13 10 22 559 -13 33 h\n.6512 g 2515 2271 N 13
      -33 23 -173 -13 67 h\n.8511 g 2493 2753 N 13 -67 22 -404 -13 -11 h\n1 g
      2470 2759 N 13 11 23 -6 -13 -11 h\n1 g 2448 2765 N 13 11 22 -6 -13 -11
      h\n1 g 2425 2771 N 13 11 23 -6 -13 -11 h\n1 g 2403 2777 N 13 11 22 -7
      -13 -10 h\n.7841 g 2380 2268 N 13 10 23 746 -13 -247 h\n.6525 g 2358
      2789 N 13 247 22 14 -13 -782 h\n.5994 g 2335 1995 N 13 782 23 0 -13 12
      h\n.6021 g 2313 2802 N 13 -12 22 -27 -13 -768 h\n.8711 g 2290 2808 N 13
      768 23 -763 -13 -11 h\n1 g 2268 2814 N 13 11 22 -6 -13 -11 h\n1 g 2245
      2820 N 13 11 23 -6 -13 -11 h\n1 g 2223 2826 N 13 11 22 -7 -13 -10 h\n1
      g 2200 2832 N 13 10 23 -6 -13 -10 h\n1 g 2178 2839 N 13 10 22 -6 -13
      -11 h\n1 g 2155 2845 N 13 11 23 -6 -13 -11 h\n1 g 2133 2851 N 13 11 22
      -6 -13 -11 h\n1 g 2110 2857 N 13 11 23 -6 -13 -11 h\n.8913 g 2088 2225
      N 13 11 22 -6 -13 627 h\n.5918 g 2065 2015 N 13 -627 23 896 -13 -59
      h\n.5651 g 2043 2081 N 13 59 22 -909 -13 784 h\n.8646 g 2020 2881 N 13
      -784 23 -6 -13 -10 h\n1 g 1998 2888 N 13 10 22 -6 -13 -11 h\n.8646 g
      1975 2099 N 13 11 23 -6 -13 784 h\n.7107 g 1953 2900 N 13 -784 22 897
      -13 -914 h\n.6624 g 1930 2906 N 13 914 23 169 -13 -1089 h\n.6294 g 1908
      2912 N 13 1089 22 12 -13 -1107 h\n.6227 g 1885 2918 N 13 1107 23 14 -13
      -1127 h\n.4087 g 1863 1761 N 13 1127 22 67 -13 -37 h\n.1835 g 1840 1711
      N 13 37 23 23 -13 -10 h\n.1573 g 1817 1684 N 13 10 22 28 -12 -11
      h\n.1326 g 1795 1651 N 12 11 23 33 -13 -11 h\n.1193 g 1772 1657 N 13 11
      23 -6 -13 -11 h\n.1193 g 1750 1663 N 13 11 22 -6 -13 -11 h\n.1193 g
      1727 1669 N 13 11 23 -7 -13 -10 h\n.1193 g 1705 1675 N 13 10 22 -6 -13
      -10 h\n.1115 g 1682 1635 N 13 10 23 -6 -13 36 h\n.1036 g 1660 1642 N 13
      -36 22 -6 -13 35 h\n.0958 g 1637 1648 N 13 -35 23 40 -13 -11 h\n.0879 g
      1615 1654 N 13 11 22 -6 -13 -11 h\n.0879 g 1592 1660 N 13 11 23 -6 -13
      -11 h\n.0879 g 1570 1666 N 13 11 22 -7 -13 -10 h\n.0879 g 1547 1672 N
      13 10 23 -6 -13 -10 h\n.0879 g 1525 1678 N 13 10 22 -6 -13 -10 h\n.0879
      g 1502 1685 N 13 10 23 -6 -13 -11 h\n.0879 g 1480 1691 N 13 11 22 -6
      -13 -11 h\n.0879 g 1457 1697 N 13 11 23 -6 -13 -11 h\n.0879 g 1435 1703
      N 13 11 22 -6 -13 -11 h\n.0879 g 1412 1709 N 13 11 23 -7 -13 -10
      h\n.0879 g 1390 1715 N 13 10 22 -6 -13 -10 h\n.0783 g 1367 1665 N 13 10
      23 -6 -13 46 h\n1 g 2885 2631 N 13 10 22 -6 -13 -10 h\n1 g 2862 2638 N
      13 10 23 -6 -13 -11 h\n.9013 g 2840 2644 N 13 11 22 573 -13 -590
      h\n.8248 g 2817 2650 N 13 590 23 -136 -13 -460 h\n.8332 g 2795 2127 N
      13 460 22 -455 -13 518 h\n.8345 g 2772 2220 N 13 -518 23 -7 -13 432
      h\n.8474 g 2750 2668 N 13 -432 22 448 -13 -464 h\n.9227 g 2727 2674 N
      13 464 23 -460 -13 -10 h\n1 g 2705 2681 N 13 10 22 -6 -13 -11 h\n1 g
      2682 2687 N 13 11 23 -6 -13 -11 h\n.9269 g 2660 2264 N 13 11 22 -6 -13
      418 h\n.8493 g 2637 2699 N 13 -418 23 449 -13 -466 h\n.8396 g 2615 2219
      N 13 466 22 -462 -13 476 h\n.9172 g 2592 2711 N 13 -476 23 -6 -13 -10
      h\n.9061 g 2570 2717 N 13 10 22 545 -13 -561 h\n.8095 g 2547 2724 N 13
      561 23 10 -13 -578 h\n.8072 g 2525 2165 N 13 578 22 -573 -13 554
      h\n.836 g 2502 2338 N 13 -554 23 -6 -13 387 h\n.9322 g 2480 2742 N 13
      -387 22 -6 -13 -11 h\n1 g 2457 2748 N 13 11 23 -6 -13 -11 h\n1 g 2435
      2754 N 13 11 22 -7 -13 -10 h\n.8934 g 2412 2760 N 13 10 23 620 -13 -636
      h\n.8934 g 2390 2767 N 13 636 22 -632 -13 -11 h\n.7438 g 2367 2021 N 13
      11 23 746 -13 -11 h\n.485 g 2345 2007 N 13 11 22 -11 -13 14 h\n.6086 g
      2322 2007 N 13 -14 23 -753 -13 767 h\n.7385 g 2300 2034 N 13 -767 22 -6
      -13 746 h\n.8711 g 2277 2797 N 13 -746 23 -7 -13 -10 h\n1 g 2255 2803 N
      13 10 22 -6 -13 -10 h\n1 g 2232 2809 N 13 10 23 -6 -13 -10 h\n1 g 2210
      2816 N 13 10 22 -6 -13 -11 h\n1 g 2187 2822 N 13 11 23 -6 -13 -11 h\n1
      g 2165 2828 N 13 11 22 -6 -13 -11 h\n1 g 2142 2834 N 13 11 23 -6 -13
      -11 h\n1 g 2120 2840 N 13 11 22 -7 -13 -10 h\n1 g 2097 2846 N 13 10 23
      -6 -13 -10 h\n1 g 2075 2852 N 13 10 22 -6 -13 -10 h\n.7117 g 2052 1956
      N 13 10 23 783 -13 103 h\n.5493 g 2030 2865 N 13 -103 22 158 -13 -964
      h\n.8376 g 2007 2871 N 13 964 23 -959 -13 -11 h\n.9108 g 1985 2877 N 13
      11 22 517 -13 -534 h\n.781 g 1962 2883 N 13 534 23 232 -13 -772
      h\n.7163 g 1940 1986 N 13 772 22 -768 -13 893 h\n.4755 g 1917 1817 N 13
      -893 23 1091 -13 -29 h\n.2484 g 1895 1805 N 13 29 22 36 -13 -53
      h\n.2305 g 1872 1791 N 13 53 23 18 -13 -57 h\n.2009 g 1850 1724 N 13 57
      22 50 -13 -40 h\n.1739 g 1827 1701 N 13 40 23 -6 -13 -11 h\n.1573 g
      1805 1673 N 13 11 22 28 -13 -11 h\n.1392 g 1782 1640 N 13 11 23 -7 -13
      29 h\n.1259 g 1759 1646 N 13 -29 22 33 -12 -10 h\n.1193 g 1737 1652 N
      12 10 23 -6 -13 -10 h\n.1193 g 1714 1659 N 13 10 23 -6 -13 -11 h\n.1193
      g 1692 1665 N 13 11 22 -6 -13 -11 h\n.1193 g 1669 1671 N 13 11 23 -6
      -13 -11 h\n.1193 g 1647 1677 N 13 11 22 -6 -13 -11 h\n.1115 g 1624 1637
      N 13 11 23 -7 -13 36 h\n.0958 g 1602 1643 N 13 -36 22 40 -13 -10
      h\n.0879 g 1579 1649 N 13 10 23 -6 -13 -10 h\n.0879 g 1557 1656 N 13 10
      22 -6 -13 -11 h\n.0879 g 1534 1662 N 13 11 23 -6 -13 -11 h\n.0879 g
      1512 1668 N 13 11 22 -6 -13 -11 h\n.0879 g 1489 1674 N 13 11 23 -6 -13
      -11 h\n.0879 g 1467 1680 N 13 11 22 -6 -13 -11 h\n.0879 g 1444 1686 N
      13 11 23 -7 -13 -10 h\n.0879 g 1422 1692 N 13 10 22 -6 -13 -10 h\n.0879
      g 1399 1699 N 13 10 23 -6 -13 -11 h\n.0879 g 1377 1705 N 13 11 22 -6
      -13 -11 h\n.0879 g 1354 1711 N 13 11 23 -6 -13 -11 h\n1 g 2872 2621 N
      13 11 22 -6 -13 -11 h\n.8968 g 2849 2627 N 13 11 23 599 -13 -616
      h\n.7035 g 2827 2054 N 13 616 22 -56 -13 13 h\n.7301 g 2804 2190 N 13
      -13 23 -562 -13 439 h\n.9235 g 2782 2645 N 13 -439 22 -6 -13 -10
      h\n.916 g 2759 2652 N 13 10 23 487 -13 -504 h\n.8387 g 2737 2204 N 13
      504 22 -499 -13 443 h\n.8579 g 2714 2664 N 13 -443 23 374 -13 -391
      h\n.9352 g 2692 2670 N 13 391 22 -386 -13 -11 h\n1 g 2669 2676 N 13 11
      23 -6 -13 -11 h\n1 g 2647 2682 N 13 11 22 -7 -13 -10 h\n.9224 g 2624
      2233 N 13 10 23 -6 -13 445 h\n.8531 g 2602 2695 N 13 -445 22 401 -13
      -418 h\n.8408 g 2579 2701 N 13 418 23 114 -13 -538 h\n.7366 g 2557 2156
      N 13 538 22 -65 -13 72 h\n.7298 g 2534 2146 N 13 -72 23 -474 -13 556
      h\n.9034 g 2512 2719 N 13 -556 22 -6 -13 -11 h\n1 g 2489 2725 N 13 11
      23 -7 -13 -10 h\n1 g 2467 2731 N 13 10 22 -6 -13 -10 h\n1 g 2444 2737 N
      13 10 23 -6 -13 -10 h\n.8973 g 2422 2744 N 13 10 22 597 -13 -614
      h\n.7907 g 2399 2124 N 13 614 23 -609 -13 615 h\n.7693 g 2377 2756 N 13
      -615 22 722 -13 -739 h\n.6222 g 2354 2010 N 13 739 23 3 -13 4 h\n.495 g
      2332 2021 N 13 -4 22 -15 -13 8 h\n.7487 g 2309 2774 N 13 -8 23 -735 -13
      -10 h\n1 g 2287 2780 N 13 10 22 -6 -13 -10 h\n1 g 2264 2787 N 13 10 23
      -6 -13 -11 h\n1 g 2242 2793 N 13 11 22 -6 -13 -11 h\n1 g 2219 2799 N 13
      11 23 -6 -13 -11 h\n1 g 2197 2805 N 13 11 22 -6 -13 -11 h\n1 g 2174
      2811 N 13 11 23 -7 -13 -10 h\n1 g 2152 2817 N 13 10 22 -6 -13 -10 h\n1
      g 2129 2823 N 13 10 23 -6 -13 -10 h\n1 g 2107 2830 N 13 10 22 -6 -13
      -11 h\n1 g 2084 2836 N 13 11 23 -6 -13 -11 h\n1 g 2062 2842 N 13 11 22
      -6 -13 -11 h\n.7032 g 2039 2059 N 13 11 23 946 -13 -174 h\n.3703 g 2017
      1901 N 13 174 22 43 -13 -59 h\n.4942 g 1994 2860 N 13 59 23 7 -13 -1025
      h\n.7379 g 1972 2343 N 13 1025 22 -1021 -13 513 h\n.6466 g 1949 2111 N
      13 -513 23 783 -13 -38 h\n.6077 g 1927 2879 N 13 38 22 -43 -13 -763
      h\n.685 g 1904 1788 N 13 763 23 -758 -13 1086 h\n.4208 g 1882 1752 N 13
      -1086 22 1157 -13 -35 h\n.2068 g 1859 1734 N 13 35 23 20 -13 -37
      h\n.1835 g 1837 1684 N 13 37 22 24 -13 -11 h\n.1688 g 1814 1690 N 13 11
      23 -6 -13 -11 h\n.1573 g 1792 1662 N 13 11 22 27 -13 -10 h\n.1458 g
      1769 1669 N 13 10 23 -6 -13 -11 h\n.1392 g 1747 1636 N 13 11 22 -6 -13
      28 h\n.1259 g 1724 1642 N 13 -28 23 33 -13 -11 h\n.1193 g 1701 1648 N
      13 11 22 -6 -12 -11 h\n.1193 g 1679 1654 N 12 11 23 -7 -13 -10 h\n.1193
      g 1656 1660 N 13 10 23 -6 -13 -10 h\n.1193 g 1634 1666 N 13 10 22 -6
      -13 -10 h\n.1193 g 1611 1673 N 13 10 23 -6 -13 -11 h\n.1115 g 1589 1633
      N 13 11 22 -6 -13 35 h\n.1036 g 1566 1639 N 13 -35 23 -6 -13 35
      h\n.0958 g 1544 1645 N 13 -35 22 40 -13 -11 h\n.0879 g 1521 1651 N 13
      11 23 -6 -13 -11 h\n.0879 g 1499 1657 N 13 11 22 -7 -13 -10 h\n.0879 g
      1476 1663 N 13 10 23 -6 -13 -10 h\n.0879 g 1454 1669 N 13 10 22 -6 -13
      -10 h\n.0879 g 1431 1676 N 13 10 23 -6 -13 -11 h\n.0879 g 1409 1682 N
      13 11 22 -6 -13 -11 h\n.0879 g 1386 1688 N 13 11 23 -6 -13 -11 h\n.0879
      g 1364 1694 N 13 11 22 -6 -13 -11 h\n.0879 g 1341 1700 N 13 11 23 -7
      -13 -10 h\n.8145 g 2859 2610 N 13 467 22 169 -13 -642 h\n.7892 g 2836
      2011 N 13 642 23 -638 -13 595 h\n.8022 g 2814 2067 N 13 -595 22 -6 -13
      545 h\n.9054 g 2791 2629 N 13 -545 23 -6 -13 -11 h\n.9259 g 2769 2635 N
      13 11 22 428 -13 -445 h\n.7664 g 2746 2148 N 13 445 23 3 -13 39
      h\n.8404 g 2724 2647 N 13 -39 22 -449 -13 -11 h\n.871 g 2701 2273 N 13
      11 23 370 -13 -7 h\n.7974 g 2679 2659 N 13 7 22 49 -13 -442 h\n.9264 g
      2656 2665 N 13 442 23 -438 -13 -10 h\n1 g 2634 2672 N 13 10 22 -6 -13
      -11 h\n.92 g 2611 2678 N 13 11 23 463 -13 -480 h\n.8507 g 2589 2277 N
      13 480 22 -475 -13 396 h\n.8408 g 2566 2163 N 13 -396 23 -6 -13 516
      h\n.8304 g 2544 2228 N 13 -516 22 -7 -13 458 h\n.9203 g 2521 2702 N 13
      -458 23 -6 -13 -10 h\n1 g 2499 2708 N 13 10 22 -6 -13 -10 h\n1 g 2476
      2715 N 13 10 23 -6 -13 -11 h\n1 g 2454 2721 N 13 11 22 -6 -13 -11 h\n1
      g 2431 2727 N 13 11 23 -6 -13 -11 h\n.7803 g 2409 2130 N 13 11 22 680
      -13 -94 h\n.6599 g 2386 2739 N 13 94 23 14 -13 -717 h\n.6344 g 2364
      2017 N 13 717 22 -2 -13 7 h\n.6292 g 2341 2014 N 13 -7 23 -717 -13 727
      h\n.7503 g 2319 2029 N 13 -727 22 -6 -13 718 h\n.8759 g 2296 2764 N 13
      -718 23 -6 -13 -11 h\n1 g 2274 2770 N 13 11 22 -6 -13 -11 h\n1 g 2251
      2776 N 13 11 23 -6 -13 -11 h\n1 g 2229 2782 N 13 11 22 -6 -13 -11 h\n1
      g 2206 2788 N 13 11 23 -7 -13 -10 h\n1 g 2184 2794 N 13 10 22 -6 -13
      -10 h\n1 g 2161 2801 N 13 10 23 -6 -13 -11 h\n1 g 2139 2807 N 13 11 22
      -6 -13 -11 h\n1 g 2116 2813 N 13 11 23 -6 -13 -11 h\n1 g 2094 2819 N 13
      11 22 -6 -13 -11 h\n1 g 2071 2825 N 13 11 23 -6 -13 -11 h\n1 g 2049
      2831 N 13 11 22 -7 -13 -10 h\n.8376 g 2026 1885 N 13 10 23 -6 -13 942
      h\n.4965 g 2004 1842 N 13 -942 22 995 -13 -10 h\n.308 g 1981 1835 N 13
      10 23 37 -13 -40 h\n.4684 g 1959 2856 N 13 40 22 11 -13 -1072 h\n.5119
      g 1936 2073 N 13 1072 23 -53 -13 -236 h\n.3777 g 1914 2116 N 13 236 22
      76 -13 -355 h\n.4909 g 1891 2874 N 13 355 23 36 -13 -1149 h\n.405 g
      1869 1717 N 13 1149 22 45 -13 -37 h\n.1936 g 1846 1697 N 13 37 23 -6
      -13 -11 h\n.1789 g 1824 1673 N 13 11 22 23 -13 -10 h\n.1688 g 1801 1679
      N 13 10 23 -6 -13 -10 h\n.1573 g 1779 1652 N 13 10 22 28 -13 -11
      h\n.1458 g 1756 1658 N 13 11 23 -6 -13 -11 h\n.1458 g 1734 1664 N 13 11
      22 -6 -13 -11 h\n.1392 g 1711 1631 N 13 11 23 -7 -13 29 h\n.1259 g 1689
      1637 N 13 -29 22 33 -13 -10 h\n.1193 g 1666 1644 N 13 10 23 -6 -13 -11
      h\n.1193 g 1643 1650 N 13 11 22 -6 -12 -11 h\n.1193 g 1621 1656 N 12 11
      23 -6 -13 -11 h\n.1193 g 1598 1662 N 13 11 23 -6 -13 -11 h\n.1193 g
      1576 1668 N 13 11 22 -6 -13 -11 h\n.1193 g 1553 1674 N 13 11 23 -7 -13
      -10 h\n.1115 g 1531 1634 N 13 10 22 -6 -13 36 h\n.1036 g 1508 1640 N 13
      -36 23 -6 -13 36 h\n.0958 g 1486 1647 N 13 -36 22 40 -13 -11 h\n.0879 g
      1463 1653 N 13 11 23 -6 -13 -11 h\n.0879 g 1441 1659 N 13 11 22 -6 -13
      -11 h\n.0879 g 1418 1665 N 13 11 23 -6 -13 -11 h\n.0879 g 1396 1671 N
      13 11 22 -6 -13 -11 h\n.0879 g 1373 1677 N 13 11 23 -7 -13 -10 h\n.0879
      g 1351 1683 N 13 10 22 -6 -13 -10 h\n.0879 g 1328 1690 N 13 10 23 -6
      -13 -11 h\n.703 g 2846 1968 N 13 208 22 -660 -13 621 h\n.8923 g 2823
      2606 N 13 -621 23 -6 -13 -11 h\n1 g 2801 2612 N 13 11 22 -6 -13 -11
      h\n1 g 2778 2618 N 13 11 23 -6 -13 -11 h\n.8332 g 2756 2190 N 13 11 22
      538 -13 -121 h\n.7577 g 2733 2187 N 13 121 23 -551 -13 433 h\n.9245 g
      2711 2636 N 13 -433 22 -6 -13 -10 h\n.9358 g 2688 2266 N 13 10 23 -6
      -13 366 h\n.8622 g 2666 2217 N 13 -366 22 -6 -13 421 h\n.8456 g 2643
      2655 N 13 -421 23 468 -13 -485 h\n.9192 g 2621 2661 N 13 485 22 -480
      -13 -11 h\n.92 g 2598 2198 N 13 11 23 -6 -13 458 h\n.92 g 2576 2673 N
      13 -458 22 -7 -13 -10 h\n1 g 2553 2679 N 13 10 23 -6 -13 -10 h\n1 g
      2531 2686 N 13 10 22 -6 -13 -11 h\n1 g 2508 2692 N 13 11 23 -6 -13 -11
      h\n1 g 2486 2698 N 13 11 22 -6 -13 -11 h\n.8982 g 2463 2704 N 13 11 23
      591 -13 -608 h\n.8982 g 2441 2710 N 13 608 22 -603 -13 -11 h\n.8855 g
      2418 2716 N 13 11 23 665 -13 -682 h\n.6522 g 2396 2036 N 13 682 22 5
      -13 -7 h\n.5305 g 2373 2022 N 13 7 23 -10 -13 17 h\n.6428 g 2351 2024 N
      13 -17 22 -685 -13 700 h\n.8789 g 2328 2741 N 13 -700 23 -6 -13 -11
      h\n1 g 2306 2747 N 13 11 22 -6 -13 -11 h\n1 g 2283 2753 N 13 11 23 -6
      -13 -11 h\n1 g 2261 2759 N 13 11 22 -7 -13 -10 h\n1 g 2238 2765 N 13 10
      23 -6 -13 -10 h\n1 g 2216 2771 N 13 10 22 -6 -13 -10 h\n1 g 2193 2778 N
      13 10 23 -6 -13 -11 h\n1 g 2171 2784 N 13 11 22 -6 -13 -11 h\n1 g 2148
      2790 N 13 11 23 -6 -13 -11 h\n1 g 2126 2796 N 13 11 22 -6 -13 -11 h\n1
      g 2103 2802 N 13 11 23 -7 -13 -10 h\n1 g 2081 2808 N 13 10 22 -6 -13
      -10 h\n1 g 2058 2814 N 13 10 23 -6 -13 -10 h\n1 g 2036 2821 N 13 10 22
      -6 -13 -11 h\n1 g 2013 2827 N 13 11 23 -6 -13 -11 h\n.6541 g 1991 1832
      N 13 11 22 1023 -13 -39 h\n.2924 g 1968 1795 N 13 39 23 43 -13 -45
      h\n.2707 g 1946 1784 N 13 45 22 12 -13 -46 h\n.2691 g 1923 1837 N 13 46
      23 14 -13 -113 h\n.2557 g 1901 1761 N 13 113 22 16 -13 -53 h\n.2267 g
      1878 1725 N 13 53 23 18 -13 -35 h\n.2023 g 1856 1680 N 13 35 22 21 -13
      -11 h\n.1891 g 1833 1686 N 13 11 23 -7 -13 -10 h\n.1789 g 1811 1663 N
      13 10 22 24 -13 -11 h\n.1688 g 1788 1669 N 13 11 23 -6 -13 -11 h\n.1631
      g 1766 1641 N 13 11 22 -6 -13 23 h\n.1516 g 1743 1647 N 13 -23 23 27
      -13 -10 h\n.1458 g 1721 1653 N 13 10 22 -6 -13 -10 h\n.1458 g 1698 1660
      N 13 10 23 -6 -13 -11 h\n.1392 g 1676 1627 N 13 11 22 -6 -13 28
      h\n.1259 g 1653 1633 N 13 -28 23 33 -13 -11 h\n.1193 g 1631 1639 N 13
      11 22 -6 -13 -11 h\n.1193 g 1608 1645 N 13 11 23 -7 -13 -10 h\n.1193 g
      1585 1651 N 13 10 22 -6 -12 -10 h\n.1193 g 1563 1657 N 12 10 23 -6 -13
      -10 h\n.1193 g 1540 1664 N 13 10 23 -6 -13 -11 h\n.1193 g 1518 1670 N
      13 11 22 -6 -13 -11 h\n.1193 g 1495 1676 N 13 11 23 -6 -13 -11 h\n.1115
      g 1473 1636 N 13 11 22 -6 -13 35 h\n.1036 g 1450 1642 N 13 -35 23 -6
      -13 35 h\n.1036 g 1428 1648 N 13 -35 22 -7 -13 36 h\n.1036 g 1405 1654
      N 13 -36 23 -6 -13 36 h\n.1036 g 1383 1660 N 13 -36 22 -6 -13 36
      h\n.1036 g 1360 1667 N 13 -36 23 -6 -13 35 h\n.1036 g 1338 1673 N 13
      -35 22 -6 -13 35 h\n.1036 g 1315 1679 N 13 -35 23 -6 -13 35 h\n.7752 g
      2833 2589 N 13 21 22 -670 -13 -11 h\n1 g 2810 2595 N 13 11 23 -6 -13
      -11 h\n1 g 2788 2601 N 13 11 22 -7 -13 -10 h\n.9101 g 2765 2607 N 13 10
      23 522 -13 -538 h\n.7216 g 2743 2069 N 13 538 22 28 -13 -28 h\n.8115 g
      2720 2620 N 13 28 23 -568 -13 -11 h\n1 g 2698 2626 N 13 11 22 -6 -13
      -11 h\n.9125 g 2675 2632 N 13 11 23 507 -13 -524 h\n.9125 g 2653 2638 N
      13 524 22 -519 -13 -11 h\n.9192 g 2630 2170 N 13 11 23 -7 -13 464
      h\n.8327 g 2608 2650 N 13 -464 22 502 -13 -518 h\n.824 g 2585 2656 N 13
      518 23 11 -13 -535 h\n.8213 g 2563 2663 N 13 535 22 -8 -13 -534
      h\n.9108 g 2540 2669 N 13 534 23 -529 -13 -11 h\n1 g 2518 2675 N 13 11
      22 -6 -13 -11 h\n1 g 2495 2681 N 13 11 23 -6 -13 -11 h\n.8959 g 2473
      2687 N 13 11 22 605 -13 -622 h\n.6854 g 2450 2096 N 13 622 23 20 -13
      -51 h\n.6786 g 2428 2699 N 13 51 22 7 -13 -661 h\n.7746 g 2405 2034 N
      13 661 23 -657 -13 661 h\n.7692 g 2383 2029 N 13 -661 22 -6 -13 672
      h\n.7679 g 2360 2039 N 13 -672 23 -6 -13 668 h\n.8843 g 2338 2724 N 13
      -668 22 -6 -13 -11 h\n1 g 2315 2730 N 13 11 23 -7 -13 -10 h\n1 g 2293
      2736 N 13 10 22 -6 -13 -10 h\n1 g 2270 2742 N 13 10 23 -6 -13 -10 h\n1
      g 2248 2749 N 13 10 22 -6 -13 -11 h\n1 g 2225 2755 N 13 11 23 -6 -13
      -11 h\n1 g 2203 2761 N 13 11 22 -6 -13 -11 h\n1 g 2180 2767 N 13 11 23
      -6 -13 -11 h\n1 g 2158 2773 N 13 11 22 -6 -13 -11 h\n1 g 2135 2779 N 13
      11 23 -7 -13 -10 h\n1 g 2113 2785 N 13 10 22 -6 -13 -10 h\n1 g 2090
      2792 N 13 10 23 -6 -13 -11 h\n.8665 g 2068 2798 N 13 11 22 777 -13 -794
      h\n.8665 g 2045 2804 N 13 794 23 -789 -13 -11 h\n1 g 2023 2810 N 13 11
      22 -6 -13 -11 h\n1 g 2000 2816 N 13 11 23 -6 -13 -11 h\n.8246 g 1978
      1793 N 13 11 22 -7 -13 1019 h\n.4572 g 1955 1750 N 13 -1019 23 1072 -13
      -10 h\n.2553 g 1933 1738 N 13 10 22 33 -13 -31 h\n.242 g 1910 1724 N 13
      31 23 -6 -13 -11 h\n.2311 g 1888 1708 N 13 11 22 16 -13 -11 h\n.2154 g
      1865 1690 N 13 11 23 18 -13 -11 h\n.1982 g 1843 1669 N 13 11 22 20 -13
      -10 h\n.1891 g 1820 1676 N 13 10 23 -6 -13 -11 h\n.184 g 1798 1652 N 13
      11 22 -6 -13 19 h\n.1739 g 1775 1658 N 13 -19 23 24 -13 -11 h\n.1688 g
      1753 1664 N 13 11 22 -7 -13 -10 h\n.1573 g 1730 1637 N 13 10 23 28 -13
      -11 h\n.1458 g 1708 1643 N 13 11 22 -6 -13 -11 h\n.1458 g 1685 1649 N
      13 11 23 -6 -13 -11 h\n.1458 g 1663 1655 N 13 11 22 -6 -13 -11 h\n.1392
      g 1640 1622 N 13 11 23 -7 -13 29 h\n.1326 g 1618 1628 N 13 -29 22 -6
      -13 29 h\n.1326 g 1595 1635 N 13 -29 23 -6 -13 28 h\n.1326 g 1573 1641
      N 13 -28 22 -6 -13 28 h\n.1259 g 1550 1647 N 13 -28 23 33 -13 -11
      h\n.1193 g 1527 1653 N 13 11 22 -6 -12 -11 h\n.1193 g 1505 1659 N 12 11
      23 -6 -13 -11 h\n.1193 g 1482 1665 N 13 11 23 -7 -13 -10 h\n.1193 g
      1460 1671 N 13 10 22 -6 -13 -10 h\n.1193 g 1437 1677 N 13 10 23 -6 -13
      -10 h\n.1193 g 1415 1684 N 13 10 22 -6 -13 -11 h\n.1193 g 1392 1690 N
      13 11 23 -6 -13 -11 h\n.1193 g 1370 1696 N 13 11 22 -6 -13 -11 h\n.1259
      g 1347 1702 N 13 11 23 -45 -13 28 h\n.1326 g 1325 1708 N 13 -28 22 -6
      -13 28 h\n.1326 g 1302 1714 N 13 -28 23 -7 -13 29 h\n.7729 g 2820 2578
      N 13 15 22 -675 -13 -10 h\n1 g 2797 2584 N 13 10 23 -6 -13 -10 h\n1 g
      2775 2591 N 13 10 22 -6 -13 -11 h\n.9101 g 2752 2069 N 13 11 23 -6 -13
      517 h\n.7173 g 2730 2041 N 13 -517 22 563 -13 -18 h\n.8072 g 2707 2609
      N 13 18 23 -575 -13 -11 h\n1 g 2685 2615 N 13 11 22 -7 -13 -10 h\n.9125
      g 2662 2108 N 13 10 23 -6 -13 503 h\n.8263 g 2640 2627 N 13 -503 22 500
      -13 -516 h\n.9138 g 2617 2634 N 13 516 23 -512 -13 -11 h\n.9135 g 2595
      2132 N 13 11 22 -6 -13 497 h\n.824 g 2572 2121 N 13 -497 23 -6 -13 514
      h\n.8213 g 2550 2129 N 13 -514 22 -6 -13 512 h\n.8268 g 2527 2658 N 13
      -512 23 487 -13 -504 h\n.8177 g 2505 2664 N 13 504 22 77 -13 -587
      h\n.7995 g 2482 2670 N 13 587 23 17 -13 -610 h\n.7936 g 2460 2065 N 13
      610 22 -606 -13 601 h\n.6867 g 2437 2045 N 13 -601 23 583 -13 38
      h\n.6799 g 2415 2038 N 13 -38 22 -595 -13 640 h\n.8002 g 2392 2695 N 13
      -640 23 515 -13 -532 h\n.9112 g 2370 2701 N 13 532 22 -527 -13 -11 h\n1
      g 2347 2707 N 13 11 23 -7 -13 -10 h\n1 g 2325 2713 N 13 10 22 -6 -13
      -10 h\n1 g 2302 2720 N 13 10 23 -6 -13 -11 h\n1 g 2280 2726 N 13 11 22
      -6 -13 -11 h\n1 g 2257 2732 N 13 11 23 -6 -13 -11 h\n1 g 2235 2738 N 13
      11 22 -6 -13 -11 h\n1 g 2212 2744 N 13 11 23 -6 -13 -11 h\n1 g 2190
      2750 N 13 11 22 -7 -13 -10 h\n1 g 2167 2756 N 13 10 23 -6 -13 -10 h\n1
      g 2145 2762 N 13 10 22 -6 -13 -10 h\n1 g 2122 2769 N 13 10 23 -6 -13
      -11 h\n1 g 2100 2775 N 13 11 22 -6 -13 -11 h\n.9065 g 2077 2781 N 13 11
      23 542 -13 -559 h\n.6845 g 2055 2004 N 13 559 22 -35 -13 253 h\n.778 g
      2032 2793 N 13 -253 23 -526 -13 -10 h\n.9017 g 2010 2799 N 13 10 22 571
      -13 -587 h\n.7598 g 1987 2805 N 13 587 23 250 -13 -843 h\n.6801 g 1965
      2812 N 13 843 22 205 -13 -1055 h\n.4514 g 1942 1740 N 13 1055 23 47 -13
      -30 h\n.2487 g 1920 1707 N 13 30 22 14 -13 -11 h\n.2386 g 1897 1713 N
      13 11 23 -6 -13 -11 h\n.2311 g 1875 1697 N 13 11 22 15 -13 -10 h\n.2154
      g 1852 1679 N 13 10 23 18 -13 -10 h\n.2027 g 1830 1659 N 13 10 22 -6
      -13 16 h\n.1936 g 1807 1665 N 13 -16 23 21 -13 -11 h\n.1891 g 1785 1671
      N 13 11 22 -6 -13 -11 h\n.1789 g 1762 1647 N 13 11 23 23 -13 -10
      h\n.1688 g 1740 1654 N 13 10 22 -6 -13 -11 h\n.1631 g 1717 1626 N 13 11
      23 -6 -13 23 h\n.1516 g 1695 1632 N 13 -23 22 28 -13 -11 h\n.1458 g
      1672 1638 N 13 11 23 -7 -13 -10 h\n.1458 g 1650 1644 N 13 10 22 -6 -13
      -10 h\n.1458 g 1627 1651 N 13 10 23 -6 -13 -11 h\n.1458 g 1605 1657 N
      13 11 22 -6 -13 -11 h\n.1458 g 1582 1663 N 13 11 23 -6 -13 -11 h\n.1458
      g 1560 1669 N 13 11 22 -6 -13 -11 h\n.1392 g 1537 1636 N 13 11 23 -6
      -13 28 h\n.1326 g 1515 1642 N 13 -28 22 -7 -13 29 h\n.1326 g 1492 1648
      N 13 -29 23 -6 -13 29 h\n.1326 g 1469 1655 N 13 -29 23 -6 -13 28
      h\n.1326 g 1447 1661 N 13 -28 22 -6 -13 28 h\n.1383 g 1424 1667 N 13
      -28 23 -40 -13 62 h\n.1441 g 1402 1673 N 13 -62 22 -6 -13 62 h\n.1441 g
      1379 1679 N 13 -62 23 -6 -13 62 h\n.1383 g 1357 1685 N 13 -62 22 27 -13
      29 h\n.1392 g 1334 1730 N 13 -29 23 -6 -13 -10 h\n.1458 g 1312 1736 N
      13 10 22 -6 -13 -10 h\n.1458 g 1289 1743 N 13 10 23 -6 -13 -11 h\n.8861
      g 2807 2568 N 13 -658 22 -6 -13 -11 h\n1 g 2784 2574 N 13 11 23 -6 -13
      -11 h\n1 g 2762 2580 N 13 11 22 -6 -13 -11 h\n.9175 g 2739 2586 N 13 11
      23 478 -13 -495 h\n.7556 g 2717 2023 N 13 495 22 -110 -13 178 h\n.8382
      g 2694 2598 N 13 -178 23 -387 -13 -10 h\n1 g 2672 2605 N 13 10 22 -6
      -13 -11 h\n1 g 2649 2611 N 13 11 23 -6 -13 -11 h\n.818 g 2627 2111 N 13
      11 22 556 -13 -67 h\n.7465 g 2604 2623 N 13 67 23 -149 -13 -430
      h\n.9285 g 2582 2629 N 13 430 22 -425 -13 -11 h\n1 g 2559 2635 N 13 11
      23 -7 -13 -10 h\n1 g 2537 2641 N 13 10 22 -6 -13 -10 h\n.916 g 2514
      2154 N 13 10 23 -6 -13 483 h\n.8177 g 2492 2077 N 13 -483 22 -6 -13 566
      h\n.7538 g 2469 2060 N 13 -566 23 262 -13 321 h\n.852 g 2447 2666 N 13
      -321 22 -274 -13 -11 h\n.8996 g 2424 2083 N 13 11 23 -6 -13 578
      h\n.8996 g 2402 2678 N 13 -578 22 -7 -13 -10 h\n.9112 g 2379 2163 N 13
      10 23 -6 -13 511 h\n.9112 g 2357 2690 N 13 -511 22 -6 -13 -10 h\n1 g
      2334 2697 N 13 10 23 -6 -13 -11 h\n1 g 2312 2703 N 13 11 22 -6 -13 -11
      h\n1 g 2289 2709 N 13 11 23 -6 -13 -11 h\n1 g 2267 2715 N 13 11 22 -6
      -13 -11 h\n1 g 2244 2721 N 13 11 23 -7 -13 -10 h\n1 g 2222 2727 N 13 10
      22 -6 -13 -10 h\n1 g 2199 2733 N 13 10 23 -6 -13 -10 h\n1 g 2177 2740 N
      13 10 22 -6 -13 -11 h\n1 g 2154 2746 N 13 11 23 -6 -13 -11 h\n1 g 2132
      2752 N 13 11 22 -6 -13 -11 h\n1 g 2109 2758 N 13 11 23 -6 -13 -11
      h\n.8759 g 2087 2764 N 13 11 22 722 -13 -739 h\n.6301 g 2064 2222 N 13
      739 23 160 -13 -357 h\n.569 g 2042 2257 N 13 357 22 -334 -13 -58
      h\n.8149 g 2019 2783 N 13 58 23 -573 -13 -11 h\n.7961 g 1997 2212 N 13
      11 22 614 -13 -54 h\n.6542 g 1974 1962 N 13 54 23 -626 -13 822 h\n.4994
      g 1952 1757 N 13 -822 22 1054 -13 -27 h\n.2675 g 1929 1710 N 13 27 23
      30 -13 -10 h\n.2455 g 1907 1696 N 13 10 22 14 -13 -10 h\n.2386 g 1884
      1702 N 13 10 23 -6 -13 -10 h\n.2311 g 1862 1687 N 13 10 22 16 -13 -11
      h\n.2154 g 1839 1669 N 13 11 23 18 -13 -11 h\n.2072 g 1817 1675 N 13 11
      22 -6 -13 -11 h\n.2027 g 1794 1654 N 13 11 23 -6 -13 16 h\n.1936 g 1772
      1660 N 13 -16 22 20 -13 -10 h\n.184 g 1749 1637 N 13 10 23 -6 -13 19
      h\n.1739 g 1727 1643 N 13 -19 22 24 -13 -11 h\n.1688 g 1704 1649 N 13
      11 23 -6 -13 -11 h\n.1631 g 1682 1621 N 13 11 22 -7 -13 24 h\n.1516 g
      1659 1628 N 13 -24 23 28 -13 -11 h\n.1458 g 1637 1634 N 13 11 22 -6 -13
      -11 h\n.1458 g 1614 1640 N 13 11 23 -6 -13 -11 h\n.1458 g 1592 1646 N
      13 11 22 -6 -13 -11 h\n.1458 g 1569 1652 N 13 11 23 -7 -13 -10 h\n.1458
      g 1547 1658 N 13 10 22 -6 -13 -10 h\n.1458 g 1524 1664 N 13 10 23 -6
      -13 -10 h\n.1458 g 1502 1671 N 13 10 22 -6 -13 -11 h\n.1458 g 1479 1677
      N 13 11 23 -6 -13 -11 h\n.1516 g 1456 1683 N 13 11 22 -40 -12 23
      h\n.1624 g 1434 1689 N 12 -23 23 -36 -13 53 h\n.2304 g 1411 1729 N 13
      -53 23 -342 -13 355 h\n.2609 g 1389 1735 N 13 -355 22 185 -13 164
      h\n.2037 g 1366 1741 N 13 -164 23 139 -13 19 h\n.1777 g 1344 1714 N 13
      -19 22 -33 -13 79 h\n.172 g 1321 1720 N 13 -79 23 20 -13 53 h\n.1624 g
      1299 1726 N 13 -53 22 24 -13 23 h\n.1573 g 1276 1732 N 13 -23 23 -6 -13
      23 h\n1 g 2794 2557 N 13 11 22 -6 -13 -11 h\n1 g 2771 2563 N 13 11 23
      -7 -13 -10 h\n1 g 2749 2569 N 13 10 22 -6 -13 -10 h\n.9175 g 2726 2091
      N 13 10 23 -6 -13 474 h\n.748 g 2704 2201 N 13 -474 22 608 -13 -244
      h\n.8306 g 2681 2588 N 13 244 23 -620 -13 -11 h\n1 g 2659 2594 N 13 11
      22 -6 -13 -11 h\n1 g 2636 2600 N 13 11 23 -6 -13 -11 h\n.8072 g 2614
      2044 N 13 11 22 563 -13 -18 h\n.637 g 2591 2193 N 13 18 23 3 -13 -170
      h\n.8298 g 2569 2618 N 13 170 22 -585 -13 -10 h\n1 g 2546 2625 N 13 10
      23 -6 -13 -11 h\n1 g 2524 2631 N 13 11 22 -6 -13 -11 h\n1 g 2501 2637 N
      13 11 23 -6 -13 -11 h\n1 g 2479 2643 N 13 11 22 -6 -13 -11 h\n.9543 g
      2456 2381 N 13 11 23 -7 -13 258 h\n.9543 g 2434 2655 N 13 -258 22 -6
      -13 -10 h\n1 g 2411 2661 N 13 10 23 -6 -13 -10 h\n1 g 2389 2668 N 13 10
      22 -6 -13 -11 h\n1 g 2366 2674 N 13 11 23 -6 -13 -11 h\n1 g 2344 2680 N
      13 11 22 -6 -13 -11 h\n1 g 2321 2686 N 13 11 23 -6 -13 -11 h\n1 g 2299
      2692 N 13 11 22 -6 -13 -11 h\n1 g 2276 2698 N 13 11 23 -7 -13 -10 h\n1
      g 2254 2704 N 13 10 22 -6 -13 -10 h\n1 g 2231 2711 N 13 10 23 -6 -13
      -11 h\n1 g 2209 2717 N 13 11 22 -6 -13 -11 h\n1 g 2186 2723 N 13 11 23
      -6 -13 -11 h\n1 g 2164 2729 N 13 11 22 -6 -13 -11 h\n1 g 2141 2735 N 13
      11 23 -6 -13 -11 h\n.8879 g 2119 2741 N 13 11 22 651 -13 -668 h\n.8879
      g 2096 2747 N 13 668 23 -664 -13 -10 h\n.8759 g 2074 2025 N 13 10 22 -6
      -13 718 h\n.6046 g 2051 1865 N 13 -718 23 692 -13 186 h\n.4715 g 2029
      2199 N 13 -186 22 238 -13 -386 h\n.6265 g 2006 2772 N 13 386 23 -265
      -13 -694 h\n.6075 g 1984 2158 N 13 694 22 312 -13 -392 h\n.5485 g 1961
      2784 N 13 392 23 22 -13 -1040 h\n.4631 g 1939 1730 N 13 1040 22 25 -13
      -11 h\n.2679 g 1916 1700 N 13 11 23 11 -13 8 h\n.2521 g 1894 1686 N 13
      -8 22 13 -13 9 h\n.242 g 1871 1692 N 13 -9 23 14 -13 -11 h\n.2349 g
      1849 1676 N 13 11 22 -6 -13 11 h\n.2233 g 1826 1658 N 13 -11 23 16 -13
      13 h\n.2113 g 1804 1664 N 13 -13 22 18 -13 -11 h\n.2072 g 1781 1670 N
      13 11 23 -7 -13 -10 h\n.2027 g 1759 1650 N 13 10 22 -6 -13 16 h\n.1936
      g 1736 1656 N 13 -16 23 21 -13 -11 h\n.184 g 1714 1632 N 13 11 22 -6
      -13 19 h\n.1739 g 1691 1638 N 13 -19 23 23 -13 -10 h\n.1688 g 1669 1645
      N 13 10 22 -6 -13 -11 h\n.1631 g 1646 1617 N 13 11 23 -6 -13 23
      h\n.1516 g 1624 1623 N 13 -23 22 27 -13 -10 h\n.1458 g 1601 1629 N 13
      10 23 -6 -13 -10 h\n.1458 g 1579 1635 N 13 10 22 -6 -13 -10 h\n.1458 g
      1556 1642 N 13 10 23 -6 -13 -11 h\n.1458 g 1534 1648 N 13 11 22 -6 -13
      -11 h\n.1458 g 1511 1654 N 13 11 23 -6 -13 -11 h\n.1516 g 1489 1660 N
      13 11 22 -40 -13 23 h\n.1573 g 1466 1666 N 13 -23 23 -6 -13 23 h\n.1631
      g 1444 1706 N 13 -23 22 -6 -13 -11 h\n.1835 g 1421 1742 N 13 11 23 -63
      -13 16 h\n.2756 g 1398 2084 N 13 -16 22 -125 -12 -201 h\n.4985 g 1376
      1899 N 12 201 23 -1050 -13 1034 h\n.6193 g 1353 1760 N 13 -1034 23 -6
      -13 1179 h\n.5991 g 1331 1793 N 13 -1179 22 -6 -13 1152 h\n.4122 g 1308
      1773 N 13 -1152 23 1090 -13 82 h\n.2044 g 1286 1749 N 13 -82 22 60 -13
      46 h\n.188 g 1263 1755 N 13 -46 23 -6 -13 46 h\n1 g 2781 2546 N 13 10
      22 -6 -13 -10 h\n1 g 2758 2553 N 13 10 23 -6 -13 -11 h\n1 g 2736 2559 N
      13 11 22 -6 -13 -11 h\n.8944 g 2713 2565 N 13 11 23 613 -13 -630
      h\n.6811 g 2691 1957 N 13 630 22 13 -13 -35 h\n.7867 g 2668 2577 N 13
      35 23 -645 -13 -10 h\n1 g 2646 2583 N 13 10 22 -6 -13 -10 h\n1 g 2623
      2589 N 13 10 23 -6 -13 -10 h\n.8328 g 2601 2026 N 13 10 22 406 -13 147
      h\n.6333 g 2578 2023 N 13 -147 23 174 -13 -24 h\n.6977 g 2556 2608 N 13
      24 22 5 -13 -614 h\n.8973 g 2533 2614 N 13 614 23 -609 -13 -11 h\n1 g
      2511 2620 N 13 11 22 -6 -13 -11 h\n1 g 2488 2626 N 13 11 23 -7 -13 -10
      h\n1 g 2466 2632 N 13 10 22 -6 -13 -10 h\n1 g 2443 2639 N 13 10 23 -6
      -13 -11 h\n1 g 2421 2645 N 13 11 22 -6 -13 -11 h\n1 g 2398 2651 N 13 11
      23 -6 -13 -11 h\n1 g 2376 2657 N 13 11 22 -6 -13 -11 h\n1 g 2353 2663 N
      13 11 23 -6 -13 -11 h\n1 g 2331 2669 N 13 11 22 -7 -13 -10 h\n1 g 2308
      2675 N 13 10 23 -6 -13 -10 h\n1 g 2286 2681 N 13 10 22 -6 -13 -10 h\n1
      g 2263 2688 N 13 10 23 -6 -13 -11 h\n1 g 2241 2694 N 13 11 22 -6 -13
      -11 h\n1 g 2218 2700 N 13 11 23 -6 -13 -11 h\n1 g 2196 2706 N 13 11 22
      -6 -13 -11 h\n1 g 2173 2712 N 13 11 23 -7 -13 -10 h\n.8929 g 2151 2718
      N 13 10 22 623 -13 -639 h\n.7584 g 2128 2724 N 13 639 23 154 -13 -799
      h\n.7535 g 2106 2073 N 13 799 22 -795 -13 647 h\n.8879 g 2083 2737 N 13
      -647 23 -6 -13 -11 h\n1 g 2061 2743 N 13 11 22 -6 -13 -11 h\n.7222 g
      2038 2051 N 13 11 23 925 -13 -244 h\n.3954 g 2016 1813 N 13 244 22 38
      -13 -44 h\n.3863 g 1993 2078 N 13 44 23 19 -13 -328 h\n.3671 g 1971
      1766 N 13 328 22 22 -13 -38 h\n.3007 g 1948 1744 N 13 38 23 9 -13 -25
      h\n.2852 g 1926 1719 N 13 25 22 11 -13 -11 h\n.2711 g 1903 1708 N 13 11
      23 11 -13 -11 h\n.2619 g 1881 1695 N 13 11 22 -6 -13 8 h\n.2521 g 1858
      1681 N 13 -8 23 12 -13 10 h\n.2455 g 1836 1687 N 13 -10 22 -6 -13 10
      h\n.2557 g 1813 1671 N 13 -10 23 -88 -13 114 h\n.2445 g 1791 1653 N 13
      -114 22 96 -13 36 h\n.2192 g 1768 1660 N 13 -36 23 16 -13 13 h\n.2154 g
      1746 1666 N 13 -13 22 -6 -13 13 h\n.2109 g 1723 1645 N 13 -13 23 -6 -13
      40 h\n.2064 g 1701 1651 N 13 -40 22 -6 -13 40 h\n.1927 g 1678 1628 N 13
      -40 23 44 -13 19 h\n.1739 g 1656 1634 N 13 -19 22 24 -13 -11 h\n.1688 g
      1633 1640 N 13 11 23 -6 -13 -11 h\n.1631 g 1611 1613 N 13 11 22 -7 -13
      23 h\n.1573 g 1588 1619 N 13 -23 23 -6 -13 23 h\n.1573 g 1566 1625 N 13
      -23 22 -6 -13 23 h\n.1573 g 1543 1631 N 13 -23 23 -6 -13 23 h\n.1573 g
      1521 1637 N 13 -23 22 -6 -13 23 h\n.1573 g 1498 1643 N 13 -23 23 -6 -13
      23 h\n.1631 g 1476 1683 N 13 -23 22 -6 -13 -11 h\n.1688 g 1453 1689 N
      13 11 23 -7 -13 -10 h\n.1739 g 1431 1695 N 13 10 22 -35 -13 19 h\n.1972
      g 1408 1758 N 13 -19 23 -57 -13 13 h\n.4297 g 1386 1883 N 13 -13 22
      -1145 -13 1033 h\n.7016 g 1363 2933 N 13 -1033 23 700 -13 -717 h\n.8796
      g 1340 2939 N 13 717 22 -713 -12 -10 h\n1 g 1318 2945 N 12 10 23 -6 -13
      -10 h\n.8131 g 1295 1855 N 13 10 23 -6 -13 1086 h\n.4245 g 1273 1795 N
      13 -1086 22 1111 -13 35 h\n.2229 g 1250 1801 N 13 -35 23 -6 -13 35 h\n1
      g 2768 2536 N 13 11 22 -6 -13 -11 h\n1 g 2745 2542 N 13 11 23 -6 -13
      -11 h\n1 g 2723 2548 N 13 11 22 -6 -13 -11 h\n.8116 g 2700 1935 N 13 11
      23 479 -13 123 h\n.5913 g 2678 1922 N 13 -123 22 163 -13 -27 h\n.6889 g
      2655 2567 N 13 27 23 -127 -13 -545 h\n.9091 g 2633 2573 N 13 545 22
      -540 -13 -11 h\n1 g 2610 2579 N 13 11 23 -6 -13 -11 h\n.9298 g 2588
      2173 N 13 11 22 -6 -13 401 h\n.7706 g 2565 1999 N 13 -401 23 336 -13
      239 h\n.6335 g 2543 1994 N 13 -239 22 265 -13 -21 h\n.685 g 2520 2603 N
      13 21 23 12 -13 -642 h\n.7961 g 2498 2609 N 13 642 22 -73 -13 -575
      h\n.8016 g 2475 2616 N 13 575 23 29 -13 -611 h\n.8978 g 2453 2622 N 13
      611 22 -606 -13 -11 h\n1 g 2430 2628 N 13 11 23 -6 -13 -11 h\n1 g 2408
      2634 N 13 11 22 -6 -13 -11 h\n1 g 2385 2640 N 13 11 23 -7 -13 -10 h\n1
      g 2363 2646 N 13 10 22 -6 -13 -10 h\n1 g 2340 2652 N 13 10 23 -6 -13
      -10 h\n1 g 2318 2659 N 13 10 22 -6 -13 -11 h\n1 g 2295 2665 N 13 11 23
      -6 -13 -11 h\n1 g 2273 2671 N 13 11 22 -6 -13 -11 h\n1 g 2250 2677 N 13
      11 23 -6 -13 -11 h\n1 g 2228 2683 N 13 11 22 -6 -13 -11 h\n1 g 2205
      2689 N 13 11 23 -7 -13 -10 h\n1 g 2183 2695 N 13 10 22 -6 -13 -10
      h\n.8891 g 2160 2702 N 13 10 23 645 -13 -662 h\n.6845 g 2138 2079 N 13
      662 22 -85 -13 46 h\n.5154 g 2115 1925 N 13 -46 23 276 -13 -76 h\n.5825
      g 2093 2720 N 13 76 22 -54 -13 -817 h\n.7182 g 2070 2726 N 13 817 23 34
      -13 -857 h\n.7076 g 2048 2732 N 13 857 22 17 -13 -880 h\n.5288 g 2025
      1807 N 13 880 23 88 -13 -43 h\n.3423 g 2003 1769 N 13 43 22 18 -13 -23
      h\n.3242 g 1980 1750 N 13 23 23 7 -13 -11 h\n.3081 g 1958 1728 N 13 11
      22 22 -13 -11 h\n.2933 g 1935 1719 N 13 11 23 9 -13 -11 h\n.2826 g 1913
      1708 N 13 11 22 10 -13 -10 h\n.274 g 1890 1697 N 13 10 23 -6 -13 7
      h\n.2711 g 1868 1703 N 13 -7 22 -6 -13 7 h\n.2733 g 1845 1691 N 13 -7
      23 -38 -13 57 h\n.2802 g 1823 1697 N 13 -57 22 -34 -13 85 h\n.3432 g
      1800 1785 N 13 -85 23 -265 -13 262 h\n.346 g 1778 1689 N 13 -262 22 216
      -13 142 h\n.2609 g 1755 1673 N 13 -142 23 147 -13 11 h\n.2346 g 1733
      1679 N 13 -11 22 -27 -13 32 h\n.2885 g 1710 1685 N 13 -32 23 -302 -13
      328 h\n.4754 g 1688 1691 N 13 -328 22 -807 -13 1129 h\n.4091 g 1665
      1647 N 13 -1129 23 1133 -13 40 h\n.1927 g 1643 1623 N 13 -40 22 45 -13
      19 h\n.1789 g 1620 1629 N 13 -19 23 -7 -13 20 h\n.1739 g 1598 1636 N 13
      -20 22 24 -13 -11 h\n.1688 g 1575 1642 N 13 11 23 -6 -13 -11 h\n.1688 g
      1553 1648 N 13 11 22 -6 -13 -11 h\n.1688 g 1530 1654 N 13 11 23 -6 -13
      -11 h\n.1688 g 1508 1660 N 13 11 22 -7 -13 -10 h\n.1688 g 1485 1666 N
      13 10 23 -6 -13 -10 h\n.1688 g 1463 1672 N 13 10 22 -6 -13 -10 h\n.1739
      g 1440 1679 N 13 10 23 -36 -13 19 h\n.1964 g 1418 1714 N 13 -19 22 -78
      -13 62 h\n.4128 g 1395 1771 N 13 -62 23 -1124 -13 1129 h\n.8059 g 1373
      2916 N 13 -1129 22 -6 -13 -10 h\n.8796 g 1350 2216 N 13 10 23 -6 -13
      696 h\n.7658 g 1328 2929 N 13 -696 22 662 -13 -679 h\n.8861 g 1305 2935
      N 13 679 23 -674 -13 -11 h\n.8429 g 1282 2941 N 13 11 22 916 -12 -933
      h\n.4797 g 1260 1830 N 12 933 23 86 -13 92 h\n.2684 g 1237 1836 N 13
      -92 23 24 -13 62 h\n1 g 2755 2525 N 13 11 22 -7 -13 -10 h\n1 g 2732
      2531 N 13 10 23 -6 -13 -10 h\n1 g 2710 2537 N 13 10 22 -6 -13 -10
      h\n.9172 g 2687 2058 N 13 10 23 -6 -13 475 h\n.6912 g 2665 1895 N 13
      -475 22 666 -13 -28 h\n.6831 g 2642 2022 N 13 28 23 -678 -13 523
      h\n.9091 g 2620 2562 N 13 -523 22 -6 -13 -11 h\n1 g 2597 2568 N 13 11
      23 -7 -13 -10 h\n1 g 2575 2574 N 13 10 22 -6 -13 -10 h\n.9417 g 2552
      2238 N 13 10 23 -6 -13 332 h\n.837 g 2530 1973 N 13 -332 22 -6 -13 603
      h\n.6795 g 2507 1961 N 13 -603 23 629 -13 -14 h\n.5765 g 2485 2034 N 13
      14 22 13 -13 -100 h\n.6901 g 2462 2005 N 13 100 23 -660 -13 589
      h\n.7839 g 2440 2611 N 13 -589 22 662 -13 -679 h\n.8861 g 2417 2617 N
      13 679 23 -675 -13 -10 h\n.8902 g 2395 2623 N 13 10 22 639 -13 -655
      h\n.7815 g 2372 2630 N 13 655 23 -13 -13 -649 h\n.8913 g 2350 2636 N 13
      649 22 -644 -13 -11 h\n1 g 2327 2642 N 13 11 23 -6 -13 -11 h\n1 g 2305
      2648 N 13 11 22 -6 -13 -11 h\n1 g 2282 2654 N 13 11 23 -6 -13 -11 h\n1
      g 2260 2660 N 13 11 22 -7 -13 -10 h\n.8861 g 2237 2666 N 13 10 23 662
      -13 -678 h\n.8861 g 2215 2672 N 13 678 22 -674 -13 -10 h\n.8665 g 2192
      2679 N 13 10 23 777 -13 -794 h\n.7521 g 2170 2685 N 13 794 22 -117 -13
      -683 h\n.7746 g 2147 2040 N 13 683 23 -678 -13 640 h\n.7916 g 2125 2125
      N 13 -640 22 -6 -13 561 h\n.6061 g 2102 1849 N 13 -561 23 879 -13 -42
      h\n.4137 g 2080 1903 N 13 42 22 3 -13 -99 h\n.4088 g 2057 1869 N 13 99
      23 21 -13 -86 h\n.39 g 2035 1852 N 13 86 22 14 -13 -83 h\n.3628 g 2012
      1764 N 13 83 23 16 -13 -11 h\n.3347 g 1990 1746 N 13 11 22 18 -13 -11
      h\n.3221 g 1967 1739 N 13 11 23 7 -13 -11 h\n.3106 g 1945 1717 N 13 11
      22 7 -13 4 h\n.3009 g 1922 1708 N 13 -4 23 -6 -13 19 h\n.2904 g 1900
      1698 N 13 -19 22 24 -13 5 h\n.2826 g 1877 1704 N 13 -5 23 -7 -13 6
      h\n.2826 g 1855 1710 N 13 -6 22 -6 -13 6 h\n.2953 g 1832 1748 N 13 -6
      23 -49 -13 17 h\n.3528 g 1810 1782 N 13 -17 22 -240 -13 223 h\n.5723 g
      1787 2047 N 13 -223 23 -773 -13 731 h\n.7093 g 1765 1831 N 13 -731 22
      -7 -13 954 h\n.4674 g 1742 1684 N 13 -954 23 1039 -13 62 h\n.2785 g
      1720 1711 N 13 -62 22 -75 -13 110 h\n.3934 g 1697 2013 N 13 -110 23
      -295 -13 103 h\n.7466 g 1675 2820 N 13 -103 22 -693 -13 -11 h\n.6156 g
      1652 1687 N 13 11 23 1111 -13 11 h\n.2146 g 1630 1642 N 13 -11 22 40
      -13 16 h\n.1936 g 1607 1649 N 13 -16 23 20 -13 -11 h\n.184 g 1585 1625
      N 13 11 22 -6 -13 19 h\n.1789 g 1562 1631 N 13 -19 23 -6 -13 19
      h\n.1789 g 1540 1637 N 13 -19 22 -6 -13 19 h\n.1789 g 1517 1643 N 13
      -19 23 -6 -13 19 h\n.1789 g 1495 1650 N 13 -19 22 -7 -13 19 h\n.1789 g
      1472 1656 N 13 -19 23 -6 -13 19 h\n.1789 g 1450 1662 N 13 -19 22 -6 -13
      19 h\n.1886 g 1427 1698 N 13 -19 23 -33 -13 16 h\n.2184 g 1405 1776 N
      13 -16 22 -52 -13 -10 h\n.6193 g 1382 2900 N 13 10 23 -1123 -13 -11
      h\n1 g 1360 2906 N 13 11 22 -6 -13 -11 h\n.8476 g 1337 2912 N 13 11 23
      888 -13 -905 h\n.7338 g 1315 2250 N 13 905 22 -900 -13 657 h\n.8861 g
      1292 2924 N 13 -657 23 -7 -13 -10 h\n.8429 g 1270 2008 N 13 10 22 -6
      -13 912 h\n.67 g 1247 1922 N 13 -912 23 -6 -13 1004 h\n.4967 g 1224
      1898 N 13 -1004 22 888 -12 140 h\n1 g 2742 2515 N 13 10 22 -6 -13 -11
      h\n1 g 2719 2521 N 13 11 23 -6 -13 -11 h\n1 g 2697 2527 N 13 11 22 -6
      -13 -11 h\n1 g 2674 2533 N 13 11 23 -6 -13 -11 h\n.7685 g 2652 1867 N
      13 11 22 680 -13 -25 h\n.7067 g 2629 2545 N 13 25 23 -330 -13 -373
      h\n.9382 g 2607 2551 N 13 373 22 -369 -13 -10 h\n1 g 2584 2558 N 13 10
      23 -6 -13 -11 h\n1 g 2562 2564 N 13 11 22 -6 -13 -11 h\n1 g 2539 2570 N
      13 11 23 -6 -13 -11 h\n1 g 2517 2576 N 13 11 22 -6 -13 -11 h\n.8002 g
      2494 1947 N 13 11 23 531 -13 87 h\n.6887 g 2472 1934 N 13 -87 22 -544
      -13 644 h\n.7746 g 2449 2594 N 13 -644 23 662 -13 -678 h\n.6553 g 2427
      1932 N 13 678 22 13 -13 -29 h\n.6508 g 2404 2607 N 13 29 23 1 -13 -705
      h\n.6515 g 2382 1968 N 13 705 22 6 -13 -72 h\n.6611 g 2359 1981 N 13 72
      23 -712 -13 627 h\n.8913 g 2337 2625 N 13 -627 22 -6 -13 -11 h\n.8774 g
      2314 2631 N 13 11 23 713 -13 -730 h\n.7757 g 2292 2637 N 13 730 22 -128
      -13 -608 h\n.7812 g 2269 2643 N 13 608 23 83 -13 -697 h\n.7532 g 2247
      2650 N 13 697 22 69 -13 -773 h\n.7563 g 2224 1988 N 13 773 23 -768 -13
      657 h\n.8861 g 2202 2662 N 13 -657 22 -6 -13 -11 h\n.7269 g 2179 1885 N
      13 11 23 813 -13 -47 h\n.6124 g 2157 2002 N 13 47 22 -826 -13 662
      h\n.7425 g 2134 2680 N 13 -662 23 834 -13 -850 h\n.7074 g 2112 2686 N
      13 850 22 32 -13 -888 h\n.5457 g 2089 1807 N 13 888 23 19 -13 -28
      h\n.3873 g 2067 1804 N 13 28 22 3 -13 -28 h\n.3763 g 2044 1783 N 13 28
      23 13 -13 -20 h\n.3631 g 2022 1769 N 13 20 22 5 -13 -11 h\n.3523 g 1999
      1753 N 13 11 23 4 -13 1 h\n.3426 g 1977 1735 N 13 -1 22 -6 -13 25
      h\n.4987 g 1954 1728 N 13 -25 23 -959 -13 991 h\n.496 g 1932 1721 N 13
      -991 22 936 -13 62 h\n.3331 g 1909 1727 N 13 -62 23 -6 -13 62 h\n.3223
      g 1887 1703 N 13 -62 22 28 -13 58 h\n.3049 g 1864 1710 N 13 -58 23 32
      -13 19 h\n.2982 g 1842 1716 N 13 -19 22 -6 -13 19 h\n.308 g 1819 1765 N
      13 -19 23 -20 -13 -10 h\n.5281 g 1797 2005 N 13 10 22 -1007 -13 757
      h\n.8693 g 1774 2778 N 13 -757 23 -6 -13 -10 h\n1 g 1752 2785 N 13 10
      22 -6 -13 -11 h\n.6649 g 1729 1746 N 13 11 23 916 -13 112 h\n.4987 g
      1707 1821 N 13 -112 22 -928 -13 965 h\n.5942 g 1684 2116 N 13 -965 23
      713 -13 -43 h\n.623 g 1662 2809 N 13 43 22 81 -13 -817 h\n.5198 g 1639
      1698 N 13 817 23 82 -13 212 h\n.265 g 1617 1658 N 13 -212 22 238 -13 14
      h\n.2068 g 1594 1638 N 13 -14 23 18 -13 16 h\n.1982 g 1572 1644 N 13
      -16 22 -6 -13 16 h\n.1936 g 1549 1650 N 13 -16 23 20 -13 -10 h\n.1891 g
      1527 1656 N 13 10 22 -6 -13 -10 h\n.1891 g 1504 1662 N 13 10 23 -6 -13
      -10 h\n.1891 g 1482 1669 N 13 10 22 -6 -13 -11 h\n.1891 g 1459 1675 N
      13 11 23 -6 -13 -11 h\n.1936 g 1437 1681 N 13 11 22 -33 -13 16 h\n.2027
      g 1414 1714 N 13 -16 23 -6 -13 -11 h\n.2192 g 1392 1766 N 13 11 22 -30
      -13 -33 h\n.4318 g 1369 2889 N 13 33 23 -67 -13 -1089 h\n.6383 g 1347
      2895 N 13 1089 22 -40 -13 -1055 h\n.5126 g 1324 2007 N 13 1055 23 -129
      -13 -38 h\n.6905 g 1302 2907 N 13 38 22 -928 -13 -10 h\n1 g 1279 2914 N
      13 10 23 -6 -13 -11 h\n1 g 1257 2920 N 13 11 22 -6 -13 -11 h\n1 g 1234
      2926 N 13 11 23 -6 -13 -11 h\n.8476 g 1212 2038 N 13 11 22 -6 -13 883
      h\n1 g 2729 2504 N 13 11 22 -6 -13 -11 h\n1 g 2706 2510 N 13 11 23 -6
      -13 -11 h\n1 g 2684 2516 N 13 11 22 -7 -13 -10 h\n.8963 g 2661 2522 N
      13 10 23 603 -13 -619 h\n.661 g 2639 1842 N 13 619 22 79 -13 -18
      h\n.5839 g 2616 2172 N 13 18 23 -2 -13 -346 h\n.723 g 2594 2541 N 13
      346 22 -140 -13 -575 h\n.9038 g 2571 2547 N 13 575 23 -570 -13 -11 h\n1
      g 2549 2553 N 13 11 22 -6 -13 -11 h\n1 g 2526 2559 N 13 11 23 -7 -13
      -10 h\n1 g 2504 2565 N 13 10 22 -6 -13 -10 h\n.9084 g 2481 2034 N 13 10
      23 -6 -13 527 h\n.8061 g 2459 2578 N 13 -527 22 594 -13 -611 h\n.7839 g
      2436 1916 N 13 611 23 -606 -13 657 h\n.6615 g 2414 1903 N 13 -657 22
      626 -13 44 h\n.538 g 2391 1902 N 13 -44 23 60 -13 -15 h\n.5197 g 2369
      1896 N 13 15 22 15 -13 -24 h\n.633 g 2346 2608 N 13 24 23 2 -13 -738
      h\n.7487 g 2324 2614 N 13 738 22 13 -13 -757 h\n.6221 g 2301 1901 N 13
      757 23 -1 -13 -43 h\n.5195 g 2279 2029 N 13 43 22 -6 -13 -165 h\n.5197
      g 2256 1946 N 13 165 23 25 -13 -107 h\n.4853 g 2234 1877 N 13 107 22 0
      -13 -38 h\n.5993 g 2211 2645 N 13 38 23 5 -13 -811 h\n.7228 g 2189 2651
      N 13 811 22 19 -13 -836 h\n.5765 g 2166 1838 N 13 836 23 8 -13 -31
      h\n.5717 g 2144 2664 N 13 31 22 8 -13 -865 h\n.5632 g 2121 1830 N 13
      865 23 9 -13 -40 h\n.4083 g 2099 1798 N 13 40 22 10 -13 -18 h\n.3933 g
      2076 1779 N 13 18 23 3 -13 -2 h\n.3844 g 2054 1776 N 13 2 22 3 -13 -2
      h\n.3748 g 2031 1763 N 13 2 23 12 -13 -1 h\n.3649 g 2009 1758 N 13 1 22
      4 -13 0 h\n.3578 g 1986 1754 N 13 0 23 4 -13 0 h\n.356 g 1964 1760 N 13
      0 22 -16 -13 10 h\n.5454 g 1941 2719 N 13 -10 23 -155 -13 -794 h\n.706
      g 1919 1783 N 13 794 22 -789 -13 931 h\n.5593 g 1896 1789 N 13 -931 23
      696 -13 229 h\n.5535 g 1874 1761 N 13 -229 22 -709 -13 966 h\n.6608 g
      1851 1729 N 13 -966 23 -6 -13 1004 h\n.4879 g 1829 1735 N 13 -1004 22
      970 -13 28 h\n.324 g 1806 1755 N 13 -28 23 -6 -13 14 h\n.5136 g 1784
      2762 N 13 -14 22 -105 -13 -888 h\n.8505 g 1761 2768 N 13 888 23 -883
      -13 -11 h\n1 g 1739 2774 N 13 11 22 -6 -13 -11 h\n.8429 g 1716 1858 N
      13 11 23 -6 -13 911 h\n.8429 g 1694 2786 N 13 -911 22 -7 -13 -10
      h\n.8774 g 1671 2073 N 13 10 23 -6 -13 709 h\n.74 g 1649 1992 N 13 -709
      22 -6 -13 796 h\n.5459 g 1626 1910 N 13 -796 23 958 -13 -80 h\n.3055 g
      1604 1672 N 13 80 22 108 -13 50 h\n.2432 g 1581 1654 N 13 -50 23 -24
      -13 92 h\n.2288 g 1559 1660 N 13 -92 22 73 -13 13 h\n.2068 g 1536 1640
      N 13 -13 23 17 -13 16 h\n.1982 g 1514 1646 N 13 -16 22 -6 -13 16
      h\n.1936 g 1491 1652 N 13 -16 23 21 -13 -11 h\n.1936 g 1469 1658 N 13
      11 22 -33 -13 16 h\n.1982 g 1446 1664 N 13 -16 23 -6 -13 16 h\n.2027 g
      1424 1697 N 13 -16 22 -6 -13 -11 h\n.2072 g 1401 1703 N 13 11 23 -6 -13
      -11 h\n.2192 g 1379 1733 N 13 11 22 -53 -13 12 h\n.2449 g 1356 1800 N
      13 -12 23 -26 -13 -29 h\n.2707 g 1334 1840 N 13 29 22 -42 -13 -27
      h\n.4842 g 1311 1969 N 13 27 23 -1067 -13 911 h\n.8429 g 1289 2897 N 13
      -911 22 -6 -13 -11 h\n1 g 1266 2903 N 13 11 23 -6 -13 -11 h\n1 g 1244
      2909 N 13 11 22 -6 -13 -11 h\n1 g 1221 2915 N 13 11 23 -7 -13 -10 h\n1
      g 1199 2921 N 13 10 22 -6 -13 -10 h\n1 g 2716 2493 N 13 10 22 -6 -13
      -10 h\n1 g 2693 2499 N 13 10 23 -6 -13 -10 h\n1 g 2671 2506 N 13 10 22
      -6 -13 -11 h\n.8963 g 2648 1903 N 13 11 23 -6 -13 598 h\n.6569 g 2626
      1824 N 13 -598 22 704 -13 -27 h\n.5183 g 2603 1826 N 13 27 23 7 -13 -36
      h\n.6615 g 2581 1966 N 13 36 22 -729 -13 553 h\n.9038 g 2558 2536 N 13
      -553 23 -7 -13 -10 h\n1 g 2536 2542 N 13 10 22 -6 -13 -10 h\n1 g 2513
      2549 N 13 10 23 -6 -13 -11 h\n1 g 2491 2555 N 13 11 22 -6 -13 -11 h\n1
      g 2468 2561 N 13 11 23 -6 -13 -11 h\n.8978 g 2446 1967 N 13 11 22 -6
      -13 589 h\n.8978 g 2423 2573 N 13 -589 23 -6 -13 -11 h\n.8923 g 2401
      1947 N 13 11 22 -7 -13 622 h\n.7733 g 2378 1887 N 13 -622 23 -6 -13 688
      h\n.7584 g 2356 1872 N 13 -688 22 -6 -13 709 h\n.6293 g 2333 1870 N 13
      -709 23 722 -13 -11 h\n.4998 g 2311 1857 N 13 11 22 -2 -13 4 h\n.4909 g
      2288 1858 N 13 -4 23 18 -13 -15 h\n.4833 g 2266 1864 N 13 15 22 10 -13
      -31 h\n.4733 g 2243 1839 N 13 31 23 5 -13 -11 h\n.4622 g 2221 1839 N 13
      11 22 11 -13 -22 h\n.4541 g 2198 1834 N 13 22 23 6 -13 -23 h\n.4435 g
      2176 1815 N 13 23 22 7 -13 -11 h\n.4335 g 2153 1807 N 13 11 23 1 -13 -4
      h\n.4252 g 2131 1799 N 13 4 22 7 -13 -3 h\n.4152 g 2108 1790 N 13 3 23
      9 -13 -3 h\n.4046 g 2086 1780 N 13 3 22 10 -13 -3 h\n.399 g 2063 1777 N
      13 3 23 -14 -13 14 h\n.5456 g 2041 1774 N 13 -14 22 -876 -13 893
      h\n.5422 g 2018 1762 N 13 -893 23 856 -13 49 h\n.5373 g 1996 1758 N 13
      -49 22 -868 -13 921 h\n.6069 g 1973 1754 N 13 -921 23 427 -13 498
      h\n.453 g 1951 1770 N 13 -498 22 464 -13 18 h\n.4096 g 1928 1925 N 13
      -18 23 -63 -13 -74 h\n.5924 g 1906 2714 N 13 74 22 -91 -13 -772
      h\n.7505 g 1883 2018 N 13 772 23 -768 -13 692 h\n.7816 g 1861 2727 N 13
      -692 22 573 -13 -590 h\n.9013 g 1838 2733 N 13 590 23 -585 -13 -11
      h\n.7199 g 1816 1763 N 13 11 22 662 -13 297 h\n.3948 g 1793 1769 N 13
      -297 23 257 -13 34 h\n.3716 g 1771 1874 N 13 -34 22 -34 -13 -37
      h\n.5523 g 1748 2757 N 13 37 23 -63 -13 -857 h\n.7232 g 1726 2763 N 13
      857 22 -75 -13 -788 h\n.7582 g 1703 2769 N 13 788 23 -143 -13 -651
      h\n.8907 g 1681 2776 N 13 651 22 -647 -13 -11 h\n1 g 1658 2782 N 13 11
      23 -6 -13 -11 h\n1 g 1636 2788 N 13 11 22 -6 -13 -11 h\n.8357 g 1613
      1830 N 13 11 23 -6 -13 953 h\n.652 g 1591 1722 N 13 -953 22 -7 -13 1068
      h\n.6355 g 1568 1746 N 13 -1068 23 -6 -13 1050 h\n.4546 g 1546 1673 N
      13 -1050 22 995 -13 128 h\n.243 g 1523 1656 N 13 -128 23 132 -13 13
      h\n.2113 g 1501 1662 N 13 -13 22 18 -13 -11 h\n.2027 g 1478 1641 N 13
      11 23 -6 -13 16 h\n.2027 g 1456 1674 N 13 -16 22 -6 -13 -11 h\n.2072 g
      1433 1680 N 13 11 23 -6 -13 -11 h\n.2072 g 1411 1686 N 13 11 22 -7 -13
      -10 h\n.2113 g 1388 1692 N 13 10 23 -30 -13 14 h\n.227 g 1366 1745 N 13
      -14 22 -28 -13 -11 h\n.2455 g 1343 1771 N 13 11 23 -26 -13 -11 h\n.2647
      g 1321 1813 N 13 11 22 -43 -13 -10 h\n.5181 g 1298 2880 N 13 10 23 -360
      -13 -717 h\n.7225 g 1276 2886 N 13 717 22 209 -13 -932 h\n.7094 g 1253
      2892 N 13 932 23 -144 -13 -794 h\n.8665 g 1231 2898 N 13 794 22 -790
      -13 -10 h\n.8646 g 1208 2905 N 13 10 23 789 -13 -806 h\n.7339 g 1186
      2911 N 13 806 22 -34 -13 -778 h\n1 g 2703 2483 N 13 11 22 -6 -13 -11
      h\n1 g 2680 2489 N 13 11 23 -6 -13 -11 h\n1 g 2658 2495 N 13 11 22 -6
      -13 -11 h\n1 g 2635 2501 N 13 11 23 -6 -13 -11 h\n.8789 g 2613 1797 N
      13 11 22 -7 -13 700 h\n.63 g 2590 1790 N 13 -700 23 732 -13 -25
      h\n.7511 g 2568 2519 N 13 25 22 -744 -13 -10 h\n1 g 2545 2526 N 13 10
      23 -6 -13 -11 h\n1 g 2523 2532 N 13 11 22 -6 -13 -11 h\n1 g 2500 2538 N
      13 11 23 -6 -13 -11 h\n1 g 2478 2544 N 13 11 22 -6 -13 -11 h\n1 g 2455
      2550 N 13 11 23 -7 -13 -10 h\n1 g 2433 2556 N 13 10 22 -6 -13 -10 h\n1
      g 2410 2562 N 13 10 23 -6 -13 -10 h\n1 g 2388 2569 N 13 10 22 -6 -13
      -11 h\n1 g 2365 2575 N 13 11 23 -6 -13 -11 h\n1 g 2343 2581 N 13 11 22
      -6 -13 -11 h\n.7583 g 2320 1859 N 13 11 23 684 -13 27 h\n.6334 g 2298
      1861 N 13 -27 22 -697 -13 722 h\n.6401 g 2275 1843 N 13 -722 23 617 -13
      123 h\n.5035 g 2253 1833 N 13 -123 22 133 -13 0 h\n.4787 g 2230 1828 N
      13 0 23 -26 -13 31 h\n.4764 g 2208 1817 N 13 -31 22 -1 -13 43 h\n.5978
      g 2185 1811 N 13 -43 23 -753 -13 802 h\n.5822 g 2163 1804 N 13 -802 22
      807 -13 2 h\n.4472 g 2140 1803 N 13 -2 23 -47 -13 50 h\n.5822 g 2118
      1796 N 13 -50 22 -779 -13 836 h\n.7089 g 2095 1787 N 13 -836 23 -6 -13
      851 h\n.5594 g 2073 1777 N 13 -851 22 841 -13 20 h\n.4138 g 2050 1791 N
      13 -20 23 -6 -13 12 h\n.7076 g 2028 2667 N 13 -12 22 -853 -13 -11
      h\n.8532 g 2005 1811 N 13 11 23 -6 -13 851 h\n.8532 g 1983 2679 N 13
      -851 22 -6 -13 -11 h\n.8135 g 1960 2252 N 13 11 23 655 -13 -239 h\n.52
      g 1938 1788 N 13 239 22 152 -13 73 h\n.4716 g 1915 1851 N 13 -73 23
      -294 -13 304 h\n.6353 g 1893 1942 N 13 -304 22 -538 -13 751 h\n.8702 g
      1870 2710 N 13 -751 23 -6 -13 -11 h\n.7816 g 1848 2137 N 13 11 22 696
      -13 -134 h\n.6518 g 1825 2722 N 13 134 23 53 -13 -772 h\n.6095 g 1803
      2060 N 13 772 22 94 -13 -204 h\n.5806 g 1780 1803 N 13 204 23 -868 -13
      921 h\n.5575 g 1758 1837 N 13 -921 22 756 -13 131 h\n.572 g 1735 1900 N
      13 -131 23 -768 -13 836 h\n.7232 g 1713 1975 N 13 -836 22 -6 -13 767
      h\n.7582 g 1690 2118 N 13 -767 23 -6 -13 630 h\n.8907 g 1668 2765 N 13
      -630 22 -6 -13 -11 h\n1 g 1645 2771 N 13 11 23 -7 -13 -10 h\n1 g 1623
      2777 N 13 10 22 -6 -13 -10 h\n1 g 1600 2783 N 13 10 23 -6 -13 -10 h\n1
      g 1578 2790 N 13 10 22 -6 -13 -11 h\n.8337 g 1555 2796 N 13 11 23 970
      -13 -987 h\n.4794 g 1533 1801 N 13 987 22 96 -13 -88 h\n.2613 g 1510
      1669 N 13 88 23 33 -13 11 h\n.2233 g 1488 1651 N 13 -11 22 16 -13 13
      h\n.2154 g 1465 1657 N 13 -13 23 -7 -13 14 h\n.2154 g 1443 1663 N 13
      -14 22 -6 -13 14 h\n.2154 g 1420 1669 N 13 -14 23 -6 -13 14 h\n.2154 g
      1398 1676 N 13 -14 22 -6 -13 13 h\n.2233 g 1375 1706 N 13 -13 23 -28
      -13 11 h\n.2383 g 1353 1734 N 13 -11 22 -26 -13 9 h\n.2521 g 1330 1760
      N 13 -9 23 -25 -13 8 h\n.2679 g 1308 1803 N 13 -8 22 -24 -13 -11
      h\n.3452 g 1285 2163 N 13 11 23 -52 -13 -319 h\n.3834 g 1263 1954 N 13
      319 22 -45 -13 -65 h\n.3844 g 1240 2098 N 13 65 23 -50 -13 -159
      h\n.5609 g 1218 2888 N 13 159 22 -77 -13 -872 h\n.6231 g 1195 2099 N 13
      872 23 -312 -13 229 h\n.6392 g 1173 2133 N 13 -229 22 -561 -13 756 h\n1
      g 2690 2472 N 13 11 22 -6 -13 -11 h\n1 g 2667 2478 N 13 11 23 -7 -13
      -10 h\n1 g 2645 2484 N 13 10 22 -6 -13 -10 h\n1 g 2622 2490 N 13 10 23
      -6 -13 -10 h\n.9433 g 2600 2497 N 13 10 22 327 -13 -344 h\n.6896 g 2577
      1765 N 13 344 23 413 -13 -25 h\n.6173 g 2555 2509 N 13 25 22 -2 -13
      -767 h\n.8711 g 2532 2515 N 13 767 23 -762 -13 -11 h\n.8939 g 2510 2521
      N 13 11 22 616 -13 -633 h\n.8939 g 2487 2527 N 13 633 23 -629 -13 -10
      h\n1 g 2465 2533 N 13 10 22 -6 -13 -10 h\n1 g 2442 2540 N 13 10 23 -6
      -13 -11 h\n1 g 2420 2546 N 13 11 22 -6 -13 -11 h\n1 g 2397 2552 N 13 11
      23 -6 -13 -11 h\n1 g 2375 2558 N 13 11 22 -6 -13 -11 h\n1 g 2352 2564 N
      13 11 23 -6 -13 -11 h\n1 g 2330 2570 N 13 11 22 -7 -13 -10 h\n.8823 g
      2307 1886 N 13 10 23 -6 -13 680 h\n.8823 g 2285 2583 N 13 -680 22 -6
      -13 -11 h\n.8939 g 2262 1966 N 13 11 23 -6 -13 612 h\n.6739 g 2240 1833
      N 13 -612 22 523 -13 222 h\n.531 g 2217 1859 N 13 -222 23 184 -13 12
      h\n.6237 g 2195 1860 N 13 -12 22 -725 -13 736 h\n.8727 g 2172 2613 N 13
      -736 23 -7 -13 -10 h\n.7298 g 2150 1806 N 13 10 22 767 -13 30 h\n.4693
      g 2127 1853 N 13 -30 23 -22 -13 5 h\n.646 g 2105 2632 N 13 -5 22 -214
      -13 -560 h\n.9065 g 2082 2638 N 13 560 23 -555 -13 -11 h\n.8557 g 2060
      1797 N 13 11 22 -6 -13 836 h\n.6063 g 2037 1803 N 13 -836 23 610 -13
      220 h\n.6385 g 2015 2656 N 13 -220 22 35 -13 -668 h\n.8879 g 1992 2662
      N 13 668 23 -664 -13 -10 h\n1 g 1970 2668 N 13 10 22 -6 -13 -10
      h\n.7677 g 1947 2013 N 13 10 23 696 -13 -51 h\n.4991 g 1925 1861 N 13
      51 22 49 -13 52 h\n.6409 g 1902 2155 N 13 -52 23 -763 -13 521 h\n.9094
      g 1880 2693 N 13 -521 22 -6 -13 -11 h\n1 g 1857 2699 N 13 11 23 -6 -13
      -11 h\n.8803 g 1835 2003 N 13 11 22 -7 -13 692 h\n.7505 g 1812 1950 N
      13 -692 23 -6 -13 751 h\n.7234 g 1790 1856 N 13 -751 22 -6 -13 851
      h\n.8532 g 1767 2724 N 13 -851 23 -6 -13 -11 h\n.8702 g 1745 1968 N 13
      11 22 -6 -13 751 h\n.8702 g 1722 2736 N 13 -751 23 -6 -13 -11 h\n1 g
      1700 2742 N 13 11 22 -6 -13 -11 h\n.8836 g 1677 2748 N 13 11 23 676 -13
      -693 h\n.8836 g 1655 2754 N 13 693 22 -689 -13 -10 h\n1 g 1632 2761 N
      13 10 23 -6 -13 -11 h\n.9332 g 1610 2767 N 13 11 22 386 -13 -403
      h\n.9332 g 1587 2773 N 13 403 23 -398 -13 -11 h\n.8445 g 1565 2779 N 13
      11 22 906 -13 -923 h\n.5054 g 1542 1809 N 13 923 23 96 -13 -49 h\n.2934
      g 1520 1713 N 13 49 22 58 -13 -11 h\n.2519 g 1497 1680 N 13 11 23 32
      -13 -10 h\n.2349 g 1475 1664 N 13 10 22 -6 -13 12 h\n.2311 g 1452 1671
      N 13 -12 23 -6 -13 11 h\n.2311 g 1430 1677 N 13 -11 22 -6 -13 11
      h\n.2311 g 1407 1683 N 13 -11 23 -6 -13 11 h\n.2377 g 1385 1689 N 13
      -11 22 -45 -13 50 h\n.2481 g 1362 1717 N 13 -50 23 -6 -13 28 h\n.32 g
      1340 1743 N 13 -28 22 -386 -13 388 h\n.342 g 1317 1768 N 13 -388 23 283
      -13 80 h\n.4672 g 1295 1792 N 13 -80 22 -994 -13 1050 h\n.478 g 1272
      1844 N 13 -1050 23 982 -13 16 h\n.4925 g 1250 1889 N 13 -16 22 -994 -13
      965 h\n.5331 g 1227 1939 N 13 -965 23 826 -13 89 h\n.5525 g 1205 2016 N
      13 -89 22 -838 -13 850 h\n.7585 g 1182 2328 N 13 -850 23 -7 -13 545
      h\n.9054 g 1160 2889 N 13 -545 22 -6 -13 -10 h\n1 g 2677 2461 N 13 10
      22 -6 -13 -10 h\n1 g 2654 2468 N 13 10 23 -6 -13 -11 h\n1 g 2632 2474 N
      13 11 22 -6 -13 -11 h\n1 g 2609 2480 N 13 11 23 -6 -13 -11 h\n.8236 g
      2587 2153 N 13 11 22 696 -13 -380 h\n.5699 g 2564 1740 N 13 380 23 29
      -13 4 h\n.4857 g 2542 1742 N 13 -4 22 29 -13 -27 h\n.6096 g 2519 2504 N
      13 27 23 -17 -13 -772 h\n.659 g 2497 1888 N 13 772 22 -151 -13 -5
      h\n.7888 g 2474 2517 N 13 5 23 -623 -13 -11 h\n1 g 2452 2523 N 13 11 22
      -6 -13 -11 h\n1 g 2429 2529 N 13 11 23 -6 -13 -11 h\n1 g 2407 2535 N 13
      11 22 -6 -13 -11 h\n1 g 2384 2541 N 13 11 23 -7 -13 -10 h\n1 g 2362
      2547 N 13 10 22 -6 -13 -10 h\n1 g 2339 2553 N 13 10 23 -6 -13 -10 h\n1
      g 2317 2560 N 13 10 22 -6 -13 -11 h\n1 g 2294 2566 N 13 11 23 -6 -13
      -11 h\n1 g 2272 2572 N 13 11 22 -6 -13 -11 h\n1 g 2249 2578 N 13 11 23
      -6 -13 -11 h\n.8124 g 2227 2055 N 13 11 22 565 -13 -53 h\n.6898 g 2204
      1871 N 13 53 23 -578 -13 709 h\n.8774 g 2182 2596 N 13 -709 22 -6 -13
      -10 h\n1 g 2159 2603 N 13 10 23 -6 -13 -11 h\n.7591 g 2137 1836 N 13 11
      22 635 -13 121 h\n.6302 g 2114 1858 N 13 -121 23 -647 -13 746 h\n.7776
      g 2092 2072 N 13 -746 22 -6 -13 538 h\n.8138 g 2069 2627 N 13 -538 23
      538 -13 -555 h\n.7969 g 2047 2633 N 13 555 22 97 -13 -658 h\n.6597 g
      2024 2023 N 13 658 23 79 -13 -127 h\n.658 g 2002 1988 N 13 127 22 -739
      -13 647 h\n.8879 g 1979 2652 N 13 -647 23 -6 -13 -11 h\n1 g 1957 2658 N
      13 11 22 -6 -13 -11 h\n.8803 g 1934 1962 N 13 11 23 -6 -13 691 h\n.7514
      g 1912 1913 N 13 -691 22 -6 -13 746 h\n.8711 g 1889 2676 N 13 -746 23
      -7 -13 -10 h\n1 g 1867 2682 N 13 10 22 -6 -13 -10 h\n1 g 1844 2688 N 13
      10 23 -6 -13 -10 h\n1 g 1822 2695 N 13 10 22 -6 -13 -11 h\n1 g 1799
      2701 N 13 11 23 -6 -13 -11 h\n1 g 1777 2707 N 13 11 22 -6 -13 -11 h\n1
      g 1754 2713 N 13 11 23 -6 -13 -11 h\n1 g 1732 2719 N 13 11 22 -7 -13
      -10 h\n1 g 1709 2725 N 13 10 23 -6 -13 -10 h\n1 g 1687 2731 N 13 10 22
      -6 -13 -10 h\n.7596 g 1664 2055 N 13 10 23 722 -13 -56 h\n.7596 g 1642
      2744 N 13 56 22 -734 -13 -11 h\n1 g 1619 2750 N 13 11 23 -6 -13 -11
      h\n.9332 g 1597 2364 N 13 11 22 -6 -13 381 h\n.9332 g 1574 2762 N 13
      -381 23 -7 -13 -10 h\n.8445 g 1552 1856 N 13 10 22 -6 -13 902 h\n.6716
      g 1529 1760 N 13 -902 23 -6 -13 1004 h\n.4829 g 1507 1702 N 13 -1004 22
      936 -13 126 h\n.2785 g 1484 1670 N 13 -126 23 149 -13 9 h\n.242 g 1462
      1676 N 13 -9 22 14 -13 -11 h\n.2386 g 1439 1682 N 13 11 23 -6 -13 -11
      h\n.242 g 1417 1688 N 13 11 22 -27 -13 10 h\n.2487 g 1394 1694 N 13 -10
      23 -25 -13 29 h\n.4422 g 1372 1739 N 13 -29 22 -1084 -13 1068 h\n.6326
      g 1349 1745 N 13 -1068 23 -6 -13 1068 h\n.5946 g 1327 2131 N 13 -1068
      22 597 -13 85 h\n.4792 g 1304 1848 N 13 -85 23 158 -13 210 h\n.7009 g
      1282 2842 N 13 -210 22 -773 -13 -11 h\n.6745 g 1259 1860 N 13 11 23 915
      -13 56 h\n.6745 g 1237 2854 N 13 -56 22 -928 -13 -10 h\n.8581 g 1214
      2028 N 13 10 23 -6 -13 822 h\n.8581 g 1192 2866 N 13 -822 22 -6 -13 -10
      h\n1 g 1169 2873 N 13 10 23 -6 -13 -11 h\n1 g 1147 2879 N 13 11 22 -6
      -13 -11 h\n1 g 2664 2451 N 13 11 22 -6 -13 -11 h\n1 g 2641 2457 N 13 11
      23 -6 -13 -11 h\n1 g 2619 2463 N 13 11 22 -6 -13 -11 h\n1 g 2596 2469 N
      13 11 23 -7 -13 -10 h\n.8803 g 2574 1773 N 13 10 22 -6 -13 692 h\n.7547
      g 2551 1744 N 13 -692 23 -6 -13 727 h\n.6093 g 2529 1715 N 13 -727 22
      777 -13 -21 h\n.4707 g 2506 1732 N 13 21 23 0 -13 -38 h\n.5404 g 2484
      1883 N 13 38 22 -266 -13 77 h\n.8047 g 2461 2506 N 13 -77 23 -535 -13
      -11 h\n1 g 2439 2512 N 13 11 22 -7 -13 -10 h\n1 g 2416 2518 N 13 10 23
      -6 -13 -10 h\n1 g 2394 2524 N 13 10 22 -6 -13 -10 h\n1 g 2371 2531 N 13
      10 23 -6 -13 -11 h\n1 g 2349 2537 N 13 11 22 -6 -13 -11 h\n1 g 2326
      2543 N 13 11 23 -6 -13 -11 h\n1 g 2304 2549 N 13 11 22 -6 -13 -11 h\n1
      g 2281 2555 N 13 11 23 -6 -13 -11 h\n1 g 2259 2561 N 13 11 22 -7 -13
      -10 h\n1 g 2236 2567 N 13 10 23 -6 -13 -10 h\n.9026 g 2214 2002 N 13 10
      22 -6 -13 561 h\n.9026 g 2191 2580 N 13 -561 23 -6 -13 -11 h\n1 g 2169
      2586 N 13 11 22 -6 -13 -11 h\n1 g 2146 2592 N 13 11 23 -6 -13 -11
      h\n.8045 g 2124 1957 N 13 11 22 499 -13 125 h\n.8045 g 2101 2604 N 13
      -125 23 -512 -13 -10 h\n1 g 2079 2610 N 13 10 22 -6 -13 -10 h\n.9073 g
      2056 2072 N 13 10 23 -6 -13 534 h\n.7969 g 2034 1975 N 13 -534 22 -6
      -13 637 h\n.7648 g 2011 1896 N 13 -637 23 -6 -13 722 h\n.8752 g 1989
      2635 N 13 -722 22 -6 -13 -11 h\n1 g 1966 2641 N 13 11 23 -6 -13 -11
      h\n1 g 1944 2647 N 13 11 22 -7 -13 -10 h\n1 g 1921 2653 N 13 10 23 -6
      -13 -10 h\n1 g 1899 2659 N 13 10 22 -6 -13 -10 h\n1 g 1876 2666 N 13 10
      23 -6 -13 -11 h\n1 g 1854 2672 N 13 11 22 -6 -13 -11 h\n1 g 1831 2678 N
      13 11 23 -6 -13 -11 h\n1 g 1809 2684 N 13 11 22 -6 -13 -11 h\n1 g 1786
      2690 N 13 11 23 -7 -13 -10 h\n1 g 1764 2696 N 13 10 22 -6 -13 -10 h\n1
      g 1741 2702 N 13 10 23 -6 -13 -10 h\n1 g 1719 2709 N 13 10 22 -6 -13
      -11 h\n1 g 1696 2715 N 13 11 23 -6 -13 -11 h\n1 g 1674 2721 N 13 11 22
      -6 -13 -11 h\n.8759 g 1651 1999 N 13 11 23 -6 -13 717 h\n.7425 g 1629
      2733 N 13 -717 22 777 -13 -794 h\n.8665 g 1606 2739 N 13 794 23 -790
      -13 -10 h\n1 g 1584 2745 N 13 10 22 -6 -13 -10 h\n1 g 1561 2752 N 13 10
      23 -6 -13 -11 h\n1 g 1539 2758 N 13 11 22 -6 -13 -11 h\n1 g 1516 2764 N
      13 11 23 -6 -13 -11 h\n.8395 g 1494 1828 N 13 11 22 -6 -13 931 h\n.4689
      g 1471 1679 N 13 -931 23 1072 -13 8 h\n.2521 g 1449 1665 N 13 -8 22 12
      -13 10 h\n.2455 g 1426 1671 N 13 -10 23 -6 -13 10 h\n.2489 g 1404 1698
      N 13 -10 22 -6 -13 -11 h\n.2617 g 1381 1723 N 13 11 23 -42 -13 6
      h\n.6355 g 1359 2807 N 13 -6 22 -1067 -13 -11 h\n1 g 1336 2813 N 13 11
      23 -6 -13 -11 h\n.8973 g 1314 2216 N 13 11 22 -6 -13 592 h\n.7666 g
      1291 2058 N 13 -592 23 -7 -13 757 h\n.7318 g 1269 2831 N 13 -757 22 801
      -13 -817 h\n.7054 g 1246 1916 N 13 817 23 -813 -13 911 h\n.8429 g 1224
      2844 N 13 -911 22 -6 -13 -11 h\n1 g 1201 2850 N 13 11 23 -6 -13 -11
      h\n1 g 1179 2856 N 13 11 22 -6 -13 -11 h\n1 g 1156 2862 N 13 11 23 -6
      -13 -11 h\n1 g 1134 2868 N 13 11 22 -7 -13 -10 h\n1 g 2651 2440 N 13 11
      22 -7 -13 -10 h\n1 g 2628 2446 N 13 10 23 -6 -13 -10 h\n1 g 2606 2452 N
      13 10 22 -6 -13 -10 h\n1 g 2583 2459 N 13 10 23 -6 -13 -11 h\n.8968 g
      2561 2465 N 13 11 22 599 -13 -616 h\n.8968 g 2538 2471 N 13 616 23 -611
      -13 -11 h\n.7311 g 2516 1694 N 13 11 22 788 -13 -22 h\n.4592 g 2493
      1694 N 13 22 23 6 -13 -28 h\n.4993 g 2471 1960 N 13 28 22 0 -13 -294
      h\n.6378 g 2448 2495 N 13 294 23 -35 -13 -794 h\n.744 g 2426 2502 N 13
      794 22 -71 -13 -730 h\n.8774 g 2403 2508 N 13 730 23 -725 -13 -11 h\n1
      g 2381 2514 N 13 11 22 -6 -13 -11 h\n1 g 2358 2520 N 13 11 23 -6 -13
      -11 h\n1 g 2336 2526 N 13 11 22 -6 -13 -11 h\n1 g 2313 2532 N 13 11 23
      -7 -13 -10 h\n1 g 2291 2538 N 13 10 22 -6 -13 -10 h\n1 g 2268 2544 N 13
      10 23 -6 -13 -10 h\n1 g 2246 2551 N 13 10 22 -6 -13 -11 h\n1 g 2223
      2557 N 13 11 23 -6 -13 -11 h\n1 g 2201 2563 N 13 11 22 -6 -13 -11 h\n1
      g 2178 2569 N 13 11 23 -6 -13 -11 h\n1 g 2156 2575 N 13 11 22 -7 -13
      -10 h\n1 g 2133 2581 N 13 10 23 -6 -13 -10 h\n.9138 g 2111 2082 N 13 10
      22 -6 -13 495 h\n.9138 g 2088 2594 N 13 -495 23 -6 -13 -11 h\n1 g 2066
      2600 N 13 11 22 -6 -13 -11 h\n1 g 2043 2606 N 13 11 23 -6 -13 -11 h\n1
      g 2021 2612 N 13 11 22 -6 -13 -11 h\n1 g 1998 2618 N 13 11 23 -7 -13
      -10 h\n1 g 1976 2624 N 13 10 22 -6 -13 -10 h\n1 g 1953 2630 N 13 10 23
      -6 -13 -10 h\n1 g 1931 2637 N 13 10 22 -6 -13 -11 h\n1 g 1908 2643 N 13
      11 23 -6 -13 -11 h\n1 g 1886 2649 N 13 11 22 -6 -13 -11 h\n1 g 1863
      2655 N 13 11 23 -6 -13 -11 h\n1 g 1841 2661 N 13 11 22 -6 -13 -11 h\n1
      g 1818 2667 N 13 11 23 -7 -13 -10 h\n1 g 1796 2673 N 13 10 22 -6 -13
      -10 h\n1 g 1773 2680 N 13 10 23 -6 -13 -11 h\n1 g 1751 2686 N 13 11 22
      -6 -13 -11 h\n1 g 1728 2692 N 13 11 23 -6 -13 -11 h\n1 g 1706 2698 N 13
      11 22 -6 -13 -11 h\n1 g 1683 2704 N 13 11 23 -6 -13 -11 h\n1 g 1661
      2710 N 13 11 22 -7 -13 -10 h\n1 g 1638 2716 N 13 10 23 -6 -13 -10
      h\n.728 g 1616 1939 N 13 10 22 807 -13 -40 h\n.5849 g 1593 2729 N 13 40
      23 21 -13 -851 h\n.7653 g 1571 2735 N 13 851 22 -308 -13 -549 h\n.9084
      g 1548 2741 N 13 549 23 -544 -13 -11 h\n1 g 1526 2747 N 13 11 22 -6 -13
      -11 h\n.8337 g 1503 2753 N 13 11 23 969 -13 -986 h\n.6584 g 1481 2759 N
      13 986 22 47 -13 -1039 h\n.4602 g 1458 1687 N 13 1039 23 26 -13 7
      h\n.2649 g 1436 1675 N 13 -7 22 11 -13 8 h\n.2588 g 1413 1681 N 13 -8
      23 -6 -13 8 h\n.2617 g 1391 1687 N 13 -8 22 -24 -13 26 h\n.3365 g 1368
      1729 N 13 -26 23 -391 -13 375 h\n.7042 g 1346 2796 N 13 -375 22 -681
      -13 -11 h\n.8855 g 1323 2802 N 13 11 23 665 -13 -682 h\n.8855 g 1301
      2808 N 13 682 22 -678 -13 -10 h\n1 g 1278 2815 N 13 10 23 -6 -13 -11
      h\n.7651 g 1256 2014 N 13 11 22 566 -13 224 h\n.7651 g 1233 2827 N 13
      -224 23 -578 -13 -11 h\n1 g 1211 2833 N 13 11 22 -6 -13 -11 h\n1 g 1188
      2839 N 13 11 23 -6 -13 -11 h\n1 g 1166 2845 N 13 11 22 -7 -13 -10 h\n1
      g 1143 2851 N 13 10 23 -6 -13 -10 h\n1 g 1121 2858 N 13 10 22 -6 -13
      -11 h\n1 g 2638 2430 N 13 10 22 -6 -13 -11 h\n1 g 2615 2436 N 13 11 23
      -6 -13 -11 h\n1 g 2593 2442 N 13 11 22 -6 -13 -11 h\n1 g 2570 2448 N 13
      11 23 -6 -13 -11 h\n.8968 g 2548 1849 N 13 11 22 -6 -13 594 h\n.7704 g
      2525 2460 N 13 -594 23 735 -13 -752 h\n.6483 g 2503 1672 N 13 752 22
      -220 -13 256 h\n.4976 g 2480 1666 N 13 -256 23 286 -13 -24 h\n.4424 g
      2458 1666 N 13 24 22 7 -13 -31 h\n.5861 g 2435 1701 N 13 31 23 -839 -13
      773 h\n.744 g 2413 1772 N 13 -773 22 -6 -13 708 h\n.8774 g 2390 2497 N
      13 -708 23 -6 -13 -11 h\n1 g 2368 2503 N 13 11 22 -7 -13 -10 h\n1 g
      2345 2509 N 13 10 23 -6 -13 -10 h\n1 g 2323 2515 N 13 10 22 -6 -13 -10
      h\n1 g 2300 2522 N 13 10 23 -6 -13 -11 h\n1 g 2278 2528 N 13 11 22 -6
      -13 -11 h\n1 g 2255 2534 N 13 11 23 -6 -13 -11 h\n1 g 2233 2540 N 13 11
      22 -6 -13 -11 h\n1 g 2210 2546 N 13 11 23 -6 -13 -11 h\n1 g 2188 2552 N
      13 11 22 -7 -13 -10 h\n1 g 2165 2558 N 13 10 23 -6 -13 -10 h\n1 g 2143
      2565 N 13 10 22 -6 -13 -11 h\n1 g 2120 2571 N 13 11 23 -6 -13 -11 h\n1
      g 2098 2577 N 13 11 22 -6 -13 -11 h\n1 g 2075 2583 N 13 11 23 -6 -13
      -11 h\n1 g 2053 2589 N 13 11 22 -6 -13 -11 h\n1 g 2030 2595 N 13 11 23
      -7 -13 -10 h\n1 g 2008 2601 N 13 10 22 -6 -13 -10 h\n1 g 1985 2608 N 13
      10 23 -6 -13 -11 h\n1 g 1963 2614 N 13 11 22 -6 -13 -11 h\n1 g 1940
      2620 N 13 11 23 -6 -13 -11 h\n1 g 1918 2626 N 13 11 22 -6 -13 -11 h\n1
      g 1895 2632 N 13 11 23 -6 -13 -11 h\n1 g 1873 2638 N 13 11 22 -7 -13
      -10 h\n1 g 1850 2644 N 13 10 23 -6 -13 -10 h\n1 g 1828 2650 N 13 10 22
      -6 -13 -10 h\n1 g 1805 2657 N 13 10 23 -6 -13 -11 h\n1 g 1783 2663 N 13
      11 22 -6 -13 -11 h\n1 g 1760 2669 N 13 11 23 -6 -13 -11 h\n1 g 1738
      2675 N 13 11 22 -6 -13 -11 h\n1 g 1715 2681 N 13 11 23 -7 -13 -10 h\n1
      g 1693 2687 N 13 10 22 -6 -13 -10 h\n1 g 1670 2693 N 13 10 23 -6 -13
      -10 h\n1 g 1648 2700 N 13 10 22 -6 -13 -11 h\n1 g 1625 2706 N 13 11 23
      -6 -13 -11 h\n.7334 g 1603 1899 N 13 11 22 745 -13 51 h\n.5903 g 1580
      1878 N 13 -51 23 -757 -13 829 h\n.6129 g 1558 2186 N 13 -829 22 888 -13
      -367 h\n.5972 g 1535 2730 N 13 367 23 31 -13 -942 h\n.677 g 1513 2736 N
      13 942 22 26 -13 -974 h\n.4989 g 1490 1767 N 13 974 23 31 -13 -36
      h\n.3124 g 1468 1720 N 13 36 22 22 -13 -11 h\n.2906 g 1445 1694 N 13 11
      23 9 -13 6 h\n.2768 g 1423 1683 N 13 -6 22 10 -13 7 h\n.2711 g 1400
      1689 N 13 -7 23 -6 -13 7 h\n.2768 g 1378 1713 N 13 -7 22 -22 -13 5
      h\n.3981 g 1355 2104 N 13 -5 23 -299 -13 -87 h\n.7568 g 1333 2785 N 13
      87 22 -758 -13 -10 h\n.7374 g 1310 2120 N 13 10 23 863 -13 -208
      h\n.7374 g 1288 2798 N 13 208 22 -875 -13 -11 h\n1 g 1265 2804 N 13 11
      23 -6 -13 -11 h\n.9026 g 1243 2238 N 13 11 22 -6 -13 561 h\n.9026 g
      1220 2816 N 13 -561 23 -7 -13 -10 h\n1 g 1198 2822 N 13 10 22 -6 -13
      -10 h\n1 g 1175 2828 N 13 10 23 -6 -13 -10 h\n1 g 1153 2835 N 13 10 22
      -6 -13 -11 h\n1 g 1130 2841 N 13 11 23 -6 -13 -11 h\n1 g 1108 2847 N 13
      11 22 -6 -13 -11 h\n1 g 2625 2419 N 13 11 22 -6 -13 -11 h\n1 g 2602
      2425 N 13 11 23 -6 -13 -11 h\n1 g 2580 2431 N 13 11 22 -7 -13 -10 h\n1
      g 2557 2437 N 13 10 23 -6 -13 -10 h\n1 g 2535 2443 N 13 10 22 -6 -13
      -10 h\n.8736 g 2512 1708 N 13 10 23 -6 -13 731 h\n.6871 g 2490 1928 N
      13 -731 22 561 -13 -50 h\n.5343 g 2467 1642 N 13 50 23 246 -13 -10
      h\n.4345 g 2445 1635 N 13 10 22 21 -13 -24 h\n.7138 g 2422 2474 N 13 24
      23 -852 -13 -11 h\n1 g 2400 2480 N 13 11 22 -7 -13 -10 h\n.8693 g 2377
      2486 N 13 10 23 761 -13 -777 h\n.8693 g 2355 2493 N 13 777 22 -773 -13
      -11 h\n1 g 2332 2499 N 13 11 23 -6 -13 -11 h\n1 g 2310 2505 N 13 11 22
      -6 -13 -11 h\n1 g 2287 2511 N 13 11 23 -6 -13 -11 h\n1 g 2265 2517 N 13
      11 22 -6 -13 -11 h\n1 g 2242 2523 N 13 11 23 -7 -13 -10 h\n1 g 2220
      2529 N 13 10 22 -6 -13 -10 h\n1 g 2197 2535 N 13 10 23 -6 -13 -10 h\n1
      g 2175 2542 N 13 10 22 -6 -13 -11 h\n1 g 2152 2548 N 13 11 23 -6 -13
      -11 h\n1 g 2130 2554 N 13 11 22 -6 -13 -11 h\n1 g 2107 2560 N 13 11 23
      -6 -13 -11 h\n1 g 2085 2566 N 13 11 22 -7 -13 -10 h\n1 g 2062 2572 N 13
      10 23 -6 -13 -10 h\n1 g 2040 2578 N 13 10 22 -6 -13 -10 h\n1 g 2017
      2585 N 13 10 23 -6 -13 -11 h\n1 g 1995 2591 N 13 11 22 -6 -13 -11 h\n1
      g 1972 2597 N 13 11 23 -6 -13 -11 h\n1 g 1950 2603 N 13 11 22 -6 -13
      -11 h\n1 g 1927 2609 N 13 11 23 -7 -13 -10 h\n1 g 1905 2615 N 13 10 22
      -6 -13 -10 h\n1 g 1882 2621 N 13 10 23 -6 -13 -10 h\n1 g 1860 2628 N 13
      10 22 -6 -13 -11 h\n1 g 1837 2634 N 13 11 23 -6 -13 -11 h\n1 g 1815
      2640 N 13 11 22 -6 -13 -11 h\n1 g 1792 2646 N 13 11 23 -6 -13 -11 h\n1
      g 1770 2652 N 13 11 22 -6 -13 -11 h\n1 g 1747 2658 N 13 11 23 -7 -13
      -10 h\n1 g 1725 2664 N 13 10 22 -6 -13 -10 h\n1 g 1702 2671 N 13 10 23
      -6 -13 -11 h\n1 g 1680 2677 N 13 11 22 -6 -13 -11 h\n1 g 1657 2683 N 13
      11 23 -6 -13 -11 h\n1 g 1635 2689 N 13 11 22 -6 -13 -11 h\n1 g 1612
      2695 N 13 11 23 -6 -13 -11 h\n.8719 g 1590 1950 N 13 11 22 -7 -13 741
      h\n.7749 g 1567 2707 N 13 -741 23 564 -13 -580 h\n.7506 g 1545 1819 N
      13 580 22 -576 -13 884 h\n.5446 g 1522 1788 N 13 -884 23 841 -13 74
      h\n.3739 g 1500 1762 N 13 -74 22 79 -13 21 h\n.4085 g 1477 1731 N 13
      -21 23 -364 -13 416 h\n.3878 g 1455 1709 N 13 -416 22 408 -13 30
      h\n.3054 g 1432 1700 N 13 -30 23 20 -13 19 h\n.2904 g 1410 1690 N 13
      -19 22 24 -13 5 h\n.2826 g 1387 1696 N 13 -5 23 -6 -13 5 h\n.2879 g
      1365 1718 N 13 -5 22 -22 -13 5 h\n.348 g 1342 2017 N 13 -5 23 -34 -13
      -260 h\n.5371 g 1320 2775 N 13 260 22 -43 -13 -975 h\n.5337 g 1297 1912
      N 13 975 23 -67 -13 -45 h\n.698 g 1275 2787 N 13 45 22 -910 -13 -10
      h\n1 g 1252 2793 N 13 10 23 -6 -13 -10 h\n1 g 1230 2799 N 13 10 22 -6
      -13 -10 h\n1 g 1207 2806 N 13 10 23 -6 -13 -11 h\n1 g 1185 2812 N 13 11
      22 -6 -13 -11 h\n1 g 1162 2818 N 13 11 23 -6 -13 -11 h\n1 g 1140 2824 N
      13 11 22 -6 -13 -11 h\n1 g 1117 2830 N 13 11 23 -6 -13 -11 h\n1 g 1095
      2836 N 13 11 22 -7 -13 -10 h\n1 g 2612 2408 N 13 11 22 -7 -13 -10 h\n1
      g 2589 2414 N 13 10 23 -6 -13 -10 h\n1 g 2567 2421 N 13 10 22 -6 -13
      -11 h\n1 g 2544 2427 N 13 11 23 -6 -13 -11 h\n1 g 2522 2433 N 13 11 22
      -6 -13 -11 h\n.9073 g 2499 2439 N 13 11 23 538 -13 -555 h\n.7093 g 2477
      1878 N 13 555 22 44 -13 -38 h\n.5205 g 2454 1632 N 13 38 23 232 -13 -24
      h\n.4286 g 2432 1611 N 13 24 22 15 -13 -18 h\n.5607 g 2409 2463 N 13 18
      23 18 -13 -888 h\n.7023 g 2387 2470 N 13 888 22 -15 -13 -880 h\n.5793 g
      2364 1709 N 13 880 23 -42 -13 -77 h\n.5958 g 2342 2482 N 13 77 22 -67
      -13 -783 h\n.8684 g 2319 2488 N 13 783 23 -778 -13 -11 h\n1 g 2297 2494
      N 13 11 22 -7 -13 -10 h\n1 g 2274 2500 N 13 10 23 -6 -13 -10 h\n1 g
      2252 2506 N 13 10 22 -6 -13 -10 h\n1 g 2229 2513 N 13 10 23 -6 -13 -11
      h\n1 g 2207 2519 N 13 11 22 -6 -13 -11 h\n1 g 2184 2525 N 13 11 23 -6
      -13 -11 h\n1 g 2162 2531 N 13 11 22 -6 -13 -11 h\n1 g 2139 2537 N 13 11
      23 -7 -13 -10 h\n1 g 2117 2543 N 13 10 22 -6 -13 -10 h\n1 g 2094 2549 N
      13 10 23 -6 -13 -10 h\n1 g 2072 2556 N 13 10 22 -6 -13 -11 h\n1 g 2049
      2562 N 13 11 23 -6 -13 -11 h\n1 g 2027 2568 N 13 11 22 -6 -13 -11 h\n1
      g 2004 2574 N 13 11 23 -6 -13 -11 h\n1 g 1982 2580 N 13 11 22 -6 -13
      -11 h\n1 g 1959 2586 N 13 11 23 -7 -13 -10 h\n1 g 1937 2592 N 13 10 22
      -6 -13 -10 h\n1 g 1914 2599 N 13 10 23 -6 -13 -11 h\n1 g 1892 2605 N 13
      11 22 -6 -13 -11 h\n1 g 1869 2611 N 13 11 23 -6 -13 -11 h\n1 g 1847
      2617 N 13 11 22 -6 -13 -11 h\n1 g 1824 2623 N 13 11 23 -6 -13 -11 h\n1
      g 1802 2629 N 13 11 22 -7 -13 -10 h\n1 g 1779 2635 N 13 10 23 -6 -13
      -10 h\n1 g 1757 2641 N 13 10 22 -6 -13 -10 h\n1 g 1734 2648 N 13 10 23
      -6 -13 -11 h\n1 g 1712 2654 N 13 11 22 -6 -13 -11 h\n1 g 1689 2660 N 13
      11 23 -6 -13 -11 h\n1 g 1667 2666 N 13 11 22 -6 -13 -11 h\n1 g 1644
      2672 N 13 11 23 -7 -13 -10 h\n1 g 1622 2678 N 13 10 22 -6 -13 -10 h\n1
      g 1599 2684 N 13 10 23 -6 -13 -10 h\n1 g 1577 2691 N 13 10 22 -6 -13
      -11 h\n.903 g 1554 2127 N 13 11 23 -6 -13 559 h\n.903 g 1532 2703 N 13
      -559 22 -6 -13 -11 h\n.8557 g 1509 1862 N 13 11 23 -6 -13 836 h\n.5488
      g 1487 1783 N 13 -836 22 863 -13 52 h\n.5952 g 1464 2147 N 13 -52 23
      -876 -13 564 h\n.7338 g 1442 1739 N 13 -564 22 -6 -13 978 h\n.6587 g
      1419 1719 N 13 -978 23 -6 -13 1004 h\n.4785 g 1397 1695 N 13 -1004 22
      995 -13 33 h\n.3006 g 1374 1701 N 13 -33 23 7 -13 20 h\n.3009 g 1352
      1723 N 13 -20 22 -6 -13 4 h\n.3106 g 1329 1757 N 13 -4 23 -19 -13 -11
      h\n.4946 g 1307 1800 N 13 11 22 -1008 -13 954 h\n.6818 g 1284 1867 N 13
      -954 23 -6 -13 893 h\n.8461 g 1262 2777 N 13 -893 22 -6 -13 -11 h\n1 g
      1239 2783 N 13 11 23 -6 -13 -11 h\n1 g 1217 2789 N 13 11 22 -6 -13 -11
      h\n1 g 1194 2795 N 13 11 23 -6 -13 -11 h\n1 g 1172 2801 N 13 11 22 -6
      -13 -11 h\n1 g 1149 2807 N 13 11 23 -7 -13 -10 h\n1 g 1127 2813 N 13 10
      22 -6 -13 -10 h\n1 g 1104 2819 N 13 10 23 -6 -13 -10 h\n1 g 1082 2826 N
      13 10 22 -6 -13 -11 h\n1 g 2599 2398 N 13 10 22 -6 -13 -11 h\n1 g 2576
      2404 N 13 11 23 -6 -13 -11 h\n1 g 2554 2410 N 13 11 22 -6 -13 -11 h\n1
      g 2531 2416 N 13 11 23 -6 -13 -11 h\n1 g 2509 2422 N 13 11 22 -7 -13
      -10 h\n.9073 g 2486 1884 N 13 10 23 -6 -13 534 h\n.6787 g 2464 1840 N
      13 -534 22 741 -13 -163 h\n.4997 g 2441 1608 N 13 163 23 9 -13 60
      h\n.5119 g 2419 1593 N 13 -60 22 -352 -13 427 h\n.4832 g 2396 1575 N 13
      -427 23 463 -13 -18 h\n.4005 g 2374 1590 N 13 18 22 -6 -13 -27 h\n.559
      g 2351 1632 N 13 27 23 -892 -13 823 h\n.7265 g 2329 1699 N 13 -823 22
      -6 -13 762 h\n.8684 g 2306 2477 N 13 -762 23 -6 -13 -10 h\n1 g 2284
      2484 N 13 10 22 -6 -13 -11 h\n1 g 2261 2490 N 13 11 23 -6 -13 -11 h\n1
      g 2239 2496 N 13 11 22 -6 -13 -11 h\n1 g 2216 2502 N 13 11 23 -6 -13
      -11 h\n1 g 2194 2508 N 13 11 22 -6 -13 -11 h\n1 g 2171 2514 N 13 11 23
      -7 -13 -10 h\n1 g 2149 2520 N 13 10 22 -6 -13 -10 h\n1 g 2126 2527 N 13
      10 23 -6 -13 -11 h\n1 g 2104 2533 N 13 11 22 -6 -13 -11 h\n1 g 2081
      2539 N 13 11 23 -6 -13 -11 h\n1 g 2059 2545 N 13 11 22 -6 -13 -11 h\n1
      g 2036 2551 N 13 11 23 -6 -13 -11 h\n1 g 2014 2557 N 13 11 22 -7 -13
      -10 h\n1 g 1991 2563 N 13 10 23 -6 -13 -10 h\n1 g 1969 2569 N 13 10 22
      -6 -13 -10 h\n1 g 1946 2576 N 13 10 23 -6 -13 -11 h\n1 g 1924 2582 N 13
      11 22 -6 -13 -11 h\n1 g 1901 2588 N 13 11 23 -6 -13 -11 h\n1 g 1879
      2594 N 13 11 22 -6 -13 -11 h\n1 g 1856 2600 N 13 11 23 -7 -13 -10 h\n1
      g 1834 2606 N 13 10 22 -6 -13 -10 h\n1 g 1811 2612 N 13 10 23 -6 -13
      -10 h\n1 g 1789 2619 N 13 10 22 -6 -13 -11 h\n1 g 1766 2625 N 13 11 23
      -6 -13 -11 h\n1 g 1744 2631 N 13 11 22 -6 -13 -11 h\n1 g 1721 2637 N 13
      11 23 -6 -13 -11 h\n1 g 1699 2643 N 13 11 22 -6 -13 -11 h\n1 g 1676
      2649 N 13 11 23 -7 -13 -10 h\n1 g 1654 2655 N 13 10 22 -6 -13 -10 h\n1
      g 1631 2662 N 13 10 23 -6 -13 -11 h\n1 g 1609 2668 N 13 11 22 -6 -13
      -11 h\n1 g 1586 2674 N 13 11 23 -6 -13 -11 h\n1 g 1564 2680 N 13 11 22
      -6 -13 -11 h\n1 g 1541 2686 N 13 11 23 -6 -13 -11 h\n1 g 1519 2692 N 13
      11 22 -7 -13 -10 h\n1 g 1496 2698 N 13 10 23 -6 -13 -10 h\n.8519 g 1474
      1835 N 13 10 22 -6 -13 859 h\n.8519 g 1451 2711 N 13 -859 23 -6 -13 -11
      h\n1 g 1429 2717 N 13 11 22 -6 -13 -11 h\n.8843 g 1406 2723 N 13 11 23
      673 -13 -690 h\n.7137 g 1384 1728 N 13 690 22 -685 -13 990 h\n.4881 g
      1361 1721 N 13 -990 23 981 -13 16 h\n.3152 g 1339 1727 N 13 -16 22 7
      -13 3 h\n.3217 g 1316 1746 N 13 -3 23 -43 -13 27 h\n.6652 g 1294 2754 N
      13 -27 22 -970 -13 -11 h\n.8929 g 1271 2760 N 13 11 23 623 -13 -640
      h\n.8929 g 1249 2766 N 13 640 22 -635 -13 -11 h\n1 g 1226 2772 N 13 11
      23 -6 -13 -11 h\n1 g 1204 2778 N 13 11 22 -7 -13 -10 h\n1 g 1181 2784 N
      13 10 23 -6 -13 -10 h\n1 g 1159 2790 N 13 10 22 -6 -13 -10 h\n1 g 1136
      2797 N 13 10 23 -6 -13 -11 h\n1 g 1114 2803 N 13 11 22 -6 -13 -11 h\n1
      g 1091 2809 N 13 11 23 -6 -13 -11 h\n1 g 1069 2815 N 13 11 22 -6 -13
      -11 h\n1 g 2586 2387 N 13 11 22 -6 -13 -11 h\n1 g 2563 2393 N 13 11 23
      -6 -13 -11 h\n1 g 2541 2399 N 13 11 22 -7 -13 -10 h\n1 g 2518 2405 N 13
      10 23 -6 -13 -10 h\n1 g 2496 2412 N 13 10 22 -6 -13 -11 h\n1 g 2473
      2418 N 13 11 23 -6 -13 -11 h\n.8727 g 2451 1677 N 13 11 22 -6 -13 736
      h\n.7429 g 2428 1668 N 13 -736 23 -6 -13 751 h\n.7994 g 2406 2020 N 13
      -751 22 -6 -13 405 h\n.6244 g 2383 1557 N 13 -405 23 896 -13 -28
      h\n.3888 g 2361 1563 N 13 28 22 4 -13 -38 h\n.6936 g 2338 2455 N 13 38
      23 -919 -13 -11 h\n1 g 2316 2461 N 13 11 22 -6 -13 -11 h\n.8752 g 2293
      2467 N 13 11 23 726 -13 -743 h\n.8752 g 2271 2473 N 13 743 22 -738 -13
      -11 h\n1 g 2248 2479 N 13 11 23 -6 -13 -11 h\n1 g 2226 2485 N 13 11 22
      -7 -13 -10 h\n1 g 2203 2491 N 13 10 23 -6 -13 -10 h\n1 g 2181 2497 N 13
      10 22 -6 -13 -10 h\n1 g 2158 2504 N 13 10 23 -6 -13 -11 h\n1 g 2136
      2510 N 13 11 22 -6 -13 -11 h\n1 g 2113 2516 N 13 11 23 -6 -13 -11 h\n1
      g 2091 2522 N 13 11 22 -6 -13 -11 h\n1 g 2068 2528 N 13 11 23 -7 -13
      -10 h\n1 g 2046 2534 N 13 10 22 -6 -13 -10 h\n1 g 2023 2540 N 13 10 23
      -6 -13 -10 h\n1 g 2001 2547 N 13 10 22 -6 -13 -11 h\n1 g 1978 2553 N 13
      11 23 -6 -13 -11 h\n1 g 1956 2559 N 13 11 22 -6 -13 -11 h\n1 g 1933
      2565 N 13 11 23 -6 -13 -11 h\n1 g 1911 2571 N 13 11 22 -6 -13 -11 h\n1
      g 1888 2577 N 13 11 23 -7 -13 -10 h\n1 g 1866 2583 N 13 10 22 -6 -13
      -10 h\n1 g 1843 2590 N 13 10 23 -6 -13 -11 h\n1 g 1821 2596 N 13 11 22
      -6 -13 -11 h\n1 g 1798 2602 N 13 11 23 -6 -13 -11 h\n1 g 1776 2608 N 13
      11 22 -6 -13 -11 h\n1 g 1753 2614 N 13 11 23 -6 -13 -11 h\n1 g 1731
      2620 N 13 11 22 -7 -13 -10 h\n1 g 1708 2626 N 13 10 23 -6 -13 -10 h\n1
      g 1686 2632 N 13 10 22 -6 -13 -10 h\n1 g 1663 2639 N 13 10 23 -6 -13
      -11 h\n1 g 1641 2645 N 13 11 22 -6 -13 -11 h\n1 g 1618 2651 N 13 11 23
      -6 -13 -11 h\n1 g 1596 2657 N 13 11 22 -6 -13 -11 h\n1 g 1573 2663 N 13
      11 23 -7 -13 -10 h\n1 g 1551 2669 N 13 10 22 -6 -13 -10 h\n1 g 1528
      2675 N 13 10 23 -6 -13 -10 h\n1 g 1506 2682 N 13 10 22 -6 -13 -11 h\n1
      g 1483 2688 N 13 11 23 -6 -13 -11 h\n1 g 1461 2694 N 13 11 22 -6 -13
      -11 h\n1 g 1438 2700 N 13 11 23 -6 -13 -11 h\n1 g 1416 2706 N 13 11 22
      -7 -13 -10 h\n.8843 g 1393 2033 N 13 10 23 -6 -13 669 h\n.8843 g 1371
      2718 N 13 -669 22 -6 -13 -10 h\n.6674 g 1348 1737 N 13 10 23 958 -13 13
      h\n.3305 g 1326 1730 N 13 -13 22 6 -13 14 h\n.3365 g 1303 1773 N 13 -14
      23 -29 -13 0 h\n.6734 g 1281 2743 N 13 0 22 -959 -13 -11 h\n.7631 g
      1258 2120 N 13 11 23 755 -13 -143 h\n.7631 g 1236 2755 N 13 143 22 -768
      -13 -10 h\n1 g 1213 2761 N 13 10 23 -6 -13 -10 h\n1 g 1191 2768 N 13 10
      22 -6 -13 -11 h\n1 g 1168 2774 N 13 11 23 -6 -13 -11 h\n1 g 1146 2780 N
      13 11 22 -6 -13 -11 h\n1 g 1123 2786 N 13 11 23 -6 -13 -11 h\n1 g 1101
      2792 N 13 11 22 -6 -13 -11 h\n1 g 1078 2798 N 13 11 23 -7 -13 -10 h\n1
      g 1056 2804 N 13 10 22 -6 -13 -10 h\n1 g 2573 2376 N 13 10 22 -6 -13
      -10 h\n1 g 2550 2382 N 13 10 23 -6 -13 -10 h\n1 g 2528 2389 N 13 10 22
      -6 -13 -11 h\n1 g 2505 2395 N 13 11 23 -6 -13 -11 h\n1 g 2483 2401 N 13
      11 22 -6 -13 -11 h\n1 g 2460 2407 N 13 11 23 -6 -13 -11 h\n1 g 2438
      2413 N 13 11 22 -7 -13 -10 h\n1 g 2415 2419 N 13 10 23 -6 -13 -10 h\n1
      g 2393 2425 N 13 10 22 -6 -13 -10 h\n.6907 g 2370 1529 N 13 10 23 906
      -13 -20 h\n.3764 g 2348 1525 N 13 20 22 14 -13 -30 h\n.527 g 2325 2444
      N 13 30 23 -7 -13 -942 h\n.6873 g 2303 2450 N 13 942 22 -34 -13 -914
      h\n.5731 g 2280 1724 N 13 914 23 -40 -13 -148 h\n.5851 g 2258 2462 N 13
      148 22 -43 -13 -843 h\n.7325 g 2235 2468 N 13 843 23 -102 -13 -747
      h\n.8744 g 2213 2475 N 13 747 22 -743 -13 -11 h\n1 g 2190 2481 N 13 11
      23 -6 -13 -11 h\n1 g 2168 2487 N 13 11 22 -6 -13 -11 h\n1 g 2145 2493 N
      13 11 23 -6 -13 -11 h\n1 g 2123 2499 N 13 11 22 -6 -13 -11 h\n1 g 2100
      2505 N 13 11 23 -7 -13 -10 h\n1 g 2078 2511 N 13 10 22 -6 -13 -10 h\n1
      g 2055 2518 N 13 10 23 -6 -13 -11 h\n1 g 2033 2524 N 13 11 22 -6 -13
      -11 h\n1 g 2010 2530 N 13 11 23 -6 -13 -11 h\n1 g 1988 2536 N 13 11 22
      -6 -13 -11 h\n1 g 1965 2542 N 13 11 23 -6 -13 -11 h\n1 g 1943 2548 N 13
      11 22 -7 -13 -10 h\n1 g 1920 2554 N 13 10 23 -6 -13 -10 h\n1 g 1898
      2560 N 13 10 22 -6 -13 -10 h\n1 g 1875 2567 N 13 10 23 -6 -13 -11 h\n1
      g 1853 2573 N 13 11 22 -6 -13 -11 h\n1 g 1830 2579 N 13 11 23 -6 -13
      -11 h\n1 g 1808 2585 N 13 11 22 -6 -13 -11 h\n1 g 1785 2591 N 13 11 23
      -7 -13 -10 h\n1 g 1763 2597 N 13 10 22 -6 -13 -10 h\n1 g 1740 2603 N 13
      10 23 -6 -13 -10 h\n1 g 1718 2610 N 13 10 22 -6 -13 -11 h\n1 g 1695
      2616 N 13 11 23 -6 -13 -11 h\n1 g 1673 2622 N 13 11 22 -6 -13 -11 h\n1
      g 1650 2628 N 13 11 23 -6 -13 -11 h\n1 g 1628 2634 N 13 11 22 -7 -13
      -10 h\n1 g 1605 2640 N 13 10 23 -6 -13 -10 h\n1 g 1583 2646 N 13 10 22
      -6 -13 -10 h\n1 g 1560 2653 N 13 10 23 -6 -13 -11 h\n1 g 1538 2659 N 13
      11 22 -6 -13 -11 h\n1 g 1515 2665 N 13 11 23 -6 -13 -11 h\n1 g 1493
      2671 N 13 11 22 -6 -13 -11 h\n1 g 1470 2677 N 13 11 23 -6 -13 -11 h\n1
      g 1448 2683 N 13 11 22 -7 -13 -10 h\n1 g 1425 2689 N 13 10 23 -6 -13
      -10 h\n.8646 g 1403 2696 N 13 10 22 789 -13 -806 h\n.8646 g 1380 2702 N
      13 806 23 -801 -13 -11 h\n.8476 g 1358 2708 N 13 11 22 888 -13 -905
      h\n.521 g 1335 1750 N 13 905 23 52 -13 1 h\n.3447 g 1313 1744 N 13 -1
      22 -6 -13 13 h\n.3485 g 1290 1773 N 13 -13 23 -17 -13 1 h\n.5247 g 1268
      2732 N 13 -1 22 -54 -13 -904 h\n.571 g 1245 1977 N 13 904 23 -38 -13
      -111 h\n.5969 g 1223 2745 N 13 111 22 -126 -13 -753 h\n.8736 g 1200
      2751 N 13 753 23 -748 -13 -11 h\n1 g 1178 2757 N 13 11 22 -6 -13 -11
      h\n1 g 1155 2763 N 13 11 23 -6 -13 -11 h\n1 g 1133 2769 N 13 11 22 -7
      -13 -10 h\n1 g 1110 2775 N 13 10 23 -6 -13 -10 h\n1 g 1088 2781 N 13 10
      22 -6 -13 -10 h\n1 g 1065 2788 N 13 10 23 -6 -13 -11 h\n1 g 1043 2794 N
      13 11 22 -6 -13 -11 h\n1 g 2560 2366 N 13 11 22 -6 -13 -11 h\n1 g 2537
      2372 N 13 11 23 -6 -13 -11 h\n1 g 2515 2378 N 13 11 22 -6 -13 -11 h\n1
      g 2492 2384 N 13 11 23 -7 -13 -10 h\n1 g 2470 2390 N 13 10 22 -6 -13
      -10 h\n1 g 2447 2396 N 13 10 23 -6 -13 -10 h\n1 g 2425 2403 N 13 10 22
      -6 -13 -11 h\n.8736 g 2402 2409 N 13 11 23 736 -13 -753 h\n.7267 g 2380
      2415 N 13 753 22 113 -13 -872 h\n.5453 g 2357 1509 N 13 872 23 27 -13 7
      h\n.3729 g 2335 1495 N 13 -7 22 42 -13 -21 h\n.3596 g 2312 1502 N 13 21
      23 4 -13 -32 h\n.3626 g 2290 1536 N 13 32 22 -6 -13 -60 h\n.3832 g 2267
      1576 N 13 60 23 -65 -13 -35 h\n.5576 g 2245 1619 N 13 35 22 -900 -13
      822 h\n.597 g 2222 1721 N 13 -822 23 789 -13 -69 h\n.7389 g 2200 2464 N
      13 69 22 -801 -13 -11 h\n1 g 2177 2470 N 13 11 23 -6 -13 -11 h\n1 g
      2155 2476 N 13 11 22 -7 -13 -10 h\n1 g 2132 2482 N 13 10 23 -6 -13 -10
      h\n1 g 2110 2488 N 13 10 22 -6 -13 -10 h\n1 g 2087 2495 N 13 10 23 -6
      -13 -11 h\n1 g 2065 2501 N 13 11 22 -6 -13 -11 h\n1 g 2042 2507 N 13 11
      23 -6 -13 -11 h\n1 g 2020 2513 N 13 11 22 -6 -13 -11 h\n1 g 1997 2519 N
      13 11 23 -7 -13 -10 h\n1 g 1975 2525 N 13 10 22 -6 -13 -10 h\n1 g 1952
      2531 N 13 10 23 -6 -13 -10 h\n1 g 1930 2538 N 13 10 22 -6 -13 -11 h\n1
      g 1907 2544 N 13 11 23 -6 -13 -11 h\n1 g 1885 2550 N 13 11 22 -6 -13
      -11 h\n1 g 1862 2556 N 13 11 23 -6 -13 -11 h\n1 g 1840 2562 N 13 11 22
      -7 -13 -10 h\n1 g 1817 2568 N 13 10 23 -6 -13 -10 h\n1 g 1795 2574 N 13
      10 22 -6 -13 -10 h\n1 g 1772 2581 N 13 10 23 -6 -13 -11 h\n1 g 1750
      2587 N 13 11 22 -6 -13 -11 h\n1 g 1727 2593 N 13 11 23 -6 -13 -11 h\n1
      g 1705 2599 N 13 11 22 -6 -13 -11 h\n1 g 1682 2605 N 13 11 23 -6 -13
      -11 h\n1 g 1660 2611 N 13 11 22 -7 -13 -10 h\n1 g 1637 2617 N 13 10 23
      -6 -13 -10 h\n1 g 1615 2624 N 13 10 22 -6 -13 -11 h\n1 g 1592 2630 N 13
      11 23 -6 -13 -11 h\n1 g 1570 2636 N 13 11 22 -6 -13 -11 h\n1 g 1547
      2642 N 13 11 23 -6 -13 -11 h\n1 g 1525 2648 N 13 11 22 -6 -13 -11 h\n1
      g 1502 2654 N 13 11 23 -7 -13 -10 h\n1 g 1480 2660 N 13 10 22 -6 -13
      -10 h\n1 g 1457 2666 N 13 10 23 -6 -13 -10 h\n1 g 1435 2673 N 13 10 22
      -6 -13 -11 h\n1 g 1412 2679 N 13 11 23 -6 -13 -11 h\n.7389 g 1390 1890
      N 13 11 22 731 -13 47 h\n.597 g 1367 2691 N 13 -47 23 89 -13 -843
      h\n.5576 g 1345 1803 N 13 843 22 31 -13 14 h\n.3832 g 1322 1751 N 13
      -14 23 27 -13 39 h\n.3626 g 1300 1757 N 13 -39 22 23 -13 10 h\n.3596 g
      1277 1774 N 13 -10 23 -6 -13 -1 h\n.3729 g 1255 1828 N 13 1 22 -26 -13
      -29 h\n.5453 g 1232 1866 N 13 29 23 -918 -13 851 h\n.7267 g 1210 1992 N
      13 -851 22 -6 -13 731 h\n.8736 g 1187 2740 N 13 -731 23 -6 -13 -11 h\n1
      g 1165 2746 N 13 11 22 -7 -13 -10 h\n1 g 1142 2752 N 13 10 23 -6 -13
      -10 h\n1 g 1120 2759 N 13 10 22 -6 -13 -11 h\n1 g 1097 2765 N 13 11 23
      -6 -13 -11 h\n1 g 1075 2771 N 13 11 22 -6 -13 -11 h\n1 g 1052 2777 N 13
      11 23 -6 -13 -11 h\n1 g 1030 2783 N 13 11 22 -6 -13 -11 h\n1 g 2547
      2355 N 13 11 22 -6 -13 -11 h\n1 g 2524 2361 N 13 11 23 -7 -13 -10 h\n1
      g 2502 2367 N 13 10 22 -6 -13 -10 h\n1 g 2479 2374 N 13 10 23 -6 -13
      -11 h\n1 g 2457 2380 N 13 11 22 -6 -13 -11 h\n1 g 2434 2386 N 13 11 23
      -6 -13 -11 h\n1 g 2412 2392 N 13 11 22 -6 -13 -11 h\n.8736 g 2389 1656
      N 13 11 23 -6 -13 731 h\n.5969 g 2367 1543 N 13 -731 22 755 -13 89
      h\n.571 g 2344 1516 N 13 -89 23 -768 -13 884 h\n.5247 g 2322 1474 N 13
      -884 22 947 -13 -21 h\n.3485 g 2299 1470 N 13 21 23 17 -13 -34 h\n.3447
      g 2277 1476 N 13 34 22 -18 -13 -22 h\n.521 g 2254 1541 N 13 22 23 -970
      -13 883 h\n.8476 g 2232 2441 N 13 -883 22 -6 -13 -11 h\n.8646 g 2209
      1652 N 13 11 23 -7 -13 785 h\n.8646 g 2187 2453 N 13 -785 22 -6 -13 -10
      h\n1 g 2164 2459 N 13 10 23 -6 -13 -10 h\n1 g 2142 2466 N 13 10 22 -6
      -13 -11 h\n1 g 2119 2472 N 13 11 23 -6 -13 -11 h\n1 g 2097 2478 N 13 11
      22 -6 -13 -11 h\n1 g 2074 2484 N 13 11 23 -6 -13 -11 h\n1 g 2052 2490 N
      13 11 22 -6 -13 -11 h\n1 g 2029 2496 N 13 11 23 -7 -13 -10 h\n1 g 2007
      2502 N 13 10 22 -6 -13 -10 h\n1 g 1984 2509 N 13 10 23 -6 -13 -11 h\n1
      g 1962 2515 N 13 11 22 -6 -13 -11 h\n1 g 1939 2521 N 13 11 23 -6 -13
      -11 h\n1 g 1917 2527 N 13 11 22 -6 -13 -11 h\n1 g 1894 2533 N 13 11 23
      -6 -13 -11 h\n1 g 1872 2539 N 13 11 22 -7 -13 -10 h\n1 g 1849 2545 N 13
      10 23 -6 -13 -10 h\n1 g 1827 2552 N 13 10 22 -6 -13 -11 h\n1 g 1804
      2558 N 13 11 23 -6 -13 -11 h\n1 g 1782 2564 N 13 11 22 -6 -13 -11 h\n1
      g 1759 2570 N 13 11 23 -6 -13 -11 h\n1 g 1737 2576 N 13 11 22 -6 -13
      -11 h\n1 g 1714 2582 N 13 11 23 -7 -13 -10 h\n1 g 1692 2588 N 13 10 22
      -6 -13 -10 h\n1 g 1669 2594 N 13 10 23 -6 -13 -10 h\n1 g 1647 2601 N 13
      10 22 -6 -13 -11 h\n1 g 1624 2607 N 13 11 23 -6 -13 -11 h\n1 g 1602
      2613 N 13 11 22 -6 -13 -11 h\n1 g 1579 2619 N 13 11 23 -6 -13 -11 h\n1
      g 1557 2625 N 13 11 22 -7 -13 -10 h\n1 g 1534 2631 N 13 10 23 -6 -13
      -10 h\n1 g 1512 2637 N 13 10 22 -6 -13 -10 h\n1 g 1489 2644 N 13 10 23
      -6 -13 -11 h\n1 g 1467 2650 N 13 11 22 -6 -13 -11 h\n1 g 1444 2656 N 13
      11 23 -6 -13 -11 h\n1 g 1422 2662 N 13 11 22 -6 -13 -11 h\n1 g 1399
      2668 N 13 11 23 -6 -13 -11 h\n.8744 g 1377 1937 N 13 11 22 -7 -13 727
      h\n.7325 g 1354 1848 N 13 -727 23 -6 -13 822 h\n.5851 g 1332 1817 N 13
      -822 22 727 -13 126 h\n.5731 g 1309 1790 N 13 -126 23 -739 -13 892
      h\n.6873 g 1287 1767 N 13 -892 22 -6 -13 921 h\n.527 g 1264 1773 N 13
      -921 23 906 -13 9 h\n.3764 g 1242 1799 N 13 -9 22 -15 -13 -2 h\n.6907 g
      1219 2717 N 13 2 23 -910 -13 -10 h\n1 g 1197 2723 N 13 10 22 -6 -13 -10
      h\n1 g 1174 2729 N 13 10 23 -6 -13 -10 h\n1 g 1152 2736 N 13 10 22 -6
      -13 -11 h\n1 g 1129 2742 N 13 11 23 -6 -13 -11 h\n1 g 1107 2748 N 13 11
      22 -6 -13 -11 h\n1 g 1084 2754 N 13 11 23 -6 -13 -11 h\n1 g 1062 2760 N
      13 11 22 -7 -13 -10 h\n1 g 1039 2766 N 13 10 23 -6 -13 -10 h\n1 g 1017
      2772 N 13 10 22 -6 -13 -10 h\n1 g 2534 2344 N 13 10 22 -6 -13 -10 h\n1
      g 2511 2351 N 13 10 23 -6 -13 -11 h\n1 g 2489 2357 N 13 11 22 -6 -13
      -11 h\n1 g 2466 2363 N 13 11 23 -6 -13 -11 h\n1 g 2444 2369 N 13 11 22
      -6 -13 -11 h\n1 g 2421 2375 N 13 11 23 -7 -13 -10 h\n1 g 2399 2381 N 13
      10 22 -6 -13 -10 h\n1 g 2376 2387 N 13 10 23 -6 -13 -10 h\n.7631 g 2354
      1632 N 13 10 22 623 -13 122 h\n.7631 g 2331 2400 N 13 -122 23 -635 -13
      -11 h\n.6734 g 2309 1453 N 13 11 22 958 -13 -22 h\n.3365 g 2286 1436 N
      13 22 23 31 -13 -36 h\n.3305 g 2264 1454 N 13 36 22 -19 -13 -35
      h\n.6674 g 2241 2424 N 13 35 23 -995 -13 -10 h\n.8843 g 2219 2430 N 13
      10 22 673 -13 -689 h\n.8843 g 2196 2437 N 13 689 23 -685 -13 -11 h\n1 g
      2174 2443 N 13 11 22 -6 -13 -11 h\n1 g 2151 2449 N 13 11 23 -6 -13 -11
      h\n1 g 2129 2455 N 13 11 22 -6 -13 -11 h\n1 g 2106 2461 N 13 11 23 -6
      -13 -11 h\n1 g 2084 2467 N 13 11 22 -7 -13 -10 h\n1 g 2061 2473 N 13 10
      23 -6 -13 -10 h\n1 g 2039 2479 N 13 10 22 -6 -13 -10 h\n1 g 2016 2486 N
      13 10 23 -6 -13 -11 h\n1 g 1994 2492 N 13 11 22 -6 -13 -11 h\n1 g 1971
      2498 N 13 11 23 -6 -13 -11 h\n1 g 1949 2504 N 13 11 22 -6 -13 -11 h\n1
      g 1926 2510 N 13 11 23 -7 -13 -10 h\n1 g 1904 2516 N 13 10 22 -6 -13
      -10 h\n1 g 1881 2522 N 13 10 23 -6 -13 -10 h\n1 g 1859 2529 N 13 10 22
      -6 -13 -11 h\n1 g 1836 2535 N 13 11 23 -6 -13 -11 h\n1 g 1814 2541 N 13
      11 22 -6 -13 -11 h\n1 g 1791 2547 N 13 11 23 -6 -13 -11 h\n1 g 1769
      2553 N 13 11 22 -7 -13 -10 h\n1 g 1746 2559 N 13 10 23 -6 -13 -10 h\n1
      g 1724 2565 N 13 10 22 -6 -13 -10 h\n1 g 1701 2572 N 13 10 23 -6 -13
      -11 h\n1 g 1679 2578 N 13 11 22 -6 -13 -11 h\n1 g 1656 2584 N 13 11 23
      -6 -13 -11 h\n1 g 1634 2590 N 13 11 22 -6 -13 -11 h\n1 g 1611 2596 N 13
      11 23 -6 -13 -11 h\n1 g 1589 2602 N 13 11 22 -7 -13 -10 h\n1 g 1566
      2608 N 13 10 23 -6 -13 -10 h\n1 g 1544 2615 N 13 10 22 -6 -13 -11 h\n1
      g 1521 2621 N 13 11 23 -6 -13 -11 h\n1 g 1499 2627 N 13 11 22 -6 -13
      -11 h\n1 g 1476 2633 N 13 11 23 -6 -13 -11 h\n1 g 1454 2639 N 13 11 22
      -6 -13 -11 h\n1 g 1431 2645 N 13 11 23 -7 -13 -10 h\n1 g 1409 2651 N 13
      10 22 -6 -13 -10 h\n1 g 1386 2657 N 13 10 23 -6 -13 -10 h\n1 g 1364
      2664 N 13 10 22 -6 -13 -11 h\n1 g 1341 2670 N 13 11 23 -6 -13 -11
      h\n.8752 g 1319 1943 N 13 11 22 -6 -13 722 h\n.8752 g 1296 2682 N 13
      -722 23 -6 -13 -11 h\n1 g 1274 2688 N 13 11 22 -7 -13 -10 h\n.6936 g
      1251 1782 N 13 10 23 880 -13 16 h\n.3888 g 1229 1797 N 13 -16 22 -6 -13
      7 h\n.6244 g 1206 2707 N 13 -7 23 -476 -13 -427 h\n.7994 g 1184 2713 N
      13 427 22 340 -13 -773 h\n.7429 g 1161 2719 N 13 773 23 -21 -13 -758
      h\n.8727 g 1139 2725 N 13 758 22 -753 -13 -11 h\n1 g 1116 2731 N 13 11
      23 -7 -13 -10 h\n1 g 1094 2737 N 13 10 22 -6 -13 -10 h\n1 g 1071 2743 N
      13 10 23 -6 -13 -10 h\n1 g 1049 2750 N 13 10 22 -6 -13 -11 h\n1 g 1026
      2756 N 13 11 23 -6 -13 -11 h\n1 g 1004 2762 N 13 11 22 -6 -13 -11 h\n1
      g 2521 2334 N 13 11 22 -6 -13 -11 h\n1 g 2498 2340 N 13 11 23 -6 -13
      -11 h\n1 g 2476 2346 N 13 11 22 -6 -13 -11 h\n1 g 2453 2352 N 13 11 23
      -7 -13 -10 h\n1 g 2431 2358 N 13 10 22 -6 -13 -10 h\n1 g 2408 2365 N 13
      10 23 -6 -13 -11 h\n1 g 2386 2371 N 13 11 22 -6 -13 -11 h\n1 g 2363
      2377 N 13 11 23 -6 -13 -11 h\n.8929 g 2341 1754 N 13 11 22 -6 -13 618
      h\n.8929 g 2318 2389 N 13 -618 23 -6 -13 -11 h\n.6652 g 2296 1431 N 13
      11 22 994 -13 -47 h\n.3217 g 2273 1400 N 13 47 23 8 -13 -24 h\n.3152 g
      2251 1419 N 13 24 22 -6 -13 -37 h\n.4881 g 2228 2414 N 13 37 23 -20 -13
      -1012 h\n.7137 g 2206 1741 N 13 1012 22 -1007 -13 668 h\n.8843 g 2183
      2426 N 13 -668 23 -6 -13 -11 h\n1 g 2161 2432 N 13 11 22 -6 -13 -11
      h\n.8519 g 2138 2438 N 13 11 23 863 -13 -880 h\n.8519 g 2116 2444 N 13
      880 22 -876 -13 -10 h\n1 g 2093 2450 N 13 10 23 -6 -13 -10 h\n1 g 2071
      2457 N 13 10 22 -6 -13 -11 h\n1 g 2048 2463 N 13 11 23 -6 -13 -11 h\n1
      g 2026 2469 N 13 11 22 -6 -13 -11 h\n1 g 2003 2475 N 13 11 23 -6 -13
      -11 h\n1 g 1981 2481 N 13 11 22 -7 -13 -10 h\n1 g 1958 2487 N 13 10 23
      -6 -13 -10 h\n1 g 1936 2493 N 13 10 22 -6 -13 -10 h\n1 g 1913 2500 N 13
      10 23 -6 -13 -11 h\n1 g 1891 2506 N 13 11 22 -6 -13 -11 h\n1 g 1868
      2512 N 13 11 23 -6 -13 -11 h\n1 g 1846 2518 N 13 11 22 -6 -13 -11 h\n1
      g 1823 2524 N 13 11 23 -6 -13 -11 h\n1 g 1801 2530 N 13 11 22 -7 -13
      -10 h\n1 g 1778 2536 N 13 10 23 -6 -13 -10 h\n1 g 1756 2543 N 13 10 22
      -6 -13 -11 h\n1 g 1733 2549 N 13 11 23 -6 -13 -11 h\n1 g 1711 2555 N 13
      11 22 -6 -13 -11 h\n1 g 1688 2561 N 13 11 23 -6 -13 -11 h\n1 g 1666
      2567 N 13 11 22 -6 -13 -11 h\n1 g 1643 2573 N 13 11 23 -7 -13 -10 h\n1
      g 1621 2579 N 13 10 22 -6 -13 -10 h\n1 g 1598 2585 N 13 10 23 -6 -13
      -10 h\n1 g 1576 2592 N 13 10 22 -6 -13 -11 h\n1 g 1553 2598 N 13 11 23
      -6 -13 -11 h\n1 g 1531 2604 N 13 11 22 -6 -13 -11 h\n1 g 1508 2610 N 13
      11 23 -6 -13 -11 h\n1 g 1486 2616 N 13 11 22 -7 -13 -10 h\n1 g 1463
      2622 N 13 10 23 -6 -13 -10 h\n1 g 1441 2628 N 13 10 22 -6 -13 -10 h\n1
      g 1418 2635 N 13 10 23 -6 -13 -11 h\n1 g 1396 2641 N 13 11 22 -6 -13
      -11 h\n1 g 1373 2647 N 13 11 23 -6 -13 -11 h\n1 g 1351 2653 N 13 11 22
      -6 -13 -11 h\n1 g 1328 2659 N 13 11 23 -7 -13 -10 h\n1 g 1306 2665 N 13
      10 22 -6 -13 -10 h\n.8684 g 1283 2671 N 13 10 23 767 -13 -783 h\n.7265
      g 1261 2678 N 13 783 22 54 -13 -844 h\n.559 g 1238 1798 N 13 844 23 30
      -13 6 h\n.4005 g 1216 1804 N 13 -6 22 2 -13 -2 h\n.4832 g 1193 2280 N
      13 2 23 -29 -13 -449 h\n.5119 g 1171 1940 N 13 449 22 -28 -13 -81
      h\n.4997 g 1148 1961 N 13 81 23 -244 -13 142 h\n.6787 g 1126 2714 N 13
      -142 22 -57 -13 -554 h\n.9073 g 1103 2721 N 13 554 23 -550 -13 -11 h\n1
      g 1081 2727 N 13 11 22 -6 -13 -11 h\n1 g 1058 2733 N 13 11 23 -6 -13
      -11 h\n1 g 1036 2739 N 13 11 22 -6 -13 -11 h\n1 g 1013 2745 N 13 11 23
      -6 -13 -11 h\n1 g 991 2751 N 13 11 22 -7 -13 -10 h\n1 g 2508 2323 N 13
      11 22 -7 -13 -10 h\n1 g 2485 2329 N 13 10 23 -6 -13 -10 h\n1 g 2463
      2335 N 13 10 22 -6 -13 -10 h\n1 g 2440 2342 N 13 10 23 -6 -13 -11 h\n1
      g 2418 2348 N 13 11 22 -6 -13 -11 h\n1 g 2395 2354 N 13 11 23 -6 -13
      -11 h\n1 g 2373 2360 N 13 11 22 -6 -13 -11 h\n1 g 2350 2366 N 13 11 23
      -7 -13 -10 h\n.8461 g 2328 2372 N 13 10 22 897 -13 -913 h\n.6818 g 2305
      2378 N 13 913 23 55 -13 -974 h\n.4946 g 2283 1384 N 13 974 22 31 -13
      -11 h\n.3106 g 2260 1376 N 13 11 23 22 -13 -25 h\n.3009 g 2238 1382 N
      13 25 22 9 -13 -40 h\n.3006 g 2215 1402 N 13 40 23 -6 -13 -54 h\n.4785
      g 2193 2409 N 13 54 22 -36 -13 -1025 h\n.6587 g 2170 2415 N 13 1025 23
      -33 -13 -998 h\n.7338 g 2148 2421 N 13 998 22 -420 -13 -584 h\n.5952 g
      2125 1558 N 13 584 23 352 -13 -73 h\n.5488 g 2103 2434 N 13 73 22 -91
      -13 -858 h\n.8557 g 2080 2440 N 13 858 23 -853 -13 -11 h\n.903 g 2058
      2446 N 13 11 22 563 -13 -580 h\n.903 g 2035 2452 N 13 580 23 -575 -13
      -11 h\n1 g 2013 2458 N 13 11 22 -7 -13 -10 h\n1 g 1990 2464 N 13 10 23
      -6 -13 -10 h\n1 g 1968 2471 N 13 10 22 -6 -13 -11 h\n1 g 1945 2477 N 13
      11 23 -6 -13 -11 h\n1 g 1923 2483 N 13 11 22 -6 -13 -11 h\n1 g 1900
      2489 N 13 11 23 -6 -13 -11 h\n1 g 1878 2495 N 13 11 22 -6 -13 -11 h\n1
      g 1855 2501 N 13 11 23 -7 -13 -10 h\n1 g 1833 2507 N 13 10 22 -6 -13
      -10 h\n1 g 1810 2513 N 13 10 23 -6 -13 -10 h\n1 g 1788 2520 N 13 10 22
      -6 -13 -11 h\n1 g 1765 2526 N 13 11 23 -6 -13 -11 h\n1 g 1743 2532 N 13
      11 22 -6 -13 -11 h\n1 g 1720 2538 N 13 11 23 -6 -13 -11 h\n1 g 1698
      2544 N 13 11 22 -7 -13 -10 h\n1 g 1675 2550 N 13 10 23 -6 -13 -10 h\n1
      g 1653 2556 N 13 10 22 -6 -13 -10 h\n1 g 1630 2563 N 13 10 23 -6 -13
      -11 h\n1 g 1608 2569 N 13 11 22 -6 -13 -11 h\n1 g 1585 2575 N 13 11 23
      -6 -13 -11 h\n1 g 1563 2581 N 13 11 22 -6 -13 -11 h\n1 g 1540 2587 N 13
      11 23 -6 -13 -11 h\n1 g 1518 2593 N 13 11 22 -7 -13 -10 h\n1 g 1495
      2599 N 13 10 23 -6 -13 -10 h\n1 g 1473 2606 N 13 10 22 -6 -13 -11 h\n1
      g 1450 2612 N 13 11 23 -6 -13 -11 h\n1 g 1428 2618 N 13 11 22 -6 -13
      -11 h\n1 g 1405 2624 N 13 11 23 -6 -13 -11 h\n1 g 1383 2630 N 13 11 22
      -6 -13 -11 h\n1 g 1360 2636 N 13 11 23 -7 -13 -10 h\n1 g 1338 2642 N 13
      10 22 -6 -13 -10 h\n1 g 1315 2649 N 13 10 23 -6 -13 -11 h\n1 g 1293
      2655 N 13 11 22 -6 -13 -11 h\n.8684 g 1270 1888 N 13 11 23 -6 -13 762
      h\n.5958 g 1248 1834 N 13 -762 22 761 -13 55 h\n.5793 g 1225 1804 N 13
      -55 23 -773 -13 858 h\n.7023 g 1203 1802 N 13 -858 22 -7 -13 867
      h\n.5607 g 1180 1831 N 13 -867 23 841 -13 -3 h\n.4286 g 1158 1859 N 13
      3 22 -33 -13 2 h\n.5205 g 1135 2103 N 13 -2 23 -259 -13 17 h\n.7093 g
      1113 2160 N 13 -17 22 -573 -13 533 h\n.9073 g 1090 2710 N 13 -533 23 -6
      -13 -11 h\n1 g 1068 2716 N 13 11 22 -6 -13 -11 h\n1 g 1045 2722 N 13 11
      23 -7 -13 -10 h\n1 g 1023 2728 N 13 10 22 -6 -13 -10 h\n1 g 1000 2734 N
      13 10 23 -6 -13 -10 h\n1 g 978 2741 N 13 10 22 -6 -13 -11 h\n1 g 2495
      2313 N 13 10 22 -6 -13 -11 h\n1 g 2472 2319 N 13 11 23 -6 -13 -11 h\n1
      g 2450 2325 N 13 11 22 -6 -13 -11 h\n1 g 2427 2331 N 13 11 23 -6 -13
      -11 h\n1 g 2405 2337 N 13 11 22 -6 -13 -11 h\n1 g 2382 2343 N 13 11 23
      -7 -13 -10 h\n1 g 2360 2349 N 13 10 22 -6 -13 -10 h\n1 g 2337 2356 N 13
      10 23 -6 -13 -11 h\n.698 g 2315 1459 N 13 11 22 863 -13 23 h\n.5337 g
      2292 1404 N 13 -23 23 -875 -13 953 h\n.5371 g 2270 1373 N 13 -953 22
      745 -13 239 h\n.348 g 2247 1351 N 13 -239 23 287 -13 -26 h\n.2879 g
      2225 1342 N 13 26 22 10 -13 -27 h\n.2826 g 2202 1348 N 13 27 23 -6 -13
      -27 h\n.2904 g 2180 1384 N 13 27 22 -22 -13 -41 h\n.3054 g 2157 1417 N
      13 41 23 -22 -13 -52 h\n.3878 g 2135 1837 N 13 52 22 -34 -13 -438
      h\n.4085 g 2112 1485 N 13 438 23 -43 -13 -43 h\n.3739 g 2090 1576 N 13
      43 22 -39 -13 -95 h\n.5446 g 2067 2429 N 13 95 23 -43 -13 -905 h\n.7506
      g 2045 1866 N 13 905 22 -901 -13 559 h\n.7749 g 2022 2441 N 13 -559 23
      746 -13 -762 h\n.8719 g 2000 2448 N 13 762 22 -758 -13 -11 h\n1 g 1977
      2454 N 13 11 23 -6 -13 -11 h\n1 g 1955 2460 N 13 11 22 -6 -13 -11 h\n1
      g 1932 2466 N 13 11 23 -6 -13 -11 h\n1 g 1910 2472 N 13 11 22 -7 -13
      -10 h\n1 g 1887 2478 N 13 10 23 -6 -13 -10 h\n1 g 1865 2484 N 13 10 22
      -6 -13 -10 h\n1 g 1842 2491 N 13 10 23 -6 -13 -11 h\n1 g 1820 2497 N 13
      11 22 -6 -13 -11 h\n1 g 1797 2503 N 13 11 23 -6 -13 -11 h\n1 g 1775
      2509 N 13 11 22 -6 -13 -11 h\n1 g 1752 2515 N 13 11 23 -6 -13 -11 h\n1
      g 1730 2521 N 13 11 22 -7 -13 -10 h\n1 g 1707 2527 N 13 10 23 -6 -13
      -10 h\n1 g 1685 2534 N 13 10 22 -6 -13 -11 h\n1 g 1662 2540 N 13 11 23
      -6 -13 -11 h\n1 g 1640 2546 N 13 11 22 -6 -13 -11 h\n1 g 1617 2552 N 13
      11 23 -6 -13 -11 h\n1 g 1595 2558 N 13 11 22 -6 -13 -11 h\n1 g 1572
      2564 N 13 11 23 -7 -13 -10 h\n1 g 1550 2570 N 13 10 22 -6 -13 -10 h\n1
      g 1527 2576 N 13 10 23 -6 -13 -10 h\n1 g 1505 2583 N 13 10 22 -6 -13
      -11 h\n1 g 1482 2589 N 13 11 23 -6 -13 -11 h\n1 g 1460 2595 N 13 11 22
      -6 -13 -11 h\n1 g 1437 2601 N 13 11 23 -6 -13 -11 h\n1 g 1415 2607 N 13
      11 22 -7 -13 -10 h\n1 g 1392 2613 N 13 10 23 -6 -13 -10 h\n1 g 1370
      2619 N 13 10 22 -6 -13 -10 h\n1 g 1347 2626 N 13 10 23 -6 -13 -11 h\n1
      g 1325 2632 N 13 11 22 -6 -13 -11 h\n1 g 1302 2638 N 13 11 23 -6 -13
      -11 h\n1 g 1280 2644 N 13 11 22 -6 -13 -11 h\n1 g 1257 2650 N 13 11 23
      -7 -13 -10 h\n.8693 g 1235 1889 N 13 10 22 -6 -13 757 h\n.8693 g 1212
      2662 N 13 -757 23 -6 -13 -10 h\n1 g 1190 2669 N 13 10 22 -6 -13 -11
      h\n.7138 g 1167 1828 N 13 11 23 827 -13 3 h\n.4345 g 1145 1861 N 13 -3
      22 -20 -13 -10 h\n.5343 g 1122 2120 N 13 10 23 -298 -13 29 h\n.6871 g
      1100 2693 N 13 -29 22 208 -13 -752 h\n.8736 g 1077 2699 N 13 752 23
      -748 -13 -10 h\n1 g 1055 2705 N 13 10 22 -6 -13 -10 h\n1 g 1032 2712 N
      13 10 23 -6 -13 -11 h\n1 g 1010 2718 N 13 11 22 -6 -13 -11 h\n1 g 987
      2724 N 13 11 23 -6 -13 -11 h\n1 g 965 2730 N 13 11 22 -6 -13 -11 h\n1 g
      2482 2302 N 13 11 22 -6 -13 -11 h\n1 g 2459 2308 N 13 11 23 -6 -13 -11
      h\n1 g 2437 2314 N 13 11 22 -7 -13 -10 h\n1 g 2414 2320 N 13 10 23 -6
      -13 -10 h\n1 g 2392 2326 N 13 10 22 -6 -13 -10 h\n.9026 g 2369 2333 N
      13 10 23 566 -13 -583 h\n.9026 g 2347 2339 N 13 583 22 -578 -13 -11
      h\n1 g 2324 2345 N 13 11 23 -6 -13 -11 h\n.7374 g 2302 1482 N 13 11 22
      665 -13 187 h\n.7374 g 2279 2357 N 13 -187 23 -678 -13 -10 h\n.7568 g
      2257 1612 N 13 10 22 670 -13 65 h\n.3981 g 2234 1325 N 13 -65 23 379
      -13 -27 h\n.2768 g 2212 1315 N 13 27 22 11 -13 -28 h\n.2711 g 2189 1321
      N 13 28 23 -6 -13 -28 h\n.2768 g 2167 1343 N 13 28 22 -24 -13 -26
      h\n.2906 g 2144 1365 N 13 26 23 -37 -13 -11 h\n.3124 g 2122 1399 N 13
      11 22 -60 -13 15 h\n.4989 g 2099 1442 N 13 -15 23 -982 -13 954 h\n.677
      g 2077 1481 N 13 -954 22 -6 -13 921 h\n.5972 g 2054 1524 N 13 -921 23
      532 -13 346 h\n.6129 g 2032 2425 N 13 -346 22 296 -13 -851 h\n.5903 g
      2009 1679 N 13 851 23 -33 -13 -72 h\n.7334 g 1987 2437 N 13 72 22 -819
      -13 -11 h\n1 g 1964 2443 N 13 11 23 -6 -13 -11 h\n1 g 1942 2449 N 13 11
      22 -7 -13 -10 h\n1 g 1919 2455 N 13 10 23 -6 -13 -10 h\n1 g 1897 2462 N
      13 10 22 -6 -13 -11 h\n1 g 1874 2468 N 13 11 23 -6 -13 -11 h\n1 g 1852
      2474 N 13 11 22 -6 -13 -11 h\n1 g 1829 2480 N 13 11 23 -6 -13 -11 h\n1
      g 1807 2486 N 13 11 22 -6 -13 -11 h\n1 g 1784 2492 N 13 11 23 -7 -13
      -10 h\n1 g 1762 2498 N 13 10 22 -6 -13 -10 h\n1 g 1739 2504 N 13 10 23
      -6 -13 -10 h\n1 g 1717 2511 N 13 10 22 -6 -13 -11 h\n1 g 1694 2517 N 13
      11 23 -6 -13 -11 h\n1 g 1672 2523 N 13 11 22 -6 -13 -11 h\n1 g 1649
      2529 N 13 11 23 -6 -13 -11 h\n1 g 1627 2535 N 13 11 22 -7 -13 -10 h\n1
      g 1604 2541 N 13 10 23 -6 -13 -10 h\n1 g 1582 2547 N 13 10 22 -6 -13
      -10 h\n1 g 1559 2554 N 13 10 23 -6 -13 -11 h\n1 g 1537 2560 N 13 11 22
      -6 -13 -11 h\n1 g 1514 2566 N 13 11 23 -6 -13 -11 h\n1 g 1492 2572 N 13
      11 22 -6 -13 -11 h\n1 g 1469 2578 N 13 11 23 -7 -13 -10 h\n1 g 1447
      2584 N 13 10 22 -6 -13 -10 h\n1 g 1424 2590 N 13 10 23 -6 -13 -10 h\n1
      g 1402 2597 N 13 10 22 -6 -13 -11 h\n1 g 1379 2603 N 13 11 23 -6 -13
      -11 h\n1 g 1357 2609 N 13 11 22 -6 -13 -11 h\n1 g 1334 2615 N 13 11 23
      -6 -13 -11 h\n1 g 1312 2621 N 13 11 22 -6 -13 -11 h\n1 g 1289 2627 N 13
      11 23 -7 -13 -10 h\n1 g 1267 2633 N 13 10 22 -6 -13 -10 h\n1 g 1244
      2640 N 13 10 23 -6 -13 -11 h\n1 g 1222 2646 N 13 11 22 -6 -13 -11
      h\n.8774 g 1199 2652 N 13 11 23 713 -13 -730 h\n.744 g 1177 2658 N 13
      730 22 58 -13 -794 h\n.5861 g 1154 1831 N 13 794 23 24 -13 9 h\n.4424 g
      1132 1851 N 13 -9 22 -13 -13 2 h\n.4976 g 1109 2149 N 13 -2 23 -18 -13
      -278 h\n.6483 g 1087 1941 N 13 278 22 -801 -13 731 h\n.7704 g 1064 2689
      N 13 -731 23 599 -13 -616 h\n.8968 g 1042 2695 N 13 616 22 -611 -13 -11
      h\n1 g 1019 2701 N 13 11 23 -6 -13 -11 h\n1 g 997 2707 N 13 11 22 -6
      -13 -11 h\n1 g 974 2713 N 13 11 23 -7 -13 -10 h\n1 g 952 2719 N 13 10
      22 -6 -13 -10 h\n1 g 2469 2291 N 13 10 22 -6 -13 -10 h\n1 g 2446 2297 N
      13 10 23 -6 -13 -10 h\n1 g 2424 2304 N 13 10 22 -6 -13 -11 h\n1 g 2401
      2310 N 13 11 23 -6 -13 -11 h\n1 g 2379 2316 N 13 11 22 -6 -13 -11
      h\n.7651 g 2356 1750 N 13 11 23 800 -13 -245 h\n.7651 g 2334 2328 N 13
      245 22 -813 -13 -10 h\n1 g 2311 2334 N 13 10 23 -6 -13 -10 h\n.8855 g
      2289 1669 N 13 10 22 -6 -13 661 h\n.8855 g 2266 2347 N 13 -661 23 -6
      -13 -11 h\n.7042 g 2244 1677 N 13 11 22 1055 -13 -396 h\n.3365 g 2221
      1298 N 13 396 23 30 -13 -47 h\n.2617 g 2199 1287 N 13 47 22 -7 -13 -29
      h\n.2588 g 2176 1293 N 13 29 23 -6 -13 -29 h\n.2649 g 2154 1317 N 13 29
      22 -25 -13 -28 h\n.4602 g 2131 1354 N 13 28 23 -1084 -13 1019 h\n.6584
      g 2109 1414 N 13 -1019 22 -6 -13 965 h\n.8337 g 2086 2396 N 13 -965 23
      -6 -13 -11 h\n1 g 2064 2402 N 13 11 22 -6 -13 -11 h\n.9084 g 2041 1870
      N 13 11 23 -6 -13 527 h\n.7653 g 2019 1574 N 13 -527 22 -6 -13 829
      h\n.5849 g 1996 1607 N 13 -829 23 777 -13 19 h\n.728 g 1974 2426 N 13
      -19 22 -790 -13 -10 h\n1 g 1951 2432 N 13 10 23 -6 -13 -10 h\n1 g 1929
      2439 N 13 10 22 -6 -13 -11 h\n1 g 1906 2445 N 13 11 23 -6 -13 -11 h\n1
      g 1884 2451 N 13 11 22 -6 -13 -11 h\n1 g 1861 2457 N 13 11 23 -6 -13
      -11 h\n1 g 1839 2463 N 13 11 22 -7 -13 -10 h\n1 g 1816 2469 N 13 10 23
      -6 -13 -10 h\n1 g 1794 2475 N 13 10 22 -6 -13 -10 h\n1 g 1771 2482 N 13
      10 23 -6 -13 -11 h\n1 g 1749 2488 N 13 11 22 -6 -13 -11 h\n1 g 1726
      2494 N 13 11 23 -6 -13 -11 h\n1 g 1704 2500 N 13 11 22 -6 -13 -11 h\n1
      g 1681 2506 N 13 11 23 -6 -13 -11 h\n1 g 1659 2512 N 13 11 22 -7 -13
      -10 h\n1 g 1636 2518 N 13 10 23 -6 -13 -10 h\n1 g 1614 2525 N 13 10 22
      -6 -13 -11 h\n1 g 1591 2531 N 13 11 23 -6 -13 -11 h\n1 g 1569 2537 N 13
      11 22 -6 -13 -11 h\n1 g 1546 2543 N 13 11 23 -6 -13 -11 h\n1 g 1524
      2549 N 13 11 22 -6 -13 -11 h\n.9138 g 1501 2555 N 13 11 23 499 -13 -516
      h\n.9138 g 1479 2561 N 13 516 22 -512 -13 -10 h\n1 g 1456 2568 N 13 10
      23 -6 -13 -11 h\n1 g 1434 2574 N 13 11 22 -6 -13 -11 h\n1 g 1411 2580 N
      13 11 23 -6 -13 -11 h\n1 g 1389 2586 N 13 11 22 -6 -13 -11 h\n1 g 1366
      2592 N 13 11 23 -6 -13 -11 h\n1 g 1344 2598 N 13 11 22 -7 -13 -10 h\n1
      g 1321 2604 N 13 10 23 -6 -13 -10 h\n1 g 1299 2610 N 13 10 22 -6 -13
      -10 h\n1 g 1276 2617 N 13 10 23 -6 -13 -11 h\n1 g 1254 2623 N 13 11 22
      -6 -13 -11 h\n1 g 1231 2629 N 13 11 23 -6 -13 -11 h\n1 g 1209 2635 N 13
      11 22 -6 -13 -11 h\n.8774 g 1186 1922 N 13 11 23 -7 -13 709 h\n.744 g
      1164 1864 N 13 -709 22 -6 -13 773 h\n.6378 g 1141 1840 N 13 -773 23 524
      -13 273 h\n.4993 g 1119 1853 N 13 -273 22 253 -13 7 h\n.4592 g 1096
      1871 N 13 -7 23 -12 -13 1 h\n.7311 g 1074 2672 N 13 -1 22 -789 -13 -11
      h\n.8968 g 1051 2073 N 13 11 23 -6 -13 594 h\n.8968 g 1029 2684 N 13
      -594 22 -6 -13 -11 h\n1 g 1006 2690 N 13 11 23 -7 -13 -10 h\n1 g 984
      2696 N 13 10 22 -6 -13 -10 h\n1 g 961 2703 N 13 10 23 -6 -13 -11 h\n1 g
      939 2709 N 13 11 22 -6 -13 -11 h\n1 g 2456 2281 N 13 11 22 -6 -13 -11
      h\n1 g 2433 2287 N 13 11 23 -6 -13 -11 h\n1 g 2411 2293 N 13 11 22 -6
      -13 -11 h\n1 g 2388 2299 N 13 11 23 -6 -13 -11 h\n.8429 g 2366 2305 N
      13 11 22 915 -13 -932 h\n.7054 g 2343 1505 N 13 932 23 -928 -13 796
      h\n.7318 g 2321 2318 N 13 -796 22 761 -13 -778 h\n.7666 g 2298 2324 N
      13 778 23 -170 -13 -614 h\n.8973 g 2276 2330 N 13 614 22 -609 -13 -11
      h\n1 g 2253 2336 N 13 11 23 -6 -13 -11 h\n.6355 g 2231 1281 N 13 11 22
      1072 -13 -28 h\n.2617 g 2208 1251 N 13 28 23 12 -13 -10 h\n.2489 g 2186
      1258 N 13 10 22 14 -13 -31 h\n.2455 g 2163 1264 N 13 31 23 -6 -13 -31
      h\n.2521 g 2141 1289 N 13 31 22 -26 -13 -30 h\n.4689 g 2118 2373 N 13
      30 23 -161 -13 -953 h\n.8395 g 2096 2379 N 13 953 22 -948 -13 -11 h\n1
      g 2073 2385 N 13 11 23 -6 -13 -11 h\n1 g 2051 2391 N 13 11 22 -7 -13
      -10 h\n1 g 2028 2397 N 13 10 23 -6 -13 -10 h\n1 g 2006 2403 N 13 10 22
      -6 -13 -10 h\n.8665 g 1983 1626 N 13 10 23 -6 -13 773 h\n.7425 g 1961
      2416 N 13 -773 22 722 -13 -739 h\n.8759 g 1938 2422 N 13 739 23 -734
      -13 -11 h\n1 g 1916 2428 N 13 11 22 -6 -13 -11 h\n1 g 1893 2434 N 13 11
      23 -6 -13 -11 h\n1 g 1871 2440 N 13 11 22 -7 -13 -10 h\n1 g 1848 2446 N
      13 10 23 -6 -13 -10 h\n1 g 1826 2453 N 13 10 22 -6 -13 -11 h\n1 g 1803
      2459 N 13 11 23 -6 -13 -11 h\n1 g 1781 2465 N 13 11 22 -6 -13 -11 h\n1
      g 1758 2471 N 13 11 23 -6 -13 -11 h\n1 g 1736 2477 N 13 11 22 -6 -13
      -11 h\n1 g 1713 2483 N 13 11 23 -7 -13 -10 h\n1 g 1691 2489 N 13 10 22
      -6 -13 -10 h\n1 g 1668 2495 N 13 10 23 -6 -13 -10 h\n1 g 1646 2502 N 13
      10 22 -6 -13 -11 h\n1 g 1623 2508 N 13 11 23 -6 -13 -11 h\n.8752 g 1601
      2514 N 13 11 22 726 -13 -743 h\n.7648 g 1578 2520 N 13 743 23 -91 -13
      -658 h\n.7969 g 1556 2526 N 13 658 22 -109 -13 -555 h\n.9073 g 1533
      2532 N 13 555 23 -551 -13 -10 h\n1 g 1511 2538 N 13 10 22 -6 -13 -10
      h\n.8045 g 1488 2039 N 13 10 23 635 -13 -146 h\n.8045 g 1466 2551 N 13
      146 22 -647 -13 -11 h\n1 g 1443 2557 N 13 11 23 -6 -13 -11 h\n1 g 1421
      2563 N 13 11 22 -6 -13 -11 h\n.9026 g 1398 2569 N 13 11 23 565 -13 -582
      h\n.9026 g 1376 2575 N 13 582 22 -578 -13 -10 h\n1 g 1353 2581 N 13 10
      23 -6 -13 -10 h\n1 g 1331 2588 N 13 10 22 -6 -13 -11 h\n1 g 1308 2594 N
      13 11 23 -6 -13 -11 h\n1 g 1286 2600 N 13 11 22 -6 -13 -11 h\n1 g 1263
      2606 N 13 11 23 -6 -13 -11 h\n1 g 1241 2612 N 13 11 22 -6 -13 -11 h\n1
      g 1218 2618 N 13 11 23 -7 -13 -10 h\n1 g 1196 2624 N 13 10 22 -6 -13
      -10 h\n1 g 1173 2631 N 13 10 23 -6 -13 -11 h\n1 g 1151 2637 N 13 11 22
      -6 -13 -11 h\n.8047 g 1128 2113 N 13 11 23 611 -13 -98 h\n.5404 g 1106
      1860 N 13 98 22 138 -13 17 h\n.4707 g 1083 1872 N 13 -17 23 5 -13 0
      h\n.6093 g 1061 2661 N 13 0 22 -41 -13 -748 h\n.7547 g 1038 2667 N 13
      748 23 -41 -13 -713 h\n.8803 g 1016 2673 N 13 713 22 -709 -13 -10 h\n1
      g 993 2680 N 13 10 23 -6 -13 -11 h\n1 g 971 2686 N 13 11 22 -6 -13 -11
      h\n1 g 948 2692 N 13 11 23 -6 -13 -11 h\n1 g 926 2698 N 13 11 22 -6 -13
      -11 h\n1 g 2443 2270 N 13 11 22 -6 -13 -11 h\n1 g 2420 2276 N 13 11 23
      -7 -13 -10 h\n.8581 g 2398 2282 N 13 10 22 827 -13 -843 h\n.8581 g 2375
      2288 N 13 843 23 -839 -13 -10 h\n.6745 g 2353 1373 N 13 10 22 982 -13
      -77 h\n.6745 g 2330 2301 N 13 77 23 -994 -13 -11 h\n.7009 g 2308 1540 N
      13 11 22 982 -13 -232 h\n.4792 g 2285 1710 N 13 232 23 -296 -13 -106
      h\n.5946 g 2263 2319 N 13 106 22 374 -13 -1089 h\n.6326 g 2240 2325 N
      13 1089 23 -7 -13 -1088 h\n.4422 g 2218 1253 N 13 1088 22 33 -13 -49
      h\n.2487 g 2195 1241 N 13 49 23 -6 -13 -31 h\n.242 g 2173 1227 N 13 31
      22 -6 -13 -11 h\n.2386 g 2150 1233 N 13 11 23 -6 -13 -11 h\n.242 g 2128
      1259 N 13 11 22 -6 -13 -31 h\n.2785 g 2105 1420 N 13 31 23 -45 -13 -147
      h\n.4829 g 2083 2368 N 13 147 22 -70 -13 -1025 h\n.6716 g 2060 2374 N
      13 1025 23 -109 -13 -922 h\n.8445 g 2038 2381 N 13 922 22 -918 -13 -11
      h\n.9332 g 2015 2387 N 13 11 23 386 -13 -403 h\n.9332 g 1993 2393 N 13
      403 22 -398 -13 -11 h\n1 g 1970 2399 N 13 11 23 -6 -13 -11 h\n.7596 g
      1948 1677 N 13 11 22 676 -13 35 h\n.7596 g 1925 2411 N 13 -35 23 -689
      -13 -10 h\n1 g 1903 2417 N 13 10 22 -6 -13 -10 h\n1 g 1880 2423 N 13 10
      23 -6 -13 -10 h\n1 g 1858 2430 N 13 10 22 -6 -13 -11 h\n1 g 1835 2436 N
      13 11 23 -6 -13 -11 h\n1 g 1813 2442 N 13 11 22 -6 -13 -11 h\n1 g 1790
      2448 N 13 11 23 -6 -13 -11 h\n1 g 1768 2454 N 13 11 22 -7 -13 -10 h\n1
      g 1745 2460 N 13 10 23 -6 -13 -10 h\n1 g 1723 2466 N 13 10 22 -6 -13
      -10 h\n.8711 g 1700 2473 N 13 10 23 751 -13 -768 h\n.7514 g 1678 2479 N
      13 768 22 -61 -13 -713 h\n.8803 g 1655 2485 N 13 713 23 -708 -13 -11
      h\n1 g 1633 2491 N 13 11 22 -6 -13 -11 h\n.8879 g 1610 2497 N 13 11 23
      651 -13 -668 h\n.658 g 1588 1771 N 13 668 22 -47 -13 105 h\n.6597 g
      1565 1862 N 13 -105 23 -623 -13 637 h\n.7969 g 1543 1971 N 13 -637 22
      -6 -13 534 h\n.8138 g 1520 2522 N 13 -534 23 543 -13 -560 h\n.7776 g
      1498 2528 N 13 560 22 201 -13 -767 h\n.6302 g 1475 1893 N 13 767 23 10
      -13 -142 h\n.7591 g 1453 2540 N 13 142 22 -778 -13 -11 h\n1 g 1430 2546
      N 13 11 23 -7 -13 -10 h\n.8774 g 1408 2552 N 13 10 22 713 -13 -729
      h\n.6898 g 1385 1987 N 13 729 23 -196 -13 32 h\n.8124 g 1363 2565 N 13
      -32 22 -535 -13 -11 h\n1 g 1340 2571 N 13 11 23 -6 -13 -11 h\n1 g 1318
      2577 N 13 11 22 -6 -13 -11 h\n1 g 1295 2583 N 13 11 23 -6 -13 -11 h\n1
      g 1273 2589 N 13 11 22 -7 -13 -10 h\n1 g 1250 2595 N 13 10 23 -6 -13
      -10 h\n1 g 1228 2601 N 13 10 22 -6 -13 -10 h\n1 g 1205 2608 N 13 10 23
      -6 -13 -11 h\n1 g 1183 2614 N 13 11 22 -6 -13 -11 h\n1 g 1160 2620 N 13
      11 23 -6 -13 -11 h\n1 g 1138 2626 N 13 11 22 -6 -13 -11 h\n.7888 g 1115
      2015 N 13 11 23 616 -13 -16 h\n.659 g 1093 1877 N 13 16 22 -629 -13 751
      h\n.6096 g 1070 1872 N 13 -751 23 751 -13 5 h\n.4857 g 1048 1913 N 13
      -5 22 -11 -13 -25 h\n.5699 g 1025 1954 N 13 25 23 -425 -13 359 h\n.8236
      g 1003 2663 N 13 -359 22 -339 -13 -11 h\n1 g 980 2669 N 13 11 23 -6 -13
      -11 h\n1 g 958 2675 N 13 11 22 -7 -13 -10 h\n1 g 935 2681 N 13 10 23 -6
      -13 -10 h\n1 g 913 2687 N 13 10 22 -6 -13 -10 h\n.9054 g 2430 2259 N 13
      10 22 550 -13 -566 h\n.7585 g 2407 2266 N 13 566 23 300 -13 -873
      h\n.5525 g 2385 1439 N 13 873 22 64 -13 -110 h\n.5331 g 2362 2278 N 13
      110 23 38 -13 -987 h\n.4925 g 2340 1296 N 13 987 22 32 -13 -37 h\n.478
      g 2317 2290 N 13 37 23 40 -13 -1071 h\n.4672 g 2295 1308 N 13 1071 22
      11 -13 -100 h\n.342 g 2272 1604 N 13 100 23 13 -13 -409 h\n.32 g 2250
      1230 N 13 409 22 14 -13 -49 h\n.2481 g 2227 1237 N 13 49 23 16 -13 -72
      h\n.2377 g 2205 1204 N 13 72 22 -6 -13 -33 h\n.2311 g 2182 1210 N 13 33
      23 -6 -13 -33 h\n.2311 g 2160 1216 N 13 33 22 -6 -13 -33 h\n.2311 g
      2137 1222 N 13 33 23 -7 -13 -32 h\n.2349 g 2115 1228 N 13 32 22 -28 -13
      -10 h\n.2519 g 2092 1273 N 13 10 23 -45 -13 -10 h\n.2934 g 2070 1343 N
      13 10 22 -108 -13 28 h\n.5054 g 2047 1452 N 13 -28 23 -982 -13 901
      h\n.8445 g 2025 2370 N 13 -901 22 -6 -13 -11 h\n.9332 g 2002 1984 N 13
      11 23 -6 -13 381 h\n.9332 g 1980 2382 N 13 -381 22 -7 -13 -10 h\n1 g
      1957 2388 N 13 10 23 -6 -13 -10 h\n.8836 g 1935 1712 N 13 10 22 -6 -13
      672 h\n.8836 g 1912 2401 N 13 -672 23 -6 -13 -11 h\n1 g 1890 2407 N 13
      11 22 -6 -13 -11 h\n.8702 g 1867 2413 N 13 11 23 756 -13 -773 h\n.8702
      g 1845 2419 N 13 773 22 -768 -13 -11 h\n.8532 g 1822 2425 N 13 11 23
      855 -13 -872 h\n.7234 g 1800 2431 N 13 872 22 -106 -13 -772 h\n.7505 g
      1777 2437 N 13 772 23 -65 -13 -713 h\n.8803 g 1755 2444 N 13 713 22
      -709 -13 -11 h\n1 g 1732 2450 N 13 11 23 -6 -13 -11 h\n.9094 g 1710
      2456 N 13 11 22 525 -13 -542 h\n.6409 g 1687 1705 N 13 542 23 282 -13
      -73 h\n.4991 g 1665 1766 N 13 73 22 -164 -13 30 h\n.7677 g 1642 2474 N
      13 -30 23 -668 -13 -10 h\n1 g 1620 2480 N 13 10 22 -6 -13 -10 h\n.8879
      g 1597 1829 N 13 10 23 -6 -13 647 h\n.6385 g 1575 1876 N 13 -647 22 841
      -13 -241 h\n.6063 g 1552 2499 N 13 241 23 -6 -13 -858 h\n.8557 g 1530
      2505 N 13 858 22 -853 -13 -11 h\n.9065 g 1507 1962 N 13 11 23 -6 -13
      538 h\n.646 g 1485 1761 N 13 -538 22 766 -13 -27 h\n.4693 g 1462 1751 N
      13 27 23 34 -13 -51 h\n.7298 g 1440 2529 N 13 51 22 -819 -13 -10
      h\n.8727 g 1417 2536 N 13 10 23 741 -13 -758 h\n.6237 g 1395 1823 N 13
      758 22 -11 -13 -34 h\n.531 g 1372 2019 N 13 34 23 14 -13 -244 h\n.6739
      g 1350 2554 N 13 244 22 -146 -13 -633 h\n.8939 g 1327 2560 N 13 633 23
      -629 -13 -10 h\n.8823 g 1305 2566 N 13 10 22 685 -13 -701 h\n.8823 g
      1282 2572 N 13 701 23 -697 -13 -10 h\n1 g 1260 2579 N 13 10 22 -6 -13
      -11 h\n1 g 1237 2585 N 13 11 23 -6 -13 -11 h\n1 g 1215 2591 N 13 11 22
      -6 -13 -11 h\n1 g 1192 2597 N 13 11 23 -6 -13 -11 h\n1 g 1170 2603 N 13
      11 22 -6 -13 -11 h\n1 g 1147 2609 N 13 11 23 -7 -13 -10 h\n1 g 1125
      2615 N 13 10 22 -6 -13 -10 h\n.8939 g 1102 1999 N 13 10 23 -6 -13 612
      h\n.8939 g 1080 2628 N 13 -612 22 -6 -13 -11 h\n.8711 g 1057 1877 N 13
      11 23 -6 -13 746 h\n.6173 g 1035 1888 N 13 -746 22 731 -13 4 h\n.6896 g
      1012 2313 N 13 -4 23 -743 -13 322 h\n.9433 g 990 2652 N 13 -322 22 -7
      -13 -10 h\n1 g 967 2658 N 13 10 23 -6 -13 -10 h\n1 g 945 2665 N 13 10
      22 -6 -13 -11 h\n1 g 922 2671 N 13 11 23 -6 -13 -11 h\n1 g 900 2677 N
      13 11 22 -6 -13 -11 h\n.6392 g 2417 1693 N 13 778 22 22 -13 -250
      h\n.6231 g 2394 1393 N 13 250 23 -801 -13 851 h\n.5609 g 2372 1329 N 13
      -851 22 777 -13 138 h\n.3844 g 2349 1291 N 13 -138 23 132 -13 44
      h\n.3834 g 2327 1259 N 13 -44 22 -221 -13 297 h\n.3452 g 2304 1219 N 13
      -297 23 348 -13 -11 h\n.2679 g 2282 1208 N 13 11 22 30 -13 -30 h\n.2521
      g 2259 1195 N 13 30 23 14 -13 -31 h\n.2383 g 2237 1181 N 13 31 22 16
      -13 -33 h\n.2233 g 2214 1165 N 13 33 23 18 -13 -35 h\n.2154 g 2192 1171
      N 13 35 22 -6 -13 -35 h\n.2154 g 2169 1177 N 13 35 23 -7 -13 -34
      h\n.2154 g 2147 1183 N 13 34 22 -6 -13 -34 h\n.2154 g 2124 1190 N 13 34
      23 -6 -13 -35 h\n.2233 g 2102 1218 N 13 35 22 -30 -13 -33 h\n.2613 g
      2079 1263 N 13 33 23 -144 -13 66 h\n.4794 g 2057 1371 N 13 -66 22 -1007
      -13 965 h\n.8337 g 2034 2353 N 13 -965 23 -6 -13 -11 h\n1 g 2012 2359 N
      13 11 22 -7 -13 -10 h\n1 g 1989 2365 N 13 10 23 -6 -13 -10 h\n1 g 1967
      2372 N 13 10 22 -6 -13 -11 h\n1 g 1944 2378 N 13 11 23 -6 -13 -11
      h\n.8907 g 1922 2384 N 13 11 22 635 -13 -652 h\n.7582 g 1899 2390 N 13
      652 23 130 -13 -788 h\n.7232 g 1877 2396 N 13 788 22 63 -13 -857
      h\n.572 g 1854 1640 N 13 857 23 50 -13 -151 h\n.5575 g 1832 2408 N 13
      151 22 23 -13 -942 h\n.5806 g 1809 1553 N 13 942 23 -270 -13 183
      h\n.6095 g 1787 1659 N 13 -183 22 -674 -13 751 h\n.6518 g 1764 1724 N
      13 -751 23 573 -13 113 h\n.7816 g 1742 2433 N 13 -113 22 -585 -13 -11
      h\n.8702 g 1719 2439 N 13 11 23 755 -13 -772 h\n.6353 g 1697 1914 N 13
      772 22 79 -13 -326 h\n.4716 g 1674 1632 N 13 326 23 50 -13 -94 h\n.52 g
      1652 1796 N 13 94 22 -476 -13 218 h\n.8135 g 1629 2464 N 13 -218 23
      -439 -13 -11 h\n.8532 g 1607 2470 N 13 11 22 855 -13 -872 h\n.8532 g
      1584 2476 N 13 872 23 -867 -13 -11 h\n.7076 g 1562 1635 N 13 11 22 863
      -13 -33 h\n.4138 g 1539 1641 N 13 33 23 2 -13 -41 h\n.5594 g 1517 2494
      N 13 41 22 -22 -13 -872 h\n.7089 g 1494 2500 N 13 872 23 -21 -13 -857
      h\n.5822 g 1472 1734 N 13 857 22 -20 -13 -71 h\n.4472 g 1449 1700 N 13
      71 23 -13 -13 -24 h\n.5822 g 1427 2519 N 13 24 22 -19 -13 -824 h\n.5978
      g 1404 1778 N 13 824 23 -19 -13 -64 h\n.4764 g 1382 1789 N 13 64 22 -23
      -13 -52 h\n.4787 g 1359 1775 N 13 52 23 -17 -13 -21 h\n.5035 g 1337
      1921 N 13 21 22 -22 -13 -145 h\n.6401 g 1314 2550 N 13 145 23 -30 -13
      -744 h\n.6334 g 1292 1865 N 13 744 22 -11 -13 -48 h\n.7583 g 1269 2562
      N 13 48 23 -734 -13 -11 h\n1 g 1247 2568 N 13 11 22 -6 -13 -11 h\n1 g
      1224 2574 N 13 11 23 -6 -13 -11 h\n1 g 1202 2580 N 13 11 22 -7 -13 -10
      h\n1 g 1179 2586 N 13 10 23 -6 -13 -10 h\n1 g 1157 2592 N 13 10 22 -6
      -13 -10 h\n1 g 1134 2599 N 13 10 23 -6 -13 -11 h\n1 g 1112 2605 N 13 11
      22 -6 -13 -11 h\n1 g 1089 2611 N 13 11 23 -6 -13 -11 h\n1 g 1067 2617 N
      13 11 22 -6 -13 -11 h\n1 g 1044 2623 N 13 11 23 -7 -13 -10 h\n.7511 g
      1022 1892 N 13 10 22 718 -13 3 h\n.63 g 999 2635 N 13 -3 23 -19 -13
      -721 h\n.8789 g 977 2642 N 13 721 22 -717 -13 -11 h\n1 g 954 2648 N 13
      11 23 -6 -13 -11 h\n1 g 932 2654 N 13 11 22 -6 -13 -11 h\n1 g 909 2660
      N 13 11 23 -6 -13 -11 h\n1 g 887 2666 N 13 11 22 -7 -13 -10 h\n.7339 g
      2404 1443 N 13 -756 22 -7 -13 785 h\n.8646 g 2381 2244 N 13 -785 23 -6
      -13 -10 h\n.8665 g 2359 1467 N 13 10 22 -6 -13 773 h\n.7094 g 2336 1335
      N 13 -773 23 -6 -13 911 h\n.7225 g 2314 1556 N 13 -911 22 -6 -13 696
      h\n.5181 g 2291 1208 N 13 -696 23 1054 -13 -10 h\n.2647 g 2269 1178 N
      13 10 22 30 -13 -10 h\n.2455 g 2246 1164 N 13 10 23 15 -13 -11 h\n.227
      g 2224 1148 N 13 11 22 39 -13 -34 h\n.2113 g 2201 1130 N 13 34 23 -6
      -13 -10 h\n.2072 g 2179 1136 N 13 10 22 -6 -13 -10 h\n.2072 g 2156 1143
      N 13 10 23 -6 -13 -11 h\n.2027 g 2134 1149 N 13 11 22 20 -13 -37
      h\n.2027 g 2111 1155 N 13 37 23 -32 -13 -11 h\n.2113 g 2089 1185 N 13
      11 22 -6 -13 -35 h\n.243 g 2066 1329 N 13 35 23 -31 -13 -148 h\n.4546 g
      2044 2336 N 13 148 22 -84 -13 -1071 h\n.6355 g 2021 2342 N 13 1071 23
      11 -13 -1088 h\n.652 g 1999 2349 N 13 1088 22 -120 -13 -975 h\n.8357 g
      1976 2355 N 13 975 23 -970 -13 -11 h\n1 g 1954 2361 N 13 11 22 -6 -13
      -11 h\n1 g 1931 2367 N 13 11 23 -6 -13 -11 h\n.8907 g 1909 1732 N 13 11
      22 -7 -13 631 h\n.7582 g 1886 1602 N 13 -631 23 -6 -13 767 h\n.7232 g
      1864 1539 N 13 -767 22 -6 -13 836 h\n.5523 g 1841 1489 N 13 -836 23 871
      -13 15 h\n.3716 g 1819 1466 N 13 -15 22 93 -13 -55 h\n.3948 g 1796 1736
      N 13 55 23 -7 -13 -318 h\n.7199 g 1774 2410 N 13 318 22 -981 -13 -11
      h\n.9013 g 1751 1837 N 13 11 23 -7 -13 569 h\n.7816 g 1729 2422 N 13
      -569 22 697 -13 -713 h\n.7505 g 1706 1667 N 13 713 23 -709 -13 751
      h\n.5924 g 1684 1588 N 13 -751 22 777 -13 53 h\n.4096 g 1661 1538 N 13
      -53 23 143 -13 -40 h\n.453 g 1639 2014 N 13 40 22 4 -13 -520 h\n.6069 g
      1616 2453 N 13 520 23 -17 -13 -942 h\n.5373 g 1594 1598 N 13 942 22 -16
      -13 -71 h\n.5422 g 1571 2465 N 13 71 23 -25 -13 -913 h\n.5456 g 1549
      1602 N 13 913 22 -15 -13 -35 h\n.399 g 1526 1600 N 13 35 23 -14 -13 -19
      h\n.4046 g 1504 1622 N 13 19 22 -23 -13 -18 h\n.4152 g 1481 1643 N 13
      18 23 -21 -13 -18 h\n.4252 g 1459 1663 N 13 18 22 -21 -13 -17 h\n.4335
      g 1436 1676 N 13 17 23 -19 -13 -11 h\n.4435 g 1414 1695 N 13 11 22 -32
      -13 2 h\n.4541 g 1391 1714 N 13 -2 23 -18 -13 1 h\n.4622 g 1369 1737 N
      13 -1 22 -12 -13 -10 h\n.4733 g 1346 1754 N 13 10 23 -37 -13 10
      h\n.4833 g 1324 1776 N 13 -10 22 -6 -13 -6 h\n.4909 g 1301 1806 N 13 6
      23 -12 -13 -24 h\n.4998 g 1279 1817 N 13 24 22 -24 -13 -11 h\n.6293 g
      1256 2551 N 13 11 23 -15 -13 -730 h\n.7584 g 1234 2557 N 13 730 22 -27
      -13 -709 h\n.7733 g 1211 2563 N 13 709 23 -73 -13 -642 h\n.8923 g 1189
      2570 N 13 642 22 -638 -13 -11 h\n.8978 g 1166 2576 N 13 11 23 594 -13
      -611 h\n.8978 g 1144 2582 N 13 611 22 -606 -13 -11 h\n1 g 1121 2588 N
      13 11 23 -6 -13 -11 h\n1 g 1099 2594 N 13 11 22 -7 -13 -10 h\n1 g 1076
      2600 N 13 10 23 -6 -13 -10 h\n1 g 1054 2606 N 13 10 22 -6 -13 -10
      h\n.9038 g 1031 2613 N 13 10 23 559 -13 -576 h\n.6615 g 1009 1895 N 13
      576 22 127 -13 15 h\n.5183 g 986 1914 N 13 -15 23 -10 -13 6 h\n.6569 g
      964 2631 N 13 -6 22 -92 -13 -619 h\n.8963 g 941 2637 N 13 619 23 -614
      -13 -11 h\n1 g 919 2643 N 13 11 22 -7 -13 -10 h\n1 g 896 2649 N 13 10
      23 -6 -13 -10 h\n1 g 874 2656 N 13 10 22 -6 -13 -11 h\n1 g 2391 2228 N
      13 10 22 -6 -13 -11 h\n1 g 2368 2234 N 13 11 23 -6 -13 -11 h\n1 g 2346
      2240 N 13 11 22 -6 -13 -11 h\n1 g 2323 2246 N 13 11 23 -6 -13 -11
      h\n.8429 g 2301 2252 N 13 11 22 915 -13 -932 h\n.4842 g 2278 1198 N 13
      932 23 117 -13 5 h\n.2707 g 2256 1168 N 13 -5 22 27 -13 8 h\n.2449 g
      2233 1153 N 13 -8 23 55 -13 -32 h\n.2192 g 2211 1114 N 13 32 22 18 -13
      -11 h\n.2072 g 2188 1120 N 13 11 23 -6 -13 -11 h\n.2027 g 2166 1126 N
      13 11 22 20 -13 -37 h\n.1982 g 2143 1132 N 13 37 23 -6 -13 -37 h\n.1936
      g 2121 1112 N 13 37 22 -6 -13 -11 h\n.1936 g 2098 1144 N 13 11 23 -6
      -13 -37 h\n.1982 g 2076 1150 N 13 37 22 -6 -13 -37 h\n.2068 g 2053 1181
      N 13 37 23 -33 -13 -35 h\n.2288 g 2031 1265 N 13 35 22 -6 -13 -113
      h\n.2432 g 2008 1254 N 13 113 23 -30 -13 -72 h\n.3055 g 1986 1374 N 13
      72 22 -251 -13 59 h\n.5459 g 1963 2344 N 13 -59 23 -94 -13 -817 h\n.74
      g 1941 2350 N 13 817 22 -93 -13 -730 h\n.8774 g 1918 2356 N 13 730 23
      -726 -13 -10 h\n.8429 g 1896 2363 N 13 10 22 916 -13 -933 h\n.8429 g
      1873 2369 N 13 933 23 -928 -13 -11 h\n1 g 1851 2375 N 13 11 22 -6 -13
      -11 h\n.8505 g 1828 1504 N 13 11 23 -6 -13 866 h\n.5136 g 1806 1411 N
      13 -866 22 995 -13 -36 h\n.324 g 1783 1418 N 13 36 23 7 -13 -50
      h\n.4879 g 1761 2399 N 13 50 22 -6 -13 -1025 h\n.6608 g 1738 2406 N 13
      1025 23 -45 -13 -987 h\n.5535 g 1716 1709 N 13 987 22 -40 -13 -250
      h\n.5593 g 1693 2418 N 13 250 23 -6 -13 -953 h\n.706 g 1671 1641 N 13
      953 22 -948 -13 772 h\n.5454 g 1648 1498 N 13 -772 23 946 -13 -31
      h\n.356 g 1626 1494 N 13 31 22 -6 -13 -21 h\n.3578 g 1603 1511 N 13 21
      23 -17 -13 -21 h\n.3649 g 1581 1527 N 13 21 22 -16 -13 -21 h\n.3748 g
      1558 1552 N 13 21 23 -26 -13 -20 h\n.3844 g 1536 1567 N 13 20 22 -15
      -13 -20 h\n.3933 g 1513 1581 N 13 20 23 -32 -13 -2 h\n.4083 g 1491 1604
      N 13 2 22 -44 -13 19 h\n.5632 g 1468 1625 N 13 -19 23 -846 -13 844
      h\n.5717 g 1446 1646 N 13 -844 22 814 -13 9 h\n.5765 g 1423 1665 N 13
      -9 23 -826 -13 816 h\n.7228 g 1401 1697 N 13 -816 22 -6 -13 790
      h\n.5993 g 1378 1715 N 13 -790 23 756 -13 16 h\n.4853 g 1356 1727 N 13
      -16 22 -82 -13 86 h\n.5197 g 1333 1764 N 13 -86 23 -95 -13 144 h\n.5195
      g 1311 1770 N 13 -144 22 116 -13 22 h\n.6221 g 1288 1782 N 13 -22 23
      -726 -13 736 h\n.7487 g 1266 1806 N 13 -736 22 -6 -13 718 h\n.633 g
      1243 1821 N 13 -718 23 701 -13 2 h\n.5197 g 1221 1848 N 13 -2 22 -19
      -13 -6 h\n.538 g 1198 1921 N 13 6 23 -14 -13 -65 h\n.6615 g 1176 2559 N
      13 65 22 -24 -13 -679 h\n.7839 g 1153 1965 N 13 679 23 -674 -13 589
      h\n.8061 g 1131 2571 N 13 -589 22 531 -13 -548 h\n.9084 g 1108 2577 N
      13 548 23 -544 -13 -10 h\n1 g 1086 2584 N 13 10 22 -6 -13 -11 h\n1 g
      1063 2590 N 13 11 23 -6 -13 -11 h\n1 g 1041 2596 N 13 11 22 -6 -13 -11
      h\n.9038 g 1018 2037 N 13 11 23 -6 -13 554 h\n.723 g 996 1910 N 13 -554
      22 356 -13 325 h\n.5839 g 973 1920 N 13 -325 23 318 -13 -3 h\n.661 g
      951 2012 N 13 3 22 -693 -13 598 h\n.8963 g 928 2626 N 13 -598 23 -6 -13
      -10 h\n1 g 906 2633 N 13 10 22 -6 -13 -11 h\n1 g 883 2639 N 13 11 23 -6
      -13 -11 h\n1 g 861 2645 N 13 11 22 -6 -13 -11 h\n.8476 g 2378 2217 N 13
      905 22 -900 -13 -11 h\n1 g 2355 2223 N 13 11 23 -6 -13 -11 h\n1 g 2333
      2229 N 13 11 22 -7 -13 -10 h\n1 g 2310 2235 N 13 10 23 -6 -13 -10
      h\n.6905 g 2288 1320 N 13 10 22 888 -13 17 h\n.5126 g 2265 1203 N 13
      -17 23 -900 -13 1034 h\n.6383 g 2243 1176 N 13 -1034 22 -6 -13 1067
      h\n.4318 g 2220 1121 N 13 -1067 23 1111 -13 11 h\n.2192 g 2198 1103 N
      13 -11 22 40 -13 -11 h\n.2027 g 2175 1109 N 13 11 23 20 -13 -37
      h\n.1936 g 2153 1089 N 13 37 22 -6 -13 -11 h\n.1891 g 2130 1095 N 13 11
      23 -6 -13 -11 h\n.1891 g 2108 1101 N 13 11 22 -6 -13 -11 h\n.1891 g
      2085 1107 N 13 11 23 -6 -13 -11 h\n.1891 g 2063 1113 N 13 11 22 -7 -13
      -10 h\n.1936 g 2040 1146 N 13 10 23 -6 -13 -37 h\n.1982 g 2018 1152 N
      13 37 22 -6 -13 -37 h\n.2068 g 1995 1182 N 13 37 23 -33 -13 -34 h\n.265
      g 1973 1433 N 13 34 22 -52 -13 -233 h\n.5198 g 1950 1527 N 13 233 23
      -1123 -13 796 h\n.623 g 1928 1620 N 13 -796 22 681 -13 22 h\n.5942 g
      1905 2346 N 13 -22 23 283 -13 -987 h\n.4987 g 1883 1430 N 13 987 22 62
      -13 -133 h\n.6649 g 1860 2358 N 13 133 23 -1050 -13 -11 h\n1 g 1838
      2364 N 13 11 22 -7 -13 -10 h\n.8693 g 1815 2370 N 13 10 23 761 -13 -777
      h\n.5281 g 1793 1375 N 13 777 22 228 -13 -10 h\n.308 g 1770 1368 N 13
      10 23 37 -13 -40 h\n.2982 g 1748 1374 N 13 40 22 -6 -13 -40 h\n.3049 g
      1725 1419 N 13 40 23 -6 -13 -79 h\n.3223 g 1703 1459 N 13 79 22 -36 -13
      -83 h\n.3331 g 1680 1465 N 13 83 23 -6 -13 -83 h\n.496 g 1658 2413 N 13
      83 22 -20 -13 -1011 h\n.4987 g 1635 1467 N 13 1011 23 -19 -13 -46
      h\n.3426 g 1613 1473 N 13 46 22 -30 -13 -22 h\n.3523 g 1590 1490 N 13
      22 23 -28 -13 -11 h\n.3631 g 1568 1506 N 13 11 22 -26 -13 -1 h\n.3763 g
      1545 1532 N 13 1 23 -34 -13 7 h\n.3873 g 1523 1547 N 13 -7 22 -15 -13 7
      h\n.5457 g 1500 1579 N 13 -7 23 -892 -13 867 h\n.7074 g 1478 1623 N 13
      -867 22 -6 -13 829 h\n.7425 g 1455 2469 N 13 -829 23 666 -13 -683
      h\n.6124 g 1433 1655 N 13 683 22 105 -13 26 h\n.7269 g 1410 2481 N 13
      -26 23 -789 -13 -11 h\n.8861 g 1388 2487 N 13 11 22 662 -13 -679
      h\n.7563 g 1365 1731 N 13 679 23 -674 -13 751 h\n.7532 g 1343 1813 N 13
      -751 22 -7 -13 676 h\n.7812 g 1320 1908 N 13 -676 23 -6 -13 587
      h\n.7757 g 1298 1792 N 13 -587 22 -6 -13 709 h\n.8774 g 1275 2518 N 13
      -709 23 -6 -13 -11 h\n.8913 g 1253 2524 N 13 11 22 632 -13 -649
      h\n.6611 g 1230 1823 N 13 649 23 0 -13 52 h\n.6515 g 1208 1842 N 13 -52
      22 -650 -13 683 h\n.6508 g 1185 1856 N 13 -683 23 662 -13 7 h\n.6553 g
      1163 1880 N 13 -7 22 -675 -13 658 h\n.7746 g 1140 2554 N 13 -658 23 648
      -13 -664 h\n.6887 g 1118 2023 N 13 664 22 -25 -13 -108 h\n.8002 g 1095
      2567 N 13 108 23 -641 -13 -11 h\n1 g 1073 2573 N 13 11 22 -6 -13 -11
      h\n1 g 1050 2579 N 13 11 23 -6 -13 -11 h\n1 g 1028 2585 N 13 11 22 -7
      -13 -10 h\n1 g 1005 2591 N 13 10 23 -6 -13 -10 h\n.9382 g 983 2235 N 13
      10 22 -6 -13 352 h\n.7067 g 960 1917 N 13 -352 23 666 -13 4 h\n.7685 g
      938 2610 N 13 -4 22 -678 -13 -11 h\n1 g 915 2616 N 13 11 23 -6 -13 -11
      h\n1 g 893 2622 N 13 11 22 -6 -13 -11 h\n1 g 870 2628 N 13 11 23 -6 -13
      -11 h\n1 g 848 2634 N 13 11 22 -7 -13 -10 h\n.4967 g 2365 2206 N 12 161
      23 -36 -13 -1025 h\n.67 g 2342 2212 N 13 1025 23 -99 -13 -932 h\n.8429
      g 2320 2219 N 13 932 22 -928 -13 -11 h\n.8861 g 2297 2225 N 13 11 23
      662 -13 -679 h\n.7338 g 2275 1337 N 13 679 22 -674 -13 883 h\n.8476 g
      2252 2237 N 13 -883 23 -6 -13 -11 h\n1 g 2230 2243 N 13 11 22 -6 -13
      -11 h\n.6193 g 2207 1132 N 13 11 23 1110 -13 -10 h\n.2184 g 2185 1092 N
      13 10 22 67 -13 -37 h\n.1886 g 2162 1072 N 13 37 23 24 -13 -41 h\n.1789
      g 2140 1078 N 13 41 22 -7 -13 -40 h\n.1789 g 2117 1084 N 13 40 23 -6
      -13 -40 h\n.1789 g 2095 1090 N 13 40 22 -6 -13 -40 h\n.1789 g 2072 1096
      N 13 40 23 -6 -13 -40 h\n.1789 g 2050 1103 N 13 40 22 -6 -13 -41
      h\n.1789 g 2027 1109 N 13 41 23 -6 -13 -41 h\n.184 g 2005 1115 N 13 41
      22 -36 -13 -11 h\n.1936 g 1982 1148 N 13 11 23 -6 -13 -38 h\n.2146 g
      1960 1200 N 13 38 22 -57 -13 -33 h\n.6156 g 1937 2323 N 13 33 23 -1145
      -13 -11 h\n.7466 g 1915 1642 N 13 11 22 794 -13 -124 h\n.3934 g 1892
      1359 N 13 124 23 290 -13 -131 h\n.2785 g 1870 1297 N 13 131 22 14 -13
      -83 h\n.4674 g 1847 2347 N 13 83 23 -159 -13 -974 h\n.7093 g 1825 2354
      N 13 974 22 -228 -13 -753 h\n.5723 g 1802 1593 N 13 753 23 253 -13 -245
      h\n.3528 g 1780 1365 N 13 245 22 22 -13 -39 h\n.2953 g 1757 1328 N 13
      39 23 25 -13 -27 h\n.2826 g 1735 1334 N 13 27 22 -6 -13 -27 h\n.2826 g
      1712 1340 N 13 27 23 -6 -13 -27 h\n.2904 g 1690 1376 N 13 27 22 -22 -13
      -41 h\n.3009 g 1667 1382 N 13 41 23 -22 -13 -25 h\n.3106 g 1645 1402 N
      13 25 22 -34 -13 -11 h\n.3221 g 1622 1421 N 13 11 23 -19 -13 -11
      h\n.3347 g 1600 1451 N 13 11 22 -30 -13 -11 h\n.3628 g 1577 1479 N 13
      11 23 -101 -13 62 h\n.39 g 1555 1505 N 13 -62 22 -29 -13 65 h\n.4088 g
      1532 1539 N 13 -65 23 -46 -13 77 h\n.4137 g 1510 1554 N 13 -77 22 41
      -13 21 h\n.6061 g 1487 2446 N 13 -21 23 -288 -13 -583 h\n.7916 g 1465
      2452 N 13 583 22 73 -13 -662 h\n.7746 g 1442 1786 N 13 662 23 -657 -13
      661 h\n.7521 g 1420 1681 N 13 -661 22 -6 -13 772 h\n.8665 g 1397 2470 N
      13 -772 23 -7 -13 -10 h\n.8861 g 1375 1808 N 13 10 22 -6 -13 658
      h\n.8861 g 1352 2482 N 13 -658 23 -6 -13 -10 h\n1 g 1330 2489 N 13 10
      22 -6 -13 -11 h\n1 g 1307 2495 N 13 11 23 -6 -13 -11 h\n1 g 1285 2501 N
      13 11 22 -6 -13 -11 h\n1 g 1262 2507 N 13 11 23 -6 -13 -11 h\n.8913 g
      1240 1875 N 13 11 22 -7 -13 628 h\n.7815 g 1217 1875 N 13 -628 23 -6
      -13 634 h\n.8902 g 1195 2525 N 13 -634 22 -6 -13 -10 h\n.8861 g 1172
      1863 N 13 10 23 -6 -13 658 h\n.7839 g 1150 2538 N 13 -658 22 594 -13
      -611 h\n.6901 g 1127 1890 N 13 611 23 -42 -13 79 h\n.5765 g 1105 1915 N
      13 -79 22 61 -13 -7 h\n.6795 g 1082 2556 N 13 7 23 -24 -13 -624 h\n.837
      g 1060 2562 N 13 624 22 -277 -13 -353 h\n.9417 g 1037 2568 N 13 353 23
      -349 -13 -10 h\n1 g 1015 2575 N 13 10 22 -6 -13 -11 h\n1 g 992 2581 N
      13 11 23 -6 -13 -11 h\n.9091 g 970 2587 N 13 11 22 527 -13 -544
      h\n.6831 g 947 1921 N 13 544 23 115 -13 7 h\n.6912 g 925 2599 N 13 -7
      22 -174 -13 -497 h\n.9172 g 902 2605 N 13 497 23 -493 -13 -10 h\n1 g
      880 2611 N 13 10 22 -6 -13 -10 h\n1 g 857 2617 N 13 10 23 -6 -13 -10
      h\n1 g 835 2624 N 13 10 22 -6 -13 -11 h\n.2684 g 2352 1181 N 13 83 23
      -6 -13 -113 h\n.4797 g 2329 1280 N 13 113 22 -1123 -12 911 h\n.8429 g
      2307 2208 N 12 -911 23 -6 -13 -11 h\n.8861 g 2284 1546 N 13 11 23 -6
      -13 657 h\n.7658 g 2262 2220 N 13 -657 22 700 -13 -717 h\n.8796 g 2239
      2226 N 13 717 23 -713 -13 -10 h\n.8059 g 2217 2232 N 13 10 22 1133 -13
      -1149 h\n.4128 g 2194 1122 N 13 1149 23 45 -13 -84 h\n.1964 g 2172 1055
      N 13 84 22 23 -13 -40 h\n.1739 g 2149 1031 N 13 40 23 -6 -13 -10
      h\n.1688 g 2127 1038 N 13 10 22 -6 -13 -11 h\n.1688 g 2104 1044 N 13 11
      23 -6 -13 -11 h\n.1688 g 2082 1050 N 13 11 22 -6 -13 -11 h\n.1688 g
      2059 1056 N 13 11 23 -6 -13 -11 h\n.1688 g 2037 1062 N 13 11 22 -7 -13
      -10 h\n.1688 g 2014 1068 N 13 10 23 -6 -13 -10 h\n.1739 g 1992 1104 N
      13 10 22 -6 -13 -40 h\n.1789 g 1969 1110 N 13 40 23 -6 -13 -40 h\n.1927
      g 1947 1167 N 13 40 22 -36 -13 -61 h\n.4091 g 1924 2312 N 13 61 23 -57
      -13 -1149 h\n.4754 g 1902 1518 N 13 1149 22 -6 -13 -349 h\n.2885 g 1879
      1228 N 13 349 23 -6 -13 -53 h\n.2346 g 1857 1214 N 13 53 22 -6 -13 -33
      h\n.2609 g 1834 1373 N 13 33 23 -28 -13 -164 h\n.346 g 1812 1601 N 13
      164 22 -109 -13 -283 h\n.3432 g 1789 1348 N 13 283 23 76 -13 -106
      h\n.2802 g 1767 1326 N 13 106 22 -6 -13 -78 h\n.2733 g 1744 1301 N 13
      78 23 -25 -13 -28 h\n.2711 g 1722 1307 N 13 28 22 -6 -13 -28 h\n.274 g
      1699 1313 N 13 28 23 -23 -13 -11 h\n.2826 g 1677 1335 N 13 11 22 -23
      -13 -10 h\n.2933 g 1654 1357 N 13 10 23 -21 -13 -11 h\n.3081 g 1632
      1391 N 13 11 22 -34 -13 -11 h\n.3242 g 1609 1410 N 13 11 23 -32 -13 2
      h\n.3423 g 1587 1440 N 13 -2 22 -50 -13 22 h\n.5288 g 1564 1541 N 13
      -22 23 -938 -13 859 h\n.7076 g 1542 1570 N 13 -859 22 -6 -13 836
      h\n.7182 g 1519 1616 N 13 -836 23 -6 -13 796 h\n.5825 g 1497 1575 N 13
      -796 22 783 -13 54 h\n.5154 g 1474 1863 N 13 -54 23 -167 -13 -67
      h\n.6845 g 1452 1790 N 13 67 22 -635 -13 641 h\n.8891 g 1429 2447 N 13
      -641 23 -6 -13 -10 h\n1 g 1407 2453 N 13 10 22 -6 -13 -10 h\n1 g 1384
      2460 N 13 10 23 -6 -13 -11 h\n1 g 1362 2466 N 13 11 22 -6 -13 -11 h\n1
      g 1339 2472 N 13 11 23 -6 -13 -11 h\n1 g 1317 2478 N 13 11 22 -6 -13
      -11 h\n1 g 1294 2484 N 13 11 23 -6 -13 -11 h\n1 g 1272 2490 N 13 11 22
      -7 -13 -10 h\n1 g 1249 2496 N 13 10 23 -6 -13 -10 h\n1 g 1227 2503 N 13
      10 22 -6 -13 -11 h\n1 g 1204 2509 N 13 11 23 -6 -13 -11 h\n1 g 1182
      2515 N 13 11 22 -6 -13 -11 h\n1 g 1159 2521 N 13 11 23 -6 -13 -11
      h\n.8978 g 1137 1927 N 13 11 22 -6 -13 589 h\n.8016 g 1114 1969 N 13
      -589 23 -7 -13 554 h\n.7961 g 1092 1908 N 13 -554 22 -6 -13 621 h\n.685
      g 1069 1932 N 13 -621 23 597 -13 0 h\n.6335 g 1047 2209 N 13 0 22 -17
      -13 -260 h\n.7706 g 1024 2558 N 13 260 23 -186 -13 -423 h\n.9298 g 1002
      2564 N 13 423 22 -418 -13 -11 h\n1 g 979 2570 N 13 11 23 -6 -13 -11
      h\n.9091 g 957 2043 N 13 11 22 -7 -13 523 h\n.6889 g 934 1928 N 13 -523
      23 632 -13 6 h\n.5913 g 912 2102 N 13 -6 22 -24 -13 -144 h\n.8116 g 889
      2595 N 13 144 23 -626 -13 -11 h\n1 g 867 2601 N 13 11 22 -6 -13 -11
      h\n1 g 844 2607 N 13 11 23 -6 -13 -11 h\n1 g 822 2613 N 13 11 22 -6 -13
      -11 h\n.2229 g 2339 1068 N 13 57 23 -6 -13 -57 h\n.4245 g 2317 2191 N
      13 57 22 -73 -13 -1107 h\n.8131 g 2294 2197 N 13 1107 23 -1103 -13 -10
      h\n1 g 2271 2203 N 13 10 22 -6 -12 -10 h\n.8796 g 2249 1503 N 12 10 23
      -6 -13 696 h\n.7016 g 2226 2216 N 13 -696 23 1038 -13 -1055 h\n.4297 g
      2204 1083 N 13 1055 22 113 -13 -35 h\n.1972 g 2181 1038 N 13 35 23 50
      -13 -40 h\n.1739 g 2159 1015 N 13 40 22 -6 -13 -11 h\n.1688 g 2136 1021
      N 13 11 23 -6 -13 -11 h\n.1631 g 2114 1027 N 13 11 22 27 -13 -44
      h\n.1573 g 2091 1033 N 13 44 23 -6 -13 -44 h\n.1573 g 2069 1039 N 13 44
      22 -6 -13 -44 h\n.1573 g 2046 1045 N 13 44 23 -6 -13 -44 h\n.1573 g
      2024 1052 N 13 44 22 -6 -13 -45 h\n.1573 g 2001 1058 N 13 45 23 -6 -13
      -45 h\n.1631 g 1979 1064 N 13 45 22 -40 -13 -11 h\n.1688 g 1956 1070 N
      13 11 23 -6 -13 -11 h\n.1739 g 1934 1106 N 13 11 22 -6 -13 -41 h\n.1927
      g 1911 1163 N 13 41 23 -36 -13 -62 h\n.2064 g 1889 1169 N 13 62 22 -6
      -13 -62 h\n.2109 g 1866 1175 N 13 62 23 -33 -13 -35 h\n.2154 g 1844
      1181 N 13 35 22 -6 -13 -35 h\n.2192 g 1821 1209 N 13 35 23 -6 -13 -57
      h\n.2445 g 1799 1318 N 13 57 22 -31 -13 -135 h\n.2557 g 1776 1242 N 13
      135 23 -28 -13 -31 h\n.2455 g 1754 1248 N 13 31 22 -6 -13 -31 h\n.2521
      g 1731 1273 N 13 31 23 -26 -13 -30 h\n.2619 g 1709 1279 N 13 30 22 -25
      -13 -11 h\n.2711 g 1686 1302 N 13 11 23 -24 -13 -10 h\n.2852 g 1664
      1325 N 13 10 22 -37 -13 4 h\n.3007 g 1641 1346 N 13 -4 23 -35 -13 18
      h\n.3671 g 1619 1380 N 13 -18 22 -324 -13 308 h\n.3863 g 1596 1412 N 13
      -308 23 253 -13 23 h\n.3954 g 1574 1462 N 13 -23 22 -250 -13 223
      h\n.7222 g 1551 2400 N 13 -223 23 -704 -13 -11 h\n1 g 1529 2406 N 13 11
      22 -6 -13 -11 h\n.8879 g 1506 2412 N 13 11 23 651 -13 -668 h\n.7535 g
      1484 1629 N 13 668 22 -664 -13 779 h\n.7584 g 1461 1796 N 13 -779 23 -6
      -13 618 h\n.8929 g 1439 2431 N 13 -618 22 -6 -13 -11 h\n1 g 1416 2437 N
      13 11 23 -6 -13 -11 h\n1 g 1394 2443 N 13 11 22 -6 -13 -11 h\n1 g 1371
      2449 N 13 11 23 -6 -13 -11 h\n1 g 1349 2455 N 13 11 22 -6 -13 -11 h\n1
      g 1326 2461 N 13 11 23 -7 -13 -10 h\n1 g 1304 2467 N 13 10 22 -6 -13
      -10 h\n1 g 1281 2473 N 13 10 23 -6 -13 -10 h\n1 g 1259 2480 N 13 10 22
      -6 -13 -11 h\n1 g 1236 2486 N 13 11 23 -6 -13 -11 h\n1 g 1214 2492 N 13
      11 22 -6 -13 -11 h\n1 g 1191 2498 N 13 11 23 -6 -13 -11 h\n1 g 1169
      2504 N 13 11 22 -7 -13 -10 h\n1 g 1146 2510 N 13 10 23 -6 -13 -10 h\n1
      g 1124 2516 N 13 10 22 -6 -13 -10 h\n1 g 1101 2523 N 13 10 23 -6 -13
      -11 h\n1 g 1079 2529 N 13 11 22 -6 -13 -11 h\n.8973 g 1056 1932 N 13 11
      23 -6 -13 592 h\n.6977 g 1034 1949 N 13 -592 22 573 -13 2 h\n.6333 g
      1011 2135 N 13 -2 23 -16 -13 -168 h\n.8328 g 989 2553 N 13 168 22 -576
      -13 -10 h\n1 g 966 2559 N 13 10 23 -6 -13 -10 h\n1 g 944 2566 N 13 10
      22 -6 -13 -11 h\n.7867 g 921 1934 N 13 11 23 608 -13 13 h\n.6811 g 899
      1958 N 13 -13 22 -620 -13 609 h\n.8944 g 876 2584 N 13 -609 23 -6 -13
      -11 h\n1 g 854 2590 N 13 11 22 -6 -13 -11 h\n1 g 831 2596 N 13 11 23 -7
      -13 -10 h\n1 g 809 2602 N 13 10 22 -6 -13 -10 h\n.188 g 2326 1011 N 13
      67 23 -6 -13 -67 h\n.2044 g 2304 1084 N 13 67 22 -36 -13 -104 h\n.4122
      g 2281 2187 N 13 104 23 -33 -13 -1174 h\n.5991 g 2259 2193 N 13 1174 22
      20 -13 -1200 h\n.6193 g 2236 2199 N 13 1200 23 -151 -13 -1055 h\n.4985
      g 2213 1161 N 13 1055 22 -196 -12 179 h\n.2756 g 2191 1048 N 12 -179 23
      329 -13 -37 h\n.1835 g 2168 998 N 13 37 23 24 -13 -11 h\n.1631 g 2146
      1004 N 13 11 22 27 -13 -44 h\n.1573 g 2123 1010 N 13 44 23 -6 -13 -44
      h\n.1516 g 2101 983 N 13 44 22 -6 -13 -11 h\n.1458 g 2078 989 N 13 11
      23 -6 -13 -11 h\n.1458 g 2056 995 N 13 11 22 -6 -13 -11 h\n.1458 g 2033
      1001 N 13 11 23 -6 -13 -11 h\n.1458 g 2011 1007 N 13 11 22 -7 -13 -10
      h\n.1458 g 1988 1013 N 13 10 23 -6 -13 -10 h\n.1516 g 1966 1053 N 13 10
      22 -6 -13 -44 h\n.1631 g 1943 1059 N 13 44 23 -40 -13 -10 h\n.1688 g
      1921 1065 N 13 10 22 -6 -13 -10 h\n.1739 g 1898 1101 N 13 10 23 -6 -13
      -40 h\n.184 g 1876 1107 N 13 40 22 -36 -13 -10 h\n.1936 g 1853 1140 N
      13 10 23 -6 -13 -37 h\n.2027 g 1831 1146 N 13 37 22 -33 -13 -10
      h\n.2072 g 1808 1152 N 13 10 23 -6 -13 -10 h\n.2113 g 1786 1183 N 13 10
      22 -6 -13 -35 h\n.2233 g 1763 1211 N 13 35 23 -30 -13 -33 h\n.2349 g
      1741 1217 N 13 33 22 -28 -13 -11 h\n.242 g 1718 1243 N 13 11 23 -6 -13
      -31 h\n.2521 g 1696 1268 N 13 31 22 -27 -13 -29 h\n.2679 g 1673 1292 N
      13 29 23 -42 -13 -11 h\n.4631 g 1651 1329 N 13 11 22 -1067 -13 1019
      h\n.5485 g 1628 1364 N 13 -1019 23 614 -13 370 h\n.6075 g 1606 1688 N
      13 -370 22 -626 -13 672 h\n.6265 g 1583 1435 N 13 -672 23 561 -13 364
      h\n.4715 g 1561 1685 N 13 -364 22 321 -13 -207 h\n.6046 g 1538 2389 N
      13 207 23 -173 -13 -738 h\n.8759 g 1516 2395 N 13 738 22 -734 -13 -10
      h\n.8879 g 1493 1744 N 13 10 23 -6 -13 647 h\n.8879 g 1471 2408 N 13
      -647 22 -6 -13 -11 h\n1 g 1448 2414 N 13 11 23 -6 -13 -11 h\n1 g 1426
      2420 N 13 11 22 -6 -13 -11 h\n1 g 1403 2426 N 13 11 23 -6 -13 -11 h\n1
      g 1381 2432 N 13 11 22 -7 -13 -10 h\n1 g 1358 2438 N 13 10 23 -6 -13
      -10 h\n1 g 1336 2444 N 13 10 22 -6 -13 -10 h\n1 g 1313 2451 N 13 10 23
      -6 -13 -11 h\n1 g 1291 2457 N 13 11 22 -6 -13 -11 h\n1 g 1268 2463 N 13
      11 23 -6 -13 -11 h\n1 g 1246 2469 N 13 11 22 -6 -13 -11 h\n1 g 1223
      2475 N 13 11 23 -6 -13 -11 h\n1 g 1201 2481 N 13 11 22 -7 -13 -10 h\n1
      g 1178 2487 N 13 10 23 -6 -13 -10 h\n.9543 g 1156 2494 N 13 10 22 262
      -13 -279 h\n.9543 g 1133 2500 N 13 279 23 -274 -13 -11 h\n1 g 1111 2506
      N 13 11 22 -6 -13 -11 h\n1 g 1088 2512 N 13 11 23 -6 -13 -11 h\n1 g
      1066 2518 N 13 11 22 -6 -13 -11 h\n1 g 1043 2524 N 13 11 23 -7 -13 -10
      h\n.8298 g 1021 1951 N 13 10 22 414 -13 149 h\n.637 g 998 1967 N 13
      -149 23 136 -13 -3 h\n.8072 g 976 2543 N 13 3 22 -568 -13 -11 h\n1 g
      953 2549 N 13 11 23 -6 -13 -11 h\n1 g 931 2555 N 13 11 22 -6 -13 -11
      h\n.8306 g 908 1947 N 13 11 23 374 -13 223 h\n.748 g 886 2567 N 13 -223
      22 98 -13 -495 h\n.9175 g 863 2573 N 13 495 23 -491 -13 -10 h\n1 g 841
      2579 N 13 10 22 -6 -13 -10 h\n1 g 818 2586 N 13 10 23 -6 -13 -11 h\n1 g
      796 2592 N 13 11 22 -6 -13 -11 h\n.1573 g 2313 944 N 13 44 23 -6 -13
      -44 h\n.1624 g 2291 980 N 13 44 22 -6 -13 -74 h\n.172 g 2268 1013 N 13
      74 23 -6 -13 -101 h\n.1777 g 2246 993 N 13 101 22 -40 -13 -41 h\n.2037
      g 2223 1144 N 13 41 23 -6 -13 -186 h\n.2609 g 2201 1340 N 13 186 22 -6
      -13 -376 h\n.2304 g 2178 1011 N 13 376 23 27 -13 -74 h\n.1624 g 2155
      987 N 13 74 22 -6 -12 -44 h\n.1516 g 2133 960 N 12 44 23 -6 -13 -11
      h\n.1458 g 2110 966 N 13 11 23 -6 -13 -11 h\n.1458 g 2088 972 N 13 11
      22 -6 -13 -11 h\n.1458 g 2065 978 N 13 11 23 -7 -13 -10 h\n.1458 g 2043
      984 N 13 10 22 -6 -13 -10 h\n.1458 g 2020 990 N 13 10 23 -6 -13 -10
      h\n.1458 g 1998 997 N 13 10 22 -6 -13 -11 h\n.1458 g 1975 1003 N 13 11
      23 -6 -13 -11 h\n.1458 g 1953 1009 N 13 11 22 -6 -13 -11 h\n.1516 g
      1930 1049 N 13 11 23 -6 -13 -45 h\n.1631 g 1908 1055 N 13 45 22 -40 -13
      -11 h\n.1688 g 1885 1061 N 13 11 23 -6 -13 -11 h\n.1739 g 1863 1097 N
      13 11 22 -6 -13 -41 h\n.184 g 1840 1103 N 13 41 23 -36 -13 -11 h\n.1936
      g 1818 1136 N 13 11 22 -6 -13 -38 h\n.2027 g 1795 1142 N 13 38 23 -33
      -13 -11 h\n.2072 g 1773 1148 N 13 11 22 -6 -13 -11 h\n.2154 g 1750 1178
      N 13 11 23 -31 -13 -10 h\n.2311 g 1728 1206 N 13 10 22 -28 -13 -10
      h\n.2386 g 1705 1212 N 13 10 23 -6 -13 -10 h\n.2455 g 1683 1239 N 13 10
      22 -26 -13 -11 h\n.2675 g 1660 1281 N 13 11 23 -59 -13 6 h\n.4994 g
      1638 2348 N 13 -6 22 -218 -13 -843 h\n.6542 g 1615 1734 N 13 843 23
      -262 -13 33 h\n.7961 g 1593 2360 N 13 -33 22 -583 -13 -10 h\n.8149 g
      1570 1799 N 13 10 23 514 -13 37 h\n.569 g 1548 1478 N 13 -37 22 23 -13
      335 h\n.6301 g 1525 1651 N 13 -335 23 -555 -13 717 h\n.8759 g 1503 2385
      N 13 -717 22 -6 -13 -11 h\n1 g 1480 2391 N 13 11 23 -6 -13 -11 h\n1 g
      1458 2397 N 13 11 22 -6 -13 -11 h\n1 g 1435 2403 N 13 11 23 -6 -13 -11
      h\n1 g 1413 2409 N 13 11 22 -7 -13 -10 h\n1 g 1390 2415 N 13 10 23 -6
      -13 -10 h\n1 g 1368 2422 N 13 10 22 -6 -13 -11 h\n1 g 1345 2428 N 13 11
      23 -6 -13 -11 h\n1 g 1323 2434 N 13 11 22 -6 -13 -11 h\n1 g 1300 2440 N
      13 11 23 -6 -13 -11 h\n1 g 1278 2446 N 13 11 22 -6 -13 -11 h\n1 g 1255
      2452 N 13 11 23 -7 -13 -10 h\n.9112 g 1233 2458 N 13 10 22 516 -13 -532
      h\n.9112 g 1210 2464 N 13 532 23 -528 -13 -10 h\n.8996 g 1188 2471 N 13
      10 22 583 -13 -600 h\n.8996 g 1165 2477 N 13 600 23 -595 -13 -11
      h\n.852 g 1143 2215 N 13 11 22 594 -13 -343 h\n.7538 g 1120 2489 N 13
      343 23 -30 -13 -587 h\n.8177 g 1098 2495 N 13 587 22 -89 -13 -504
      h\n.916 g 1075 2501 N 13 504 23 -500 -13 -10 h\n1 g 1053 2507 N 13 10
      22 -6 -13 -10 h\n1 g 1030 2514 N 13 10 23 -6 -13 -11 h\n.9285 g 1008
      2100 N 13 11 22 -6 -13 409 h\n.7465 g 985 1964 N 13 -409 23 500 -13 45
      h\n.818 g 963 2532 N 13 -45 22 -512 -13 -11 h\n1 g 940 2538 N 13 11 23
      -7 -13 -10 h\n1 g 918 2544 N 13 10 22 -6 -13 -10 h\n.8382 g 895 2170 N
      13 10 23 564 -13 -200 h\n.7556 g 873 2072 N 13 200 22 -576 -13 474
      h\n.9175 g 850 2563 N 13 -474 23 -6 -13 -11 h\n1 g 828 2569 N 13 11 22
      -6 -13 -11 h\n1 g 805 2575 N 13 11 23 -6 -13 -11 h\n.8861 g 783 2581 N
      13 11 22 662 -13 -679 h\n.1458 g 2300 900 N 13 11 23 -6 -13 -11
      h\n.1458 g 2278 906 N 13 11 22 -7 -13 -10 h\n.1392 g 2255 912 N 13 10
      23 33 -13 -49 h\n.1383 g 2233 952 N 13 49 22 -6 -13 -83 h\n.1441 g 2210
      958 N 13 83 23 -6 -13 -83 h\n.1441 g 2188 964 N 13 83 22 -6 -13 -83
      h\n.1383 g 2165 937 N 13 83 23 -6 -13 -50 h\n.1326 g 2143 943 N 13 50
      22 -6 -13 -50 h\n.1326 g 2120 949 N 13 50 23 -7 -13 -49 h\n.1326 g 2097
      955 N 13 49 23 -6 -13 -49 h\n.1326 g 2075 961 N 13 49 22 -6 -13 -49
      h\n.1392 g 2052 968 N 13 49 23 -45 -13 -11 h\n.1458 g 2030 974 N 13 11
      22 -6 -13 -11 h\n.1458 g 2007 980 N 13 11 23 -6 -13 -11 h\n.1458 g 1985
      986 N 13 11 22 -6 -13 -11 h\n.1458 g 1962 992 N 13 11 23 -6 -13 -11
      h\n.1458 g 1940 998 N 13 11 22 -7 -13 -10 h\n.1458 g 1917 1004 N 13 10
      23 -6 -13 -10 h\n.1516 g 1895 1044 N 13 10 22 -6 -13 -44 h\n.1631 g
      1872 1050 N 13 44 23 -40 -13 -10 h\n.1688 g 1850 1056 N 13 10 22 -6 -13
      -10 h\n.1789 g 1827 1092 N 13 10 23 -36 -13 -10 h\n.1891 g 1805 1098 N
      13 10 22 -6 -13 -10 h\n.1936 g 1782 1131 N 13 10 23 -6 -13 -37 h\n.2027
      g 1760 1137 N 13 37 22 -33 -13 -10 h\n.2154 g 1737 1168 N 13 10 23 -30
      -13 -11 h\n.2311 g 1715 1196 N 13 11 22 -28 -13 -11 h\n.2386 g 1692
      1202 N 13 11 23 -6 -13 -11 h\n.2487 g 1670 1228 N 13 11 22 -45 -13 8
      h\n.4514 g 1647 1287 N 13 -8 23 -1084 -13 1033 h\n.6801 g 1625 1505 N
      13 -1033 22 -7 -13 822 h\n.7598 g 1602 1767 N 13 -822 23 -6 -13 566
      h\n.9017 g 1580 2350 N 13 -566 22 -6 -13 -11 h\n.778 g 1557 1836 N 13
      11 23 777 -13 -274 h\n.6845 g 1535 1813 N 13 274 22 -789 -13 538
      h\n.9065 g 1512 2368 N 13 -538 23 -6 -13 -11 h\n1 g 1490 2374 N 13 11
      22 -6 -13 -11 h\n1 g 1467 2380 N 13 11 23 -7 -13 -10 h\n1 g 1445 2386 N
      13 10 22 -6 -13 -10 h\n1 g 1422 2392 N 13 10 23 -6 -13 -10 h\n1 g 1400
      2399 N 13 10 22 -6 -13 -11 h\n1 g 1377 2405 N 13 11 23 -6 -13 -11 h\n1
      g 1355 2411 N 13 11 22 -6 -13 -11 h\n1 g 1332 2417 N 13 11 23 -6 -13
      -11 h\n1 g 1310 2423 N 13 11 22 -7 -13 -10 h\n1 g 1287 2429 N 13 10 23
      -6 -13 -10 h\n1 g 1265 2435 N 13 10 22 -6 -13 -10 h\n1 g 1242 2442 N 13
      10 23 -6 -13 -11 h\n.9112 g 1220 1926 N 13 11 22 -6 -13 511 h\n.8002 g
      1197 2454 N 13 -511 23 645 -13 -662 h\n.6799 g 1175 1871 N 13 662 22
      -19 -13 -60 h\n.6867 g 1152 2466 N 13 60 23 -33 -13 -622 h\n.7936 g
      1130 1872 N 13 622 22 -618 -13 590 h\n.7995 g 1107 1902 N 13 -590 23 -6
      -13 566 h\n.8177 g 1085 1991 N 13 -566 22 -6 -13 483 h\n.8268 g 1062
      2491 N 13 -483 23 517 -13 -534 h\n.8213 g 1040 2497 N 13 534 22 -4 -13
      -536 h\n.824 g 1017 2503 N 13 536 23 -24 -13 -518 h\n.9135 g 995 2509 N
      13 518 22 -513 -13 -11 h\n.9138 g 972 2009 N 13 11 23 -7 -13 496
      h\n.8263 g 950 2521 N 13 -496 22 508 -13 -524 h\n.9125 g 927 2528 N 13
      524 23 -520 -13 -11 h\n1 g 905 2534 N 13 11 22 -6 -13 -11 h\n.8072 g
      882 1970 N 13 11 23 556 -13 -3 h\n.7173 g 860 2546 N 13 3 22 -41 -13
      -538 h\n.9101 g 837 2552 N 13 538 23 -533 -13 -11 h\n1 g 815 2558 N 13
      11 22 -7 -13 -10 h\n1 g 792 2564 N 13 10 23 -6 -13 -10 h\n.7729 g 770
      1902 N 13 10 22 659 -13 -7 h\n.1326 g 2287 889 N 13 49 23 -6 -13 -49
      h\n.1326 g 2265 896 N 13 49 22 -6 -13 -50 h\n.1259 g 2242 863 N 13 50
      23 -6 -13 -11 h\n.1193 g 2220 869 N 13 11 22 -6 -13 -11 h\n.1193 g 2197
      875 N 13 11 23 -6 -13 -11 h\n.1193 g 2175 881 N 13 11 22 -7 -13 -10
      h\n.1193 g 2152 887 N 13 10 23 -6 -13 -10 h\n.1193 g 2130 893 N 13 10
      22 -6 -13 -10 h\n.1193 g 2107 900 N 13 10 23 -6 -13 -11 h\n.1193 g 2084
      906 N 13 11 22 -6 -12 -11 h\n.1193 g 2062 912 N 12 11 23 -6 -13 -11
      h\n.1259 g 2039 957 N 13 11 23 -6 -13 -50 h\n.1326 g 2017 963 N 13 50
      22 -6 -13 -50 h\n.1326 g 1994 969 N 13 50 23 -7 -13 -49 h\n.1326 g 1972
      975 N 13 49 22 -6 -13 -49 h\n.1392 g 1949 981 N 13 49 23 -45 -13 -10
      h\n.1458 g 1927 988 N 13 10 22 -6 -13 -11 h\n.1458 g 1904 994 N 13 11
      23 -6 -13 -11 h\n.1458 g 1882 1000 N 13 11 22 -6 -13 -11 h\n.1573 g
      1859 1040 N 13 11 23 -40 -13 -11 h\n.1688 g 1837 1046 N 13 11 22 -6 -13
      -11 h\n.1739 g 1814 1082 N 13 11 23 -6 -13 -41 h\n.184 g 1792 1088 N 13
      41 22 -36 -13 -11 h\n.1891 g 1769 1094 N 13 11 23 -6 -13 -11 h\n.1982 g
      1747 1127 N 13 11 22 -33 -13 -11 h\n.2154 g 1724 1157 N 13 11 23 -30
      -13 -11 h\n.2311 g 1702 1185 N 13 11 22 -28 -13 -11 h\n.242 g 1679 1191
      N 13 11 23 -27 -13 10 h\n.2553 g 1657 1236 N 13 -10 22 -25 -13 -10
      h\n.4572 g 1634 2320 N 13 10 23 -55 -13 -1039 h\n.8246 g 1612 2327 N 13
      1039 22 -1035 -13 -11 h\n1 g 1589 2333 N 13 11 23 -6 -13 -11 h\n1 g
      1567 2339 N 13 11 22 -6 -13 -11 h\n.8665 g 1544 1562 N 13 11 23 -6 -13
      772 h\n.8665 g 1522 2351 N 13 -772 22 -7 -13 -10 h\n1 g 1499 2357 N 13
      10 23 -6 -13 -10 h\n1 g 1477 2363 N 13 10 22 -6 -13 -10 h\n1 g 1454
      2370 N 13 10 23 -6 -13 -11 h\n1 g 1432 2376 N 13 11 22 -6 -13 -11 h\n1
      g 1409 2382 N 13 11 23 -6 -13 -11 h\n1 g 1387 2388 N 13 11 22 -6 -13
      -11 h\n1 g 1364 2394 N 13 11 23 -6 -13 -11 h\n1 g 1342 2400 N 13 11 22
      -7 -13 -10 h\n1 g 1319 2406 N 13 10 23 -6 -13 -10 h\n1 g 1297 2413 N 13
      10 22 -6 -13 -11 h\n1 g 1274 2419 N 13 11 23 -6 -13 -11 h\n.8843 g 1252
      2425 N 13 11 22 673 -13 -690 h\n.7679 g 1229 2431 N 13 690 23 -3 -13
      -693 h\n.7692 g 1207 2437 N 13 693 22 -17 -13 -682 h\n.7746 g 1184 1792
      N 13 682 23 -678 -13 641 h\n.6786 g 1162 1811 N 13 -641 22 592 -13 30
      h\n.6854 g 1139 1844 N 13 -30 23 -604 -13 601 h\n.8959 g 1117 2462 N 13
      -601 22 -6 -13 -11 h\n1 g 1094 2468 N 13 11 23 -6 -13 -11 h\n1 g 1072
      2474 N 13 11 22 -6 -13 -11 h\n.9108 g 1049 1957 N 13 11 23 -6 -13 512
      h\n.8213 g 1027 1961 N 13 -512 22 -7 -13 515 h\n.824 g 1004 1985 N 13
      -515 23 -6 -13 497 h\n.8327 g 982 2498 N 13 -497 22 468 -13 -484
      h\n.9192 g 959 2505 N 13 484 23 -480 -13 -11 h\n.9125 g 937 1997 N 13
      11 22 -6 -13 503 h\n.9125 g 914 2517 N 13 -503 23 -6 -13 -11 h\n1 g 892
      2523 N 13 11 22 -6 -13 -11 h\n.8115 g 869 1967 N 13 11 23 538 -13 7
      h\n.7216 g 847 2008 N 13 -7 22 -551 -13 517 h\n.9101 g 824 2541 N 13
      -517 23 -6 -13 -10 h\n1 g 802 2548 N 13 10 22 -6 -13 -11 h\n1 g 779
      2554 N 13 11 23 -6 -13 -11 h\n.7752 g 757 1895 N 13 11 22 648 -13 0
      h\n.1036 g 2274 840 N 13 57 23 -6 -13 -57 h\n.1036 g 2252 846 N 13 57
      22 -6 -13 -57 h\n.1036 g 2229 852 N 13 57 23 -6 -13 -57 h\n.1036 g 2207
      858 N 13 57 22 -7 -13 -56 h\n.1036 g 2184 864 N 13 56 23 -6 -13 -56
      h\n.1036 g 2162 871 N 13 56 22 -6 -13 -57 h\n.1036 g 2139 877 N 13 57
      23 -6 -13 -57 h\n.1115 g 2117 883 N 13 57 22 -52 -13 -11 h\n.1193 g
      2094 889 N 13 11 23 -6 -13 -11 h\n.1193 g 2072 895 N 13 11 22 -6 -13
      -11 h\n.1193 g 2049 901 N 13 11 23 -7 -13 -10 h\n.1193 g 2026 907 N 13
      10 22 -6 -12 -10 h\n.1193 g 2004 913 N 12 10 23 -6 -13 -10 h\n.1193 g
      1981 920 N 13 10 23 -6 -13 -11 h\n.1193 g 1959 926 N 13 11 22 -6 -13
      -11 h\n.1259 g 1936 971 N 13 11 23 -6 -13 -50 h\n.1392 g 1914 977 N 13
      50 22 -45 -13 -11 h\n.1458 g 1891 983 N 13 11 23 -6 -13 -11 h\n.1458 g
      1869 989 N 13 11 22 -7 -13 -10 h\n.1516 g 1846 1029 N 13 10 23 -6 -13
      -44 h\n.1631 g 1824 1035 N 13 44 22 -40 -13 -10 h\n.1688 g 1801 1041 N
      13 10 23 -6 -13 -10 h\n.1789 g 1779 1077 N 13 10 22 -36 -13 -10
      h\n.1891 g 1756 1083 N 13 10 23 -6 -13 -10 h\n.2023 g 1734 1116 N 13 10
      22 -57 -13 14 h\n.2267 g 1711 1146 N 13 -14 23 -48 -13 32 h\n.2557 g
      1689 1174 N 13 -32 22 -88 -13 92 h\n.2691 g 1666 1201 N 13 -92 23 40
      -13 25 h\n.2707 g 1644 1226 N 13 -25 22 -23 -13 23 h\n.2924 g 1621 1281
      N 13 -23 23 -49 -13 17 h\n.6541 g 1599 2316 N 13 -17 22 -1007 -13 -11
      h\n1 g 1576 2322 N 13 11 23 -6 -13 -11 h\n1 g 1554 2328 N 13 11 22 -7
      -13 -10 h\n1 g 1531 2334 N 13 10 23 -6 -13 -10 h\n1 g 1509 2341 N 13 10
      22 -6 -13 -11 h\n1 g 1486 2347 N 13 11 23 -6 -13 -11 h\n1 g 1464 2353 N
      13 11 22 -6 -13 -11 h\n1 g 1441 2359 N 13 11 23 -6 -13 -11 h\n1 g 1419
      2365 N 13 11 22 -6 -13 -11 h\n1 g 1396 2371 N 13 11 23 -7 -13 -10 h\n1
      g 1374 2377 N 13 10 22 -6 -13 -10 h\n1 g 1351 2383 N 13 10 23 -6 -13
      -10 h\n1 g 1329 2390 N 13 10 22 -6 -13 -11 h\n1 g 1306 2396 N 13 11 23
      -6 -13 -11 h\n1 g 1284 2402 N 13 11 22 -6 -13 -11 h\n.8789 g 1261 2408
      N 13 11 23 704 -13 -721 h\n.6428 g 1239 1735 N 13 721 22 -10 -13 -38
      h\n.5305 g 1216 1738 N 13 38 23 -26 -13 -15 h\n.6522 g 1194 1755 N 13
      15 22 -693 -13 661 h\n.8855 g 1171 2433 N 13 -661 23 -6 -13 -11
      h\n.8982 g 1149 1841 N 13 11 22 -6 -13 587 h\n.8982 g 1126 2445 N 13
      -587 23 -6 -13 -11 h\n1 g 1104 2451 N 13 11 22 -6 -13 -11 h\n1 g 1081
      2457 N 13 11 23 -7 -13 -10 h\n1 g 1059 2463 N 13 10 22 -6 -13 -10 h\n1
      g 1036 2469 N 13 10 23 -6 -13 -10 h\n.92 g 1014 2476 N 13 10 22 463 -13
      -480 h\n.92 g 991 2482 N 13 480 23 -475 -13 -11 h\n.9192 g 969 2014 N
      13 11 22 -6 -13 463 h\n.8456 g 946 2494 N 13 -463 23 425 -13 -442
      h\n.8622 g 924 2500 N 13 442 22 -61 -13 -387 h\n.9358 g 901 2506 N 13
      387 23 -383 -13 -10 h\n.9245 g 879 2512 N 13 10 22 437 -13 -453
      h\n.7577 g 856 1974 N 13 453 23 -14 -13 99 h\n.8332 g 834 2525 N 13 -99
      22 -441 -13 -11 h\n1 g 811 2531 N 13 11 23 -6 -13 -11 h\n1 g 789 2537 N
      13 11 22 -6 -13 -11 h\n.8923 g 766 2543 N 13 11 23 625 -13 -642 h\n.703
      g 744 1895 N 13 642 22 -181 -13 187 h\n.0879 g 2261 783 N 13 11 23 -7
      -13 -10 h\n.0879 g 2239 789 N 13 10 22 -6 -13 -10 h\n.0879 g 2216 795 N
      13 10 23 -6 -13 -10 h\n.0879 g 2194 802 N 13 10 22 -6 -13 -11 h\n.0879
      g 2171 808 N 13 11 23 -6 -13 -11 h\n.0879 g 2149 814 N 13 11 22 -6 -13
      -11 h\n.0879 g 2126 820 N 13 11 23 -6 -13 -11 h\n.0958 g 2104 872 N 13
      11 22 -6 -13 -57 h\n.1036 g 2081 878 N 13 57 23 -7 -13 -56 h\n.1115 g
      2059 884 N 13 56 22 -52 -13 -10 h\n.1193 g 2036 891 N 13 10 23 -6 -13
      -11 h\n.1193 g 2014 897 N 13 11 22 -6 -13 -11 h\n.1193 g 1991 903 N 13
      11 23 -6 -13 -11 h\n.1193 g 1968 909 N 13 11 22 -6 -12 -11 h\n.1193 g
      1946 915 N 12 11 23 -6 -13 -11 h\n.1193 g 1923 921 N 13 11 23 -7 -13
      -10 h\n.1259 g 1901 966 N 13 10 22 -6 -13 -49 h\n.1392 g 1878 972 N 13
      49 23 -45 -13 -10 h\n.1458 g 1856 979 N 13 10 22 -6 -13 -11 h\n.1458 g
      1833 985 N 13 11 23 -6 -13 -11 h\n.1573 g 1811 1025 N 13 11 22 -40 -13
      -11 h\n.1688 g 1788 1031 N 13 11 23 -6 -13 -11 h\n.1789 g 1766 1067 N
      13 11 22 -36 -13 -11 h\n.1936 g 1743 1073 N 13 11 23 -33 -13 16 h\n.405
      g 1721 1130 N 13 -16 22 -1169 -13 1128 h\n.4909 g 1698 1178 N 13 -1128
      23 746 -13 334 h\n.3777 g 1676 1266 N 13 -334 22 31 -13 215 h\n.5119 g
      1653 1226 N 13 -215 23 -795 -13 1050 h\n.4684 g 1631 1249 N 13 -1050 22
      1008 -13 19 h\n.308 g 1608 1298 N 13 -19 23 -20 -13 -10 h\n.4965 g 1586
      2305 N 13 10 22 -54 -13 -963 h\n.8376 g 1563 2311 N 13 963 23 -959 -13
      -10 h\n1 g 1541 2318 N 13 10 22 -6 -13 -11 h\n1 g 1518 2324 N 13 11 23
      -6 -13 -11 h\n1 g 1496 2330 N 13 11 22 -6 -13 -11 h\n1 g 1473 2336 N 13
      11 23 -6 -13 -11 h\n1 g 1451 2342 N 13 11 22 -7 -13 -10 h\n1 g 1428
      2348 N 13 10 23 -6 -13 -10 h\n1 g 1406 2354 N 13 10 22 -6 -13 -10 h\n1
      g 1383 2361 N 13 10 23 -6 -13 -11 h\n1 g 1361 2367 N 13 11 22 -6 -13
      -11 h\n1 g 1338 2373 N 13 11 23 -6 -13 -11 h\n1 g 1316 2379 N 13 11 22
      -6 -13 -11 h\n.8759 g 1293 2385 N 13 11 23 722 -13 -739 h\n.7503 g 1271
      2391 N 13 739 22 3 -13 -748 h\n.6292 g 1248 1687 N 13 748 23 -16 -13
      -28 h\n.6344 g 1226 1697 N 13 28 22 -734 -13 696 h\n.6599 g 1203 1723 N
      13 -696 23 597 -13 73 h\n.7803 g 1181 2416 N 13 -73 22 -609 -13 -11
      h\n1 g 1158 2422 N 13 11 23 -6 -13 -11 h\n1 g 1136 2428 N 13 11 22 -6
      -13 -11 h\n1 g 1113 2434 N 13 11 23 -7 -13 -10 h\n1 g 1091 2440 N 13 10
      22 -6 -13 -10 h\n.9203 g 1068 2447 N 13 10 23 462 -13 -479 h\n.8304 g
      1046 2453 N 13 479 22 53 -13 -538 h\n.8408 g 1023 2459 N 13 538 23 -127
      -13 -417 h\n.8507 g 1001 1996 N 13 417 22 -412 -13 458 h\n.92 g 978
      2471 N 13 -458 23 -6 -13 -11 h\n1 g 956 2477 N 13 11 22 -7 -13 -10
      h\n.9264 g 933 2052 N 13 10 23 -6 -13 421 h\n.7974 g 911 2113 N 13 -421
      22 374 -13 -14 h\n.871 g 888 2496 N 13 14 23 -386 -13 -11 h\n.8404 g
      866 2059 N 13 11 22 487 -13 -61 h\n.7664 g 843 2073 N 13 61 23 -499 -13
      424 h\n.9259 g 821 2514 N 13 -424 22 -6 -13 -11 h\n.9054 g 798 2520 N
      13 11 23 549 -13 -566 h\n.8022 g 776 2526 N 13 566 22 44 -13 -616
      h\n.7892 g 753 1901 N 13 616 23 -612 -13 621 h\n.8145 g 731 2082 N 13
      -621 22 -6 -13 446 h\n.0879 g 2248 773 N 13 10 23 -6 -13 -11 h\n.0879 g
      2226 779 N 13 11 22 -6 -13 -11 h\n.0879 g 2203 785 N 13 11 23 -6 -13
      -11 h\n.0879 g 2181 791 N 13 11 22 -6 -13 -11 h\n.0879 g 2158 797 N 13
      11 23 -6 -13 -11 h\n.0879 g 2136 803 N 13 11 22 -7 -13 -10 h\n.0879 g
      2113 809 N 13 10 23 -6 -13 -10 h\n.0879 g 2091 815 N 13 10 22 -6 -13
      -10 h\n.0879 g 2068 822 N 13 10 23 -6 -13 -11 h\n.0958 g 2046 874 N 13
      11 22 -6 -13 -57 h\n.1036 g 2023 880 N 13 57 23 -6 -13 -57 h\n.1115 g
      2001 886 N 13 57 22 -52 -13 -11 h\n.1193 g 1978 892 N 13 11 23 -7 -13
      -10 h\n.1193 g 1956 898 N 13 10 22 -6 -13 -10 h\n.1193 g 1933 904 N 13
      10 23 -6 -13 -10 h\n.1193 g 1910 911 N 13 10 22 -6 -12 -11 h\n.1193 g
      1888 917 N 12 11 23 -6 -13 -11 h\n.1259 g 1865 962 N 13 11 23 -6 -13
      -50 h\n.1392 g 1843 968 N 13 50 22 -45 -13 -11 h\n.1458 g 1820 974 N 13
      11 23 -6 -13 -11 h\n.1573 g 1798 1014 N 13 11 22 -40 -13 -11 h\n.1688 g
      1775 1020 N 13 11 23 -6 -13 -11 h\n.1835 g 1753 1056 N 13 11 22 -63 -13
      16 h\n.2068 g 1730 1089 N 13 -16 23 -30 -13 13 h\n.4208 g 1708 2258 N
      13 -13 22 -48 -13 -1108 h\n.685 g 1685 1512 N 13 1108 23 -1103 -13 741
      h\n.6077 g 1663 1481 N 13 -741 22 755 -13 17 h\n.6466 g 1640 2276 N 13
      -17 23 -244 -13 -534 h\n.7379 g 1618 1268 N 13 534 22 -530 -13 1004
      h\n.4942 g 1595 1288 N 13 -1004 23 947 -13 37 h\n.3703 g 1573 1342 N 13
      -37 22 -170 -13 153 h\n.7032 g 1550 2301 N 13 -153 23 -795 -13 -11 h\n1
      g 1528 2307 N 13 11 22 -6 -13 -11 h\n1 g 1505 2313 N 13 11 23 -7 -13
      -10 h\n1 g 1483 2319 N 13 10 22 -6 -13 -10 h\n1 g 1460 2325 N 13 10 23
      -6 -13 -10 h\n1 g 1438 2332 N 13 10 22 -6 -13 -11 h\n1 g 1415 2338 N 13
      11 23 -6 -13 -11 h\n1 g 1393 2344 N 13 11 22 -6 -13 -11 h\n1 g 1370
      2350 N 13 11 23 -6 -13 -11 h\n1 g 1348 2356 N 13 11 22 -6 -13 -11 h\n1
      g 1325 2362 N 13 11 23 -7 -13 -10 h\n1 g 1303 2368 N 13 10 22 -6 -13
      -10 h\n.7487 g 1280 1646 N 13 10 23 741 -13 -29 h\n.495 g 1258 1643 N
      13 29 22 -1 -13 -25 h\n.6222 g 1235 1659 N 13 25 23 -758 -13 717
      h\n.7693 g 1213 2393 N 13 -717 22 619 -13 -636 h\n.7907 g 1190 1796 N
      13 636 23 -631 -13 592 h\n.8973 g 1168 2405 N 13 -592 22 -7 -13 -10
      h\n1 g 1145 2411 N 13 10 23 -6 -13 -10 h\n1 g 1123 2417 N 13 10 22 -6
      -13 -10 h\n1 g 1100 2424 N 13 10 23 -6 -13 -11 h\n.9034 g 1078 2430 N
      13 11 22 561 -13 -578 h\n.7298 g 1055 1968 N 13 578 23 -22 -13 -94
      h\n.7366 g 1033 1915 N 13 94 22 -557 -13 516 h\n.8408 g 1010 2042 N 13
      -516 23 -7 -13 396 h\n.8531 g 988 2454 N 13 -396 22 450 -13 -466
      h\n.9224 g 965 2460 N 13 466 23 -462 -13 -10 h\n1 g 943 2467 N 13 10 22
      -6 -13 -11 h\n1 g 920 2473 N 13 11 23 -6 -13 -11 h\n.9352 g 898 2099 N
      13 11 22 -6 -13 369 h\n.8579 g 875 2485 N 13 -369 23 447 -13 -464
      h\n.8387 g 853 1998 N 13 464 22 -459 -13 482 h\n.916 g 830 2497 N 13
      -482 23 -7 -13 -10 h\n.9235 g 808 2503 N 13 10 22 443 -13 -459 h\n.7301
      g 785 1954 N 13 459 23 124 -13 -34 h\n.7035 g 763 1910 N 13 34 22 -585
      -13 595 h\n.8968 g 740 2522 N 13 -595 23 -6 -13 -11 h\n1 g 718 2528 N
      13 11 22 -6 -13 -11 h\n.0879 g 2235 762 N 13 11 23 -6 -13 -11 h\n.0879
      g 2213 768 N 13 11 22 -6 -13 -11 h\n.0879 g 2190 774 N 13 11 23 -7 -13
      -10 h\n.0879 g 2168 780 N 13 10 22 -6 -13 -10 h\n.0879 g 2145 786 N 13
      10 23 -6 -13 -10 h\n.0879 g 2123 793 N 13 10 22 -6 -13 -11 h\n.0879 g
      2100 799 N 13 11 23 -6 -13 -11 h\n.0879 g 2078 805 N 13 11 22 -6 -13
      -11 h\n.0879 g 2055 811 N 13 11 23 -6 -13 -11 h\n.0879 g 2033 817 N 13
      11 22 -7 -13 -10 h\n.0879 g 2010 823 N 13 10 23 -6 -13 -10 h\n.0958 g
      1988 875 N 13 10 22 -6 -13 -56 h\n.1115 g 1965 882 N 13 56 23 -52 -13
      -11 h\n.1193 g 1943 888 N 13 11 22 -6 -13 -11 h\n.1193 g 1920 894 N 13
      11 23 -6 -13 -11 h\n.1193 g 1898 900 N 13 11 22 -6 -13 -11 h\n.1193 g
      1875 906 N 13 11 23 -7 -13 -10 h\n.1193 g 1852 912 N 13 10 22 -6 -12
      -10 h\n.1259 g 1830 957 N 12 10 23 -6 -13 -49 h\n.1392 g 1807 963 N 13
      49 23 -45 -13 -10 h\n.1573 g 1785 1003 N 13 10 22 -40 -13 -10 h\n.1739
      g 1762 1009 N 13 10 23 -36 -13 20 h\n.2009 g 1740 1072 N 13 -20 22 -78
      -13 35 h\n.2305 g 1717 1102 N 13 -35 23 -27 -13 32 h\n.2484 g 1695 1150
      N 13 -32 22 -25 -13 9 h\n.4755 g 1672 2253 N 13 -9 23 -181 -13 -913
      h\n.7163 g 1650 1498 N 13 913 22 -909 -13 751 h\n.781 g 1627 1742 N 13
      -751 23 -6 -13 513 h\n.9108 g 1605 2272 N 13 -513 22 -6 -13 -11
      h\n.8376 g 1582 1325 N 13 11 23 -6 -13 942 h\n.5493 g 1560 1495 N 13
      -942 22 897 -13 -125 h\n.7117 g 1537 2290 N 13 125 23 -910 -13 -10 h\n1
      g 1515 2296 N 13 10 22 -6 -13 -10 h\n1 g 1492 2303 N 13 10 23 -6 -13
      -11 h\n1 g 1470 2309 N 13 11 22 -6 -13 -11 h\n1 g 1447 2315 N 13 11 23
      -6 -13 -11 h\n1 g 1425 2321 N 13 11 22 -6 -13 -11 h\n1 g 1402 2327 N 13
      11 23 -6 -13 -11 h\n1 g 1380 2333 N 13 11 22 -7 -13 -10 h\n1 g 1357
      2339 N 13 10 23 -6 -13 -10 h\n1 g 1335 2345 N 13 10 22 -6 -13 -10
      h\n.8711 g 1312 2352 N 13 10 23 751 -13 -768 h\n.7385 g 1290 2358 N 13
      768 22 15 -13 -789 h\n.6086 g 1267 1617 N 13 789 23 -12 -13 -36 h\n.485
      g 1245 1618 N 13 36 22 -27 -13 -10 h\n.7438 g 1222 2376 N 13 10 23 -758
      -13 -10 h\n.8934 g 1200 1757 N 13 10 22 -6 -13 615 h\n.8934 g 1177 2388
      N 13 -615 23 -6 -13 -10 h\n1 g 1155 2395 N 13 10 22 -6 -13 -11 h\n1 g
      1132 2401 N 13 11 23 -6 -13 -11 h\n.9322 g 1110 2407 N 13 11 22 392 -13
      -409 h\n.836 g 1087 2413 N 13 409 23 160 -13 -575 h\n.8072 g 1065 1852
      N 13 575 22 -570 -13 556 h\n.8095 g 1042 1874 N 13 -556 23 -7 -13 541
      h\n.9061 g 1020 2431 N 13 -541 22 -6 -13 -10 h\n.9172 g 997 2438 N 13
      10 23 480 -13 -497 h\n.8396 g 975 1988 N 13 497 22 -492 -13 445
      h\n.8493 g 952 2450 N 13 -445 23 423 -13 -440 h\n.9269 g 930 2456 N 13
      440 22 -435 -13 -11 h\n1 g 907 2462 N 13 11 23 -6 -13 -11 h\n1 g 885
      2468 N 13 11 22 -7 -13 -10 h\n.9227 g 862 2021 N 13 10 23 -6 -13 443
      h\n.8474 g 840 2480 N 13 -443 22 436 -13 -452 h\n.8345 g 817 2487 N 13
      452 23 81 -13 -540 h\n.8332 g 795 2044 N 13 540 22 -535 -13 438
      h\n.8248 g 772 1920 N 13 -438 23 -6 -13 568 h\n.9013 g 750 2505 N 13
      -568 22 -6 -13 -11 h\n1 g 727 2511 N 13 11 23 -7 -13 -10 h\n1 g 705
      2517 N 13 10 22 -6 -13 -10 h\n.0783 g 2222 751 N 13 67 23 -63 -13 -10
      h\n.0879 g 2200 757 N 13 10 22 -6 -13 -10 h\n.0879 g 2177 764 N 13 10
      23 -6 -13 -11 h\n.0879 g 2155 770 N 13 11 22 -6 -13 -11 h\n.0879 g 2132
      776 N 13 11 23 -6 -13 -11 h\n.0879 g 2110 782 N 13 11 22 -6 -13 -11
      h\n.0879 g 2087 788 N 13 11 23 -6 -13 -11 h\n.0879 g 2065 794 N 13 11
      22 -7 -13 -10 h\n.0879 g 2042 800 N 13 10 23 -6 -13 -10 h\n.0879 g 2020
      807 N 13 10 22 -6 -13 -11 h\n.0879 g 1997 813 N 13 11 23 -6 -13 -11
      h\n.0879 g 1975 819 N 13 11 22 -6 -13 -11 h\n.0958 g 1952 871 N 13 11
      23 -6 -13 -57 h\n.1036 g 1930 877 N 13 57 22 -6 -13 -57 h\n.1115 g 1907
      883 N 13 57 23 -53 -13 -10 h\n.1193 g 1885 889 N 13 10 22 -6 -13 -10
      h\n.1193 g 1862 896 N 13 10 23 -6 -13 -11 h\n.1193 g 1840 902 N 13 11
      22 -6 -13 -11 h\n.1193 g 1817 908 N 13 11 23 -6 -13 -11 h\n.1326 g 1794
      953 N 13 11 22 -45 -12 -11 h\n.1573 g 1772 993 N 12 11 23 -40 -13 -11
      h\n.1835 g 1749 1029 N 13 11 23 -63 -13 16 h\n.4087 g 1727 1107 N 13
      -16 22 -1169 -13 1107 h\n.6227 g 1704 1134 N 13 -1107 23 -6 -13 1086
      h\n.6294 g 1682 1159 N 13 -1086 22 -6 -13 1067 h\n.6624 g 1659 1340 N
      13 -1067 23 -6 -13 892 h\n.7107 g 1637 2249 N 13 -892 22 788 -13 -805
      h\n.8646 g 1614 2255 N 13 805 23 -800 -13 -11 h\n1 g 1592 2261 N 13 11
      22 -7 -13 -10 h\n.8646 g 1569 2267 N 13 10 23 789 -13 -805 h\n.5651 g
      1547 1370 N 13 805 22 53 -13 39 h\n.5918 g 1524 2280 N 13 -39 23 -222
      -13 -649 h\n.8913 g 1502 2286 N 13 649 22 -644 -13 -11 h\n1 g 1479 2292
      N 13 11 23 -6 -13 -11 h\n1 g 1457 2298 N 13 11 22 -6 -13 -11 h\n1 g
      1434 2304 N 13 11 23 -7 -13 -10 h\n1 g 1412 2310 N 13 10 22 -6 -13 -10
      h\n1 g 1389 2316 N 13 10 23 -6 -13 -10 h\n1 g 1367 2323 N 13 10 22 -6
      -13 -11 h\n1 g 1344 2329 N 13 11 23 -6 -13 -11 h\n1 g 1322 2335 N 13 11
      22 -6 -13 -11 h\n.8711 g 1299 1584 N 13 11 23 -6 -13 746 h\n.6021 g
      1277 1569 N 13 -746 22 794 -13 -33 h\n.5994 g 1254 1581 N 13 33 23 -807
      -13 762 h\n.6525 g 1232 1608 N 13 -762 22 510 -13 225 h\n.7841 g 1209
      2366 N 13 -225 23 -522 -13 -11 h\n1 g 1187 2372 N 13 11 22 -6 -13 -11
      h\n1 g 1164 2378 N 13 11 23 -6 -13 -11 h\n1 g 1142 2384 N 13 11 22 -6
      -13 -11 h\n1 g 1119 2390 N 13 11 23 -6 -13 -11 h\n.8511 g 1097 1998 N
      13 11 22 469 -13 -88 h\n.6512 g 1074 1838 N 13 88 23 127 -13 -55
      h\n.8001 g 1052 2408 N 13 55 22 -615 -13 -10 h\n1 g 1029 2415 N 13 10
      23 -6 -13 -11 h\n1 g 1007 2421 N 13 11 22 -6 -13 -11 h\n.8297 g 984
      1941 N 13 11 23 507 -13 -38 h\n.8297 g 962 2433 N 13 38 22 -519 -13 -11
      h\n.8483 g 939 2010 N 13 11 23 455 -13 -43 h\n.8483 g 917 2445 N 13 43
      22 -468 -13 -10 h\n1 g 894 2451 N 13 10 23 -6 -13 -10 h\n1 g 872 2458 N
      13 10 22 -6 -13 -11 h\n1 g 849 2464 N 13 11 23 -6 -13 -11 h\n.9247 g
      827 2028 N 13 11 22 -6 -13 431 h\n.8345 g 804 1947 N 13 -431 23 -6 -13
      518 h\n.9098 g 782 2482 N 13 -518 22 -7 -13 -10 h\n1 g 759 2488 N 13 10
      23 -6 -13 -10 h\n1 g 737 2494 N 13 10 22 -6 -13 -10 h\n1 g 714 2501 N
      13 10 23 -6 -13 -11 h\n1 g 692 2507 N 13 11 22 -6 -13 -11 h\n.0591 g
      2209 741 N 13 10 23 -6 -13 -67 h\n.0687 g 2187 747 N 13 67 22 -6 -13
      -67 h\n.0687 g 2164 753 N 13 67 23 -6 -13 -67 h\n.0687 g 2142 759 N 13
      67 22 -6 -13 -67 h\n.0687 g 2119 765 N 13 67 23 -6 -13 -67 h\n.0783 g
      2097 771 N 13 67 22 -63 -13 -10 h\n.0879 g 2074 777 N 13 10 23 -6 -13
      -10 h\n.0879 g 2052 784 N 13 10 22 -6 -13 -11 h\n.0879 g 2029 790 N 13
      11 23 -6 -13 -11 h\n.0879 g 2007 796 N 13 11 22 -6 -13 -11 h\n.0879 g
      1984 802 N 13 11 23 -6 -13 -11 h\n.0879 g 1962 808 N 13 11 22 -7 -13
      -10 h\n.0879 g 1939 814 N 13 10 23 -6 -13 -10 h\n.0879 g 1917 820 N 13
      10 22 -6 -13 -10 h\n.0958 g 1894 873 N 13 10 23 -6 -13 -57 h\n.1115 g
      1872 879 N 13 57 22 -52 -13 -11 h\n.1193 g 1849 885 N 13 11 23 -6 -13
      -11 h\n.1193 g 1827 891 N 13 11 22 -6 -13 -11 h\n.1193 g 1804 897 N 13
      11 23 -7 -13 -10 h\n.1326 g 1782 942 N 13 10 22 -45 -13 -10 h\n.1573 g
      1759 982 N 13 10 23 -39 -13 -11 h\n.2323 g 1736 1045 N 13 11 22 -323
      -12 249 h\n.6479 g 1714 2214 N 12 -249 23 -909 -13 -11 h\n1 g 1691 2220
      N 13 11 23 -6 -13 -11 h\n1 g 1669 2226 N 13 11 22 -6 -13 -11 h\n1 g
      1646 2232 N 13 11 23 -7 -13 -10 h\n.8646 g 1624 1444 N 13 10 22 -6 -13
      784 h\n.7413 g 1601 2244 N 13 -784 23 718 -13 -734 h\n.8767 g 1579 2251
      N 13 734 22 -730 -13 -11 h\n.8646 g 1556 1462 N 13 11 23 -6 -13 784
      h\n.5805 g 1534 1409 N 13 -784 22 807 -13 30 h\n.6072 g 1511 1631 N 13
      -30 23 -819 -13 627 h\n.8913 g 1489 2275 N 13 -627 22 -6 -13 -11 h\n1 g
      1466 2281 N 13 11 23 -7 -13 -10 h\n1 g 1444 2287 N 13 10 22 -6 -13 -10
      h\n1 g 1421 2294 N 13 10 23 -6 -13 -11 h\n1 g 1399 2300 N 13 11 22 -6
      -13 -11 h\n1 g 1376 2306 N 13 11 23 -6 -13 -11 h\n1 g 1354 2312 N 13 11
      22 -6 -13 -11 h\n.8736 g 1331 2318 N 13 11 23 736 -13 -753 h\n.7381 g
      1309 2324 N 13 753 22 46 -13 -805 h\n.7249 g 1286 2330 N 13 805 23 19
      -13 -830 h\n.5854 g 1264 1536 N 13 830 22 -13 -13 -23 h\n.5943 g 1241
      2343 N 13 23 23 -52 -13 -778 h\n.7815 g 1219 1833 N 13 778 22 -773 -13
      505 h\n.9122 g 1196 2355 N 13 -505 23 -6 -13 -11 h\n1 g 1174 2361 N 13
      11 22 -6 -13 -11 h\n1 g 1151 2367 N 13 11 23 -7 -13 -10 h\n1 g 1129
      2373 N 13 10 22 -6 -13 -10 h\n1 g 1106 2379 N 13 10 23 -6 -13 -10
      h\n.8107 g 1084 1910 N 13 10 22 629 -13 -170 h\n.6066 g 1061 1783 N 13
      170 23 -52 -13 9 h\n.7959 g 1039 2398 N 13 -9 22 -595 -13 -11 h\n1 g
      1016 2404 N 13 11 23 -6 -13 -11 h\n.9115 g 994 2410 N 13 11 22 513 -13
      -530 h\n.7477 g 971 1903 N 13 530 23 -78 -13 55 h\n.8362 g 949 2422 N
      13 -55 22 -454 -13 -10 h\n.8376 g 926 1967 N 13 10 23 485 -13 -40
      h\n.8376 g 904 2435 N 13 40 22 -497 -13 -11 h\n.9195 g 881 2441 N 13 11
      23 466 -13 -483 h\n.8395 g 859 2447 N 13 483 22 -9 -13 -480 h\n.92 g
      836 2453 N 13 480 23 -475 -13 -11 h\n1 g 814 2459 N 13 11 22 -7 -13 -10
      h\n1 g 791 2465 N 13 10 23 -6 -13 -10 h\n1 g 769 2472 N 13 10 22 -6 -13
      -11 h\n1 g 746 2478 N 13 11 23 -6 -13 -11 h\n1 g 724 2484 N 13 11 22 -6
      -13 -11 h\n.9017 g 701 2490 N 13 11 23 570 -13 -587 h\n.7908 g 679 2496
      N 13 587 22 69 -13 -662 h\n.0495 g 2196 674 N 13 11 23 -6 -13 -11
      h\n.0495 g 2174 680 N 13 11 22 -6 -13 -11 h\n.0495 g 2151 686 N 13 11
      23 -6 -13 -11 h\n.0495 g 2129 692 N 13 11 22 -6 -13 -11 h\n.0495 g 2106
      698 N 13 11 23 -7 -13 -10 h\n.0591 g 2084 761 N 13 10 22 -6 -13 -67
      h\n.0687 g 2061 767 N 13 67 23 -6 -13 -67 h\n.0687 g 2039 773 N 13 67
      22 -6 -13 -67 h\n.0783 g 2016 779 N 13 67 23 -62 -13 -11 h\n.0879 g
      1994 785 N 13 11 22 -7 -13 -10 h\n.0879 g 1971 791 N 13 10 23 -6 -13
      -10 h\n.0879 g 1949 798 N 13 10 22 -6 -13 -11 h\n.0879 g 1926 804 N 13
      11 23 -6 -13 -11 h\n.0879 g 1904 810 N 13 11 22 -6 -13 -11 h\n.0879 g
      1881 816 N 13 11 23 -6 -13 -11 h\n.0958 g 1859 868 N 13 11 22 -6 -13
      -57 h\n.1115 g 1836 874 N 13 57 23 -53 -13 -10 h\n.1193 g 1814 880 N 13
      10 22 -6 -13 -10 h\n.1193 g 1791 887 N 13 10 23 -6 -13 -11 h\n.1259 g
      1769 932 N 13 11 22 -6 -13 -50 h\n.1449 g 1746 971 N 13 50 23 -45 -13
      -44 h\n.222 g 1724 1294 N 13 44 22 -70 -13 -297 h\n.6434 g 1701 2203 N
      13 297 23 -1195 -13 -11 h\n.8271 g 1678 2209 N 13 11 23 1008 -13 -1025
      h\n.6747 g 1656 2215 N 13 1025 22 -127 -13 -904 h\n.8476 g 1633 2222 N
      13 904 23 -900 -13 -11 h\n.8959 g 1611 2228 N 13 11 22 605 -13 -622
      h\n.7726 g 1588 1510 N 13 622 23 -617 -13 713 h\n.8767 g 1566 2240 N 13
      -713 22 -6 -13 -11 h\n1 g 1543 2246 N 13 11 23 -6 -13 -11 h\n.7543 g
      1521 1439 N 13 11 22 622 -13 174 h\n.7543 g 1498 2258 N 13 -174 23 -635
      -13 -10 h\n1 g 1476 2264 N 13 10 22 -6 -13 -10 h\n1 g 1453 2271 N 13 10
      23 -6 -13 -11 h\n1 g 1431 2277 N 13 11 22 -6 -13 -11 h\n1 g 1408 2283 N
      13 11 23 -6 -13 -11 h\n1 g 1386 2289 N 13 11 22 -6 -13 -11 h\n1 g 1363
      2295 N 13 11 23 -7 -13 -10 h\n1 g 1341 2301 N 13 10 22 -6 -13 -10
      h\n.7566 g 1318 1565 N 13 10 23 681 -13 45 h\n.4792 g 1296 1519 N 13
      -45 22 140 -13 -49 h\n.4387 g 1273 1500 N 13 49 23 8 -13 -38 h\n.4459 g
      1251 1513 N 13 38 22 -81 -13 30 h\n.4727 g 1228 1565 N 13 -30 23 -36
      -13 14 h\n.7429 g 1206 2338 N 13 -14 22 -748 -13 -11 h\n1 g 1183 2344 N
      13 11 23 -7 -13 -10 h\n1 g 1161 2350 N 13 10 22 -6 -13 -10 h\n1 g 1138
      2357 N 13 10 23 -6 -13 -11 h\n1 g 1116 2363 N 13 11 22 -6 -13 -11 h\n1
      g 1093 2369 N 13 11 23 -6 -13 -11 h\n.7809 g 1071 1740 N 13 11 22 645
      -13 -27 h\n.5787 g 1048 1792 N 13 27 23 -60 -13 -19 h\n.7978 g 1026
      2387 N 13 19 22 -604 -13 -10 h\n1 g 1003 2393 N 13 10 23 -6 -13 -10
      h\n.8195 g 981 1880 N 13 10 22 534 -13 -31 h\n.6624 g 958 1958 N 13 31
      23 -72 -13 -37 h\n.8429 g 936 2412 N 13 37 22 -480 -13 -11 h\n.8304 g
      913 1927 N 13 11 23 498 -13 -24 h\n.7536 g 891 2424 N 13 24 22 -60 -13
      -461 h\n.8427 g 868 1958 N 13 461 23 -457 -13 462 h\n.8395 g 846 1967 N
      13 -462 22 -6 -13 459 h\n.8291 g 823 2442 N 13 -459 23 528 -13 -544
      h\n.8148 g 801 2449 N 13 544 22 13 -13 -564 h\n.8179 g 778 2455 N 13
      564 23 -44 -13 -526 h\n.8216 g 756 2461 N 13 526 22 10 -13 -542
      h\n.8058 g 733 2467 N 13 542 23 71 -13 -619 h\n.8963 g 711 2473 N 13
      619 22 -615 -13 -10 h\n.7897 g 688 1903 N 13 10 23 652 -13 -92 h\n.5636
      g 666 1834 N 13 92 22 12 -13 -35 h\n.0495 g 2183 663 N 13 11 23 -6 -13
      -11 h\n.0495 g 2161 669 N 13 11 22 -7 -13 -10 h\n.0495 g 2138 675 N 13
      10 23 -6 -13 -10 h\n.0495 g 2116 681 N 13 10 22 -6 -13 -10 h\n.0495 g
      2093 688 N 13 10 23 -6 -13 -11 h\n.0495 g 2071 694 N 13 11 22 -6 -13
      -11 h\n.0495 g 2048 700 N 13 11 23 -6 -13 -11 h\n.0495 g 2026 706 N 13
      11 22 -6 -13 -11 h\n.0591 g 2003 768 N 13 11 23 -6 -13 -67 h\n.0687 g
      1981 775 N 13 67 22 -7 -13 -67 h\n.0783 g 1958 781 N 13 67 23 -62 -13
      -11 h\n.0879 g 1936 787 N 13 11 22 -6 -13 -11 h\n.0879 g 1913 793 N 13
      11 23 -6 -13 -11 h\n.0879 g 1891 799 N 13 11 22 -7 -13 -10 h\n.0879 g
      1868 805 N 13 10 23 -6 -13 -10 h\n.0879 g 1846 811 N 13 10 22 -6 -13
      -10 h\n.1036 g 1823 864 N 13 10 23 -52 -13 -11 h\n.1193 g 1801 870 N 13
      11 22 -6 -13 -11 h\n.1193 g 1778 876 N 13 11 23 -6 -13 -11 h\n.1193 g
      1756 882 N 13 11 22 -6 -13 -11 h\n.1326 g 1733 927 N 13 11 23 -45 -13
      -11 h\n.1624 g 1711 997 N 13 11 22 -40 -13 -41 h\n.3867 g 1688 2192 N
      13 41 23 -36 -13 -1200 h\n.434 g 1665 1184 N 13 1200 22 -79 -12 -113
      h\n.4844 g 1643 1311 N 12 113 23 -1123 -13 883 h\n.8476 g 1620 2211 N
      13 -883 23 -6 -13 -11 h\n.8959 g 1598 1606 N 13 11 22 -6 -13 600
      h\n.8959 g 1575 2223 N 13 -600 23 -7 -13 -10 h\n1 g 1553 2229 N 13 10
      22 -6 -13 -10 h\n.8803 g 1530 2235 N 13 10 23 697 -13 -713 h\n.7732 g
      1508 1613 N 13 713 22 -709 -13 618 h\n.8929 g 1485 2248 N 13 -618 23 -6
      -13 -11 h\n1 g 1463 2254 N 13 11 22 -6 -13 -11 h\n1 g 1440 2260 N 13 11
      23 -6 -13 -11 h\n1 g 1418 2266 N 13 11 22 -6 -13 -11 h\n1 g 1395 2272 N
      13 11 23 -7 -13 -10 h\n1 g 1373 2278 N 13 10 22 -6 -13 -10 h\n1 g 1350
      2285 N 13 10 23 -6 -13 -11 h\n1 g 1328 2291 N 13 11 22 -6 -13 -11
      h\n.883 g 1305 1610 N 13 11 23 -6 -13 676 h\n.5916 g 1283 1470 N 13
      -676 22 871 -13 -55 h\n.4175 g 1260 1462 N 13 55 23 -22 -13 -25
      h\n.5773 g 1238 1543 N 13 25 22 -868 -13 762 h\n.742 g 1215 1579 N 13
      -762 23 -6 -13 732 h\n.8736 g 1193 2327 N 13 -732 22 -6 -13 -10 h\n1 g
      1170 2334 N 13 10 23 -6 -13 -11 h\n1 g 1148 2340 N 13 11 22 -6 -13 -11
      h\n1 g 1125 2346 N 13 11 23 -6 -13 -11 h\n1 g 1103 2352 N 13 11 22 -6
      -13 -11 h\n1 g 1080 2358 N 13 11 23 -7 -13 -10 h\n.7764 g 1058 1713 N
      13 10 22 655 -13 -20 h\n.6746 g 1035 1773 N 13 20 23 -667 -13 587
      h\n.8982 g 1013 2377 N 13 -587 22 -6 -13 -11 h\n1 g 990 2383 N 13 11 23
      -6 -13 -11 h\n.8134 g 968 1849 N 13 11 22 549 -13 -26 h\n.7326 g 945
      1921 N 13 26 23 -561 -13 463 h\n.9192 g 923 2401 N 13 -463 22 -7 -13
      -10 h\n.9141 g 900 1903 N 13 10 23 -6 -13 494 h\n.7442 g 878 1963 N 13
      -494 22 541 -13 -107 h\n.8301 g 855 2420 N 13 107 23 -553 -13 -11 h\n1
      g 833 2426 N 13 11 22 -6 -13 -11 h\n.9091 g 810 1898 N 13 11 23 -6 -13
      523 h\n.8148 g 788 1885 N 13 -523 22 -6 -13 542 h\n.7263 g 765 1929 N
      13 -542 23 531 -13 -33 h\n.73 g 743 1919 N 13 33 22 -544 -13 521
      h\n.7031 g 720 1848 N 13 -521 23 597 -13 -5 h\n.6909 g 698 2463 N 13 5
      22 -6 -13 -614 h\n.7852 g 675 1811 N 13 614 23 -609 -13 647 h\n.6641 g
      653 1799 N 13 -647 22 632 -13 27 h\n.0495 g 2170 652 N 13 10 23 -6 -13
      -10 h\n.0495 g 2148 659 N 13 10 22 -6 -13 -11 h\n.0495 g 2125 665 N 13
      11 23 -6 -13 -11 h\n.0495 g 2103 671 N 13 11 22 -6 -13 -11 h\n.0495 g
      2080 677 N 13 11 23 -6 -13 -11 h\n.0495 g 2058 683 N 13 11 22 -6 -13
      -11 h\n.0495 g 2035 689 N 13 11 23 -7 -13 -10 h\n.0495 g 2013 695 N 13
      10 22 -6 -13 -10 h\n.0495 g 1990 701 N 13 10 23 -6 -13 -10 h\n.0495 g
      1968 708 N 13 10 22 -6 -13 -11 h\n.0591 g 1945 770 N 13 11 23 -6 -13
      -67 h\n.0687 g 1923 776 N 13 67 22 -6 -13 -67 h\n.0783 g 1900 782 N 13
      67 23 -63 -13 -10 h\n.0879 g 1878 789 N 13 10 22 -6 -13 -11 h\n.0879 g
      1855 795 N 13 11 23 -6 -13 -11 h\n.0879 g 1833 801 N 13 11 22 -6 -13
      -11 h\n.0958 g 1810 853 N 13 11 23 -6 -13 -57 h\n.1115 g 1788 859 N 13
      57 22 -52 -13 -11 h\n.1193 g 1765 865 N 13 11 23 -7 -13 -10 h\n.1193 g
      1743 871 N 13 10 22 -6 -13 -10 h\n.1326 g 1720 916 N 13 10 23 -45 -13
      -10 h\n.1573 g 1698 956 N 13 10 22 -40 -13 -10 h\n.1789 g 1675 992 N 13
      10 23 -36 -13 -10 h\n.4042 g 1653 1071 N 13 10 22 -1195 -13 1106
      h\n.8096 g 1630 2194 N 13 -1106 23 -6 -13 -11 h\n1 g 1607 2200 N 13 11
      22 -7 -12 -10 h\n.9219 g 1585 2206 N 12 10 23 453 -13 -469 h\n.9219 g
      1562 2213 N 13 469 23 -465 -13 -11 h\n1 g 1540 2219 N 13 11 22 -6 -13
      -11 h\n.8803 g 1517 1522 N 13 11 23 -6 -13 692 h\n.8803 g 1495 2231 N
      13 -692 22 -6 -13 -11 h\n1 g 1472 2237 N 13 11 23 -6 -13 -11 h\n1 g
      1450 2243 N 13 11 22 -7 -13 -10 h\n1 g 1427 2249 N 13 10 23 -6 -13 -10
      h\n1 g 1405 2255 N 13 10 22 -6 -13 -10 h\n1 g 1382 2262 N 13 10 23 -6
      -13 -11 h\n1 g 1360 2268 N 13 11 22 -6 -13 -11 h\n1 g 1337 2274 N 13 11
      23 -6 -13 -11 h\n.8557 g 1315 2280 N 13 11 22 840 -13 -857 h\n.7018 g
      1292 2286 N 13 857 23 51 -13 -914 h\n.5442 g 1270 1415 N 13 914 22 -15
      -13 -28 h\n.5513 g 1247 1437 N 13 28 23 -901 -13 851 h\n.7197 g 1225
      2305 N 13 -851 22 777 -13 -794 h\n.8665 g 1202 2311 N 13 794 23 -789
      -13 -11 h\n1 g 1180 2317 N 13 11 22 -6 -13 -11 h\n1 g 1157 2323 N 13 11
      23 -6 -13 -11 h\n1 g 1135 2329 N 13 11 22 -7 -13 -10 h\n1 g 1112 2335 N
      13 10 23 -6 -13 -10 h\n.8987 g 1090 2341 N 13 10 22 589 -13 -605
      h\n.781 g 1067 2348 N 13 605 23 90 -13 -702 h\n.7697 g 1045 1693 N 13
      702 22 -697 -13 650 h\n.8873 g 1022 2360 N 13 -650 23 -6 -13 -11 h\n1 g
      1000 2366 N 13 11 22 -6 -13 -11 h\n1 g 977 2372 N 13 11 23 -6 -13 -11
      h\n.8058 g 955 1823 N 13 11 22 578 -13 -40 h\n.7049 g 932 2384 N 13 40
      23 1 -13 -602 h\n.8991 g 910 2391 N 13 602 22 -598 -13 -11 h\n1 g 887
      2397 N 13 11 23 -6 -13 -11 h\n.8226 g 865 1856 N 13 11 22 489 -13 41
      h\n.7247 g 842 2409 N 13 -41 23 73 -13 -585 h\n.9022 g 820 2415 N 13
      585 22 -580 -13 -11 h\n1 g 797 2421 N 13 11 23 -7 -13 -10 h\n1 g 775
      2427 N 13 10 22 -6 -13 -10 h\n.9084 g 752 1896 N 13 10 23 -6 -13 527
      h\n.9084 g 730 2440 N 13 -527 22 -6 -13 -11 h\n.8973 g 707 1843 N 13 11
      23 -6 -13 592 h\n.7946 g 685 1849 N 13 -592 22 -6 -13 592 h\n.8973 g
      662 2458 N 13 -592 23 -6 -13 -11 h\n.8913 g 640 1826 N 13 11 22 -7 -13
      628 h\n.0495 g 2157 642 N 13 11 23 -6 -13 -11 h\n.0495 g 2135 648 N 13
      11 22 -6 -13 -11 h\n.0495 g 2112 654 N 13 11 23 -6 -13 -11 h\n.0495 g
      2090 660 N 13 11 22 -7 -13 -10 h\n.0495 g 2067 666 N 13 10 23 -6 -13
      -10 h\n.0495 g 2045 672 N 13 10 22 -6 -13 -10 h\n.0495 g 2022 679 N 13
      10 23 -6 -13 -11 h\n.0495 g 2000 685 N 13 11 22 -6 -13 -11 h\n.0495 g
      1977 691 N 13 11 23 -6 -13 -11 h\n.0495 g 1955 697 N 13 11 22 -6 -13
      -11 h\n.0495 g 1932 703 N 13 11 23 -7 -13 -10 h\n.0495 g 1910 709 N 13
      10 22 -6 -13 -10 h\n.0591 g 1887 772 N 13 10 23 -6 -13 -67 h\n.0783 g
      1865 778 N 13 67 22 -62 -13 -11 h\n.0879 g 1842 784 N 13 11 23 -6 -13
      -11 h\n.0879 g 1820 790 N 13 11 22 -7 -13 -10 h\n.0879 g 1797 796 N 13
      10 23 -6 -13 -10 h\n.0958 g 1775 848 N 13 10 22 -6 -13 -56 h\n.1115 g
      1752 855 N 13 56 23 -52 -13 -11 h\n.1193 g 1730 861 N 13 11 22 -6 -13
      -11 h\n.1326 g 1707 906 N 13 11 23 -45 -13 -11 h\n.1516 g 1685 946 N 13
      11 22 -6 -13 -45 h\n.1681 g 1662 982 N 13 45 23 -40 -13 -41 h\n.3991 g
      1640 2177 N 13 41 22 -109 -13 -1127 h\n.6454 g 1617 2183 N 13 1127 23
      -159 -13 -974 h\n.8357 g 1595 2190 N 13 974 22 -970 -13 -11 h\n.9219 g
      1572 1737 N 13 11 23 -6 -13 448 h\n.9219 g 1549 2202 N 13 -448 22 -6
      -12 -11 h\n.8796 g 1527 2208 N 12 11 23 700 -13 -717 h\n.7461 g 1504
      2214 N 13 717 23 71 -13 -794 h\n.8665 g 1482 2220 N 13 794 22 -790 -13
      -10 h\n1 g 1459 2226 N 13 10 23 -6 -13 -10 h\n.8646 g 1437 2233 N 13 10
      22 789 -13 -806 h\n.7599 g 1414 2239 N 13 806 23 -187 -13 -625 h\n.8954
      g 1392 2245 N 13 625 22 -620 -13 -11 h\n1 g 1369 2251 N 13 11 23 -6 -13
      -11 h\n.9017 g 1347 2257 N 13 11 22 570 -13 -587 h\n.9017 g 1324 2263 N
      13 587 23 -583 -13 -10 h\n.7062 g 1302 1423 N 13 10 22 872 -13 -42
      h\n.3935 g 1279 1372 N 13 42 23 48 -13 -39 h\n.3811 g 1257 1387 N 13 39
      22 -35 -13 -19 h\n.6937 g 1234 2288 N 13 19 23 -909 -13 -11 h\n.7468 g
      1212 1511 N 13 11 22 696 -13 70 h\n.7468 g 1189 2300 N 13 -70 23 -708
      -13 -11 h\n1 g 1167 2306 N 13 11 22 -7 -13 -10 h\n1 g 1144 2312 N 13 10
      23 -6 -13 -10 h\n1 g 1122 2319 N 13 10 22 -6 -13 -11 h\n1 g 1099 2325 N
      13 11 23 -6 -13 -11 h\n.8037 g 1077 1736 N 13 11 22 551 -13 27 h\n.5656
      g 1054 1646 N 13 -27 23 143 -13 -26 h\n.645 g 1032 2343 N 13 26 22 -26
      -13 -697 h\n.883 g 1009 2349 N 13 697 23 -693 -13 -10 h\n1 g 987 2355 N
      13 10 22 -6 -13 -10 h\n1 g 964 2361 N 13 10 23 -6 -13 -10 h\n.8095 g
      942 1783 N 13 10 22 528 -13 40 h\n.6025 g 919 1782 N 13 -40 23 83 -13
      -42 h\n.793 g 897 2380 N 13 42 22 -629 -13 -11 h\n1 g 874 2386 N 13 11
      23 -6 -13 -11 h\n.9157 g 852 1897 N 13 11 22 -7 -13 485 h\n.8178 g 829
      1824 N 13 -485 23 -6 -13 564 h\n.7985 g 807 2404 N 13 -564 22 602 -13
      -618 h\n.8963 g 784 2411 N 13 618 23 -614 -13 -11 h\n1 g 762 2417 N 13
      11 22 -6 -13 -11 h\n1 g 739 2423 N 13 11 23 -6 -13 -11 h\n1 g 717 2429
      N 13 11 22 -6 -13 -11 h\n1 g 694 2435 N 13 11 23 -6 -13 -11 h\n1 g 672
      2441 N 13 11 22 -7 -13 -10 h\n1 g 649 2447 N 13 10 23 -6 -13 -10 h\n1 g
      627 2454 N 13 10 22 -6 -13 -11 h\n.0495 g 2144 631 N 13 11 23 -7 -13
      -10 h\n.0495 g 2122 637 N 13 10 22 -6 -13 -10 h\n.0495 g 2099 643 N 13
      10 23 -6 -13 -10 h\n.0495 g 2077 650 N 13 10 22 -6 -13 -11 h\n.0495 g
      2054 656 N 13 11 23 -6 -13 -11 h\n.0495 g 2032 662 N 13 11 22 -6 -13
      -11 h\n.0495 g 2009 668 N 13 11 23 -6 -13 -11 h\n.0495 g 1987 674 N 13
      11 22 -6 -13 -11 h\n.0495 g 1964 680 N 13 11 23 -7 -13 -10 h\n.0495 g
      1942 686 N 13 10 22 -6 -13 -10 h\n.0495 g 1919 693 N 13 10 23 -6 -13
      -11 h\n.0495 g 1897 699 N 13 11 22 -6 -13 -11 h\n.0495 g 1874 705 N 13
      11 23 -6 -13 -11 h\n.0591 g 1852 767 N 13 11 22 -6 -13 -67 h\n.0687 g
      1829 773 N 13 67 23 -6 -13 -67 h\n.0783 g 1807 780 N 13 67 22 -63 -13
      -11 h\n.0879 g 1784 786 N 13 11 23 -6 -13 -11 h\n.0879 g 1762 792 N 13
      11 22 -6 -13 -11 h\n.0958 g 1739 844 N 13 11 23 -6 -13 -57 h\n.1115 g
      1717 850 N 13 57 22 -52 -13 -11 h\n.1259 g 1694 895 N 13 11 23 -7 -13
      -49 h\n.1392 g 1672 901 N 13 49 22 -45 -13 -10 h\n.1624 g 1649 941 N 13
      10 23 -69 -13 19 h\n.3991 g 1627 1050 N 13 -19 22 -1196 -13 1106
      h\n.6454 g 1604 1209 N 13 -1106 23 -6 -13 953 h\n.8357 g 1582 2179 N 13
      -953 22 -6 -13 -11 h\n1 g 1559 2185 N 13 11 23 -6 -13 -11 h\n.8615 g
      1537 2191 N 13 11 22 806 -13 -823 h\n.7411 g 1514 1491 N 13 823 23 -819
      -13 696 h\n.7461 g 1491 1420 N 13 -696 22 -6 -12 773 h\n.729 g 1469
      2210 N 12 -773 23 801 -13 -818 h\n.6982 g 1446 2216 N 13 818 23 151 -13
      -975 h\n.536 g 1424 1427 N 13 975 22 -6 -13 -180 h\n.5957 g 1401 1614 N
      13 180 23 -970 -13 603 h\n.8954 g 1379 2234 N 13 -603 22 -7 -13 -10
      h\n.8684 g 1356 2240 N 13 10 23 767 -13 -783 h\n.6114 g 1334 1670 N 13
      783 22 153 -13 -366 h\n.5767 g 1311 2253 N 13 366 23 38 -13 -987
      h\n.5199 g 1289 1381 N 13 987 22 -18 -13 -97 h\n.3669 g 1266 1333 N 13
      97 23 -28 -13 -21 h\n.3729 g 1244 1368 N 13 21 22 -45 -13 -11 h\n.5615
      g 1221 2277 N 13 11 23 -143 -13 -777 h\n.7496 g 1199 1581 N 13 777 22
      -773 -13 692 h\n.8803 g 1176 2289 N 13 -692 23 -6 -13 -10 h\n1 g 1154
      2296 N 13 10 22 -6 -13 -11 h\n1 g 1131 2302 N 13 11 23 -6 -13 -11 h\n1
      g 1109 2308 N 13 11 22 -6 -13 -11 h\n.9094 g 1086 2314 N 13 11 23 525
      -13 -542 h\n.7 g 1064 1763 N 13 542 22 134 -13 -125 h\n.5468 g 1041
      1620 N 13 125 23 46 -13 -28 h\n.6393 g 1019 1646 N 13 28 22 -730 -13
      676 h\n.883 g 996 2339 N 13 -676 23 -6 -13 -11 h\n1 g 974 2345 N 13 11
      22 -6 -13 -11 h\n1 g 951 2351 N 13 11 23 -6 -13 -11 h\n.9091 g 929 1823
      N 13 11 22 -6 -13 523 h\n.6932 g 906 1740 N 13 -523 23 638 -13 -32
      h\n.6932 g 884 2369 N 13 32 22 -117 -13 -544 h\n.9091 g 861 2375 N 13
      544 23 -540 -13 -10 h\n1 g 839 2382 N 13 10 22 -6 -13 -11 h\n1 g 816
      2388 N 13 11 23 -6 -13 -11 h\n.8255 g 794 1786 N 13 11 22 409 -13 182
      h\n.7168 g 771 2400 N 13 -182 23 217 -13 -649 h\n.7876 g 749 2406 N 13
      649 22 -36 -13 -619 h\n.7922 g 726 2412 N 13 619 23 -4 -13 -621
      h\n.8959 g 704 2418 N 13 621 22 -617 -13 -10 h\n1 g 681 2424 N 13 10 23
      -6 -13 -10 h\n1 g 659 2431 N 13 10 22 -6 -13 -11 h\n1 g 636 2437 N 13
      11 23 -6 -13 -11 h\n1 g 614 2443 N 13 11 22 -6 -13 -11 h\n.0371 g 2131
      621 N 13 83 23 -79 -13 -11 h\n.0495 g 2109 627 N 13 11 22 -6 -13 -11
      h\n.0495 g 2086 633 N 13 11 23 -6 -13 -11 h\n.0495 g 2064 639 N 13 11
      22 -6 -13 -11 h\n.0495 g 2041 645 N 13 11 23 -6 -13 -11 h\n.0495 g 2019
      651 N 13 11 22 -7 -13 -10 h\n.0495 g 1996 657 N 13 10 23 -6 -13 -10
      h\n.0495 g 1974 663 N 13 10 22 -6 -13 -10 h\n.0495 g 1951 670 N 13 10
      23 -6 -13 -11 h\n.0495 g 1929 676 N 13 11 22 -6 -13 -11 h\n.0495 g 1906
      682 N 13 11 23 -6 -13 -11 h\n.0495 g 1884 688 N 13 11 22 -6 -13 -11
      h\n.0495 g 1861 694 N 13 11 23 -7 -13 -10 h\n.0495 g 1839 700 N 13 10
      22 -6 -13 -10 h\n.0495 g 1816 706 N 13 10 23 -6 -13 -10 h\n.0591 g 1794
      769 N 13 10 22 -6 -13 -67 h\n.0783 g 1771 775 N 13 67 23 -62 -13 -11
      h\n.0879 g 1749 781 N 13 11 22 -7 -13 -10 h\n.0879 g 1726 787 N 13 10
      23 -6 -13 -10 h\n.1036 g 1704 839 N 13 10 22 -52 -13 -10 h\n.1193 g
      1681 846 N 13 10 23 -6 -13 -11 h\n.1326 g 1659 891 N 13 11 22 -45 -13
      -11 h\n.172 g 1636 960 N 13 11 23 -96 -13 16 h\n.5991 g 1614 2156 N 13
      -16 22 -1169 -13 -11 h\n1 g 1591 2162 N 13 11 23 -7 -13 -10 h\n.9058 g
      1569 2168 N 13 10 22 547 -13 -563 h\n.9058 g 1546 2174 N 13 563 23 -559
      -13 -10 h\n.6972 g 1524 1368 N 13 10 22 958 -13 -162 h\n.5954 g 1501
      2187 N 13 162 23 -373 -13 -608 h\n.8982 g 1479 2193 N 13 608 22 -603
      -13 -11 h\n.8625 g 1456 1392 N 13 11 23 -6 -13 796 h\n.534 g 1433 1241
      N 13 -796 22 957 -12 -10 h\n.3318 g 1411 1247 N 12 10 23 59 -13 -75
      h\n.6604 g 1388 2217 N 13 75 23 -1035 -13 -10 h\n1 g 1366 2224 N 13 10
      22 -6 -13 -11 h\n.706 g 1343 1457 N 13 11 23 947 -13 -191 h\n.3934 g
      1321 1304 N 13 191 22 -56 -13 18 h\n.3505 g 1298 1266 N 13 -18 23 92
      -13 -36 h\n.3305 g 1276 1284 N 13 36 22 -19 -13 -35 h\n.3529 g 1253
      1312 N 13 35 23 -92 -13 29 h\n.5317 g 1231 1357 N 13 -29 22 -909 -13
      893 h\n.5971 g 1208 1500 N 13 -893 23 688 -13 62 h\n.751 g 1186 2273 N
      13 -62 22 -700 -13 -11 h\n1 g 1163 2279 N 13 11 23 -6 -13 -11 h\n1 g
      1141 2285 N 13 11 22 -6 -13 -11 h\n1 g 1118 2291 N 13 11 23 -6 -13 -11
      h\n1 g 1096 2297 N 13 11 22 -7 -13 -10 h\n.9094 g 1073 1772 N 13 10 23
      -6 -13 521 h\n.795 g 1051 1638 N 13 -521 22 -6 -13 661 h\n.6358 g 1028
      1592 N 13 -661 23 736 -13 -29 h\n.6277 g 1006 2322 N 13 29 22 -29 -13
      -730 h\n.8774 g 983 2328 N 13 730 23 -725 -13 -11 h\n1 g 961 2334 N 13
      11 22 -6 -13 -11 h\n1 g 938 2340 N 13 11 23 -7 -13 -10 h\n1 g 916 2346
      N 13 10 22 -6 -13 -10 h\n.7804 g 893 1708 N 13 10 23 639 -13 -11
      h\n.5797 g 871 1825 N 13 11 22 -7 -13 -121 h\n.7993 g 848 2365 N 13 121
      23 -650 -13 -11 h\n1 g 826 2371 N 13 11 22 -6 -13 -11 h\n1 g 803 2377 N
      13 11 23 -6 -13 -11 h\n.9292 g 781 1968 N 13 11 22 -7 -13 405 h\n.7429
      g 758 1751 N 13 -405 23 450 -13 172 h\n.7101 g 736 1787 N 13 -172 22
      -462 -13 598 h\n.6759 g 713 1791 N 13 -598 23 677 -13 -83 h\n.6686 g
      691 2408 N 13 83 22 -38 -13 -662 h\n.8891 g 668 2414 N 13 662 23 -657
      -13 -11 h\n.8902 g 646 2420 N 13 11 22 638 -13 -655 h\n.8902 g 623 2426
      N 13 655 23 -651 -13 -10 h\n1 g 601 2432 N 13 10 22 -6 -13 -10 h\n.0124
      g 2118 610 N 13 11 23 -7 -13 -83 h\n.0371 g 2096 616 N 13 83 22 -78 -13
      -11 h\n.0495 g 2073 622 N 13 11 23 -7 -13 -10 h\n.0495 g 2051 628 N 13
      10 22 -6 -13 -10 h\n.0495 g 2028 634 N 13 10 23 -6 -13 -10 h\n.0495 g
      2006 641 N 13 10 22 -6 -13 -11 h\n.0495 g 1983 647 N 13 11 23 -6 -13
      -11 h\n.0495 g 1961 653 N 13 11 22 -6 -13 -11 h\n.0495 g 1938 659 N 13
      11 23 -6 -13 -11 h\n.0495 g 1916 665 N 13 11 22 -6 -13 -11 h\n.0495 g
      1893 671 N 13 11 23 -7 -13 -10 h\n.0495 g 1871 677 N 13 10 22 -6 -13
      -10 h\n.0495 g 1848 684 N 13 10 23 -6 -13 -11 h\n.0495 g 1826 690 N 13
      11 22 -6 -13 -11 h\n.0495 g 1803 696 N 13 11 23 -6 -13 -11 h\n.0495 g
      1781 702 N 13 11 22 -6 -13 -11 h\n.0591 g 1758 764 N 13 11 23 -6 -13
      -67 h\n.0783 g 1736 771 N 13 67 22 -63 -13 -11 h\n.0879 g 1713 777 N 13
      11 23 -6 -13 -11 h\n.0958 g 1691 829 N 13 11 22 -6 -13 -57 h\n.1115 g
      1668 835 N 13 57 23 -52 -13 -11 h\n.1259 g 1646 880 N 13 11 22 -7 -13
      -49 h\n.1603 g 1623 976 N 13 49 23 -78 -13 -67 h\n.594 g 1601 2145 N 13
      67 22 -1226 -13 -10 h\n.8271 g 1578 2152 N 13 10 23 1009 -13 -1026
      h\n.5549 g 1556 1605 N 13 1026 22 23 -13 -502 h\n.5337 g 1533 2164 N 13
      502 23 89 -13 -1150 h\n.4513 g 1511 1206 N 13 1150 22 -28 -13 -164
      h\n.4155 g 1488 1579 N 13 164 23 -372 -13 -165 h\n.6885 g 1466 2182 N
      13 165 22 -278 -13 -490 h\n.8225 g 1443 2188 N 13 490 23 76 -13 -572
      h\n.5646 g 1421 1231 N 13 572 22 461 -13 -76 h\n.3013 g 1398 1172 N 13
      76 23 43 -13 -60 h\n.4572 g 1375 2207 N 13 60 22 -6 -12 -1089 h\n.6383
      g 1353 2213 N 12 1089 23 -40 -13 -1055 h\n.4789 g 1330 1266 N 13 1055
      23 10 -13 -118 h\n.325 g 1308 1322 N 13 118 22 -22 -13 -152 h\n.3222 g
      1285 1230 N 13 152 23 -22 -13 -38 h\n.3151 g 1263 1249 N 13 38 22 -34
      -13 -23 h\n.5072 g 1240 1341 N 13 23 23 -1007 -13 892 h\n.8461 g 1218
      2250 N 13 -892 22 -6 -13 -11 h\n.8817 g 1195 1562 N 13 11 23 -6 -13 683
      h\n.8817 g 1173 2262 N 13 -683 22 -6 -13 -11 h\n1 g 1150 2268 N 13 11
      23 -7 -13 -10 h\n1 g 1128 2274 N 13 10 22 -6 -13 -10 h\n1 g 1105 2280 N
      13 10 23 -6 -13 -10 h\n1 g 1083 2287 N 13 10 22 -6 -13 -11 h\n.8907 g
      1060 2293 N 13 11 23 635 -13 -652 h\n.7667 g 1038 2299 N 13 652 22 81
      -13 -739 h\n.6197 g 1015 1563 N 13 739 23 27 -13 -30 h\n.5369 g 993
      1592 N 13 30 22 -273 -13 214 h\n.7931 g 970 2317 N 13 -214 23 -501 -13
      -10 h\n1 g 948 2323 N 13 10 22 -6 -13 -10 h\n1 g 925 2330 N 13 10 23 -6
      -13 -11 h\n1 g 903 2336 N 13 11 22 -6 -13 -11 h\n.7804 g 880 1697 N 13
      11 23 638 -13 -10 h\n.5536 g 858 1704 N 13 10 22 36 -13 -53 h\n.6833 g
      835 2354 N 13 53 23 -165 -13 -538 h\n.9101 g 813 2360 N 13 538 22 -534
      -13 -10 h\n1 g 790 2366 N 13 10 23 -6 -13 -10 h\n1 g 768 2373 N 13 10
      22 -6 -13 -11 h\n.9224 g 745 1923 N 13 11 23 -6 -13 445 h\n.8274 g 723
      2385 N 13 -445 22 551 -13 -568 h\n.7274 g 700 1708 N 13 568 23 -204 -13
      313 h\n.5904 g 678 1746 N 13 -313 22 345 -13 -70 h\n.6431 g 655 2403 N
      13 70 23 16 -13 -743 h\n.6901 g 633 1765 N 13 743 22 -297 -13 192
      h\n.686 g 610 2416 N 13 -192 23 309 -13 -768 h\n.8711 g 588 2422 N 13
      768 22 -763 -13 -11 h\n%pm3d_map_end\ngrestore % colour palette
      end\n1.000 UP\n1.000 UL\nLTb\nLTb\n3024 1255 M\n2128 521 L\n1.000
      UL\nLTb\nLTb\n576 945 M\n2128 521 L\n1.000 UL\nLTb\nLTb\n731 903 M\n48
      41 V\n1.000 UL\nLTb\n668 811 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 (-0.4)]\n] -46.7 MCshow\ngrestore\n1.000
      UL\nLTb\nLTb\n1042 818 M\n47 41 V\n1.000 UL\nLTb\n978 726 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-0.2)]\n] -46.7
      MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n1352 733 M\n48 41 V\n1.000
      UL\nLTb\n1289 642 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 ( 0)]\n] -46.7 MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n1663 649
      M\n47 41 V\n1.000 UL\nLTb\n1599 557 M\ngsave 0 setgray\n[ [(Helvetica)
      140.0 0.0 true true 0 ( 0.2)]\n] -46.7 MCshow\ngrestore\n1.000
      UL\nLTb\nLTb\n1972 564 M\n48 41 V\n1.000 UL\nLTb\n1909 472 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 0.4)]\n] -46.7
      MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n2217 595 M\n-60 17 V\n
      stroke\n2298 556 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true
      0 (-0.4)]\n] -46.7 MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n2397 742
      M\n-61 17 V\n stroke\n2477 703 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 (-0.2)]\n] -46.7 MLshow\ngrestore\n1.000
      UL\nLTb\nLTb\n2576 888 M\n-61 18 V\n stroke\n2657 849 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 0)]\n] -46.7
      MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n2755 1035 M\n-60 17 V\n
      stroke\n2836 996 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true
      0 ( 0.2)]\n] -46.7 MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n2934 1182
      M\n-60 17 V\n stroke\n3015 1143 M\ngsave 0 setgray\n[ [(Helvetica)
      140.0 0.0 true true 0 ( 0.4)]\n] -46.7 MLshow\ngrestore\n1.000
      UP\n1.000 UL\nLTb\ngsave %% colour palette begin\n/maxcolors 0
      def\n/maxcolorsLast {maxcolors 1 sub maxcolors div} def\n/pm3dround
      {maxcolors 0 gt {dup maxcolorsLast ge {pop 1} {maxcolors mul floor
      maxcolors div} ifelse} if} def\n/cF7 {sqrt} bind def\t% sqrt(x)\n/cF15
      {360 mul sin} bind def\t% sin(360x)\n/cF6 {dup mul dup mul} bind def\t%
      x^4\nColor true and { % COLOUR vs. GRAY map\n \ /g {stroke pm3dround
      dup 1 exch sub cF7 exch dup 1 exch sub cF15 exch \n\t1 exch sub cF6
      setrgbcolor} bind def\n \ /h {rlineto rlineto rlineto fill} bind
      def\n}{\n \ /g {stroke pm3dround setgray} bind def\n \ /h {rlineto
      rlineto rlineto fill} bind def\n} ifelse\n1.000 UL\nLTb\nLTb\n3731 609
      M\n0 2700 V\n1.000 UL\nLTb\nLTb\n6345 3309 M\n-2614 0 V\n1.000
      UL\nLTb\nLTb\n3731 609 M\n1.000 UL\nLTb\nLTb\n6345 3309 M\n1.000
      UL\nLTb\nLTb\n3992 3309 M\n0 -63 V\n1.000 UL\nLTb\nLTb\n4515 3309 M\n0
      -63 V\n1.000 UL\nLTb\nLTb\n5038 3309 M\n0 -63 V\n1.000
      UL\nLTb\nLTb\n5560 3309 M\n0 -63 V\n1.000 UL\nLTb\nLTb\n6083 3309 M\n0
      -63 V\n1.000 UL\nLTb\nLTb\n3731 879 M\n63 0 V\n1.000 UL\nLTb\nLTb\n3731
      1419 M\n63 0 V\n1.000 UL\nLTb\nLTb\n3731 1959 M\n63 0 V\n1.000
      UL\nLTb\nLTb\n3731 2499 M\n63 0 V\n1.000 UL\nLTb\nLTb\n3731 3039 M\n63
      0 V\n%pm3d_map_begin\n.8711 g 6307 3309 N 0 39 38 0 0 -39 h\n.686 g
      6269 3309 N 0 39 38 0 0 -39 h\n.6901 g 6231 3309 N 0 39 38 0 0 -39
      h\n.6431 g 6193 3309 N 0 39 38 0 0 -39 h\n.5904 g 6156 3309 N 0 39 37 0
      0 -39 h\n.7274 g 6118 3309 N 0 39 38 0 0 -39 h\n.8274 g 6080 3309 N 0
      39 38 0 0 -39 h\n.9224 g 6042 3309 N 0 39 38 0 0 -39 h\n1 g 6004 3309 N
      0 39 38 0 0 -39 h\n1 g 5966 3309 N 0 39 38 0 0 -39 h\n.9101 g 5928 3309
      N 0 39 38 0 0 -39 h\n.6833 g 5890 3309 N 0 39 38 0 0 -39 h\n.5536 g
      5852 3309 N 0 39 38 0 0 -39 h\n.7804 g 5814 3309 N 0 39 38 0 0 -39 h\n1
      g 5777 3309 N 0 39 37 0 0 -39 h\n1 g 5739 3309 N 0 39 38 0 0 -39 h\n1 g
      5701 3309 N 0 39 38 0 0 -39 h\n.7931 g 5663 3309 N 0 39 38 0 0 -39
      h\n.5369 g 5625 3309 N 0 39 38 0 0 -39 h\n.6197 g 5587 3309 N 0 39 38 0
      0 -39 h\n.7667 g 5549 3309 N 0 39 38 0 0 -39 h\n.8907 g 5511 3309 N 0
      39 38 0 0 -39 h\n1 g 5473 3309 N 0 39 38 0 0 -39 h\n1 g 5435 3309 N 0
      39 38 0 0 -39 h\n1 g 5398 3309 N 0 39 37 0 0 -39 h\n1 g 5360 3309 N 0
      39 38 0 0 -39 h\n.8817 g 5322 3309 N 0 39 38 0 0 -39 h\n.8817 g 5284
      3309 N 0 39 38 0 0 -39 h\n.8461 g 5246 3309 N 0 39 38 0 0 -39 h\n.5072
      g 5208 3309 N 0 39 38 0 0 -39 h\n.3151 g 5170 3309 N 0 39 38 0 0 -39
      h\n.3222 g 5132 3309 N 0 39 38 0 0 -39 h\n.325 g 5094 3309 N 0 39 38 0
      0 -39 h\n.4789 g 5056 3309 N 0 39 38 0 0 -39 h\n.6383 g 5019 3309 N 0
      39 37 0 0 -39 h\n.4572 g 4981 3309 N 0 39 38 0 0 -39 h\n.3013 g 4943
      3309 N 0 39 38 0 0 -39 h\n.5646 g 4905 3309 N 0 39 38 0 0 -39 h\n.8225
      g 4867 3309 N 0 39 38 0 0 -39 h\n.6885 g 4829 3309 N 0 39 38 0 0 -39
      h\n.4155 g 4791 3309 N 0 39 38 0 0 -39 h\n.4513 g 4753 3309 N 0 39 38 0
      0 -39 h\n.5337 g 4715 3309 N 0 39 38 0 0 -39 h\n.5549 g 4677 3309 N 0
      39 38 0 0 -39 h\n.8271 g 4640 3309 N 0 39 37 0 0 -39 h\n.594 g 4602
      3309 N 0 39 38 0 0 -39 h\n.1603 g 4564 3309 N 0 39 38 0 0 -39 h\n.1259
      g 4526 3309 N 0 39 38 0 0 -39 h\n.1115 g 4488 3309 N 0 39 38 0 0 -39
      h\n.0958 g 4450 3309 N 0 39 38 0 0 -39 h\n.0879 g 4412 3309 N 0 39 38 0
      0 -39 h\n.0783 g 4374 3309 N 0 39 38 0 0 -39 h\n.0591 g 4336 3309 N 0
      39 38 0 0 -39 h\n.0495 g 4298 3309 N 0 39 38 0 0 -39 h\n.0495 g 4261
      3309 N 0 39 37 0 0 -39 h\n.0495 g 4223 3309 N 0 39 38 0 0 -39 h\n.0495
      g 4185 3309 N 0 39 38 0 0 -39 h\n.0495 g 4147 3309 N 0 39 38 0 0 -39
      h\n.0495 g 4109 3309 N 0 39 38 0 0 -39 h\n.0495 g 4071 3309 N 0 39 38 0
      0 -39 h\n.0495 g 4033 3309 N 0 39 38 0 0 -39 h\n.0495 g 3995 3309 N 0
      39 38 0 0 -39 h\n.0495 g 3957 3309 N 0 39 38 0 0 -39 h\n.0495 g 3919
      3309 N 0 39 38 0 0 -39 h\n.0495 g 3882 3309 N 0 39 37 0 0 -39 h\n.0495
      g 3844 3309 N 0 39 38 0 0 -39 h\n.0495 g 3806 3309 N 0 39 38 0 0 -39
      h\n.0371 g 3768 3309 N 0 39 38 0 0 -39 h\n.0124 g 3730 3309 N 0 39 38 0
      0 -39 h\n1 g 6307 3270 N 0 39 38 0 0 -39 h\n.8902 g 6269 3270 N 0 39 38
      0 0 -39 h\n.8902 g 6231 3270 N 0 39 38 0 0 -39 h\n.8891 g 6193 3270 N 0
      39 38 0 0 -39 h\n.6686 g 6156 3270 N 0 39 37 0 0 -39 h\n.6759 g 6118
      3270 N 0 39 38 0 0 -39 h\n.7101 g 6080 3270 N 0 39 38 0 0 -39 h\n.7429
      g 6042 3270 N 0 39 38 0 0 -39 h\n.9292 g 6004 3270 N 0 39 38 0 0 -39
      h\n1 g 5966 3270 N 0 39 38 0 0 -39 h\n1 g 5928 3270 N 0 39 38 0 0 -39
      h\n.7993 g 5890 3270 N 0 39 38 0 0 -39 h\n.5797 g 5852 3270 N 0 39 38 0
      0 -39 h\n.7804 g 5814 3270 N 0 39 38 0 0 -39 h\n1 g 5777 3270 N 0 39 37
      0 0 -39 h\n1 g 5739 3270 N 0 39 38 0 0 -39 h\n1 g 5701 3270 N 0 39 38 0
      0 -39 h\n.8774 g 5663 3270 N 0 39 38 0 0 -39 h\n.6277 g 5625 3270 N 0
      39 38 0 0 -39 h\n.6358 g 5587 3270 N 0 39 38 0 0 -39 h\n.795 g 5549
      3270 N 0 39 38 0 0 -39 h\n.9094 g 5511 3270 N 0 39 38 0 0 -39 h\n1 g
      5473 3270 N 0 39 38 0 0 -39 h\n1 g 5435 3270 N 0 39 38 0 0 -39 h\n1 g
      5398 3270 N 0 39 37 0 0 -39 h\n1 g 5360 3270 N 0 39 38 0 0 -39 h\n.751
      g 5322 3270 N 0 39 38 0 0 -39 h\n.5971 g 5284 3270 N 0 39 38 0 0 -39
      h\n.5317 g 5246 3270 N 0 39 38 0 0 -39 h\n.3529 g 5208 3270 N 0 39 38 0
      0 -39 h\n.3305 g 5170 3270 N 0 39 38 0 0 -39 h\n.3505 g 5132 3270 N 0
      39 38 0 0 -39 h\n.3934 g 5094 3270 N 0 39 38 0 0 -39 h\n.706 g 5056
      3270 N 0 39 38 0 0 -39 h\n1 g 5019 3270 N 0 39 37 0 0 -39 h\n.6604 g
      4981 3270 N 0 39 38 0 0 -39 h\n.3318 g 4943 3270 N 0 39 38 0 0 -39
      h\n.534 g 4905 3270 N 0 39 38 0 0 -39 h\n.8625 g 4867 3270 N 0 39 38 0
      0 -39 h\n.8982 g 4829 3270 N 0 39 38 0 0 -39 h\n.5954 g 4791 3270 N 0
      39 38 0 0 -39 h\n.6972 g 4753 3270 N 0 39 38 0 0 -39 h\n.9058 g 4715
      3270 N 0 39 38 0 0 -39 h\n.9058 g 4677 3270 N 0 39 38 0 0 -39 h\n1 g
      4640 3270 N 0 39 37 0 0 -39 h\n.5991 g 4602 3270 N 0 39 38 0 0 -39
      h\n.172 g 4564 3270 N 0 39 38 0 0 -39 h\n.1326 g 4526 3270 N 0 39 38 0
      0 -39 h\n.1193 g 4488 3270 N 0 39 38 0 0 -39 h\n.1036 g 4450 3270 N 0
      39 38 0 0 -39 h\n.0879 g 4412 3270 N 0 39 38 0 0 -39 h\n.0879 g 4374
      3270 N 0 39 38 0 0 -39 h\n.0783 g 4336 3270 N 0 39 38 0 0 -39 h\n.0591
      g 4298 3270 N 0 39 38 0 0 -39 h\n.0495 g 4261 3270 N 0 39 37 0 0 -39
      h\n.0495 g 4223 3270 N 0 39 38 0 0 -39 h\n.0495 g 4185 3270 N 0 39 38 0
      0 -39 h\n.0495 g 4147 3270 N 0 39 38 0 0 -39 h\n.0495 g 4109 3270 N 0
      39 38 0 0 -39 h\n.0495 g 4071 3270 N 0 39 38 0 0 -39 h\n.0495 g 4033
      3270 N 0 39 38 0 0 -39 h\n.0495 g 3995 3270 N 0 39 38 0 0 -39 h\n.0495
      g 3957 3270 N 0 39 38 0 0 -39 h\n.0495 g 3919 3270 N 0 39 38 0 0 -39
      h\n.0495 g 3882 3270 N 0 39 37 0 0 -39 h\n.0495 g 3844 3270 N 0 39 38 0
      0 -39 h\n.0495 g 3806 3270 N 0 39 38 0 0 -39 h\n.0495 g 3768 3270 N 0
      39 38 0 0 -39 h\n.0371 g 3730 3270 N 0 39 38 0 0 -39 h\n1 g 6307 3231 N
      0 39 38 0 0 -39 h\n1 g 6269 3231 N 0 39 38 0 0 -39 h\n1 g 6231 3231 N 0
      39 38 0 0 -39 h\n1 g 6193 3231 N 0 39 38 0 0 -39 h\n.8959 g 6156 3231 N
      0 39 37 0 0 -39 h\n.7922 g 6118 3231 N 0 39 38 0 0 -39 h\n.7876 g 6080
      3231 N 0 39 38 0 0 -39 h\n.7168 g 6042 3231 N 0 39 38 0 0 -39 h\n.8255
      g 6004 3231 N 0 39 38 0 0 -39 h\n1 g 5966 3231 N 0 39 38 0 0 -39 h\n1 g
      5928 3231 N 0 39 38 0 0 -39 h\n.9091 g 5890 3231 N 0 39 38 0 0 -39
      h\n.6932 g 5852 3231 N 0 39 38 0 0 -39 h\n.6932 g 5814 3231 N 0 39 38 0
      0 -39 h\n.9091 g 5777 3231 N 0 39 37 0 0 -39 h\n1 g 5739 3231 N 0 39 38
      0 0 -39 h\n1 g 5701 3231 N 0 39 38 0 0 -39 h\n.883 g 5663 3231 N 0 39
      38 0 0 -39 h\n.6393 g 5625 3231 N 0 39 38 0 0 -39 h\n.5468 g 5587 3231
      N 0 39 38 0 0 -39 h\n.7 g 5549 3231 N 0 39 38 0 0 -39 h\n.9094 g 5511
      3231 N 0 39 38 0 0 -39 h\n1 g 5473 3231 N 0 39 38 0 0 -39 h\n1 g 5435
      3231 N 0 39 38 0 0 -39 h\n1 g 5398 3231 N 0 39 37 0 0 -39 h\n.8803 g
      5360 3231 N 0 39 38 0 0 -39 h\n.7496 g 5322 3231 N 0 39 38 0 0 -39
      h\n.5615 g 5284 3231 N 0 39 38 0 0 -39 h\n.3729 g 5246 3231 N 0 39 38 0
      0 -39 h\n.3669 g 5208 3231 N 0 39 38 0 0 -39 h\n.5199 g 5170 3231 N 0
      39 38 0 0 -39 h\n.5767 g 5132 3231 N 0 39 38 0 0 -39 h\n.6114 g 5094
      3231 N 0 39 38 0 0 -39 h\n.8684 g 5056 3231 N 0 39 38 0 0 -39 h\n.8954
      g 5019 3231 N 0 39 37 0 0 -39 h\n.5957 g 4981 3231 N 0 39 38 0 0 -39
      h\n.536 g 4943 3231 N 0 39 38 0 0 -39 h\n.6982 g 4905 3231 N 0 39 38 0
      0 -39 h\n.729 g 4867 3231 N 0 39 38 0 0 -39 h\n.7461 g 4829 3231 N 0 39
      38 0 0 -39 h\n.7411 g 4791 3231 N 0 39 38 0 0 -39 h\n.8615 g 4753 3231
      N 0 39 38 0 0 -39 h\n1 g 4715 3231 N 0 39 38 0 0 -39 h\n.8357 g 4677
      3231 N 0 39 38 0 0 -39 h\n.6454 g 4640 3231 N 0 39 37 0 0 -39 h\n.3991
      g 4602 3231 N 0 39 38 0 0 -39 h\n.1624 g 4564 3231 N 0 39 38 0 0 -39
      h\n.1392 g 4526 3231 N 0 39 38 0 0 -39 h\n.1259 g 4488 3231 N 0 39 38 0
      0 -39 h\n.1115 g 4450 3231 N 0 39 38 0 0 -39 h\n.0958 g 4412 3231 N 0
      39 38 0 0 -39 h\n.0879 g 4374 3231 N 0 39 38 0 0 -39 h\n.0879 g 4336
      3231 N 0 39 38 0 0 -39 h\n.0783 g 4298 3231 N 0 39 38 0 0 -39 h\n.0687
      g 4261 3231 N 0 39 37 0 0 -39 h\n.0591 g 4223 3231 N 0 39 38 0 0 -39
      h\n.0495 g 4185 3231 N 0 39 38 0 0 -39 h\n.0495 g 4147 3231 N 0 39 38 0
      0 -39 h\n.0495 g 4109 3231 N 0 39 38 0 0 -39 h\n.0495 g 4071 3231 N 0
      39 38 0 0 -39 h\n.0495 g 4033 3231 N 0 39 38 0 0 -39 h\n.0495 g 3995
      3231 N 0 39 38 0 0 -39 h\n.0495 g 3957 3231 N 0 39 38 0 0 -39 h\n.0495
      g 3919 3231 N 0 39 38 0 0 -39 h\n.0495 g 3882 3231 N 0 39 37 0 0 -39
      h\n.0495 g 3844 3231 N 0 39 38 0 0 -39 h\n.0495 g 3806 3231 N 0 39 38 0
      0 -39 h\n.0495 g 3768 3231 N 0 39 38 0 0 -39 h\n.0495 g 3730 3231 N 0
      39 38 0 0 -39 h\n1 g 6307 3192 N 0 40 38 0 0 -40 h\n1 g 6269 3192 N 0
      40 38 0 0 -40 h\n1 g 6231 3192 N 0 40 38 0 0 -40 h\n1 g 6193 3192 N 0
      40 38 0 0 -40 h\n1 g 6156 3192 N 0 40 37 0 0 -40 h\n1 g 6118 3192 N 0
      40 38 0 0 -40 h\n1 g 6080 3192 N 0 40 38 0 0 -40 h\n.8963 g 6042 3192 N
      0 40 38 0 0 -40 h\n.7985 g 6004 3192 N 0 40 38 0 0 -40 h\n.8178 g 5966
      3192 N 0 40 38 0 0 -40 h\n.9157 g 5928 3192 N 0 40 38 0 0 -40 h\n1 g
      5890 3192 N 0 40 38 0 0 -40 h\n.793 g 5852 3192 N 0 40 38 0 0 -40
      h\n.6025 g 5814 3192 N 0 40 38 0 0 -40 h\n.8095 g 5777 3192 N 0 40 37 0
      0 -40 h\n1 g 5739 3192 N 0 40 38 0 0 -40 h\n1 g 5701 3192 N 0 40 38 0 0
      -40 h\n.883 g 5663 3192 N 0 40 38 0 0 -40 h\n.645 g 5625 3192 N 0 40 38
      0 0 -40 h\n.5656 g 5587 3192 N 0 40 38 0 0 -40 h\n.8037 g 5549 3192 N 0
      40 38 0 0 -40 h\n1 g 5511 3192 N 0 40 38 0 0 -40 h\n1 g 5473 3192 N 0
      40 38 0 0 -40 h\n1 g 5435 3192 N 0 40 38 0 0 -40 h\n1 g 5398 3192 N 0
      40 37 0 0 -40 h\n.7468 g 5360 3192 N 0 40 38 0 0 -40 h\n.7468 g 5322
      3192 N 0 40 38 0 0 -40 h\n.6937 g 5284 3192 N 0 40 38 0 0 -40 h\n.3811
      g 5246 3192 N 0 40 38 0 0 -40 h\n.3935 g 5208 3192 N 0 40 38 0 0 -40
      h\n.7062 g 5170 3192 N 0 40 38 0 0 -40 h\n.9017 g 5132 3192 N 0 40 38 0
      0 -40 h\n.9017 g 5094 3192 N 0 40 38 0 0 -40 h\n1 g 5056 3192 N 0 40 38
      0 0 -40 h\n.8954 g 5019 3192 N 0 40 37 0 0 -40 h\n.7599 g 4981 3192 N 0
      40 38 0 0 -40 h\n.8646 g 4943 3192 N 0 40 38 0 0 -40 h\n1 g 4905 3192 N
      0 40 38 0 0 -40 h\n.8665 g 4867 3192 N 0 40 38 0 0 -40 h\n.7461 g 4829
      3192 N 0 40 38 0 0 -40 h\n.8796 g 4791 3192 N 0 40 38 0 0 -40 h\n.9219
      g 4753 3192 N 0 40 38 0 0 -40 h\n.9219 g 4715 3192 N 0 40 38 0 0 -40
      h\n.8357 g 4677 3192 N 0 40 38 0 0 -40 h\n.6454 g 4640 3192 N 0 40 37 0
      0 -40 h\n.3991 g 4602 3192 N 0 40 38 0 0 -40 h\n.1681 g 4564 3192 N 0
      40 38 0 0 -40 h\n.1516 g 4526 3192 N 0 40 38 0 0 -40 h\n.1326 g 4488
      3192 N 0 40 38 0 0 -40 h\n.1193 g 4450 3192 N 0 40 38 0 0 -40 h\n.1115
      g 4412 3192 N 0 40 38 0 0 -40 h\n.0958 g 4374 3192 N 0 40 38 0 0 -40
      h\n.0879 g 4336 3192 N 0 40 38 0 0 -40 h\n.0879 g 4298 3192 N 0 40 38 0
      0 -40 h\n.0879 g 4261 3192 N 0 40 37 0 0 -40 h\n.0783 g 4223 3192 N 0
      40 38 0 0 -40 h\n.0591 g 4185 3192 N 0 40 38 0 0 -40 h\n.0495 g 4147
      3192 N 0 40 38 0 0 -40 h\n.0495 g 4109 3192 N 0 40 38 0 0 -40 h\n.0495
      g 4071 3192 N 0 40 38 0 0 -40 h\n.0495 g 4033 3192 N 0 40 38 0 0 -40
      h\n.0495 g 3995 3192 N 0 40 38 0 0 -40 h\n.0495 g 3957 3192 N 0 40 38 0
      0 -40 h\n.0495 g 3919 3192 N 0 40 38 0 0 -40 h\n.0495 g 3882 3192 N 0
      40 37 0 0 -40 h\n.0495 g 3844 3192 N 0 40 38 0 0 -40 h\n.0495 g 3806
      3192 N 0 40 38 0 0 -40 h\n.0495 g 3768 3192 N 0 40 38 0 0 -40 h\n.0495
      g 3730 3192 N 0 40 38 0 0 -40 h\n.8913 g 6307 3152 N 0 39 38 0 0 -39
      h\n.8973 g 6269 3152 N 0 39 38 0 0 -39 h\n.7946 g 6231 3152 N 0 39 38 0
      0 -39 h\n.8973 g 6193 3152 N 0 39 38 0 0 -39 h\n.9084 g 6156 3152 N 0
      39 37 0 0 -39 h\n.9084 g 6118 3152 N 0 39 38 0 0 -39 h\n1 g 6080 3152 N
      0 39 38 0 0 -39 h\n1 g 6042 3152 N 0 39 38 0 0 -39 h\n.9022 g 6004 3152
      N 0 39 38 0 0 -39 h\n.7247 g 5966 3152 N 0 39 38 0 0 -39 h\n.8226 g
      5928 3152 N 0 39 38 0 0 -39 h\n1 g 5890 3152 N 0 39 38 0 0 -39 h\n.8991
      g 5852 3152 N 0 39 38 0 0 -39 h\n.7049 g 5814 3152 N 0 39 38 0 0 -39
      h\n.8058 g 5777 3152 N 0 39 37 0 0 -39 h\n1 g 5739 3152 N 0 39 38 0 0
      -39 h\n1 g 5701 3152 N 0 39 38 0 0 -39 h\n.8873 g 5663 3152 N 0 39 38 0
      0 -39 h\n.7697 g 5625 3152 N 0 39 38 0 0 -39 h\n.781 g 5587 3152 N 0 39
      38 0 0 -39 h\n.8987 g 5549 3152 N 0 39 38 0 0 -39 h\n1 g 5511 3152 N 0
      39 38 0 0 -39 h\n1 g 5473 3152 N 0 39 38 0 0 -39 h\n1 g 5435 3152 N 0
      39 38 0 0 -39 h\n1 g 5398 3152 N 0 39 37 0 0 -39 h\n.8665 g 5360 3152 N
      0 39 38 0 0 -39 h\n.7197 g 5322 3152 N 0 39 38 0 0 -39 h\n.5513 g 5284
      3152 N 0 39 38 0 0 -39 h\n.5442 g 5246 3152 N 0 39 38 0 0 -39 h\n.7018
      g 5208 3152 N 0 39 38 0 0 -39 h\n.8557 g 5170 3152 N 0 39 38 0 0 -39
      h\n1 g 5132 3152 N 0 39 38 0 0 -39 h\n1 g 5094 3152 N 0 39 38 0 0 -39
      h\n1 g 5056 3152 N 0 39 38 0 0 -39 h\n1 g 5019 3152 N 0 39 37 0 0 -39
      h\n1 g 4981 3152 N 0 39 38 0 0 -39 h\n1 g 4943 3152 N 0 39 38 0 0 -39
      h\n1 g 4905 3152 N 0 39 38 0 0 -39 h\n.8803 g 4867 3152 N 0 39 38 0 0
      -39 h\n.8803 g 4829 3152 N 0 39 38 0 0 -39 h\n1 g 4791 3152 N 0 39 38 0
      0 -39 h\n.9219 g 4753 3152 N 0 39 38 0 0 -39 h\n.9219 g 4715 3152 N 0
      39 38 0 0 -39 h\n1 g 4677 3152 N 0 39 38 0 0 -39 h\n.8096 g 4640 3152 N
      0 39 37 0 0 -39 h\n.4042 g 4602 3152 N 0 39 38 0 0 -39 h\n.1789 g 4564
      3152 N 0 39 38 0 0 -39 h\n.1573 g 4526 3152 N 0 39 38 0 0 -39 h\n.1326
      g 4488 3152 N 0 39 38 0 0 -39 h\n.1193 g 4450 3152 N 0 39 38 0 0 -39
      h\n.1193 g 4412 3152 N 0 39 38 0 0 -39 h\n.1115 g 4374 3152 N 0 39 38 0
      0 -39 h\n.0958 g 4336 3152 N 0 39 38 0 0 -39 h\n.0879 g 4298 3152 N 0
      39 38 0 0 -39 h\n.0879 g 4261 3152 N 0 39 37 0 0 -39 h\n.0879 g 4223
      3152 N 0 39 38 0 0 -39 h\n.0783 g 4185 3152 N 0 39 38 0 0 -39 h\n.0687
      g 4147 3152 N 0 39 38 0 0 -39 h\n.0591 g 4109 3152 N 0 39 38 0 0 -39
      h\n.0495 g 4071 3152 N 0 39 38 0 0 -39 h\n.0495 g 4033 3152 N 0 39 38 0
      0 -39 h\n.0495 g 3995 3152 N 0 39 38 0 0 -39 h\n.0495 g 3957 3152 N 0
      39 38 0 0 -39 h\n.0495 g 3919 3152 N 0 39 38 0 0 -39 h\n.0495 g 3882
      3152 N 0 39 37 0 0 -39 h\n.0495 g 3844 3152 N 0 39 38 0 0 -39 h\n.0495
      g 3806 3152 N 0 39 38 0 0 -39 h\n.0495 g 3768 3152 N 0 39 38 0 0 -39
      h\n.0495 g 3730 3152 N 0 39 38 0 0 -39 h\n.6641 g 6307 3113 N 0 39 38 0
      0 -39 h\n.7852 g 6269 3113 N 0 39 38 0 0 -39 h\n.6909 g 6231 3113 N 0
      39 38 0 0 -39 h\n.7031 g 6193 3113 N 0 39 38 0 0 -39 h\n.73 g 6156 3113
      N 0 39 37 0 0 -39 h\n.7263 g 6118 3113 N 0 39 38 0 0 -39 h\n.8148 g
      6080 3113 N 0 39 38 0 0 -39 h\n.9091 g 6042 3113 N 0 39 38 0 0 -39 h\n1
      g 6004 3113 N 0 39 38 0 0 -39 h\n.8301 g 5966 3113 N 0 39 38 0 0 -39
      h\n.7442 g 5928 3113 N 0 39 38 0 0 -39 h\n.9141 g 5890 3113 N 0 39 38 0
      0 -39 h\n.9192 g 5852 3113 N 0 39 38 0 0 -39 h\n.7326 g 5814 3113 N 0
      39 38 0 0 -39 h\n.8134 g 5777 3113 N 0 39 37 0 0 -39 h\n1 g 5739 3113 N
      0 39 38 0 0 -39 h\n.8982 g 5701 3113 N 0 39 38 0 0 -39 h\n.6746 g 5663
      3113 N 0 39 38 0 0 -39 h\n.7764 g 5625 3113 N 0 39 38 0 0 -39 h\n1 g
      5587 3113 N 0 39 38 0 0 -39 h\n1 g 5549 3113 N 0 39 38 0 0 -39 h\n1 g
      5511 3113 N 0 39 38 0 0 -39 h\n1 g 5473 3113 N 0 39 38 0 0 -39 h\n1 g
      5435 3113 N 0 39 38 0 0 -39 h\n.8736 g 5398 3113 N 0 39 37 0 0 -39
      h\n.742 g 5360 3113 N 0 39 38 0 0 -39 h\n.5773 g 5322 3113 N 0 39 38 0
      0 -39 h\n.4175 g 5284 3113 N 0 39 38 0 0 -39 h\n.5916 g 5246 3113 N 0
      39 38 0 0 -39 h\n.883 g 5208 3113 N 0 39 38 0 0 -39 h\n1 g 5170 3113 N
      0 39 38 0 0 -39 h\n1 g 5132 3113 N 0 39 38 0 0 -39 h\n1 g 5094 3113 N 0
      39 38 0 0 -39 h\n1 g 5056 3113 N 0 39 38 0 0 -39 h\n1 g 5019 3113 N 0
      39 37 0 0 -39 h\n1 g 4981 3113 N 0 39 38 0 0 -39 h\n1 g 4943 3113 N 0
      39 38 0 0 -39 h\n.8929 g 4905 3113 N 0 39 38 0 0 -39 h\n.7732 g 4867
      3113 N 0 39 38 0 0 -39 h\n.8803 g 4829 3113 N 0 39 38 0 0 -39 h\n1 g
      4791 3113 N 0 39 38 0 0 -39 h\n.8959 g 4753 3113 N 0 39 38 0 0 -39
      h\n.8959 g 4715 3113 N 0 39 38 0 0 -39 h\n.8476 g 4677 3113 N 0 39 38 0
      0 -39 h\n.4844 g 4640 3113 N 0 39 37 0 0 -39 h\n.434 g 4602 3113 N 0 39
      38 0 0 -39 h\n.3867 g 4564 3113 N 0 39 38 0 0 -39 h\n.1624 g 4526 3113
      N 0 39 38 0 0 -39 h\n.1326 g 4488 3113 N 0 39 38 0 0 -39 h\n.1193 g
      4450 3113 N 0 39 38 0 0 -39 h\n.1193 g 4412 3113 N 0 39 38 0 0 -39
      h\n.1193 g 4374 3113 N 0 39 38 0 0 -39 h\n.1036 g 4336 3113 N 0 39 38 0
      0 -39 h\n.0879 g 4298 3113 N 0 39 38 0 0 -39 h\n.0879 g 4261 3113 N 0
      39 37 0 0 -39 h\n.0879 g 4223 3113 N 0 39 38 0 0 -39 h\n.0879 g 4185
      3113 N 0 39 38 0 0 -39 h\n.0879 g 4147 3113 N 0 39 38 0 0 -39 h\n.0783
      g 4109 3113 N 0 39 38 0 0 -39 h\n.0687 g 4071 3113 N 0 39 38 0 0 -39
      h\n.0591 g 4033 3113 N 0 39 38 0 0 -39 h\n.0495 g 3995 3113 N 0 39 38 0
      0 -39 h\n.0495 g 3957 3113 N 0 39 38 0 0 -39 h\n.0495 g 3919 3113 N 0
      39 38 0 0 -39 h\n.0495 g 3882 3113 N 0 39 37 0 0 -39 h\n.0495 g 3844
      3113 N 0 39 38 0 0 -39 h\n.0495 g 3806 3113 N 0 39 38 0 0 -39 h\n.0495
      g 3768 3113 N 0 39 38 0 0 -39 h\n.0495 g 3730 3113 N 0 39 38 0 0 -39
      h\n.5636 g 6307 3074 N 0 39 38 0 0 -39 h\n.7897 g 6269 3074 N 0 39 38 0
      0 -39 h\n.8963 g 6231 3074 N 0 39 38 0 0 -39 h\n.8058 g 6193 3074 N 0
      39 38 0 0 -39 h\n.8216 g 6156 3074 N 0 39 37 0 0 -39 h\n.8179 g 6118
      3074 N 0 39 38 0 0 -39 h\n.8148 g 6080 3074 N 0 39 38 0 0 -39 h\n.8291
      g 6042 3074 N 0 39 38 0 0 -39 h\n.8395 g 6004 3074 N 0 39 38 0 0 -39
      h\n.8427 g 5966 3074 N 0 39 38 0 0 -39 h\n.7536 g 5928 3074 N 0 39 38 0
      0 -39 h\n.8304 g 5890 3074 N 0 39 38 0 0 -39 h\n.8429 g 5852 3074 N 0
      39 38 0 0 -39 h\n.6624 g 5814 3074 N 0 39 38 0 0 -39 h\n.8195 g 5777
      3074 N 0 39 37 0 0 -39 h\n1 g 5739 3074 N 0 39 38 0 0 -39 h\n.7978 g
      5701 3074 N 0 39 38 0 0 -39 h\n.5787 g 5663 3074 N 0 39 38 0 0 -39
      h\n.7809 g 5625 3074 N 0 39 38 0 0 -39 h\n1 g 5587 3074 N 0 39 38 0 0
      -39 h\n1 g 5549 3074 N 0 39 38 0 0 -39 h\n1 g 5511 3074 N 0 39 38 0 0
      -39 h\n1 g 5473 3074 N 0 39 38 0 0 -39 h\n1 g 5435 3074 N 0 39 38 0 0
      -39 h\n.7429 g 5398 3074 N 0 39 37 0 0 -39 h\n.4727 g 5360 3074 N 0 39
      38 0 0 -39 h\n.4459 g 5322 3074 N 0 39 38 0 0 -39 h\n.4387 g 5284 3074
      N 0 39 38 0 0 -39 h\n.4792 g 5246 3074 N 0 39 38 0 0 -39 h\n.7566 g
      5208 3074 N 0 39 38 0 0 -39 h\n1 g 5170 3074 N 0 39 38 0 0 -39 h\n1 g
      5132 3074 N 0 39 38 0 0 -39 h\n1 g 5094 3074 N 0 39 38 0 0 -39 h\n1 g
      5056 3074 N 0 39 38 0 0 -39 h\n1 g 5019 3074 N 0 39 37 0 0 -39 h\n1 g
      4981 3074 N 0 39 38 0 0 -39 h\n1 g 4943 3074 N 0 39 38 0 0 -39 h\n.7543
      g 4905 3074 N 0 39 38 0 0 -39 h\n.7543 g 4867 3074 N 0 39 38 0 0 -39
      h\n1 g 4829 3074 N 0 39 38 0 0 -39 h\n.8767 g 4791 3074 N 0 39 38 0 0
      -39 h\n.7726 g 4753 3074 N 0 39 38 0 0 -39 h\n.8959 g 4715 3074 N 0 39
      38 0 0 -39 h\n.8476 g 4677 3074 N 0 39 38 0 0 -39 h\n.6747 g 4640 3074
      N 0 39 37 0 0 -39 h\n.8271 g 4602 3074 N 0 39 38 0 0 -39 h\n.6434 g
      4564 3074 N 0 39 38 0 0 -39 h\n.222 g 4526 3074 N 0 39 38 0 0 -39
      h\n.1449 g 4488 3074 N 0 39 38 0 0 -39 h\n.1259 g 4450 3074 N 0 39 38 0
      0 -39 h\n.1193 g 4412 3074 N 0 39 38 0 0 -39 h\n.1193 g 4374 3074 N 0
      39 38 0 0 -39 h\n.1115 g 4336 3074 N 0 39 38 0 0 -39 h\n.0958 g 4298
      3074 N 0 39 38 0 0 -39 h\n.0879 g 4261 3074 N 0 39 37 0 0 -39 h\n.0879
      g 4223 3074 N 0 39 38 0 0 -39 h\n.0879 g 4185 3074 N 0 39 38 0 0 -39
      h\n.0879 g 4147 3074 N 0 39 38 0 0 -39 h\n.0879 g 4109 3074 N 0 39 38 0
      0 -39 h\n.0879 g 4071 3074 N 0 39 38 0 0 -39 h\n.0783 g 4033 3074 N 0
      39 38 0 0 -39 h\n.0687 g 3995 3074 N 0 39 38 0 0 -39 h\n.0687 g 3957
      3074 N 0 39 38 0 0 -39 h\n.0591 g 3919 3074 N 0 39 38 0 0 -39 h\n.0495
      g 3882 3074 N 0 39 37 0 0 -39 h\n.0495 g 3844 3074 N 0 39 38 0 0 -39
      h\n.0495 g 3806 3074 N 0 39 38 0 0 -39 h\n.0495 g 3768 3074 N 0 39 38 0
      0 -39 h\n.0495 g 3730 3074 N 0 39 38 0 0 -39 h\n.7908 g 6307 3035 N 0
      39 38 0 0 -39 h\n.9017 g 6269 3035 N 0 39 38 0 0 -39 h\n1 g 6231 3035 N
      0 39 38 0 0 -39 h\n1 g 6193 3035 N 0 39 38 0 0 -39 h\n1 g 6156 3035 N 0
      39 37 0 0 -39 h\n1 g 6118 3035 N 0 39 38 0 0 -39 h\n1 g 6080 3035 N 0
      39 38 0 0 -39 h\n.92 g 6042 3035 N 0 39 38 0 0 -39 h\n.8395 g 6004 3035
      N 0 39 38 0 0 -39 h\n.9195 g 5966 3035 N 0 39 38 0 0 -39 h\n.8376 g
      5928 3035 N 0 39 38 0 0 -39 h\n.8376 g 5890 3035 N 0 39 38 0 0 -39
      h\n.8362 g 5852 3035 N 0 39 38 0 0 -39 h\n.7477 g 5814 3035 N 0 39 38 0
      0 -39 h\n.9115 g 5777 3035 N 0 39 37 0 0 -39 h\n1 g 5739 3035 N 0 39 38
      0 0 -39 h\n.7959 g 5701 3035 N 0 39 38 0 0 -39 h\n.6066 g 5663 3035 N 0
      39 38 0 0 -39 h\n.8107 g 5625 3035 N 0 39 38 0 0 -39 h\n1 g 5587 3035 N
      0 39 38 0 0 -39 h\n1 g 5549 3035 N 0 39 38 0 0 -39 h\n1 g 5511 3035 N 0
      39 38 0 0 -39 h\n1 g 5473 3035 N 0 39 38 0 0 -39 h\n.9122 g 5435 3035 N
      0 39 38 0 0 -39 h\n.7815 g 5398 3035 N 0 39 37 0 0 -39 h\n.5943 g 5360
      3035 N 0 39 38 0 0 -39 h\n.5854 g 5322 3035 N 0 39 38 0 0 -39 h\n.7249
      g 5284 3035 N 0 39 38 0 0 -39 h\n.7381 g 5246 3035 N 0 39 38 0 0 -39
      h\n.8736 g 5208 3035 N 0 39 38 0 0 -39 h\n1 g 5170 3035 N 0 39 38 0 0
      -39 h\n1 g 5132 3035 N 0 39 38 0 0 -39 h\n1 g 5094 3035 N 0 39 38 0 0
      -39 h\n1 g 5056 3035 N 0 39 38 0 0 -39 h\n1 g 5019 3035 N 0 39 37 0 0
      -39 h\n1 g 4981 3035 N 0 39 38 0 0 -39 h\n.8913 g 4943 3035 N 0 39 38 0
      0 -39 h\n.6072 g 4905 3035 N 0 39 38 0 0 -39 h\n.5805 g 4867 3035 N 0
      39 38 0 0 -39 h\n.8646 g 4829 3035 N 0 39 38 0 0 -39 h\n.8767 g 4791
      3035 N 0 39 38 0 0 -39 h\n.7413 g 4753 3035 N 0 39 38 0 0 -39 h\n.8646
      g 4715 3035 N 0 39 38 0 0 -39 h\n1 g 4677 3035 N 0 39 38 0 0 -39 h\n1 g
      4640 3035 N 0 39 37 0 0 -39 h\n1 g 4602 3035 N 0 39 38 0 0 -39 h\n.6479
      g 4564 3035 N 0 39 38 0 0 -39 h\n.2323 g 4526 3035 N 0 39 38 0 0 -39
      h\n.1573 g 4488 3035 N 0 39 38 0 0 -39 h\n.1326 g 4450 3035 N 0 39 38 0
      0 -39 h\n.1193 g 4412 3035 N 0 39 38 0 0 -39 h\n.1193 g 4374 3035 N 0
      39 38 0 0 -39 h\n.1193 g 4336 3035 N 0 39 38 0 0 -39 h\n.1115 g 4298
      3035 N 0 39 38 0 0 -39 h\n.0958 g 4261 3035 N 0 39 37 0 0 -39 h\n.0879
      g 4223 3035 N 0 39 38 0 0 -39 h\n.0879 g 4185 3035 N 0 39 38 0 0 -39
      h\n.0879 g 4147 3035 N 0 39 38 0 0 -39 h\n.0879 g 4109 3035 N 0 39 38 0
      0 -39 h\n.0879 g 4071 3035 N 0 39 38 0 0 -39 h\n.0879 g 4033 3035 N 0
      39 38 0 0 -39 h\n.0879 g 3995 3035 N 0 39 38 0 0 -39 h\n.0879 g 3957
      3035 N 0 39 38 0 0 -39 h\n.0783 g 3919 3035 N 0 39 38 0 0 -39 h\n.0687
      g 3882 3035 N 0 39 37 0 0 -39 h\n.0687 g 3844 3035 N 0 39 38 0 0 -39
      h\n.0687 g 3806 3035 N 0 39 38 0 0 -39 h\n.0687 g 3768 3035 N 0 39 38 0
      0 -39 h\n.0591 g 3730 3035 N 0 39 38 0 0 -39 h\n1 g 6307 2996 N 0 39 38
      0 0 -39 h\n1 g 6269 2996 N 0 39 38 0 0 -39 h\n1 g 6231 2996 N 0 39 38 0
      0 -39 h\n1 g 6193 2996 N 0 39 38 0 0 -39 h\n.9098 g 6156 2996 N 0 39 37
      0 0 -39 h\n.8345 g 6118 2996 N 0 39 38 0 0 -39 h\n.9247 g 6080 2996 N 0
      39 38 0 0 -39 h\n1 g 6042 2996 N 0 39 38 0 0 -39 h\n1 g 6004 2996 N 0
      39 38 0 0 -39 h\n1 g 5966 2996 N 0 39 38 0 0 -39 h\n.8483 g 5928 2996 N
      0 39 38 0 0 -39 h\n.8483 g 5890 2996 N 0 39 38 0 0 -39 h\n.8297 g 5852
      2996 N 0 39 38 0 0 -39 h\n.8297 g 5814 2996 N 0 39 38 0 0 -39 h\n1 g
      5777 2996 N 0 39 37 0 0 -39 h\n1 g 5739 2996 N 0 39 38 0 0 -39 h\n.8001
      g 5701 2996 N 0 39 38 0 0 -39 h\n.6512 g 5663 2996 N 0 39 38 0 0 -39
      h\n.8511 g 5625 2996 N 0 39 38 0 0 -39 h\n1 g 5587 2996 N 0 39 38 0 0
      -39 h\n1 g 5549 2996 N 0 39 38 0 0 -39 h\n1 g 5511 2996 N 0 39 38 0 0
      -39 h\n1 g 5473 2996 N 0 39 38 0 0 -39 h\n.7841 g 5435 2996 N 0 39 38 0
      0 -39 h\n.6525 g 5398 2996 N 0 39 37 0 0 -39 h\n.5994 g 5360 2996 N 0
      39 38 0 0 -39 h\n.6021 g 5322 2996 N 0 39 38 0 0 -39 h\n.8711 g 5284
      2996 N 0 39 38 0 0 -39 h\n1 g 5246 2996 N 0 39 38 0 0 -39 h\n1 g 5208
      2996 N 0 39 38 0 0 -39 h\n1 g 5170 2996 N 0 39 38 0 0 -39 h\n1 g 5132
      2996 N 0 39 38 0 0 -39 h\n1 g 5094 2996 N 0 39 38 0 0 -39 h\n1 g 5056
      2996 N 0 39 38 0 0 -39 h\n1 g 5019 2996 N 0 39 37 0 0 -39 h\n1 g 4981
      2996 N 0 39 38 0 0 -39 h\n.8913 g 4943 2996 N 0 39 38 0 0 -39 h\n.5918
      g 4905 2996 N 0 39 38 0 0 -39 h\n.5651 g 4867 2996 N 0 39 38 0 0 -39
      h\n.8646 g 4829 2996 N 0 39 38 0 0 -39 h\n1 g 4791 2996 N 0 39 38 0 0
      -39 h\n.8646 g 4753 2996 N 0 39 38 0 0 -39 h\n.7107 g 4715 2996 N 0 39
      38 0 0 -39 h\n.6624 g 4677 2996 N 0 39 38 0 0 -39 h\n.6294 g 4640 2996
      N 0 39 37 0 0 -39 h\n.6227 g 4602 2996 N 0 39 38 0 0 -39 h\n.4087 g
      4564 2996 N 0 39 38 0 0 -39 h\n.1835 g 4526 2996 N 0 39 38 0 0 -39
      h\n.1573 g 4488 2996 N 0 39 38 0 0 -39 h\n.1326 g 4450 2996 N 0 39 38 0
      0 -39 h\n.1193 g 4412 2996 N 0 39 38 0 0 -39 h\n.1193 g 4374 2996 N 0
      39 38 0 0 -39 h\n.1193 g 4336 2996 N 0 39 38 0 0 -39 h\n.1193 g 4298
      2996 N 0 39 38 0 0 -39 h\n.1115 g 4261 2996 N 0 39 37 0 0 -39 h\n.1036
      g 4223 2996 N 0 39 38 0 0 -39 h\n.0958 g 4185 2996 N 0 39 38 0 0 -39
      h\n.0879 g 4147 2996 N 0 39 38 0 0 -39 h\n.0879 g 4109 2996 N 0 39 38 0
      0 -39 h\n.0879 g 4071 2996 N 0 39 38 0 0 -39 h\n.0879 g 4033 2996 N 0
      39 38 0 0 -39 h\n.0879 g 3995 2996 N 0 39 38 0 0 -39 h\n.0879 g 3957
      2996 N 0 39 38 0 0 -39 h\n.0879 g 3919 2996 N 0 39 38 0 0 -39 h\n.0879
      g 3882 2996 N 0 39 37 0 0 -39 h\n.0879 g 3844 2996 N 0 39 38 0 0 -39
      h\n.0879 g 3806 2996 N 0 39 38 0 0 -39 h\n.0879 g 3768 2996 N 0 39 38 0
      0 -39 h\n.0783 g 3730 2996 N 0 39 38 0 0 -39 h\n1 g 6307 2957 N 0 39 38
      0 0 -39 h\n1 g 6269 2957 N 0 39 38 0 0 -39 h\n.9013 g 6231 2957 N 0 39
      38 0 0 -39 h\n.8248 g 6193 2957 N 0 39 38 0 0 -39 h\n.8332 g 6156 2957
      N 0 39 37 0 0 -39 h\n.8345 g 6118 2957 N 0 39 38 0 0 -39 h\n.8474 g
      6080 2957 N 0 39 38 0 0 -39 h\n.9227 g 6042 2957 N 0 39 38 0 0 -39 h\n1
      g 6004 2957 N 0 39 38 0 0 -39 h\n1 g 5966 2957 N 0 39 38 0 0 -39
      h\n.9269 g 5928 2957 N 0 39 38 0 0 -39 h\n.8493 g 5890 2957 N 0 39 38 0
      0 -39 h\n.8396 g 5852 2957 N 0 39 38 0 0 -39 h\n.9172 g 5814 2957 N 0
      39 38 0 0 -39 h\n.9061 g 5777 2957 N 0 39 37 0 0 -39 h\n.8095 g 5739
      2957 N 0 39 38 0 0 -39 h\n.8072 g 5701 2957 N 0 39 38 0 0 -39 h\n.836 g
      5663 2957 N 0 39 38 0 0 -39 h\n.9322 g 5625 2957 N 0 39 38 0 0 -39 h\n1
      g 5587 2957 N 0 39 38 0 0 -39 h\n1 g 5549 2957 N 0 39 38 0 0 -39
      h\n.8934 g 5511 2957 N 0 39 38 0 0 -39 h\n.8934 g 5473 2957 N 0 39 38 0
      0 -39 h\n.7438 g 5435 2957 N 0 39 38 0 0 -39 h\n.485 g 5398 2957 N 0 39
      37 0 0 -39 h\n.6086 g 5360 2957 N 0 39 38 0 0 -39 h\n.7385 g 5322 2957
      N 0 39 38 0 0 -39 h\n.8711 g 5284 2957 N 0 39 38 0 0 -39 h\n1 g 5246
      2957 N 0 39 38 0 0 -39 h\n1 g 5208 2957 N 0 39 38 0 0 -39 h\n1 g 5170
      2957 N 0 39 38 0 0 -39 h\n1 g 5132 2957 N 0 39 38 0 0 -39 h\n1 g 5094
      2957 N 0 39 38 0 0 -39 h\n1 g 5056 2957 N 0 39 38 0 0 -39 h\n1 g 5019
      2957 N 0 39 37 0 0 -39 h\n1 g 4981 2957 N 0 39 38 0 0 -39 h\n1 g 4943
      2957 N 0 39 38 0 0 -39 h\n.7117 g 4905 2957 N 0 39 38 0 0 -39 h\n.5493
      g 4867 2957 N 0 39 38 0 0 -39 h\n.8376 g 4829 2957 N 0 39 38 0 0 -39
      h\n.9108 g 4791 2957 N 0 39 38 0 0 -39 h\n.781 g 4753 2957 N 0 39 38 0
      0 -39 h\n.7163 g 4715 2957 N 0 39 38 0 0 -39 h\n.4755 g 4677 2957 N 0
      39 38 0 0 -39 h\n.2484 g 4640 2957 N 0 39 37 0 0 -39 h\n.2305 g 4602
      2957 N 0 39 38 0 0 -39 h\n.2009 g 4564 2957 N 0 39 38 0 0 -39 h\n.1739
      g 4526 2957 N 0 39 38 0 0 -39 h\n.1573 g 4488 2957 N 0 39 38 0 0 -39
      h\n.1392 g 4450 2957 N 0 39 38 0 0 -39 h\n.1259 g 4412 2957 N 0 39 38 0
      0 -39 h\n.1193 g 4374 2957 N 0 39 38 0 0 -39 h\n.1193 g 4336 2957 N 0
      39 38 0 0 -39 h\n.1193 g 4298 2957 N 0 39 38 0 0 -39 h\n.1193 g 4261
      2957 N 0 39 37 0 0 -39 h\n.1193 g 4223 2957 N 0 39 38 0 0 -39 h\n.1115
      g 4185 2957 N 0 39 38 0 0 -39 h\n.0958 g 4147 2957 N 0 39 38 0 0 -39
      h\n.0879 g 4109 2957 N 0 39 38 0 0 -39 h\n.0879 g 4071 2957 N 0 39 38 0
      0 -39 h\n.0879 g 4033 2957 N 0 39 38 0 0 -39 h\n.0879 g 3995 2957 N 0
      39 38 0 0 -39 h\n.0879 g 3957 2957 N 0 39 38 0 0 -39 h\n.0879 g 3919
      2957 N 0 39 38 0 0 -39 h\n.0879 g 3882 2957 N 0 39 37 0 0 -39 h\n.0879
      g 3844 2957 N 0 39 38 0 0 -39 h\n.0879 g 3806 2957 N 0 39 38 0 0 -39
      h\n.0879 g 3768 2957 N 0 39 38 0 0 -39 h\n.0879 g 3730 2957 N 0 39 38 0
      0 -39 h\n1 g 6307 2918 N 0 40 38 0 0 -40 h\n.8968 g 6269 2918 N 0 40 38
      0 0 -40 h\n.7035 g 6231 2918 N 0 40 38 0 0 -40 h\n.7301 g 6193 2918 N 0
      40 38 0 0 -40 h\n.9235 g 6156 2918 N 0 40 37 0 0 -40 h\n.916 g 6118
      2918 N 0 40 38 0 0 -40 h\n.8387 g 6080 2918 N 0 40 38 0 0 -40 h\n.8579
      g 6042 2918 N 0 40 38 0 0 -40 h\n.9352 g 6004 2918 N 0 40 38 0 0 -40
      h\n1 g 5966 2918 N 0 40 38 0 0 -40 h\n1 g 5928 2918 N 0 40 38 0 0 -40
      h\n.9224 g 5890 2918 N 0 40 38 0 0 -40 h\n.8531 g 5852 2918 N 0 40 38 0
      0 -40 h\n.8408 g 5814 2918 N 0 40 38 0 0 -40 h\n.7366 g 5777 2918 N 0
      40 37 0 0 -40 h\n.7298 g 5739 2918 N 0 40 38 0 0 -40 h\n.9034 g 5701
      2918 N 0 40 38 0 0 -40 h\n1 g 5663 2918 N 0 40 38 0 0 -40 h\n1 g 5625
      2918 N 0 40 38 0 0 -40 h\n1 g 5587 2918 N 0 40 38 0 0 -40 h\n.8973 g
      5549 2918 N 0 40 38 0 0 -40 h\n.7907 g 5511 2918 N 0 40 38 0 0 -40
      h\n.7693 g 5473 2918 N 0 40 38 0 0 -40 h\n.6222 g 5435 2918 N 0 40 38 0
      0 -40 h\n.495 g 5398 2918 N 0 40 37 0 0 -40 h\n.7487 g 5360 2918 N 0 40
      38 0 0 -40 h\n1 g 5322 2918 N 0 40 38 0 0 -40 h\n1 g 5284 2918 N 0 40
      38 0 0 -40 h\n1 g 5246 2918 N 0 40 38 0 0 -40 h\n1 g 5208 2918 N 0 40
      38 0 0 -40 h\n1 g 5170 2918 N 0 40 38 0 0 -40 h\n1 g 5132 2918 N 0 40
      38 0 0 -40 h\n1 g 5094 2918 N 0 40 38 0 0 -40 h\n1 g 5056 2918 N 0 40
      38 0 0 -40 h\n1 g 5019 2918 N 0 40 37 0 0 -40 h\n1 g 4981 2918 N 0 40
      38 0 0 -40 h\n1 g 4943 2918 N 0 40 38 0 0 -40 h\n.7032 g 4905 2918 N 0
      40 38 0 0 -40 h\n.3703 g 4867 2918 N 0 40 38 0 0 -40 h\n.4942 g 4829
      2918 N 0 40 38 0 0 -40 h\n.7379 g 4791 2918 N 0 40 38 0 0 -40 h\n.6466
      g 4753 2918 N 0 40 38 0 0 -40 h\n.6077 g 4715 2918 N 0 40 38 0 0 -40
      h\n.685 g 4677 2918 N 0 40 38 0 0 -40 h\n.4208 g 4640 2918 N 0 40 37 0
      0 -40 h\n.2068 g 4602 2918 N 0 40 38 0 0 -40 h\n.1835 g 4564 2918 N 0
      40 38 0 0 -40 h\n.1688 g 4526 2918 N 0 40 38 0 0 -40 h\n.1573 g 4488
      2918 N 0 40 38 0 0 -40 h\n.1458 g 4450 2918 N 0 40 38 0 0 -40 h\n.1392
      g 4412 2918 N 0 40 38 0 0 -40 h\n.1259 g 4374 2918 N 0 40 38 0 0 -40
      h\n.1193 g 4336 2918 N 0 40 38 0 0 -40 h\n.1193 g 4298 2918 N 0 40 38 0
      0 -40 h\n.1193 g 4261 2918 N 0 40 37 0 0 -40 h\n.1193 g 4223 2918 N 0
      40 38 0 0 -40 h\n.1193 g 4185 2918 N 0 40 38 0 0 -40 h\n.1115 g 4147
      2918 N 0 40 38 0 0 -40 h\n.1036 g 4109 2918 N 0 40 38 0 0 -40 h\n.0958
      g 4071 2918 N 0 40 38 0 0 -40 h\n.0879 g 4033 2918 N 0 40 38 0 0 -40
      h\n.0879 g 3995 2918 N 0 40 38 0 0 -40 h\n.0879 g 3957 2918 N 0 40 38 0
      0 -40 h\n.0879 g 3919 2918 N 0 40 38 0 0 -40 h\n.0879 g 3882 2918 N 0
      40 37 0 0 -40 h\n.0879 g 3844 2918 N 0 40 38 0 0 -40 h\n.0879 g 3806
      2918 N 0 40 38 0 0 -40 h\n.0879 g 3768 2918 N 0 40 38 0 0 -40 h\n.0879
      g 3730 2918 N 0 40 38 0 0 -40 h\n.8145 g 6307 2878 N 0 39 38 0 0 -39
      h\n.7892 g 6269 2878 N 0 39 38 0 0 -39 h\n.8022 g 6231 2878 N 0 39 38 0
      0 -39 h\n.9054 g 6193 2878 N 0 39 38 0 0 -39 h\n.9259 g 6156 2878 N 0
      39 37 0 0 -39 h\n.7664 g 6118 2878 N 0 39 38 0 0 -39 h\n.8404 g 6080
      2878 N 0 39 38 0 0 -39 h\n.871 g 6042 2878 N 0 39 38 0 0 -39 h\n.7974 g
      6004 2878 N 0 39 38 0 0 -39 h\n.9264 g 5966 2878 N 0 39 38 0 0 -39 h\n1
      g 5928 2878 N 0 39 38 0 0 -39 h\n.92 g 5890 2878 N 0 39 38 0 0 -39
      h\n.8507 g 5852 2878 N 0 39 38 0 0 -39 h\n.8408 g 5814 2878 N 0 39 38 0
      0 -39 h\n.8304 g 5777 2878 N 0 39 37 0 0 -39 h\n.9203 g 5739 2878 N 0
      39 38 0 0 -39 h\n1 g 5701 2878 N 0 39 38 0 0 -39 h\n1 g 5663 2878 N 0
      39 38 0 0 -39 h\n1 g 5625 2878 N 0 39 38 0 0 -39 h\n1 g 5587 2878 N 0
      39 38 0 0 -39 h\n.7803 g 5549 2878 N 0 39 38 0 0 -39 h\n.6599 g 5511
      2878 N 0 39 38 0 0 -39 h\n.6344 g 5473 2878 N 0 39 38 0 0 -39 h\n.6292
      g 5435 2878 N 0 39 38 0 0 -39 h\n.7503 g 5398 2878 N 0 39 37 0 0 -39
      h\n.8759 g 5360 2878 N 0 39 38 0 0 -39 h\n1 g 5322 2878 N 0 39 38 0 0
      -39 h\n1 g 5284 2878 N 0 39 38 0 0 -39 h\n1 g 5246 2878 N 0 39 38 0 0
      -39 h\n1 g 5208 2878 N 0 39 38 0 0 -39 h\n1 g 5170 2878 N 0 39 38 0 0
      -39 h\n1 g 5132 2878 N 0 39 38 0 0 -39 h\n1 g 5094 2878 N 0 39 38 0 0
      -39 h\n1 g 5056 2878 N 0 39 38 0 0 -39 h\n1 g 5019 2878 N 0 39 37 0 0
      -39 h\n1 g 4981 2878 N 0 39 38 0 0 -39 h\n1 g 4943 2878 N 0 39 38 0 0
      -39 h\n.8376 g 4905 2878 N 0 39 38 0 0 -39 h\n.4965 g 4867 2878 N 0 39
      38 0 0 -39 h\n.308 g 4829 2878 N 0 39 38 0 0 -39 h\n.4684 g 4791 2878 N
      0 39 38 0 0 -39 h\n.5119 g 4753 2878 N 0 39 38 0 0 -39 h\n.3777 g 4715
      2878 N 0 39 38 0 0 -39 h\n.4909 g 4677 2878 N 0 39 38 0 0 -39 h\n.405 g
      4640 2878 N 0 39 37 0 0 -39 h\n.1936 g 4602 2878 N 0 39 38 0 0 -39
      h\n.1789 g 4564 2878 N 0 39 38 0 0 -39 h\n.1688 g 4526 2878 N 0 39 38 0
      0 -39 h\n.1573 g 4488 2878 N 0 39 38 0 0 -39 h\n.1458 g 4450 2878 N 0
      39 38 0 0 -39 h\n.1458 g 4412 2878 N 0 39 38 0 0 -39 h\n.1392 g 4374
      2878 N 0 39 38 0 0 -39 h\n.1259 g 4336 2878 N 0 39 38 0 0 -39 h\n.1193
      g 4298 2878 N 0 39 38 0 0 -39 h\n.1193 g 4261 2878 N 0 39 37 0 0 -39
      h\n.1193 g 4223 2878 N 0 39 38 0 0 -39 h\n.1193 g 4185 2878 N 0 39 38 0
      0 -39 h\n.1193 g 4147 2878 N 0 39 38 0 0 -39 h\n.1193 g 4109 2878 N 0
      39 38 0 0 -39 h\n.1115 g 4071 2878 N 0 39 38 0 0 -39 h\n.1036 g 4033
      2878 N 0 39 38 0 0 -39 h\n.0958 g 3995 2878 N 0 39 38 0 0 -39 h\n.0879
      g 3957 2878 N 0 39 38 0 0 -39 h\n.0879 g 3919 2878 N 0 39 38 0 0 -39
      h\n.0879 g 3882 2878 N 0 39 37 0 0 -39 h\n.0879 g 3844 2878 N 0 39 38 0
      0 -39 h\n.0879 g 3806 2878 N 0 39 38 0 0 -39 h\n.0879 g 3768 2878 N 0
      39 38 0 0 -39 h\n.0879 g 3730 2878 N 0 39 38 0 0 -39 h\n.703 g 6307
      2839 N 0 39 38 0 0 -39 h\n.8923 g 6269 2839 N 0 39 38 0 0 -39 h\n1 g
      6231 2839 N 0 39 38 0 0 -39 h\n1 g 6193 2839 N 0 39 38 0 0 -39 h\n.8332
      g 6156 2839 N 0 39 37 0 0 -39 h\n.7577 g 6118 2839 N 0 39 38 0 0 -39
      h\n.9245 g 6080 2839 N 0 39 38 0 0 -39 h\n.9358 g 6042 2839 N 0 39 38 0
      0 -39 h\n.8622 g 6004 2839 N 0 39 38 0 0 -39 h\n.8456 g 5966 2839 N 0
      39 38 0 0 -39 h\n.9192 g 5928 2839 N 0 39 38 0 0 -39 h\n.92 g 5890 2839
      N 0 39 38 0 0 -39 h\n.92 g 5852 2839 N 0 39 38 0 0 -39 h\n1 g 5814 2839
      N 0 39 38 0 0 -39 h\n1 g 5777 2839 N 0 39 37 0 0 -39 h\n1 g 5739 2839 N
      0 39 38 0 0 -39 h\n1 g 5701 2839 N 0 39 38 0 0 -39 h\n.8982 g 5663 2839
      N 0 39 38 0 0 -39 h\n.8982 g 5625 2839 N 0 39 38 0 0 -39 h\n.8855 g
      5587 2839 N 0 39 38 0 0 -39 h\n.6522 g 5549 2839 N 0 39 38 0 0 -39
      h\n.5305 g 5511 2839 N 0 39 38 0 0 -39 h\n.6428 g 5473 2839 N 0 39 38 0
      0 -39 h\n.8789 g 5435 2839 N 0 39 38 0 0 -39 h\n1 g 5398 2839 N 0 39 37
      0 0 -39 h\n1 g 5360 2839 N 0 39 38 0 0 -39 h\n1 g 5322 2839 N 0 39 38 0
      0 -39 h\n1 g 5284 2839 N 0 39 38 0 0 -39 h\n1 g 5246 2839 N 0 39 38 0 0
      -39 h\n1 g 5208 2839 N 0 39 38 0 0 -39 h\n1 g 5170 2839 N 0 39 38 0 0
      -39 h\n1 g 5132 2839 N 0 39 38 0 0 -39 h\n1 g 5094 2839 N 0 39 38 0 0
      -39 h\n1 g 5056 2839 N 0 39 38 0 0 -39 h\n1 g 5019 2839 N 0 39 37 0 0
      -39 h\n1 g 4981 2839 N 0 39 38 0 0 -39 h\n1 g 4943 2839 N 0 39 38 0 0
      -39 h\n1 g 4905 2839 N 0 39 38 0 0 -39 h\n.6541 g 4867 2839 N 0 39 38 0
      0 -39 h\n.2924 g 4829 2839 N 0 39 38 0 0 -39 h\n.2707 g 4791 2839 N 0
      39 38 0 0 -39 h\n.2691 g 4753 2839 N 0 39 38 0 0 -39 h\n.2557 g 4715
      2839 N 0 39 38 0 0 -39 h\n.2267 g 4677 2839 N 0 39 38 0 0 -39 h\n.2023
      g 4640 2839 N 0 39 37 0 0 -39 h\n.1891 g 4602 2839 N 0 39 38 0 0 -39
      h\n.1789 g 4564 2839 N 0 39 38 0 0 -39 h\n.1688 g 4526 2839 N 0 39 38 0
      0 -39 h\n.1631 g 4488 2839 N 0 39 38 0 0 -39 h\n.1516 g 4450 2839 N 0
      39 38 0 0 -39 h\n.1458 g 4412 2839 N 0 39 38 0 0 -39 h\n.1458 g 4374
      2839 N 0 39 38 0 0 -39 h\n.1392 g 4336 2839 N 0 39 38 0 0 -39 h\n.1259
      g 4298 2839 N 0 39 38 0 0 -39 h\n.1193 g 4261 2839 N 0 39 37 0 0 -39
      h\n.1193 g 4223 2839 N 0 39 38 0 0 -39 h\n.1193 g 4185 2839 N 0 39 38 0
      0 -39 h\n.1193 g 4147 2839 N 0 39 38 0 0 -39 h\n.1193 g 4109 2839 N 0
      39 38 0 0 -39 h\n.1193 g 4071 2839 N 0 39 38 0 0 -39 h\n.1193 g 4033
      2839 N 0 39 38 0 0 -39 h\n.1115 g 3995 2839 N 0 39 38 0 0 -39 h\n.1036
      g 3957 2839 N 0 39 38 0 0 -39 h\n.1036 g 3919 2839 N 0 39 38 0 0 -39
      h\n.1036 g 3882 2839 N 0 39 37 0 0 -39 h\n.1036 g 3844 2839 N 0 39 38 0
      0 -39 h\n.1036 g 3806 2839 N 0 39 38 0 0 -39 h\n.1036 g 3768 2839 N 0
      39 38 0 0 -39 h\n.1036 g 3730 2839 N 0 39 38 0 0 -39 h\n.7752 g 6307
      2800 N 0 39 38 0 0 -39 h\n1 g 6269 2800 N 0 39 38 0 0 -39 h\n1 g 6231
      2800 N 0 39 38 0 0 -39 h\n.9101 g 6193 2800 N 0 39 38 0 0 -39 h\n.7216
      g 6156 2800 N 0 39 37 0 0 -39 h\n.8115 g 6118 2800 N 0 39 38 0 0 -39
      h\n1 g 6080 2800 N 0 39 38 0 0 -39 h\n.9125 g 6042 2800 N 0 39 38 0 0
      -39 h\n.9125 g 6004 2800 N 0 39 38 0 0 -39 h\n.9192 g 5966 2800 N 0 39
      38 0 0 -39 h\n.8327 g 5928 2800 N 0 39 38 0 0 -39 h\n.824 g 5890 2800 N
      0 39 38 0 0 -39 h\n.8213 g 5852 2800 N 0 39 38 0 0 -39 h\n.9108 g 5814
      2800 N 0 39 38 0 0 -39 h\n1 g 5777 2800 N 0 39 37 0 0 -39 h\n1 g 5739
      2800 N 0 39 38 0 0 -39 h\n.8959 g 5701 2800 N 0 39 38 0 0 -39 h\n.6854
      g 5663 2800 N 0 39 38 0 0 -39 h\n.6786 g 5625 2800 N 0 39 38 0 0 -39
      h\n.7746 g 5587 2800 N 0 39 38 0 0 -39 h\n.7692 g 5549 2800 N 0 39 38 0
      0 -39 h\n.7679 g 5511 2800 N 0 39 38 0 0 -39 h\n.8843 g 5473 2800 N 0
      39 38 0 0 -39 h\n1 g 5435 2800 N 0 39 38 0 0 -39 h\n1 g 5398 2800 N 0
      39 37 0 0 -39 h\n1 g 5360 2800 N 0 39 38 0 0 -39 h\n1 g 5322 2800 N 0
      39 38 0 0 -39 h\n1 g 5284 2800 N 0 39 38 0 0 -39 h\n1 g 5246 2800 N 0
      39 38 0 0 -39 h\n1 g 5208 2800 N 0 39 38 0 0 -39 h\n1 g 5170 2800 N 0
      39 38 0 0 -39 h\n1 g 5132 2800 N 0 39 38 0 0 -39 h\n1 g 5094 2800 N 0
      39 38 0 0 -39 h\n1 g 5056 2800 N 0 39 38 0 0 -39 h\n.8665 g 5019 2800 N
      0 39 37 0 0 -39 h\n.8665 g 4981 2800 N 0 39 38 0 0 -39 h\n1 g 4943 2800
      N 0 39 38 0 0 -39 h\n1 g 4905 2800 N 0 39 38 0 0 -39 h\n.8246 g 4867
      2800 N 0 39 38 0 0 -39 h\n.4572 g 4829 2800 N 0 39 38 0 0 -39 h\n.2553
      g 4791 2800 N 0 39 38 0 0 -39 h\n.242 g 4753 2800 N 0 39 38 0 0 -39
      h\n.2311 g 4715 2800 N 0 39 38 0 0 -39 h\n.2154 g 4677 2800 N 0 39 38 0
      0 -39 h\n.1982 g 4640 2800 N 0 39 37 0 0 -39 h\n.1891 g 4602 2800 N 0
      39 38 0 0 -39 h\n.184 g 4564 2800 N 0 39 38 0 0 -39 h\n.1739 g 4526
      2800 N 0 39 38 0 0 -39 h\n.1688 g 4488 2800 N 0 39 38 0 0 -39 h\n.1573
      g 4450 2800 N 0 39 38 0 0 -39 h\n.1458 g 4412 2800 N 0 39 38 0 0 -39
      h\n.1458 g 4374 2800 N 0 39 38 0 0 -39 h\n.1458 g 4336 2800 N 0 39 38 0
      0 -39 h\n.1392 g 4298 2800 N 0 39 38 0 0 -39 h\n.1326 g 4261 2800 N 0
      39 37 0 0 -39 h\n.1326 g 4223 2800 N 0 39 38 0 0 -39 h\n.1326 g 4185
      2800 N 0 39 38 0 0 -39 h\n.1259 g 4147 2800 N 0 39 38 0 0 -39 h\n.1193
      g 4109 2800 N 0 39 38 0 0 -39 h\n.1193 g 4071 2800 N 0 39 38 0 0 -39
      h\n.1193 g 4033 2800 N 0 39 38 0 0 -39 h\n.1193 g 3995 2800 N 0 39 38 0
      0 -39 h\n.1193 g 3957 2800 N 0 39 38 0 0 -39 h\n.1193 g 3919 2800 N 0
      39 38 0 0 -39 h\n.1193 g 3882 2800 N 0 39 37 0 0 -39 h\n.1193 g 3844
      2800 N 0 39 38 0 0 -39 h\n.1259 g 3806 2800 N 0 39 38 0 0 -39 h\n.1326
      g 3768 2800 N 0 39 38 0 0 -39 h\n.1326 g 3730 2800 N 0 39 38 0 0 -39
      h\n.7729 g 6307 2761 N 0 39 38 0 0 -39 h\n1 g 6269 2761 N 0 39 38 0 0
      -39 h\n1 g 6231 2761 N 0 39 38 0 0 -39 h\n.9101 g 6193 2761 N 0 39 38 0
      0 -39 h\n.7173 g 6156 2761 N 0 39 37 0 0 -39 h\n.8072 g 6118 2761 N 0
      39 38 0 0 -39 h\n1 g 6080 2761 N 0 39 38 0 0 -39 h\n.9125 g 6042 2761 N
      0 39 38 0 0 -39 h\n.8263 g 6004 2761 N 0 39 38 0 0 -39 h\n.9138 g 5966
      2761 N 0 39 38 0 0 -39 h\n.9135 g 5928 2761 N 0 39 38 0 0 -39 h\n.824 g
      5890 2761 N 0 39 38 0 0 -39 h\n.8213 g 5852 2761 N 0 39 38 0 0 -39
      h\n.8268 g 5814 2761 N 0 39 38 0 0 -39 h\n.8177 g 5777 2761 N 0 39 37 0
      0 -39 h\n.7995 g 5739 2761 N 0 39 38 0 0 -39 h\n.7936 g 5701 2761 N 0
      39 38 0 0 -39 h\n.6867 g 5663 2761 N 0 39 38 0 0 -39 h\n.6799 g 5625
      2761 N 0 39 38 0 0 -39 h\n.8002 g 5587 2761 N 0 39 38 0 0 -39 h\n.9112
      g 5549 2761 N 0 39 38 0 0 -39 h\n1 g 5511 2761 N 0 39 38 0 0 -39 h\n1 g
      5473 2761 N 0 39 38 0 0 -39 h\n1 g 5435 2761 N 0 39 38 0 0 -39 h\n1 g
      5398 2761 N 0 39 37 0 0 -39 h\n1 g 5360 2761 N 0 39 38 0 0 -39 h\n1 g
      5322 2761 N 0 39 38 0 0 -39 h\n1 g 5284 2761 N 0 39 38 0 0 -39 h\n1 g
      5246 2761 N 0 39 38 0 0 -39 h\n1 g 5208 2761 N 0 39 38 0 0 -39 h\n1 g
      5170 2761 N 0 39 38 0 0 -39 h\n1 g 5132 2761 N 0 39 38 0 0 -39 h\n1 g
      5094 2761 N 0 39 38 0 0 -39 h\n.9065 g 5056 2761 N 0 39 38 0 0 -39
      h\n.6845 g 5019 2761 N 0 39 37 0 0 -39 h\n.778 g 4981 2761 N 0 39 38 0
      0 -39 h\n.9017 g 4943 2761 N 0 39 38 0 0 -39 h\n.7598 g 4905 2761 N 0
      39 38 0 0 -39 h\n.6801 g 4867 2761 N 0 39 38 0 0 -39 h\n.4514 g 4829
      2761 N 0 39 38 0 0 -39 h\n.2487 g 4791 2761 N 0 39 38 0 0 -39 h\n.2386
      g 4753 2761 N 0 39 38 0 0 -39 h\n.2311 g 4715 2761 N 0 39 38 0 0 -39
      h\n.2154 g 4677 2761 N 0 39 38 0 0 -39 h\n.2027 g 4640 2761 N 0 39 37 0
      0 -39 h\n.1936 g 4602 2761 N 0 39 38 0 0 -39 h\n.1891 g 4564 2761 N 0
      39 38 0 0 -39 h\n.1789 g 4526 2761 N 0 39 38 0 0 -39 h\n.1688 g 4488
      2761 N 0 39 38 0 0 -39 h\n.1631 g 4450 2761 N 0 39 38 0 0 -39 h\n.1516
      g 4412 2761 N 0 39 38 0 0 -39 h\n.1458 g 4374 2761 N 0 39 38 0 0 -39
      h\n.1458 g 4336 2761 N 0 39 38 0 0 -39 h\n.1458 g 4298 2761 N 0 39 38 0
      0 -39 h\n.1458 g 4261 2761 N 0 39 37 0 0 -39 h\n.1458 g 4223 2761 N 0
      39 38 0 0 -39 h\n.1458 g 4185 2761 N 0 39 38 0 0 -39 h\n.1392 g 4147
      2761 N 0 39 38 0 0 -39 h\n.1326 g 4109 2761 N 0 39 38 0 0 -39 h\n.1326
      g 4071 2761 N 0 39 38 0 0 -39 h\n.1326 g 4033 2761 N 0 39 38 0 0 -39
      h\n.1326 g 3995 2761 N 0 39 38 0 0 -39 h\n.1383 g 3957 2761 N 0 39 38 0
      0 -39 h\n.1441 g 3919 2761 N 0 39 38 0 0 -39 h\n.1441 g 3882 2761 N 0
      39 37 0 0 -39 h\n.1383 g 3844 2761 N 0 39 38 0 0 -39 h\n.1392 g 3806
      2761 N 0 39 38 0 0 -39 h\n.1458 g 3768 2761 N 0 39 38 0 0 -39 h\n.1458
      g 3730 2761 N 0 39 38 0 0 -39 h\n.8861 g 6307 2722 N 0 39 38 0 0 -39
      h\n1 g 6269 2722 N 0 39 38 0 0 -39 h\n1 g 6231 2722 N 0 39 38 0 0 -39
      h\n.9175 g 6193 2722 N 0 39 38 0 0 -39 h\n.7556 g 6156 2722 N 0 39 37 0
      0 -39 h\n.8382 g 6118 2722 N 0 39 38 0 0 -39 h\n1 g 6080 2722 N 0 39 38
      0 0 -39 h\n1 g 6042 2722 N 0 39 38 0 0 -39 h\n.818 g 6004 2722 N 0 39
      38 0 0 -39 h\n.7465 g 5966 2722 N 0 39 38 0 0 -39 h\n.9285 g 5928 2722
      N 0 39 38 0 0 -39 h\n1 g 5890 2722 N 0 39 38 0 0 -39 h\n1 g 5852 2722 N
      0 39 38 0 0 -39 h\n.916 g 5814 2722 N 0 39 38 0 0 -39 h\n.8177 g 5777
      2722 N 0 39 37 0 0 -39 h\n.7538 g 5739 2722 N 0 39 38 0 0 -39 h\n.852 g
      5701 2722 N 0 39 38 0 0 -39 h\n.8996 g 5663 2722 N 0 39 38 0 0 -39
      h\n.8996 g 5625 2722 N 0 39 38 0 0 -39 h\n.9112 g 5587 2722 N 0 39 38 0
      0 -39 h\n.9112 g 5549 2722 N 0 39 38 0 0 -39 h\n1 g 5511 2722 N 0 39 38
      0 0 -39 h\n1 g 5473 2722 N 0 39 38 0 0 -39 h\n1 g 5435 2722 N 0 39 38 0
      0 -39 h\n1 g 5398 2722 N 0 39 37 0 0 -39 h\n1 g 5360 2722 N 0 39 38 0 0
      -39 h\n1 g 5322 2722 N 0 39 38 0 0 -39 h\n1 g 5284 2722 N 0 39 38 0 0
      -39 h\n1 g 5246 2722 N 0 39 38 0 0 -39 h\n1 g 5208 2722 N 0 39 38 0 0
      -39 h\n1 g 5170 2722 N 0 39 38 0 0 -39 h\n1 g 5132 2722 N 0 39 38 0 0
      -39 h\n.8759 g 5094 2722 N 0 39 38 0 0 -39 h\n.6301 g 5056 2722 N 0 39
      38 0 0 -39 h\n.569 g 5019 2722 N 0 39 37 0 0 -39 h\n.8149 g 4981 2722 N
      0 39 38 0 0 -39 h\n.7961 g 4943 2722 N 0 39 38 0 0 -39 h\n.6542 g 4905
      2722 N 0 39 38 0 0 -39 h\n.4994 g 4867 2722 N 0 39 38 0 0 -39 h\n.2675
      g 4829 2722 N 0 39 38 0 0 -39 h\n.2455 g 4791 2722 N 0 39 38 0 0 -39
      h\n.2386 g 4753 2722 N 0 39 38 0 0 -39 h\n.2311 g 4715 2722 N 0 39 38 0
      0 -39 h\n.2154 g 4677 2722 N 0 39 38 0 0 -39 h\n.2072 g 4640 2722 N 0
      39 37 0 0 -39 h\n.2027 g 4602 2722 N 0 39 38 0 0 -39 h\n.1936 g 4564
      2722 N 0 39 38 0 0 -39 h\n.184 g 4526 2722 N 0 39 38 0 0 -39 h\n.1739 g
      4488 2722 N 0 39 38 0 0 -39 h\n.1688 g 4450 2722 N 0 39 38 0 0 -39
      h\n.1631 g 4412 2722 N 0 39 38 0 0 -39 h\n.1516 g 4374 2722 N 0 39 38 0
      0 -39 h\n.1458 g 4336 2722 N 0 39 38 0 0 -39 h\n.1458 g 4298 2722 N 0
      39 38 0 0 -39 h\n.1458 g 4261 2722 N 0 39 37 0 0 -39 h\n.1458 g 4223
      2722 N 0 39 38 0 0 -39 h\n.1458 g 4185 2722 N 0 39 38 0 0 -39 h\n.1458
      g 4147 2722 N 0 39 38 0 0 -39 h\n.1458 g 4109 2722 N 0 39 38 0 0 -39
      h\n.1458 g 4071 2722 N 0 39 38 0 0 -39 h\n.1516 g 4033 2722 N 0 39 38 0
      0 -39 h\n.1624 g 3995 2722 N 0 39 38 0 0 -39 h\n.2304 g 3957 2722 N 0
      39 38 0 0 -39 h\n.2609 g 3919 2722 N 0 39 38 0 0 -39 h\n.2037 g 3882
      2722 N 0 39 37 0 0 -39 h\n.1777 g 3844 2722 N 0 39 38 0 0 -39 h\n.172 g
      3806 2722 N 0 39 38 0 0 -39 h\n.1624 g 3768 2722 N 0 39 38 0 0 -39
      h\n.1573 g 3730 2722 N 0 39 38 0 0 -39 h\n1 g 6307 2683 N 0 39 38 0 0
      -39 h\n1 g 6269 2683 N 0 39 38 0 0 -39 h\n1 g 6231 2683 N 0 39 38 0 0
      -39 h\n.9175 g 6193 2683 N 0 39 38 0 0 -39 h\n.748 g 6156 2683 N 0 39
      37 0 0 -39 h\n.8306 g 6118 2683 N 0 39 38 0 0 -39 h\n1 g 6080 2683 N 0
      39 38 0 0 -39 h\n1 g 6042 2683 N 0 39 38 0 0 -39 h\n.8072 g 6004 2683 N
      0 39 38 0 0 -39 h\n.637 g 5966 2683 N 0 39 38 0 0 -39 h\n.8298 g 5928
      2683 N 0 39 38 0 0 -39 h\n1 g 5890 2683 N 0 39 38 0 0 -39 h\n1 g 5852
      2683 N 0 39 38 0 0 -39 h\n1 g 5814 2683 N 0 39 38 0 0 -39 h\n1 g 5777
      2683 N 0 39 37 0 0 -39 h\n.9543 g 5739 2683 N 0 39 38 0 0 -39 h\n.9543
      g 5701 2683 N 0 39 38 0 0 -39 h\n1 g 5663 2683 N 0 39 38 0 0 -39 h\n1 g
      5625 2683 N 0 39 38 0 0 -39 h\n1 g 5587 2683 N 0 39 38 0 0 -39 h\n1 g
      5549 2683 N 0 39 38 0 0 -39 h\n1 g 5511 2683 N 0 39 38 0 0 -39 h\n1 g
      5473 2683 N 0 39 38 0 0 -39 h\n1 g 5435 2683 N 0 39 38 0 0 -39 h\n1 g
      5398 2683 N 0 39 37 0 0 -39 h\n1 g 5360 2683 N 0 39 38 0 0 -39 h\n1 g
      5322 2683 N 0 39 38 0 0 -39 h\n1 g 5284 2683 N 0 39 38 0 0 -39 h\n1 g
      5246 2683 N 0 39 38 0 0 -39 h\n1 g 5208 2683 N 0 39 38 0 0 -39 h\n.8879
      g 5170 2683 N 0 39 38 0 0 -39 h\n.8879 g 5132 2683 N 0 39 38 0 0 -39
      h\n.8759 g 5094 2683 N 0 39 38 0 0 -39 h\n.6046 g 5056 2683 N 0 39 38 0
      0 -39 h\n.4715 g 5019 2683 N 0 39 37 0 0 -39 h\n.6265 g 4981 2683 N 0
      39 38 0 0 -39 h\n.6075 g 4943 2683 N 0 39 38 0 0 -39 h\n.5485 g 4905
      2683 N 0 39 38 0 0 -39 h\n.4631 g 4867 2683 N 0 39 38 0 0 -39 h\n.2679
      g 4829 2683 N 0 39 38 0 0 -39 h\n.2521 g 4791 2683 N 0 39 38 0 0 -39
      h\n.242 g 4753 2683 N 0 39 38 0 0 -39 h\n.2349 g 4715 2683 N 0 39 38 0
      0 -39 h\n.2233 g 4677 2683 N 0 39 38 0 0 -39 h\n.2113 g 4640 2683 N 0
      39 37 0 0 -39 h\n.2072 g 4602 2683 N 0 39 38 0 0 -39 h\n.2027 g 4564
      2683 N 0 39 38 0 0 -39 h\n.1936 g 4526 2683 N 0 39 38 0 0 -39 h\n.184 g
      4488 2683 N 0 39 38 0 0 -39 h\n.1739 g 4450 2683 N 0 39 38 0 0 -39
      h\n.1688 g 4412 2683 N 0 39 38 0 0 -39 h\n.1631 g 4374 2683 N 0 39 38 0
      0 -39 h\n.1516 g 4336 2683 N 0 39 38 0 0 -39 h\n.1458 g 4298 2683 N 0
      39 38 0 0 -39 h\n.1458 g 4261 2683 N 0 39 37 0 0 -39 h\n.1458 g 4223
      2683 N 0 39 38 0 0 -39 h\n.1458 g 4185 2683 N 0 39 38 0 0 -39 h\n.1458
      g 4147 2683 N 0 39 38 0 0 -39 h\n.1516 g 4109 2683 N 0 39 38 0 0 -39
      h\n.1573 g 4071 2683 N 0 39 38 0 0 -39 h\n.1631 g 4033 2683 N 0 39 38 0
      0 -39 h\n.1835 g 3995 2683 N 0 39 38 0 0 -39 h\n.2756 g 3957 2683 N 0
      39 38 0 0 -39 h\n.4985 g 3919 2683 N 0 39 38 0 0 -39 h\n.6193 g 3882
      2683 N 0 39 37 0 0 -39 h\n.5991 g 3844 2683 N 0 39 38 0 0 -39 h\n.4122
      g 3806 2683 N 0 39 38 0 0 -39 h\n.2044 g 3768 2683 N 0 39 38 0 0 -39
      h\n.188 g 3730 2683 N 0 39 38 0 0 -39 h\n1 g 6307 2644 N 0 40 38 0 0
      -40 h\n1 g 6269 2644 N 0 40 38 0 0 -40 h\n1 g 6231 2644 N 0 40 38 0 0
      -40 h\n.8944 g 6193 2644 N 0 40 38 0 0 -40 h\n.6811 g 6156 2644 N 0 40
      37 0 0 -40 h\n.7867 g 6118 2644 N 0 40 38 0 0 -40 h\n1 g 6080 2644 N 0
      40 38 0 0 -40 h\n1 g 6042 2644 N 0 40 38 0 0 -40 h\n.8328 g 6004 2644 N
      0 40 38 0 0 -40 h\n.6333 g 5966 2644 N 0 40 38 0 0 -40 h\n.6977 g 5928
      2644 N 0 40 38 0 0 -40 h\n.8973 g 5890 2644 N 0 40 38 0 0 -40 h\n1 g
      5852 2644 N 0 40 38 0 0 -40 h\n1 g 5814 2644 N 0 40 38 0 0 -40 h\n1 g
      5777 2644 N 0 40 37 0 0 -40 h\n1 g 5739 2644 N 0 40 38 0 0 -40 h\n1 g
      5701 2644 N 0 40 38 0 0 -40 h\n1 g 5663 2644 N 0 40 38 0 0 -40 h\n1 g
      5625 2644 N 0 40 38 0 0 -40 h\n1 g 5587 2644 N 0 40 38 0 0 -40 h\n1 g
      5549 2644 N 0 40 38 0 0 -40 h\n1 g 5511 2644 N 0 40 38 0 0 -40 h\n1 g
      5473 2644 N 0 40 38 0 0 -40 h\n1 g 5435 2644 N 0 40 38 0 0 -40 h\n1 g
      5398 2644 N 0 40 37 0 0 -40 h\n1 g 5360 2644 N 0 40 38 0 0 -40 h\n1 g
      5322 2644 N 0 40 38 0 0 -40 h\n1 g 5284 2644 N 0 40 38 0 0 -40 h\n.8929
      g 5246 2644 N 0 40 38 0 0 -40 h\n.7584 g 5208 2644 N 0 40 38 0 0 -40
      h\n.7535 g 5170 2644 N 0 40 38 0 0 -40 h\n.8879 g 5132 2644 N 0 40 38 0
      0 -40 h\n1 g 5094 2644 N 0 40 38 0 0 -40 h\n.7222 g 5056 2644 N 0 40 38
      0 0 -40 h\n.3954 g 5019 2644 N 0 40 37 0 0 -40 h\n.3863 g 4981 2644 N 0
      40 38 0 0 -40 h\n.3671 g 4943 2644 N 0 40 38 0 0 -40 h\n.3007 g 4905
      2644 N 0 40 38 0 0 -40 h\n.2852 g 4867 2644 N 0 40 38 0 0 -40 h\n.2711
      g 4829 2644 N 0 40 38 0 0 -40 h\n.2619 g 4791 2644 N 0 40 38 0 0 -40
      h\n.2521 g 4753 2644 N 0 40 38 0 0 -40 h\n.2455 g 4715 2644 N 0 40 38 0
      0 -40 h\n.2557 g 4677 2644 N 0 40 38 0 0 -40 h\n.2445 g 4640 2644 N 0
      40 37 0 0 -40 h\n.2192 g 4602 2644 N 0 40 38 0 0 -40 h\n.2154 g 4564
      2644 N 0 40 38 0 0 -40 h\n.2109 g 4526 2644 N 0 40 38 0 0 -40 h\n.2064
      g 4488 2644 N 0 40 38 0 0 -40 h\n.1927 g 4450 2644 N 0 40 38 0 0 -40
      h\n.1739 g 4412 2644 N 0 40 38 0 0 -40 h\n.1688 g 4374 2644 N 0 40 38 0
      0 -40 h\n.1631 g 4336 2644 N 0 40 38 0 0 -40 h\n.1573 g 4298 2644 N 0
      40 38 0 0 -40 h\n.1573 g 4261 2644 N 0 40 37 0 0 -40 h\n.1573 g 4223
      2644 N 0 40 38 0 0 -40 h\n.1573 g 4185 2644 N 0 40 38 0 0 -40 h\n.1573
      g 4147 2644 N 0 40 38 0 0 -40 h\n.1631 g 4109 2644 N 0 40 38 0 0 -40
      h\n.1688 g 4071 2644 N 0 40 38 0 0 -40 h\n.1739 g 4033 2644 N 0 40 38 0
      0 -40 h\n.1972 g 3995 2644 N 0 40 38 0 0 -40 h\n.4297 g 3957 2644 N 0
      40 38 0 0 -40 h\n.7016 g 3919 2644 N 0 40 38 0 0 -40 h\n.8796 g 3882
      2644 N 0 40 37 0 0 -40 h\n1 g 3844 2644 N 0 40 38 0 0 -40 h\n.8131 g
      3806 2644 N 0 40 38 0 0 -40 h\n.4245 g 3768 2644 N 0 40 38 0 0 -40
      h\n.2229 g 3730 2644 N 0 40 38 0 0 -40 h\n1 g 6307 2604 N 0 39 38 0 0
      -39 h\n1 g 6269 2604 N 0 39 38 0 0 -39 h\n1 g 6231 2604 N 0 39 38 0 0
      -39 h\n.8116 g 6193 2604 N 0 39 38 0 0 -39 h\n.5913 g 6156 2604 N 0 39
      37 0 0 -39 h\n.6889 g 6118 2604 N 0 39 38 0 0 -39 h\n.9091 g 6080 2604
      N 0 39 38 0 0 -39 h\n1 g 6042 2604 N 0 39 38 0 0 -39 h\n.9298 g 6004
      2604 N 0 39 38 0 0 -39 h\n.7706 g 5966 2604 N 0 39 38 0 0 -39 h\n.6335
      g 5928 2604 N 0 39 38 0 0 -39 h\n.685 g 5890 2604 N 0 39 38 0 0 -39
      h\n.7961 g 5852 2604 N 0 39 38 0 0 -39 h\n.8016 g 5814 2604 N 0 39 38 0
      0 -39 h\n.8978 g 5777 2604 N 0 39 37 0 0 -39 h\n1 g 5739 2604 N 0 39 38
      0 0 -39 h\n1 g 5701 2604 N 0 39 38 0 0 -39 h\n1 g 5663 2604 N 0 39 38 0
      0 -39 h\n1 g 5625 2604 N 0 39 38 0 0 -39 h\n1 g 5587 2604 N 0 39 38 0 0
      -39 h\n1 g 5549 2604 N 0 39 38 0 0 -39 h\n1 g 5511 2604 N 0 39 38 0 0
      -39 h\n1 g 5473 2604 N 0 39 38 0 0 -39 h\n1 g 5435 2604 N 0 39 38 0 0
      -39 h\n1 g 5398 2604 N 0 39 37 0 0 -39 h\n1 g 5360 2604 N 0 39 38 0 0
      -39 h\n1 g 5322 2604 N 0 39 38 0 0 -39 h\n.8891 g 5284 2604 N 0 39 38 0
      0 -39 h\n.6845 g 5246 2604 N 0 39 38 0 0 -39 h\n.5154 g 5208 2604 N 0
      39 38 0 0 -39 h\n.5825 g 5170 2604 N 0 39 38 0 0 -39 h\n.7182 g 5132
      2604 N 0 39 38 0 0 -39 h\n.7076 g 5094 2604 N 0 39 38 0 0 -39 h\n.5288
      g 5056 2604 N 0 39 38 0 0 -39 h\n.3423 g 5019 2604 N 0 39 37 0 0 -39
      h\n.3242 g 4981 2604 N 0 39 38 0 0 -39 h\n.3081 g 4943 2604 N 0 39 38 0
      0 -39 h\n.2933 g 4905 2604 N 0 39 38 0 0 -39 h\n.2826 g 4867 2604 N 0
      39 38 0 0 -39 h\n.274 g 4829 2604 N 0 39 38 0 0 -39 h\n.2711 g 4791
      2604 N 0 39 38 0 0 -39 h\n.2733 g 4753 2604 N 0 39 38 0 0 -39 h\n.2802
      g 4715 2604 N 0 39 38 0 0 -39 h\n.3432 g 4677 2604 N 0 39 38 0 0 -39
      h\n.346 g 4640 2604 N 0 39 37 0 0 -39 h\n.2609 g 4602 2604 N 0 39 38 0
      0 -39 h\n.2346 g 4564 2604 N 0 39 38 0 0 -39 h\n.2885 g 4526 2604 N 0
      39 38 0 0 -39 h\n.4754 g 4488 2604 N 0 39 38 0 0 -39 h\n.4091 g 4450
      2604 N 0 39 38 0 0 -39 h\n.1927 g 4412 2604 N 0 39 38 0 0 -39 h\n.1789
      g 4374 2604 N 0 39 38 0 0 -39 h\n.1739 g 4336 2604 N 0 39 38 0 0 -39
      h\n.1688 g 4298 2604 N 0 39 38 0 0 -39 h\n.1688 g 4261 2604 N 0 39 37 0
      0 -39 h\n.1688 g 4223 2604 N 0 39 38 0 0 -39 h\n.1688 g 4185 2604 N 0
      39 38 0 0 -39 h\n.1688 g 4147 2604 N 0 39 38 0 0 -39 h\n.1688 g 4109
      2604 N 0 39 38 0 0 -39 h\n.1739 g 4071 2604 N 0 39 38 0 0 -39 h\n.1964
      g 4033 2604 N 0 39 38 0 0 -39 h\n.4128 g 3995 2604 N 0 39 38 0 0 -39
      h\n.8059 g 3957 2604 N 0 39 38 0 0 -39 h\n.8796 g 3919 2604 N 0 39 38 0
      0 -39 h\n.7658 g 3882 2604 N 0 39 37 0 0 -39 h\n.8861 g 3844 2604 N 0
      39 38 0 0 -39 h\n.8429 g 3806 2604 N 0 39 38 0 0 -39 h\n.4797 g 3768
      2604 N 0 39 38 0 0 -39 h\n.2684 g 3730 2604 N 0 39 38 0 0 -39 h\n1 g
      6307 2565 N 0 39 38 0 0 -39 h\n1 g 6269 2565 N 0 39 38 0 0 -39 h\n1 g
      6231 2565 N 0 39 38 0 0 -39 h\n.9172 g 6193 2565 N 0 39 38 0 0 -39
      h\n.6912 g 6156 2565 N 0 39 37 0 0 -39 h\n.6831 g 6118 2565 N 0 39 38 0
      0 -39 h\n.9091 g 6080 2565 N 0 39 38 0 0 -39 h\n1 g 6042 2565 N 0 39 38
      0 0 -39 h\n1 g 6004 2565 N 0 39 38 0 0 -39 h\n.9417 g 5966 2565 N 0 39
      38 0 0 -39 h\n.837 g 5928 2565 N 0 39 38 0 0 -39 h\n.6795 g 5890 2565 N
      0 39 38 0 0 -39 h\n.5765 g 5852 2565 N 0 39 38 0 0 -39 h\n.6901 g 5814
      2565 N 0 39 38 0 0 -39 h\n.7839 g 5777 2565 N 0 39 37 0 0 -39 h\n.8861
      g 5739 2565 N 0 39 38 0 0 -39 h\n.8902 g 5701 2565 N 0 39 38 0 0 -39
      h\n.7815 g 5663 2565 N 0 39 38 0 0 -39 h\n.8913 g 5625 2565 N 0 39 38 0
      0 -39 h\n1 g 5587 2565 N 0 39 38 0 0 -39 h\n1 g 5549 2565 N 0 39 38 0 0
      -39 h\n1 g 5511 2565 N 0 39 38 0 0 -39 h\n1 g 5473 2565 N 0 39 38 0 0
      -39 h\n.8861 g 5435 2565 N 0 39 38 0 0 -39 h\n.8861 g 5398 2565 N 0 39
      37 0 0 -39 h\n.8665 g 5360 2565 N 0 39 38 0 0 -39 h\n.7521 g 5322 2565
      N 0 39 38 0 0 -39 h\n.7746 g 5284 2565 N 0 39 38 0 0 -39 h\n.7916 g
      5246 2565 N 0 39 38 0 0 -39 h\n.6061 g 5208 2565 N 0 39 38 0 0 -39
      h\n.4137 g 5170 2565 N 0 39 38 0 0 -39 h\n.4088 g 5132 2565 N 0 39 38 0
      0 -39 h\n.39 g 5094 2565 N 0 39 38 0 0 -39 h\n.3628 g 5056 2565 N 0 39
      38 0 0 -39 h\n.3347 g 5019 2565 N 0 39 37 0 0 -39 h\n.3221 g 4981 2565
      N 0 39 38 0 0 -39 h\n.3106 g 4943 2565 N 0 39 38 0 0 -39 h\n.3009 g
      4905 2565 N 0 39 38 0 0 -39 h\n.2904 g 4867 2565 N 0 39 38 0 0 -39
      h\n.2826 g 4829 2565 N 0 39 38 0 0 -39 h\n.2826 g 4791 2565 N 0 39 38 0
      0 -39 h\n.2953 g 4753 2565 N 0 39 38 0 0 -39 h\n.3528 g 4715 2565 N 0
      39 38 0 0 -39 h\n.5723 g 4677 2565 N 0 39 38 0 0 -39 h\n.7093 g 4640
      2565 N 0 39 37 0 0 -39 h\n.4674 g 4602 2565 N 0 39 38 0 0 -39 h\n.2785
      g 4564 2565 N 0 39 38 0 0 -39 h\n.3934 g 4526 2565 N 0 39 38 0 0 -39
      h\n.7466 g 4488 2565 N 0 39 38 0 0 -39 h\n.6156 g 4450 2565 N 0 39 38 0
      0 -39 h\n.2146 g 4412 2565 N 0 39 38 0 0 -39 h\n.1936 g 4374 2565 N 0
      39 38 0 0 -39 h\n.184 g 4336 2565 N 0 39 38 0 0 -39 h\n.1789 g 4298
      2565 N 0 39 38 0 0 -39 h\n.1789 g 4261 2565 N 0 39 37 0 0 -39 h\n.1789
      g 4223 2565 N 0 39 38 0 0 -39 h\n.1789 g 4185 2565 N 0 39 38 0 0 -39
      h\n.1789 g 4147 2565 N 0 39 38 0 0 -39 h\n.1789 g 4109 2565 N 0 39 38 0
      0 -39 h\n.1886 g 4071 2565 N 0 39 38 0 0 -39 h\n.2184 g 4033 2565 N 0
      39 38 0 0 -39 h\n.6193 g 3995 2565 N 0 39 38 0 0 -39 h\n1 g 3957 2565 N
      0 39 38 0 0 -39 h\n.8476 g 3919 2565 N 0 39 38 0 0 -39 h\n.7338 g 3882
      2565 N 0 39 37 0 0 -39 h\n.8861 g 3844 2565 N 0 39 38 0 0 -39 h\n.8429
      g 3806 2565 N 0 39 38 0 0 -39 h\n.67 g 3768 2565 N 0 39 38 0 0 -39
      h\n.4967 g 3730 2565 N 0 39 38 0 0 -39 h\n1 g 6307 2526 N 0 39 38 0 0
      -39 h\n1 g 6269 2526 N 0 39 38 0 0 -39 h\n1 g 6231 2526 N 0 39 38 0 0
      -39 h\n1 g 6193 2526 N 0 39 38 0 0 -39 h\n.7685 g 6156 2526 N 0 39 37 0
      0 -39 h\n.7067 g 6118 2526 N 0 39 38 0 0 -39 h\n.9382 g 6080 2526 N 0
      39 38 0 0 -39 h\n1 g 6042 2526 N 0 39 38 0 0 -39 h\n1 g 6004 2526 N 0
      39 38 0 0 -39 h\n1 g 5966 2526 N 0 39 38 0 0 -39 h\n1 g 5928 2526 N 0
      39 38 0 0 -39 h\n.8002 g 5890 2526 N 0 39 38 0 0 -39 h\n.6887 g 5852
      2526 N 0 39 38 0 0 -39 h\n.7746 g 5814 2526 N 0 39 38 0 0 -39 h\n.6553
      g 5777 2526 N 0 39 37 0 0 -39 h\n.6508 g 5739 2526 N 0 39 38 0 0 -39
      h\n.6515 g 5701 2526 N 0 39 38 0 0 -39 h\n.6611 g 5663 2526 N 0 39 38 0
      0 -39 h\n.8913 g 5625 2526 N 0 39 38 0 0 -39 h\n.8774 g 5587 2526 N 0
      39 38 0 0 -39 h\n.7757 g 5549 2526 N 0 39 38 0 0 -39 h\n.7812 g 5511
      2526 N 0 39 38 0 0 -39 h\n.7532 g 5473 2526 N 0 39 38 0 0 -39 h\n.7563
      g 5435 2526 N 0 39 38 0 0 -39 h\n.8861 g 5398 2526 N 0 39 37 0 0 -39
      h\n.7269 g 5360 2526 N 0 39 38 0 0 -39 h\n.6124 g 5322 2526 N 0 39 38 0
      0 -39 h\n.7425 g 5284 2526 N 0 39 38 0 0 -39 h\n.7074 g 5246 2526 N 0
      39 38 0 0 -39 h\n.5457 g 5208 2526 N 0 39 38 0 0 -39 h\n.3873 g 5170
      2526 N 0 39 38 0 0 -39 h\n.3763 g 5132 2526 N 0 39 38 0 0 -39 h\n.3631
      g 5094 2526 N 0 39 38 0 0 -39 h\n.3523 g 5056 2526 N 0 39 38 0 0 -39
      h\n.3426 g 5019 2526 N 0 39 37 0 0 -39 h\n.4987 g 4981 2526 N 0 39 38 0
      0 -39 h\n.496 g 4943 2526 N 0 39 38 0 0 -39 h\n.3331 g 4905 2526 N 0 39
      38 0 0 -39 h\n.3223 g 4867 2526 N 0 39 38 0 0 -39 h\n.3049 g 4829 2526
      N 0 39 38 0 0 -39 h\n.2982 g 4791 2526 N 0 39 38 0 0 -39 h\n.308 g 4753
      2526 N 0 39 38 0 0 -39 h\n.5281 g 4715 2526 N 0 39 38 0 0 -39 h\n.8693
      g 4677 2526 N 0 39 38 0 0 -39 h\n1 g 4640 2526 N 0 39 37 0 0 -39
      h\n.6649 g 4602 2526 N 0 39 38 0 0 -39 h\n.4987 g 4564 2526 N 0 39 38 0
      0 -39 h\n.5942 g 4526 2526 N 0 39 38 0 0 -39 h\n.623 g 4488 2526 N 0 39
      38 0 0 -39 h\n.5198 g 4450 2526 N 0 39 38 0 0 -39 h\n.265 g 4412 2526 N
      0 39 38 0 0 -39 h\n.2068 g 4374 2526 N 0 39 38 0 0 -39 h\n.1982 g 4336
      2526 N 0 39 38 0 0 -39 h\n.1936 g 4298 2526 N 0 39 38 0 0 -39 h\n.1891
      g 4261 2526 N 0 39 37 0 0 -39 h\n.1891 g 4223 2526 N 0 39 38 0 0 -39
      h\n.1891 g 4185 2526 N 0 39 38 0 0 -39 h\n.1891 g 4147 2526 N 0 39 38 0
      0 -39 h\n.1936 g 4109 2526 N 0 39 38 0 0 -39 h\n.2027 g 4071 2526 N 0
      39 38 0 0 -39 h\n.2192 g 4033 2526 N 0 39 38 0 0 -39 h\n.4318 g 3995
      2526 N 0 39 38 0 0 -39 h\n.6383 g 3957 2526 N 0 39 38 0 0 -39 h\n.5126
      g 3919 2526 N 0 39 38 0 0 -39 h\n.6905 g 3882 2526 N 0 39 37 0 0 -39
      h\n1 g 3844 2526 N 0 39 38 0 0 -39 h\n1 g 3806 2526 N 0 39 38 0 0 -39
      h\n1 g 3768 2526 N 0 39 38 0 0 -39 h\n.8476 g 3730 2526 N 0 39 38 0 0
      -39 h\n1 g 6307 2487 N 0 39 38 0 0 -39 h\n1 g 6269 2487 N 0 39 38 0 0
      -39 h\n1 g 6231 2487 N 0 39 38 0 0 -39 h\n.8963 g 6193 2487 N 0 39 38 0
      0 -39 h\n.661 g 6156 2487 N 0 39 37 0 0 -39 h\n.5839 g 6118 2487 N 0 39
      38 0 0 -39 h\n.723 g 6080 2487 N 0 39 38 0 0 -39 h\n.9038 g 6042 2487 N
      0 39 38 0 0 -39 h\n1 g 6004 2487 N 0 39 38 0 0 -39 h\n1 g 5966 2487 N 0
      39 38 0 0 -39 h\n1 g 5928 2487 N 0 39 38 0 0 -39 h\n.9084 g 5890 2487 N
      0 39 38 0 0 -39 h\n.8061 g 5852 2487 N 0 39 38 0 0 -39 h\n.7839 g 5814
      2487 N 0 39 38 0 0 -39 h\n.6615 g 5777 2487 N 0 39 37 0 0 -39 h\n.538 g
      5739 2487 N 0 39 38 0 0 -39 h\n.5197 g 5701 2487 N 0 39 38 0 0 -39
      h\n.633 g 5663 2487 N 0 39 38 0 0 -39 h\n.7487 g 5625 2487 N 0 39 38 0
      0 -39 h\n.6221 g 5587 2487 N 0 39 38 0 0 -39 h\n.5195 g 5549 2487 N 0
      39 38 0 0 -39 h\n.5197 g 5511 2487 N 0 39 38 0 0 -39 h\n.4853 g 5473
      2487 N 0 39 38 0 0 -39 h\n.5993 g 5435 2487 N 0 39 38 0 0 -39 h\n.7228
      g 5398 2487 N 0 39 37 0 0 -39 h\n.5765 g 5360 2487 N 0 39 38 0 0 -39
      h\n.5717 g 5322 2487 N 0 39 38 0 0 -39 h\n.5632 g 5284 2487 N 0 39 38 0
      0 -39 h\n.4083 g 5246 2487 N 0 39 38 0 0 -39 h\n.3933 g 5208 2487 N 0
      39 38 0 0 -39 h\n.3844 g 5170 2487 N 0 39 38 0 0 -39 h\n.3748 g 5132
      2487 N 0 39 38 0 0 -39 h\n.3649 g 5094 2487 N 0 39 38 0 0 -39 h\n.3578
      g 5056 2487 N 0 39 38 0 0 -39 h\n.356 g 5019 2487 N 0 39 37 0 0 -39
      h\n.5454 g 4981 2487 N 0 39 38 0 0 -39 h\n.706 g 4943 2487 N 0 39 38 0
      0 -39 h\n.5593 g 4905 2487 N 0 39 38 0 0 -39 h\n.5535 g 4867 2487 N 0
      39 38 0 0 -39 h\n.6608 g 4829 2487 N 0 39 38 0 0 -39 h\n.4879 g 4791
      2487 N 0 39 38 0 0 -39 h\n.324 g 4753 2487 N 0 39 38 0 0 -39 h\n.5136 g
      4715 2487 N 0 39 38 0 0 -39 h\n.8505 g 4677 2487 N 0 39 38 0 0 -39 h\n1
      g 4640 2487 N 0 39 37 0 0 -39 h\n.8429 g 4602 2487 N 0 39 38 0 0 -39
      h\n.8429 g 4564 2487 N 0 39 38 0 0 -39 h\n.8774 g 4526 2487 N 0 39 38 0
      0 -39 h\n.74 g 4488 2487 N 0 39 38 0 0 -39 h\n.5459 g 4450 2487 N 0 39
      38 0 0 -39 h\n.3055 g 4412 2487 N 0 39 38 0 0 -39 h\n.2432 g 4374 2487
      N 0 39 38 0 0 -39 h\n.2288 g 4336 2487 N 0 39 38 0 0 -39 h\n.2068 g
      4298 2487 N 0 39 38 0 0 -39 h\n.1982 g 4261 2487 N 0 39 37 0 0 -39
      h\n.1936 g 4223 2487 N 0 39 38 0 0 -39 h\n.1936 g 4185 2487 N 0 39 38 0
      0 -39 h\n.1982 g 4147 2487 N 0 39 38 0 0 -39 h\n.2027 g 4109 2487 N 0
      39 38 0 0 -39 h\n.2072 g 4071 2487 N 0 39 38 0 0 -39 h\n.2192 g 4033
      2487 N 0 39 38 0 0 -39 h\n.2449 g 3995 2487 N 0 39 38 0 0 -39 h\n.2707
      g 3957 2487 N 0 39 38 0 0 -39 h\n.4842 g 3919 2487 N 0 39 38 0 0 -39
      h\n.8429 g 3882 2487 N 0 39 37 0 0 -39 h\n1 g 3844 2487 N 0 39 38 0 0
      -39 h\n1 g 3806 2487 N 0 39 38 0 0 -39 h\n1 g 3768 2487 N 0 39 38 0 0
      -39 h\n1 g 3730 2487 N 0 39 38 0 0 -39 h\n1 g 6307 2448 N 0 39 38 0 0
      -39 h\n1 g 6269 2448 N 0 39 38 0 0 -39 h\n1 g 6231 2448 N 0 39 38 0 0
      -39 h\n.8963 g 6193 2448 N 0 39 38 0 0 -39 h\n.6569 g 6156 2448 N 0 39
      37 0 0 -39 h\n.5183 g 6118 2448 N 0 39 38 0 0 -39 h\n.6615 g 6080 2448
      N 0 39 38 0 0 -39 h\n.9038 g 6042 2448 N 0 39 38 0 0 -39 h\n1 g 6004
      2448 N 0 39 38 0 0 -39 h\n1 g 5966 2448 N 0 39 38 0 0 -39 h\n1 g 5928
      2448 N 0 39 38 0 0 -39 h\n1 g 5890 2448 N 0 39 38 0 0 -39 h\n.8978 g
      5852 2448 N 0 39 38 0 0 -39 h\n.8978 g 5814 2448 N 0 39 38 0 0 -39
      h\n.8923 g 5777 2448 N 0 39 37 0 0 -39 h\n.7733 g 5739 2448 N 0 39 38 0
      0 -39 h\n.7584 g 5701 2448 N 0 39 38 0 0 -39 h\n.6293 g 5663 2448 N 0
      39 38 0 0 -39 h\n.4998 g 5625 2448 N 0 39 38 0 0 -39 h\n.4909 g 5587
      2448 N 0 39 38 0 0 -39 h\n.4833 g 5549 2448 N 0 39 38 0 0 -39 h\n.4733
      g 5511 2448 N 0 39 38 0 0 -39 h\n.4622 g 5473 2448 N 0 39 38 0 0 -39
      h\n.4541 g 5435 2448 N 0 39 38 0 0 -39 h\n.4435 g 5398 2448 N 0 39 37 0
      0 -39 h\n.4335 g 5360 2448 N 0 39 38 0 0 -39 h\n.4252 g 5322 2448 N 0
      39 38 0 0 -39 h\n.4152 g 5284 2448 N 0 39 38 0 0 -39 h\n.4046 g 5246
      2448 N 0 39 38 0 0 -39 h\n.399 g 5208 2448 N 0 39 38 0 0 -39 h\n.5456 g
      5170 2448 N 0 39 38 0 0 -39 h\n.5422 g 5132 2448 N 0 39 38 0 0 -39
      h\n.5373 g 5094 2448 N 0 39 38 0 0 -39 h\n.6069 g 5056 2448 N 0 39 38 0
      0 -39 h\n.453 g 5019 2448 N 0 39 37 0 0 -39 h\n.4096 g 4981 2448 N 0 39
      38 0 0 -39 h\n.5924 g 4943 2448 N 0 39 38 0 0 -39 h\n.7505 g 4905 2448
      N 0 39 38 0 0 -39 h\n.7816 g 4867 2448 N 0 39 38 0 0 -39 h\n.9013 g
      4829 2448 N 0 39 38 0 0 -39 h\n.7199 g 4791 2448 N 0 39 38 0 0 -39
      h\n.3948 g 4753 2448 N 0 39 38 0 0 -39 h\n.3716 g 4715 2448 N 0 39 38 0
      0 -39 h\n.5523 g 4677 2448 N 0 39 38 0 0 -39 h\n.7232 g 4640 2448 N 0
      39 37 0 0 -39 h\n.7582 g 4602 2448 N 0 39 38 0 0 -39 h\n.8907 g 4564
      2448 N 0 39 38 0 0 -39 h\n1 g 4526 2448 N 0 39 38 0 0 -39 h\n1 g 4488
      2448 N 0 39 38 0 0 -39 h\n.8357 g 4450 2448 N 0 39 38 0 0 -39 h\n.652 g
      4412 2448 N 0 39 38 0 0 -39 h\n.6355 g 4374 2448 N 0 39 38 0 0 -39
      h\n.4546 g 4336 2448 N 0 39 38 0 0 -39 h\n.243 g 4298 2448 N 0 39 38 0
      0 -39 h\n.2113 g 4261 2448 N 0 39 37 0 0 -39 h\n.2027 g 4223 2448 N 0
      39 38 0 0 -39 h\n.2027 g 4185 2448 N 0 39 38 0 0 -39 h\n.2072 g 4147
      2448 N 0 39 38 0 0 -39 h\n.2072 g 4109 2448 N 0 39 38 0 0 -39 h\n.2113
      g 4071 2448 N 0 39 38 0 0 -39 h\n.227 g 4033 2448 N 0 39 38 0 0 -39
      h\n.2455 g 3995 2448 N 0 39 38 0 0 -39 h\n.2647 g 3957 2448 N 0 39 38 0
      0 -39 h\n.5181 g 3919 2448 N 0 39 38 0 0 -39 h\n.7225 g 3882 2448 N 0
      39 37 0 0 -39 h\n.7094 g 3844 2448 N 0 39 38 0 0 -39 h\n.8665 g 3806
      2448 N 0 39 38 0 0 -39 h\n.8646 g 3768 2448 N 0 39 38 0 0 -39 h\n.7339
      g 3730 2448 N 0 39 38 0 0 -39 h\n1 g 6307 2409 N 0 39 38 0 0 -39 h\n1 g
      6269 2409 N 0 39 38 0 0 -39 h\n1 g 6231 2409 N 0 39 38 0 0 -39 h\n1 g
      6193 2409 N 0 39 38 0 0 -39 h\n.8789 g 6156 2409 N 0 39 37 0 0 -39
      h\n.63 g 6118 2409 N 0 39 38 0 0 -39 h\n.7511 g 6080 2409 N 0 39 38 0 0
      -39 h\n1 g 6042 2409 N 0 39 38 0 0 -39 h\n1 g 6004 2409 N 0 39 38 0 0
      -39 h\n1 g 5966 2409 N 0 39 38 0 0 -39 h\n1 g 5928 2409 N 0 39 38 0 0
      -39 h\n1 g 5890 2409 N 0 39 38 0 0 -39 h\n1 g 5852 2409 N 0 39 38 0 0
      -39 h\n1 g 5814 2409 N 0 39 38 0 0 -39 h\n1 g 5777 2409 N 0 39 37 0 0
      -39 h\n1 g 5739 2409 N 0 39 38 0 0 -39 h\n1 g 5701 2409 N 0 39 38 0 0
      -39 h\n.7583 g 5663 2409 N 0 39 38 0 0 -39 h\n.6334 g 5625 2409 N 0 39
      38 0 0 -39 h\n.6401 g 5587 2409 N 0 39 38 0 0 -39 h\n.5035 g 5549 2409
      N 0 39 38 0 0 -39 h\n.4787 g 5511 2409 N 0 39 38 0 0 -39 h\n.4764 g
      5473 2409 N 0 39 38 0 0 -39 h\n.5978 g 5435 2409 N 0 39 38 0 0 -39
      h\n.5822 g 5398 2409 N 0 39 37 0 0 -39 h\n.4472 g 5360 2409 N 0 39 38 0
      0 -39 h\n.5822 g 5322 2409 N 0 39 38 0 0 -39 h\n.7089 g 5284 2409 N 0
      39 38 0 0 -39 h\n.5594 g 5246 2409 N 0 39 38 0 0 -39 h\n.4138 g 5208
      2409 N 0 39 38 0 0 -39 h\n.7076 g 5170 2409 N 0 39 38 0 0 -39 h\n.8532
      g 5132 2409 N 0 39 38 0 0 -39 h\n.8532 g 5094 2409 N 0 39 38 0 0 -39
      h\n.8135 g 5056 2409 N 0 39 38 0 0 -39 h\n.52 g 5019 2409 N 0 39 37 0 0
      -39 h\n.4716 g 4981 2409 N 0 39 38 0 0 -39 h\n.6353 g 4943 2409 N 0 39
      38 0 0 -39 h\n.8702 g 4905 2409 N 0 39 38 0 0 -39 h\n.7816 g 4867 2409
      N 0 39 38 0 0 -39 h\n.6518 g 4829 2409 N 0 39 38 0 0 -39 h\n.6095 g
      4791 2409 N 0 39 38 0 0 -39 h\n.5806 g 4753 2409 N 0 39 38 0 0 -39
      h\n.5575 g 4715 2409 N 0 39 38 0 0 -39 h\n.572 g 4677 2409 N 0 39 38 0
      0 -39 h\n.7232 g 4640 2409 N 0 39 37 0 0 -39 h\n.7582 g 4602 2409 N 0
      39 38 0 0 -39 h\n.8907 g 4564 2409 N 0 39 38 0 0 -39 h\n1 g 4526 2409 N
      0 39 38 0 0 -39 h\n1 g 4488 2409 N 0 39 38 0 0 -39 h\n1 g 4450 2409 N 0
      39 38 0 0 -39 h\n1 g 4412 2409 N 0 39 38 0 0 -39 h\n.8337 g 4374 2409 N
      0 39 38 0 0 -39 h\n.4794 g 4336 2409 N 0 39 38 0 0 -39 h\n.2613 g 4298
      2409 N 0 39 38 0 0 -39 h\n.2233 g 4261 2409 N 0 39 37 0 0 -39 h\n.2154
      g 4223 2409 N 0 39 38 0 0 -39 h\n.2154 g 4185 2409 N 0 39 38 0 0 -39
      h\n.2154 g 4147 2409 N 0 39 38 0 0 -39 h\n.2154 g 4109 2409 N 0 39 38 0
      0 -39 h\n.2233 g 4071 2409 N 0 39 38 0 0 -39 h\n.2383 g 4033 2409 N 0
      39 38 0 0 -39 h\n.2521 g 3995 2409 N 0 39 38 0 0 -39 h\n.2679 g 3957
      2409 N 0 39 38 0 0 -39 h\n.3452 g 3919 2409 N 0 39 38 0 0 -39 h\n.3834
      g 3882 2409 N 0 39 37 0 0 -39 h\n.3844 g 3844 2409 N 0 39 38 0 0 -39
      h\n.5609 g 3806 2409 N 0 39 38 0 0 -39 h\n.6231 g 3768 2409 N 0 39 38 0
      0 -39 h\n.6392 g 3730 2409 N 0 39 38 0 0 -39 h\n1 g 6307 2370 N 0 40 38
      0 0 -40 h\n1 g 6269 2370 N 0 40 38 0 0 -40 h\n1 g 6231 2370 N 0 40 38 0
      0 -40 h\n1 g 6193 2370 N 0 40 38 0 0 -40 h\n.9433 g 6156 2370 N 0 40 37
      0 0 -40 h\n.6896 g 6118 2370 N 0 40 38 0 0 -40 h\n.6173 g 6080 2370 N 0
      40 38 0 0 -40 h\n.8711 g 6042 2370 N 0 40 38 0 0 -40 h\n.8939 g 6004
      2370 N 0 40 38 0 0 -40 h\n.8939 g 5966 2370 N 0 40 38 0 0 -40 h\n1 g
      5928 2370 N 0 40 38 0 0 -40 h\n1 g 5890 2370 N 0 40 38 0 0 -40 h\n1 g
      5852 2370 N 0 40 38 0 0 -40 h\n1 g 5814 2370 N 0 40 38 0 0 -40 h\n1 g
      5777 2370 N 0 40 37 0 0 -40 h\n1 g 5739 2370 N 0 40 38 0 0 -40 h\n1 g
      5701 2370 N 0 40 38 0 0 -40 h\n.8823 g 5663 2370 N 0 40 38 0 0 -40
      h\n.8823 g 5625 2370 N 0 40 38 0 0 -40 h\n.8939 g 5587 2370 N 0 40 38 0
      0 -40 h\n.6739 g 5549 2370 N 0 40 38 0 0 -40 h\n.531 g 5511 2370 N 0 40
      38 0 0 -40 h\n.6237 g 5473 2370 N 0 40 38 0 0 -40 h\n.8727 g 5435 2370
      N 0 40 38 0 0 -40 h\n.7298 g 5398 2370 N 0 40 37 0 0 -40 h\n.4693 g
      5360 2370 N 0 40 38 0 0 -40 h\n.646 g 5322 2370 N 0 40 38 0 0 -40
      h\n.9065 g 5284 2370 N 0 40 38 0 0 -40 h\n.8557 g 5246 2370 N 0 40 38 0
      0 -40 h\n.6063 g 5208 2370 N 0 40 38 0 0 -40 h\n.6385 g 5170 2370 N 0
      40 38 0 0 -40 h\n.8879 g 5132 2370 N 0 40 38 0 0 -40 h\n1 g 5094 2370 N
      0 40 38 0 0 -40 h\n.7677 g 5056 2370 N 0 40 38 0 0 -40 h\n.4991 g 5019
      2370 N 0 40 37 0 0 -40 h\n.6409 g 4981 2370 N 0 40 38 0 0 -40 h\n.9094
      g 4943 2370 N 0 40 38 0 0 -40 h\n1 g 4905 2370 N 0 40 38 0 0 -40
      h\n.8803 g 4867 2370 N 0 40 38 0 0 -40 h\n.7505 g 4829 2370 N 0 40 38 0
      0 -40 h\n.7234 g 4791 2370 N 0 40 38 0 0 -40 h\n.8532 g 4753 2370 N 0
      40 38 0 0 -40 h\n.8702 g 4715 2370 N 0 40 38 0 0 -40 h\n.8702 g 4677
      2370 N 0 40 38 0 0 -40 h\n1 g 4640 2370 N 0 40 37 0 0 -40 h\n.8836 g
      4602 2370 N 0 40 38 0 0 -40 h\n.8836 g 4564 2370 N 0 40 38 0 0 -40 h\n1
      g 4526 2370 N 0 40 38 0 0 -40 h\n.9332 g 4488 2370 N 0 40 38 0 0 -40
      h\n.9332 g 4450 2370 N 0 40 38 0 0 -40 h\n.8445 g 4412 2370 N 0 40 38 0
      0 -40 h\n.5054 g 4374 2370 N 0 40 38 0 0 -40 h\n.2934 g 4336 2370 N 0
      40 38 0 0 -40 h\n.2519 g 4298 2370 N 0 40 38 0 0 -40 h\n.2349 g 4261
      2370 N 0 40 37 0 0 -40 h\n.2311 g 4223 2370 N 0 40 38 0 0 -40 h\n.2311
      g 4185 2370 N 0 40 38 0 0 -40 h\n.2311 g 4147 2370 N 0 40 38 0 0 -40
      h\n.2377 g 4109 2370 N 0 40 38 0 0 -40 h\n.2481 g 4071 2370 N 0 40 38 0
      0 -40 h\n.32 g 4033 2370 N 0 40 38 0 0 -40 h\n.342 g 3995 2370 N 0 40
      38 0 0 -40 h\n.4672 g 3957 2370 N 0 40 38 0 0 -40 h\n.478 g 3919 2370 N
      0 40 38 0 0 -40 h\n.4925 g 3882 2370 N 0 40 37 0 0 -40 h\n.5331 g 3844
      2370 N 0 40 38 0 0 -40 h\n.5525 g 3806 2370 N 0 40 38 0 0 -40 h\n.7585
      g 3768 2370 N 0 40 38 0 0 -40 h\n.9054 g 3730 2370 N 0 40 38 0 0 -40
      h\n1 g 6307 2330 N 0 39 38 0 0 -39 h\n1 g 6269 2330 N 0 39 38 0 0 -39
      h\n1 g 6231 2330 N 0 39 38 0 0 -39 h\n1 g 6193 2330 N 0 39 38 0 0 -39
      h\n.8236 g 6156 2330 N 0 39 37 0 0 -39 h\n.5699 g 6118 2330 N 0 39 38 0
      0 -39 h\n.4857 g 6080 2330 N 0 39 38 0 0 -39 h\n.6096 g 6042 2330 N 0
      39 38 0 0 -39 h\n.659 g 6004 2330 N 0 39 38 0 0 -39 h\n.7888 g 5966
      2330 N 0 39 38 0 0 -39 h\n1 g 5928 2330 N 0 39 38 0 0 -39 h\n1 g 5890
      2330 N 0 39 38 0 0 -39 h\n1 g 5852 2330 N 0 39 38 0 0 -39 h\n1 g 5814
      2330 N 0 39 38 0 0 -39 h\n1 g 5777 2330 N 0 39 37 0 0 -39 h\n1 g 5739
      2330 N 0 39 38 0 0 -39 h\n1 g 5701 2330 N 0 39 38 0 0 -39 h\n1 g 5663
      2330 N 0 39 38 0 0 -39 h\n1 g 5625 2330 N 0 39 38 0 0 -39 h\n1 g 5587
      2330 N 0 39 38 0 0 -39 h\n.8124 g 5549 2330 N 0 39 38 0 0 -39 h\n.6898
      g 5511 2330 N 0 39 38 0 0 -39 h\n.8774 g 5473 2330 N 0 39 38 0 0 -39
      h\n1 g 5435 2330 N 0 39 38 0 0 -39 h\n.7591 g 5398 2330 N 0 39 37 0 0
      -39 h\n.6302 g 5360 2330 N 0 39 38 0 0 -39 h\n.7776 g 5322 2330 N 0 39
      38 0 0 -39 h\n.8138 g 5284 2330 N 0 39 38 0 0 -39 h\n.7969 g 5246 2330
      N 0 39 38 0 0 -39 h\n.6597 g 5208 2330 N 0 39 38 0 0 -39 h\n.658 g 5170
      2330 N 0 39 38 0 0 -39 h\n.8879 g 5132 2330 N 0 39 38 0 0 -39 h\n1 g
      5094 2330 N 0 39 38 0 0 -39 h\n.8803 g 5056 2330 N 0 39 38 0 0 -39
      h\n.7514 g 5019 2330 N 0 39 37 0 0 -39 h\n.8711 g 4981 2330 N 0 39 38 0
      0 -39 h\n1 g 4943 2330 N 0 39 38 0 0 -39 h\n1 g 4905 2330 N 0 39 38 0 0
      -39 h\n1 g 4867 2330 N 0 39 38 0 0 -39 h\n1 g 4829 2330 N 0 39 38 0 0
      -39 h\n1 g 4791 2330 N 0 39 38 0 0 -39 h\n1 g 4753 2330 N 0 39 38 0 0
      -39 h\n1 g 4715 2330 N 0 39 38 0 0 -39 h\n1 g 4677 2330 N 0 39 38 0 0
      -39 h\n1 g 4640 2330 N 0 39 37 0 0 -39 h\n.7596 g 4602 2330 N 0 39 38 0
      0 -39 h\n.7596 g 4564 2330 N 0 39 38 0 0 -39 h\n1 g 4526 2330 N 0 39 38
      0 0 -39 h\n.9332 g 4488 2330 N 0 39 38 0 0 -39 h\n.9332 g 4450 2330 N 0
      39 38 0 0 -39 h\n.8445 g 4412 2330 N 0 39 38 0 0 -39 h\n.6716 g 4374
      2330 N 0 39 38 0 0 -39 h\n.4829 g 4336 2330 N 0 39 38 0 0 -39 h\n.2785
      g 4298 2330 N 0 39 38 0 0 -39 h\n.242 g 4261 2330 N 0 39 37 0 0 -39
      h\n.2386 g 4223 2330 N 0 39 38 0 0 -39 h\n.242 g 4185 2330 N 0 39 38 0
      0 -39 h\n.2487 g 4147 2330 N 0 39 38 0 0 -39 h\n.4422 g 4109 2330 N 0
      39 38 0 0 -39 h\n.6326 g 4071 2330 N 0 39 38 0 0 -39 h\n.5946 g 4033
      2330 N 0 39 38 0 0 -39 h\n.4792 g 3995 2330 N 0 39 38 0 0 -39 h\n.7009
      g 3957 2330 N 0 39 38 0 0 -39 h\n.6745 g 3919 2330 N 0 39 38 0 0 -39
      h\n.6745 g 3882 2330 N 0 39 37 0 0 -39 h\n.8581 g 3844 2330 N 0 39 38 0
      0 -39 h\n.8581 g 3806 2330 N 0 39 38 0 0 -39 h\n1 g 3768 2330 N 0 39 38
      0 0 -39 h\n1 g 3730 2330 N 0 39 38 0 0 -39 h\n1 g 6307 2291 N 0 39 38 0
      0 -39 h\n1 g 6269 2291 N 0 39 38 0 0 -39 h\n1 g 6231 2291 N 0 39 38 0 0
      -39 h\n1 g 6193 2291 N 0 39 38 0 0 -39 h\n.8803 g 6156 2291 N 0 39 37 0
      0 -39 h\n.7547 g 6118 2291 N 0 39 38 0 0 -39 h\n.6093 g 6080 2291 N 0
      39 38 0 0 -39 h\n.4707 g 6042 2291 N 0 39 38 0 0 -39 h\n.5404 g 6004
      2291 N 0 39 38 0 0 -39 h\n.8047 g 5966 2291 N 0 39 38 0 0 -39 h\n1 g
      5928 2291 N 0 39 38 0 0 -39 h\n1 g 5890 2291 N 0 39 38 0 0 -39 h\n1 g
      5852 2291 N 0 39 38 0 0 -39 h\n1 g 5814 2291 N 0 39 38 0 0 -39 h\n1 g
      5777 2291 N 0 39 37 0 0 -39 h\n1 g 5739 2291 N 0 39 38 0 0 -39 h\n1 g
      5701 2291 N 0 39 38 0 0 -39 h\n1 g 5663 2291 N 0 39 38 0 0 -39 h\n1 g
      5625 2291 N 0 39 38 0 0 -39 h\n1 g 5587 2291 N 0 39 38 0 0 -39 h\n.9026
      g 5549 2291 N 0 39 38 0 0 -39 h\n.9026 g 5511 2291 N 0 39 38 0 0 -39
      h\n1 g 5473 2291 N 0 39 38 0 0 -39 h\n1 g 5435 2291 N 0 39 38 0 0 -39
      h\n.8045 g 5398 2291 N 0 39 37 0 0 -39 h\n.8045 g 5360 2291 N 0 39 38 0
      0 -39 h\n1 g 5322 2291 N 0 39 38 0 0 -39 h\n.9073 g 5284 2291 N 0 39 38
      0 0 -39 h\n.7969 g 5246 2291 N 0 39 38 0 0 -39 h\n.7648 g 5208 2291 N 0
      39 38 0 0 -39 h\n.8752 g 5170 2291 N 0 39 38 0 0 -39 h\n1 g 5132 2291 N
      0 39 38 0 0 -39 h\n1 g 5094 2291 N 0 39 38 0 0 -39 h\n1 g 5056 2291 N 0
      39 38 0 0 -39 h\n1 g 5019 2291 N 0 39 37 0 0 -39 h\n1 g 4981 2291 N 0
      39 38 0 0 -39 h\n1 g 4943 2291 N 0 39 38 0 0 -39 h\n1 g 4905 2291 N 0
      39 38 0 0 -39 h\n1 g 4867 2291 N 0 39 38 0 0 -39 h\n1 g 4829 2291 N 0
      39 38 0 0 -39 h\n1 g 4791 2291 N 0 39 38 0 0 -39 h\n1 g 4753 2291 N 0
      39 38 0 0 -39 h\n1 g 4715 2291 N 0 39 38 0 0 -39 h\n1 g 4677 2291 N 0
      39 38 0 0 -39 h\n1 g 4640 2291 N 0 39 37 0 0 -39 h\n.8759 g 4602 2291 N
      0 39 38 0 0 -39 h\n.7425 g 4564 2291 N 0 39 38 0 0 -39 h\n.8665 g 4526
      2291 N 0 39 38 0 0 -39 h\n1 g 4488 2291 N 0 39 38 0 0 -39 h\n1 g 4450
      2291 N 0 39 38 0 0 -39 h\n1 g 4412 2291 N 0 39 38 0 0 -39 h\n1 g 4374
      2291 N 0 39 38 0 0 -39 h\n.8395 g 4336 2291 N 0 39 38 0 0 -39 h\n.4689
      g 4298 2291 N 0 39 38 0 0 -39 h\n.2521 g 4261 2291 N 0 39 37 0 0 -39
      h\n.2455 g 4223 2291 N 0 39 38 0 0 -39 h\n.2489 g 4185 2291 N 0 39 38 0
      0 -39 h\n.2617 g 4147 2291 N 0 39 38 0 0 -39 h\n.6355 g 4109 2291 N 0
      39 38 0 0 -39 h\n1 g 4071 2291 N 0 39 38 0 0 -39 h\n.8973 g 4033 2291 N
      0 39 38 0 0 -39 h\n.7666 g 3995 2291 N 0 39 38 0 0 -39 h\n.7318 g 3957
      2291 N 0 39 38 0 0 -39 h\n.7054 g 3919 2291 N 0 39 38 0 0 -39 h\n.8429
      g 3882 2291 N 0 39 37 0 0 -39 h\n1 g 3844 2291 N 0 39 38 0 0 -39 h\n1 g
      3806 2291 N 0 39 38 0 0 -39 h\n1 g 3768 2291 N 0 39 38 0 0 -39 h\n1 g
      3730 2291 N 0 39 38 0 0 -39 h\n1 g 6307 2252 N 0 39 38 0 0 -39 h\n1 g
      6269 2252 N 0 39 38 0 0 -39 h\n1 g 6231 2252 N 0 39 38 0 0 -39 h\n1 g
      6193 2252 N 0 39 38 0 0 -39 h\n.8968 g 6156 2252 N 0 39 37 0 0 -39
      h\n.8968 g 6118 2252 N 0 39 38 0 0 -39 h\n.7311 g 6080 2252 N 0 39 38 0
      0 -39 h\n.4592 g 6042 2252 N 0 39 38 0 0 -39 h\n.4993 g 6004 2252 N 0
      39 38 0 0 -39 h\n.6378 g 5966 2252 N 0 39 38 0 0 -39 h\n.744 g 5928
      2252 N 0 39 38 0 0 -39 h\n.8774 g 5890 2252 N 0 39 38 0 0 -39 h\n1 g
      5852 2252 N 0 39 38 0 0 -39 h\n1 g 5814 2252 N 0 39 38 0 0 -39 h\n1 g
      5777 2252 N 0 39 37 0 0 -39 h\n1 g 5739 2252 N 0 39 38 0 0 -39 h\n1 g
      5701 2252 N 0 39 38 0 0 -39 h\n1 g 5663 2252 N 0 39 38 0 0 -39 h\n1 g
      5625 2252 N 0 39 38 0 0 -39 h\n1 g 5587 2252 N 0 39 38 0 0 -39 h\n1 g
      5549 2252 N 0 39 38 0 0 -39 h\n1 g 5511 2252 N 0 39 38 0 0 -39 h\n1 g
      5473 2252 N 0 39 38 0 0 -39 h\n1 g 5435 2252 N 0 39 38 0 0 -39 h\n.9138
      g 5398 2252 N 0 39 37 0 0 -39 h\n.9138 g 5360 2252 N 0 39 38 0 0 -39
      h\n1 g 5322 2252 N 0 39 38 0 0 -39 h\n1 g 5284 2252 N 0 39 38 0 0 -39
      h\n1 g 5246 2252 N 0 39 38 0 0 -39 h\n1 g 5208 2252 N 0 39 38 0 0 -39
      h\n1 g 5170 2252 N 0 39 38 0 0 -39 h\n1 g 5132 2252 N 0 39 38 0 0 -39
      h\n1 g 5094 2252 N 0 39 38 0 0 -39 h\n1 g 5056 2252 N 0 39 38 0 0 -39
      h\n1 g 5019 2252 N 0 39 37 0 0 -39 h\n1 g 4981 2252 N 0 39 38 0 0 -39
      h\n1 g 4943 2252 N 0 39 38 0 0 -39 h\n1 g 4905 2252 N 0 39 38 0 0 -39
      h\n1 g 4867 2252 N 0 39 38 0 0 -39 h\n1 g 4829 2252 N 0 39 38 0 0 -39
      h\n1 g 4791 2252 N 0 39 38 0 0 -39 h\n1 g 4753 2252 N 0 39 38 0 0 -39
      h\n1 g 4715 2252 N 0 39 38 0 0 -39 h\n1 g 4677 2252 N 0 39 38 0 0 -39
      h\n1 g 4640 2252 N 0 39 37 0 0 -39 h\n1 g 4602 2252 N 0 39 38 0 0 -39
      h\n.728 g 4564 2252 N 0 39 38 0 0 -39 h\n.5849 g 4526 2252 N 0 39 38 0
      0 -39 h\n.7653 g 4488 2252 N 0 39 38 0 0 -39 h\n.9084 g 4450 2252 N 0
      39 38 0 0 -39 h\n1 g 4412 2252 N 0 39 38 0 0 -39 h\n.8337 g 4374 2252 N
      0 39 38 0 0 -39 h\n.6584 g 4336 2252 N 0 39 38 0 0 -39 h\n.4602 g 4298
      2252 N 0 39 38 0 0 -39 h\n.2649 g 4261 2252 N 0 39 37 0 0 -39 h\n.2588
      g 4223 2252 N 0 39 38 0 0 -39 h\n.2617 g 4185 2252 N 0 39 38 0 0 -39
      h\n.3365 g 4147 2252 N 0 39 38 0 0 -39 h\n.7042 g 4109 2252 N 0 39 38 0
      0 -39 h\n.8855 g 4071 2252 N 0 39 38 0 0 -39 h\n.8855 g 4033 2252 N 0
      39 38 0 0 -39 h\n1 g 3995 2252 N 0 39 38 0 0 -39 h\n.7651 g 3957 2252 N
      0 39 38 0 0 -39 h\n.7651 g 3919 2252 N 0 39 38 0 0 -39 h\n1 g 3882 2252
      N 0 39 37 0 0 -39 h\n1 g 3844 2252 N 0 39 38 0 0 -39 h\n1 g 3806 2252 N
      0 39 38 0 0 -39 h\n1 g 3768 2252 N 0 39 38 0 0 -39 h\n1 g 3730 2252 N 0
      39 38 0 0 -39 h\n1 g 6307 2213 N 0 39 38 0 0 -39 h\n1 g 6269 2213 N 0
      39 38 0 0 -39 h\n1 g 6231 2213 N 0 39 38 0 0 -39 h\n1 g 6193 2213 N 0
      39 38 0 0 -39 h\n.8968 g 6156 2213 N 0 39 37 0 0 -39 h\n.7704 g 6118
      2213 N 0 39 38 0 0 -39 h\n.6483 g 6080 2213 N 0 39 38 0 0 -39 h\n.4976
      g 6042 2213 N 0 39 38 0 0 -39 h\n.4424 g 6004 2213 N 0 39 38 0 0 -39
      h\n.5861 g 5966 2213 N 0 39 38 0 0 -39 h\n.744 g 5928 2213 N 0 39 38 0
      0 -39 h\n.8774 g 5890 2213 N 0 39 38 0 0 -39 h\n1 g 5852 2213 N 0 39 38
      0 0 -39 h\n1 g 5814 2213 N 0 39 38 0 0 -39 h\n1 g 5777 2213 N 0 39 37 0
      0 -39 h\n1 g 5739 2213 N 0 39 38 0 0 -39 h\n1 g 5701 2213 N 0 39 38 0 0
      -39 h\n1 g 5663 2213 N 0 39 38 0 0 -39 h\n1 g 5625 2213 N 0 39 38 0 0
      -39 h\n1 g 5587 2213 N 0 39 38 0 0 -39 h\n1 g 5549 2213 N 0 39 38 0 0
      -39 h\n1 g 5511 2213 N 0 39 38 0 0 -39 h\n1 g 5473 2213 N 0 39 38 0 0
      -39 h\n1 g 5435 2213 N 0 39 38 0 0 -39 h\n1 g 5398 2213 N 0 39 37 0 0
      -39 h\n1 g 5360 2213 N 0 39 38 0 0 -39 h\n1 g 5322 2213 N 0 39 38 0 0
      -39 h\n1 g 5284 2213 N 0 39 38 0 0 -39 h\n1 g 5246 2213 N 0 39 38 0 0
      -39 h\n1 g 5208 2213 N 0 39 38 0 0 -39 h\n1 g 5170 2213 N 0 39 38 0 0
      -39 h\n1 g 5132 2213 N 0 39 38 0 0 -39 h\n1 g 5094 2213 N 0 39 38 0 0
      -39 h\n1 g 5056 2213 N 0 39 38 0 0 -39 h\n1 g 5019 2213 N 0 39 37 0 0
      -39 h\n1 g 4981 2213 N 0 39 38 0 0 -39 h\n1 g 4943 2213 N 0 39 38 0 0
      -39 h\n1 g 4905 2213 N 0 39 38 0 0 -39 h\n1 g 4867 2213 N 0 39 38 0 0
      -39 h\n1 g 4829 2213 N 0 39 38 0 0 -39 h\n1 g 4791 2213 N 0 39 38 0 0
      -39 h\n1 g 4753 2213 N 0 39 38 0 0 -39 h\n1 g 4715 2213 N 0 39 38 0 0
      -39 h\n1 g 4677 2213 N 0 39 38 0 0 -39 h\n1 g 4640 2213 N 0 39 37 0 0
      -39 h\n1 g 4602 2213 N 0 39 38 0 0 -39 h\n.7334 g 4564 2213 N 0 39 38 0
      0 -39 h\n.5903 g 4526 2213 N 0 39 38 0 0 -39 h\n.6129 g 4488 2213 N 0
      39 38 0 0 -39 h\n.5972 g 4450 2213 N 0 39 38 0 0 -39 h\n.677 g 4412
      2213 N 0 39 38 0 0 -39 h\n.4989 g 4374 2213 N 0 39 38 0 0 -39 h\n.3124
      g 4336 2213 N 0 39 38 0 0 -39 h\n.2906 g 4298 2213 N 0 39 38 0 0 -39
      h\n.2768 g 4261 2213 N 0 39 37 0 0 -39 h\n.2711 g 4223 2213 N 0 39 38 0
      0 -39 h\n.2768 g 4185 2213 N 0 39 38 0 0 -39 h\n.3981 g 4147 2213 N 0
      39 38 0 0 -39 h\n.7568 g 4109 2213 N 0 39 38 0 0 -39 h\n.7374 g 4071
      2213 N 0 39 38 0 0 -39 h\n.7374 g 4033 2213 N 0 39 38 0 0 -39 h\n1 g
      3995 2213 N 0 39 38 0 0 -39 h\n.9026 g 3957 2213 N 0 39 38 0 0 -39
      h\n.9026 g 3919 2213 N 0 39 38 0 0 -39 h\n1 g 3882 2213 N 0 39 37 0 0
      -39 h\n1 g 3844 2213 N 0 39 38 0 0 -39 h\n1 g 3806 2213 N 0 39 38 0 0
      -39 h\n1 g 3768 2213 N 0 39 38 0 0 -39 h\n1 g 3730 2213 N 0 39 38 0 0
      -39 h\n1 g 6307 2174 N 0 39 38 0 0 -39 h\n1 g 6269 2174 N 0 39 38 0 0
      -39 h\n1 g 6231 2174 N 0 39 38 0 0 -39 h\n1 g 6193 2174 N 0 39 38 0 0
      -39 h\n1 g 6156 2174 N 0 39 37 0 0 -39 h\n.8736 g 6118 2174 N 0 39 38 0
      0 -39 h\n.6871 g 6080 2174 N 0 39 38 0 0 -39 h\n.5343 g 6042 2174 N 0
      39 38 0 0 -39 h\n.4345 g 6004 2174 N 0 39 38 0 0 -39 h\n.7138 g 5966
      2174 N 0 39 38 0 0 -39 h\n1 g 5928 2174 N 0 39 38 0 0 -39 h\n.8693 g
      5890 2174 N 0 39 38 0 0 -39 h\n.8693 g 5852 2174 N 0 39 38 0 0 -39 h\n1
      g 5814 2174 N 0 39 38 0 0 -39 h\n1 g 5777 2174 N 0 39 37 0 0 -39 h\n1 g
      5739 2174 N 0 39 38 0 0 -39 h\n1 g 5701 2174 N 0 39 38 0 0 -39 h\n1 g
      5663 2174 N 0 39 38 0 0 -39 h\n1 g 5625 2174 N 0 39 38 0 0 -39 h\n1 g
      5587 2174 N 0 39 38 0 0 -39 h\n1 g 5549 2174 N 0 39 38 0 0 -39 h\n1 g
      5511 2174 N 0 39 38 0 0 -39 h\n1 g 5473 2174 N 0 39 38 0 0 -39 h\n1 g
      5435 2174 N 0 39 38 0 0 -39 h\n1 g 5398 2174 N 0 39 37 0 0 -39 h\n1 g
      5360 2174 N 0 39 38 0 0 -39 h\n1 g 5322 2174 N 0 39 38 0 0 -39 h\n1 g
      5284 2174 N 0 39 38 0 0 -39 h\n1 g 5246 2174 N 0 39 38 0 0 -39 h\n1 g
      5208 2174 N 0 39 38 0 0 -39 h\n1 g 5170 2174 N 0 39 38 0 0 -39 h\n1 g
      5132 2174 N 0 39 38 0 0 -39 h\n1 g 5094 2174 N 0 39 38 0 0 -39 h\n1 g
      5056 2174 N 0 39 38 0 0 -39 h\n1 g 5019 2174 N 0 39 37 0 0 -39 h\n1 g
      4981 2174 N 0 39 38 0 0 -39 h\n1 g 4943 2174 N 0 39 38 0 0 -39 h\n1 g
      4905 2174 N 0 39 38 0 0 -39 h\n1 g 4867 2174 N 0 39 38 0 0 -39 h\n1 g
      4829 2174 N 0 39 38 0 0 -39 h\n1 g 4791 2174 N 0 39 38 0 0 -39 h\n1 g
      4753 2174 N 0 39 38 0 0 -39 h\n1 g 4715 2174 N 0 39 38 0 0 -39 h\n1 g
      4677 2174 N 0 39 38 0 0 -39 h\n1 g 4640 2174 N 0 39 37 0 0 -39 h\n1 g
      4602 2174 N 0 39 38 0 0 -39 h\n.8719 g 4564 2174 N 0 39 38 0 0 -39
      h\n.7749 g 4526 2174 N 0 39 38 0 0 -39 h\n.7506 g 4488 2174 N 0 39 38 0
      0 -39 h\n.5446 g 4450 2174 N 0 39 38 0 0 -39 h\n.3739 g 4412 2174 N 0
      39 38 0 0 -39 h\n.4085 g 4374 2174 N 0 39 38 0 0 -39 h\n.3878 g 4336
      2174 N 0 39 38 0 0 -39 h\n.3054 g 4298 2174 N 0 39 38 0 0 -39 h\n.2904
      g 4261 2174 N 0 39 37 0 0 -39 h\n.2826 g 4223 2174 N 0 39 38 0 0 -39
      h\n.2879 g 4185 2174 N 0 39 38 0 0 -39 h\n.348 g 4147 2174 N 0 39 38 0
      0 -39 h\n.5371 g 4109 2174 N 0 39 38 0 0 -39 h\n.5337 g 4071 2174 N 0
      39 38 0 0 -39 h\n.698 g 4033 2174 N 0 39 38 0 0 -39 h\n1 g 3995 2174 N
      0 39 38 0 0 -39 h\n1 g 3957 2174 N 0 39 38 0 0 -39 h\n1 g 3919 2174 N 0
      39 38 0 0 -39 h\n1 g 3882 2174 N 0 39 37 0 0 -39 h\n1 g 3844 2174 N 0
      39 38 0 0 -39 h\n1 g 3806 2174 N 0 39 38 0 0 -39 h\n1 g 3768 2174 N 0
      39 38 0 0 -39 h\n1 g 3730 2174 N 0 39 38 0 0 -39 h\n1 g 6307 2135 N 0
      39 38 0 0 -39 h\n1 g 6269 2135 N 0 39 38 0 0 -39 h\n1 g 6231 2135 N 0
      39 38 0 0 -39 h\n1 g 6193 2135 N 0 39 38 0 0 -39 h\n1 g 6156 2135 N 0
      39 37 0 0 -39 h\n.9073 g 6118 2135 N 0 39 38 0 0 -39 h\n.7093 g 6080
      2135 N 0 39 38 0 0 -39 h\n.5205 g 6042 2135 N 0 39 38 0 0 -39 h\n.4286
      g 6004 2135 N 0 39 38 0 0 -39 h\n.5607 g 5966 2135 N 0 39 38 0 0 -39
      h\n.7023 g 5928 2135 N 0 39 38 0 0 -39 h\n.5793 g 5890 2135 N 0 39 38 0
      0 -39 h\n.5958 g 5852 2135 N 0 39 38 0 0 -39 h\n.8684 g 5814 2135 N 0
      39 38 0 0 -39 h\n1 g 5777 2135 N 0 39 37 0 0 -39 h\n1 g 5739 2135 N 0
      39 38 0 0 -39 h\n1 g 5701 2135 N 0 39 38 0 0 -39 h\n1 g 5663 2135 N 0
      39 38 0 0 -39 h\n1 g 5625 2135 N 0 39 38 0 0 -39 h\n1 g 5587 2135 N 0
      39 38 0 0 -39 h\n1 g 5549 2135 N 0 39 38 0 0 -39 h\n1 g 5511 2135 N 0
      39 38 0 0 -39 h\n1 g 5473 2135 N 0 39 38 0 0 -39 h\n1 g 5435 2135 N 0
      39 38 0 0 -39 h\n1 g 5398 2135 N 0 39 37 0 0 -39 h\n1 g 5360 2135 N 0
      39 38 0 0 -39 h\n1 g 5322 2135 N 0 39 38 0 0 -39 h\n1 g 5284 2135 N 0
      39 38 0 0 -39 h\n1 g 5246 2135 N 0 39 38 0 0 -39 h\n1 g 5208 2135 N 0
      39 38 0 0 -39 h\n1 g 5170 2135 N 0 39 38 0 0 -39 h\n1 g 5132 2135 N 0
      39 38 0 0 -39 h\n1 g 5094 2135 N 0 39 38 0 0 -39 h\n1 g 5056 2135 N 0
      39 38 0 0 -39 h\n1 g 5019 2135 N 0 39 37 0 0 -39 h\n1 g 4981 2135 N 0
      39 38 0 0 -39 h\n1 g 4943 2135 N 0 39 38 0 0 -39 h\n1 g 4905 2135 N 0
      39 38 0 0 -39 h\n1 g 4867 2135 N 0 39 38 0 0 -39 h\n1 g 4829 2135 N 0
      39 38 0 0 -39 h\n1 g 4791 2135 N 0 39 38 0 0 -39 h\n1 g 4753 2135 N 0
      39 38 0 0 -39 h\n1 g 4715 2135 N 0 39 38 0 0 -39 h\n1 g 4677 2135 N 0
      39 38 0 0 -39 h\n1 g 4640 2135 N 0 39 37 0 0 -39 h\n1 g 4602 2135 N 0
      39 38 0 0 -39 h\n1 g 4564 2135 N 0 39 38 0 0 -39 h\n.903 g 4526 2135 N
      0 39 38 0 0 -39 h\n.903 g 4488 2135 N 0 39 38 0 0 -39 h\n.8557 g 4450
      2135 N 0 39 38 0 0 -39 h\n.5488 g 4412 2135 N 0 39 38 0 0 -39 h\n.5952
      g 4374 2135 N 0 39 38 0 0 -39 h\n.7338 g 4336 2135 N 0 39 38 0 0 -39
      h\n.6587 g 4298 2135 N 0 39 38 0 0 -39 h\n.4785 g 4261 2135 N 0 39 37 0
      0 -39 h\n.3006 g 4223 2135 N 0 39 38 0 0 -39 h\n.3009 g 4185 2135 N 0
      39 38 0 0 -39 h\n.3106 g 4147 2135 N 0 39 38 0 0 -39 h\n.4946 g 4109
      2135 N 0 39 38 0 0 -39 h\n.6818 g 4071 2135 N 0 39 38 0 0 -39 h\n.8461
      g 4033 2135 N 0 39 38 0 0 -39 h\n1 g 3995 2135 N 0 39 38 0 0 -39 h\n1 g
      3957 2135 N 0 39 38 0 0 -39 h\n1 g 3919 2135 N 0 39 38 0 0 -39 h\n1 g
      3882 2135 N 0 39 37 0 0 -39 h\n1 g 3844 2135 N 0 39 38 0 0 -39 h\n1 g
      3806 2135 N 0 39 38 0 0 -39 h\n1 g 3768 2135 N 0 39 38 0 0 -39 h\n1 g
      3730 2135 N 0 39 38 0 0 -39 h\n1 g 6307 2096 N 0 40 38 0 0 -40 h\n1 g
      6269 2096 N 0 40 38 0 0 -40 h\n1 g 6231 2096 N 0 40 38 0 0 -40 h\n1 g
      6193 2096 N 0 40 38 0 0 -40 h\n1 g 6156 2096 N 0 40 37 0 0 -40 h\n.9073
      g 6118 2096 N 0 40 38 0 0 -40 h\n.6787 g 6080 2096 N 0 40 38 0 0 -40
      h\n.4997 g 6042 2096 N 0 40 38 0 0 -40 h\n.5119 g 6004 2096 N 0 40 38 0
      0 -40 h\n.4832 g 5966 2096 N 0 40 38 0 0 -40 h\n.4005 g 5928 2096 N 0
      40 38 0 0 -40 h\n.559 g 5890 2096 N 0 40 38 0 0 -40 h\n.7265 g 5852
      2096 N 0 40 38 0 0 -40 h\n.8684 g 5814 2096 N 0 40 38 0 0 -40 h\n1 g
      5777 2096 N 0 40 37 0 0 -40 h\n1 g 5739 2096 N 0 40 38 0 0 -40 h\n1 g
      5701 2096 N 0 40 38 0 0 -40 h\n1 g 5663 2096 N 0 40 38 0 0 -40 h\n1 g
      5625 2096 N 0 40 38 0 0 -40 h\n1 g 5587 2096 N 0 40 38 0 0 -40 h\n1 g
      5549 2096 N 0 40 38 0 0 -40 h\n1 g 5511 2096 N 0 40 38 0 0 -40 h\n1 g
      5473 2096 N 0 40 38 0 0 -40 h\n1 g 5435 2096 N 0 40 38 0 0 -40 h\n1 g
      5398 2096 N 0 40 37 0 0 -40 h\n1 g 5360 2096 N 0 40 38 0 0 -40 h\n1 g
      5322 2096 N 0 40 38 0 0 -40 h\n1 g 5284 2096 N 0 40 38 0 0 -40 h\n1 g
      5246 2096 N 0 40 38 0 0 -40 h\n1 g 5208 2096 N 0 40 38 0 0 -40 h\n1 g
      5170 2096 N 0 40 38 0 0 -40 h\n1 g 5132 2096 N 0 40 38 0 0 -40 h\n1 g
      5094 2096 N 0 40 38 0 0 -40 h\n1 g 5056 2096 N 0 40 38 0 0 -40 h\n1 g
      5019 2096 N 0 40 37 0 0 -40 h\n1 g 4981 2096 N 0 40 38 0 0 -40 h\n1 g
      4943 2096 N 0 40 38 0 0 -40 h\n1 g 4905 2096 N 0 40 38 0 0 -40 h\n1 g
      4867 2096 N 0 40 38 0 0 -40 h\n1 g 4829 2096 N 0 40 38 0 0 -40 h\n1 g
      4791 2096 N 0 40 38 0 0 -40 h\n1 g 4753 2096 N 0 40 38 0 0 -40 h\n1 g
      4715 2096 N 0 40 38 0 0 -40 h\n1 g 4677 2096 N 0 40 38 0 0 -40 h\n1 g
      4640 2096 N 0 40 37 0 0 -40 h\n1 g 4602 2096 N 0 40 38 0 0 -40 h\n1 g
      4564 2096 N 0 40 38 0 0 -40 h\n1 g 4526 2096 N 0 40 38 0 0 -40 h\n1 g
      4488 2096 N 0 40 38 0 0 -40 h\n1 g 4450 2096 N 0 40 38 0 0 -40 h\n.8519
      g 4412 2096 N 0 40 38 0 0 -40 h\n.8519 g 4374 2096 N 0 40 38 0 0 -40
      h\n1 g 4336 2096 N 0 40 38 0 0 -40 h\n.8843 g 4298 2096 N 0 40 38 0 0
      -40 h\n.7137 g 4261 2096 N 0 40 37 0 0 -40 h\n.4881 g 4223 2096 N 0 40
      38 0 0 -40 h\n.3152 g 4185 2096 N 0 40 38 0 0 -40 h\n.3217 g 4147 2096
      N 0 40 38 0 0 -40 h\n.6652 g 4109 2096 N 0 40 38 0 0 -40 h\n.8929 g
      4071 2096 N 0 40 38 0 0 -40 h\n.8929 g 4033 2096 N 0 40 38 0 0 -40 h\n1
      g 3995 2096 N 0 40 38 0 0 -40 h\n1 g 3957 2096 N 0 40 38 0 0 -40 h\n1 g
      3919 2096 N 0 40 38 0 0 -40 h\n1 g 3882 2096 N 0 40 37 0 0 -40 h\n1 g
      3844 2096 N 0 40 38 0 0 -40 h\n1 g 3806 2096 N 0 40 38 0 0 -40 h\n1 g
      3768 2096 N 0 40 38 0 0 -40 h\n1 g 3730 2096 N 0 40 38 0 0 -40 h\n1 g
      6307 2056 N 0 39 38 0 0 -39 h\n1 g 6269 2056 N 0 39 38 0 0 -39 h\n1 g
      6231 2056 N 0 39 38 0 0 -39 h\n1 g 6193 2056 N 0 39 38 0 0 -39 h\n1 g
      6156 2056 N 0 39 37 0 0 -39 h\n1 g 6118 2056 N 0 39 38 0 0 -39 h\n.8727
      g 6080 2056 N 0 39 38 0 0 -39 h\n.7429 g 6042 2056 N 0 39 38 0 0 -39
      h\n.7994 g 6004 2056 N 0 39 38 0 0 -39 h\n.6244 g 5966 2056 N 0 39 38 0
      0 -39 h\n.3888 g 5928 2056 N 0 39 38 0 0 -39 h\n.6936 g 5890 2056 N 0
      39 38 0 0 -39 h\n1 g 5852 2056 N 0 39 38 0 0 -39 h\n.8752 g 5814 2056 N
      0 39 38 0 0 -39 h\n.8752 g 5777 2056 N 0 39 37 0 0 -39 h\n1 g 5739 2056
      N 0 39 38 0 0 -39 h\n1 g 5701 2056 N 0 39 38 0 0 -39 h\n1 g 5663 2056 N
      0 39 38 0 0 -39 h\n1 g 5625 2056 N 0 39 38 0 0 -39 h\n1 g 5587 2056 N 0
      39 38 0 0 -39 h\n1 g 5549 2056 N 0 39 38 0 0 -39 h\n1 g 5511 2056 N 0
      39 38 0 0 -39 h\n1 g 5473 2056 N 0 39 38 0 0 -39 h\n1 g 5435 2056 N 0
      39 38 0 0 -39 h\n1 g 5398 2056 N 0 39 37 0 0 -39 h\n1 g 5360 2056 N 0
      39 38 0 0 -39 h\n1 g 5322 2056 N 0 39 38 0 0 -39 h\n1 g 5284 2056 N 0
      39 38 0 0 -39 h\n1 g 5246 2056 N 0 39 38 0 0 -39 h\n1 g 5208 2056 N 0
      39 38 0 0 -39 h\n1 g 5170 2056 N 0 39 38 0 0 -39 h\n1 g 5132 2056 N 0
      39 38 0 0 -39 h\n1 g 5094 2056 N 0 39 38 0 0 -39 h\n1 g 5056 2056 N 0
      39 38 0 0 -39 h\n1 g 5019 2056 N 0 39 37 0 0 -39 h\n1 g 4981 2056 N 0
      39 38 0 0 -39 h\n1 g 4943 2056 N 0 39 38 0 0 -39 h\n1 g 4905 2056 N 0
      39 38 0 0 -39 h\n1 g 4867 2056 N 0 39 38 0 0 -39 h\n1 g 4829 2056 N 0
      39 38 0 0 -39 h\n1 g 4791 2056 N 0 39 38 0 0 -39 h\n1 g 4753 2056 N 0
      39 38 0 0 -39 h\n1 g 4715 2056 N 0 39 38 0 0 -39 h\n1 g 4677 2056 N 0
      39 38 0 0 -39 h\n1 g 4640 2056 N 0 39 37 0 0 -39 h\n1 g 4602 2056 N 0
      39 38 0 0 -39 h\n1 g 4564 2056 N 0 39 38 0 0 -39 h\n1 g 4526 2056 N 0
      39 38 0 0 -39 h\n1 g 4488 2056 N 0 39 38 0 0 -39 h\n1 g 4450 2056 N 0
      39 38 0 0 -39 h\n1 g 4412 2056 N 0 39 38 0 0 -39 h\n1 g 4374 2056 N 0
      39 38 0 0 -39 h\n1 g 4336 2056 N 0 39 38 0 0 -39 h\n.8843 g 4298 2056 N
      0 39 38 0 0 -39 h\n.8843 g 4261 2056 N 0 39 37 0 0 -39 h\n.6674 g 4223
      2056 N 0 39 38 0 0 -39 h\n.3305 g 4185 2056 N 0 39 38 0 0 -39 h\n.3365
      g 4147 2056 N 0 39 38 0 0 -39 h\n.6734 g 4109 2056 N 0 39 38 0 0 -39
      h\n.7631 g 4071 2056 N 0 39 38 0 0 -39 h\n.7631 g 4033 2056 N 0 39 38 0
      0 -39 h\n1 g 3995 2056 N 0 39 38 0 0 -39 h\n1 g 3957 2056 N 0 39 38 0 0
      -39 h\n1 g 3919 2056 N 0 39 38 0 0 -39 h\n1 g 3882 2056 N 0 39 37 0 0
      -39 h\n1 g 3844 2056 N 0 39 38 0 0 -39 h\n1 g 3806 2056 N 0 39 38 0 0
      -39 h\n1 g 3768 2056 N 0 39 38 0 0 -39 h\n1 g 3730 2056 N 0 39 38 0 0
      -39 h\n1 g 6307 2017 N 0 39 38 0 0 -39 h\n1 g 6269 2017 N 0 39 38 0 0
      -39 h\n1 g 6231 2017 N 0 39 38 0 0 -39 h\n1 g 6193 2017 N 0 39 38 0 0
      -39 h\n1 g 6156 2017 N 0 39 37 0 0 -39 h\n1 g 6118 2017 N 0 39 38 0 0
      -39 h\n1 g 6080 2017 N 0 39 38 0 0 -39 h\n1 g 6042 2017 N 0 39 38 0 0
      -39 h\n1 g 6004 2017 N 0 39 38 0 0 -39 h\n.6907 g 5966 2017 N 0 39 38 0
      0 -39 h\n.3764 g 5928 2017 N 0 39 38 0 0 -39 h\n.527 g 5890 2017 N 0 39
      38 0 0 -39 h\n.6873 g 5852 2017 N 0 39 38 0 0 -39 h\n.5731 g 5814 2017
      N 0 39 38 0 0 -39 h\n.5851 g 5777 2017 N 0 39 37 0 0 -39 h\n.7325 g
      5739 2017 N 0 39 38 0 0 -39 h\n.8744 g 5701 2017 N 0 39 38 0 0 -39 h\n1
      g 5663 2017 N 0 39 38 0 0 -39 h\n1 g 5625 2017 N 0 39 38 0 0 -39 h\n1 g
      5587 2017 N 0 39 38 0 0 -39 h\n1 g 5549 2017 N 0 39 38 0 0 -39 h\n1 g
      5511 2017 N 0 39 38 0 0 -39 h\n1 g 5473 2017 N 0 39 38 0 0 -39 h\n1 g
      5435 2017 N 0 39 38 0 0 -39 h\n1 g 5398 2017 N 0 39 37 0 0 -39 h\n1 g
      5360 2017 N 0 39 38 0 0 -39 h\n1 g 5322 2017 N 0 39 38 0 0 -39 h\n1 g
      5284 2017 N 0 39 38 0 0 -39 h\n1 g 5246 2017 N 0 39 38 0 0 -39 h\n1 g
      5208 2017 N 0 39 38 0 0 -39 h\n1 g 5170 2017 N 0 39 38 0 0 -39 h\n1 g
      5132 2017 N 0 39 38 0 0 -39 h\n1 g 5094 2017 N 0 39 38 0 0 -39 h\n1 g
      5056 2017 N 0 39 38 0 0 -39 h\n1 g 5019 2017 N 0 39 37 0 0 -39 h\n1 g
      4981 2017 N 0 39 38 0 0 -39 h\n1 g 4943 2017 N 0 39 38 0 0 -39 h\n1 g
      4905 2017 N 0 39 38 0 0 -39 h\n1 g 4867 2017 N 0 39 38 0 0 -39 h\n1 g
      4829 2017 N 0 39 38 0 0 -39 h\n1 g 4791 2017 N 0 39 38 0 0 -39 h\n1 g
      4753 2017 N 0 39 38 0 0 -39 h\n1 g 4715 2017 N 0 39 38 0 0 -39 h\n1 g
      4677 2017 N 0 39 38 0 0 -39 h\n1 g 4640 2017 N 0 39 37 0 0 -39 h\n1 g
      4602 2017 N 0 39 38 0 0 -39 h\n1 g 4564 2017 N 0 39 38 0 0 -39 h\n1 g
      4526 2017 N 0 39 38 0 0 -39 h\n1 g 4488 2017 N 0 39 38 0 0 -39 h\n1 g
      4450 2017 N 0 39 38 0 0 -39 h\n1 g 4412 2017 N 0 39 38 0 0 -39 h\n1 g
      4374 2017 N 0 39 38 0 0 -39 h\n.8646 g 4336 2017 N 0 39 38 0 0 -39
      h\n.8646 g 4298 2017 N 0 39 38 0 0 -39 h\n.8476 g 4261 2017 N 0 39 37 0
      0 -39 h\n.521 g 4223 2017 N 0 39 38 0 0 -39 h\n.3447 g 4185 2017 N 0 39
      38 0 0 -39 h\n.3485 g 4147 2017 N 0 39 38 0 0 -39 h\n.5247 g 4109 2017
      N 0 39 38 0 0 -39 h\n.571 g 4071 2017 N 0 39 38 0 0 -39 h\n.5969 g 4033
      2017 N 0 39 38 0 0 -39 h\n.8736 g 3995 2017 N 0 39 38 0 0 -39 h\n1 g
      3957 2017 N 0 39 38 0 0 -39 h\n1 g 3919 2017 N 0 39 38 0 0 -39 h\n1 g
      3882 2017 N 0 39 37 0 0 -39 h\n1 g 3844 2017 N 0 39 38 0 0 -39 h\n1 g
      3806 2017 N 0 39 38 0 0 -39 h\n1 g 3768 2017 N 0 39 38 0 0 -39 h\n1 g
      3730 2017 N 0 39 38 0 0 -39 h\n1 g 6307 1978 N 0 39 38 0 0 -39 h\n1 g
      6269 1978 N 0 39 38 0 0 -39 h\n1 g 6231 1978 N 0 39 38 0 0 -39 h\n1 g
      6193 1978 N 0 39 38 0 0 -39 h\n1 g 6156 1978 N 0 39 37 0 0 -39 h\n1 g
      6118 1978 N 0 39 38 0 0 -39 h\n1 g 6080 1978 N 0 39 38 0 0 -39 h\n.8736
      g 6042 1978 N 0 39 38 0 0 -39 h\n.7267 g 6004 1978 N 0 39 38 0 0 -39
      h\n.5453 g 5966 1978 N 0 39 38 0 0 -39 h\n.3729 g 5928 1978 N 0 39 38 0
      0 -39 h\n.3596 g 5890 1978 N 0 39 38 0 0 -39 h\n.3626 g 5852 1978 N 0
      39 38 0 0 -39 h\n.3832 g 5814 1978 N 0 39 38 0 0 -39 h\n.5576 g 5777
      1978 N 0 39 37 0 0 -39 h\n.597 g 5739 1978 N 0 39 38 0 0 -39 h\n.7389 g
      5701 1978 N 0 39 38 0 0 -39 h\n1 g 5663 1978 N 0 39 38 0 0 -39 h\n1 g
      5625 1978 N 0 39 38 0 0 -39 h\n1 g 5587 1978 N 0 39 38 0 0 -39 h\n1 g
      5549 1978 N 0 39 38 0 0 -39 h\n1 g 5511 1978 N 0 39 38 0 0 -39 h\n1 g
      5473 1978 N 0 39 38 0 0 -39 h\n1 g 5435 1978 N 0 39 38 0 0 -39 h\n1 g
      5398 1978 N 0 39 37 0 0 -39 h\n1 g 5360 1978 N 0 39 38 0 0 -39 h\n1 g
      5322 1978 N 0 39 38 0 0 -39 h\n1 g 5284 1978 N 0 39 38 0 0 -39 h\n1 g
      5246 1978 N 0 39 38 0 0 -39 h\n1 g 5208 1978 N 0 39 38 0 0 -39 h\n1 g
      5170 1978 N 0 39 38 0 0 -39 h\n1 g 5132 1978 N 0 39 38 0 0 -39 h\n1 g
      5094 1978 N 0 39 38 0 0 -39 h\n1 g 5056 1978 N 0 39 38 0 0 -39 h\n1 g
      5019 1978 N 0 39 37 0 0 -39 h\n1 g 4981 1978 N 0 39 38 0 0 -39 h\n1 g
      4943 1978 N 0 39 38 0 0 -39 h\n1 g 4905 1978 N 0 39 38 0 0 -39 h\n1 g
      4867 1978 N 0 39 38 0 0 -39 h\n1 g 4829 1978 N 0 39 38 0 0 -39 h\n1 g
      4791 1978 N 0 39 38 0 0 -39 h\n1 g 4753 1978 N 0 39 38 0 0 -39 h\n1 g
      4715 1978 N 0 39 38 0 0 -39 h\n1 g 4677 1978 N 0 39 38 0 0 -39 h\n1 g
      4640 1978 N 0 39 37 0 0 -39 h\n1 g 4602 1978 N 0 39 38 0 0 -39 h\n1 g
      4564 1978 N 0 39 38 0 0 -39 h\n1 g 4526 1978 N 0 39 38 0 0 -39 h\n1 g
      4488 1978 N 0 39 38 0 0 -39 h\n1 g 4450 1978 N 0 39 38 0 0 -39 h\n1 g
      4412 1978 N 0 39 38 0 0 -39 h\n1 g 4374 1978 N 0 39 38 0 0 -39 h\n.7389
      g 4336 1978 N 0 39 38 0 0 -39 h\n.597 g 4298 1978 N 0 39 38 0 0 -39
      h\n.5576 g 4261 1978 N 0 39 37 0 0 -39 h\n.3832 g 4223 1978 N 0 39 38 0
      0 -39 h\n.3626 g 4185 1978 N 0 39 38 0 0 -39 h\n.3596 g 4147 1978 N 0
      39 38 0 0 -39 h\n.3729 g 4109 1978 N 0 39 38 0 0 -39 h\n.5453 g 4071
      1978 N 0 39 38 0 0 -39 h\n.7267 g 4033 1978 N 0 39 38 0 0 -39 h\n.8736
      g 3995 1978 N 0 39 38 0 0 -39 h\n1 g 3957 1978 N 0 39 38 0 0 -39 h\n1 g
      3919 1978 N 0 39 38 0 0 -39 h\n1 g 3882 1978 N 0 39 37 0 0 -39 h\n1 g
      3844 1978 N 0 39 38 0 0 -39 h\n1 g 3806 1978 N 0 39 38 0 0 -39 h\n1 g
      3768 1978 N 0 39 38 0 0 -39 h\n1 g 3730 1978 N 0 39 38 0 0 -39 h\n1 g
      6307 1939 N 0 39 38 0 0 -39 h\n1 g 6269 1939 N 0 39 38 0 0 -39 h\n1 g
      6231 1939 N 0 39 38 0 0 -39 h\n1 g 6193 1939 N 0 39 38 0 0 -39 h\n1 g
      6156 1939 N 0 39 37 0 0 -39 h\n1 g 6118 1939 N 0 39 38 0 0 -39 h\n1 g
      6080 1939 N 0 39 38 0 0 -39 h\n.8736 g 6042 1939 N 0 39 38 0 0 -39
      h\n.5969 g 6004 1939 N 0 39 38 0 0 -39 h\n.571 g 5966 1939 N 0 39 38 0
      0 -39 h\n.5247 g 5928 1939 N 0 39 38 0 0 -39 h\n.3485 g 5890 1939 N 0
      39 38 0 0 -39 h\n.3447 g 5852 1939 N 0 39 38 0 0 -39 h\n.521 g 5814
      1939 N 0 39 38 0 0 -39 h\n.8476 g 5777 1939 N 0 39 37 0 0 -39 h\n.8646
      g 5739 1939 N 0 39 38 0 0 -39 h\n.8646 g 5701 1939 N 0 39 38 0 0 -39
      h\n1 g 5663 1939 N 0 39 38 0 0 -39 h\n1 g 5625 1939 N 0 39 38 0 0 -39
      h\n1 g 5587 1939 N 0 39 38 0 0 -39 h\n1 g 5549 1939 N 0 39 38 0 0 -39
      h\n1 g 5511 1939 N 0 39 38 0 0 -39 h\n1 g 5473 1939 N 0 39 38 0 0 -39
      h\n1 g 5435 1939 N 0 39 38 0 0 -39 h\n1 g 5398 1939 N 0 39 37 0 0 -39
      h\n1 g 5360 1939 N 0 39 38 0 0 -39 h\n1 g 5322 1939 N 0 39 38 0 0 -39
      h\n1 g 5284 1939 N 0 39 38 0 0 -39 h\n1 g 5246 1939 N 0 39 38 0 0 -39
      h\n1 g 5208 1939 N 0 39 38 0 0 -39 h\n1 g 5170 1939 N 0 39 38 0 0 -39
      h\n1 g 5132 1939 N 0 39 38 0 0 -39 h\n1 g 5094 1939 N 0 39 38 0 0 -39
      h\n1 g 5056 1939 N 0 39 38 0 0 -39 h\n1 g 5019 1939 N 0 39 37 0 0 -39
      h\n1 g 4981 1939 N 0 39 38 0 0 -39 h\n1 g 4943 1939 N 0 39 38 0 0 -39
      h\n1 g 4905 1939 N 0 39 38 0 0 -39 h\n1 g 4867 1939 N 0 39 38 0 0 -39
      h\n1 g 4829 1939 N 0 39 38 0 0 -39 h\n1 g 4791 1939 N 0 39 38 0 0 -39
      h\n1 g 4753 1939 N 0 39 38 0 0 -39 h\n1 g 4715 1939 N 0 39 38 0 0 -39
      h\n1 g 4677 1939 N 0 39 38 0 0 -39 h\n1 g 4640 1939 N 0 39 37 0 0 -39
      h\n1 g 4602 1939 N 0 39 38 0 0 -39 h\n1 g 4564 1939 N 0 39 38 0 0 -39
      h\n1 g 4526 1939 N 0 39 38 0 0 -39 h\n1 g 4488 1939 N 0 39 38 0 0 -39
      h\n1 g 4450 1939 N 0 39 38 0 0 -39 h\n1 g 4412 1939 N 0 39 38 0 0 -39
      h\n1 g 4374 1939 N 0 39 38 0 0 -39 h\n.8744 g 4336 1939 N 0 39 38 0 0
      -39 h\n.7325 g 4298 1939 N 0 39 38 0 0 -39 h\n.5851 g 4261 1939 N 0 39
      37 0 0 -39 h\n.5731 g 4223 1939 N 0 39 38 0 0 -39 h\n.6873 g 4185 1939
      N 0 39 38 0 0 -39 h\n.527 g 4147 1939 N 0 39 38 0 0 -39 h\n.3764 g 4109
      1939 N 0 39 38 0 0 -39 h\n.6907 g 4071 1939 N 0 39 38 0 0 -39 h\n1 g
      4033 1939 N 0 39 38 0 0 -39 h\n1 g 3995 1939 N 0 39 38 0 0 -39 h\n1 g
      3957 1939 N 0 39 38 0 0 -39 h\n1 g 3919 1939 N 0 39 38 0 0 -39 h\n1 g
      3882 1939 N 0 39 37 0 0 -39 h\n1 g 3844 1939 N 0 39 38 0 0 -39 h\n1 g
      3806 1939 N 0 39 38 0 0 -39 h\n1 g 3768 1939 N 0 39 38 0 0 -39 h\n1 g
      3730 1939 N 0 39 38 0 0 -39 h\n1 g 6307 1900 N 0 39 38 0 0 -39 h\n1 g
      6269 1900 N 0 39 38 0 0 -39 h\n1 g 6231 1900 N 0 39 38 0 0 -39 h\n1 g
      6193 1900 N 0 39 38 0 0 -39 h\n1 g 6156 1900 N 0 39 37 0 0 -39 h\n1 g
      6118 1900 N 0 39 38 0 0 -39 h\n1 g 6080 1900 N 0 39 38 0 0 -39 h\n1 g
      6042 1900 N 0 39 38 0 0 -39 h\n.7631 g 6004 1900 N 0 39 38 0 0 -39
      h\n.7631 g 5966 1900 N 0 39 38 0 0 -39 h\n.6734 g 5928 1900 N 0 39 38 0
      0 -39 h\n.3365 g 5890 1900 N 0 39 38 0 0 -39 h\n.3305 g 5852 1900 N 0
      39 38 0 0 -39 h\n.6674 g 5814 1900 N 0 39 38 0 0 -39 h\n.8843 g 5777
      1900 N 0 39 37 0 0 -39 h\n.8843 g 5739 1900 N 0 39 38 0 0 -39 h\n1 g
      5701 1900 N 0 39 38 0 0 -39 h\n1 g 5663 1900 N 0 39 38 0 0 -39 h\n1 g
      5625 1900 N 0 39 38 0 0 -39 h\n1 g 5587 1900 N 0 39 38 0 0 -39 h\n1 g
      5549 1900 N 0 39 38 0 0 -39 h\n1 g 5511 1900 N 0 39 38 0 0 -39 h\n1 g
      5473 1900 N 0 39 38 0 0 -39 h\n1 g 5435 1900 N 0 39 38 0 0 -39 h\n1 g
      5398 1900 N 0 39 37 0 0 -39 h\n1 g 5360 1900 N 0 39 38 0 0 -39 h\n1 g
      5322 1900 N 0 39 38 0 0 -39 h\n1 g 5284 1900 N 0 39 38 0 0 -39 h\n1 g
      5246 1900 N 0 39 38 0 0 -39 h\n1 g 5208 1900 N 0 39 38 0 0 -39 h\n1 g
      5170 1900 N 0 39 38 0 0 -39 h\n1 g 5132 1900 N 0 39 38 0 0 -39 h\n1 g
      5094 1900 N 0 39 38 0 0 -39 h\n1 g 5056 1900 N 0 39 38 0 0 -39 h\n1 g
      5019 1900 N 0 39 37 0 0 -39 h\n1 g 4981 1900 N 0 39 38 0 0 -39 h\n1 g
      4943 1900 N 0 39 38 0 0 -39 h\n1 g 4905 1900 N 0 39 38 0 0 -39 h\n1 g
      4867 1900 N 0 39 38 0 0 -39 h\n1 g 4829 1900 N 0 39 38 0 0 -39 h\n1 g
      4791 1900 N 0 39 38 0 0 -39 h\n1 g 4753 1900 N 0 39 38 0 0 -39 h\n1 g
      4715 1900 N 0 39 38 0 0 -39 h\n1 g 4677 1900 N 0 39 38 0 0 -39 h\n1 g
      4640 1900 N 0 39 37 0 0 -39 h\n1 g 4602 1900 N 0 39 38 0 0 -39 h\n1 g
      4564 1900 N 0 39 38 0 0 -39 h\n1 g 4526 1900 N 0 39 38 0 0 -39 h\n1 g
      4488 1900 N 0 39 38 0 0 -39 h\n1 g 4450 1900 N 0 39 38 0 0 -39 h\n1 g
      4412 1900 N 0 39 38 0 0 -39 h\n1 g 4374 1900 N 0 39 38 0 0 -39 h\n1 g
      4336 1900 N 0 39 38 0 0 -39 h\n1 g 4298 1900 N 0 39 38 0 0 -39 h\n.8752
      g 4261 1900 N 0 39 37 0 0 -39 h\n.8752 g 4223 1900 N 0 39 38 0 0 -39
      h\n1 g 4185 1900 N 0 39 38 0 0 -39 h\n.6936 g 4147 1900 N 0 39 38 0 0
      -39 h\n.3888 g 4109 1900 N 0 39 38 0 0 -39 h\n.6244 g 4071 1900 N 0 39
      38 0 0 -39 h\n.7994 g 4033 1900 N 0 39 38 0 0 -39 h\n.7429 g 3995 1900
      N 0 39 38 0 0 -39 h\n.8727 g 3957 1900 N 0 39 38 0 0 -39 h\n1 g 3919
      1900 N 0 39 38 0 0 -39 h\n1 g 3882 1900 N 0 39 37 0 0 -39 h\n1 g 3844
      1900 N 0 39 38 0 0 -39 h\n1 g 3806 1900 N 0 39 38 0 0 -39 h\n1 g 3768
      1900 N 0 39 38 0 0 -39 h\n1 g 3730 1900 N 0 39 38 0 0 -39 h\n1 g 6307
      1861 N 0 40 38 0 0 -40 h\n1 g 6269 1861 N 0 40 38 0 0 -40 h\n1 g 6231
      1861 N 0 40 38 0 0 -40 h\n1 g 6193 1861 N 0 40 38 0 0 -40 h\n1 g 6156
      1861 N 0 40 37 0 0 -40 h\n1 g 6118 1861 N 0 40 38 0 0 -40 h\n1 g 6080
      1861 N 0 40 38 0 0 -40 h\n1 g 6042 1861 N 0 40 38 0 0 -40 h\n.8929 g
      6004 1861 N 0 40 38 0 0 -40 h\n.8929 g 5966 1861 N 0 40 38 0 0 -40
      h\n.6652 g 5928 1861 N 0 40 38 0 0 -40 h\n.3217 g 5890 1861 N 0 40 38 0
      0 -40 h\n.3152 g 5852 1861 N 0 40 38 0 0 -40 h\n.4881 g 5814 1861 N 0
      40 38 0 0 -40 h\n.7137 g 5777 1861 N 0 40 37 0 0 -40 h\n.8843 g 5739
      1861 N 0 40 38 0 0 -40 h\n1 g 5701 1861 N 0 40 38 0 0 -40 h\n.8519 g
      5663 1861 N 0 40 38 0 0 -40 h\n.8519 g 5625 1861 N 0 40 38 0 0 -40 h\n1
      g 5587 1861 N 0 40 38 0 0 -40 h\n1 g 5549 1861 N 0 40 38 0 0 -40 h\n1 g
      5511 1861 N 0 40 38 0 0 -40 h\n1 g 5473 1861 N 0 40 38 0 0 -40 h\n1 g
      5435 1861 N 0 40 38 0 0 -40 h\n1 g 5398 1861 N 0 40 37 0 0 -40 h\n1 g
      5360 1861 N 0 40 38 0 0 -40 h\n1 g 5322 1861 N 0 40 38 0 0 -40 h\n1 g
      5284 1861 N 0 40 38 0 0 -40 h\n1 g 5246 1861 N 0 40 38 0 0 -40 h\n1 g
      5208 1861 N 0 40 38 0 0 -40 h\n1 g 5170 1861 N 0 40 38 0 0 -40 h\n1 g
      5132 1861 N 0 40 38 0 0 -40 h\n1 g 5094 1861 N 0 40 38 0 0 -40 h\n1 g
      5056 1861 N 0 40 38 0 0 -40 h\n1 g 5019 1861 N 0 40 37 0 0 -40 h\n1 g
      4981 1861 N 0 40 38 0 0 -40 h\n1 g 4943 1861 N 0 40 38 0 0 -40 h\n1 g
      4905 1861 N 0 40 38 0 0 -40 h\n1 g 4867 1861 N 0 40 38 0 0 -40 h\n1 g
      4829 1861 N 0 40 38 0 0 -40 h\n1 g 4791 1861 N 0 40 38 0 0 -40 h\n1 g
      4753 1861 N 0 40 38 0 0 -40 h\n1 g 4715 1861 N 0 40 38 0 0 -40 h\n1 g
      4677 1861 N 0 40 38 0 0 -40 h\n1 g 4640 1861 N 0 40 37 0 0 -40 h\n1 g
      4602 1861 N 0 40 38 0 0 -40 h\n1 g 4564 1861 N 0 40 38 0 0 -40 h\n1 g
      4526 1861 N 0 40 38 0 0 -40 h\n1 g 4488 1861 N 0 40 38 0 0 -40 h\n1 g
      4450 1861 N 0 40 38 0 0 -40 h\n1 g 4412 1861 N 0 40 38 0 0 -40 h\n1 g
      4374 1861 N 0 40 38 0 0 -40 h\n1 g 4336 1861 N 0 40 38 0 0 -40 h\n1 g
      4298 1861 N 0 40 38 0 0 -40 h\n1 g 4261 1861 N 0 40 37 0 0 -40 h\n.8684
      g 4223 1861 N 0 40 38 0 0 -40 h\n.7265 g 4185 1861 N 0 40 38 0 0 -40
      h\n.559 g 4147 1861 N 0 40 38 0 0 -40 h\n.4005 g 4109 1861 N 0 40 38 0
      0 -40 h\n.4832 g 4071 1861 N 0 40 38 0 0 -40 h\n.5119 g 4033 1861 N 0
      40 38 0 0 -40 h\n.4997 g 3995 1861 N 0 40 38 0 0 -40 h\n.6787 g 3957
      1861 N 0 40 38 0 0 -40 h\n.9073 g 3919 1861 N 0 40 38 0 0 -40 h\n1 g
      3882 1861 N 0 40 37 0 0 -40 h\n1 g 3844 1861 N 0 40 38 0 0 -40 h\n1 g
      3806 1861 N 0 40 38 0 0 -40 h\n1 g 3768 1861 N 0 40 38 0 0 -40 h\n1 g
      3730 1861 N 0 40 38 0 0 -40 h\n1 g 6307 1821 N 0 39 38 0 0 -39 h\n1 g
      6269 1821 N 0 39 38 0 0 -39 h\n1 g 6231 1821 N 0 39 38 0 0 -39 h\n1 g
      6193 1821 N 0 39 38 0 0 -39 h\n1 g 6156 1821 N 0 39 37 0 0 -39 h\n1 g
      6118 1821 N 0 39 38 0 0 -39 h\n1 g 6080 1821 N 0 39 38 0 0 -39 h\n1 g
      6042 1821 N 0 39 38 0 0 -39 h\n.8461 g 6004 1821 N 0 39 38 0 0 -39
      h\n.6818 g 5966 1821 N 0 39 38 0 0 -39 h\n.4946 g 5928 1821 N 0 39 38 0
      0 -39 h\n.3106 g 5890 1821 N 0 39 38 0 0 -39 h\n.3009 g 5852 1821 N 0
      39 38 0 0 -39 h\n.3006 g 5814 1821 N 0 39 38 0 0 -39 h\n.4785 g 5777
      1821 N 0 39 37 0 0 -39 h\n.6587 g 5739 1821 N 0 39 38 0 0 -39 h\n.7338
      g 5701 1821 N 0 39 38 0 0 -39 h\n.5952 g 5663 1821 N 0 39 38 0 0 -39
      h\n.5488 g 5625 1821 N 0 39 38 0 0 -39 h\n.8557 g 5587 1821 N 0 39 38 0
      0 -39 h\n.903 g 5549 1821 N 0 39 38 0 0 -39 h\n.903 g 5511 1821 N 0 39
      38 0 0 -39 h\n1 g 5473 1821 N 0 39 38 0 0 -39 h\n1 g 5435 1821 N 0 39
      38 0 0 -39 h\n1 g 5398 1821 N 0 39 37 0 0 -39 h\n1 g 5360 1821 N 0 39
      38 0 0 -39 h\n1 g 5322 1821 N 0 39 38 0 0 -39 h\n1 g 5284 1821 N 0 39
      38 0 0 -39 h\n1 g 5246 1821 N 0 39 38 0 0 -39 h\n1 g 5208 1821 N 0 39
      38 0 0 -39 h\n1 g 5170 1821 N 0 39 38 0 0 -39 h\n1 g 5132 1821 N 0 39
      38 0 0 -39 h\n1 g 5094 1821 N 0 39 38 0 0 -39 h\n1 g 5056 1821 N 0 39
      38 0 0 -39 h\n1 g 5019 1821 N 0 39 37 0 0 -39 h\n1 g 4981 1821 N 0 39
      38 0 0 -39 h\n1 g 4943 1821 N 0 39 38 0 0 -39 h\n1 g 4905 1821 N 0 39
      38 0 0 -39 h\n1 g 4867 1821 N 0 39 38 0 0 -39 h\n1 g 4829 1821 N 0 39
      38 0 0 -39 h\n1 g 4791 1821 N 0 39 38 0 0 -39 h\n1 g 4753 1821 N 0 39
      38 0 0 -39 h\n1 g 4715 1821 N 0 39 38 0 0 -39 h\n1 g 4677 1821 N 0 39
      38 0 0 -39 h\n1 g 4640 1821 N 0 39 37 0 0 -39 h\n1 g 4602 1821 N 0 39
      38 0 0 -39 h\n1 g 4564 1821 N 0 39 38 0 0 -39 h\n1 g 4526 1821 N 0 39
      38 0 0 -39 h\n1 g 4488 1821 N 0 39 38 0 0 -39 h\n1 g 4450 1821 N 0 39
      38 0 0 -39 h\n1 g 4412 1821 N 0 39 38 0 0 -39 h\n1 g 4374 1821 N 0 39
      38 0 0 -39 h\n1 g 4336 1821 N 0 39 38 0 0 -39 h\n1 g 4298 1821 N 0 39
      38 0 0 -39 h\n1 g 4261 1821 N 0 39 37 0 0 -39 h\n.8684 g 4223 1821 N 0
      39 38 0 0 -39 h\n.5958 g 4185 1821 N 0 39 38 0 0 -39 h\n.5793 g 4147
      1821 N 0 39 38 0 0 -39 h\n.7023 g 4109 1821 N 0 39 38 0 0 -39 h\n.5607
      g 4071 1821 N 0 39 38 0 0 -39 h\n.4286 g 4033 1821 N 0 39 38 0 0 -39
      h\n.5205 g 3995 1821 N 0 39 38 0 0 -39 h\n.7093 g 3957 1821 N 0 39 38 0
      0 -39 h\n.9073 g 3919 1821 N 0 39 38 0 0 -39 h\n1 g 3882 1821 N 0 39 37
      0 0 -39 h\n1 g 3844 1821 N 0 39 38 0 0 -39 h\n1 g 3806 1821 N 0 39 38 0
      0 -39 h\n1 g 3768 1821 N 0 39 38 0 0 -39 h\n1 g 3730 1821 N 0 39 38 0 0
      -39 h\n1 g 6307 1782 N 0 39 38 0 0 -39 h\n1 g 6269 1782 N 0 39 38 0 0
      -39 h\n1 g 6231 1782 N 0 39 38 0 0 -39 h\n1 g 6193 1782 N 0 39 38 0 0
      -39 h\n1 g 6156 1782 N 0 39 37 0 0 -39 h\n1 g 6118 1782 N 0 39 38 0 0
      -39 h\n1 g 6080 1782 N 0 39 38 0 0 -39 h\n1 g 6042 1782 N 0 39 38 0 0
      -39 h\n.698 g 6004 1782 N 0 39 38 0 0 -39 h\n.5337 g 5966 1782 N 0 39
      38 0 0 -39 h\n.5371 g 5928 1782 N 0 39 38 0 0 -39 h\n.348 g 5890 1782 N
      0 39 38 0 0 -39 h\n.2879 g 5852 1782 N 0 39 38 0 0 -39 h\n.2826 g 5814
      1782 N 0 39 38 0 0 -39 h\n.2904 g 5777 1782 N 0 39 37 0 0 -39 h\n.3054
      g 5739 1782 N 0 39 38 0 0 -39 h\n.3878 g 5701 1782 N 0 39 38 0 0 -39
      h\n.4085 g 5663 1782 N 0 39 38 0 0 -39 h\n.3739 g 5625 1782 N 0 39 38 0
      0 -39 h\n.5446 g 5587 1782 N 0 39 38 0 0 -39 h\n.7506 g 5549 1782 N 0
      39 38 0 0 -39 h\n.7749 g 5511 1782 N 0 39 38 0 0 -39 h\n.8719 g 5473
      1782 N 0 39 38 0 0 -39 h\n1 g 5435 1782 N 0 39 38 0 0 -39 h\n1 g 5398
      1782 N 0 39 37 0 0 -39 h\n1 g 5360 1782 N 0 39 38 0 0 -39 h\n1 g 5322
      1782 N 0 39 38 0 0 -39 h\n1 g 5284 1782 N 0 39 38 0 0 -39 h\n1 g 5246
      1782 N 0 39 38 0 0 -39 h\n1 g 5208 1782 N 0 39 38 0 0 -39 h\n1 g 5170
      1782 N 0 39 38 0 0 -39 h\n1 g 5132 1782 N 0 39 38 0 0 -39 h\n1 g 5094
      1782 N 0 39 38 0 0 -39 h\n1 g 5056 1782 N 0 39 38 0 0 -39 h\n1 g 5019
      1782 N 0 39 37 0 0 -39 h\n1 g 4981 1782 N 0 39 38 0 0 -39 h\n1 g 4943
      1782 N 0 39 38 0 0 -39 h\n1 g 4905 1782 N 0 39 38 0 0 -39 h\n1 g 4867
      1782 N 0 39 38 0 0 -39 h\n1 g 4829 1782 N 0 39 38 0 0 -39 h\n1 g 4791
      1782 N 0 39 38 0 0 -39 h\n1 g 4753 1782 N 0 39 38 0 0 -39 h\n1 g 4715
      1782 N 0 39 38 0 0 -39 h\n1 g 4677 1782 N 0 39 38 0 0 -39 h\n1 g 4640
      1782 N 0 39 37 0 0 -39 h\n1 g 4602 1782 N 0 39 38 0 0 -39 h\n1 g 4564
      1782 N 0 39 38 0 0 -39 h\n1 g 4526 1782 N 0 39 38 0 0 -39 h\n1 g 4488
      1782 N 0 39 38 0 0 -39 h\n1 g 4450 1782 N 0 39 38 0 0 -39 h\n1 g 4412
      1782 N 0 39 38 0 0 -39 h\n1 g 4374 1782 N 0 39 38 0 0 -39 h\n1 g 4336
      1782 N 0 39 38 0 0 -39 h\n1 g 4298 1782 N 0 39 38 0 0 -39 h\n1 g 4261
      1782 N 0 39 37 0 0 -39 h\n1 g 4223 1782 N 0 39 38 0 0 -39 h\n.8693 g
      4185 1782 N 0 39 38 0 0 -39 h\n.8693 g 4147 1782 N 0 39 38 0 0 -39 h\n1
      g 4109 1782 N 0 39 38 0 0 -39 h\n.7138 g 4071 1782 N 0 39 38 0 0 -39
      h\n.4345 g 4033 1782 N 0 39 38 0 0 -39 h\n.5343 g 3995 1782 N 0 39 38 0
      0 -39 h\n.6871 g 3957 1782 N 0 39 38 0 0 -39 h\n.8736 g 3919 1782 N 0
      39 38 0 0 -39 h\n1 g 3882 1782 N 0 39 37 0 0 -39 h\n1 g 3844 1782 N 0
      39 38 0 0 -39 h\n1 g 3806 1782 N 0 39 38 0 0 -39 h\n1 g 3768 1782 N 0
      39 38 0 0 -39 h\n1 g 3730 1782 N 0 39 38 0 0 -39 h\n1 g 6307 1743 N 0
      39 38 0 0 -39 h\n1 g 6269 1743 N 0 39 38 0 0 -39 h\n1 g 6231 1743 N 0
      39 38 0 0 -39 h\n1 g 6193 1743 N 0 39 38 0 0 -39 h\n1 g 6156 1743 N 0
      39 37 0 0 -39 h\n.9026 g 6118 1743 N 0 39 38 0 0 -39 h\n.9026 g 6080
      1743 N 0 39 38 0 0 -39 h\n1 g 6042 1743 N 0 39 38 0 0 -39 h\n.7374 g
      6004 1743 N 0 39 38 0 0 -39 h\n.7374 g 5966 1743 N 0 39 38 0 0 -39
      h\n.7568 g 5928 1743 N 0 39 38 0 0 -39 h\n.3981 g 5890 1743 N 0 39 38 0
      0 -39 h\n.2768 g 5852 1743 N 0 39 38 0 0 -39 h\n.2711 g 5814 1743 N 0
      39 38 0 0 -39 h\n.2768 g 5777 1743 N 0 39 37 0 0 -39 h\n.2906 g 5739
      1743 N 0 39 38 0 0 -39 h\n.3124 g 5701 1743 N 0 39 38 0 0 -39 h\n.4989
      g 5663 1743 N 0 39 38 0 0 -39 h\n.677 g 5625 1743 N 0 39 38 0 0 -39
      h\n.5972 g 5587 1743 N 0 39 38 0 0 -39 h\n.6129 g 5549 1743 N 0 39 38 0
      0 -39 h\n.5903 g 5511 1743 N 0 39 38 0 0 -39 h\n.7334 g 5473 1743 N 0
      39 38 0 0 -39 h\n1 g 5435 1743 N 0 39 38 0 0 -39 h\n1 g 5398 1743 N 0
      39 37 0 0 -39 h\n1 g 5360 1743 N 0 39 38 0 0 -39 h\n1 g 5322 1743 N 0
      39 38 0 0 -39 h\n1 g 5284 1743 N 0 39 38 0 0 -39 h\n1 g 5246 1743 N 0
      39 38 0 0 -39 h\n1 g 5208 1743 N 0 39 38 0 0 -39 h\n1 g 5170 1743 N 0
      39 38 0 0 -39 h\n1 g 5132 1743 N 0 39 38 0 0 -39 h\n1 g 5094 1743 N 0
      39 38 0 0 -39 h\n1 g 5056 1743 N 0 39 38 0 0 -39 h\n1 g 5019 1743 N 0
      39 37 0 0 -39 h\n1 g 4981 1743 N 0 39 38 0 0 -39 h\n1 g 4943 1743 N 0
      39 38 0 0 -39 h\n1 g 4905 1743 N 0 39 38 0 0 -39 h\n1 g 4867 1743 N 0
      39 38 0 0 -39 h\n1 g 4829 1743 N 0 39 38 0 0 -39 h\n1 g 4791 1743 N 0
      39 38 0 0 -39 h\n1 g 4753 1743 N 0 39 38 0 0 -39 h\n1 g 4715 1743 N 0
      39 38 0 0 -39 h\n1 g 4677 1743 N 0 39 38 0 0 -39 h\n1 g 4640 1743 N 0
      39 37 0 0 -39 h\n1 g 4602 1743 N 0 39 38 0 0 -39 h\n1 g 4564 1743 N 0
      39 38 0 0 -39 h\n1 g 4526 1743 N 0 39 38 0 0 -39 h\n1 g 4488 1743 N 0
      39 38 0 0 -39 h\n1 g 4450 1743 N 0 39 38 0 0 -39 h\n1 g 4412 1743 N 0
      39 38 0 0 -39 h\n1 g 4374 1743 N 0 39 38 0 0 -39 h\n1 g 4336 1743 N 0
      39 38 0 0 -39 h\n1 g 4298 1743 N 0 39 38 0 0 -39 h\n1 g 4261 1743 N 0
      39 37 0 0 -39 h\n1 g 4223 1743 N 0 39 38 0 0 -39 h\n1 g 4185 1743 N 0
      39 38 0 0 -39 h\n.8774 g 4147 1743 N 0 39 38 0 0 -39 h\n.744 g 4109
      1743 N 0 39 38 0 0 -39 h\n.5861 g 4071 1743 N 0 39 38 0 0 -39 h\n.4424
      g 4033 1743 N 0 39 38 0 0 -39 h\n.4976 g 3995 1743 N 0 39 38 0 0 -39
      h\n.6483 g 3957 1743 N 0 39 38 0 0 -39 h\n.7704 g 3919 1743 N 0 39 38 0
      0 -39 h\n.8968 g 3882 1743 N 0 39 37 0 0 -39 h\n1 g 3844 1743 N 0 39 38
      0 0 -39 h\n1 g 3806 1743 N 0 39 38 0 0 -39 h\n1 g 3768 1743 N 0 39 38 0
      0 -39 h\n1 g 3730 1743 N 0 39 38 0 0 -39 h\n1 g 6307 1704 N 0 39 38 0 0
      -39 h\n1 g 6269 1704 N 0 39 38 0 0 -39 h\n1 g 6231 1704 N 0 39 38 0 0
      -39 h\n1 g 6193 1704 N 0 39 38 0 0 -39 h\n1 g 6156 1704 N 0 39 37 0 0
      -39 h\n.7651 g 6118 1704 N 0 39 38 0 0 -39 h\n.7651 g 6080 1704 N 0 39
      38 0 0 -39 h\n1 g 6042 1704 N 0 39 38 0 0 -39 h\n.8855 g 6004 1704 N 0
      39 38 0 0 -39 h\n.8855 g 5966 1704 N 0 39 38 0 0 -39 h\n.7042 g 5928
      1704 N 0 39 38 0 0 -39 h\n.3365 g 5890 1704 N 0 39 38 0 0 -39 h\n.2617
      g 5852 1704 N 0 39 38 0 0 -39 h\n.2588 g 5814 1704 N 0 39 38 0 0 -39
      h\n.2649 g 5777 1704 N 0 39 37 0 0 -39 h\n.4602 g 5739 1704 N 0 39 38 0
      0 -39 h\n.6584 g 5701 1704 N 0 39 38 0 0 -39 h\n.8337 g 5663 1704 N 0
      39 38 0 0 -39 h\n1 g 5625 1704 N 0 39 38 0 0 -39 h\n.9084 g 5587 1704 N
      0 39 38 0 0 -39 h\n.7653 g 5549 1704 N 0 39 38 0 0 -39 h\n.5849 g 5511
      1704 N 0 39 38 0 0 -39 h\n.728 g 5473 1704 N 0 39 38 0 0 -39 h\n1 g
      5435 1704 N 0 39 38 0 0 -39 h\n1 g 5398 1704 N 0 39 37 0 0 -39 h\n1 g
      5360 1704 N 0 39 38 0 0 -39 h\n1 g 5322 1704 N 0 39 38 0 0 -39 h\n1 g
      5284 1704 N 0 39 38 0 0 -39 h\n1 g 5246 1704 N 0 39 38 0 0 -39 h\n1 g
      5208 1704 N 0 39 38 0 0 -39 h\n1 g 5170 1704 N 0 39 38 0 0 -39 h\n1 g
      5132 1704 N 0 39 38 0 0 -39 h\n1 g 5094 1704 N 0 39 38 0 0 -39 h\n1 g
      5056 1704 N 0 39 38 0 0 -39 h\n1 g 5019 1704 N 0 39 37 0 0 -39 h\n1 g
      4981 1704 N 0 39 38 0 0 -39 h\n1 g 4943 1704 N 0 39 38 0 0 -39 h\n1 g
      4905 1704 N 0 39 38 0 0 -39 h\n1 g 4867 1704 N 0 39 38 0 0 -39 h\n1 g
      4829 1704 N 0 39 38 0 0 -39 h\n1 g 4791 1704 N 0 39 38 0 0 -39 h\n1 g
      4753 1704 N 0 39 38 0 0 -39 h\n1 g 4715 1704 N 0 39 38 0 0 -39 h\n.9138
      g 4677 1704 N 0 39 38 0 0 -39 h\n.9138 g 4640 1704 N 0 39 37 0 0 -39
      h\n1 g 4602 1704 N 0 39 38 0 0 -39 h\n1 g 4564 1704 N 0 39 38 0 0 -39
      h\n1 g 4526 1704 N 0 39 38 0 0 -39 h\n1 g 4488 1704 N 0 39 38 0 0 -39
      h\n1 g 4450 1704 N 0 39 38 0 0 -39 h\n1 g 4412 1704 N 0 39 38 0 0 -39
      h\n1 g 4374 1704 N 0 39 38 0 0 -39 h\n1 g 4336 1704 N 0 39 38 0 0 -39
      h\n1 g 4298 1704 N 0 39 38 0 0 -39 h\n1 g 4261 1704 N 0 39 37 0 0 -39
      h\n1 g 4223 1704 N 0 39 38 0 0 -39 h\n1 g 4185 1704 N 0 39 38 0 0 -39
      h\n.8774 g 4147 1704 N 0 39 38 0 0 -39 h\n.744 g 4109 1704 N 0 39 38 0
      0 -39 h\n.6378 g 4071 1704 N 0 39 38 0 0 -39 h\n.4993 g 4033 1704 N 0
      39 38 0 0 -39 h\n.4592 g 3995 1704 N 0 39 38 0 0 -39 h\n.7311 g 3957
      1704 N 0 39 38 0 0 -39 h\n.8968 g 3919 1704 N 0 39 38 0 0 -39 h\n.8968
      g 3882 1704 N 0 39 37 0 0 -39 h\n1 g 3844 1704 N 0 39 38 0 0 -39 h\n1 g
      3806 1704 N 0 39 38 0 0 -39 h\n1 g 3768 1704 N 0 39 38 0 0 -39 h\n1 g
      3730 1704 N 0 39 38 0 0 -39 h\n1 g 6307 1665 N 0 39 38 0 0 -39 h\n1 g
      6269 1665 N 0 39 38 0 0 -39 h\n1 g 6231 1665 N 0 39 38 0 0 -39 h\n1 g
      6193 1665 N 0 39 38 0 0 -39 h\n.8429 g 6156 1665 N 0 39 37 0 0 -39
      h\n.7054 g 6118 1665 N 0 39 38 0 0 -39 h\n.7318 g 6080 1665 N 0 39 38 0
      0 -39 h\n.7666 g 6042 1665 N 0 39 38 0 0 -39 h\n.8973 g 6004 1665 N 0
      39 38 0 0 -39 h\n1 g 5966 1665 N 0 39 38 0 0 -39 h\n.6355 g 5928 1665 N
      0 39 38 0 0 -39 h\n.2617 g 5890 1665 N 0 39 38 0 0 -39 h\n.2489 g 5852
      1665 N 0 39 38 0 0 -39 h\n.2455 g 5814 1665 N 0 39 38 0 0 -39 h\n.2521
      g 5777 1665 N 0 39 37 0 0 -39 h\n.4689 g 5739 1665 N 0 39 38 0 0 -39
      h\n.8395 g 5701 1665 N 0 39 38 0 0 -39 h\n1 g 5663 1665 N 0 39 38 0 0
      -39 h\n1 g 5625 1665 N 0 39 38 0 0 -39 h\n1 g 5587 1665 N 0 39 38 0 0
      -39 h\n1 g 5549 1665 N 0 39 38 0 0 -39 h\n.8665 g 5511 1665 N 0 39 38 0
      0 -39 h\n.7425 g 5473 1665 N 0 39 38 0 0 -39 h\n.8759 g 5435 1665 N 0
      39 38 0 0 -39 h\n1 g 5398 1665 N 0 39 37 0 0 -39 h\n1 g 5360 1665 N 0
      39 38 0 0 -39 h\n1 g 5322 1665 N 0 39 38 0 0 -39 h\n1 g 5284 1665 N 0
      39 38 0 0 -39 h\n1 g 5246 1665 N 0 39 38 0 0 -39 h\n1 g 5208 1665 N 0
      39 38 0 0 -39 h\n1 g 5170 1665 N 0 39 38 0 0 -39 h\n1 g 5132 1665 N 0
      39 38 0 0 -39 h\n1 g 5094 1665 N 0 39 38 0 0 -39 h\n1 g 5056 1665 N 0
      39 38 0 0 -39 h\n1 g 5019 1665 N 0 39 37 0 0 -39 h\n1 g 4981 1665 N 0
      39 38 0 0 -39 h\n1 g 4943 1665 N 0 39 38 0 0 -39 h\n1 g 4905 1665 N 0
      39 38 0 0 -39 h\n.8752 g 4867 1665 N 0 39 38 0 0 -39 h\n.7648 g 4829
      1665 N 0 39 38 0 0 -39 h\n.7969 g 4791 1665 N 0 39 38 0 0 -39 h\n.9073
      g 4753 1665 N 0 39 38 0 0 -39 h\n1 g 4715 1665 N 0 39 38 0 0 -39
      h\n.8045 g 4677 1665 N 0 39 38 0 0 -39 h\n.8045 g 4640 1665 N 0 39 37 0
      0 -39 h\n1 g 4602 1665 N 0 39 38 0 0 -39 h\n1 g 4564 1665 N 0 39 38 0 0
      -39 h\n.9026 g 4526 1665 N 0 39 38 0 0 -39 h\n.9026 g 4488 1665 N 0 39
      38 0 0 -39 h\n1 g 4450 1665 N 0 39 38 0 0 -39 h\n1 g 4412 1665 N 0 39
      38 0 0 -39 h\n1 g 4374 1665 N 0 39 38 0 0 -39 h\n1 g 4336 1665 N 0 39
      38 0 0 -39 h\n1 g 4298 1665 N 0 39 38 0 0 -39 h\n1 g 4261 1665 N 0 39
      37 0 0 -39 h\n1 g 4223 1665 N 0 39 38 0 0 -39 h\n1 g 4185 1665 N 0 39
      38 0 0 -39 h\n1 g 4147 1665 N 0 39 38 0 0 -39 h\n1 g 4109 1665 N 0 39
      38 0 0 -39 h\n.8047 g 4071 1665 N 0 39 38 0 0 -39 h\n.5404 g 4033 1665
      N 0 39 38 0 0 -39 h\n.4707 g 3995 1665 N 0 39 38 0 0 -39 h\n.6093 g
      3957 1665 N 0 39 38 0 0 -39 h\n.7547 g 3919 1665 N 0 39 38 0 0 -39
      h\n.8803 g 3882 1665 N 0 39 37 0 0 -39 h\n1 g 3844 1665 N 0 39 38 0 0
      -39 h\n1 g 3806 1665 N 0 39 38 0 0 -39 h\n1 g 3768 1665 N 0 39 38 0 0
      -39 h\n1 g 3730 1665 N 0 39 38 0 0 -39 h\n1 g 6307 1626 N 0 39 38 0 0
      -39 h\n1 g 6269 1626 N 0 39 38 0 0 -39 h\n.8581 g 6231 1626 N 0 39 38 0
      0 -39 h\n.8581 g 6193 1626 N 0 39 38 0 0 -39 h\n.6745 g 6156 1626 N 0
      39 37 0 0 -39 h\n.6745 g 6118 1626 N 0 39 38 0 0 -39 h\n.7009 g 6080
      1626 N 0 39 38 0 0 -39 h\n.4792 g 6042 1626 N 0 39 38 0 0 -39 h\n.5946
      g 6004 1626 N 0 39 38 0 0 -39 h\n.6326 g 5966 1626 N 0 39 38 0 0 -39
      h\n.4422 g 5928 1626 N 0 39 38 0 0 -39 h\n.2487 g 5890 1626 N 0 39 38 0
      0 -39 h\n.242 g 5852 1626 N 0 39 38 0 0 -39 h\n.2386 g 5814 1626 N 0 39
      38 0 0 -39 h\n.242 g 5777 1626 N 0 39 37 0 0 -39 h\n.2785 g 5739 1626 N
      0 39 38 0 0 -39 h\n.4829 g 5701 1626 N 0 39 38 0 0 -39 h\n.6716 g 5663
      1626 N 0 39 38 0 0 -39 h\n.8445 g 5625 1626 N 0 39 38 0 0 -39 h\n.9332
      g 5587 1626 N 0 39 38 0 0 -39 h\n.9332 g 5549 1626 N 0 39 38 0 0 -39
      h\n1 g 5511 1626 N 0 39 38 0 0 -39 h\n.7596 g 5473 1626 N 0 39 38 0 0
      -39 h\n.7596 g 5435 1626 N 0 39 38 0 0 -39 h\n1 g 5398 1626 N 0 39 37 0
      0 -39 h\n1 g 5360 1626 N 0 39 38 0 0 -39 h\n1 g 5322 1626 N 0 39 38 0 0
      -39 h\n1 g 5284 1626 N 0 39 38 0 0 -39 h\n1 g 5246 1626 N 0 39 38 0 0
      -39 h\n1 g 5208 1626 N 0 39 38 0 0 -39 h\n1 g 5170 1626 N 0 39 38 0 0
      -39 h\n1 g 5132 1626 N 0 39 38 0 0 -39 h\n1 g 5094 1626 N 0 39 38 0 0
      -39 h\n.8711 g 5056 1626 N 0 39 38 0 0 -39 h\n.7514 g 5019 1626 N 0 39
      37 0 0 -39 h\n.8803 g 4981 1626 N 0 39 38 0 0 -39 h\n1 g 4943 1626 N 0
      39 38 0 0 -39 h\n.8879 g 4905 1626 N 0 39 38 0 0 -39 h\n.658 g 4867
      1626 N 0 39 38 0 0 -39 h\n.6597 g 4829 1626 N 0 39 38 0 0 -39 h\n.7969
      g 4791 1626 N 0 39 38 0 0 -39 h\n.8138 g 4753 1626 N 0 39 38 0 0 -39
      h\n.7776 g 4715 1626 N 0 39 38 0 0 -39 h\n.6302 g 4677 1626 N 0 39 38 0
      0 -39 h\n.7591 g 4640 1626 N 0 39 37 0 0 -39 h\n1 g 4602 1626 N 0 39 38
      0 0 -39 h\n.8774 g 4564 1626 N 0 39 38 0 0 -39 h\n.6898 g 4526 1626 N 0
      39 38 0 0 -39 h\n.8124 g 4488 1626 N 0 39 38 0 0 -39 h\n1 g 4450 1626 N
      0 39 38 0 0 -39 h\n1 g 4412 1626 N 0 39 38 0 0 -39 h\n1 g 4374 1626 N 0
      39 38 0 0 -39 h\n1 g 4336 1626 N 0 39 38 0 0 -39 h\n1 g 4298 1626 N 0
      39 38 0 0 -39 h\n1 g 4261 1626 N 0 39 37 0 0 -39 h\n1 g 4223 1626 N 0
      39 38 0 0 -39 h\n1 g 4185 1626 N 0 39 38 0 0 -39 h\n1 g 4147 1626 N 0
      39 38 0 0 -39 h\n1 g 4109 1626 N 0 39 38 0 0 -39 h\n.7888 g 4071 1626 N
      0 39 38 0 0 -39 h\n.659 g 4033 1626 N 0 39 38 0 0 -39 h\n.6096 g 3995
      1626 N 0 39 38 0 0 -39 h\n.4857 g 3957 1626 N 0 39 38 0 0 -39 h\n.5699
      g 3919 1626 N 0 39 38 0 0 -39 h\n.8236 g 3882 1626 N 0 39 37 0 0 -39
      h\n1 g 3844 1626 N 0 39 38 0 0 -39 h\n1 g 3806 1626 N 0 39 38 0 0 -39
      h\n1 g 3768 1626 N 0 39 38 0 0 -39 h\n1 g 3730 1626 N 0 39 38 0 0 -39
      h\n.9054 g 6307 1587 N 0 40 38 0 0 -40 h\n.7585 g 6269 1587 N 0 40 38 0
      0 -40 h\n.5525 g 6231 1587 N 0 40 38 0 0 -40 h\n.5331 g 6193 1587 N 0
      40 38 0 0 -40 h\n.4925 g 6156 1587 N 0 40 37 0 0 -40 h\n.478 g 6118
      1587 N 0 40 38 0 0 -40 h\n.4672 g 6080 1587 N 0 40 38 0 0 -40 h\n.342 g
      6042 1587 N 0 40 38 0 0 -40 h\n.32 g 6004 1587 N 0 40 38 0 0 -40
      h\n.2481 g 5966 1587 N 0 40 38 0 0 -40 h\n.2377 g 5928 1587 N 0 40 38 0
      0 -40 h\n.2311 g 5890 1587 N 0 40 38 0 0 -40 h\n.2311 g 5852 1587 N 0
      40 38 0 0 -40 h\n.2311 g 5814 1587 N 0 40 38 0 0 -40 h\n.2349 g 5777
      1587 N 0 40 37 0 0 -40 h\n.2519 g 5739 1587 N 0 40 38 0 0 -40 h\n.2934
      g 5701 1587 N 0 40 38 0 0 -40 h\n.5054 g 5663 1587 N 0 40 38 0 0 -40
      h\n.8445 g 5625 1587 N 0 40 38 0 0 -40 h\n.9332 g 5587 1587 N 0 40 38 0
      0 -40 h\n.9332 g 5549 1587 N 0 40 38 0 0 -40 h\n1 g 5511 1587 N 0 40 38
      0 0 -40 h\n.8836 g 5473 1587 N 0 40 38 0 0 -40 h\n.8836 g 5435 1587 N 0
      40 38 0 0 -40 h\n1 g 5398 1587 N 0 40 37 0 0 -40 h\n.8702 g 5360 1587 N
      0 40 38 0 0 -40 h\n.8702 g 5322 1587 N 0 40 38 0 0 -40 h\n.8532 g 5284
      1587 N 0 40 38 0 0 -40 h\n.7234 g 5246 1587 N 0 40 38 0 0 -40 h\n.7505
      g 5208 1587 N 0 40 38 0 0 -40 h\n.8803 g 5170 1587 N 0 40 38 0 0 -40
      h\n1 g 5132 1587 N 0 40 38 0 0 -40 h\n.9094 g 5094 1587 N 0 40 38 0 0
      -40 h\n.6409 g 5056 1587 N 0 40 38 0 0 -40 h\n.4991 g 5019 1587 N 0 40
      37 0 0 -40 h\n.7677 g 4981 1587 N 0 40 38 0 0 -40 h\n1 g 4943 1587 N 0
      40 38 0 0 -40 h\n.8879 g 4905 1587 N 0 40 38 0 0 -40 h\n.6385 g 4867
      1587 N 0 40 38 0 0 -40 h\n.6063 g 4829 1587 N 0 40 38 0 0 -40 h\n.8557
      g 4791 1587 N 0 40 38 0 0 -40 h\n.9065 g 4753 1587 N 0 40 38 0 0 -40
      h\n.646 g 4715 1587 N 0 40 38 0 0 -40 h\n.4693 g 4677 1587 N 0 40 38 0
      0 -40 h\n.7298 g 4640 1587 N 0 40 37 0 0 -40 h\n.8727 g 4602 1587 N 0
      40 38 0 0 -40 h\n.6237 g 4564 1587 N 0 40 38 0 0 -40 h\n.531 g 4526
      1587 N 0 40 38 0 0 -40 h\n.6739 g 4488 1587 N 0 40 38 0 0 -40 h\n.8939
      g 4450 1587 N 0 40 38 0 0 -40 h\n.8823 g 4412 1587 N 0 40 38 0 0 -40
      h\n.8823 g 4374 1587 N 0 40 38 0 0 -40 h\n1 g 4336 1587 N 0 40 38 0 0
      -40 h\n1 g 4298 1587 N 0 40 38 0 0 -40 h\n1 g 4261 1587 N 0 40 37 0 0
      -40 h\n1 g 4223 1587 N 0 40 38 0 0 -40 h\n1 g 4185 1587 N 0 40 38 0 0
      -40 h\n1 g 4147 1587 N 0 40 38 0 0 -40 h\n1 g 4109 1587 N 0 40 38 0 0
      -40 h\n.8939 g 4071 1587 N 0 40 38 0 0 -40 h\n.8939 g 4033 1587 N 0 40
      38 0 0 -40 h\n.8711 g 3995 1587 N 0 40 38 0 0 -40 h\n.6173 g 3957 1587
      N 0 40 38 0 0 -40 h\n.6896 g 3919 1587 N 0 40 38 0 0 -40 h\n.9433 g
      3882 1587 N 0 40 37 0 0 -40 h\n1 g 3844 1587 N 0 40 38 0 0 -40 h\n1 g
      3806 1587 N 0 40 38 0 0 -40 h\n1 g 3768 1587 N 0 40 38 0 0 -40 h\n1 g
      3730 1587 N 0 40 38 0 0 -40 h\n.6392 g 6307 1547 N 0 39 38 0 0 -39
      h\n.6231 g 6269 1547 N 0 39 38 0 0 -39 h\n.5609 g 6231 1547 N 0 39 38 0
      0 -39 h\n.3844 g 6193 1547 N 0 39 38 0 0 -39 h\n.3834 g 6156 1547 N 0
      39 37 0 0 -39 h\n.3452 g 6118 1547 N 0 39 38 0 0 -39 h\n.2679 g 6080
      1547 N 0 39 38 0 0 -39 h\n.2521 g 6042 1547 N 0 39 38 0 0 -39 h\n.2383
      g 6004 1547 N 0 39 38 0 0 -39 h\n.2233 g 5966 1547 N 0 39 38 0 0 -39
      h\n.2154 g 5928 1547 N 0 39 38 0 0 -39 h\n.2154 g 5890 1547 N 0 39 38 0
      0 -39 h\n.2154 g 5852 1547 N 0 39 38 0 0 -39 h\n.2154 g 5814 1547 N 0
      39 38 0 0 -39 h\n.2233 g 5777 1547 N 0 39 37 0 0 -39 h\n.2613 g 5739
      1547 N 0 39 38 0 0 -39 h\n.4794 g 5701 1547 N 0 39 38 0 0 -39 h\n.8337
      g 5663 1547 N 0 39 38 0 0 -39 h\n1 g 5625 1547 N 0 39 38 0 0 -39 h\n1 g
      5587 1547 N 0 39 38 0 0 -39 h\n1 g 5549 1547 N 0 39 38 0 0 -39 h\n1 g
      5511 1547 N 0 39 38 0 0 -39 h\n.8907 g 5473 1547 N 0 39 38 0 0 -39
      h\n.7582 g 5435 1547 N 0 39 38 0 0 -39 h\n.7232 g 5398 1547 N 0 39 37 0
      0 -39 h\n.572 g 5360 1547 N 0 39 38 0 0 -39 h\n.5575 g 5322 1547 N 0 39
      38 0 0 -39 h\n.5806 g 5284 1547 N 0 39 38 0 0 -39 h\n.6095 g 5246 1547
      N 0 39 38 0 0 -39 h\n.6518 g 5208 1547 N 0 39 38 0 0 -39 h\n.7816 g
      5170 1547 N 0 39 38 0 0 -39 h\n.8702 g 5132 1547 N 0 39 38 0 0 -39
      h\n.6353 g 5094 1547 N 0 39 38 0 0 -39 h\n.4716 g 5056 1547 N 0 39 38 0
      0 -39 h\n.52 g 5019 1547 N 0 39 37 0 0 -39 h\n.8135 g 4981 1547 N 0 39
      38 0 0 -39 h\n.8532 g 4943 1547 N 0 39 38 0 0 -39 h\n.8532 g 4905 1547
      N 0 39 38 0 0 -39 h\n.7076 g 4867 1547 N 0 39 38 0 0 -39 h\n.4138 g
      4829 1547 N 0 39 38 0 0 -39 h\n.5594 g 4791 1547 N 0 39 38 0 0 -39
      h\n.7089 g 4753 1547 N 0 39 38 0 0 -39 h\n.5822 g 4715 1547 N 0 39 38 0
      0 -39 h\n.4472 g 4677 1547 N 0 39 38 0 0 -39 h\n.5822 g 4640 1547 N 0
      39 37 0 0 -39 h\n.5978 g 4602 1547 N 0 39 38 0 0 -39 h\n.4764 g 4564
      1547 N 0 39 38 0 0 -39 h\n.4787 g 4526 1547 N 0 39 38 0 0 -39 h\n.5035
      g 4488 1547 N 0 39 38 0 0 -39 h\n.6401 g 4450 1547 N 0 39 38 0 0 -39
      h\n.6334 g 4412 1547 N 0 39 38 0 0 -39 h\n.7583 g 4374 1547 N 0 39 38 0
      0 -39 h\n1 g 4336 1547 N 0 39 38 0 0 -39 h\n1 g 4298 1547 N 0 39 38 0 0
      -39 h\n1 g 4261 1547 N 0 39 37 0 0 -39 h\n1 g 4223 1547 N 0 39 38 0 0
      -39 h\n1 g 4185 1547 N 0 39 38 0 0 -39 h\n1 g 4147 1547 N 0 39 38 0 0
      -39 h\n1 g 4109 1547 N 0 39 38 0 0 -39 h\n1 g 4071 1547 N 0 39 38 0 0
      -39 h\n1 g 4033 1547 N 0 39 38 0 0 -39 h\n1 g 3995 1547 N 0 39 38 0 0
      -39 h\n.7511 g 3957 1547 N 0 39 38 0 0 -39 h\n.63 g 3919 1547 N 0 39 38
      0 0 -39 h\n.8789 g 3882 1547 N 0 39 37 0 0 -39 h\n1 g 3844 1547 N 0 39
      38 0 0 -39 h\n1 g 3806 1547 N 0 39 38 0 0 -39 h\n1 g 3768 1547 N 0 39
      38 0 0 -39 h\n1 g 3730 1547 N 0 39 38 0 0 -39 h\n.7339 g 6307 1508 N 0
      39 38 0 0 -39 h\n.8646 g 6269 1508 N 0 39 38 0 0 -39 h\n.8665 g 6231
      1508 N 0 39 38 0 0 -39 h\n.7094 g 6193 1508 N 0 39 38 0 0 -39 h\n.7225
      g 6156 1508 N 0 39 37 0 0 -39 h\n.5181 g 6118 1508 N 0 39 38 0 0 -39
      h\n.2647 g 6080 1508 N 0 39 38 0 0 -39 h\n.2455 g 6042 1508 N 0 39 38 0
      0 -39 h\n.227 g 6004 1508 N 0 39 38 0 0 -39 h\n.2113 g 5966 1508 N 0 39
      38 0 0 -39 h\n.2072 g 5928 1508 N 0 39 38 0 0 -39 h\n.2072 g 5890 1508
      N 0 39 38 0 0 -39 h\n.2027 g 5852 1508 N 0 39 38 0 0 -39 h\n.2027 g
      5814 1508 N 0 39 38 0 0 -39 h\n.2113 g 5777 1508 N 0 39 37 0 0 -39
      h\n.243 g 5739 1508 N 0 39 38 0 0 -39 h\n.4546 g 5701 1508 N 0 39 38 0
      0 -39 h\n.6355 g 5663 1508 N 0 39 38 0 0 -39 h\n.652 g 5625 1508 N 0 39
      38 0 0 -39 h\n.8357 g 5587 1508 N 0 39 38 0 0 -39 h\n1 g 5549 1508 N 0
      39 38 0 0 -39 h\n1 g 5511 1508 N 0 39 38 0 0 -39 h\n.8907 g 5473 1508 N
      0 39 38 0 0 -39 h\n.7582 g 5435 1508 N 0 39 38 0 0 -39 h\n.7232 g 5398
      1508 N 0 39 37 0 0 -39 h\n.5523 g 5360 1508 N 0 39 38 0 0 -39 h\n.3716
      g 5322 1508 N 0 39 38 0 0 -39 h\n.3948 g 5284 1508 N 0 39 38 0 0 -39
      h\n.7199 g 5246 1508 N 0 39 38 0 0 -39 h\n.9013 g 5208 1508 N 0 39 38 0
      0 -39 h\n.7816 g 5170 1508 N 0 39 38 0 0 -39 h\n.7505 g 5132 1508 N 0
      39 38 0 0 -39 h\n.5924 g 5094 1508 N 0 39 38 0 0 -39 h\n.4096 g 5056
      1508 N 0 39 38 0 0 -39 h\n.453 g 5019 1508 N 0 39 37 0 0 -39 h\n.6069 g
      4981 1508 N 0 39 38 0 0 -39 h\n.5373 g 4943 1508 N 0 39 38 0 0 -39
      h\n.5422 g 4905 1508 N 0 39 38 0 0 -39 h\n.5456 g 4867 1508 N 0 39 38 0
      0 -39 h\n.399 g 4829 1508 N 0 39 38 0 0 -39 h\n.4046 g 4791 1508 N 0 39
      38 0 0 -39 h\n.4152 g 4753 1508 N 0 39 38 0 0 -39 h\n.4252 g 4715 1508
      N 0 39 38 0 0 -39 h\n.4335 g 4677 1508 N 0 39 38 0 0 -39 h\n.4435 g
      4640 1508 N 0 39 37 0 0 -39 h\n.4541 g 4602 1508 N 0 39 38 0 0 -39
      h\n.4622 g 4564 1508 N 0 39 38 0 0 -39 h\n.4733 g 4526 1508 N 0 39 38 0
      0 -39 h\n.4833 g 4488 1508 N 0 39 38 0 0 -39 h\n.4909 g 4450 1508 N 0
      39 38 0 0 -39 h\n.4998 g 4412 1508 N 0 39 38 0 0 -39 h\n.6293 g 4374
      1508 N 0 39 38 0 0 -39 h\n.7584 g 4336 1508 N 0 39 38 0 0 -39 h\n.7733
      g 4298 1508 N 0 39 38 0 0 -39 h\n.8923 g 4261 1508 N 0 39 37 0 0 -39
      h\n.8978 g 4223 1508 N 0 39 38 0 0 -39 h\n.8978 g 4185 1508 N 0 39 38 0
      0 -39 h\n1 g 4147 1508 N 0 39 38 0 0 -39 h\n1 g 4109 1508 N 0 39 38 0 0
      -39 h\n1 g 4071 1508 N 0 39 38 0 0 -39 h\n1 g 4033 1508 N 0 39 38 0 0
      -39 h\n.9038 g 3995 1508 N 0 39 38 0 0 -39 h\n.6615 g 3957 1508 N 0 39
      38 0 0 -39 h\n.5183 g 3919 1508 N 0 39 38 0 0 -39 h\n.6569 g 3882 1508
      N 0 39 37 0 0 -39 h\n.8963 g 3844 1508 N 0 39 38 0 0 -39 h\n1 g 3806
      1508 N 0 39 38 0 0 -39 h\n1 g 3768 1508 N 0 39 38 0 0 -39 h\n1 g 3730
      1508 N 0 39 38 0 0 -39 h\n1 g 6307 1469 N 0 39 38 0 0 -39 h\n1 g 6269
      1469 N 0 39 38 0 0 -39 h\n1 g 6231 1469 N 0 39 38 0 0 -39 h\n1 g 6193
      1469 N 0 39 38 0 0 -39 h\n.8429 g 6156 1469 N 0 39 37 0 0 -39 h\n.4842
      g 6118 1469 N 0 39 38 0 0 -39 h\n.2707 g 6080 1469 N 0 39 38 0 0 -39
      h\n.2449 g 6042 1469 N 0 39 38 0 0 -39 h\n.2192 g 6004 1469 N 0 39 38 0
      0 -39 h\n.2072 g 5966 1469 N 0 39 38 0 0 -39 h\n.2027 g 5928 1469 N 0
      39 38 0 0 -39 h\n.1982 g 5890 1469 N 0 39 38 0 0 -39 h\n.1936 g 5852
      1469 N 0 39 38 0 0 -39 h\n.1936 g 5814 1469 N 0 39 38 0 0 -39 h\n.1982
      g 5777 1469 N 0 39 37 0 0 -39 h\n.2068 g 5739 1469 N 0 39 38 0 0 -39
      h\n.2288 g 5701 1469 N 0 39 38 0 0 -39 h\n.2432 g 5663 1469 N 0 39 38 0
      0 -39 h\n.3055 g 5625 1469 N 0 39 38 0 0 -39 h\n.5459 g 5587 1469 N 0
      39 38 0 0 -39 h\n.74 g 5549 1469 N 0 39 38 0 0 -39 h\n.8774 g 5511 1469
      N 0 39 38 0 0 -39 h\n.8429 g 5473 1469 N 0 39 38 0 0 -39 h\n.8429 g
      5435 1469 N 0 39 38 0 0 -39 h\n1 g 5398 1469 N 0 39 37 0 0 -39 h\n.8505
      g 5360 1469 N 0 39 38 0 0 -39 h\n.5136 g 5322 1469 N 0 39 38 0 0 -39
      h\n.324 g 5284 1469 N 0 39 38 0 0 -39 h\n.4879 g 5246 1469 N 0 39 38 0
      0 -39 h\n.6608 g 5208 1469 N 0 39 38 0 0 -39 h\n.5535 g 5170 1469 N 0
      39 38 0 0 -39 h\n.5593 g 5132 1469 N 0 39 38 0 0 -39 h\n.706 g 5094
      1469 N 0 39 38 0 0 -39 h\n.5454 g 5056 1469 N 0 39 38 0 0 -39 h\n.356 g
      5019 1469 N 0 39 37 0 0 -39 h\n.3578 g 4981 1469 N 0 39 38 0 0 -39
      h\n.3649 g 4943 1469 N 0 39 38 0 0 -39 h\n.3748 g 4905 1469 N 0 39 38 0
      0 -39 h\n.3844 g 4867 1469 N 0 39 38 0 0 -39 h\n.3933 g 4829 1469 N 0
      39 38 0 0 -39 h\n.4083 g 4791 1469 N 0 39 38 0 0 -39 h\n.5632 g 4753
      1469 N 0 39 38 0 0 -39 h\n.5717 g 4715 1469 N 0 39 38 0 0 -39 h\n.5765
      g 4677 1469 N 0 39 38 0 0 -39 h\n.7228 g 4640 1469 N 0 39 37 0 0 -39
      h\n.5993 g 4602 1469 N 0 39 38 0 0 -39 h\n.4853 g 4564 1469 N 0 39 38 0
      0 -39 h\n.5197 g 4526 1469 N 0 39 38 0 0 -39 h\n.5195 g 4488 1469 N 0
      39 38 0 0 -39 h\n.6221 g 4450 1469 N 0 39 38 0 0 -39 h\n.7487 g 4412
      1469 N 0 39 38 0 0 -39 h\n.633 g 4374 1469 N 0 39 38 0 0 -39 h\n.5197 g
      4336 1469 N 0 39 38 0 0 -39 h\n.538 g 4298 1469 N 0 39 38 0 0 -39
      h\n.6615 g 4261 1469 N 0 39 37 0 0 -39 h\n.7839 g 4223 1469 N 0 39 38 0
      0 -39 h\n.8061 g 4185 1469 N 0 39 38 0 0 -39 h\n.9084 g 4147 1469 N 0
      39 38 0 0 -39 h\n1 g 4109 1469 N 0 39 38 0 0 -39 h\n1 g 4071 1469 N 0
      39 38 0 0 -39 h\n1 g 4033 1469 N 0 39 38 0 0 -39 h\n.9038 g 3995 1469 N
      0 39 38 0 0 -39 h\n.723 g 3957 1469 N 0 39 38 0 0 -39 h\n.5839 g 3919
      1469 N 0 39 38 0 0 -39 h\n.661 g 3882 1469 N 0 39 37 0 0 -39 h\n.8963 g
      3844 1469 N 0 39 38 0 0 -39 h\n1 g 3806 1469 N 0 39 38 0 0 -39 h\n1 g
      3768 1469 N 0 39 38 0 0 -39 h\n1 g 3730 1469 N 0 39 38 0 0 -39 h\n.8476
      g 6307 1430 N 0 39 38 0 0 -39 h\n1 g 6269 1430 N 0 39 38 0 0 -39 h\n1 g
      6231 1430 N 0 39 38 0 0 -39 h\n1 g 6193 1430 N 0 39 38 0 0 -39 h\n.6905
      g 6156 1430 N 0 39 37 0 0 -39 h\n.5126 g 6118 1430 N 0 39 38 0 0 -39
      h\n.6383 g 6080 1430 N 0 39 38 0 0 -39 h\n.4318 g 6042 1430 N 0 39 38 0
      0 -39 h\n.2192 g 6004 1430 N 0 39 38 0 0 -39 h\n.2027 g 5966 1430 N 0
      39 38 0 0 -39 h\n.1936 g 5928 1430 N 0 39 38 0 0 -39 h\n.1891 g 5890
      1430 N 0 39 38 0 0 -39 h\n.1891 g 5852 1430 N 0 39 38 0 0 -39 h\n.1891
      g 5814 1430 N 0 39 38 0 0 -39 h\n.1891 g 5777 1430 N 0 39 37 0 0 -39
      h\n.1936 g 5739 1430 N 0 39 38 0 0 -39 h\n.1982 g 5701 1430 N 0 39 38 0
      0 -39 h\n.2068 g 5663 1430 N 0 39 38 0 0 -39 h\n.265 g 5625 1430 N 0 39
      38 0 0 -39 h\n.5198 g 5587 1430 N 0 39 38 0 0 -39 h\n.623 g 5549 1430 N
      0 39 38 0 0 -39 h\n.5942 g 5511 1430 N 0 39 38 0 0 -39 h\n.4987 g 5473
      1430 N 0 39 38 0 0 -39 h\n.6649 g 5435 1430 N 0 39 38 0 0 -39 h\n1 g
      5398 1430 N 0 39 37 0 0 -39 h\n.8693 g 5360 1430 N 0 39 38 0 0 -39
      h\n.5281 g 5322 1430 N 0 39 38 0 0 -39 h\n.308 g 5284 1430 N 0 39 38 0
      0 -39 h\n.2982 g 5246 1430 N 0 39 38 0 0 -39 h\n.3049 g 5208 1430 N 0
      39 38 0 0 -39 h\n.3223 g 5170 1430 N 0 39 38 0 0 -39 h\n.3331 g 5132
      1430 N 0 39 38 0 0 -39 h\n.496 g 5094 1430 N 0 39 38 0 0 -39 h\n.4987 g
      5056 1430 N 0 39 38 0 0 -39 h\n.3426 g 5019 1430 N 0 39 37 0 0 -39
      h\n.3523 g 4981 1430 N 0 39 38 0 0 -39 h\n.3631 g 4943 1430 N 0 39 38 0
      0 -39 h\n.3763 g 4905 1430 N 0 39 38 0 0 -39 h\n.3873 g 4867 1430 N 0
      39 38 0 0 -39 h\n.5457 g 4829 1430 N 0 39 38 0 0 -39 h\n.7074 g 4791
      1430 N 0 39 38 0 0 -39 h\n.7425 g 4753 1430 N 0 39 38 0 0 -39 h\n.6124
      g 4715 1430 N 0 39 38 0 0 -39 h\n.7269 g 4677 1430 N 0 39 38 0 0 -39
      h\n.8861 g 4640 1430 N 0 39 37 0 0 -39 h\n.7563 g 4602 1430 N 0 39 38 0
      0 -39 h\n.7532 g 4564 1430 N 0 39 38 0 0 -39 h\n.7812 g 4526 1430 N 0
      39 38 0 0 -39 h\n.7757 g 4488 1430 N 0 39 38 0 0 -39 h\n.8774 g 4450
      1430 N 0 39 38 0 0 -39 h\n.8913 g 4412 1430 N 0 39 38 0 0 -39 h\n.6611
      g 4374 1430 N 0 39 38 0 0 -39 h\n.6515 g 4336 1430 N 0 39 38 0 0 -39
      h\n.6508 g 4298 1430 N 0 39 38 0 0 -39 h\n.6553 g 4261 1430 N 0 39 37 0
      0 -39 h\n.7746 g 4223 1430 N 0 39 38 0 0 -39 h\n.6887 g 4185 1430 N 0
      39 38 0 0 -39 h\n.8002 g 4147 1430 N 0 39 38 0 0 -39 h\n1 g 4109 1430 N
      0 39 38 0 0 -39 h\n1 g 4071 1430 N 0 39 38 0 0 -39 h\n1 g 4033 1430 N 0
      39 38 0 0 -39 h\n1 g 3995 1430 N 0 39 38 0 0 -39 h\n.9382 g 3957 1430 N
      0 39 38 0 0 -39 h\n.7067 g 3919 1430 N 0 39 38 0 0 -39 h\n.7685 g 3882
      1430 N 0 39 37 0 0 -39 h\n1 g 3844 1430 N 0 39 38 0 0 -39 h\n1 g 3806
      1430 N 0 39 38 0 0 -39 h\n1 g 3768 1430 N 0 39 38 0 0 -39 h\n1 g 3730
      1430 N 0 39 38 0 0 -39 h\n.4967 g 6307 1391 N 0 39 38 0 0 -39 h\n.67 g
      6269 1391 N 0 39 38 0 0 -39 h\n.8429 g 6231 1391 N 0 39 38 0 0 -39
      h\n.8861 g 6193 1391 N 0 39 38 0 0 -39 h\n.7338 g 6156 1391 N 0 39 37 0
      0 -39 h\n.8476 g 6118 1391 N 0 39 38 0 0 -39 h\n1 g 6080 1391 N 0 39 38
      0 0 -39 h\n.6193 g 6042 1391 N 0 39 38 0 0 -39 h\n.2184 g 6004 1391 N 0
      39 38 0 0 -39 h\n.1886 g 5966 1391 N 0 39 38 0 0 -39 h\n.1789 g 5928
      1391 N 0 39 38 0 0 -39 h\n.1789 g 5890 1391 N 0 39 38 0 0 -39 h\n.1789
      g 5852 1391 N 0 39 38 0 0 -39 h\n.1789 g 5814 1391 N 0 39 38 0 0 -39
      h\n.1789 g 5777 1391 N 0 39 37 0 0 -39 h\n.1789 g 5739 1391 N 0 39 38 0
      0 -39 h\n.184 g 5701 1391 N 0 39 38 0 0 -39 h\n.1936 g 5663 1391 N 0 39
      38 0 0 -39 h\n.2146 g 5625 1391 N 0 39 38 0 0 -39 h\n.6156 g 5587 1391
      N 0 39 38 0 0 -39 h\n.7466 g 5549 1391 N 0 39 38 0 0 -39 h\n.3934 g
      5511 1391 N 0 39 38 0 0 -39 h\n.2785 g 5473 1391 N 0 39 38 0 0 -39
      h\n.4674 g 5435 1391 N 0 39 38 0 0 -39 h\n.7093 g 5398 1391 N 0 39 37 0
      0 -39 h\n.5723 g 5360 1391 N 0 39 38 0 0 -39 h\n.3528 g 5322 1391 N 0
      39 38 0 0 -39 h\n.2953 g 5284 1391 N 0 39 38 0 0 -39 h\n.2826 g 5246
      1391 N 0 39 38 0 0 -39 h\n.2826 g 5208 1391 N 0 39 38 0 0 -39 h\n.2904
      g 5170 1391 N 0 39 38 0 0 -39 h\n.3009 g 5132 1391 N 0 39 38 0 0 -39
      h\n.3106 g 5094 1391 N 0 39 38 0 0 -39 h\n.3221 g 5056 1391 N 0 39 38 0
      0 -39 h\n.3347 g 5019 1391 N 0 39 37 0 0 -39 h\n.3628 g 4981 1391 N 0
      39 38 0 0 -39 h\n.39 g 4943 1391 N 0 39 38 0 0 -39 h\n.4088 g 4905 1391
      N 0 39 38 0 0 -39 h\n.4137 g 4867 1391 N 0 39 38 0 0 -39 h\n.6061 g
      4829 1391 N 0 39 38 0 0 -39 h\n.7916 g 4791 1391 N 0 39 38 0 0 -39
      h\n.7746 g 4753 1391 N 0 39 38 0 0 -39 h\n.7521 g 4715 1391 N 0 39 38 0
      0 -39 h\n.8665 g 4677 1391 N 0 39 38 0 0 -39 h\n.8861 g 4640 1391 N 0
      39 37 0 0 -39 h\n.8861 g 4602 1391 N 0 39 38 0 0 -39 h\n1 g 4564 1391 N
      0 39 38 0 0 -39 h\n1 g 4526 1391 N 0 39 38 0 0 -39 h\n1 g 4488 1391 N 0
      39 38 0 0 -39 h\n1 g 4450 1391 N 0 39 38 0 0 -39 h\n.8913 g 4412 1391 N
      0 39 38 0 0 -39 h\n.7815 g 4374 1391 N 0 39 38 0 0 -39 h\n.8902 g 4336
      1391 N 0 39 38 0 0 -39 h\n.8861 g 4298 1391 N 0 39 38 0 0 -39 h\n.7839
      g 4261 1391 N 0 39 37 0 0 -39 h\n.6901 g 4223 1391 N 0 39 38 0 0 -39
      h\n.5765 g 4185 1391 N 0 39 38 0 0 -39 h\n.6795 g 4147 1391 N 0 39 38 0
      0 -39 h\n.837 g 4109 1391 N 0 39 38 0 0 -39 h\n.9417 g 4071 1391 N 0 39
      38 0 0 -39 h\n1 g 4033 1391 N 0 39 38 0 0 -39 h\n1 g 3995 1391 N 0 39
      38 0 0 -39 h\n.9091 g 3957 1391 N 0 39 38 0 0 -39 h\n.6831 g 3919 1391
      N 0 39 38 0 0 -39 h\n.6912 g 3882 1391 N 0 39 37 0 0 -39 h\n.9172 g
      3844 1391 N 0 39 38 0 0 -39 h\n1 g 3806 1391 N 0 39 38 0 0 -39 h\n1 g
      3768 1391 N 0 39 38 0 0 -39 h\n1 g 3730 1391 N 0 39 38 0 0 -39 h\n.2684
      g 6307 1352 N 0 39 38 0 0 -39 h\n.4797 g 6269 1352 N 0 39 38 0 0 -39
      h\n.8429 g 6231 1352 N 0 39 38 0 0 -39 h\n.8861 g 6193 1352 N 0 39 38 0
      0 -39 h\n.7658 g 6156 1352 N 0 39 37 0 0 -39 h\n.8796 g 6118 1352 N 0
      39 38 0 0 -39 h\n.8059 g 6080 1352 N 0 39 38 0 0 -39 h\n.4128 g 6042
      1352 N 0 39 38 0 0 -39 h\n.1964 g 6004 1352 N 0 39 38 0 0 -39 h\n.1739
      g 5966 1352 N 0 39 38 0 0 -39 h\n.1688 g 5928 1352 N 0 39 38 0 0 -39
      h\n.1688 g 5890 1352 N 0 39 38 0 0 -39 h\n.1688 g 5852 1352 N 0 39 38 0
      0 -39 h\n.1688 g 5814 1352 N 0 39 38 0 0 -39 h\n.1688 g 5777 1352 N 0
      39 37 0 0 -39 h\n.1688 g 5739 1352 N 0 39 38 0 0 -39 h\n.1739 g 5701
      1352 N 0 39 38 0 0 -39 h\n.1789 g 5663 1352 N 0 39 38 0 0 -39 h\n.1927
      g 5625 1352 N 0 39 38 0 0 -39 h\n.4091 g 5587 1352 N 0 39 38 0 0 -39
      h\n.4754 g 5549 1352 N 0 39 38 0 0 -39 h\n.2885 g 5511 1352 N 0 39 38 0
      0 -39 h\n.2346 g 5473 1352 N 0 39 38 0 0 -39 h\n.2609 g 5435 1352 N 0
      39 38 0 0 -39 h\n.346 g 5398 1352 N 0 39 37 0 0 -39 h\n.3432 g 5360
      1352 N 0 39 38 0 0 -39 h\n.2802 g 5322 1352 N 0 39 38 0 0 -39 h\n.2733
      g 5284 1352 N 0 39 38 0 0 -39 h\n.2711 g 5246 1352 N 0 39 38 0 0 -39
      h\n.274 g 5208 1352 N 0 39 38 0 0 -39 h\n.2826 g 5170 1352 N 0 39 38 0
      0 -39 h\n.2933 g 5132 1352 N 0 39 38 0 0 -39 h\n.3081 g 5094 1352 N 0
      39 38 0 0 -39 h\n.3242 g 5056 1352 N 0 39 38 0 0 -39 h\n.3423 g 5019
      1352 N 0 39 37 0 0 -39 h\n.5288 g 4981 1352 N 0 39 38 0 0 -39 h\n.7076
      g 4943 1352 N 0 39 38 0 0 -39 h\n.7182 g 4905 1352 N 0 39 38 0 0 -39
      h\n.5825 g 4867 1352 N 0 39 38 0 0 -39 h\n.5154 g 4829 1352 N 0 39 38 0
      0 -39 h\n.6845 g 4791 1352 N 0 39 38 0 0 -39 h\n.8891 g 4753 1352 N 0
      39 38 0 0 -39 h\n1 g 4715 1352 N 0 39 38 0 0 -39 h\n1 g 4677 1352 N 0
      39 38 0 0 -39 h\n1 g 4640 1352 N 0 39 37 0 0 -39 h\n1 g 4602 1352 N 0
      39 38 0 0 -39 h\n1 g 4564 1352 N 0 39 38 0 0 -39 h\n1 g 4526 1352 N 0
      39 38 0 0 -39 h\n1 g 4488 1352 N 0 39 38 0 0 -39 h\n1 g 4450 1352 N 0
      39 38 0 0 -39 h\n1 g 4412 1352 N 0 39 38 0 0 -39 h\n1 g 4374 1352 N 0
      39 38 0 0 -39 h\n1 g 4336 1352 N 0 39 38 0 0 -39 h\n1 g 4298 1352 N 0
      39 38 0 0 -39 h\n.8978 g 4261 1352 N 0 39 37 0 0 -39 h\n.8016 g 4223
      1352 N 0 39 38 0 0 -39 h\n.7961 g 4185 1352 N 0 39 38 0 0 -39 h\n.685 g
      4147 1352 N 0 39 38 0 0 -39 h\n.6335 g 4109 1352 N 0 39 38 0 0 -39
      h\n.7706 g 4071 1352 N 0 39 38 0 0 -39 h\n.9298 g 4033 1352 N 0 39 38 0
      0 -39 h\n1 g 3995 1352 N 0 39 38 0 0 -39 h\n.9091 g 3957 1352 N 0 39 38
      0 0 -39 h\n.6889 g 3919 1352 N 0 39 38 0 0 -39 h\n.5913 g 3882 1352 N 0
      39 37 0 0 -39 h\n.8116 g 3844 1352 N 0 39 38 0 0 -39 h\n1 g 3806 1352 N
      0 39 38 0 0 -39 h\n1 g 3768 1352 N 0 39 38 0 0 -39 h\n1 g 3730 1352 N 0
      39 38 0 0 -39 h\n.2229 g 6307 1313 N 0 40 38 0 0 -40 h\n.4245 g 6269
      1313 N 0 40 38 0 0 -40 h\n.8131 g 6231 1313 N 0 40 38 0 0 -40 h\n1 g
      6193 1313 N 0 40 38 0 0 -40 h\n.8796 g 6156 1313 N 0 40 37 0 0 -40
      h\n.7016 g 6118 1313 N 0 40 38 0 0 -40 h\n.4297 g 6080 1313 N 0 40 38 0
      0 -40 h\n.1972 g 6042 1313 N 0 40 38 0 0 -40 h\n.1739 g 6004 1313 N 0
      40 38 0 0 -40 h\n.1688 g 5966 1313 N 0 40 38 0 0 -40 h\n.1631 g 5928
      1313 N 0 40 38 0 0 -40 h\n.1573 g 5890 1313 N 0 40 38 0 0 -40 h\n.1573
      g 5852 1313 N 0 40 38 0 0 -40 h\n.1573 g 5814 1313 N 0 40 38 0 0 -40
      h\n.1573 g 5777 1313 N 0 40 37 0 0 -40 h\n.1573 g 5739 1313 N 0 40 38 0
      0 -40 h\n.1631 g 5701 1313 N 0 40 38 0 0 -40 h\n.1688 g 5663 1313 N 0
      40 38 0 0 -40 h\n.1739 g 5625 1313 N 0 40 38 0 0 -40 h\n.1927 g 5587
      1313 N 0 40 38 0 0 -40 h\n.2064 g 5549 1313 N 0 40 38 0 0 -40 h\n.2109
      g 5511 1313 N 0 40 38 0 0 -40 h\n.2154 g 5473 1313 N 0 40 38 0 0 -40
      h\n.2192 g 5435 1313 N 0 40 38 0 0 -40 h\n.2445 g 5398 1313 N 0 40 37 0
      0 -40 h\n.2557 g 5360 1313 N 0 40 38 0 0 -40 h\n.2455 g 5322 1313 N 0
      40 38 0 0 -40 h\n.2521 g 5284 1313 N 0 40 38 0 0 -40 h\n.2619 g 5246
      1313 N 0 40 38 0 0 -40 h\n.2711 g 5208 1313 N 0 40 38 0 0 -40 h\n.2852
      g 5170 1313 N 0 40 38 0 0 -40 h\n.3007 g 5132 1313 N 0 40 38 0 0 -40
      h\n.3671 g 5094 1313 N 0 40 38 0 0 -40 h\n.3863 g 5056 1313 N 0 40 38 0
      0 -40 h\n.3954 g 5019 1313 N 0 40 37 0 0 -40 h\n.7222 g 4981 1313 N 0
      40 38 0 0 -40 h\n1 g 4943 1313 N 0 40 38 0 0 -40 h\n.8879 g 4905 1313 N
      0 40 38 0 0 -40 h\n.7535 g 4867 1313 N 0 40 38 0 0 -40 h\n.7584 g 4829
      1313 N 0 40 38 0 0 -40 h\n.8929 g 4791 1313 N 0 40 38 0 0 -40 h\n1 g
      4753 1313 N 0 40 38 0 0 -40 h\n1 g 4715 1313 N 0 40 38 0 0 -40 h\n1 g
      4677 1313 N 0 40 38 0 0 -40 h\n1 g 4640 1313 N 0 40 37 0 0 -40 h\n1 g
      4602 1313 N 0 40 38 0 0 -40 h\n1 g 4564 1313 N 0 40 38 0 0 -40 h\n1 g
      4526 1313 N 0 40 38 0 0 -40 h\n1 g 4488 1313 N 0 40 38 0 0 -40 h\n1 g
      4450 1313 N 0 40 38 0 0 -40 h\n1 g 4412 1313 N 0 40 38 0 0 -40 h\n1 g
      4374 1313 N 0 40 38 0 0 -40 h\n1 g 4336 1313 N 0 40 38 0 0 -40 h\n1 g
      4298 1313 N 0 40 38 0 0 -40 h\n1 g 4261 1313 N 0 40 37 0 0 -40 h\n1 g
      4223 1313 N 0 40 38 0 0 -40 h\n1 g 4185 1313 N 0 40 38 0 0 -40 h\n.8973
      g 4147 1313 N 0 40 38 0 0 -40 h\n.6977 g 4109 1313 N 0 40 38 0 0 -40
      h\n.6333 g 4071 1313 N 0 40 38 0 0 -40 h\n.8328 g 4033 1313 N 0 40 38 0
      0 -40 h\n1 g 3995 1313 N 0 40 38 0 0 -40 h\n1 g 3957 1313 N 0 40 38 0 0
      -40 h\n.7867 g 3919 1313 N 0 40 38 0 0 -40 h\n.6811 g 3882 1313 N 0 40
      37 0 0 -40 h\n.8944 g 3844 1313 N 0 40 38 0 0 -40 h\n1 g 3806 1313 N 0
      40 38 0 0 -40 h\n1 g 3768 1313 N 0 40 38 0 0 -40 h\n1 g 3730 1313 N 0
      40 38 0 0 -40 h\n.188 g 6307 1273 N 0 39 38 0 0 -39 h\n.2044 g 6269
      1273 N 0 39 38 0 0 -39 h\n.4122 g 6231 1273 N 0 39 38 0 0 -39 h\n.5991
      g 6193 1273 N 0 39 38 0 0 -39 h\n.6193 g 6156 1273 N 0 39 37 0 0 -39
      h\n.4985 g 6118 1273 N 0 39 38 0 0 -39 h\n.2756 g 6080 1273 N 0 39 38 0
      0 -39 h\n.1835 g 6042 1273 N 0 39 38 0 0 -39 h\n.1631 g 6004 1273 N 0
      39 38 0 0 -39 h\n.1573 g 5966 1273 N 0 39 38 0 0 -39 h\n.1516 g 5928
      1273 N 0 39 38 0 0 -39 h\n.1458 g 5890 1273 N 0 39 38 0 0 -39 h\n.1458
      g 5852 1273 N 0 39 38 0 0 -39 h\n.1458 g 5814 1273 N 0 39 38 0 0 -39
      h\n.1458 g 5777 1273 N 0 39 37 0 0 -39 h\n.1458 g 5739 1273 N 0 39 38 0
      0 -39 h\n.1516 g 5701 1273 N 0 39 38 0 0 -39 h\n.1631 g 5663 1273 N 0
      39 38 0 0 -39 h\n.1688 g 5625 1273 N 0 39 38 0 0 -39 h\n.1739 g 5587
      1273 N 0 39 38 0 0 -39 h\n.184 g 5549 1273 N 0 39 38 0 0 -39 h\n.1936 g
      5511 1273 N 0 39 38 0 0 -39 h\n.2027 g 5473 1273 N 0 39 38 0 0 -39
      h\n.2072 g 5435 1273 N 0 39 38 0 0 -39 h\n.2113 g 5398 1273 N 0 39 37 0
      0 -39 h\n.2233 g 5360 1273 N 0 39 38 0 0 -39 h\n.2349 g 5322 1273 N 0
      39 38 0 0 -39 h\n.242 g 5284 1273 N 0 39 38 0 0 -39 h\n.2521 g 5246
      1273 N 0 39 38 0 0 -39 h\n.2679 g 5208 1273 N 0 39 38 0 0 -39 h\n.4631
      g 5170 1273 N 0 39 38 0 0 -39 h\n.5485 g 5132 1273 N 0 39 38 0 0 -39
      h\n.6075 g 5094 1273 N 0 39 38 0 0 -39 h\n.6265 g 5056 1273 N 0 39 38 0
      0 -39 h\n.4715 g 5019 1273 N 0 39 37 0 0 -39 h\n.6046 g 4981 1273 N 0
      39 38 0 0 -39 h\n.8759 g 4943 1273 N 0 39 38 0 0 -39 h\n.8879 g 4905
      1273 N 0 39 38 0 0 -39 h\n.8879 g 4867 1273 N 0 39 38 0 0 -39 h\n1 g
      4829 1273 N 0 39 38 0 0 -39 h\n1 g 4791 1273 N 0 39 38 0 0 -39 h\n1 g
      4753 1273 N 0 39 38 0 0 -39 h\n1 g 4715 1273 N 0 39 38 0 0 -39 h\n1 g
      4677 1273 N 0 39 38 0 0 -39 h\n1 g 4640 1273 N 0 39 37 0 0 -39 h\n1 g
      4602 1273 N 0 39 38 0 0 -39 h\n1 g 4564 1273 N 0 39 38 0 0 -39 h\n1 g
      4526 1273 N 0 39 38 0 0 -39 h\n1 g 4488 1273 N 0 39 38 0 0 -39 h\n1 g
      4450 1273 N 0 39 38 0 0 -39 h\n1 g 4412 1273 N 0 39 38 0 0 -39 h\n1 g
      4374 1273 N 0 39 38 0 0 -39 h\n.9543 g 4336 1273 N 0 39 38 0 0 -39
      h\n.9543 g 4298 1273 N 0 39 38 0 0 -39 h\n1 g 4261 1273 N 0 39 37 0 0
      -39 h\n1 g 4223 1273 N 0 39 38 0 0 -39 h\n1 g 4185 1273 N 0 39 38 0 0
      -39 h\n1 g 4147 1273 N 0 39 38 0 0 -39 h\n.8298 g 4109 1273 N 0 39 38 0
      0 -39 h\n.637 g 4071 1273 N 0 39 38 0 0 -39 h\n.8072 g 4033 1273 N 0 39
      38 0 0 -39 h\n1 g 3995 1273 N 0 39 38 0 0 -39 h\n1 g 3957 1273 N 0 39
      38 0 0 -39 h\n.8306 g 3919 1273 N 0 39 38 0 0 -39 h\n.748 g 3882 1273 N
      0 39 37 0 0 -39 h\n.9175 g 3844 1273 N 0 39 38 0 0 -39 h\n1 g 3806 1273
      N 0 39 38 0 0 -39 h\n1 g 3768 1273 N 0 39 38 0 0 -39 h\n1 g 3730 1273 N
      0 39 38 0 0 -39 h\n.1573 g 6307 1234 N 0 39 38 0 0 -39 h\n.1624 g 6269
      1234 N 0 39 38 0 0 -39 h\n.172 g 6231 1234 N 0 39 38 0 0 -39 h\n.1777 g
      6193 1234 N 0 39 38 0 0 -39 h\n.2037 g 6156 1234 N 0 39 37 0 0 -39
      h\n.2609 g 6118 1234 N 0 39 38 0 0 -39 h\n.2304 g 6080 1234 N 0 39 38 0
      0 -39 h\n.1624 g 6042 1234 N 0 39 38 0 0 -39 h\n.1516 g 6004 1234 N 0
      39 38 0 0 -39 h\n.1458 g 5966 1234 N 0 39 38 0 0 -39 h\n.1458 g 5928
      1234 N 0 39 38 0 0 -39 h\n.1458 g 5890 1234 N 0 39 38 0 0 -39 h\n.1458
      g 5852 1234 N 0 39 38 0 0 -39 h\n.1458 g 5814 1234 N 0 39 38 0 0 -39
      h\n.1458 g 5777 1234 N 0 39 37 0 0 -39 h\n.1458 g 5739 1234 N 0 39 38 0
      0 -39 h\n.1458 g 5701 1234 N 0 39 38 0 0 -39 h\n.1516 g 5663 1234 N 0
      39 38 0 0 -39 h\n.1631 g 5625 1234 N 0 39 38 0 0 -39 h\n.1688 g 5587
      1234 N 0 39 38 0 0 -39 h\n.1739 g 5549 1234 N 0 39 38 0 0 -39 h\n.184 g
      5511 1234 N 0 39 38 0 0 -39 h\n.1936 g 5473 1234 N 0 39 38 0 0 -39
      h\n.2027 g 5435 1234 N 0 39 38 0 0 -39 h\n.2072 g 5398 1234 N 0 39 37 0
      0 -39 h\n.2154 g 5360 1234 N 0 39 38 0 0 -39 h\n.2311 g 5322 1234 N 0
      39 38 0 0 -39 h\n.2386 g 5284 1234 N 0 39 38 0 0 -39 h\n.2455 g 5246
      1234 N 0 39 38 0 0 -39 h\n.2675 g 5208 1234 N 0 39 38 0 0 -39 h\n.4994
      g 5170 1234 N 0 39 38 0 0 -39 h\n.6542 g 5132 1234 N 0 39 38 0 0 -39
      h\n.7961 g 5094 1234 N 0 39 38 0 0 -39 h\n.8149 g 5056 1234 N 0 39 38 0
      0 -39 h\n.569 g 5019 1234 N 0 39 37 0 0 -39 h\n.6301 g 4981 1234 N 0 39
      38 0 0 -39 h\n.8759 g 4943 1234 N 0 39 38 0 0 -39 h\n1 g 4905 1234 N 0
      39 38 0 0 -39 h\n1 g 4867 1234 N 0 39 38 0 0 -39 h\n1 g 4829 1234 N 0
      39 38 0 0 -39 h\n1 g 4791 1234 N 0 39 38 0 0 -39 h\n1 g 4753 1234 N 0
      39 38 0 0 -39 h\n1 g 4715 1234 N 0 39 38 0 0 -39 h\n1 g 4677 1234 N 0
      39 38 0 0 -39 h\n1 g 4640 1234 N 0 39 37 0 0 -39 h\n1 g 4602 1234 N 0
      39 38 0 0 -39 h\n1 g 4564 1234 N 0 39 38 0 0 -39 h\n1 g 4526 1234 N 0
      39 38 0 0 -39 h\n.9112 g 4488 1234 N 0 39 38 0 0 -39 h\n.9112 g 4450
      1234 N 0 39 38 0 0 -39 h\n.8996 g 4412 1234 N 0 39 38 0 0 -39 h\n.8996
      g 4374 1234 N 0 39 38 0 0 -39 h\n.852 g 4336 1234 N 0 39 38 0 0 -39
      h\n.7538 g 4298 1234 N 0 39 38 0 0 -39 h\n.8177 g 4261 1234 N 0 39 37 0
      0 -39 h\n.916 g 4223 1234 N 0 39 38 0 0 -39 h\n1 g 4185 1234 N 0 39 38
      0 0 -39 h\n1 g 4147 1234 N 0 39 38 0 0 -39 h\n.9285 g 4109 1234 N 0 39
      38 0 0 -39 h\n.7465 g 4071 1234 N 0 39 38 0 0 -39 h\n.818 g 4033 1234 N
      0 39 38 0 0 -39 h\n1 g 3995 1234 N 0 39 38 0 0 -39 h\n1 g 3957 1234 N 0
      39 38 0 0 -39 h\n.8382 g 3919 1234 N 0 39 38 0 0 -39 h\n.7556 g 3882
      1234 N 0 39 37 0 0 -39 h\n.9175 g 3844 1234 N 0 39 38 0 0 -39 h\n1 g
      3806 1234 N 0 39 38 0 0 -39 h\n1 g 3768 1234 N 0 39 38 0 0 -39 h\n.8861
      g 3730 1234 N 0 39 38 0 0 -39 h\n.1458 g 6307 1195 N 0 39 38 0 0 -39
      h\n.1458 g 6269 1195 N 0 39 38 0 0 -39 h\n.1392 g 6231 1195 N 0 39 38 0
      0 -39 h\n.1383 g 6193 1195 N 0 39 38 0 0 -39 h\n.1441 g 6156 1195 N 0
      39 37 0 0 -39 h\n.1441 g 6118 1195 N 0 39 38 0 0 -39 h\n.1383 g 6080
      1195 N 0 39 38 0 0 -39 h\n.1326 g 6042 1195 N 0 39 38 0 0 -39 h\n.1326
      g 6004 1195 N 0 39 38 0 0 -39 h\n.1326 g 5966 1195 N 0 39 38 0 0 -39
      h\n.1326 g 5928 1195 N 0 39 38 0 0 -39 h\n.1392 g 5890 1195 N 0 39 38 0
      0 -39 h\n.1458 g 5852 1195 N 0 39 38 0 0 -39 h\n.1458 g 5814 1195 N 0
      39 38 0 0 -39 h\n.1458 g 5777 1195 N 0 39 37 0 0 -39 h\n.1458 g 5739
      1195 N 0 39 38 0 0 -39 h\n.1458 g 5701 1195 N 0 39 38 0 0 -39 h\n.1458
      g 5663 1195 N 0 39 38 0 0 -39 h\n.1516 g 5625 1195 N 0 39 38 0 0 -39
      h\n.1631 g 5587 1195 N 0 39 38 0 0 -39 h\n.1688 g 5549 1195 N 0 39 38 0
      0 -39 h\n.1789 g 5511 1195 N 0 39 38 0 0 -39 h\n.1891 g 5473 1195 N 0
      39 38 0 0 -39 h\n.1936 g 5435 1195 N 0 39 38 0 0 -39 h\n.2027 g 5398
      1195 N 0 39 37 0 0 -39 h\n.2154 g 5360 1195 N 0 39 38 0 0 -39 h\n.2311
      g 5322 1195 N 0 39 38 0 0 -39 h\n.2386 g 5284 1195 N 0 39 38 0 0 -39
      h\n.2487 g 5246 1195 N 0 39 38 0 0 -39 h\n.4514 g 5208 1195 N 0 39 38 0
      0 -39 h\n.6801 g 5170 1195 N 0 39 38 0 0 -39 h\n.7598 g 5132 1195 N 0
      39 38 0 0 -39 h\n.9017 g 5094 1195 N 0 39 38 0 0 -39 h\n.778 g 5056
      1195 N 0 39 38 0 0 -39 h\n.6845 g 5019 1195 N 0 39 37 0 0 -39 h\n.9065
      g 4981 1195 N 0 39 38 0 0 -39 h\n1 g 4943 1195 N 0 39 38 0 0 -39 h\n1 g
      4905 1195 N 0 39 38 0 0 -39 h\n1 g 4867 1195 N 0 39 38 0 0 -39 h\n1 g
      4829 1195 N 0 39 38 0 0 -39 h\n1 g 4791 1195 N 0 39 38 0 0 -39 h\n1 g
      4753 1195 N 0 39 38 0 0 -39 h\n1 g 4715 1195 N 0 39 38 0 0 -39 h\n1 g
      4677 1195 N 0 39 38 0 0 -39 h\n1 g 4640 1195 N 0 39 37 0 0 -39 h\n1 g
      4602 1195 N 0 39 38 0 0 -39 h\n1 g 4564 1195 N 0 39 38 0 0 -39 h\n1 g
      4526 1195 N 0 39 38 0 0 -39 h\n.9112 g 4488 1195 N 0 39 38 0 0 -39
      h\n.8002 g 4450 1195 N 0 39 38 0 0 -39 h\n.6799 g 4412 1195 N 0 39 38 0
      0 -39 h\n.6867 g 4374 1195 N 0 39 38 0 0 -39 h\n.7936 g 4336 1195 N 0
      39 38 0 0 -39 h\n.7995 g 4298 1195 N 0 39 38 0 0 -39 h\n.8177 g 4261
      1195 N 0 39 37 0 0 -39 h\n.8268 g 4223 1195 N 0 39 38 0 0 -39 h\n.8213
      g 4185 1195 N 0 39 38 0 0 -39 h\n.824 g 4147 1195 N 0 39 38 0 0 -39
      h\n.9135 g 4109 1195 N 0 39 38 0 0 -39 h\n.9138 g 4071 1195 N 0 39 38 0
      0 -39 h\n.8263 g 4033 1195 N 0 39 38 0 0 -39 h\n.9125 g 3995 1195 N 0
      39 38 0 0 -39 h\n1 g 3957 1195 N 0 39 38 0 0 -39 h\n.8072 g 3919 1195 N
      0 39 38 0 0 -39 h\n.7173 g 3882 1195 N 0 39 37 0 0 -39 h\n.9101 g 3844
      1195 N 0 39 38 0 0 -39 h\n1 g 3806 1195 N 0 39 38 0 0 -39 h\n1 g 3768
      1195 N 0 39 38 0 0 -39 h\n.7729 g 3730 1195 N 0 39 38 0 0 -39 h\n.1326
      g 6307 1156 N 0 39 38 0 0 -39 h\n.1326 g 6269 1156 N 0 39 38 0 0 -39
      h\n.1259 g 6231 1156 N 0 39 38 0 0 -39 h\n.1193 g 6193 1156 N 0 39 38 0
      0 -39 h\n.1193 g 6156 1156 N 0 39 37 0 0 -39 h\n.1193 g 6118 1156 N 0
      39 38 0 0 -39 h\n.1193 g 6080 1156 N 0 39 38 0 0 -39 h\n.1193 g 6042
      1156 N 0 39 38 0 0 -39 h\n.1193 g 6004 1156 N 0 39 38 0 0 -39 h\n.1193
      g 5966 1156 N 0 39 38 0 0 -39 h\n.1193 g 5928 1156 N 0 39 38 0 0 -39
      h\n.1259 g 5890 1156 N 0 39 38 0 0 -39 h\n.1326 g 5852 1156 N 0 39 38 0
      0 -39 h\n.1326 g 5814 1156 N 0 39 38 0 0 -39 h\n.1326 g 5777 1156 N 0
      39 37 0 0 -39 h\n.1392 g 5739 1156 N 0 39 38 0 0 -39 h\n.1458 g 5701
      1156 N 0 39 38 0 0 -39 h\n.1458 g 5663 1156 N 0 39 38 0 0 -39 h\n.1458
      g 5625 1156 N 0 39 38 0 0 -39 h\n.1573 g 5587 1156 N 0 39 38 0 0 -39
      h\n.1688 g 5549 1156 N 0 39 38 0 0 -39 h\n.1739 g 5511 1156 N 0 39 38 0
      0 -39 h\n.184 g 5473 1156 N 0 39 38 0 0 -39 h\n.1891 g 5435 1156 N 0 39
      38 0 0 -39 h\n.1982 g 5398 1156 N 0 39 37 0 0 -39 h\n.2154 g 5360 1156
      N 0 39 38 0 0 -39 h\n.2311 g 5322 1156 N 0 39 38 0 0 -39 h\n.242 g 5284
      1156 N 0 39 38 0 0 -39 h\n.2553 g 5246 1156 N 0 39 38 0 0 -39 h\n.4572
      g 5208 1156 N 0 39 38 0 0 -39 h\n.8246 g 5170 1156 N 0 39 38 0 0 -39
      h\n1 g 5132 1156 N 0 39 38 0 0 -39 h\n1 g 5094 1156 N 0 39 38 0 0 -39
      h\n.8665 g 5056 1156 N 0 39 38 0 0 -39 h\n.8665 g 5019 1156 N 0 39 37 0
      0 -39 h\n1 g 4981 1156 N 0 39 38 0 0 -39 h\n1 g 4943 1156 N 0 39 38 0 0
      -39 h\n1 g 4905 1156 N 0 39 38 0 0 -39 h\n1 g 4867 1156 N 0 39 38 0 0
      -39 h\n1 g 4829 1156 N 0 39 38 0 0 -39 h\n1 g 4791 1156 N 0 39 38 0 0
      -39 h\n1 g 4753 1156 N 0 39 38 0 0 -39 h\n1 g 4715 1156 N 0 39 38 0 0
      -39 h\n1 g 4677 1156 N 0 39 38 0 0 -39 h\n1 g 4640 1156 N 0 39 37 0 0
      -39 h\n1 g 4602 1156 N 0 39 38 0 0 -39 h\n.8843 g 4564 1156 N 0 39 38 0
      0 -39 h\n.7679 g 4526 1156 N 0 39 38 0 0 -39 h\n.7692 g 4488 1156 N 0
      39 38 0 0 -39 h\n.7746 g 4450 1156 N 0 39 38 0 0 -39 h\n.6786 g 4412
      1156 N 0 39 38 0 0 -39 h\n.6854 g 4374 1156 N 0 39 38 0 0 -39 h\n.8959
      g 4336 1156 N 0 39 38 0 0 -39 h\n1 g 4298 1156 N 0 39 38 0 0 -39 h\n1 g
      4261 1156 N 0 39 37 0 0 -39 h\n.9108 g 4223 1156 N 0 39 38 0 0 -39
      h\n.8213 g 4185 1156 N 0 39 38 0 0 -39 h\n.824 g 4147 1156 N 0 39 38 0
      0 -39 h\n.8327 g 4109 1156 N 0 39 38 0 0 -39 h\n.9192 g 4071 1156 N 0
      39 38 0 0 -39 h\n.9125 g 4033 1156 N 0 39 38 0 0 -39 h\n.9125 g 3995
      1156 N 0 39 38 0 0 -39 h\n1 g 3957 1156 N 0 39 38 0 0 -39 h\n.8115 g
      3919 1156 N 0 39 38 0 0 -39 h\n.7216 g 3882 1156 N 0 39 37 0 0 -39
      h\n.9101 g 3844 1156 N 0 39 38 0 0 -39 h\n1 g 3806 1156 N 0 39 38 0 0
      -39 h\n1 g 3768 1156 N 0 39 38 0 0 -39 h\n.7752 g 3730 1156 N 0 39 38 0
      0 -39 h\n.1036 g 6307 1117 N 0 39 38 0 0 -39 h\n.1036 g 6269 1117 N 0
      39 38 0 0 -39 h\n.1036 g 6231 1117 N 0 39 38 0 0 -39 h\n.1036 g 6193
      1117 N 0 39 38 0 0 -39 h\n.1036 g 6156 1117 N 0 39 37 0 0 -39 h\n.1036
      g 6118 1117 N 0 39 38 0 0 -39 h\n.1036 g 6080 1117 N 0 39 38 0 0 -39
      h\n.1115 g 6042 1117 N 0 39 38 0 0 -39 h\n.1193 g 6004 1117 N 0 39 38 0
      0 -39 h\n.1193 g 5966 1117 N 0 39 38 0 0 -39 h\n.1193 g 5928 1117 N 0
      39 38 0 0 -39 h\n.1193 g 5890 1117 N 0 39 38 0 0 -39 h\n.1193 g 5852
      1117 N 0 39 38 0 0 -39 h\n.1193 g 5814 1117 N 0 39 38 0 0 -39 h\n.1193
      g 5777 1117 N 0 39 37 0 0 -39 h\n.1259 g 5739 1117 N 0 39 38 0 0 -39
      h\n.1392 g 5701 1117 N 0 39 38 0 0 -39 h\n.1458 g 5663 1117 N 0 39 38 0
      0 -39 h\n.1458 g 5625 1117 N 0 39 38 0 0 -39 h\n.1516 g 5587 1117 N 0
      39 38 0 0 -39 h\n.1631 g 5549 1117 N 0 39 38 0 0 -39 h\n.1688 g 5511
      1117 N 0 39 38 0 0 -39 h\n.1789 g 5473 1117 N 0 39 38 0 0 -39 h\n.1891
      g 5435 1117 N 0 39 38 0 0 -39 h\n.2023 g 5398 1117 N 0 39 37 0 0 -39
      h\n.2267 g 5360 1117 N 0 39 38 0 0 -39 h\n.2557 g 5322 1117 N 0 39 38 0
      0 -39 h\n.2691 g 5284 1117 N 0 39 38 0 0 -39 h\n.2707 g 5246 1117 N 0
      39 38 0 0 -39 h\n.2924 g 5208 1117 N 0 39 38 0 0 -39 h\n.6541 g 5170
      1117 N 0 39 38 0 0 -39 h\n1 g 5132 1117 N 0 39 38 0 0 -39 h\n1 g 5094
      1117 N 0 39 38 0 0 -39 h\n1 g 5056 1117 N 0 39 38 0 0 -39 h\n1 g 5019
      1117 N 0 39 37 0 0 -39 h\n1 g 4981 1117 N 0 39 38 0 0 -39 h\n1 g 4943
      1117 N 0 39 38 0 0 -39 h\n1 g 4905 1117 N 0 39 38 0 0 -39 h\n1 g 4867
      1117 N 0 39 38 0 0 -39 h\n1 g 4829 1117 N 0 39 38 0 0 -39 h\n1 g 4791
      1117 N 0 39 38 0 0 -39 h\n1 g 4753 1117 N 0 39 38 0 0 -39 h\n1 g 4715
      1117 N 0 39 38 0 0 -39 h\n1 g 4677 1117 N 0 39 38 0 0 -39 h\n1 g 4640
      1117 N 0 39 37 0 0 -39 h\n.8789 g 4602 1117 N 0 39 38 0 0 -39 h\n.6428
      g 4564 1117 N 0 39 38 0 0 -39 h\n.5305 g 4526 1117 N 0 39 38 0 0 -39
      h\n.6522 g 4488 1117 N 0 39 38 0 0 -39 h\n.8855 g 4450 1117 N 0 39 38 0
      0 -39 h\n.8982 g 4412 1117 N 0 39 38 0 0 -39 h\n.8982 g 4374 1117 N 0
      39 38 0 0 -39 h\n1 g 4336 1117 N 0 39 38 0 0 -39 h\n1 g 4298 1117 N 0
      39 38 0 0 -39 h\n1 g 4261 1117 N 0 39 37 0 0 -39 h\n1 g 4223 1117 N 0
      39 38 0 0 -39 h\n.92 g 4185 1117 N 0 39 38 0 0 -39 h\n.92 g 4147 1117 N
      0 39 38 0 0 -39 h\n.9192 g 4109 1117 N 0 39 38 0 0 -39 h\n.8456 g 4071
      1117 N 0 39 38 0 0 -39 h\n.8622 g 4033 1117 N 0 39 38 0 0 -39 h\n.9358
      g 3995 1117 N 0 39 38 0 0 -39 h\n.9245 g 3957 1117 N 0 39 38 0 0 -39
      h\n.7577 g 3919 1117 N 0 39 38 0 0 -39 h\n.8332 g 3882 1117 N 0 39 37 0
      0 -39 h\n1 g 3844 1117 N 0 39 38 0 0 -39 h\n1 g 3806 1117 N 0 39 38 0 0
      -39 h\n.8923 g 3768 1117 N 0 39 38 0 0 -39 h\n.703 g 3730 1117 N 0 39
      38 0 0 -39 h\n.0879 g 6307 1078 N 0 39 38 0 0 -39 h\n.0879 g 6269 1078
      N 0 39 38 0 0 -39 h\n.0879 g 6231 1078 N 0 39 38 0 0 -39 h\n.0879 g
      6193 1078 N 0 39 38 0 0 -39 h\n.0879 g 6156 1078 N 0 39 37 0 0 -39
      h\n.0879 g 6118 1078 N 0 39 38 0 0 -39 h\n.0879 g 6080 1078 N 0 39 38 0
      0 -39 h\n.0958 g 6042 1078 N 0 39 38 0 0 -39 h\n.1036 g 6004 1078 N 0
      39 38 0 0 -39 h\n.1115 g 5966 1078 N 0 39 38 0 0 -39 h\n.1193 g 5928
      1078 N 0 39 38 0 0 -39 h\n.1193 g 5890 1078 N 0 39 38 0 0 -39 h\n.1193
      g 5852 1078 N 0 39 38 0 0 -39 h\n.1193 g 5814 1078 N 0 39 38 0 0 -39
      h\n.1193 g 5777 1078 N 0 39 37 0 0 -39 h\n.1193 g 5739 1078 N 0 39 38 0
      0 -39 h\n.1259 g 5701 1078 N 0 39 38 0 0 -39 h\n.1392 g 5663 1078 N 0
      39 38 0 0 -39 h\n.1458 g 5625 1078 N 0 39 38 0 0 -39 h\n.1458 g 5587
      1078 N 0 39 38 0 0 -39 h\n.1573 g 5549 1078 N 0 39 38 0 0 -39 h\n.1688
      g 5511 1078 N 0 39 38 0 0 -39 h\n.1789 g 5473 1078 N 0 39 38 0 0 -39
      h\n.1936 g 5435 1078 N 0 39 38 0 0 -39 h\n.405 g 5398 1078 N 0 39 37 0
      0 -39 h\n.4909 g 5360 1078 N 0 39 38 0 0 -39 h\n.3777 g 5322 1078 N 0
      39 38 0 0 -39 h\n.5119 g 5284 1078 N 0 39 38 0 0 -39 h\n.4684 g 5246
      1078 N 0 39 38 0 0 -39 h\n.308 g 5208 1078 N 0 39 38 0 0 -39 h\n.4965 g
      5170 1078 N 0 39 38 0 0 -39 h\n.8376 g 5132 1078 N 0 39 38 0 0 -39 h\n1
      g 5094 1078 N 0 39 38 0 0 -39 h\n1 g 5056 1078 N 0 39 38 0 0 -39 h\n1 g
      5019 1078 N 0 39 37 0 0 -39 h\n1 g 4981 1078 N 0 39 38 0 0 -39 h\n1 g
      4943 1078 N 0 39 38 0 0 -39 h\n1 g 4905 1078 N 0 39 38 0 0 -39 h\n1 g
      4867 1078 N 0 39 38 0 0 -39 h\n1 g 4829 1078 N 0 39 38 0 0 -39 h\n1 g
      4791 1078 N 0 39 38 0 0 -39 h\n1 g 4753 1078 N 0 39 38 0 0 -39 h\n1 g
      4715 1078 N 0 39 38 0 0 -39 h\n.8759 g 4677 1078 N 0 39 38 0 0 -39
      h\n.7503 g 4640 1078 N 0 39 37 0 0 -39 h\n.6292 g 4602 1078 N 0 39 38 0
      0 -39 h\n.6344 g 4564 1078 N 0 39 38 0 0 -39 h\n.6599 g 4526 1078 N 0
      39 38 0 0 -39 h\n.7803 g 4488 1078 N 0 39 38 0 0 -39 h\n1 g 4450 1078 N
      0 39 38 0 0 -39 h\n1 g 4412 1078 N 0 39 38 0 0 -39 h\n1 g 4374 1078 N 0
      39 38 0 0 -39 h\n1 g 4336 1078 N 0 39 38 0 0 -39 h\n.9203 g 4298 1078 N
      0 39 38 0 0 -39 h\n.8304 g 4261 1078 N 0 39 37 0 0 -39 h\n.8408 g 4223
      1078 N 0 39 38 0 0 -39 h\n.8507 g 4185 1078 N 0 39 38 0 0 -39 h\n.92 g
      4147 1078 N 0 39 38 0 0 -39 h\n1 g 4109 1078 N 0 39 38 0 0 -39 h\n.9264
      g 4071 1078 N 0 39 38 0 0 -39 h\n.7974 g 4033 1078 N 0 39 38 0 0 -39
      h\n.871 g 3995 1078 N 0 39 38 0 0 -39 h\n.8404 g 3957 1078 N 0 39 38 0
      0 -39 h\n.7664 g 3919 1078 N 0 39 38 0 0 -39 h\n.9259 g 3882 1078 N 0
      39 37 0 0 -39 h\n.9054 g 3844 1078 N 0 39 38 0 0 -39 h\n.8022 g 3806
      1078 N 0 39 38 0 0 -39 h\n.7892 g 3768 1078 N 0 39 38 0 0 -39 h\n.8145
      g 3730 1078 N 0 39 38 0 0 -39 h\n.0879 g 6307 1039 N 0 40 38 0 0 -40
      h\n.0879 g 6269 1039 N 0 40 38 0 0 -40 h\n.0879 g 6231 1039 N 0 40 38 0
      0 -40 h\n.0879 g 6193 1039 N 0 40 38 0 0 -40 h\n.0879 g 6156 1039 N 0
      40 37 0 0 -40 h\n.0879 g 6118 1039 N 0 40 38 0 0 -40 h\n.0879 g 6080
      1039 N 0 40 38 0 0 -40 h\n.0879 g 6042 1039 N 0 40 38 0 0 -40 h\n.0879
      g 6004 1039 N 0 40 38 0 0 -40 h\n.0958 g 5966 1039 N 0 40 38 0 0 -40
      h\n.1036 g 5928 1039 N 0 40 38 0 0 -40 h\n.1115 g 5890 1039 N 0 40 38 0
      0 -40 h\n.1193 g 5852 1039 N 0 40 38 0 0 -40 h\n.1193 g 5814 1039 N 0
      40 38 0 0 -40 h\n.1193 g 5777 1039 N 0 40 37 0 0 -40 h\n.1193 g 5739
      1039 N 0 40 38 0 0 -40 h\n.1193 g 5701 1039 N 0 40 38 0 0 -40 h\n.1259
      g 5663 1039 N 0 40 38 0 0 -40 h\n.1392 g 5625 1039 N 0 40 38 0 0 -40
      h\n.1458 g 5587 1039 N 0 40 38 0 0 -40 h\n.1573 g 5549 1039 N 0 40 38 0
      0 -40 h\n.1688 g 5511 1039 N 0 40 38 0 0 -40 h\n.1835 g 5473 1039 N 0
      40 38 0 0 -40 h\n.2068 g 5435 1039 N 0 40 38 0 0 -40 h\n.4208 g 5398
      1039 N 0 40 37 0 0 -40 h\n.685 g 5360 1039 N 0 40 38 0 0 -40 h\n.6077 g
      5322 1039 N 0 40 38 0 0 -40 h\n.6466 g 5284 1039 N 0 40 38 0 0 -40
      h\n.7379 g 5246 1039 N 0 40 38 0 0 -40 h\n.4942 g 5208 1039 N 0 40 38 0
      0 -40 h\n.3703 g 5170 1039 N 0 40 38 0 0 -40 h\n.7032 g 5132 1039 N 0
      40 38 0 0 -40 h\n1 g 5094 1039 N 0 40 38 0 0 -40 h\n1 g 5056 1039 N 0
      40 38 0 0 -40 h\n1 g 5019 1039 N 0 40 37 0 0 -40 h\n1 g 4981 1039 N 0
      40 38 0 0 -40 h\n1 g 4943 1039 N 0 40 38 0 0 -40 h\n1 g 4905 1039 N 0
      40 38 0 0 -40 h\n1 g 4867 1039 N 0 40 38 0 0 -40 h\n1 g 4829 1039 N 0
      40 38 0 0 -40 h\n1 g 4791 1039 N 0 40 38 0 0 -40 h\n1 g 4753 1039 N 0
      40 38 0 0 -40 h\n1 g 4715 1039 N 0 40 38 0 0 -40 h\n.7487 g 4677 1039 N
      0 40 38 0 0 -40 h\n.495 g 4640 1039 N 0 40 37 0 0 -40 h\n.6222 g 4602
      1039 N 0 40 38 0 0 -40 h\n.7693 g 4564 1039 N 0 40 38 0 0 -40 h\n.7907
      g 4526 1039 N 0 40 38 0 0 -40 h\n.8973 g 4488 1039 N 0 40 38 0 0 -40
      h\n1 g 4450 1039 N 0 40 38 0 0 -40 h\n1 g 4412 1039 N 0 40 38 0 0 -40
      h\n1 g 4374 1039 N 0 40 38 0 0 -40 h\n.9034 g 4336 1039 N 0 40 38 0 0
      -40 h\n.7298 g 4298 1039 N 0 40 38 0 0 -40 h\n.7366 g 4261 1039 N 0 40
      37 0 0 -40 h\n.8408 g 4223 1039 N 0 40 38 0 0 -40 h\n.8531 g 4185 1039
      N 0 40 38 0 0 -40 h\n.9224 g 4147 1039 N 0 40 38 0 0 -40 h\n1 g 4109
      1039 N 0 40 38 0 0 -40 h\n1 g 4071 1039 N 0 40 38 0 0 -40 h\n.9352 g
      4033 1039 N 0 40 38 0 0 -40 h\n.8579 g 3995 1039 N 0 40 38 0 0 -40
      h\n.8387 g 3957 1039 N 0 40 38 0 0 -40 h\n.916 g 3919 1039 N 0 40 38 0
      0 -40 h\n.9235 g 3882 1039 N 0 40 37 0 0 -40 h\n.7301 g 3844 1039 N 0
      40 38 0 0 -40 h\n.7035 g 3806 1039 N 0 40 38 0 0 -40 h\n.8968 g 3768
      1039 N 0 40 38 0 0 -40 h\n1 g 3730 1039 N 0 40 38 0 0 -40 h\n.0879 g
      6307 999 N 0 39 38 0 0 -39 h\n.0879 g 6269 999 N 0 39 38 0 0 -39
      h\n.0879 g 6231 999 N 0 39 38 0 0 -39 h\n.0879 g 6193 999 N 0 39 38 0 0
      -39 h\n.0879 g 6156 999 N 0 39 37 0 0 -39 h\n.0879 g 6118 999 N 0 39 38
      0 0 -39 h\n.0879 g 6080 999 N 0 39 38 0 0 -39 h\n.0879 g 6042 999 N 0
      39 38 0 0 -39 h\n.0879 g 6004 999 N 0 39 38 0 0 -39 h\n.0879 g 5966 999
      N 0 39 38 0 0 -39 h\n.0879 g 5928 999 N 0 39 38 0 0 -39 h\n.0958 g 5890
      999 N 0 39 38 0 0 -39 h\n.1115 g 5852 999 N 0 39 38 0 0 -39 h\n.1193 g
      5814 999 N 0 39 38 0 0 -39 h\n.1193 g 5777 999 N 0 39 37 0 0 -39
      h\n.1193 g 5739 999 N 0 39 38 0 0 -39 h\n.1193 g 5701 999 N 0 39 38 0 0
      -39 h\n.1193 g 5663 999 N 0 39 38 0 0 -39 h\n.1259 g 5625 999 N 0 39 38
      0 0 -39 h\n.1392 g 5587 999 N 0 39 38 0 0 -39 h\n.1573 g 5549 999 N 0
      39 38 0 0 -39 h\n.1739 g 5511 999 N 0 39 38 0 0 -39 h\n.2009 g 5473 999
      N 0 39 38 0 0 -39 h\n.2305 g 5435 999 N 0 39 38 0 0 -39 h\n.2484 g 5398
      999 N 0 39 37 0 0 -39 h\n.4755 g 5360 999 N 0 39 38 0 0 -39 h\n.7163 g
      5322 999 N 0 39 38 0 0 -39 h\n.781 g 5284 999 N 0 39 38 0 0 -39
      h\n.9108 g 5246 999 N 0 39 38 0 0 -39 h\n.8376 g 5208 999 N 0 39 38 0 0
      -39 h\n.5493 g 5170 999 N 0 39 38 0 0 -39 h\n.7117 g 5132 999 N 0 39 38
      0 0 -39 h\n1 g 5094 999 N 0 39 38 0 0 -39 h\n1 g 5056 999 N 0 39 38 0 0
      -39 h\n1 g 5019 999 N 0 39 37 0 0 -39 h\n1 g 4981 999 N 0 39 38 0 0 -39
      h\n1 g 4943 999 N 0 39 38 0 0 -39 h\n1 g 4905 999 N 0 39 38 0 0 -39
      h\n1 g 4867 999 N 0 39 38 0 0 -39 h\n1 g 4829 999 N 0 39 38 0 0 -39
      h\n1 g 4791 999 N 0 39 38 0 0 -39 h\n.8711 g 4753 999 N 0 39 38 0 0 -39
      h\n.7385 g 4715 999 N 0 39 38 0 0 -39 h\n.6086 g 4677 999 N 0 39 38 0 0
      -39 h\n.485 g 4640 999 N 0 39 37 0 0 -39 h\n.7438 g 4602 999 N 0 39 38
      0 0 -39 h\n.8934 g 4564 999 N 0 39 38 0 0 -39 h\n.8934 g 4526 999 N 0
      39 38 0 0 -39 h\n1 g 4488 999 N 0 39 38 0 0 -39 h\n1 g 4450 999 N 0 39
      38 0 0 -39 h\n.9322 g 4412 999 N 0 39 38 0 0 -39 h\n.836 g 4374 999 N 0
      39 38 0 0 -39 h\n.8072 g 4336 999 N 0 39 38 0 0 -39 h\n.8095 g 4298 999
      N 0 39 38 0 0 -39 h\n.9061 g 4261 999 N 0 39 37 0 0 -39 h\n.9172 g 4223
      999 N 0 39 38 0 0 -39 h\n.8396 g 4185 999 N 0 39 38 0 0 -39 h\n.8493 g
      4147 999 N 0 39 38 0 0 -39 h\n.9269 g 4109 999 N 0 39 38 0 0 -39 h\n1 g
      4071 999 N 0 39 38 0 0 -39 h\n1 g 4033 999 N 0 39 38 0 0 -39 h\n.9227 g
      3995 999 N 0 39 38 0 0 -39 h\n.8474 g 3957 999 N 0 39 38 0 0 -39
      h\n.8345 g 3919 999 N 0 39 38 0 0 -39 h\n.8332 g 3882 999 N 0 39 37 0 0
      -39 h\n.8248 g 3844 999 N 0 39 38 0 0 -39 h\n.9013 g 3806 999 N 0 39 38
      0 0 -39 h\n1 g 3768 999 N 0 39 38 0 0 -39 h\n1 g 3730 999 N 0 39 38 0 0
      -39 h\n.0783 g 6307 960 N 0 39 38 0 0 -39 h\n.0879 g 6269 960 N 0 39 38
      0 0 -39 h\n.0879 g 6231 960 N 0 39 38 0 0 -39 h\n.0879 g 6193 960 N 0
      39 38 0 0 -39 h\n.0879 g 6156 960 N 0 39 37 0 0 -39 h\n.0879 g 6118 960
      N 0 39 38 0 0 -39 h\n.0879 g 6080 960 N 0 39 38 0 0 -39 h\n.0879 g 6042
      960 N 0 39 38 0 0 -39 h\n.0879 g 6004 960 N 0 39 38 0 0 -39 h\n.0879 g
      5966 960 N 0 39 38 0 0 -39 h\n.0879 g 5928 960 N 0 39 38 0 0 -39
      h\n.0879 g 5890 960 N 0 39 38 0 0 -39 h\n.0958 g 5852 960 N 0 39 38 0 0
      -39 h\n.1036 g 5814 960 N 0 39 38 0 0 -39 h\n.1115 g 5777 960 N 0 39 37
      0 0 -39 h\n.1193 g 5739 960 N 0 39 38 0 0 -39 h\n.1193 g 5701 960 N 0
      39 38 0 0 -39 h\n.1193 g 5663 960 N 0 39 38 0 0 -39 h\n.1193 g 5625 960
      N 0 39 38 0 0 -39 h\n.1326 g 5587 960 N 0 39 38 0 0 -39 h\n.1573 g 5549
      960 N 0 39 38 0 0 -39 h\n.1835 g 5511 960 N 0 39 38 0 0 -39 h\n.4087 g
      5473 960 N 0 39 38 0 0 -39 h\n.6227 g 5435 960 N 0 39 38 0 0 -39
      h\n.6294 g 5398 960 N 0 39 37 0 0 -39 h\n.6624 g 5360 960 N 0 39 38 0 0
      -39 h\n.7107 g 5322 960 N 0 39 38 0 0 -39 h\n.8646 g 5284 960 N 0 39 38
      0 0 -39 h\n1 g 5246 960 N 0 39 38 0 0 -39 h\n.8646 g 5208 960 N 0 39 38
      0 0 -39 h\n.5651 g 5170 960 N 0 39 38 0 0 -39 h\n.5918 g 5132 960 N 0
      39 38 0 0 -39 h\n.8913 g 5094 960 N 0 39 38 0 0 -39 h\n1 g 5056 960 N 0
      39 38 0 0 -39 h\n1 g 5019 960 N 0 39 37 0 0 -39 h\n1 g 4981 960 N 0 39
      38 0 0 -39 h\n1 g 4943 960 N 0 39 38 0 0 -39 h\n1 g 4905 960 N 0 39 38
      0 0 -39 h\n1 g 4867 960 N 0 39 38 0 0 -39 h\n1 g 4829 960 N 0 39 38 0 0
      -39 h\n1 g 4791 960 N 0 39 38 0 0 -39 h\n.8711 g 4753 960 N 0 39 38 0 0
      -39 h\n.6021 g 4715 960 N 0 39 38 0 0 -39 h\n.5994 g 4677 960 N 0 39 38
      0 0 -39 h\n.6525 g 4640 960 N 0 39 37 0 0 -39 h\n.7841 g 4602 960 N 0
      39 38 0 0 -39 h\n1 g 4564 960 N 0 39 38 0 0 -39 h\n1 g 4526 960 N 0 39
      38 0 0 -39 h\n1 g 4488 960 N 0 39 38 0 0 -39 h\n1 g 4450 960 N 0 39 38
      0 0 -39 h\n.8511 g 4412 960 N 0 39 38 0 0 -39 h\n.6512 g 4374 960 N 0
      39 38 0 0 -39 h\n.8001 g 4336 960 N 0 39 38 0 0 -39 h\n1 g 4298 960 N 0
      39 38 0 0 -39 h\n1 g 4261 960 N 0 39 37 0 0 -39 h\n.8297 g 4223 960 N 0
      39 38 0 0 -39 h\n.8297 g 4185 960 N 0 39 38 0 0 -39 h\n.8483 g 4147 960
      N 0 39 38 0 0 -39 h\n.8483 g 4109 960 N 0 39 38 0 0 -39 h\n1 g 4071 960
      N 0 39 38 0 0 -39 h\n1 g 4033 960 N 0 39 38 0 0 -39 h\n1 g 3995 960 N 0
      39 38 0 0 -39 h\n.9247 g 3957 960 N 0 39 38 0 0 -39 h\n.8345 g 3919 960
      N 0 39 38 0 0 -39 h\n.9098 g 3882 960 N 0 39 37 0 0 -39 h\n1 g 3844 960
      N 0 39 38 0 0 -39 h\n1 g 3806 960 N 0 39 38 0 0 -39 h\n1 g 3768 960 N 0
      39 38 0 0 -39 h\n1 g 3730 960 N 0 39 38 0 0 -39 h\n.0591 g 6307 921 N 0
      39 38 0 0 -39 h\n.0687 g 6269 921 N 0 39 38 0 0 -39 h\n.0687 g 6231 921
      N 0 39 38 0 0 -39 h\n.0687 g 6193 921 N 0 39 38 0 0 -39 h\n.0687 g 6156
      921 N 0 39 37 0 0 -39 h\n.0783 g 6118 921 N 0 39 38 0 0 -39 h\n.0879 g
      6080 921 N 0 39 38 0 0 -39 h\n.0879 g 6042 921 N 0 39 38 0 0 -39
      h\n.0879 g 6004 921 N 0 39 38 0 0 -39 h\n.0879 g 5966 921 N 0 39 38 0 0
      -39 h\n.0879 g 5928 921 N 0 39 38 0 0 -39 h\n.0879 g 5890 921 N 0 39 38
      0 0 -39 h\n.0879 g 5852 921 N 0 39 38 0 0 -39 h\n.0879 g 5814 921 N 0
      39 38 0 0 -39 h\n.0958 g 5777 921 N 0 39 37 0 0 -39 h\n.1115 g 5739 921
      N 0 39 38 0 0 -39 h\n.1193 g 5701 921 N 0 39 38 0 0 -39 h\n.1193 g 5663
      921 N 0 39 38 0 0 -39 h\n.1193 g 5625 921 N 0 39 38 0 0 -39 h\n.1326 g
      5587 921 N 0 39 38 0 0 -39 h\n.1573 g 5549 921 N 0 39 38 0 0 -39
      h\n.2323 g 5511 921 N 0 39 38 0 0 -39 h\n.6479 g 5473 921 N 0 39 38 0 0
      -39 h\n1 g 5435 921 N 0 39 38 0 0 -39 h\n1 g 5398 921 N 0 39 37 0 0 -39
      h\n1 g 5360 921 N 0 39 38 0 0 -39 h\n.8646 g 5322 921 N 0 39 38 0 0 -39
      h\n.7413 g 5284 921 N 0 39 38 0 0 -39 h\n.8767 g 5246 921 N 0 39 38 0 0
      -39 h\n.8646 g 5208 921 N 0 39 38 0 0 -39 h\n.5805 g 5170 921 N 0 39 38
      0 0 -39 h\n.6072 g 5132 921 N 0 39 38 0 0 -39 h\n.8913 g 5094 921 N 0
      39 38 0 0 -39 h\n1 g 5056 921 N 0 39 38 0 0 -39 h\n1 g 5019 921 N 0 39
      37 0 0 -39 h\n1 g 4981 921 N 0 39 38 0 0 -39 h\n1 g 4943 921 N 0 39 38
      0 0 -39 h\n1 g 4905 921 N 0 39 38 0 0 -39 h\n1 g 4867 921 N 0 39 38 0 0
      -39 h\n.8736 g 4829 921 N 0 39 38 0 0 -39 h\n.7381 g 4791 921 N 0 39 38
      0 0 -39 h\n.7249 g 4753 921 N 0 39 38 0 0 -39 h\n.5854 g 4715 921 N 0
      39 38 0 0 -39 h\n.5943 g 4677 921 N 0 39 38 0 0 -39 h\n.7815 g 4640 921
      N 0 39 37 0 0 -39 h\n.9122 g 4602 921 N 0 39 38 0 0 -39 h\n1 g 4564 921
      N 0 39 38 0 0 -39 h\n1 g 4526 921 N 0 39 38 0 0 -39 h\n1 g 4488 921 N 0
      39 38 0 0 -39 h\n1 g 4450 921 N 0 39 38 0 0 -39 h\n.8107 g 4412 921 N 0
      39 38 0 0 -39 h\n.6066 g 4374 921 N 0 39 38 0 0 -39 h\n.7959 g 4336 921
      N 0 39 38 0 0 -39 h\n1 g 4298 921 N 0 39 38 0 0 -39 h\n.9115 g 4261 921
      N 0 39 37 0 0 -39 h\n.7477 g 4223 921 N 0 39 38 0 0 -39 h\n.8362 g 4185
      921 N 0 39 38 0 0 -39 h\n.8376 g 4147 921 N 0 39 38 0 0 -39 h\n.8376 g
      4109 921 N 0 39 38 0 0 -39 h\n.9195 g 4071 921 N 0 39 38 0 0 -39
      h\n.8395 g 4033 921 N 0 39 38 0 0 -39 h\n.92 g 3995 921 N 0 39 38 0 0
      -39 h\n1 g 3957 921 N 0 39 38 0 0 -39 h\n1 g 3919 921 N 0 39 38 0 0 -39
      h\n1 g 3882 921 N 0 39 37 0 0 -39 h\n1 g 3844 921 N 0 39 38 0 0 -39
      h\n1 g 3806 921 N 0 39 38 0 0 -39 h\n.9017 g 3768 921 N 0 39 38 0 0 -39
      h\n.7908 g 3730 921 N 0 39 38 0 0 -39 h\n.0495 g 6307 882 N 0 39 38 0 0
      -39 h\n.0495 g 6269 882 N 0 39 38 0 0 -39 h\n.0495 g 6231 882 N 0 39 38
      0 0 -39 h\n.0495 g 6193 882 N 0 39 38 0 0 -39 h\n.0495 g 6156 882 N 0
      39 37 0 0 -39 h\n.0591 g 6118 882 N 0 39 38 0 0 -39 h\n.0687 g 6080 882
      N 0 39 38 0 0 -39 h\n.0687 g 6042 882 N 0 39 38 0 0 -39 h\n.0783 g 6004
      882 N 0 39 38 0 0 -39 h\n.0879 g 5966 882 N 0 39 38 0 0 -39 h\n.0879 g
      5928 882 N 0 39 38 0 0 -39 h\n.0879 g 5890 882 N 0 39 38 0 0 -39
      h\n.0879 g 5852 882 N 0 39 38 0 0 -39 h\n.0879 g 5814 882 N 0 39 38 0 0
      -39 h\n.0879 g 5777 882 N 0 39 37 0 0 -39 h\n.0958 g 5739 882 N 0 39 38
      0 0 -39 h\n.1115 g 5701 882 N 0 39 38 0 0 -39 h\n.1193 g 5663 882 N 0
      39 38 0 0 -39 h\n.1193 g 5625 882 N 0 39 38 0 0 -39 h\n.1259 g 5587 882
      N 0 39 38 0 0 -39 h\n.1449 g 5549 882 N 0 39 38 0 0 -39 h\n.222 g 5511
      882 N 0 39 38 0 0 -39 h\n.6434 g 5473 882 N 0 39 38 0 0 -39 h\n.8271 g
      5435 882 N 0 39 38 0 0 -39 h\n.6747 g 5398 882 N 0 39 37 0 0 -39
      h\n.8476 g 5360 882 N 0 39 38 0 0 -39 h\n.8959 g 5322 882 N 0 39 38 0 0
      -39 h\n.7726 g 5284 882 N 0 39 38 0 0 -39 h\n.8767 g 5246 882 N 0 39 38
      0 0 -39 h\n1 g 5208 882 N 0 39 38 0 0 -39 h\n.7543 g 5170 882 N 0 39 38
      0 0 -39 h\n.7543 g 5132 882 N 0 39 38 0 0 -39 h\n1 g 5094 882 N 0 39 38
      0 0 -39 h\n1 g 5056 882 N 0 39 38 0 0 -39 h\n1 g 5019 882 N 0 39 37 0 0
      -39 h\n1 g 4981 882 N 0 39 38 0 0 -39 h\n1 g 4943 882 N 0 39 38 0 0 -39
      h\n1 g 4905 882 N 0 39 38 0 0 -39 h\n1 g 4867 882 N 0 39 38 0 0 -39
      h\n.7566 g 4829 882 N 0 39 38 0 0 -39 h\n.4792 g 4791 882 N 0 39 38 0 0
      -39 h\n.4387 g 4753 882 N 0 39 38 0 0 -39 h\n.4459 g 4715 882 N 0 39 38
      0 0 -39 h\n.4727 g 4677 882 N 0 39 38 0 0 -39 h\n.7429 g 4640 882 N 0
      39 37 0 0 -39 h\n1 g 4602 882 N 0 39 38 0 0 -39 h\n1 g 4564 882 N 0 39
      38 0 0 -39 h\n1 g 4526 882 N 0 39 38 0 0 -39 h\n1 g 4488 882 N 0 39 38
      0 0 -39 h\n1 g 4450 882 N 0 39 38 0 0 -39 h\n.7809 g 4412 882 N 0 39 38
      0 0 -39 h\n.5787 g 4374 882 N 0 39 38 0 0 -39 h\n.7978 g 4336 882 N 0
      39 38 0 0 -39 h\n1 g 4298 882 N 0 39 38 0 0 -39 h\n.8195 g 4261 882 N 0
      39 37 0 0 -39 h\n.6624 g 4223 882 N 0 39 38 0 0 -39 h\n.8429 g 4185 882
      N 0 39 38 0 0 -39 h\n.8304 g 4147 882 N 0 39 38 0 0 -39 h\n.7536 g 4109
      882 N 0 39 38 0 0 -39 h\n.8427 g 4071 882 N 0 39 38 0 0 -39 h\n.8395 g
      4033 882 N 0 39 38 0 0 -39 h\n.8291 g 3995 882 N 0 39 38 0 0 -39
      h\n.8148 g 3957 882 N 0 39 38 0 0 -39 h\n.8179 g 3919 882 N 0 39 38 0 0
      -39 h\n.8216 g 3882 882 N 0 39 37 0 0 -39 h\n.8058 g 3844 882 N 0 39 38
      0 0 -39 h\n.8963 g 3806 882 N 0 39 38 0 0 -39 h\n.7897 g 3768 882 N 0
      39 38 0 0 -39 h\n.5636 g 3730 882 N 0 39 38 0 0 -39 h\n.0495 g 6307 843
      N 0 39 38 0 0 -39 h\n.0495 g 6269 843 N 0 39 38 0 0 -39 h\n.0495 g 6231
      843 N 0 39 38 0 0 -39 h\n.0495 g 6193 843 N 0 39 38 0 0 -39 h\n.0495 g
      6156 843 N 0 39 37 0 0 -39 h\n.0495 g 6118 843 N 0 39 38 0 0 -39
      h\n.0495 g 6080 843 N 0 39 38 0 0 -39 h\n.0495 g 6042 843 N 0 39 38 0 0
      -39 h\n.0591 g 6004 843 N 0 39 38 0 0 -39 h\n.0687 g 5966 843 N 0 39 38
      0 0 -39 h\n.0783 g 5928 843 N 0 39 38 0 0 -39 h\n.0879 g 5890 843 N 0
      39 38 0 0 -39 h\n.0879 g 5852 843 N 0 39 38 0 0 -39 h\n.0879 g 5814 843
      N 0 39 38 0 0 -39 h\n.0879 g 5777 843 N 0 39 37 0 0 -39 h\n.0879 g 5739
      843 N 0 39 38 0 0 -39 h\n.1036 g 5701 843 N 0 39 38 0 0 -39 h\n.1193 g
      5663 843 N 0 39 38 0 0 -39 h\n.1193 g 5625 843 N 0 39 38 0 0 -39
      h\n.1193 g 5587 843 N 0 39 38 0 0 -39 h\n.1326 g 5549 843 N 0 39 38 0 0
      -39 h\n.1624 g 5511 843 N 0 39 38 0 0 -39 h\n.3867 g 5473 843 N 0 39 38
      0 0 -39 h\n.434 g 5435 843 N 0 39 38 0 0 -39 h\n.4844 g 5398 843 N 0 39
      37 0 0 -39 h\n.8476 g 5360 843 N 0 39 38 0 0 -39 h\n.8959 g 5322 843 N
      0 39 38 0 0 -39 h\n.8959 g 5284 843 N 0 39 38 0 0 -39 h\n1 g 5246 843 N
      0 39 38 0 0 -39 h\n.8803 g 5208 843 N 0 39 38 0 0 -39 h\n.7732 g 5170
      843 N 0 39 38 0 0 -39 h\n.8929 g 5132 843 N 0 39 38 0 0 -39 h\n1 g 5094
      843 N 0 39 38 0 0 -39 h\n1 g 5056 843 N 0 39 38 0 0 -39 h\n1 g 5019 843
      N 0 39 37 0 0 -39 h\n1 g 4981 843 N 0 39 38 0 0 -39 h\n1 g 4943 843 N 0
      39 38 0 0 -39 h\n1 g 4905 843 N 0 39 38 0 0 -39 h\n1 g 4867 843 N 0 39
      38 0 0 -39 h\n.883 g 4829 843 N 0 39 38 0 0 -39 h\n.5916 g 4791 843 N 0
      39 38 0 0 -39 h\n.4175 g 4753 843 N 0 39 38 0 0 -39 h\n.5773 g 4715 843
      N 0 39 38 0 0 -39 h\n.742 g 4677 843 N 0 39 38 0 0 -39 h\n.8736 g 4640
      843 N 0 39 37 0 0 -39 h\n1 g 4602 843 N 0 39 38 0 0 -39 h\n1 g 4564 843
      N 0 39 38 0 0 -39 h\n1 g 4526 843 N 0 39 38 0 0 -39 h\n1 g 4488 843 N 0
      39 38 0 0 -39 h\n1 g 4450 843 N 0 39 38 0 0 -39 h\n.7764 g 4412 843 N 0
      39 38 0 0 -39 h\n.6746 g 4374 843 N 0 39 38 0 0 -39 h\n.8982 g 4336 843
      N 0 39 38 0 0 -39 h\n1 g 4298 843 N 0 39 38 0 0 -39 h\n.8134 g 4261 843
      N 0 39 37 0 0 -39 h\n.7326 g 4223 843 N 0 39 38 0 0 -39 h\n.9192 g 4185
      843 N 0 39 38 0 0 -39 h\n.9141 g 4147 843 N 0 39 38 0 0 -39 h\n.7442 g
      4109 843 N 0 39 38 0 0 -39 h\n.8301 g 4071 843 N 0 39 38 0 0 -39 h\n1 g
      4033 843 N 0 39 38 0 0 -39 h\n.9091 g 3995 843 N 0 39 38 0 0 -39
      h\n.8148 g 3957 843 N 0 39 38 0 0 -39 h\n.7263 g 3919 843 N 0 39 38 0 0
      -39 h\n.73 g 3882 843 N 0 39 37 0 0 -39 h\n.7031 g 3844 843 N 0 39 38 0
      0 -39 h\n.6909 g 3806 843 N 0 39 38 0 0 -39 h\n.7852 g 3768 843 N 0 39
      38 0 0 -39 h\n.6641 g 3730 843 N 0 39 38 0 0 -39 h\n.0495 g 6307 804 N
      0 39 38 0 0 -39 h\n.0495 g 6269 804 N 0 39 38 0 0 -39 h\n.0495 g 6231
      804 N 0 39 38 0 0 -39 h\n.0495 g 6193 804 N 0 39 38 0 0 -39 h\n.0495 g
      6156 804 N 0 39 37 0 0 -39 h\n.0495 g 6118 804 N 0 39 38 0 0 -39
      h\n.0495 g 6080 804 N 0 39 38 0 0 -39 h\n.0495 g 6042 804 N 0 39 38 0 0
      -39 h\n.0495 g 6004 804 N 0 39 38 0 0 -39 h\n.0495 g 5966 804 N 0 39 38
      0 0 -39 h\n.0591 g 5928 804 N 0 39 38 0 0 -39 h\n.0687 g 5890 804 N 0
      39 38 0 0 -39 h\n.0783 g 5852 804 N 0 39 38 0 0 -39 h\n.0879 g 5814 804
      N 0 39 38 0 0 -39 h\n.0879 g 5777 804 N 0 39 37 0 0 -39 h\n.0879 g 5739
      804 N 0 39 38 0 0 -39 h\n.0958 g 5701 804 N 0 39 38 0 0 -39 h\n.1115 g
      5663 804 N 0 39 38 0 0 -39 h\n.1193 g 5625 804 N 0 39 38 0 0 -39
      h\n.1193 g 5587 804 N 0 39 38 0 0 -39 h\n.1326 g 5549 804 N 0 39 38 0 0
      -39 h\n.1573 g 5511 804 N 0 39 38 0 0 -39 h\n.1789 g 5473 804 N 0 39 38
      0 0 -39 h\n.4042 g 5435 804 N 0 39 38 0 0 -39 h\n.8096 g 5398 804 N 0
      39 37 0 0 -39 h\n1 g 5360 804 N 0 39 38 0 0 -39 h\n.9219 g 5322 804 N 0
      39 38 0 0 -39 h\n.9219 g 5284 804 N 0 39 38 0 0 -39 h\n1 g 5246 804 N 0
      39 38 0 0 -39 h\n.8803 g 5208 804 N 0 39 38 0 0 -39 h\n.8803 g 5170 804
      N 0 39 38 0 0 -39 h\n1 g 5132 804 N 0 39 38 0 0 -39 h\n1 g 5094 804 N 0
      39 38 0 0 -39 h\n1 g 5056 804 N 0 39 38 0 0 -39 h\n1 g 5019 804 N 0 39
      37 0 0 -39 h\n1 g 4981 804 N 0 39 38 0 0 -39 h\n1 g 4943 804 N 0 39 38
      0 0 -39 h\n1 g 4905 804 N 0 39 38 0 0 -39 h\n.8557 g 4867 804 N 0 39 38
      0 0 -39 h\n.7018 g 4829 804 N 0 39 38 0 0 -39 h\n.5442 g 4791 804 N 0
      39 38 0 0 -39 h\n.5513 g 4753 804 N 0 39 38 0 0 -39 h\n.7197 g 4715 804
      N 0 39 38 0 0 -39 h\n.8665 g 4677 804 N 0 39 38 0 0 -39 h\n1 g 4640 804
      N 0 39 37 0 0 -39 h\n1 g 4602 804 N 0 39 38 0 0 -39 h\n1 g 4564 804 N 0
      39 38 0 0 -39 h\n1 g 4526 804 N 0 39 38 0 0 -39 h\n.8987 g 4488 804 N 0
      39 38 0 0 -39 h\n.781 g 4450 804 N 0 39 38 0 0 -39 h\n.7697 g 4412 804
      N 0 39 38 0 0 -39 h\n.8873 g 4374 804 N 0 39 38 0 0 -39 h\n1 g 4336 804
      N 0 39 38 0 0 -39 h\n1 g 4298 804 N 0 39 38 0 0 -39 h\n.8058 g 4261 804
      N 0 39 37 0 0 -39 h\n.7049 g 4223 804 N 0 39 38 0 0 -39 h\n.8991 g 4185
      804 N 0 39 38 0 0 -39 h\n1 g 4147 804 N 0 39 38 0 0 -39 h\n.8226 g 4109
      804 N 0 39 38 0 0 -39 h\n.7247 g 4071 804 N 0 39 38 0 0 -39 h\n.9022 g
      4033 804 N 0 39 38 0 0 -39 h\n1 g 3995 804 N 0 39 38 0 0 -39 h\n1 g
      3957 804 N 0 39 38 0 0 -39 h\n.9084 g 3919 804 N 0 39 38 0 0 -39
      h\n.9084 g 3882 804 N 0 39 37 0 0 -39 h\n.8973 g 3844 804 N 0 39 38 0 0
      -39 h\n.7946 g 3806 804 N 0 39 38 0 0 -39 h\n.8973 g 3768 804 N 0 39 38
      0 0 -39 h\n.8913 g 3730 804 N 0 39 38 0 0 -39 h\n.0495 g 6307 765 N 0
      40 38 0 0 -40 h\n.0495 g 6269 765 N 0 40 38 0 0 -40 h\n.0495 g 6231 765
      N 0 40 38 0 0 -40 h\n.0495 g 6193 765 N 0 40 38 0 0 -40 h\n.0495 g 6156
      765 N 0 40 37 0 0 -40 h\n.0495 g 6118 765 N 0 40 38 0 0 -40 h\n.0495 g
      6080 765 N 0 40 38 0 0 -40 h\n.0495 g 6042 765 N 0 40 38 0 0 -40
      h\n.0495 g 6004 765 N 0 40 38 0 0 -40 h\n.0495 g 5966 765 N 0 40 38 0 0
      -40 h\n.0495 g 5928 765 N 0 40 38 0 0 -40 h\n.0495 g 5890 765 N 0 40 38
      0 0 -40 h\n.0591 g 5852 765 N 0 40 38 0 0 -40 h\n.0783 g 5814 765 N 0
      40 38 0 0 -40 h\n.0879 g 5777 765 N 0 40 37 0 0 -40 h\n.0879 g 5739 765
      N 0 40 38 0 0 -40 h\n.0879 g 5701 765 N 0 40 38 0 0 -40 h\n.0958 g 5663
      765 N 0 40 38 0 0 -40 h\n.1115 g 5625 765 N 0 40 38 0 0 -40 h\n.1193 g
      5587 765 N 0 40 38 0 0 -40 h\n.1326 g 5549 765 N 0 40 38 0 0 -40
      h\n.1516 g 5511 765 N 0 40 38 0 0 -40 h\n.1681 g 5473 765 N 0 40 38 0 0
      -40 h\n.3991 g 5435 765 N 0 40 38 0 0 -40 h\n.6454 g 5398 765 N 0 40 37
      0 0 -40 h\n.8357 g 5360 765 N 0 40 38 0 0 -40 h\n.9219 g 5322 765 N 0
      40 38 0 0 -40 h\n.9219 g 5284 765 N 0 40 38 0 0 -40 h\n.8796 g 5246 765
      N 0 40 38 0 0 -40 h\n.7461 g 5208 765 N 0 40 38 0 0 -40 h\n.8665 g 5170
      765 N 0 40 38 0 0 -40 h\n1 g 5132 765 N 0 40 38 0 0 -40 h\n.8646 g 5094
      765 N 0 40 38 0 0 -40 h\n.7599 g 5056 765 N 0 40 38 0 0 -40 h\n.8954 g
      5019 765 N 0 40 37 0 0 -40 h\n1 g 4981 765 N 0 40 38 0 0 -40 h\n.9017 g
      4943 765 N 0 40 38 0 0 -40 h\n.9017 g 4905 765 N 0 40 38 0 0 -40
      h\n.7062 g 4867 765 N 0 40 38 0 0 -40 h\n.3935 g 4829 765 N 0 40 38 0 0
      -40 h\n.3811 g 4791 765 N 0 40 38 0 0 -40 h\n.6937 g 4753 765 N 0 40 38
      0 0 -40 h\n.7468 g 4715 765 N 0 40 38 0 0 -40 h\n.7468 g 4677 765 N 0
      40 38 0 0 -40 h\n1 g 4640 765 N 0 40 37 0 0 -40 h\n1 g 4602 765 N 0 40
      38 0 0 -40 h\n1 g 4564 765 N 0 40 38 0 0 -40 h\n1 g 4526 765 N 0 40 38
      0 0 -40 h\n.8037 g 4488 765 N 0 40 38 0 0 -40 h\n.5656 g 4450 765 N 0
      40 38 0 0 -40 h\n.645 g 4412 765 N 0 40 38 0 0 -40 h\n.883 g 4374 765 N
      0 40 38 0 0 -40 h\n1 g 4336 765 N 0 40 38 0 0 -40 h\n1 g 4298 765 N 0
      40 38 0 0 -40 h\n.8095 g 4261 765 N 0 40 37 0 0 -40 h\n.6025 g 4223 765
      N 0 40 38 0 0 -40 h\n.793 g 4185 765 N 0 40 38 0 0 -40 h\n1 g 4147 765
      N 0 40 38 0 0 -40 h\n.9157 g 4109 765 N 0 40 38 0 0 -40 h\n.8178 g 4071
      765 N 0 40 38 0 0 -40 h\n.7985 g 4033 765 N 0 40 38 0 0 -40 h\n.8963 g
      3995 765 N 0 40 38 0 0 -40 h\n1 g 3957 765 N 0 40 38 0 0 -40 h\n1 g
      3919 765 N 0 40 38 0 0 -40 h\n1 g 3882 765 N 0 40 37 0 0 -40 h\n1 g
      3844 765 N 0 40 38 0 0 -40 h\n1 g 3806 765 N 0 40 38 0 0 -40 h\n1 g
      3768 765 N 0 40 38 0 0 -40 h\n1 g 3730 765 N 0 40 38 0 0 -40 h\n.0495 g
      6307 725 N 0 39 38 0 0 -39 h\n.0495 g 6269 725 N 0 39 38 0 0 -39
      h\n.0495 g 6231 725 N 0 39 38 0 0 -39 h\n.0495 g 6193 725 N 0 39 38 0 0
      -39 h\n.0495 g 6156 725 N 0 39 37 0 0 -39 h\n.0495 g 6118 725 N 0 39 38
      0 0 -39 h\n.0495 g 6080 725 N 0 39 38 0 0 -39 h\n.0495 g 6042 725 N 0
      39 38 0 0 -39 h\n.0495 g 6004 725 N 0 39 38 0 0 -39 h\n.0495 g 5966 725
      N 0 39 38 0 0 -39 h\n.0495 g 5928 725 N 0 39 38 0 0 -39 h\n.0495 g 5890
      725 N 0 39 38 0 0 -39 h\n.0495 g 5852 725 N 0 39 38 0 0 -39 h\n.0591 g
      5814 725 N 0 39 38 0 0 -39 h\n.0687 g 5777 725 N 0 39 37 0 0 -39
      h\n.0783 g 5739 725 N 0 39 38 0 0 -39 h\n.0879 g 5701 725 N 0 39 38 0 0
      -39 h\n.0879 g 5663 725 N 0 39 38 0 0 -39 h\n.0958 g 5625 725 N 0 39 38
      0 0 -39 h\n.1115 g 5587 725 N 0 39 38 0 0 -39 h\n.1259 g 5549 725 N 0
      39 38 0 0 -39 h\n.1392 g 5511 725 N 0 39 38 0 0 -39 h\n.1624 g 5473 725
      N 0 39 38 0 0 -39 h\n.3991 g 5435 725 N 0 39 38 0 0 -39 h\n.6454 g 5398
      725 N 0 39 37 0 0 -39 h\n.8357 g 5360 725 N 0 39 38 0 0 -39 h\n1 g 5322
      725 N 0 39 38 0 0 -39 h\n.8615 g 5284 725 N 0 39 38 0 0 -39 h\n.7411 g
      5246 725 N 0 39 38 0 0 -39 h\n.7461 g 5208 725 N 0 39 38 0 0 -39
      h\n.729 g 5170 725 N 0 39 38 0 0 -39 h\n.6982 g 5132 725 N 0 39 38 0 0
      -39 h\n.536 g 5094 725 N 0 39 38 0 0 -39 h\n.5957 g 5056 725 N 0 39 38
      0 0 -39 h\n.8954 g 5019 725 N 0 39 37 0 0 -39 h\n.8684 g 4981 725 N 0
      39 38 0 0 -39 h\n.6114 g 4943 725 N 0 39 38 0 0 -39 h\n.5767 g 4905 725
      N 0 39 38 0 0 -39 h\n.5199 g 4867 725 N 0 39 38 0 0 -39 h\n.3669 g 4829
      725 N 0 39 38 0 0 -39 h\n.3729 g 4791 725 N 0 39 38 0 0 -39 h\n.5615 g
      4753 725 N 0 39 38 0 0 -39 h\n.7496 g 4715 725 N 0 39 38 0 0 -39
      h\n.8803 g 4677 725 N 0 39 38 0 0 -39 h\n1 g 4640 725 N 0 39 37 0 0 -39
      h\n1 g 4602 725 N 0 39 38 0 0 -39 h\n1 g 4564 725 N 0 39 38 0 0 -39
      h\n.9094 g 4526 725 N 0 39 38 0 0 -39 h\n.7 g 4488 725 N 0 39 38 0 0
      -39 h\n.5468 g 4450 725 N 0 39 38 0 0 -39 h\n.6393 g 4412 725 N 0 39 38
      0 0 -39 h\n.883 g 4374 725 N 0 39 38 0 0 -39 h\n1 g 4336 725 N 0 39 38
      0 0 -39 h\n1 g 4298 725 N 0 39 38 0 0 -39 h\n.9091 g 4261 725 N 0 39 37
      0 0 -39 h\n.6932 g 4223 725 N 0 39 38 0 0 -39 h\n.6932 g 4185 725 N 0
      39 38 0 0 -39 h\n.9091 g 4147 725 N 0 39 38 0 0 -39 h\n1 g 4109 725 N 0
      39 38 0 0 -39 h\n1 g 4071 725 N 0 39 38 0 0 -39 h\n.8255 g 4033 725 N 0
      39 38 0 0 -39 h\n.7168 g 3995 725 N 0 39 38 0 0 -39 h\n.7876 g 3957 725
      N 0 39 38 0 0 -39 h\n.7922 g 3919 725 N 0 39 38 0 0 -39 h\n.8959 g 3882
      725 N 0 39 37 0 0 -39 h\n1 g 3844 725 N 0 39 38 0 0 -39 h\n1 g 3806 725
      N 0 39 38 0 0 -39 h\n1 g 3768 725 N 0 39 38 0 0 -39 h\n1 g 3730 725 N 0
      39 38 0 0 -39 h\n.0371 g 6307 686 N 0 39 38 0 0 -39 h\n.0495 g 6269 686
      N 0 39 38 0 0 -39 h\n.0495 g 6231 686 N 0 39 38 0 0 -39 h\n.0495 g 6193
      686 N 0 39 38 0 0 -39 h\n.0495 g 6156 686 N 0 39 37 0 0 -39 h\n.0495 g
      6118 686 N 0 39 38 0 0 -39 h\n.0495 g 6080 686 N 0 39 38 0 0 -39
      h\n.0495 g 6042 686 N 0 39 38 0 0 -39 h\n.0495 g 6004 686 N 0 39 38 0 0
      -39 h\n.0495 g 5966 686 N 0 39 38 0 0 -39 h\n.0495 g 5928 686 N 0 39 38
      0 0 -39 h\n.0495 g 5890 686 N 0 39 38 0 0 -39 h\n.0495 g 5852 686 N 0
      39 38 0 0 -39 h\n.0495 g 5814 686 N 0 39 38 0 0 -39 h\n.0495 g 5777 686
      N 0 39 37 0 0 -39 h\n.0591 g 5739 686 N 0 39 38 0 0 -39 h\n.0783 g 5701
      686 N 0 39 38 0 0 -39 h\n.0879 g 5663 686 N 0 39 38 0 0 -39 h\n.0879 g
      5625 686 N 0 39 38 0 0 -39 h\n.1036 g 5587 686 N 0 39 38 0 0 -39
      h\n.1193 g 5549 686 N 0 39 38 0 0 -39 h\n.1326 g 5511 686 N 0 39 38 0 0
      -39 h\n.172 g 5473 686 N 0 39 38 0 0 -39 h\n.5991 g 5435 686 N 0 39 38
      0 0 -39 h\n1 g 5398 686 N 0 39 37 0 0 -39 h\n.9058 g 5360 686 N 0 39 38
      0 0 -39 h\n.9058 g 5322 686 N 0 39 38 0 0 -39 h\n.6972 g 5284 686 N 0
      39 38 0 0 -39 h\n.5954 g 5246 686 N 0 39 38 0 0 -39 h\n.8982 g 5208 686
      N 0 39 38 0 0 -39 h\n.8625 g 5170 686 N 0 39 38 0 0 -39 h\n.534 g 5132
      686 N 0 39 38 0 0 -39 h\n.3318 g 5094 686 N 0 39 38 0 0 -39 h\n.6604 g
      5056 686 N 0 39 38 0 0 -39 h\n1 g 5019 686 N 0 39 37 0 0 -39 h\n.706 g
      4981 686 N 0 39 38 0 0 -39 h\n.3934 g 4943 686 N 0 39 38 0 0 -39
      h\n.3505 g 4905 686 N 0 39 38 0 0 -39 h\n.3305 g 4867 686 N 0 39 38 0 0
      -39 h\n.3529 g 4829 686 N 0 39 38 0 0 -39 h\n.5317 g 4791 686 N 0 39 38
      0 0 -39 h\n.5971 g 4753 686 N 0 39 38 0 0 -39 h\n.751 g 4715 686 N 0 39
      38 0 0 -39 h\n1 g 4677 686 N 0 39 38 0 0 -39 h\n1 g 4640 686 N 0 39 37
      0 0 -39 h\n1 g 4602 686 N 0 39 38 0 0 -39 h\n1 g 4564 686 N 0 39 38 0 0
      -39 h\n.9094 g 4526 686 N 0 39 38 0 0 -39 h\n.795 g 4488 686 N 0 39 38
      0 0 -39 h\n.6358 g 4450 686 N 0 39 38 0 0 -39 h\n.6277 g 4412 686 N 0
      39 38 0 0 -39 h\n.8774 g 4374 686 N 0 39 38 0 0 -39 h\n1 g 4336 686 N 0
      39 38 0 0 -39 h\n1 g 4298 686 N 0 39 38 0 0 -39 h\n1 g 4261 686 N 0 39
      37 0 0 -39 h\n.7804 g 4223 686 N 0 39 38 0 0 -39 h\n.5797 g 4185 686 N
      0 39 38 0 0 -39 h\n.7993 g 4147 686 N 0 39 38 0 0 -39 h\n1 g 4109 686 N
      0 39 38 0 0 -39 h\n1 g 4071 686 N 0 39 38 0 0 -39 h\n.9292 g 4033 686 N
      0 39 38 0 0 -39 h\n.7429 g 3995 686 N 0 39 38 0 0 -39 h\n.7101 g 3957
      686 N 0 39 38 0 0 -39 h\n.6759 g 3919 686 N 0 39 38 0 0 -39 h\n.6686 g
      3882 686 N 0 39 37 0 0 -39 h\n.8891 g 3844 686 N 0 39 38 0 0 -39
      h\n.8902 g 3806 686 N 0 39 38 0 0 -39 h\n.8902 g 3768 686 N 0 39 38 0 0
      -39 h\n1 g 3730 686 N 0 39 38 0 0 -39 h\n.0124 g 6307 647 N 0 39 38 0 0
      -39 h\n.0371 g 6269 647 N 0 39 38 0 0 -39 h\n.0495 g 6231 647 N 0 39 38
      0 0 -39 h\n.0495 g 6193 647 N 0 39 38 0 0 -39 h\n.0495 g 6156 647 N 0
      39 37 0 0 -39 h\n.0495 g 6118 647 N 0 39 38 0 0 -39 h\n.0495 g 6080 647
      N 0 39 38 0 0 -39 h\n.0495 g 6042 647 N 0 39 38 0 0 -39 h\n.0495 g 6004
      647 N 0 39 38 0 0 -39 h\n.0495 g 5966 647 N 0 39 38 0 0 -39 h\n.0495 g
      5928 647 N 0 39 38 0 0 -39 h\n.0495 g 5890 647 N 0 39 38 0 0 -39
      h\n.0495 g 5852 647 N 0 39 38 0 0 -39 h\n.0495 g 5814 647 N 0 39 38 0 0
      -39 h\n.0495 g 5777 647 N 0 39 37 0 0 -39 h\n.0495 g 5739 647 N 0 39 38
      0 0 -39 h\n.0591 g 5701 647 N 0 39 38 0 0 -39 h\n.0783 g 5663 647 N 0
      39 38 0 0 -39 h\n.0879 g 5625 647 N 0 39 38 0 0 -39 h\n.0958 g 5587 647
      N 0 39 38 0 0 -39 h\n.1115 g 5549 647 N 0 39 38 0 0 -39 h\n.1259 g 5511
      647 N 0 39 38 0 0 -39 h\n.1603 g 5473 647 N 0 39 38 0 0 -39 h\n.594 g
      5435 647 N 0 39 38 0 0 -39 h\n.8271 g 5398 647 N 0 39 37 0 0 -39
      h\n.5549 g 5360 647 N 0 39 38 0 0 -39 h\n.5337 g 5322 647 N 0 39 38 0 0
      -39 h\n.4513 g 5284 647 N 0 39 38 0 0 -39 h\n.4155 g 5246 647 N 0 39 38
      0 0 -39 h\n.6885 g 5208 647 N 0 39 38 0 0 -39 h\n.8225 g 5170 647 N 0
      39 38 0 0 -39 h\n.5646 g 5132 647 N 0 39 38 0 0 -39 h\n.3013 g 5094 647
      N 0 39 38 0 0 -39 h\n.4572 g 5056 647 N 0 39 38 0 0 -39 h\n.6383 g 5019
      647 N 0 39 37 0 0 -39 h\n.4789 g 4981 647 N 0 39 38 0 0 -39 h\n.325 g
      4943 647 N 0 39 38 0 0 -39 h\n.3222 g 4905 647 N 0 39 38 0 0 -39
      h\n.3151 g 4867 647 N 0 39 38 0 0 -39 h\n.5072 g 4829 647 N 0 39 38 0 0
      -39 h\n.8461 g 4791 647 N 0 39 38 0 0 -39 h\n.8817 g 4753 647 N 0 39 38
      0 0 -39 h\n.8817 g 4715 647 N 0 39 38 0 0 -39 h\n1 g 4677 647 N 0 39 38
      0 0 -39 h\n1 g 4640 647 N 0 39 37 0 0 -39 h\n1 g 4602 647 N 0 39 38 0 0
      -39 h\n1 g 4564 647 N 0 39 38 0 0 -39 h\n.8907 g 4526 647 N 0 39 38 0 0
      -39 h\n.7667 g 4488 647 N 0 39 38 0 0 -39 h\n.6197 g 4450 647 N 0 39 38
      0 0 -39 h\n.5369 g 4412 647 N 0 39 38 0 0 -39 h\n.7931 g 4374 647 N 0
      39 38 0 0 -39 h\n1 g 4336 647 N 0 39 38 0 0 -39 h\n1 g 4298 647 N 0 39
      38 0 0 -39 h\n1 g 4261 647 N 0 39 37 0 0 -39 h\n.7804 g 4223 647 N 0 39
      38 0 0 -39 h\n.5536 g 4185 647 N 0 39 38 0 0 -39 h\n.6833 g 4147 647 N
      0 39 38 0 0 -39 h\n.9101 g 4109 647 N 0 39 38 0 0 -39 h\n1 g 4071 647 N
      0 39 38 0 0 -39 h\n1 g 4033 647 N 0 39 38 0 0 -39 h\n.9224 g 3995 647 N
      0 39 38 0 0 -39 h\n.8274 g 3957 647 N 0 39 38 0 0 -39 h\n.7274 g 3919
      647 N 0 39 38 0 0 -39 h\n.5904 g 3882 647 N 0 39 37 0 0 -39 h\n.6431 g
      3844 647 N 0 39 38 0 0 -39 h\n.6901 g 3806 647 N 0 39 38 0 0 -39
      h\n.686 g 3768 647 N 0 39 38 0 0 -39 h\n.8711 g 3730 647 N 0 39 38 0 0
      -39 h\n%pm3d_map_end\ngrestore % colour palette end\n1.000 UP\n1.000
      UL\nLTb\nLTb\n6345 3309 M\n0 -2700 V\n1.000 UL\nLTb\nLTb\n3731 609
      M\n2614 0 V\n1.000 UL\nLTb\nLTb\n3992 609 M\n0 63 V\n1.000
      UL\nLTb\n3992 469 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 (-0.4)]\n] -46.7 MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n4515 609
      M\n0 63 V\n1.000 UL\nLTb\n4515 469 M\ngsave 0 setgray\n[ [(Helvetica)
      140.0 0.0 true true 0 (-0.2)]\n] -46.7 MCshow\ngrestore\n1.000
      UL\nLTb\nLTb\n5038 609 M\n0 63 V\n1.000 UL\nLTb\n5038 469 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 0)]\n] -46.7
      MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n5560 609 M\n0 63 V\n1.000
      UL\nLTb\n5560 469 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 ( 0.2)]\n] -46.7 MCshow\ngrestore\n1.000 UL\nLTb\nLTb\n6083 609
      M\n0 63 V\n1.000 UL\nLTb\n6083 469 M\ngsave 0 setgray\n[ [(Helvetica)
      140.0 0.0 true true 0 ( 0.4)]\n] -46.7 MCshow\ngrestore\n1.000
      UL\nLTb\nLTb\n6345 879 M\n-63 0 V\n stroke\n6429 879 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-0.4)]\n] -46.7
      MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n6345 1419 M\n-63 0 V\n
      stroke\n6429 1419 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 (-0.2)]\n] -46.7 MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n6345 1959
      M\n-63 0 V\n stroke\n6429 1959 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 ( 0)]\n] -46.7 MLshow\ngrestore\n1.000
      UL\nLTb\nLTb\n6345 2499 M\n-63 0 V\n stroke\n6429 2499 M\ngsave 0
      setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 0.2)]\n] -46.7
      MLshow\ngrestore\n1.000 UL\nLTb\nLTb\n6345 3039 M\n-63 0 V\n
      stroke\n6429 3039 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 ( 0.4)]\n] -46.7 MLshow\ngrestore\n1.000
      UP\nstroke\ngrestore\nend\nshowpage\n%%Trailer\n%%DocumentFonts:
      Helvetica\n>|ps>||||||>

      \;
    </output>

    <\input|GNUplot] >
      set pm3d \ ~set pal rgb 15,7,5 ~set nocolorbox
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~set noxtics ~set
      noytics~ set noztics ~Order=13 ~Range=2**Order
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~br=0.4616 ~bi=0.4616 ~cr=0.6200
      ~ci=-0.197~ \ ~set parametric \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~Fx(x,y,n,c)=
      c\<gtr\>0? n%2==0 ? Fx(br*x+bi*y, bi*x-br*y, n/2, c-1):
      Fx(cr*x-ci*y-cr+1, ci*x+cr*y-ci,n/2,c-1) : x
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~Fy(x,y,n,c)=
      c\<gtr\>0? n%2==0 ? Fy(br*x+bi*y, bi*x-br*y, n/2, c-1):
      Fy(cr*x-ci*y-cr+1, ci*x+cr*y-ci,n/2,c-1) : y
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~set
      samples 2 ~set isosamples Range,2 ~set urange[1:Range]
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~set border 0 ~set view
      0,0,1.8, \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~set
      label "b=0.4616+0.4616i, c=0.62-0.197i" at 0.1,-0.02
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~splot Fx(0,0,int(u),Order),
      Fy(0,0,int(u),Order), int(u)%64 notitle w dots lt pal
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ 

      <\input|GNUplot] >
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ <postscript|<tuple|<raw_data|%!PS-Adobe-2.0
        EPSF-2.0\n%%Title: temp.eps\n%%Creator: gnuplot 3.8h patchlevel
        0\n%%CreationDate: Sat Mar 29 15:56:53 2003\n%%DocumentFonts:
        (atend)\n%%BoundingBox: 50 50 410 302\n%%Orientation:
        Portrait\n%%EndComments\n/gnudict 256 dict def\ngnudict begin\n/Color
        false def\n/Solid false def\n/gnulinewidth 5.000 def\n/userlinewidth
        gnulinewidth def\n/vshift -46 def\n/dl {10.0 mul} def\n/hpt_ 31.5
        def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt vpt_ def\n/M {moveto} bind
        def\n/L {lineto} bind def\n/R {rmoveto} bind def\n/V {rlineto} bind
        def\n/N {newpath moveto} bind def\n/f {rlineto fill} bind def\n/vpt2
        vpt 2 mul def\n/hpt2 hpt 2 mul def\n/Lshow { currentpoint stroke M\n
        \ 0 vshift R show } def\n/Rshow { currentpoint stroke M\n \ dup
        stringwidth pop neg vshift R show } def\n/Cshow { currentpoint stroke
        M\n \ dup stringwidth pop -2 div vshift R show } def\n/UP { dup vpt_
        mul /vpt exch def hpt_ mul /hpt exch def\n \ /hpt2 hpt 2 mul def
        /vpt2 vpt 2 mul def } def\n/DL { Color {setrgbcolor Solid {pop []} if
        0 setdash }\n {pop pop pop Solid {pop []} if 0 setdash} ifelse }
        def\n/BL { stroke userlinewidth 2 mul setlinewidth } def\n/AL {
        stroke userlinewidth 2 div setlinewidth } def\n/UL { dup gnulinewidth
        mul /userlinewidth exch def\n \ \ \ \ \ dup 1 lt {pop 1} if 10 mul
        /udl exch def } def\n/PL { stroke userlinewidth setlinewidth }
        def\n/LTb { BL [] 0 0 0 DL } def\n/LTa { AL [1 udl mul 2 udl mul] 0
        setdash 0 0 0 setrgbcolor } def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 {
        PL [4 dl 2 dl] 0 1 0 DL } def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL }
        def\n/LT3 { PL [1 dl 1.5 dl] 1 0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1
        dl 2 dl] 0 1 1 DL } def\n/LT5 { PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL }
        def\n/LT6 { PL [2 dl 2 dl 2 dl 4 dl] 0 0 0 DL } def\n/LT7 { PL [2 dl
        2 dl 2 dl 2 dl 2 dl 4 dl] 1 0.3 0 DL } def\n/LT8 { PL [2 dl 2 dl 2 dl
        2 dl 2 dl 2 dl 2 dl 4 dl] 0.5 0.5 0.5 DL } def\n/Pnt { stroke [] 0
        setdash\n \ \ gsave 1 setlinecap M 0 0 V stroke grestore } def\n/Dia
        { stroke [] 0 setdash 2 copy vpt add M\n \ hpt neg vpt neg V hpt vpt
        neg V\n \ hpt vpt V hpt neg vpt V closepath stroke\n \ Pnt }
        def\n/Pls { stroke [] 0 setdash vpt sub M 0 vpt2 V\n \ currentpoint
        stroke M\n \ hpt neg vpt neg R hpt2 0 V stroke\n \ } def\n/Box {
        stroke [] 0 setdash 2 copy exch hpt sub exch vpt add M\n \ 0 vpt2 neg
        V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke\n \ Pnt }
        def\n/Crs { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ hpt2
        vpt2 neg V currentpoint stroke M\n \ hpt2 neg 0 R hpt2 vpt2 V stroke
        } def\n/TriU { stroke [] 0 setdash 2 copy vpt 1.12 mul add M\n \ hpt
        neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V
        closepath stroke\n \ Pnt \ } def\n/Star { 2 copy Pls Crs } def\n/BoxF
        { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V
        \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V \ closepath fill } def\n/TriUF
        { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul
        V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath fill }
        def\n/TriD { stroke [] 0 setdash 2 copy vpt 1.12 mul sub M\n \ hpt
        neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V
        closepath stroke\n \ Pnt \ } def\n/TriDF { stroke [] 0 setdash vpt
        1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt
        neg vpt -1.62 mul V closepath fill} def\n/DiaF { stroke [] 0 setdash
        vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg
        vpt V closepath fill } def\n/Pent { stroke [] 0 setdash 2 copy
        gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ closepath stroke grestore Pnt } def\n/PentF { stroke [] 0 setdash
        gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ closepath fill grestore } def\n/Circle { stroke [] 0 setdash 2
        copy\n \ hpt 0 360 arc stroke Pnt } def\n/CircleF { stroke [] 0
        setdash hpt 0 360 arc fill } def\n/C0 { BL [] 0 setdash 2 copy moveto
        vpt 90 450 \ arc } bind def\n/C1 { BL [] 0 setdash 2 copy
        \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc closepath
        fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
        def\n/C2 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        90 180 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
        closepath } bind def\n/C3 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 0 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C4 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 180 270 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
        } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
        \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc } bind def\n/C6 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
        copy \ vpt 90 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt
        0 360 arc closepath } bind def\n/C7 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ 2 copy \ vpt 0 270 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C8 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt 270 360 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
        bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy
        \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
        360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
        moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
        \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11
        { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13
        { BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
        setdash 2 copy vpt 0 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
        \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
        \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
        bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
        def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
        bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
        def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
        Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch
        vpt2 vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy
        exch vpt sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 {
        BL [] 0 setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt
        sub exch vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare }
        bind def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt
        vpt2 Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub
        vpt Square fill Bsquare } bind def\n/S9 { BL [] 0 setdash 2 copy vpt
        sub vpt vpt2 Rec fill Bsquare } bind def\n/S10 { BL [] 0 setdash 2
        copy vpt sub vpt Square fill 2 copy exch vpt sub exch vpt Square
        fill\n \ \ \ \ \ \ Bsquare } bind def\n/S11 { BL [] 0 setdash 2 copy
        vpt sub vpt Square fill 2 copy exch vpt sub exch vpt2 vpt Rec fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S12 { BL [] 0 setdash 2 copy exch
        vpt sub exch vpt sub vpt2 vpt Rec fill Bsquare } bind def\n/S13 { BL
        [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy vpt Square fill Bsquare } bind def\n/S14 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square fill Bsquare } bind
        def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill Bsquare } bind
        def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke grestore } bind
        def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke grestore } bind
        def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke grestore } bind
        def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke grestore } bind
        def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke grestore } bind
        def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke grestore } bind
        def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke grestore } bind
        def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke grestore } bind
        def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke grestore } bind
        def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke grestore } bind
        def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke grestore } bind
        def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke grestore } bind
        def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke grestore } bind
        def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke grestore } bind
        def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke grestore } bind
        def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke grestore } bind
        def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt
        vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke } def\n/BoxE {
        stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2
        0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE { stroke
        [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2
        mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke } def\n/TriDE {
        stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
        \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath stroke }
        def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72
        rotate 0 hpt L} repeat\n \ closepath stroke grestore } def\n/CircE {
        stroke [] 0 setdash \n \ hpt 0 360 arc stroke } def\n/Opaque { gsave
        closepath 1 setgray fill grestore 0 setgray closepath } def\n/DiaW {
        stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n
        \ hpt vpt V hpt neg vpt V Opaque stroke } def\n/BoxW { stroke [] 0
        setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2
        V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW { stroke [] 0 setdash
        vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n
        \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW { stroke [] 0
        setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0
        V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW { stroke []
        0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash \n \ hpt
        0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray fill
        grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
        makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
        ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0
        get findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ]
        exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch
        4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n
        \ \ \ \ {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse}
        {dup 5\n \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get
        stringwidth pop -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop
        -2 div 0 R 6 get\n \ \ \ \ show 2 index {aload pop M neg 3 -1 roll
        neg R pop pop} {pop pop pop\n \ \ \ \ pop aload pop M} ifelse }ifelse
        }ifelse } forall} bind def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get
        findfont exch 1 get scalefont\n \ \ \ \ setfont 6 get stringwidth pop
        add} {pop} ifelse} forall} bind def\n/MLshow { currentpoint stroke
        M\n \ 0 exch R MFshow } bind def\n/MRshow { currentpoint stroke M\n
        \ exch dup MFwidth neg 3 -1 roll R MFshow } def\n/MCshow {
        currentpoint stroke M\n \ exch dup MFwidth -2 div 3 -1 roll R MFshow
        } def\nend\n%%EndProlog\ngnudict begin\ngsave\n50 50 translate\n0.050
        0.050 scale\n0 setgray\nnewpath\n(Helvetica) findfont 140 scalefont
        setfont\n1.000 UL\nLTb\ngsave %% colour palette begin\n/maxcolors 0
        def\n/maxcolorsLast {maxcolors 1 sub maxcolors div} def\n/pm3dround
        {maxcolors 0 gt {dup maxcolorsLast ge {pop 1} {maxcolors mul floor
        maxcolors div} ifelse} if} def\n/cF15 {360 mul sin} bind def\t%
        sin(360x)\n/cF7 {sqrt} bind def\t% sqrt(x)\n/cF5 {dup dup mul mul}
        bind def\t% x^3\nColor true and { % COLOUR vs. GRAY map\n \ /g
        {stroke pm3dround dup cF15 exch dup cF7 exch cF5 setrgbcolor} bind
        def\n \ /h {rlineto rlineto rlineto fill} bind def\n}{\n \ /g {stroke
        pm3dround setgray} bind def\n \ /h {rlineto rlineto rlineto fill}
        bind def\n} ifelse\n%pm3d_map_begin\n.0079 g 150 328 N 0 0 -15 -11 0
        0 h\n%pm3d_map_end\ngrestore % colour palette end\n1.000 UP\n794 122
        M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0
        (b=0.4616+0.4616i, c=0.62-0.197i)]\n] -46.7 MLshow\ngrestore\n1.000
        UL\nLT0\n.8254 g 6826 355 Pnt\n.8254 g 6826 355 Pnt\n.7937 g 6839 363
        Pnt\n.7937 g 6839 363 Pnt\n.7778 g 6843 375 Pnt\n.7778 g 6843 375
        Pnt\n.7619 g 6856 391 Pnt\n.7619 g 6856 391 Pnt\n.7143 g 6852 362
        Pnt\n.7143 g 6852 362 Pnt\n.6984 g 6849 386 Pnt\n.6984 g 6849 386
        Pnt\n.6825 g 6850 381 Pnt\n.6825 g 6850 381 Pnt\n.6667 g 6857 403
        Pnt\n.6667 g 6857 403 Pnt\n.6508 g 6855 417 Pnt\n.6508 g 6855 417
        Pnt\n.6349 g 6860 440 Pnt\n.6349 g 6860 440 Pnt\n.619 g 6846 421
        Pnt\n.619 g 6846 421 Pnt\n.6032 g 6860 433 Pnt\n.6032 g 6860 433
        Pnt\n.5873 g 6864 446 Pnt\n.5873 g 6864 446 Pnt\n.5714 g 6877 461
        Pnt\n.5714 g 6877 461 Pnt\n.5556 g 6874 459 Pnt\n.5556 g 6874 459
        Pnt\n.5397 g 6878 482 Pnt\n.5397 g 6878 482 Pnt\n.5238 g 6886 491
        Pnt\n.5238 g 6886 491 Pnt\n.5079 g 6892 513 Pnt\n.5079 g 6892 513
        Pnt\n.4921 g 6925 404 Pnt\n.4921 g 6925 404 Pnt\n.4762 g 6912 418
        Pnt\n.4762 g 6912 418 Pnt\n.4603 g 6909 431 Pnt\n.4603 g 6909 431
        Pnt\n.4444 g 6897 448 Pnt\n.4444 g 6897 448 Pnt\n.4286 g 6899 445
        Pnt\n.4286 g 6899 445 Pnt\n.4127 g 6896 469 Pnt\n.4127 g 6896 469
        Pnt\n.3968 g 6889 478 Pnt\n.3968 g 6889 478 Pnt\n.381 g 6884 501
        Pnt\n.381 g 6884 501 Pnt\n.3651 g 6881 474 Pnt\n.3651 g 6881 474
        Pnt\n.3492 g 6887 496 Pnt\n.3492 g 6887 496 Pnt\n.3333 g 6885 509
        Pnt\n.3333 g 6885 509 Pnt\n.3175 g 6890 533 Pnt\n.3175 g 6890 533
        Pnt\n.3016 g 6888 528 Pnt\n.3016 g 6888 528 Pnt\n.2857 g 6883 551
        Pnt\n.2857 g 6883 551 Pnt\n.2698 g 6885 565 Pnt\n.2698 g 6885 565
        Pnt\n.254 g 6882 588 Pnt\n.254 g 6882 588 Pnt\n.2381 g 6854 538
        Pnt\n.2381 g 6854 538 Pnt\n.2222 g 6868 550 Pnt\n.2222 g 6868 550
        Pnt\n.2063 g 6872 563 Pnt\n.2063 g 6872 563 Pnt\n.1905 g 6885 578
        Pnt\n.1905 g 6885 578 Pnt\n.1746 g 6882 576 Pnt\n.1746 g 6882 576
        Pnt\n.1587 g 6887 599 Pnt\n.1587 g 6887 599 Pnt\n.1429 g 6894 608
        Pnt\n.1429 g 6894 608 Pnt\n.127 g 6900 630 Pnt\n.127 g 6900 630
        Pnt\n.1111 g 6902 603 Pnt\n.1111 g 6902 603 Pnt\n.0952 g 6897 625
        Pnt\n.0952 g 6897 625 Pnt\n.0794 g 6899 639 Pnt\n.0794 g 6899 639
        Pnt\n.0635 g 6896 663 Pnt\n.0635 g 6896 663 Pnt\n.0476 g 6897 658
        Pnt\n.0476 g 6897 658 Pnt\n.0317 g 6904 680 Pnt\n.0317 g 6904 680
        Pnt\n.0159 g 6902 694 Pnt\n.0159 g 6902 694 Pnt\n0 g 6907 718 Pnt\n0
        g 6907 718 Pnt\n.9524 g 6965 592 Pnt\n.9524 g 6965 592 Pnt\n.9365 g
        6968 592 Pnt\n.9365 g 6968 592 Pnt\n.9206 g 6957 609 Pnt\n.9206 g
        6957 609 Pnt\n.9048 g 6947 611 Pnt\n.9048 g 6947 611 Pnt\n.8889 g
        6934 625 Pnt\n.8889 g 6934 625 Pnt\n.873 g 6942 599 Pnt\n.873 g 6942
        599 Pnt\n.8571 g 6939 623 Pnt\n.8571 g 6939 623 Pnt\n.8413 g 6932 633
        Pnt\n.8413 g 6932 633 Pnt\n.8254 g 6926 655 Pnt\n.8254 g 6926 655
        Pnt\n.8095 g 6927 651 Pnt\n.8095 g 6927 651 Pnt\n.7937 g 6913 665
        Pnt\n.7937 g 6913 665 Pnt\n.7778 g 6910 678 Pnt\n.7778 g 6910 678
        Pnt\n.7619 g 6898 694 Pnt\n.7619 g 6898 694 Pnt\n.746 g 6896 630
        Pnt\n.746 g 6896 630 Pnt\n.7302 g 6902 652 Pnt\n.7302 g 6902 652
        Pnt\n.7143 g 6900 665 Pnt\n.7143 g 6900 665 Pnt\n.6984 g 6905 689
        Pnt\n.6984 g 6905 689 Pnt\n.6825 g 6903 685 Pnt\n.6825 g 6903 685
        Pnt\n.6667 g 6898 707 Pnt\n.6667 g 6898 707 Pnt\n.6508 g 6900 721
        Pnt\n.6508 g 6900 721 Pnt\n.6349 g 6897 745 Pnt\n.6349 g 6897 745
        Pnt\n.619 g 6909 723 Pnt\n.619 g 6909 723 Pnt\n.6032 g 6896 737
        Pnt\n.6032 g 6896 737 Pnt\n.5873 g 6893 750 Pnt\n.5873 g 6893 750
        Pnt\n.5714 g 6881 767 Pnt\n.5714 g 6881 767 Pnt\n.5556 g 6884 765
        Pnt\n.5556 g 6884 765 Pnt\n.5397 g 6880 788 Pnt\n.5397 g 6880 788
        Pnt\n.5238 g 6873 798 Pnt\n.5238 g 6873 798 Pnt\n.5079 g 6868 821
        Pnt\n.5079 g 6868 821 Pnt\n.4921 g 6830 716 Pnt\n.4921 g 6830 716
        Pnt\n.4762 g 6844 728 Pnt\n.4762 g 6844 728 Pnt\n.4603 g 6847 741
        Pnt\n.4603 g 6847 741 Pnt\n.4444 g 6860 756 Pnt\n.4444 g 6860 756
        Pnt\n.4286 g 6857 754 Pnt\n.4286 g 6857 754 Pnt\n.4127 g 6862 777
        Pnt\n.4127 g 6862 777 Pnt\n.3968 g 6869 786 Pnt\n.3968 g 6869 786
        Pnt\n.381 g 6876 808 Pnt\n.381 g 6876 808 Pnt\n.3651 g 6878 780
        Pnt\n.3651 g 6878 780 Pnt\n.3492 g 6872 803 Pnt\n.3492 g 6872 803
        Pnt\n.3333 g 6875 816 Pnt\n.3333 g 6875 816 Pnt\n.3175 g 6871 840
        Pnt\n.3175 g 6871 840 Pnt\n.3016 g 6873 836 Pnt\n.3016 g 6873 836
        Pnt\n.2857 g 6879 858 Pnt\n.2857 g 6879 858 Pnt\n.2698 g 6877 872
        Pnt\n.2698 g 6877 872 Pnt\n.254 g 6882 895 Pnt\n.254 g 6882 895
        Pnt\n.2381 g 6907 842 Pnt\n.2381 g 6907 842 Pnt\n.2222 g 6893 856
        Pnt\n.2222 g 6893 856 Pnt\n.2063 g 6890 869 Pnt\n.2063 g 6890 869
        Pnt\n.1905 g 6878 885 Pnt\n.1905 g 6878 885 Pnt\n.1746 g 6881 883
        Pnt\n.1746 g 6881 883 Pnt\n.1587 g 6878 907 Pnt\n.1587 g 6878 907
        Pnt\n.1429 g 6871 916 Pnt\n.1429 g 6871 916 Pnt\n.127 g 6865 939
        Pnt\n.127 g 6865 939 Pnt\n.1111 g 6862 912 Pnt\n.1111 g 6862 912
        Pnt\n.0952 g 6869 934 Pnt\n.0952 g 6869 934 Pnt\n.0794 g 6867 948
        Pnt\n.0794 g 6867 948 Pnt\n.0635 g 6871 971 Pnt\n.0635 g 6871 971
        Pnt\n.0476 g 6870 967 Pnt\n.0476 g 6870 967 Pnt\n.0317 g 6864 990
        Pnt\n.0317 g 6864 990 Pnt\n.0159 g 6867 1003 Pnt\n.0159 g 6867 1003
        Pnt\n0 g 6863 1027 Pnt\n0 g 6863 1027 Pnt\n.7937 g 6957 899
        Pnt\n.7937 g 6957 899 Pnt\n.7778 g 6949 907 Pnt\n.7778 g 6949 907
        Pnt\n.7619 g 6933 910 Pnt\n.7619 g 6933 910 Pnt\n.746 g 6956 855
        Pnt\n.746 g 6956 855 Pnt\n.7302 g 6952 878 Pnt\n.7302 g 6952 878
        Pnt\n.7143 g 6946 888 Pnt\n.7143 g 6946 888 Pnt\n.6984 g 6940 911
        Pnt\n.6984 g 6940 911 Pnt\n.6825 g 6941 906 Pnt\n.6825 g 6941 906
        Pnt\n.6667 g 6927 920 Pnt\n.6667 g 6927 920 Pnt\n.6508 g 6924 933
        Pnt\n.6508 g 6924 933 Pnt\n.6349 g 6912 950 Pnt\n.6349 g 6912 950
        Pnt\n.619 g 6930 943 Pnt\n.619 g 6930 943 Pnt\n.6032 g 6914 943
        Pnt\n.6032 g 6914 943 Pnt\n.5873 g 6906 951 Pnt\n.5873 g 6906 951
        Pnt\n.5714 g 6890 954 Pnt\n.5714 g 6890 954 Pnt\n.5556 g 6893 955
        Pnt\n.5556 g 6893 955 Pnt\n.5397 g 6881 971 Pnt\n.5397 g 6881 971
        Pnt\n.5238 g 6872 973 Pnt\n.5238 g 6872 973 Pnt\n.5079 g 6858 987
        Pnt\n.5079 g 6858 987 Pnt\n.4921 g 6868 869 Pnt\n.4921 g 6868 869
        Pnt\n.4762 g 6875 891 Pnt\n.4762 g 6875 891 Pnt\n.4603 g 6873 904
        Pnt\n.4603 g 6873 904 Pnt\n.4444 g 6878 928 Pnt\n.4444 g 6878 928
        Pnt\n.4286 g 6876 923 Pnt\n.4286 g 6876 923 Pnt\n.4127 g 6871 946
        Pnt\n.4127 g 6871 946 Pnt\n.3968 g 6873 960 Pnt\n.3968 g 6873 960
        Pnt\n.381 g 6870 983 Pnt\n.381 g 6870 983 Pnt\n.3651 g 6882 962
        Pnt\n.3651 g 6882 962 Pnt\n.3492 g 6869 976 Pnt\n.3492 g 6869 976
        Pnt\n.3333 g 6866 989 Pnt\n.3333 g 6866 989 Pnt\n.3175 g 6854 1006
        Pnt\n.3175 g 6854 1006 Pnt\n.3016 g 6856 1004 Pnt\n.3016 g 6856 1004
        Pnt\n.2857 g 6853 1027 Pnt\n.2857 g 6853 1027 Pnt\n.2698 g 6846 1037
        Pnt\n.2698 g 6846 1037 Pnt\n.254 g 6841 1060 Pnt\n.254 g 6841 1060
        Pnt\n.2381 g 6882 1037 Pnt\n.2381 g 6882 1037 Pnt\n.2222 g 6866 1037
        Pnt\n.2222 g 6866 1037 Pnt\n.2063 g 6858 1045 Pnt\n.2063 g 6858 1045
        Pnt\n.1905 g 6842 1049 Pnt\n.1905 g 6842 1049 Pnt\n.1746 g 6845 1049
        Pnt\n.1746 g 6845 1049 Pnt\n.1587 g 6833 1066 Pnt\n.1587 g 6833 1066
        Pnt\n.1429 g 6824 1068 Pnt\n.1429 g 6824 1068 Pnt\n.127 g 6810 1082
        Pnt\n.127 g 6810 1082 Pnt\n.1111 g 6818 1056 Pnt\n.1111 g 6818 1056
        Pnt\n.0952 g 6815 1080 Pnt\n.0952 g 6815 1080 Pnt\n.0794 g 6808 1090
        Pnt\n.0794 g 6808 1090 Pnt\n.0635 g 6803 1113 Pnt\n.0635 g 6803 1113
        Pnt\n.0476 g 6803 1108 Pnt\n.0476 g 6803 1108 Pnt\n.0317 g 6790 1122
        Pnt\n.0317 g 6790 1122 Pnt\n.0159 g 6786 1135 Pnt\n.0159 g 6786 1135
        Pnt\n0 g 6774 1152 Pnt\n0 g 6774 1152 Pnt\n1 g 6737 959 Pnt\n1 g 6737
        959 Pnt\n.9841 g 6751 971 Pnt\n.9841 g 6751 971 Pnt\n.9683 g 6755 984
        Pnt\n.9683 g 6755 984 Pnt\n.9524 g 6768 999 Pnt\n.9524 g 6768 999
        Pnt\n.9365 g 6765 997 Pnt\n.9365 g 6765 997 Pnt\n.9206 g 6770 1020
        Pnt\n.9206 g 6770 1020 Pnt\n.9048 g 6777 1029 Pnt\n.9048 g 6777 1029
        Pnt\n.8889 g 6783 1051 Pnt\n.8889 g 6783 1051 Pnt\n.873 g 6785 1023
        Pnt\n.873 g 6785 1023 Pnt\n.8571 g 6780 1046 Pnt\n.8571 g 6780 1046
        Pnt\n.8413 g 6782 1060 Pnt\n.8413 g 6782 1060 Pnt\n.8254 g 6779 1083
        Pnt\n.8254 g 6779 1083 Pnt\n.8095 g 6780 1079 Pnt\n.8095 g 6780 1079
        Pnt\n.7937 g 6787 1101 Pnt\n.7937 g 6787 1101 Pnt\n.7778 g 6785 1115
        Pnt\n.7778 g 6785 1115 Pnt\n.7619 g 6790 1138 Pnt\n.7619 g 6790 1138
        Pnt\n.746 g 6815 1085 Pnt\n.746 g 6815 1085 Pnt\n.7302 g 6801 1099
        Pnt\n.7302 g 6801 1099 Pnt\n.7143 g 6798 1112 Pnt\n.7143 g 6798 1112
        Pnt\n.6984 g 6786 1129 Pnt\n.6984 g 6786 1129 Pnt\n.6825 g 6789 1126
        Pnt\n.6825 g 6789 1126 Pnt\n.6667 g 6785 1150 Pnt\n.6667 g 6785 1150
        Pnt\n.6508 g 6779 1160 Pnt\n.6508 g 6779 1160 Pnt\n.6349 g 6773 1183
        Pnt\n.6349 g 6773 1183 Pnt\n.619 g 6770 1155 Pnt\n.619 g 6770 1155
        Pnt\n.6032 g 6776 1177 Pnt\n.6032 g 6776 1177 Pnt\n.5873 g 6775 1191
        Pnt\n.5873 g 6775 1191 Pnt\n.5714 g 6779 1214 Pnt\n.5714 g 6779 1214
        Pnt\n.5556 g 6778 1210 Pnt\n.5556 g 6778 1210 Pnt\n.5397 g 6772 1233
        Pnt\n.5397 g 6772 1233 Pnt\n.5238 g 6775 1246 Pnt\n.5238 g 6775 1246
        Pnt\n.5079 g 6771 1270 Pnt\n.5079 g 6771 1270 Pnt\n.4921 g 6841 1209
        Pnt\n.4921 g 6841 1209 Pnt\n.4762 g 6825 1209 Pnt\n.4762 g 6825 1209
        Pnt\n.4603 g 6817 1217 Pnt\n.4603 g 6817 1217 Pnt\n.4444 g 6801 1220
        Pnt\n.4444 g 6801 1220 Pnt\n.4286 g 6804 1221 Pnt\n.4286 g 6804 1221
        Pnt\n.4127 g 6792 1237 Pnt\n.4127 g 6792 1237 Pnt\n.3968 g 6783 1239
        Pnt\n.3968 g 6783 1239 Pnt\n.381 g 6769 1253 Pnt\n.381 g 6769 1253
        Pnt\n.3651 g 6777 1228 Pnt\n.3651 g 6777 1228 Pnt\n.3492 g 6774 1252
        Pnt\n.3492 g 6774 1252 Pnt\n.3333 g 6767 1261 Pnt\n.3333 g 6767 1261
        Pnt\n.3175 g 6762 1284 Pnt\n.3175 g 6762 1284 Pnt\n.3016 g 6762 1280
        Pnt\n.3016 g 6762 1280 Pnt\n.2857 g 6748 1294 Pnt\n.2857 g 6748 1294
        Pnt\n.2698 g 6745 1307 Pnt\n.2698 g 6745 1307 Pnt\n.254 g 6733 1324
        Pnt\n.254 g 6733 1324 Pnt\n.2381 g 6731 1258 Pnt\n.2381 g 6731 1258
        Pnt\n.2222 g 6737 1281 Pnt\n.2222 g 6737 1281 Pnt\n.2063 g 6735 1294
        Pnt\n.2063 g 6735 1294 Pnt\n.1905 g 6740 1318 Pnt\n.1905 g 6740 1318
        Pnt\n.1746 g 6738 1314 Pnt\n.1746 g 6738 1314 Pnt\n.1587 g 6733 1337
        Pnt\n.1587 g 6733 1337 Pnt\n.1429 g 6735 1350 Pnt\n.1429 g 6735 1350
        Pnt\n.127 g 6732 1374 Pnt\n.127 g 6732 1374 Pnt\n.1111 g 6744 1353
        Pnt\n.1111 g 6744 1353 Pnt\n.0952 g 6731 1367 Pnt\n.0952 g 6731 1367
        Pnt\n.0794 g 6728 1380 Pnt\n.0794 g 6728 1380 Pnt\n.0635 g 6716 1397
        Pnt\n.0635 g 6716 1397 Pnt\n.0476 g 6719 1394 Pnt\n.0476 g 6719 1394
        Pnt\n.0317 g 6715 1418 Pnt\n.0317 g 6715 1418 Pnt\n.0159 g 6708 1428
        Pnt\n.0159 g 6708 1428 Pnt\n0 g 6703 1451 Pnt\n0 g 6703 1451
        Pnt\n.8254 g 6966 1353 Pnt\n.8254 g 6966 1353 Pnt\n.8095 g 6969 1352
        Pnt\n.8095 g 6969 1352 Pnt\n.7937 g 6956 1338 Pnt\n.7937 g 6956 1338
        Pnt\n.7778 g 6946 1338 Pnt\n.7778 g 6946 1338 Pnt\n.7619 g 6932 1327
        Pnt\n.7619 g 6932 1327 Pnt\n.7302 g 6960 1318 Pnt\n.7302 g 6960 1318
        Pnt\n.7143 g 6951 1320 Pnt\n.7143 g 6951 1320 Pnt\n.6984 g 6938 1334
        Pnt\n.6984 g 6938 1334 Pnt\n.6825 g 6940 1330 Pnt\n.6825 g 6940 1330
        Pnt\n.6667 g 6923 1330 Pnt\n.6667 g 6923 1330 Pnt\n.6508 g 6916 1338
        Pnt\n.6508 g 6916 1338 Pnt\n.6349 g 6899 1342 Pnt\n.6349 g 6899 1342
        Pnt\n.619 g 6917 1352 Pnt\n.619 g 6917 1352 Pnt\n.6032 g 6904 1338
        Pnt\n.6032 g 6904 1338 Pnt\n.5873 g 6894 1338 Pnt\n.5873 g 6894 1338
        Pnt\n.5714 g 6880 1327 Pnt\n.5714 g 6880 1327 Pnt\n.5556 g 6882 1330
        Pnt\n.5556 g 6882 1330 Pnt\n.5397 g 6866 1333 Pnt\n.5397 g 6866 1333
        Pnt\n.5238 g 6857 1327 Pnt\n.5238 g 6857 1327 Pnt\n.5079 g 6841 1327
        Pnt\n.5079 g 6841 1327 Pnt\n.4921 g 6895 1238 Pnt\n.4921 g 6895 1238
        Pnt\n.4762 g 6892 1262 Pnt\n.4762 g 6892 1262 Pnt\n.4603 g 6885 1271
        Pnt\n.4603 g 6885 1271 Pnt\n.4444 g 6880 1294 Pnt\n.4444 g 6880 1294
        Pnt\n.4286 g 6880 1289 Pnt\n.4286 g 6880 1289 Pnt\n.4127 g 6867 1303
        Pnt\n.4127 g 6867 1303 Pnt\n.3968 g 6864 1317 Pnt\n.3968 g 6864 1317
        Pnt\n.381 g 6852 1333 Pnt\n.381 g 6852 1333 Pnt\n.3651 g 6870 1326
        Pnt\n.3651 g 6870 1326 Pnt\n.3492 g 6854 1326 Pnt\n.3492 g 6854 1326
        Pnt\n.3333 g 6846 1334 Pnt\n.3333 g 6846 1334 Pnt\n.3175 g 6830 1338
        Pnt\n.3175 g 6830 1338 Pnt\n.3016 g 6833 1338 Pnt\n.3016 g 6833 1338
        Pnt\n.2857 g 6821 1355 Pnt\n.2857 g 6821 1355 Pnt\n.2698 g 6812 1357
        Pnt\n.2698 g 6812 1357 Pnt\n.254 g 6798 1371 Pnt\n.254 g 6798 1371
        Pnt\n.2381 g 6841 1388 Pnt\n.2381 g 6841 1388 Pnt\n.2222 g 6827 1374
        Pnt\n.2222 g 6827 1374 Pnt\n.2063 g 6818 1374 Pnt\n.2063 g 6818 1374
        Pnt\n.1905 g 6803 1363 Pnt\n.1905 g 6803 1363 Pnt\n.1746 g 6806 1366
        Pnt\n.1746 g 6806 1366 Pnt\n.1587 g 6790 1369 Pnt\n.1587 g 6790 1369
        Pnt\n.1429 g 6781 1363 Pnt\n.1429 g 6781 1363 Pnt\n.127 g 6765 1363
        Pnt\n.127 g 6765 1363 Pnt\n.1111 g 6781 1349 Pnt\n.1111 g 6781 1349
        Pnt\n.0952 g 6769 1365 Pnt\n.0952 g 6769 1365 Pnt\n.0794 g 6760 1367
        Pnt\n.0794 g 6760 1367 Pnt\n.0635 g 6746 1381 Pnt\n.0635 g 6746 1381
        Pnt\n.0476 g 6749 1378 Pnt\n.0476 g 6749 1378 Pnt\n.0317 g 6732 1378
        Pnt\n.0317 g 6732 1378 Pnt\n.0159 g 6724 1386 Pnt\n.0159 g 6724 1386
        Pnt\n0 g 6708 1389 Pnt\n0 g 6708 1389 Pnt\n1 g 6753 1200 Pnt\n1 g
        6753 1200 Pnt\n.9841 g 6760 1222 Pnt\n.9841 g 6760 1222 Pnt\n.9683 g
        6758 1236 Pnt\n.9683 g 6758 1236 Pnt\n.9524 g 6763 1259 Pnt\n.9524 g
        6763 1259 Pnt\n.9365 g 6761 1255 Pnt\n.9365 g 6761 1255 Pnt\n.9206 g
        6756 1278 Pnt\n.9206 g 6756 1278 Pnt\n.9048 g 6758 1291 Pnt\n.9048 g
        6758 1291 Pnt\n.8889 g 6755 1315 Pnt\n.8889 g 6755 1315 Pnt\n.873 g
        6767 1294 Pnt\n.873 g 6767 1294 Pnt\n.8571 g 6754 1308 Pnt\n.8571 g
        6754 1308 Pnt\n.8413 g 6751 1321 Pnt\n.8413 g 6751 1321 Pnt\n.8254 g
        6739 1337 Pnt\n.8254 g 6739 1337 Pnt\n.8095 g 6741 1335 Pnt\n.8095 g
        6741 1335 Pnt\n.7937 g 6738 1359 Pnt\n.7937 g 6738 1359 Pnt\n.7778 g
        6731 1368 Pnt\n.7778 g 6731 1368 Pnt\n.7619 g 6726 1391 Pnt\n.7619 g
        6726 1391 Pnt\n.746 g 6767 1369 Pnt\n.746 g 6767 1369 Pnt\n.7302 g
        6751 1369 Pnt\n.7302 g 6751 1369 Pnt\n.7143 g 6743 1377 Pnt\n.7143 g
        6743 1377 Pnt\n.6984 g 6727 1380 Pnt\n.6984 g 6727 1380 Pnt\n.6825 g
        6730 1381 Pnt\n.6825 g 6730 1381 Pnt\n.6667 g 6718 1397 Pnt\n.6667 g
        6718 1397 Pnt\n.6508 g 6709 1399 Pnt\n.6508 g 6709 1399 Pnt\n.6349 g
        6695 1413 Pnt\n.6349 g 6695 1413 Pnt\n.619 g 6703 1388 Pnt\n.619 g
        6703 1388 Pnt\n.6032 g 6700 1412 Pnt\n.6032 g 6700 1412 Pnt\n.5873 g
        6693 1421 Pnt\n.5873 g 6693 1421 Pnt\n.5714 g 6688 1444 Pnt\n.5714 g
        6688 1444 Pnt\n.5556 g 6688 1439 Pnt\n.5556 g 6688 1439 Pnt\n.5397 g
        6674 1453 Pnt\n.5397 g 6674 1453 Pnt\n.5238 g 6671 1467 Pnt\n.5238 g
        6671 1467 Pnt\n.5079 g 6659 1483 Pnt\n.5079 g 6659 1483 Pnt\n.4921 g
        6740 1493 Pnt\n.4921 g 6740 1493 Pnt\n.4762 g 6727 1479 Pnt\n.4762 g
        6727 1479 Pnt\n.4603 g 6717 1479 Pnt\n.4603 g 6717 1479 Pnt\n.4444 g
        6703 1468 Pnt\n.4444 g 6703 1468 Pnt\n.4286 g 6705 1471 Pnt\n.4286 g
        6705 1471 Pnt\n.4127 g 6689 1474 Pnt\n.4127 g 6689 1474 Pnt\n.3968 g
        6681 1468 Pnt\n.3968 g 6681 1468 Pnt\n.381 g 6664 1468 Pnt\n.381 g
        6664 1468 Pnt\n.3651 g 6681 1454 Pnt\n.3651 g 6681 1454 Pnt\n.3492 g
        6669 1470 Pnt\n.3492 g 6669 1470 Pnt\n.3333 g 6659 1472 Pnt\n.3333 g
        6659 1472 Pnt\n.3175 g 6646 1487 Pnt\n.3175 g 6646 1487 Pnt\n.3016 g
        6648 1483 Pnt\n.3016 g 6648 1483 Pnt\n.2857 g 6632 1483 Pnt\n.2857 g
        6632 1483 Pnt\n.2698 g 6624 1491 Pnt\n.2698 g 6624 1491 Pnt\n.254 g
        6607 1494 Pnt\n.254 g 6607 1494 Pnt\n.2381 g 6631 1439 Pnt\n.2381 g
        6631 1439 Pnt\n.2222 g 6627 1463 Pnt\n.2222 g 6627 1463 Pnt\n.2063 g
        6620 1472 Pnt\n.2063 g 6620 1472 Pnt\n.1905 g 6615 1495 Pnt\n.1905 g
        6615 1495 Pnt\n.1746 g 6615 1490 Pnt\n.1746 g 6615 1490 Pnt\n.1587 g
        6602 1505 Pnt\n.1587 g 6602 1505 Pnt\n.1429 g 6599 1518 Pnt\n.1429 g
        6599 1518 Pnt\n.127 g 6587 1534 Pnt\n.127 g 6587 1534 Pnt\n.1111 g
        6605 1528 Pnt\n.1111 g 6605 1528 Pnt\n.0952 g 6589 1528 Pnt\n.0952 g
        6589 1528 Pnt\n.0794 g 6581 1536 Pnt\n.0794 g 6581 1536 Pnt\n.0635 g
        6565 1539 Pnt\n.0635 g 6565 1539 Pnt\n.0476 g 6568 1540 Pnt\n.0476 g
        6568 1540 Pnt\n.0317 g 6556 1556 Pnt\n.0317 g 6556 1556 Pnt\n.0159 g
        6546 1558 Pnt\n.0159 g 6546 1558 Pnt\n0 g 6533 1572 Pnt\n0 g 6533
        1572 Pnt\n1 g 6526 1252 Pnt\n1 g 6526 1252 Pnt\n.9841 g 6540 1264
        Pnt\n.9841 g 6540 1264 Pnt\n.9683 g 6543 1277 Pnt\n.9683 g 6543 1277
        Pnt\n.9524 g 6556 1292 Pnt\n.9524 g 6556 1292 Pnt\n.9365 g 6553 1290
        Pnt\n.9365 g 6553 1290 Pnt\n.9206 g 6558 1313 Pnt\n.9206 g 6558 1313
        Pnt\n.9048 g 6565 1322 Pnt\n.9048 g 6565 1322 Pnt\n.8889 g 6572 1344
        Pnt\n.8889 g 6572 1344 Pnt\n.873 g 6574 1316 Pnt\n.873 g 6574 1316
        Pnt\n.8571 g 6568 1339 Pnt\n.8571 g 6568 1339 Pnt\n.8413 g 6571 1352
        Pnt\n.8413 g 6571 1352 Pnt\n.8254 g 6567 1376 Pnt\n.8254 g 6567 1376
        Pnt\n.8095 g 6569 1372 Pnt\n.8095 g 6569 1372 Pnt\n.7937 g 6575 1394
        Pnt\n.7937 g 6575 1394 Pnt\n.7778 g 6573 1408 Pnt\n.7778 g 6573 1408
        Pnt\n.7619 g 6578 1431 Pnt\n.7619 g 6578 1431 Pnt\n.746 g 6603 1378
        Pnt\n.746 g 6603 1378 Pnt\n.7302 g 6589 1392 Pnt\n.7302 g 6589 1392
        Pnt\n.7143 g 6586 1405 Pnt\n.7143 g 6586 1405 Pnt\n.6984 g 6574 1421
        Pnt\n.6984 g 6574 1421 Pnt\n.6825 g 6577 1419 Pnt\n.6825 g 6577 1419
        Pnt\n.6667 g 6574 1443 Pnt\n.6667 g 6574 1443 Pnt\n.6508 g 6567 1452
        Pnt\n.6508 g 6567 1452 Pnt\n.6349 g 6561 1475 Pnt\n.6349 g 6561 1475
        Pnt\n.619 g 6558 1448 Pnt\n.619 g 6558 1448 Pnt\n.6032 g 6565 1470
        Pnt\n.6032 g 6565 1470 Pnt\n.5873 g 6563 1484 Pnt\n.5873 g 6563 1484
        Pnt\n.5714 g 6567 1507 Pnt\n.5714 g 6567 1507 Pnt\n.5556 g 6566 1503
        Pnt\n.5556 g 6566 1503 Pnt\n.5397 g 6560 1526 Pnt\n.5397 g 6560 1526
        Pnt\n.5238 g 6563 1539 Pnt\n.5238 g 6563 1539 Pnt\n.5079 g 6559 1563
        Pnt\n.5079 g 6559 1563 Pnt\n.4921 g 6629 1502 Pnt\n.4921 g 6629 1502
        Pnt\n.4762 g 6613 1502 Pnt\n.4762 g 6613 1502 Pnt\n.4603 g 6605 1510
        Pnt\n.4603 g 6605 1510 Pnt\n.4444 g 6589 1513 Pnt\n.4444 g 6589 1513
        Pnt\n.4286 g 6592 1514 Pnt\n.4286 g 6592 1514 Pnt\n.4127 g 6580 1530
        Pnt\n.4127 g 6580 1530 Pnt\n.3968 g 6571 1532 Pnt\n.3968 g 6571 1532
        Pnt\n.381 g 6557 1546 Pnt\n.381 g 6557 1546 Pnt\n.3651 g 6565 1521
        Pnt\n.3651 g 6565 1521 Pnt\n.3492 g 6562 1545 Pnt\n.3492 g 6562 1545
        Pnt\n.3333 g 6555 1554 Pnt\n.3333 g 6555 1554 Pnt\n.3175 g 6550 1577
        Pnt\n.3175 g 6550 1577 Pnt\n.3016 g 6550 1572 Pnt\n.3016 g 6550 1572
        Pnt\n.2857 g 6537 1587 Pnt\n.2857 g 6537 1587 Pnt\n.2698 g 6534 1600
        Pnt\n.2698 g 6534 1600 Pnt\n.254 g 6521 1616 Pnt\n.254 g 6521 1616
        Pnt\n.2381 g 6519 1551 Pnt\n.2381 g 6519 1551 Pnt\n.2222 g 6525 1574
        Pnt\n.2222 g 6525 1574 Pnt\n.2063 g 6524 1587 Pnt\n.2063 g 6524 1587
        Pnt\n.1905 g 6528 1611 Pnt\n.1905 g 6528 1611 Pnt\n.1746 g 6526 1606
        Pnt\n.1746 g 6526 1606 Pnt\n.1587 g 6521 1629 Pnt\n.1587 g 6521 1629
        Pnt\n.1429 g 6523 1643 Pnt\n.1429 g 6523 1643 Pnt\n.127 g 6520 1667
        Pnt\n.127 g 6520 1667 Pnt\n.1111 g 6533 1646 Pnt\n.1111 g 6533 1646
        Pnt\n.0952 g 6519 1660 Pnt\n.0952 g 6519 1660 Pnt\n.0794 g 6516 1673
        Pnt\n.0794 g 6516 1673 Pnt\n.0635 g 6504 1690 Pnt\n.0635 g 6504 1690
        Pnt\n.0476 g 6507 1687 Pnt\n.0476 g 6507 1687 Pnt\n.0317 g 6503 1711
        Pnt\n.0317 g 6503 1711 Pnt\n.0159 g 6496 1721 Pnt\n.0159 g 6496 1721
        Pnt\n0 g 6491 1744 Pnt\n0 g 6491 1744 Pnt\n1 g 6626 1716 Pnt\n1 g
        6626 1716 Pnt\n.9841 g 6613 1702 Pnt\n.9841 g 6613 1702 Pnt\n.9683 g
        6603 1702 Pnt\n.9683 g 6603 1702 Pnt\n.9524 g 6589 1691 Pnt\n.9524 g
        6589 1691 Pnt\n.9365 g 6591 1694 Pnt\n.9365 g 6591 1694 Pnt\n.9206 g
        6575 1697 Pnt\n.9206 g 6575 1697 Pnt\n.9048 g 6566 1691 Pnt\n.9048 g
        6566 1691 Pnt\n.8889 g 6550 1691 Pnt\n.8889 g 6550 1691 Pnt\n.873 g
        6566 1677 Pnt\n.873 g 6566 1677 Pnt\n.8571 g 6554 1694 Pnt\n.8571 g
        6554 1694 Pnt\n.8413 g 6545 1696 Pnt\n.8413 g 6545 1696 Pnt\n.8254 g
        6532 1710 Pnt\n.8254 g 6532 1710 Pnt\n.8095 g 6534 1706 Pnt\n.8095 g
        6534 1706 Pnt\n.7937 g 6517 1706 Pnt\n.7937 g 6517 1706 Pnt\n.7778 g
        6510 1714 Pnt\n.7778 g 6510 1714 Pnt\n.7619 g 6493 1718 Pnt\n.7619 g
        6493 1718 Pnt\n.746 g 6516 1662 Pnt\n.746 g 6516 1662 Pnt\n.7302 g
        6513 1686 Pnt\n.7302 g 6513 1686 Pnt\n.7143 g 6506 1695 Pnt\n.7143 g
        6506 1695 Pnt\n.6984 g 6501 1718 Pnt\n.6984 g 6501 1718 Pnt\n.6825 g
        6501 1714 Pnt\n.6825 g 6501 1714 Pnt\n.6667 g 6488 1728 Pnt\n.6667 g
        6488 1728 Pnt\n.6508 g 6484 1741 Pnt\n.6508 g 6484 1741 Pnt\n.6349 g
        6472 1758 Pnt\n.6349 g 6472 1758 Pnt\n.619 g 6491 1751 Pnt\n.619 g
        6491 1751 Pnt\n.6032 g 6474 1751 Pnt\n.6032 g 6474 1751 Pnt\n.5873 g
        6467 1759 Pnt\n.5873 g 6467 1759 Pnt\n.5714 g 6450 1762 Pnt\n.5714 g
        6450 1762 Pnt\n.5556 g 6454 1763 Pnt\n.5556 g 6454 1763 Pnt\n.5397 g
        6441 1779 Pnt\n.5397 g 6441 1779 Pnt\n.5238 g 6432 1781 Pnt\n.5238 g
        6432 1781 Pnt\n.5079 g 6418 1796 Pnt\n.5079 g 6418 1796 Pnt\n.4921 g
        6429 1676 Pnt\n.4921 g 6429 1676 Pnt\n.4762 g 6435 1698 Pnt\n.4762 g
        6435 1698 Pnt\n.4603 g 6433 1712 Pnt\n.4603 g 6433 1712 Pnt\n.4444 g
        6438 1735 Pnt\n.4444 g 6438 1735 Pnt\n.4286 g 6436 1731 Pnt\n.4286 g
        6436 1731 Pnt\n.4127 g 6431 1754 Pnt\n.4127 g 6431 1754 Pnt\n.3968 g
        6433 1768 Pnt\n.3968 g 6433 1768 Pnt\n.381 g 6430 1792 Pnt\n.381 g
        6430 1792 Pnt\n.3651 g 6442 1770 Pnt\n.3651 g 6442 1770 Pnt\n.3492 g
        6429 1784 Pnt\n.3492 g 6429 1784 Pnt\n.3333 g 6426 1798 Pnt\n.3333 g
        6426 1798 Pnt\n.3175 g 6414 1814 Pnt\n.3175 g 6414 1814 Pnt\n.3016 g
        6417 1812 Pnt\n.3016 g 6417 1812 Pnt\n.2857 g 6413 1836 Pnt\n.2857 g
        6413 1836 Pnt\n.2698 g 6406 1845 Pnt\n.2698 g 6406 1845 Pnt\n.254 g
        6401 1869 Pnt\n.254 g 6401 1869 Pnt\n.2381 g 6442 1846 Pnt\n.2381 g
        6442 1846 Pnt\n.2222 g 6426 1846 Pnt\n.2222 g 6426 1846 Pnt\n.2063 g
        6418 1854 Pnt\n.2063 g 6418 1854 Pnt\n.1905 g 6402 1857 Pnt\n.1905 g
        6402 1857 Pnt\n.1746 g 6405 1858 Pnt\n.1746 g 6405 1858 Pnt\n.1587 g
        6393 1875 Pnt\n.1587 g 6393 1875 Pnt\n.1429 g 6383 1876 Pnt\n.1429 g
        6383 1876 Pnt\n.127 g 6370 1891 Pnt\n.127 g 6370 1891 Pnt\n.1111 g
        6378 1865 Pnt\n.1111 g 6378 1865 Pnt\n.0952 g 6375 1889 Pnt\n.0952 g
        6375 1889 Pnt\n.0794 g 6368 1899 Pnt\n.0794 g 6368 1899 Pnt\n.0635 g
        6362 1922 Pnt\n.0635 g 6362 1922 Pnt\n.0476 g 6363 1917 Pnt\n.0476 g
        6363 1917 Pnt\n.0317 g 6349 1931 Pnt\n.0317 g 6349 1931 Pnt\n.0159 g
        6346 1944 Pnt\n.0159 g 6346 1944 Pnt\n0 g 6334 1961 Pnt\n0 g 6334
        1961 Pnt\n1 g 6828 2197 Pnt\n1 g 6828 2197 Pnt\n.9841 g 6832 2174
        Pnt\n.9841 g 6832 2174 Pnt\n.9683 g 6829 2161 Pnt\n.9683 g 6829 2161
        Pnt\n.9524 g 6831 2137 Pnt\n.9524 g 6831 2137 Pnt\n.9365 g 6830 2142
        Pnt\n.9365 g 6830 2142 Pnt\n.9206 g 6823 2120 Pnt\n.9206 g 6823 2120
        Pnt\n.9048 g 6824 2106 Pnt\n.9048 g 6824 2106 Pnt\n.8889 g 6818 2084
        Pnt\n.8889 g 6818 2084 Pnt\n.873 g 6833 2102 Pnt\n.873 g 6833 2102
        Pnt\n.8571 g 6818 2091 Pnt\n.8571 g 6818 2091 Pnt\n.8413 g 6814 2079
        Pnt\n.8413 g 6814 2079 Pnt\n.8254 g 6800 2065 Pnt\n.8254 g 6800 2065
        Pnt\n.8095 g 6803 2066 Pnt\n.8095 g 6803 2066 Pnt\n.7937 g 6798 2044
        Pnt\n.7937 g 6798 2044 Pnt\n.7778 g 6790 2036 Pnt\n.7778 g 6790 2036
        Pnt\n.7619 g 6783 2014 Pnt\n.7619 g 6783 2014 Pnt\n.746 g 6826 2028
        Pnt\n.746 g 6826 2028 Pnt\n.7302 g 6809 2031 Pnt\n.7302 g 6809 2031
        Pnt\n.7143 g 6801 2025 Pnt\n.7143 g 6801 2025 Pnt\n.6984 g 6785 2025
        Pnt\n.6984 g 6785 2025 Pnt\n.6825 g 6788 2024 Pnt\n.6825 g 6788 2024
        Pnt\n.6667 g 6774 2010 Pnt\n.6667 g 6774 2010 Pnt\n.6508 g 6765 2010
        Pnt\n.6508 g 6765 2010 Pnt\n.6349 g 6750 1999 Pnt\n.6349 g 6750 1999
        Pnt\n.619 g 6761 2022 Pnt\n.619 g 6761 2022 Pnt\n.6032 g 6755 1999
        Pnt\n.6032 g 6755 1999 Pnt\n.5873 g 6748 1991 Pnt\n.5873 g 6748 1991
        Pnt\n.5714 g 6740 1970 Pnt\n.5714 g 6740 1970 Pnt\n.5556 g 6741 1974
        Pnt\n.5556 g 6741 1974 Pnt\n.5397 g 6726 1963 Pnt\n.5397 g 6726 1963
        Pnt\n.5238 g 6722 1951 Pnt\n.5238 g 6722 1951 Pnt\n.5079 g 6709 1937
        Pnt\n.5079 g 6709 1937 Pnt\n.4921 g 6788 1911 Pnt\n.4921 g 6788 1911
        Pnt\n.4762 g 6776 1927 Pnt\n.4762 g 6776 1927 Pnt\n.4603 g 6766 1929
        Pnt\n.4603 g 6766 1929 Pnt\n.4444 g 6753 1943 Pnt\n.4444 g 6753 1943
        Pnt\n.4286 g 6755 1940 Pnt\n.4286 g 6755 1940 Pnt\n.4127 g 6739 1940
        Pnt\n.4127 g 6739 1940 Pnt\n.3968 g 6731 1948 Pnt\n.3968 g 6731 1948
        Pnt\n.381 g 6715 1951 Pnt\n.381 g 6715 1951 Pnt\n.3651 g 6732 1961
        Pnt\n.3651 g 6732 1961 Pnt\n.3492 g 6719 1947 Pnt\n.3492 g 6719 1947
        Pnt\n.3333 g 6710 1947 Pnt\n.3333 g 6710 1947 Pnt\n.3175 g 6695 1936
        Pnt\n.3175 g 6695 1936 Pnt\n.3016 g 6698 1939 Pnt\n.3016 g 6698 1939
        Pnt\n.2857 g 6681 1943 Pnt\n.2857 g 6681 1943 Pnt\n.2698 g 6673 1936
        Pnt\n.2698 g 6673 1936 Pnt\n.254 g 6656 1936 Pnt\n.254 g 6656 1936
        Pnt\n.2381 g 6684 1986 Pnt\n.2381 g 6684 1986 Pnt\n.2222 g 6679 1963
        Pnt\n.2222 g 6679 1963 Pnt\n.2063 g 6671 1955 Pnt\n.2063 g 6671 1955
        Pnt\n.1905 g 6664 1934 Pnt\n.1905 g 6664 1934 Pnt\n.1746 g 6665 1938
        Pnt\n.1746 g 6665 1938 Pnt\n.1587 g 6650 1927 Pnt\n.1587 g 6650 1927
        Pnt\n.1429 g 6646 1915 Pnt\n.1429 g 6646 1915 Pnt\n.127 g 6632 1901
        Pnt\n.127 g 6632 1901 Pnt\n.1111 g 6651 1904 Pnt\n.1111 g 6651 1904
        Pnt\n.0952 g 6635 1907 Pnt\n.0952 g 6635 1907 Pnt\n.0794 g 6626 1901
        Pnt\n.0794 g 6626 1901 Pnt\n.0635 g 6610 1901 Pnt\n.0635 g 6610 1901
        Pnt\n.0476 g 6613 1900 Pnt\n.0476 g 6613 1900 Pnt\n.0317 g 6600 1886
        Pnt\n.0317 g 6600 1886 Pnt\n.0159 g 6590 1885 Pnt\n.0159 g 6590 1885
        Pnt\n0 g 6575 1874 Pnt\n0 g 6575 1874 Pnt\n1 g 6686 1759 Pnt\n1 g
        6686 1759 Pnt\n.9841 g 6683 1782 Pnt\n.9841 g 6683 1782 Pnt\n.9683 g
        6676 1792 Pnt\n.9683 g 6676 1792 Pnt\n.9524 g 6671 1814 Pnt\n.9524 g
        6671 1814 Pnt\n.9365 g 6671 1810 Pnt\n.9365 g 6671 1810 Pnt\n.9206 g
        6658 1824 Pnt\n.9206 g 6658 1824 Pnt\n.9048 g 6655 1837 Pnt\n.9048 g
        6655 1837 Pnt\n.8889 g 6643 1853 Pnt\n.8889 g 6643 1853 Pnt\n.873 g
        6661 1847 Pnt\n.873 g 6661 1847 Pnt\n.8571 g 6645 1847 Pnt\n.8571 g
        6645 1847 Pnt\n.8413 g 6637 1855 Pnt\n.8413 g 6637 1855 Pnt\n.8254 g
        6621 1858 Pnt\n.8254 g 6621 1858 Pnt\n.8095 g 6624 1858 Pnt\n.8095 g
        6624 1858 Pnt\n.7937 g 6612 1875 Pnt\n.7937 g 6612 1875 Pnt\n.7778 g
        6603 1877 Pnt\n.7778 g 6603 1877 Pnt\n.7619 g 6589 1891 Pnt\n.7619 g
        6589 1891 Pnt\n.746 g 6632 1908 Pnt\n.746 g 6632 1908 Pnt\n.7302 g
        6618 1894 Pnt\n.7302 g 6618 1894 Pnt\n.7143 g 6609 1894 Pnt\n.7143 g
        6609 1894 Pnt\n.6984 g 6594 1883 Pnt\n.6984 g 6594 1883 Pnt\n.6825 g
        6597 1886 Pnt\n.6825 g 6597 1886 Pnt\n.6667 g 6580 1889 Pnt\n.6667 g
        6580 1889 Pnt\n.6508 g 6572 1883 Pnt\n.6508 g 6572 1883 Pnt\n.6349 g
        6556 1883 Pnt\n.6349 g 6556 1883 Pnt\n.619 g 6572 1869 Pnt\n.619 g
        6572 1869 Pnt\n.6032 g 6560 1886 Pnt\n.6032 g 6560 1886 Pnt\n.5873 g
        6551 1888 Pnt\n.5873 g 6551 1888 Pnt\n.5714 g 6537 1902 Pnt\n.5714 g
        6537 1902 Pnt\n.5556 g 6539 1898 Pnt\n.5556 g 6539 1898 Pnt\n.5397 g
        6523 1898 Pnt\n.5397 g 6523 1898 Pnt\n.5238 g 6515 1906 Pnt\n.5238 g
        6515 1906 Pnt\n.5079 g 6499 1910 Pnt\n.5079 g 6499 1910 Pnt\n.4921 g
        6561 1986 Pnt\n.4921 g 6561 1986 Pnt\n.4762 g 6556 1964 Pnt\n.4762 g
        6556 1964 Pnt\n.4603 g 6548 1955 Pnt\n.4603 g 6548 1955 Pnt\n.4444 g
        6541 1934 Pnt\n.4444 g 6541 1934 Pnt\n.4286 g 6541 1938 Pnt\n.4286 g
        6541 1938 Pnt\n.4127 g 6527 1927 Pnt\n.4127 g 6527 1927 Pnt\n.3968 g
        6522 1915 Pnt\n.3968 g 6522 1915 Pnt\n.381 g 6509 1901 Pnt\n.381 g
        6509 1901 Pnt\n.3651 g 6528 1904 Pnt\n.3651 g 6528 1904 Pnt\n.3492 g
        6512 1907 Pnt\n.3492 g 6512 1907 Pnt\n.3333 g 6503 1901 Pnt\n.3333 g
        6503 1901 Pnt\n.3175 g 6487 1901 Pnt\n.3175 g 6487 1901 Pnt\n.3016 g
        6490 1900 Pnt\n.3016 g 6490 1900 Pnt\n.2857 g 6476 1886 Pnt\n.2857 g
        6476 1886 Pnt\n.2698 g 6467 1886 Pnt\n.2698 g 6467 1886 Pnt\n.254 g
        6452 1874 Pnt\n.254 g 6452 1874 Pnt\n.2381 g 6493 1849 Pnt\n.2381 g
        6493 1849 Pnt\n.2222 g 6481 1865 Pnt\n.2222 g 6481 1865 Pnt\n.2063 g
        6472 1867 Pnt\n.2063 g 6472 1867 Pnt\n.1905 g 6458 1882 Pnt\n.1905 g
        6458 1882 Pnt\n.1746 g 6460 1878 Pnt\n.1746 g 6460 1878 Pnt\n.1587 g
        6444 1878 Pnt\n.1587 g 6444 1878 Pnt\n.1429 g 6436 1886 Pnt\n.1429 g
        6436 1886 Pnt\n.127 g 6420 1889 Pnt\n.127 g 6420 1889 Pnt\n.1111 g
        6437 1900 Pnt\n.1111 g 6437 1900 Pnt\n.0952 g 6424 1886 Pnt\n.0952 g
        6424 1886 Pnt\n.0794 g 6414 1886 Pnt\n.0794 g 6414 1886 Pnt\n.0635 g
        6400 1874 Pnt\n.0635 g 6400 1874 Pnt\n.0476 g 6402 1877 Pnt\n.0476 g
        6402 1877 Pnt\n.0317 g 6386 1881 Pnt\n.0317 g 6386 1881 Pnt\n.0159 g
        6377 1874 Pnt\n.0159 g 6377 1874 Pnt\n0 g 6361 1874 Pnt\n0 g 6361
        1874 Pnt\n1 g 6480 1606 Pnt\n1 g 6480 1606 Pnt\n.9841 g 6487 1629
        Pnt\n.9841 g 6487 1629 Pnt\n.9683 g 6485 1642 Pnt\n.9683 g 6485 1642
        Pnt\n.9524 g 6490 1665 Pnt\n.9524 g 6490 1665 Pnt\n.9365 g 6488 1661
        Pnt\n.9365 g 6488 1661 Pnt\n.9206 g 6483 1684 Pnt\n.9206 g 6483 1684
        Pnt\n.9048 g 6485 1697 Pnt\n.9048 g 6485 1697 Pnt\n.8889 g 6482 1721
        Pnt\n.8889 g 6482 1721 Pnt\n.873 g 6494 1700 Pnt\n.873 g 6494 1700
        Pnt\n.8571 g 6481 1714 Pnt\n.8571 g 6481 1714 Pnt\n.8413 g 6478 1727
        Pnt\n.8413 g 6478 1727 Pnt\n.8254 g 6466 1744 Pnt\n.8254 g 6466 1744
        Pnt\n.8095 g 6468 1741 Pnt\n.8095 g 6468 1741 Pnt\n.7937 g 6465 1765
        Pnt\n.7937 g 6465 1765 Pnt\n.7778 g 6458 1775 Pnt\n.7778 g 6458 1775
        Pnt\n.7619 g 6453 1798 Pnt\n.7619 g 6453 1798 Pnt\n.746 g 6494 1775
        Pnt\n.746 g 6494 1775 Pnt\n.7302 g 6478 1775 Pnt\n.7302 g 6478 1775
        Pnt\n.7143 g 6470 1783 Pnt\n.7143 g 6470 1783 Pnt\n.6984 g 6454 1787
        Pnt\n.6984 g 6454 1787 Pnt\n.6825 g 6457 1787 Pnt\n.6825 g 6457 1787
        Pnt\n.6667 g 6445 1804 Pnt\n.6667 g 6445 1804 Pnt\n.6508 g 6436 1805
        Pnt\n.6508 g 6436 1805 Pnt\n.6349 g 6422 1820 Pnt\n.6349 g 6422 1820
        Pnt\n.619 g 6430 1794 Pnt\n.619 g 6430 1794 Pnt\n.6032 g 6427 1818
        Pnt\n.6032 g 6427 1818 Pnt\n.5873 g 6420 1828 Pnt\n.5873 g 6420 1828
        Pnt\n.5714 g 6415 1850 Pnt\n.5714 g 6415 1850 Pnt\n.5556 g 6415 1846
        Pnt\n.5556 g 6415 1846 Pnt\n.5397 g 6401 1860 Pnt\n.5397 g 6401 1860
        Pnt\n.5238 g 6398 1873 Pnt\n.5238 g 6398 1873 Pnt\n.5079 g 6386 1890
        Pnt\n.5079 g 6386 1890 Pnt\n.4921 g 6467 1899 Pnt\n.4921 g 6467 1899
        Pnt\n.4762 g 6454 1885 Pnt\n.4762 g 6454 1885 Pnt\n.4603 g 6444 1885
        Pnt\n.4603 g 6444 1885 Pnt\n.4444 g 6430 1874 Pnt\n.4444 g 6430 1874
        Pnt\n.4286 g 6432 1877 Pnt\n.4286 g 6432 1877 Pnt\n.4127 g 6416 1880
        Pnt\n.4127 g 6416 1880 Pnt\n.3968 g 6408 1874 Pnt\n.3968 g 6408 1874
        Pnt\n.381 g 6391 1874 Pnt\n.381 g 6391 1874 Pnt\n.3651 g 6408 1860
        Pnt\n.3651 g 6408 1860 Pnt\n.3492 g 6396 1877 Pnt\n.3492 g 6396 1877
        Pnt\n.3333 g 6386 1879 Pnt\n.3333 g 6386 1879 Pnt\n.3175 g 6373 1893
        Pnt\n.3175 g 6373 1893 Pnt\n.3016 g 6375 1889 Pnt\n.3016 g 6375 1889
        Pnt\n.2857 g 6359 1889 Pnt\n.2857 g 6359 1889 Pnt\n.2698 g 6351 1897
        Pnt\n.2698 g 6351 1897 Pnt\n.254 g 6334 1901 Pnt\n.254 g 6334 1901
        Pnt\n.2381 g 6358 1845 Pnt\n.2381 g 6358 1845 Pnt\n.2222 g 6354 1869
        Pnt\n.2222 g 6354 1869 Pnt\n.2063 g 6347 1879 Pnt\n.2063 g 6347 1879
        Pnt\n.1905 g 6342 1902 Pnt\n.1905 g 6342 1902 Pnt\n.1746 g 6342 1897
        Pnt\n.1746 g 6342 1897 Pnt\n.1587 g 6329 1911 Pnt\n.1587 g 6329 1911
        Pnt\n.1429 g 6326 1924 Pnt\n.1429 g 6326 1924 Pnt\n.127 g 6314 1941
        Pnt\n.127 g 6314 1941 Pnt\n.1111 g 6332 1934 Pnt\n.1111 g 6332 1934
        Pnt\n.0952 g 6316 1934 Pnt\n.0952 g 6316 1934 Pnt\n.0794 g 6308 1942
        Pnt\n.0794 g 6308 1942 Pnt\n.0635 g 6292 1945 Pnt\n.0635 g 6292 1945
        Pnt\n.0476 g 6295 1946 Pnt\n.0476 g 6295 1946 Pnt\n.0317 g 6283 1963
        Pnt\n.0317 g 6283 1963 Pnt\n.0159 g 6273 1965 Pnt\n.0159 g 6273 1965
        Pnt\n0 g 6260 1979 Pnt\n0 g 6260 1979 Pnt\n1 g 6381 2071 Pnt\n1 g
        6381 2071 Pnt\n.9841 g 6375 2048 Pnt\n.9841 g 6375 2048 Pnt\n.9683 g
        6368 2040 Pnt\n.9683 g 6368 2040 Pnt\n.9524 g 6360 2019 Pnt\n.9524 g
        6360 2019 Pnt\n.9365 g 6361 2023 Pnt\n.9365 g 6361 2023 Pnt\n.9206 g
        6346 2012 Pnt\n.9206 g 6346 2012 Pnt\n.9048 g 6342 2000 Pnt\n.9048 g
        6342 2000 Pnt\n.8889 g 6329 1986 Pnt\n.8889 g 6329 1986 Pnt\n.873 g
        6347 1989 Pnt\n.873 g 6347 1989 Pnt\n.8571 g 6331 1992 Pnt\n.8571 g
        6331 1992 Pnt\n.8413 g 6323 1986 Pnt\n.8413 g 6323 1986 Pnt\n.8254 g
        6306 1986 Pnt\n.8254 g 6306 1986 Pnt\n.8095 g 6309 1985 Pnt\n.8095 g
        6309 1985 Pnt\n.7937 g 6296 1970 Pnt\n.7937 g 6296 1970 Pnt\n.7778 g
        6286 1970 Pnt\n.7778 g 6286 1970 Pnt\n.7619 g 6272 1959 Pnt\n.7619 g
        6272 1959 Pnt\n.746 g 6312 1934 Pnt\n.746 g 6312 1934 Pnt\n.7302 g
        6300 1950 Pnt\n.7302 g 6300 1950 Pnt\n.7143 g 6291 1952 Pnt\n.7143 g
        6291 1952 Pnt\n.6984 g 6278 1966 Pnt\n.6984 g 6278 1966 Pnt\n.6825 g
        6280 1963 Pnt\n.6825 g 6280 1963 Pnt\n.6667 g 6263 1963 Pnt\n.6667 g
        6263 1963 Pnt\n.6508 g 6256 1971 Pnt\n.6508 g 6256 1971 Pnt\n.6349 g
        6239 1974 Pnt\n.6349 g 6239 1974 Pnt\n.619 g 6257 1985 Pnt\n.619 g
        6257 1985 Pnt\n.6032 g 6243 1971 Pnt\n.6032 g 6243 1971 Pnt\n.5873 g
        6234 1970 Pnt\n.5873 g 6234 1970 Pnt\n.5714 g 6219 1959 Pnt\n.5714 g
        6219 1959 Pnt\n.5556 g 6222 1962 Pnt\n.5556 g 6222 1962 Pnt\n.5397 g
        6205 1966 Pnt\n.5397 g 6205 1966 Pnt\n.5238 g 6197 1959 Pnt\n.5238 g
        6197 1959 Pnt\n.5079 g 6180 1959 Pnt\n.5079 g 6180 1959 Pnt\n.4921 g
        6235 1870 Pnt\n.4921 g 6235 1870 Pnt\n.4762 g 6232 1894 Pnt\n.4762 g
        6232 1894 Pnt\n.4603 g 6225 1904 Pnt\n.4603 g 6225 1904 Pnt\n.4444 g
        6220 1927 Pnt\n.4444 g 6220 1927 Pnt\n.4286 g 6220 1922 Pnt\n.4286 g
        6220 1922 Pnt\n.4127 g 6206 1936 Pnt\n.4127 g 6206 1936 Pnt\n.3968 g
        6203 1949 Pnt\n.3968 g 6203 1949 Pnt\n.381 g 6191 1966 Pnt\n.381 g
        6191 1966 Pnt\n.3651 g 6210 1959 Pnt\n.3651 g 6210 1959 Pnt\n.3492 g
        6193 1959 Pnt\n.3492 g 6193 1959 Pnt\n.3333 g 6185 1967 Pnt\n.3333 g
        6185 1967 Pnt\n.3175 g 6169 1970 Pnt\n.3175 g 6169 1970 Pnt\n.3016 g
        6172 1971 Pnt\n.3016 g 6172 1971 Pnt\n.2857 g 6160 1988 Pnt\n.2857 g
        6160 1988 Pnt\n.2698 g 6151 1990 Pnt\n.2698 g 6151 1990 Pnt\n.254 g
        6137 2004 Pnt\n.254 g 6137 2004 Pnt\n.2381 g 6180 2021 Pnt\n.2381 g
        6180 2021 Pnt\n.2222 g 6167 2007 Pnt\n.2222 g 6167 2007 Pnt\n.2063 g
        6157 2007 Pnt\n.2063 g 6157 2007 Pnt\n.1905 g 6142 1995 Pnt\n.1905 g
        6142 1995 Pnt\n.1746 g 6145 1998 Pnt\n.1746 g 6145 1998 Pnt\n.1587 g
        6129 2002 Pnt\n.1587 g 6129 2002 Pnt\n.1429 g 6120 1995 Pnt\n.1429 g
        6120 1995 Pnt\n.127 g 6103 1995 Pnt\n.127 g 6103 1995 Pnt\n.1111 g
        6120 1981 Pnt\n.1111 g 6120 1981 Pnt\n.0952 g 6108 1998 Pnt\n.0952 g
        6108 1998 Pnt\n.0794 g 6099 2000 Pnt\n.0794 g 6099 2000 Pnt\n.0635 g
        6085 2014 Pnt\n.0635 g 6085 2014 Pnt\n.0476 g 6087 2011 Pnt\n.0476 g
        6087 2011 Pnt\n.0317 g 6071 2011 Pnt\n.0317 g 6071 2011 Pnt\n.0159 g
        6063 2019 Pnt\n.0159 g 6063 2019 Pnt\n0 g 6046 2022 Pnt\n0 g 6046
        2022 Pnt\n1 g 6123 1535 Pnt\n1 g 6123 1535 Pnt\n.9841 g 6137 1547
        Pnt\n.9841 g 6137 1547 Pnt\n.9683 g 6141 1560 Pnt\n.9683 g 6141 1560
        Pnt\n.9524 g 6154 1575 Pnt\n.9524 g 6154 1575 Pnt\n.9365 g 6151 1573
        Pnt\n.9365 g 6151 1573 Pnt\n.9206 g 6155 1596 Pnt\n.9206 g 6155 1596
        Pnt\n.9048 g 6163 1605 Pnt\n.9048 g 6163 1605 Pnt\n.8889 g 6169 1628
        Pnt\n.8889 g 6169 1628 Pnt\n.873 g 6171 1600 Pnt\n.873 g 6171 1600
        Pnt\n.8571 g 6166 1622 Pnt\n.8571 g 6166 1622 Pnt\n.8413 g 6168 1636
        Pnt\n.8413 g 6168 1636 Pnt\n.8254 g 6165 1660 Pnt\n.8254 g 6165 1660
        Pnt\n.8095 g 6166 1655 Pnt\n.8095 g 6166 1655 Pnt\n.7937 g 6173 1678
        Pnt\n.7937 g 6173 1678 Pnt\n.7778 g 6171 1691 Pnt\n.7778 g 6171 1691
        Pnt\n.7619 g 6175 1715 Pnt\n.7619 g 6175 1715 Pnt\n.746 g 6200 1661
        Pnt\n.746 g 6200 1661 Pnt\n.7302 g 6187 1675 Pnt\n.7302 g 6187 1675
        Pnt\n.7143 g 6184 1688 Pnt\n.7143 g 6184 1688 Pnt\n.6984 g 6172 1705
        Pnt\n.6984 g 6172 1705 Pnt\n.6825 g 6175 1702 Pnt\n.6825 g 6175 1702
        Pnt\n.6667 g 6171 1726 Pnt\n.6667 g 6171 1726 Pnt\n.6508 g 6164 1736
        Pnt\n.6508 g 6164 1736 Pnt\n.6349 g 6159 1759 Pnt\n.6349 g 6159 1759
        Pnt\n.619 g 6156 1731 Pnt\n.619 g 6156 1731 Pnt\n.6032 g 6162 1753
        Pnt\n.6032 g 6162 1753 Pnt\n.5873 g 6160 1767 Pnt\n.5873 g 6160 1767
        Pnt\n.5714 g 6165 1790 Pnt\n.5714 g 6165 1790 Pnt\n.5556 g 6163 1786
        Pnt\n.5556 g 6163 1786 Pnt\n.5397 g 6158 1809 Pnt\n.5397 g 6158 1809
        Pnt\n.5238 g 6160 1823 Pnt\n.5238 g 6160 1823 Pnt\n.5079 g 6157 1847
        Pnt\n.5079 g 6157 1847 Pnt\n.4921 g 6227 1785 Pnt\n.4921 g 6227 1785
        Pnt\n.4762 g 6210 1785 Pnt\n.4762 g 6210 1785 Pnt\n.4603 g 6203 1793
        Pnt\n.4603 g 6203 1793 Pnt\n.4444 g 6186 1797 Pnt\n.4444 g 6186 1797
        Pnt\n.4286 g 6190 1797 Pnt\n.4286 g 6190 1797 Pnt\n.4127 g 6178 1814
        Pnt\n.4127 g 6178 1814 Pnt\n.3968 g 6168 1816 Pnt\n.3968 g 6168 1816
        Pnt\n.381 g 6155 1830 Pnt\n.381 g 6155 1830 Pnt\n.3651 g 6163 1804
        Pnt\n.3651 g 6163 1804 Pnt\n.3492 g 6160 1828 Pnt\n.3492 g 6160 1828
        Pnt\n.3333 g 6153 1838 Pnt\n.3333 g 6153 1838 Pnt\n.3175 g 6147 1861
        Pnt\n.3175 g 6147 1861 Pnt\n.3016 g 6148 1856 Pnt\n.3016 g 6148 1856
        Pnt\n.2857 g 6134 1870 Pnt\n.2857 g 6134 1870 Pnt\n.2698 g 6131 1883
        Pnt\n.2698 g 6131 1883 Pnt\n.254 g 6119 1900 Pnt\n.254 g 6119 1900
        Pnt\n.2381 g 6116 1835 Pnt\n.2381 g 6116 1835 Pnt\n.2222 g 6123 1857
        Pnt\n.2222 g 6123 1857 Pnt\n.2063 g 6121 1871 Pnt\n.2063 g 6121 1871
        Pnt\n.1905 g 6125 1894 Pnt\n.1905 g 6125 1894 Pnt\n.1746 g 6124 1890
        Pnt\n.1746 g 6124 1890 Pnt\n.1587 g 6118 1913 Pnt\n.1587 g 6118 1913
        Pnt\n.1429 g 6121 1926 Pnt\n.1429 g 6121 1926 Pnt\n.127 g 6118 1950
        Pnt\n.127 g 6118 1950 Pnt\n.1111 g 6130 1929 Pnt\n.1111 g 6130 1929
        Pnt\n.0952 g 6117 1943 Pnt\n.0952 g 6117 1943 Pnt\n.0794 g 6114 1956
        Pnt\n.0794 g 6114 1956 Pnt\n.0635 g 6101 1973 Pnt\n.0635 g 6101 1973
        Pnt\n.0476 g 6104 1970 Pnt\n.0476 g 6104 1970 Pnt\n.0317 g 6101 1994
        Pnt\n.0317 g 6101 1994 Pnt\n.0159 g 6094 2004 Pnt\n.0159 g 6094 2004
        Pnt\n0 g 6088 2027 Pnt\n0 g 6088 2027 Pnt\n1 g 6223 1999 Pnt\n1 g
        6223 1999 Pnt\n.9841 g 6210 1985 Pnt\n.9841 g 6210 1985 Pnt\n.9683 g
        6201 1985 Pnt\n.9683 g 6201 1985 Pnt\n.9524 g 6186 1974 Pnt\n.9524 g
        6186 1974 Pnt\n.9365 g 6189 1977 Pnt\n.9365 g 6189 1977 Pnt\n.9206 g
        6172 1981 Pnt\n.9206 g 6172 1981 Pnt\n.9048 g 6164 1974 Pnt\n.9048 g
        6164 1974 Pnt\n.8889 g 6147 1974 Pnt\n.8889 g 6147 1974 Pnt\n.873 g
        6164 1960 Pnt\n.873 g 6164 1960 Pnt\n.8571 g 6152 1977 Pnt\n.8571 g
        6152 1977 Pnt\n.8413 g 6143 1979 Pnt\n.8413 g 6143 1979 Pnt\n.8254 g
        6129 1993 Pnt\n.8254 g 6129 1993 Pnt\n.8095 g 6131 1990 Pnt\n.8095 g
        6131 1990 Pnt\n.7937 g 6115 1990 Pnt\n.7937 g 6115 1990 Pnt\n.7778 g
        6107 1998 Pnt\n.7778 g 6107 1998 Pnt\n.7619 g 6091 2001 Pnt\n.7619 g
        6091 2001 Pnt\n.746 g 6114 1945 Pnt\n.746 g 6114 1945 Pnt\n.7302 g
        6111 1969 Pnt\n.7302 g 6111 1969 Pnt\n.7143 g 6104 1979 Pnt\n.7143 g
        6104 1979 Pnt\n.6984 g 6098 2002 Pnt\n.6984 g 6098 2002 Pnt\n.6825 g
        6099 1997 Pnt\n.6825 g 6099 1997 Pnt\n.6667 g 6085 2011 Pnt\n.6667 g
        6085 2011 Pnt\n.6508 g 6082 2024 Pnt\n.6508 g 6082 2024 Pnt\n.6349 g
        6070 2041 Pnt\n.6349 g 6070 2041 Pnt\n.619 g 6088 2034 Pnt\n.619 g
        6088 2034 Pnt\n.6032 g 6072 2034 Pnt\n.6032 g 6072 2034 Pnt\n.5873 g
        6064 2042 Pnt\n.5873 g 6064 2042 Pnt\n.5714 g 6048 2046 Pnt\n.5714 g
        6048 2046 Pnt\n.5556 g 6051 2046 Pnt\n.5556 g 6051 2046 Pnt\n.5397 g
        6039 2063 Pnt\n.5397 g 6039 2063 Pnt\n.5238 g 6030 2065 Pnt\n.5238 g
        6030 2065 Pnt\n.5079 g 6016 2079 Pnt\n.5079 g 6016 2079 Pnt\n.4921 g
        6026 1959 Pnt\n.4921 g 6026 1959 Pnt\n.4762 g 6033 1982 Pnt\n.4762 g
        6033 1982 Pnt\n.4603 g 6031 1995 Pnt\n.4603 g 6031 1995 Pnt\n.4444 g
        6035 2019 Pnt\n.4444 g 6035 2019 Pnt\n.4286 g 6034 2015 Pnt\n.4286 g
        6034 2015 Pnt\n.4127 g 6028 2038 Pnt\n.4127 g 6028 2038 Pnt\n.3968 g
        6031 2051 Pnt\n.3968 g 6031 2051 Pnt\n.381 g 6027 2075 Pnt\n.381 g
        6027 2075 Pnt\n.3651 g 6040 2054 Pnt\n.3651 g 6040 2054 Pnt\n.3492 g
        6026 2068 Pnt\n.3492 g 6026 2068 Pnt\n.3333 g 6023 2081 Pnt\n.3333 g
        6023 2081 Pnt\n.3175 g 6011 2098 Pnt\n.3175 g 6011 2098 Pnt\n.3016 g
        6014 2095 Pnt\n.3016 g 6014 2095 Pnt\n.2857 g 6011 2119 Pnt\n.2857 g
        6011 2119 Pnt\n.2698 g 6004 2129 Pnt\n.2698 g 6004 2129 Pnt\n.254 g
        5998 2152 Pnt\n.254 g 5998 2152 Pnt\n.2381 g 6040 2129 Pnt\n.2381 g
        6040 2129 Pnt\n.2222 g 6023 2129 Pnt\n.2222 g 6023 2129 Pnt\n.2063 g
        6016 2137 Pnt\n.2063 g 6016 2137 Pnt\n.1905 g 5999 2141 Pnt\n.1905 g
        5999 2141 Pnt\n.1746 g 6002 2141 Pnt\n.1746 g 6002 2141 Pnt\n.1587 g
        5990 2158 Pnt\n.1587 g 5990 2158 Pnt\n.1429 g 5981 2160 Pnt\n.1429 g
        5981 2160 Pnt\n.127 g 5967 2174 Pnt\n.127 g 5967 2174 Pnt\n.1111 g
        5976 2148 Pnt\n.1111 g 5976 2148 Pnt\n.0952 g 5972 2172 Pnt\n.0952 g
        5972 2172 Pnt\n.0794 g 5965 2182 Pnt\n.0794 g 5965 2182 Pnt\n.0635 g
        5960 2205 Pnt\n.0635 g 5960 2205 Pnt\n.0476 g 5960 2200 Pnt\n.0476 g
        5960 2200 Pnt\n.0317 g 5947 2215 Pnt\n.0317 g 5947 2215 Pnt\n.0159 g
        5943 2228 Pnt\n.0159 g 5943 2228 Pnt\n0 g 5931 2245 Pnt\n0 g 5931
        2245 Pnt\n1 g 6143 2320 Pnt\n1 g 6143 2320 Pnt\n.9841 g 6138 2297
        Pnt\n.9841 g 6138 2297 Pnt\n.9683 g 6130 2289 Pnt\n.9683 g 6130 2289
        Pnt\n.9524 g 6123 2267 Pnt\n.9524 g 6123 2267 Pnt\n.9365 g 6123 2272
        Pnt\n.9365 g 6123 2272 Pnt\n.9206 g 6109 2261 Pnt\n.9206 g 6109 2261
        Pnt\n.9048 g 6104 2248 Pnt\n.9048 g 6104 2248 Pnt\n.8889 g 6091 2234
        Pnt\n.8889 g 6091 2234 Pnt\n.873 g 6110 2237 Pnt\n.873 g 6110 2237
        Pnt\n.8571 g 6094 2240 Pnt\n.8571 g 6094 2240 Pnt\n.8413 g 6085 2234
        Pnt\n.8413 g 6085 2234 Pnt\n.8254 g 6069 2234 Pnt\n.8254 g 6069 2234
        Pnt\n.8095 g 6072 2233 Pnt\n.8095 g 6072 2233 Pnt\n.7937 g 6058 2219
        Pnt\n.7937 g 6058 2219 Pnt\n.7778 g 6049 2219 Pnt\n.7778 g 6049 2219
        Pnt\n.7619 g 6034 2208 Pnt\n.7619 g 6034 2208 Pnt\n.746 g 6075 2182
        Pnt\n.746 g 6075 2182 Pnt\n.7302 g 6063 2199 Pnt\n.7302 g 6063 2199
        Pnt\n.7143 g 6054 2201 Pnt\n.7143 g 6054 2201 Pnt\n.6984 g 6040 2215
        Pnt\n.6984 g 6040 2215 Pnt\n.6825 g 6042 2211 Pnt\n.6825 g 6042 2211
        Pnt\n.6667 g 6026 2211 Pnt\n.6667 g 6026 2211 Pnt\n.6508 g 6018 2219
        Pnt\n.6508 g 6018 2219 Pnt\n.6349 g 6002 2223 Pnt\n.6349 g 6002 2223
        Pnt\n.619 g 6019 2233 Pnt\n.619 g 6019 2233 Pnt\n.6032 g 6006 2219
        Pnt\n.6032 g 6006 2219 Pnt\n.5873 g 5996 2219 Pnt\n.5873 g 5996 2219
        Pnt\n.5714 g 5982 2208 Pnt\n.5714 g 5982 2208 Pnt\n.5556 g 5984 2211
        Pnt\n.5556 g 5984 2211 Pnt\n.5397 g 5968 2214 Pnt\n.5397 g 5968 2214
        Pnt\n.5238 g 5959 2208 Pnt\n.5238 g 5959 2208 Pnt\n.5079 g 5943 2208
        Pnt\n.5079 g 5943 2208 Pnt\n.4921 g 5998 2119 Pnt\n.4921 g 5998 2119
        Pnt\n.4762 g 5994 2142 Pnt\n.4762 g 5994 2142 Pnt\n.4603 g 5987 2152
        Pnt\n.4603 g 5987 2152 Pnt\n.4444 g 5982 2175 Pnt\n.4444 g 5982 2175
        Pnt\n.4286 g 5982 2170 Pnt\n.4286 g 5982 2170 Pnt\n.4127 g 5969 2184
        Pnt\n.4127 g 5969 2184 Pnt\n.3968 g 5966 2197 Pnt\n.3968 g 5966 2197
        Pnt\n.381 g 5954 2214 Pnt\n.381 g 5954 2214 Pnt\n.3651 g 5972 2207
        Pnt\n.3651 g 5972 2207 Pnt\n.3492 g 5956 2207 Pnt\n.3492 g 5956 2207
        Pnt\n.3333 g 5948 2216 Pnt\n.3333 g 5948 2216 Pnt\n.3175 g 5931 2219
        Pnt\n.3175 g 5931 2219 Pnt\n.3016 g 5935 2219 Pnt\n.3016 g 5935 2219
        Pnt\n.2857 g 5923 2236 Pnt\n.2857 g 5923 2236 Pnt\n.2698 g 5913 2238
        Pnt\n.2698 g 5913 2238 Pnt\n.254 g 5900 2252 Pnt\n.254 g 5900 2252
        Pnt\n.2381 g 5942 2269 Pnt\n.2381 g 5942 2269 Pnt\n.2222 g 5929 2255
        Pnt\n.2222 g 5929 2255 Pnt\n.2063 g 5920 2255 Pnt\n.2063 g 5920 2255
        Pnt\n.1905 g 5905 2244 Pnt\n.1905 g 5905 2244 Pnt\n.1746 g 5907 2247
        Pnt\n.1746 g 5907 2247 Pnt\n.1587 g 5891 2250 Pnt\n.1587 g 5891 2250
        Pnt\n.1429 g 5882 2244 Pnt\n.1429 g 5882 2244 Pnt\n.127 g 5866 2244
        Pnt\n.127 g 5866 2244 Pnt\n.1111 g 5883 2230 Pnt\n.1111 g 5883 2230
        Pnt\n.0952 g 5870 2247 Pnt\n.0952 g 5870 2247 Pnt\n.0794 g 5861 2249
        Pnt\n.0794 g 5861 2249 Pnt\n.0635 g 5847 2263 Pnt\n.0635 g 5847 2263
        Pnt\n.0476 g 5850 2259 Pnt\n.0476 g 5850 2259 Pnt\n.0317 g 5833 2259
        Pnt\n.0317 g 5833 2259 Pnt\n.0159 g 5825 2267 Pnt\n.0159 g 5825 2267
        Pnt\n0 g 5809 2271 Pnt\n0 g 5809 2271 Pnt\n1 g 5855 2080 Pnt\n1 g
        5855 2080 Pnt\n.9841 g 5861 2102 Pnt\n.9841 g 5861 2102 Pnt\n.9683 g
        5859 2116 Pnt\n.9683 g 5859 2116 Pnt\n.9524 g 5864 2140 Pnt\n.9524 g
        5864 2140 Pnt\n.9365 g 5862 2135 Pnt\n.9365 g 5862 2135 Pnt\n.9206 g
        5857 2158 Pnt\n.9206 g 5857 2158 Pnt\n.9048 g 5859 2172 Pnt\n.9048 g
        5859 2172 Pnt\n.8889 g 5856 2196 Pnt\n.8889 g 5856 2196 Pnt\n.873 g
        5868 2174 Pnt\n.873 g 5868 2174 Pnt\n.8571 g 5855 2189 Pnt\n.8571 g
        5855 2189 Pnt\n.8413 g 5852 2202 Pnt\n.8413 g 5852 2202 Pnt\n.8254 g
        5840 2218 Pnt\n.8254 g 5840 2218 Pnt\n.8095 g 5842 2216 Pnt\n.8095 g
        5842 2216 Pnt\n.7937 g 5839 2240 Pnt\n.7937 g 5839 2240 Pnt\n.7778 g
        5832 2250 Pnt\n.7778 g 5832 2250 Pnt\n.7619 g 5827 2273 Pnt\n.7619 g
        5827 2273 Pnt\n.746 g 5868 2250 Pnt\n.746 g 5868 2250 Pnt\n.7302 g
        5852 2250 Pnt\n.7302 g 5852 2250 Pnt\n.7143 g 5844 2258 Pnt\n.7143 g
        5844 2258 Pnt\n.6984 g 5828 2262 Pnt\n.6984 g 5828 2262 Pnt\n.6825 g
        5831 2262 Pnt\n.6825 g 5831 2262 Pnt\n.6667 g 5819 2279 Pnt\n.6667 g
        5819 2279 Pnt\n.6508 g 5809 2281 Pnt\n.6508 g 5809 2281 Pnt\n.6349 g
        5796 2295 Pnt\n.6349 g 5796 2295 Pnt\n.619 g 5804 2269 Pnt\n.619 g
        5804 2269 Pnt\n.6032 g 5801 2293 Pnt\n.6032 g 5801 2293 Pnt\n.5873 g
        5794 2303 Pnt\n.5873 g 5794 2303 Pnt\n.5714 g 5788 2326 Pnt\n.5714 g
        5788 2326 Pnt\n.5556 g 5789 2321 Pnt\n.5556 g 5789 2321 Pnt\n.5397 g
        5775 2335 Pnt\n.5397 g 5775 2335 Pnt\n.5238 g 5772 2349 Pnt\n.5238 g
        5772 2349 Pnt\n.5079 g 5760 2365 Pnt\n.5079 g 5760 2365 Pnt\n.4921 g
        5841 2375 Pnt\n.4921 g 5841 2375 Pnt\n.4762 g 5828 2361 Pnt\n.4762 g
        5828 2361 Pnt\n.4603 g 5818 2361 Pnt\n.4603 g 5818 2361 Pnt\n.4444 g
        5804 2350 Pnt\n.4444 g 5804 2350 Pnt\n.4286 g 5806 2353 Pnt\n.4286 g
        5806 2353 Pnt\n.4127 g 5790 2356 Pnt\n.4127 g 5790 2356 Pnt\n.3968 g
        5781 2350 Pnt\n.3968 g 5781 2350 Pnt\n.381 g 5765 2350 Pnt\n.381 g
        5765 2350 Pnt\n.3651 g 5781 2336 Pnt\n.3651 g 5781 2336 Pnt\n.3492 g
        5769 2352 Pnt\n.3492 g 5769 2352 Pnt\n.3333 g 5760 2354 Pnt\n.3333 g
        5760 2354 Pnt\n.3175 g 5746 2369 Pnt\n.3175 g 5746 2369 Pnt\n.3016 g
        5748 2365 Pnt\n.3016 g 5748 2365 Pnt\n.2857 g 5732 2365 Pnt\n.2857 g
        5732 2365 Pnt\n.2698 g 5724 2373 Pnt\n.2698 g 5724 2373 Pnt\n.254 g
        5707 2376 Pnt\n.254 g 5707 2376 Pnt\n.2381 g 5731 2321 Pnt\n.2381 g
        5731 2321 Pnt\n.2222 g 5728 2345 Pnt\n.2222 g 5728 2345 Pnt\n.2063 g
        5721 2354 Pnt\n.2063 g 5721 2354 Pnt\n.1905 g 5715 2377 Pnt\n.1905 g
        5715 2377 Pnt\n.1746 g 5716 2373 Pnt\n.1746 g 5716 2373 Pnt\n.1587 g
        5702 2387 Pnt\n.1587 g 5702 2387 Pnt\n.1429 g 5699 2400 Pnt\n.1429 g
        5699 2400 Pnt\n.127 g 5687 2417 Pnt\n.127 g 5687 2417 Pnt\n.1111 g
        5705 2410 Pnt\n.1111 g 5705 2410 Pnt\n.0952 g 5689 2410 Pnt\n.0952 g
        5689 2410 Pnt\n.0794 g 5681 2418 Pnt\n.0794 g 5681 2418 Pnt\n.0635 g
        5664 2422 Pnt\n.0635 g 5664 2422 Pnt\n.0476 g 5668 2422 Pnt\n.0476 g
        5668 2422 Pnt\n.0317 g 5655 2439 Pnt\n.0317 g 5655 2439 Pnt\n.0159 g
        5646 2441 Pnt\n.0159 g 5646 2441 Pnt\n0 g 5632 2455 Pnt\n0 g 5632
        2455 Pnt\n1 g 6269 3156 Pnt\n1 g 6269 3156 Pnt\n.9841 g 6282 3140
        Pnt\n.9841 g 6282 3140 Pnt\n.9683 g 6284 3127 Pnt\n.9683 g 6284 3127
        Pnt\n.9524 g 6295 3110 Pnt\n.9524 g 6295 3110 Pnt\n.9365 g 6293 3112
        Pnt\n.9365 g 6293 3112 Pnt\n.9206 g 6295 3088 Pnt\n.9206 g 6295 3088
        Pnt\n.9048 g 6301 3078 Pnt\n.9048 g 6301 3078 Pnt\n.8889 g 6306 3055
        Pnt\n.8889 g 6306 3055 Pnt\n.873 g 6310 3082 Pnt\n.873 g 6310 3082
        Pnt\n.8571 g 6303 3061 Pnt\n.8571 g 6303 3061 Pnt\n.8413 g 6304 3047
        Pnt\n.8413 g 6304 3047 Pnt\n.8254 g 6299 3024 Pnt\n.8254 g 6299 3024
        Pnt\n.8095 g 6300 3028 Pnt\n.8095 g 6300 3028 Pnt\n.7937 g 6305 3005
        Pnt\n.7937 g 6305 3005 Pnt\n.7778 g 6302 2992 Pnt\n.7778 g 6302 2992
        Pnt\n.7619 g 6304 2968 Pnt\n.7619 g 6304 2968 Pnt\n.746 g 6333 3015
        Pnt\n.746 g 6333 3015 Pnt\n.7302 g 6319 3004 Pnt\n.7302 g 6319 3004
        Pnt\n.7143 g 6315 2992 Pnt\n.7143 g 6315 2992 Pnt\n.6984 g 6301 2978
        Pnt\n.6984 g 6301 2978 Pnt\n.6825 g 6304 2980 Pnt\n.6825 g 6304 2980
        Pnt\n.6667 g 6299 2957 Pnt\n.6667 g 6299 2957 Pnt\n.6508 g 6291 2949
        Pnt\n.6508 g 6291 2949 Pnt\n.6349 g 6284 2927 Pnt\n.6349 g 6284 2927
        Pnt\n.619 g 6283 2955 Pnt\n.619 g 6283 2955 Pnt\n.6032 g 6287 2932
        Pnt\n.6032 g 6287 2932 Pnt\n.5873 g 6284 2919 Pnt\n.5873 g 6284 2919
        Pnt\n.5714 g 6286 2895 Pnt\n.5714 g 6286 2895 Pnt\n.5556 g 6285 2899
        Pnt\n.5556 g 6285 2899 Pnt\n.5397 g 6278 2878 Pnt\n.5397 g 6278 2878
        Pnt\n.5238 g 6279 2864 Pnt\n.5238 g 6279 2864 Pnt\n.5079 g 6273 2841
        Pnt\n.5079 g 6273 2841 Pnt\n.4921 g 6348 2888 Pnt\n.4921 g 6348 2888
        Pnt\n.4762 g 6332 2891 Pnt\n.4762 g 6332 2891 Pnt\n.4603 g 6324 2884
        Pnt\n.4603 g 6324 2884 Pnt\n.4444 g 6307 2885 Pnt\n.4444 g 6307 2885
        Pnt\n.4286 g 6310 2883 Pnt\n.4286 g 6310 2883 Pnt\n.4127 g 6297 2870
        Pnt\n.4127 g 6297 2870 Pnt\n.3968 g 6288 2869 Pnt\n.3968 g 6288 2869
        Pnt\n.381 g 6273 2858 Pnt\n.381 g 6273 2858 Pnt\n.3651 g 6283 2882
        Pnt\n.3651 g 6283 2882 Pnt\n.3492 g 6278 2859 Pnt\n.3492 g 6278 2859
        Pnt\n.3333 g 6270 2851 Pnt\n.3333 g 6270 2851 Pnt\n.3175 g 6263 2829
        Pnt\n.3175 g 6263 2829 Pnt\n.3016 g 6263 2834 Pnt\n.3016 g 6263 2834
        Pnt\n.2857 g 6249 2823 Pnt\n.2857 g 6249 2823 Pnt\n.2698 g 6245 2810
        Pnt\n.2698 g 6245 2810 Pnt\n.254 g 6231 2796 Pnt\n.254 g 6231 2796
        Pnt\n.2381 g 6234 2861 Pnt\n.2381 g 6234 2861 Pnt\n.2222 g 6239 2838
        Pnt\n.2222 g 6239 2838 Pnt\n.2063 g 6236 2825 Pnt\n.2063 g 6236 2825
        Pnt\n.1905 g 6238 2801 Pnt\n.1905 g 6238 2801 Pnt\n.1746 g 6237 2805
        Pnt\n.1746 g 6237 2805 Pnt\n.1587 g 6229 2784 Pnt\n.1587 g 6229 2784
        Pnt\n.1429 g 6231 2770 Pnt\n.1429 g 6231 2770 Pnt\n.127 g 6225 2747
        Pnt\n.127 g 6225 2747 Pnt\n.1111 g 6239 2765 Pnt\n.1111 g 6239 2765
        Pnt\n.0952 g 6225 2754 Pnt\n.0952 g 6225 2754 Pnt\n.0794 g 6220 2742
        Pnt\n.0794 g 6220 2742 Pnt\n.0635 g 6207 2728 Pnt\n.0635 g 6207 2728
        Pnt\n.0476 g 6210 2729 Pnt\n.0476 g 6210 2729 Pnt\n.0317 g 6204 2707
        Pnt\n.0317 g 6204 2707 Pnt\n.0159 g 6197 2698 Pnt\n.0159 g 6197 2698
        Pnt\n0 g 6189 2677 Pnt\n0 g 6189 2677 Pnt\n1 g 6325 2677 Pnt\n1 g
        6325 2677 Pnt\n.9841 g 6313 2693 Pnt\n.9841 g 6313 2693 Pnt\n.9683 g
        6304 2695 Pnt\n.9683 g 6304 2695 Pnt\n.9524 g 6290 2709 Pnt\n.9524 g
        6290 2709 Pnt\n.9365 g 6293 2706 Pnt\n.9365 g 6293 2706 Pnt\n.9206 g
        6276 2706 Pnt\n.9206 g 6276 2706 Pnt\n.9048 g 6269 2714 Pnt\n.9048 g
        6269 2714 Pnt\n.8889 g 6252 2717 Pnt\n.8889 g 6252 2717 Pnt\n.873 g
        6270 2727 Pnt\n.873 g 6270 2727 Pnt\n.8571 g 6256 2713 Pnt\n.8571 g
        6256 2713 Pnt\n.8413 g 6247 2713 Pnt\n.8413 g 6247 2713 Pnt\n.8254 g
        6232 2702 Pnt\n.8254 g 6232 2702 Pnt\n.8095 g 6235 2705 Pnt\n.8095 g
        6235 2705 Pnt\n.7937 g 6219 2709 Pnt\n.7937 g 6219 2709 Pnt\n.7778 g
        6210 2702 Pnt\n.7778 g 6210 2702 Pnt\n.7619 g 6194 2702 Pnt\n.7619 g
        6194 2702 Pnt\n.746 g 6222 2752 Pnt\n.746 g 6222 2752 Pnt\n.7302 g
        6216 2729 Pnt\n.7302 g 6216 2729 Pnt\n.7143 g 6209 2721 Pnt\n.7143 g
        6209 2721 Pnt\n.6984 g 6201 2700 Pnt\n.6984 g 6201 2700 Pnt\n.6825 g
        6202 2704 Pnt\n.6825 g 6202 2704 Pnt\n.6667 g 6187 2693 Pnt\n.6667 g
        6187 2693 Pnt\n.6508 g 6183 2681 Pnt\n.6508 g 6183 2681 Pnt\n.6349 g
        6170 2667 Pnt\n.6349 g 6170 2667 Pnt\n.619 g 6189 2670 Pnt\n.619 g
        6189 2670 Pnt\n.6032 g 6172 2673 Pnt\n.6032 g 6172 2673 Pnt\n.5873 g
        6164 2667 Pnt\n.5873 g 6164 2667 Pnt\n.5714 g 6147 2667 Pnt\n.5714 g
        6147 2667 Pnt\n.5556 g 6150 2666 Pnt\n.5556 g 6150 2666 Pnt\n.5397 g
        6137 2652 Pnt\n.5397 g 6137 2652 Pnt\n.5238 g 6128 2651 Pnt\n.5238 g
        6128 2651 Pnt\n.5079 g 6113 2640 Pnt\n.5079 g 6113 2640 Pnt\n.4921 g
        6134 2756 Pnt\n.4921 g 6134 2756 Pnt\n.4762 g 6138 2733 Pnt\n.4762 g
        6138 2733 Pnt\n.4603 g 6135 2720 Pnt\n.4603 g 6135 2720 Pnt\n.4444 g
        6137 2696 Pnt\n.4444 g 6137 2696 Pnt\n.4286 g 6136 2700 Pnt\n.4286 g
        6136 2700 Pnt\n.4127 g 6129 2679 Pnt\n.4127 g 6129 2679 Pnt\n.3968 g
        6130 2665 Pnt\n.3968 g 6130 2665 Pnt\n.381 g 6124 2642 Pnt\n.381 g
        6124 2642 Pnt\n.3651 g 6139 2660 Pnt\n.3651 g 6139 2660 Pnt\n.3492 g
        6124 2649 Pnt\n.3492 g 6124 2649 Pnt\n.3333 g 6120 2637 Pnt\n.3333 g
        6120 2637 Pnt\n.3175 g 6106 2623 Pnt\n.3175 g 6106 2623 Pnt\n.3016 g
        6109 2625 Pnt\n.3016 g 6109 2625 Pnt\n.2857 g 6104 2602 Pnt\n.2857 g
        6104 2602 Pnt\n.2698 g 6096 2593 Pnt\n.2698 g 6096 2593 Pnt\n.254 g
        6089 2572 Pnt\n.254 g 6089 2572 Pnt\n.2381 g 6132 2586 Pnt\n.2381 g
        6132 2586 Pnt\n.2222 g 6115 2589 Pnt\n.2222 g 6115 2589 Pnt\n.2063 g
        6107 2583 Pnt\n.2063 g 6107 2583 Pnt\n.1905 g 6091 2583 Pnt\n.1905 g
        6091 2583 Pnt\n.1746 g 6094 2582 Pnt\n.1746 g 6094 2582 Pnt\n.1587 g
        6080 2567 Pnt\n.1587 g 6080 2567 Pnt\n.1429 g 6071 2567 Pnt\n.1429 g
        6071 2567 Pnt\n.127 g 6056 2556 Pnt\n.127 g 6056 2556 Pnt\n.1111 g
        6066 2580 Pnt\n.1111 g 6066 2580 Pnt\n.0952 g 6061 2557 Pnt\n.0952 g
        6061 2557 Pnt\n.0794 g 6053 2549 Pnt\n.0794 g 6053 2549 Pnt\n.0635 g
        6046 2527 Pnt\n.0635 g 6046 2527 Pnt\n.0476 g 6046 2532 Pnt\n.0476 g
        6046 2532 Pnt\n.0317 g 6032 2520 Pnt\n.0317 g 6032 2520 Pnt\n.0159 g
        6027 2508 Pnt\n.0159 g 6027 2508 Pnt\n0 g 6014 2494 Pnt\n0 g 6014
        2494 Pnt\n1 g 6216 2377 Pnt\n1 g 6216 2377 Pnt\n.9841 g 6213 2401
        Pnt\n.9841 g 6213 2401 Pnt\n.9683 g 6206 2410 Pnt\n.9683 g 6206 2410
        Pnt\n.9524 g 6201 2433 Pnt\n.9524 g 6201 2433 Pnt\n.9365 g 6201 2428
        Pnt\n.9365 g 6201 2428 Pnt\n.9206 g 6188 2442 Pnt\n.9206 g 6188 2442
        Pnt\n.9048 g 6184 2455 Pnt\n.9048 g 6184 2455 Pnt\n.8889 g 6172 2472
        Pnt\n.8889 g 6172 2472 Pnt\n.873 g 6191 2465 Pnt\n.873 g 6191 2465
        Pnt\n.8571 g 6175 2465 Pnt\n.8571 g 6175 2465 Pnt\n.8413 g 6167 2473
        Pnt\n.8413 g 6167 2473 Pnt\n.8254 g 6151 2477 Pnt\n.8254 g 6151 2477
        Pnt\n.8095 g 6154 2477 Pnt\n.8095 g 6154 2477 Pnt\n.7937 g 6142 2494
        Pnt\n.7937 g 6142 2494 Pnt\n.7778 g 6132 2495 Pnt\n.7778 g 6132 2495
        Pnt\n.7619 g 6119 2510 Pnt\n.7619 g 6119 2510 Pnt\n.746 g 6161 2526
        Pnt\n.746 g 6161 2526 Pnt\n.7302 g 6148 2513 Pnt\n.7302 g 6148 2513
        Pnt\n.7143 g 6139 2512 Pnt\n.7143 g 6139 2512 Pnt\n.6984 g 6124 2501
        Pnt\n.6984 g 6124 2501 Pnt\n.6825 g 6127 2504 Pnt\n.6825 g 6127 2504
        Pnt\n.6667 g 6110 2508 Pnt\n.6667 g 6110 2508 Pnt\n.6508 g 6102 2501
        Pnt\n.6508 g 6102 2501 Pnt\n.6349 g 6085 2501 Pnt\n.6349 g 6085 2501
        Pnt\n.619 g 6102 2487 Pnt\n.619 g 6102 2487 Pnt\n.6032 g 6090 2504
        Pnt\n.6032 g 6090 2504 Pnt\n.5873 g 6081 2506 Pnt\n.5873 g 6081 2506
        Pnt\n.5714 g 6067 2520 Pnt\n.5714 g 6067 2520 Pnt\n.5556 g 6069 2517
        Pnt\n.5556 g 6069 2517 Pnt\n.5397 g 6053 2517 Pnt\n.5397 g 6053 2517
        Pnt\n.5238 g 6045 2525 Pnt\n.5238 g 6045 2525 Pnt\n.5079 g 6029 2528
        Pnt\n.5079 g 6029 2528 Pnt\n.4921 g 6091 2605 Pnt\n.4921 g 6091 2605
        Pnt\n.4762 g 6086 2582 Pnt\n.4762 g 6086 2582 Pnt\n.4603 g 6078 2574
        Pnt\n.4603 g 6078 2574 Pnt\n.4444 g 6070 2552 Pnt\n.4444 g 6070 2552
        Pnt\n.4286 g 6071 2557 Pnt\n.4286 g 6071 2557 Pnt\n.4127 g 6057 2546
        Pnt\n.4127 g 6057 2546 Pnt\n.3968 g 6052 2533 Pnt\n.3968 g 6052 2533
        Pnt\n.381 g 6039 2519 Pnt\n.381 g 6039 2519 Pnt\n.3651 g 6058 2522
        Pnt\n.3651 g 6058 2522 Pnt\n.3492 g 6041 2526 Pnt\n.3492 g 6041 2526
        Pnt\n.3333 g 6033 2519 Pnt\n.3333 g 6033 2519 Pnt\n.3175 g 6016 2519
        Pnt\n.3175 g 6016 2519 Pnt\n.3016 g 6020 2518 Pnt\n.3016 g 6020 2518
        Pnt\n.2857 g 6006 2504 Pnt\n.2857 g 6006 2504 Pnt\n.2698 g 5997 2504
        Pnt\n.2698 g 5997 2504 Pnt\n.254 g 5982 2493 Pnt\n.254 g 5982 2493
        Pnt\n.2381 g 6023 2467 Pnt\n.2381 g 6023 2467 Pnt\n.2222 g 6011 2484
        Pnt\n.2222 g 6011 2484 Pnt\n.2063 g 6001 2486 Pnt\n.2063 g 6001 2486
        Pnt\n.1905 g 5988 2500 Pnt\n.1905 g 5988 2500 Pnt\n.1746 g 5990 2496
        Pnt\n.1746 g 5990 2496 Pnt\n.1587 g 5974 2496 Pnt\n.1587 g 5974 2496
        Pnt\n.1429 g 5966 2504 Pnt\n.1429 g 5966 2504 Pnt\n.127 g 5949 2508
        Pnt\n.127 g 5949 2508 Pnt\n.1111 g 5967 2518 Pnt\n.1111 g 5967 2518
        Pnt\n.0952 g 5954 2504 Pnt\n.0952 g 5954 2504 Pnt\n.0794 g 5944 2504
        Pnt\n.0794 g 5944 2504 Pnt\n.0635 g 5930 2493 Pnt\n.0635 g 5930 2493
        Pnt\n.0476 g 5932 2496 Pnt\n.0476 g 5932 2496 Pnt\n.0317 g 5916 2499
        Pnt\n.0317 g 5916 2499 Pnt\n.0159 g 5907 2493 Pnt\n.0159 g 5907 2493
        Pnt\n0 g 5891 2493 Pnt\n0 g 5891 2493 Pnt\n1 g 5953 2672 Pnt\n1 g
        5953 2672 Pnt\n.9841 g 5958 2648 Pnt\n.9841 g 5958 2648 Pnt\n.9683 g
        5955 2635 Pnt\n.9683 g 5955 2635 Pnt\n.9524 g 5957 2611 Pnt\n.9524 g
        5957 2611 Pnt\n.9365 g 5956 2616 Pnt\n.9365 g 5956 2616 Pnt\n.9206 g
        5948 2594 Pnt\n.9206 g 5948 2594 Pnt\n.9048 g 5950 2580 Pnt\n.9048 g
        5950 2580 Pnt\n.8889 g 5944 2557 Pnt\n.8889 g 5944 2557 Pnt\n.873 g
        5958 2576 Pnt\n.873 g 5958 2576 Pnt\n.8571 g 5944 2565 Pnt\n.8571 g
        5944 2565 Pnt\n.8413 g 5939 2552 Pnt\n.8413 g 5939 2552 Pnt\n.8254 g
        5926 2538 Pnt\n.8254 g 5926 2538 Pnt\n.8095 g 5929 2540 Pnt\n.8095 g
        5929 2540 Pnt\n.7937 g 5923 2517 Pnt\n.7937 g 5923 2517 Pnt\n.7778 g
        5916 2509 Pnt\n.7778 g 5916 2509 Pnt\n.7619 g 5908 2487 Pnt\n.7619 g
        5908 2487 Pnt\n.746 g 5951 2501 Pnt\n.746 g 5951 2501 Pnt\n.7302 g
        5935 2504 Pnt\n.7302 g 5935 2504 Pnt\n.7143 g 5927 2498 Pnt\n.7143 g
        5927 2498 Pnt\n.6984 g 5910 2498 Pnt\n.6984 g 5910 2498 Pnt\n.6825 g
        5913 2497 Pnt\n.6825 g 5913 2497 Pnt\n.6667 g 5900 2483 Pnt\n.6667 g
        5900 2483 Pnt\n.6508 g 5890 2483 Pnt\n.6508 g 5890 2483 Pnt\n.6349 g
        5876 2472 Pnt\n.6349 g 5876 2472 Pnt\n.619 g 5886 2495 Pnt\n.619 g
        5886 2495 Pnt\n.6032 g 5880 2472 Pnt\n.6032 g 5880 2472 Pnt\n.5873 g
        5873 2464 Pnt\n.5873 g 5873 2464 Pnt\n.5714 g 5865 2442 Pnt\n.5714 g
        5865 2442 Pnt\n.5556 g 5866 2447 Pnt\n.5556 g 5866 2447 Pnt\n.5397 g
        5851 2436 Pnt\n.5397 g 5851 2436 Pnt\n.5238 g 5847 2423 Pnt\n.5238 g
        5847 2423 Pnt\n.5079 g 5833 2409 Pnt\n.5079 g 5833 2409 Pnt\n.4921 g
        5913 2383 Pnt\n.4921 g 5913 2383 Pnt\n.4762 g 5901 2400 Pnt\n.4762 g
        5901 2400 Pnt\n.4603 g 5892 2402 Pnt\n.4603 g 5892 2402 Pnt\n.4444 g
        5878 2416 Pnt\n.4444 g 5878 2416 Pnt\n.4286 g 5880 2412 Pnt\n.4286 g
        5880 2412 Pnt\n.4127 g 5864 2412 Pnt\n.4127 g 5864 2412 Pnt\n.3968 g
        5856 2420 Pnt\n.3968 g 5856 2420 Pnt\n.381 g 5840 2424 Pnt\n.381 g
        5840 2424 Pnt\n.3651 g 5857 2434 Pnt\n.3651 g 5857 2434 Pnt\n.3492 g
        5844 2420 Pnt\n.3492 g 5844 2420 Pnt\n.3333 g 5834 2420 Pnt\n.3333 g
        5834 2420 Pnt\n.3175 g 5820 2409 Pnt\n.3175 g 5820 2409 Pnt\n.3016 g
        5822 2412 Pnt\n.3016 g 5822 2412 Pnt\n.2857 g 5806 2415 Pnt\n.2857 g
        5806 2415 Pnt\n.2698 g 5797 2409 Pnt\n.2698 g 5797 2409 Pnt\n.254 g
        5781 2409 Pnt\n.254 g 5781 2409 Pnt\n.2381 g 5809 2459 Pnt\n.2381 g
        5809 2459 Pnt\n.2222 g 5804 2436 Pnt\n.2222 g 5804 2436 Pnt\n.2063 g
        5796 2428 Pnt\n.2063 g 5796 2428 Pnt\n.1905 g 5788 2406 Pnt\n.1905 g
        5788 2406 Pnt\n.1746 g 5789 2411 Pnt\n.1746 g 5789 2411 Pnt\n.1587 g
        5774 2400 Pnt\n.1587 g 5774 2400 Pnt\n.1429 g 5770 2387 Pnt\n.1429 g
        5770 2387 Pnt\n.127 g 5756 2373 Pnt\n.127 g 5756 2373 Pnt\n.1111 g
        5775 2376 Pnt\n.1111 g 5775 2376 Pnt\n.0952 g 5759 2379 Pnt\n.0952 g
        5759 2379 Pnt\n.0794 g 5751 2373 Pnt\n.0794 g 5751 2373 Pnt\n.0635 g
        5734 2373 Pnt\n.0635 g 5734 2373 Pnt\n.0476 g 5737 2372 Pnt\n.0476 g
        5737 2372 Pnt\n.0317 g 5724 2358 Pnt\n.0317 g 5724 2358 Pnt\n.0159 g
        5714 2358 Pnt\n.0159 g 5714 2358 Pnt\n0 g 5699 2346 Pnt\n0 g 5699
        2346 Pnt\n1 g 5952 2014 Pnt\n1 g 5952 2014 Pnt\n.9841 g 5959 2036
        Pnt\n.9841 g 5959 2036 Pnt\n.9683 g 5957 2050 Pnt\n.9683 g 5957 2050
        Pnt\n.9524 g 5962 2073 Pnt\n.9524 g 5962 2073 Pnt\n.9365 g 5960 2069
        Pnt\n.9365 g 5960 2069 Pnt\n.9206 g 5955 2092 Pnt\n.9206 g 5955 2092
        Pnt\n.9048 g 5957 2105 Pnt\n.9048 g 5957 2105 Pnt\n.8889 g 5954 2129
        Pnt\n.8889 g 5954 2129 Pnt\n.873 g 5966 2108 Pnt\n.873 g 5966 2108
        Pnt\n.8571 g 5953 2122 Pnt\n.8571 g 5953 2122 Pnt\n.8413 g 5950 2135
        Pnt\n.8413 g 5950 2135 Pnt\n.8254 g 5938 2151 Pnt\n.8254 g 5938 2151
        Pnt\n.8095 g 5940 2149 Pnt\n.8095 g 5940 2149 Pnt\n.7937 g 5937 2173
        Pnt\n.7937 g 5937 2173 Pnt\n.7778 g 5930 2182 Pnt\n.7778 g 5930 2182
        Pnt\n.7619 g 5925 2205 Pnt\n.7619 g 5925 2205 Pnt\n.746 g 5966 2183
        Pnt\n.746 g 5966 2183 Pnt\n.7302 g 5950 2183 Pnt\n.7302 g 5950 2183
        Pnt\n.7143 g 5942 2191 Pnt\n.7143 g 5942 2191 Pnt\n.6984 g 5926 2194
        Pnt\n.6984 g 5926 2194 Pnt\n.6825 g 5929 2194 Pnt\n.6825 g 5929 2194
        Pnt\n.6667 g 5917 2211 Pnt\n.6667 g 5917 2211 Pnt\n.6508 g 5908 2213
        Pnt\n.6508 g 5908 2213 Pnt\n.6349 g 5894 2227 Pnt\n.6349 g 5894 2227
        Pnt\n.619 g 5902 2202 Pnt\n.619 g 5902 2202 Pnt\n.6032 g 5899 2225
        Pnt\n.6032 g 5899 2225 Pnt\n.5873 g 5892 2235 Pnt\n.5873 g 5892 2235
        Pnt\n.5714 g 5887 2258 Pnt\n.5714 g 5887 2258 Pnt\n.5556 g 5887 2253
        Pnt\n.5556 g 5887 2253 Pnt\n.5397 g 5874 2267 Pnt\n.5397 g 5874 2267
        Pnt\n.5238 g 5870 2281 Pnt\n.5238 g 5870 2281 Pnt\n.5079 g 5858 2297
        Pnt\n.5079 g 5858 2297 Pnt\n.4921 g 5939 2307 Pnt\n.4921 g 5939 2307
        Pnt\n.4762 g 5926 2293 Pnt\n.4762 g 5926 2293 Pnt\n.4603 g 5916 2293
        Pnt\n.4603 g 5916 2293 Pnt\n.4444 g 5902 2282 Pnt\n.4444 g 5902 2282
        Pnt\n.4286 g 5904 2285 Pnt\n.4286 g 5904 2285 Pnt\n.4127 g 5888 2288
        Pnt\n.4127 g 5888 2288 Pnt\n.3968 g 5880 2282 Pnt\n.3968 g 5880 2282
        Pnt\n.381 g 5863 2282 Pnt\n.381 g 5863 2282 Pnt\n.3651 g 5880 2268
        Pnt\n.3651 g 5880 2268 Pnt\n.3492 g 5868 2284 Pnt\n.3492 g 5868 2284
        Pnt\n.3333 g 5858 2286 Pnt\n.3333 g 5858 2286 Pnt\n.3175 g 5845 2300
        Pnt\n.3175 g 5845 2300 Pnt\n.3016 g 5847 2297 Pnt\n.3016 g 5847 2297
        Pnt\n.2857 g 5831 2297 Pnt\n.2857 g 5831 2297 Pnt\n.2698 g 5823 2305
        Pnt\n.2698 g 5823 2305 Pnt\n.254 g 5806 2308 Pnt\n.254 g 5806 2308
        Pnt\n.2381 g 5830 2253 Pnt\n.2381 g 5830 2253 Pnt\n.2222 g 5826 2277
        Pnt\n.2222 g 5826 2277 Pnt\n.2063 g 5820 2286 Pnt\n.2063 g 5820 2286
        Pnt\n.1905 g 5814 2309 Pnt\n.1905 g 5814 2309 Pnt\n.1746 g 5814 2304
        Pnt\n.1746 g 5814 2304 Pnt\n.1587 g 5801 2318 Pnt\n.1587 g 5801 2318
        Pnt\n.1429 g 5798 2332 Pnt\n.1429 g 5798 2332 Pnt\n.127 g 5786 2348
        Pnt\n.127 g 5786 2348 Pnt\n.1111 g 5804 2342 Pnt\n.1111 g 5804 2342
        Pnt\n.0952 g 5788 2342 Pnt\n.0952 g 5788 2342 Pnt\n.0794 g 5780 2350
        Pnt\n.0794 g 5780 2350 Pnt\n.0635 g 5764 2353 Pnt\n.0635 g 5764 2353
        Pnt\n.0476 g 5767 2353 Pnt\n.0476 g 5767 2353 Pnt\n.0317 g 5755 2370
        Pnt\n.0317 g 5755 2370 Pnt\n.0159 g 5745 2372 Pnt\n.0159 g 5745 2372
        Pnt\n0 g 5732 2386 Pnt\n0 g 5732 2386 Pnt\n1 g 5853 2479 Pnt\n1 g
        5853 2479 Pnt\n.9841 g 5847 2456 Pnt\n.9841 g 5847 2456 Pnt\n.9683 g
        5840 2448 Pnt\n.9683 g 5840 2448 Pnt\n.9524 g 5832 2426 Pnt\n.9524 g
        5832 2426 Pnt\n.9365 g 5833 2431 Pnt\n.9365 g 5833 2431 Pnt\n.9206 g
        5818 2420 Pnt\n.9206 g 5818 2420 Pnt\n.9048 g 5814 2407 Pnt\n.9048 g
        5814 2407 Pnt\n.8889 g 5801 2393 Pnt\n.8889 g 5801 2393 Pnt\n.873 g
        5820 2396 Pnt\n.873 g 5820 2396 Pnt\n.8571 g 5803 2399 Pnt\n.8571 g
        5803 2399 Pnt\n.8413 g 5795 2393 Pnt\n.8413 g 5795 2393 Pnt\n.8254 g
        5778 2393 Pnt\n.8254 g 5778 2393 Pnt\n.8095 g 5781 2392 Pnt\n.8095 g
        5781 2392 Pnt\n.7937 g 5768 2378 Pnt\n.7937 g 5768 2378 Pnt\n.7778 g
        5759 2378 Pnt\n.7778 g 5759 2378 Pnt\n.7619 g 5744 2367 Pnt\n.7619 g
        5744 2367 Pnt\n.746 g 5785 2341 Pnt\n.746 g 5785 2341 Pnt\n.7302 g
        5773 2358 Pnt\n.7302 g 5773 2358 Pnt\n.7143 g 5763 2360 Pnt\n.7143 g
        5763 2360 Pnt\n.6984 g 5750 2374 Pnt\n.6984 g 5750 2374 Pnt\n.6825 g
        5752 2370 Pnt\n.6825 g 5752 2370 Pnt\n.6667 g 5735 2370 Pnt\n.6667 g
        5735 2370 Pnt\n.6508 g 5728 2378 Pnt\n.6508 g 5728 2378 Pnt\n.6349 g
        5711 2382 Pnt\n.6349 g 5711 2382 Pnt\n.619 g 5729 2392 Pnt\n.619 g
        5729 2392 Pnt\n.6032 g 5716 2378 Pnt\n.6032 g 5716 2378 Pnt\n.5873 g
        5706 2378 Pnt\n.5873 g 5706 2378 Pnt\n.5714 g 5691 2367 Pnt\n.5714 g
        5691 2367 Pnt\n.5556 g 5694 2370 Pnt\n.5556 g 5694 2370 Pnt\n.5397 g
        5677 2373 Pnt\n.5397 g 5677 2373 Pnt\n.5238 g 5669 2367 Pnt\n.5238 g
        5669 2367 Pnt\n.5079 g 5652 2367 Pnt\n.5079 g 5652 2367 Pnt\n.4921 g
        5707 2278 Pnt\n.4921 g 5707 2278 Pnt\n.4762 g 5704 2302 Pnt\n.4762 g
        5704 2302 Pnt\n.4603 g 5697 2311 Pnt\n.4603 g 5697 2311 Pnt\n.4444 g
        5692 2334 Pnt\n.4444 g 5692 2334 Pnt\n.4286 g 5692 2329 Pnt\n.4286 g
        5692 2329 Pnt\n.4127 g 5679 2343 Pnt\n.4127 g 5679 2343 Pnt\n.3968 g
        5675 2357 Pnt\n.3968 g 5675 2357 Pnt\n.381 g 5663 2373 Pnt\n.381 g
        5663 2373 Pnt\n.3651 g 5682 2367 Pnt\n.3651 g 5682 2367 Pnt\n.3492 g
        5665 2367 Pnt\n.3492 g 5665 2367 Pnt\n.3333 g 5658 2375 Pnt\n.3333 g
        5658 2375 Pnt\n.3175 g 5641 2378 Pnt\n.3175 g 5641 2378 Pnt\n.3016 g
        5644 2378 Pnt\n.3016 g 5644 2378 Pnt\n.2857 g 5632 2395 Pnt\n.2857 g
        5632 2395 Pnt\n.2698 g 5623 2397 Pnt\n.2698 g 5623 2397 Pnt\n.254 g
        5609 2411 Pnt\n.254 g 5609 2411 Pnt\n.2381 g 5652 2428 Pnt\n.2381 g
        5652 2428 Pnt\n.2222 g 5639 2414 Pnt\n.2222 g 5639 2414 Pnt\n.2063 g
        5629 2414 Pnt\n.2063 g 5629 2414 Pnt\n.1905 g 5614 2403 Pnt\n.1905 g
        5614 2403 Pnt\n.1746 g 5617 2406 Pnt\n.1746 g 5617 2406 Pnt\n.1587 g
        5601 2409 Pnt\n.1587 g 5601 2409 Pnt\n.1429 g 5592 2403 Pnt\n.1429 g
        5592 2403 Pnt\n.127 g 5575 2403 Pnt\n.127 g 5575 2403 Pnt\n.1111 g
        5592 2389 Pnt\n.1111 g 5592 2389 Pnt\n.0952 g 5580 2406 Pnt\n.0952 g
        5580 2406 Pnt\n.0794 g 5571 2408 Pnt\n.0794 g 5571 2408 Pnt\n.0635 g
        5557 2422 Pnt\n.0635 g 5557 2422 Pnt\n.0476 g 5559 2418 Pnt\n.0476 g
        5559 2418 Pnt\n.0317 g 5543 2418 Pnt\n.0317 g 5543 2418 Pnt\n.0159 g
        5535 2426 Pnt\n.0159 g 5535 2426 Pnt\n0 g 5518 2430 Pnt\n0 g 5518
        2430 Pnt\n1 g 5662 2672 Pnt\n1 g 5662 2672 Pnt\n.9841 g 5667 2649
        Pnt\n.9841 g 5667 2649 Pnt\n.9683 g 5664 2635 Pnt\n.9683 g 5664 2635
        Pnt\n.9524 g 5666 2611 Pnt\n.9524 g 5666 2611 Pnt\n.9365 g 5665 2616
        Pnt\n.9365 g 5665 2616 Pnt\n.9206 g 5657 2594 Pnt\n.9206 g 5657 2594
        Pnt\n.9048 g 5658 2580 Pnt\n.9048 g 5658 2580 Pnt\n.8889 g 5653 2557
        Pnt\n.8889 g 5653 2557 Pnt\n.873 g 5667 2576 Pnt\n.873 g 5667 2576
        Pnt\n.8571 g 5653 2565 Pnt\n.8571 g 5653 2565 Pnt\n.8413 g 5648 2552
        Pnt\n.8413 g 5648 2552 Pnt\n.8254 g 5635 2538 Pnt\n.8254 g 5635 2538
        Pnt\n.8095 g 5638 2540 Pnt\n.8095 g 5638 2540 Pnt\n.7937 g 5632 2517
        Pnt\n.7937 g 5632 2517 Pnt\n.7778 g 5625 2509 Pnt\n.7778 g 5625 2509
        Pnt\n.7619 g 5617 2487 Pnt\n.7619 g 5617 2487 Pnt\n.746 g 5660 2501
        Pnt\n.746 g 5660 2501 Pnt\n.7302 g 5644 2505 Pnt\n.7302 g 5644 2505
        Pnt\n.7143 g 5635 2498 Pnt\n.7143 g 5635 2498 Pnt\n.6984 g 5619 2498
        Pnt\n.6984 g 5619 2498 Pnt\n.6825 g 5622 2497 Pnt\n.6825 g 5622 2497
        Pnt\n.6667 g 5609 2483 Pnt\n.6667 g 5609 2483 Pnt\n.6508 g 5599 2483
        Pnt\n.6508 g 5599 2483 Pnt\n.6349 g 5584 2472 Pnt\n.6349 g 5584 2472
        Pnt\n.619 g 5595 2495 Pnt\n.619 g 5595 2495 Pnt\n.6032 g 5589 2472
        Pnt\n.6032 g 5589 2472 Pnt\n.5873 g 5582 2464 Pnt\n.5873 g 5582 2464
        Pnt\n.5714 g 5574 2443 Pnt\n.5714 g 5574 2443 Pnt\n.5556 g 5575 2447
        Pnt\n.5556 g 5575 2447 Pnt\n.5397 g 5560 2436 Pnt\n.5397 g 5560 2436
        Pnt\n.5238 g 5556 2424 Pnt\n.5238 g 5556 2424 Pnt\n.5079 g 5542 2409
        Pnt\n.5079 g 5542 2409 Pnt\n.4921 g 5622 2383 Pnt\n.4921 g 5622 2383
        Pnt\n.4762 g 5610 2400 Pnt\n.4762 g 5610 2400 Pnt\n.4603 g 5601 2402
        Pnt\n.4603 g 5601 2402 Pnt\n.4444 g 5587 2416 Pnt\n.4444 g 5587 2416
        Pnt\n.4286 g 5589 2413 Pnt\n.4286 g 5589 2413 Pnt\n.4127 g 5573 2413
        Pnt\n.4127 g 5573 2413 Pnt\n.3968 g 5565 2421 Pnt\n.3968 g 5565 2421
        Pnt\n.381 g 5549 2424 Pnt\n.381 g 5549 2424 Pnt\n.3651 g 5566 2434
        Pnt\n.3651 g 5566 2434 Pnt\n.3492 g 5553 2420 Pnt\n.3492 g 5553 2420
        Pnt\n.3333 g 5543 2420 Pnt\n.3333 g 5543 2420 Pnt\n.3175 g 5529 2409
        Pnt\n.3175 g 5529 2409 Pnt\n.3016 g 5531 2412 Pnt\n.3016 g 5531 2412
        Pnt\n.2857 g 5515 2415 Pnt\n.2857 g 5515 2415 Pnt\n.2698 g 5506 2409
        Pnt\n.2698 g 5506 2409 Pnt\n.254 g 5490 2409 Pnt\n.254 g 5490 2409
        Pnt\n.2381 g 5518 2459 Pnt\n.2381 g 5518 2459 Pnt\n.2222 g 5513 2436
        Pnt\n.2222 g 5513 2436 Pnt\n.2063 g 5505 2428 Pnt\n.2063 g 5505 2428
        Pnt\n.1905 g 5497 2407 Pnt\n.1905 g 5497 2407 Pnt\n.1746 g 5498 2411
        Pnt\n.1746 g 5498 2411 Pnt\n.1587 g 5483 2400 Pnt\n.1587 g 5483 2400
        Pnt\n.1429 g 5479 2387 Pnt\n.1429 g 5479 2387 Pnt\n.127 g 5465 2373
        Pnt\n.127 g 5465 2373 Pnt\n.1111 g 5484 2376 Pnt\n.1111 g 5484 2376
        Pnt\n.0952 g 5468 2380 Pnt\n.0952 g 5468 2380 Pnt\n.0794 g 5460 2373
        Pnt\n.0794 g 5460 2373 Pnt\n.0635 g 5443 2373 Pnt\n.0635 g 5443 2373
        Pnt\n.0476 g 5446 2372 Pnt\n.0476 g 5446 2372 Pnt\n.0317 g 5433 2358
        Pnt\n.0317 g 5433 2358 Pnt\n.0159 g 5423 2358 Pnt\n.0159 g 5423 2358
        Pnt\n0 g 5408 2347 Pnt\n0 g 5408 2347 Pnt\n1 g 5520 2230 Pnt\n1 g
        5520 2230 Pnt\n.9841 g 5517 2254 Pnt\n.9841 g 5517 2254 Pnt\n.9683 g
        5510 2263 Pnt\n.9683 g 5510 2263 Pnt\n.9524 g 5504 2286 Pnt\n.9524 g
        5504 2286 Pnt\n.9365 g 5505 2282 Pnt\n.9365 g 5505 2282 Pnt\n.9206 g
        5491 2296 Pnt\n.9206 g 5491 2296 Pnt\n.9048 g 5488 2309 Pnt\n.9048 g
        5488 2309 Pnt\n.8889 g 5476 2326 Pnt\n.8889 g 5476 2326 Pnt\n.873 g
        5495 2319 Pnt\n.873 g 5495 2319 Pnt\n.8571 g 5478 2319 Pnt\n.8571 g
        5478 2319 Pnt\n.8413 g 5470 2327 Pnt\n.8413 g 5470 2327 Pnt\n.8254 g
        5454 2330 Pnt\n.8254 g 5454 2330 Pnt\n.8095 g 5457 2331 Pnt\n.8095 g
        5457 2331 Pnt\n.7937 g 5445 2347 Pnt\n.7937 g 5445 2347 Pnt\n.7778 g
        5436 2349 Pnt\n.7778 g 5436 2349 Pnt\n.7619 g 5422 2364 Pnt\n.7619 g
        5422 2364 Pnt\n.746 g 5465 2381 Pnt\n.746 g 5465 2381 Pnt\n.7302 g
        5451 2367 Pnt\n.7302 g 5451 2367 Pnt\n.7143 g 5442 2367 Pnt\n.7143 g
        5442 2367 Pnt\n.6984 g 5427 2355 Pnt\n.6984 g 5427 2355 Pnt\n.6825 g
        5430 2358 Pnt\n.6825 g 5430 2358 Pnt\n.6667 g 5413 2362 Pnt\n.6667 g
        5413 2362 Pnt\n.6508 g 5405 2355 Pnt\n.6508 g 5405 2355 Pnt\n.6349 g
        5388 2355 Pnt\n.6349 g 5388 2355 Pnt\n.619 g 5405 2341 Pnt\n.619 g
        5405 2341 Pnt\n.6032 g 5393 2358 Pnt\n.6032 g 5393 2358 Pnt\n.5873 g
        5383 2360 Pnt\n.5873 g 5383 2360 Pnt\n.5714 g 5370 2374 Pnt\n.5714 g
        5370 2374 Pnt\n.5556 g 5372 2371 Pnt\n.5556 g 5372 2371 Pnt\n.5397 g
        5355 2371 Pnt\n.5397 g 5355 2371 Pnt\n.5238 g 5348 2379 Pnt\n.5238 g
        5348 2379 Pnt\n.5079 g 5331 2382 Pnt\n.5079 g 5331 2382 Pnt\n.4921 g
        5394 2459 Pnt\n.4921 g 5394 2459 Pnt\n.4762 g 5388 2437 Pnt\n.4762 g
        5388 2437 Pnt\n.4603 g 5381 2428 Pnt\n.4603 g 5381 2428 Pnt\n.4444 g
        5373 2407 Pnt\n.4444 g 5373 2407 Pnt\n.4286 g 5374 2411 Pnt\n.4286 g
        5374 2411 Pnt\n.4127 g 5359 2400 Pnt\n.4127 g 5359 2400 Pnt\n.3968 g
        5355 2388 Pnt\n.3968 g 5355 2388 Pnt\n.381 g 5341 2373 Pnt\n.381 g
        5341 2373 Pnt\n.3651 g 5360 2376 Pnt\n.3651 g 5360 2376 Pnt\n.3492 g
        5344 2380 Pnt\n.3492 g 5344 2380 Pnt\n.3333 g 5336 2373 Pnt\n.3333 g
        5336 2373 Pnt\n.3175 g 5319 2373 Pnt\n.3175 g 5319 2373 Pnt\n.3016 g
        5322 2372 Pnt\n.3016 g 5322 2372 Pnt\n.2857 g 5309 2358 Pnt\n.2857 g
        5309 2358 Pnt\n.2698 g 5299 2358 Pnt\n.2698 g 5299 2358 Pnt\n.254 g
        5284 2347 Pnt\n.254 g 5284 2347 Pnt\n.2381 g 5325 2321 Pnt\n.2381 g
        5325 2321 Pnt\n.2222 g 5313 2338 Pnt\n.2222 g 5313 2338 Pnt\n.2063 g
        5304 2340 Pnt\n.2063 g 5304 2340 Pnt\n.1905 g 5290 2354 Pnt\n.1905 g
        5290 2354 Pnt\n.1746 g 5292 2350 Pnt\n.1746 g 5292 2350 Pnt\n.1587 g
        5276 2350 Pnt\n.1587 g 5276 2350 Pnt\n.1429 g 5268 2358 Pnt\n.1429 g
        5268 2358 Pnt\n.127 g 5251 2362 Pnt\n.127 g 5251 2362 Pnt\n.1111 g
        5269 2372 Pnt\n.1111 g 5269 2372 Pnt\n.0952 g 5256 2358 Pnt\n.0952 g
        5256 2358 Pnt\n.0794 g 5246 2358 Pnt\n.0794 g 5246 2358 Pnt\n.0635 g
        5231 2347 Pnt\n.0635 g 5231 2347 Pnt\n.0476 g 5234 2350 Pnt\n.0476 g
        5234 2350 Pnt\n.0317 g 5217 2353 Pnt\n.0317 g 5217 2353 Pnt\n.0159 g
        5209 2347 Pnt\n.0159 g 5209 2347 Pnt\n0 g 5192 2347 Pnt\n0 g 5192
        2347 Pnt\n1 g 5444 1673 Pnt\n1 g 5444 1673 Pnt\n.9841 g 5458 1686
        Pnt\n.9841 g 5458 1686 Pnt\n.9683 g 5462 1698 Pnt\n.9683 g 5462 1698
        Pnt\n.9524 g 5475 1714 Pnt\n.9524 g 5475 1714 Pnt\n.9365 g 5472 1712
        Pnt\n.9365 g 5472 1712 Pnt\n.9206 g 5476 1735 Pnt\n.9206 g 5476 1735
        Pnt\n.9048 g 5484 1744 Pnt\n.9048 g 5484 1744 Pnt\n.8889 g 5490 1766
        Pnt\n.8889 g 5490 1766 Pnt\n.873 g 5492 1738 Pnt\n.873 g 5492 1738
        Pnt\n.8571 g 5487 1761 Pnt\n.8571 g 5487 1761 Pnt\n.8413 g 5489 1774
        Pnt\n.8413 g 5489 1774 Pnt\n.8254 g 5486 1798 Pnt\n.8254 g 5486 1798
        Pnt\n.8095 g 5487 1794 Pnt\n.8095 g 5487 1794 Pnt\n.7937 g 5494 1816
        Pnt\n.7937 g 5494 1816 Pnt\n.7778 g 5492 1830 Pnt\n.7778 g 5492 1830
        Pnt\n.7619 g 5496 1853 Pnt\n.7619 g 5496 1853 Pnt\n.746 g 5521 1799
        Pnt\n.746 g 5521 1799 Pnt\n.7302 g 5508 1813 Pnt\n.7302 g 5508 1813
        Pnt\n.7143 g 5505 1827 Pnt\n.7143 g 5505 1827 Pnt\n.6984 g 5493 1843
        Pnt\n.6984 g 5493 1843 Pnt\n.6825 g 5496 1841 Pnt\n.6825 g 5496 1841
        Pnt\n.6667 g 5492 1864 Pnt\n.6667 g 5492 1864 Pnt\n.6508 g 5485 1874
        Pnt\n.6508 g 5485 1874 Pnt\n.6349 g 5480 1897 Pnt\n.6349 g 5480 1897
        Pnt\n.619 g 5477 1869 Pnt\n.619 g 5477 1869 Pnt\n.6032 g 5483 1892
        Pnt\n.6032 g 5483 1892 Pnt\n.5873 g 5481 1905 Pnt\n.5873 g 5481 1905
        Pnt\n.5714 g 5486 1929 Pnt\n.5714 g 5486 1929 Pnt\n.5556 g 5484 1924
        Pnt\n.5556 g 5484 1924 Pnt\n.5397 g 5479 1947 Pnt\n.5397 g 5479 1947
        Pnt\n.5238 g 5481 1961 Pnt\n.5238 g 5481 1961 Pnt\n.5079 g 5478 1985
        Pnt\n.5079 g 5478 1985 Pnt\n.4921 g 5548 1924 Pnt\n.4921 g 5548 1924
        Pnt\n.4762 g 5531 1924 Pnt\n.4762 g 5531 1924 Pnt\n.4603 g 5524 1932
        Pnt\n.4603 g 5524 1932 Pnt\n.4444 g 5507 1935 Pnt\n.4444 g 5507 1935
        Pnt\n.4286 g 5511 1935 Pnt\n.4286 g 5511 1935 Pnt\n.4127 g 5499 1952
        Pnt\n.4127 g 5499 1952 Pnt\n.3968 g 5489 1954 Pnt\n.3968 g 5489 1954
        Pnt\n.381 g 5476 1968 Pnt\n.381 g 5476 1968 Pnt\n.3651 g 5484 1943
        Pnt\n.3651 g 5484 1943 Pnt\n.3492 g 5481 1966 Pnt\n.3492 g 5481 1966
        Pnt\n.3333 g 5474 1976 Pnt\n.3333 g 5474 1976 Pnt\n.3175 g 5468 1999
        Pnt\n.3175 g 5468 1999 Pnt\n.3016 g 5469 1994 Pnt\n.3016 g 5469 1994
        Pnt\n.2857 g 5455 2008 Pnt\n.2857 g 5455 2008 Pnt\n.2698 g 5452 2021
        Pnt\n.2698 g 5452 2021 Pnt\n.254 g 5440 2038 Pnt\n.254 g 5440 2038
        Pnt\n.2381 g 5437 1973 Pnt\n.2381 g 5437 1973 Pnt\n.2222 g 5444 1995
        Pnt\n.2222 g 5444 1995 Pnt\n.2063 g 5442 2009 Pnt\n.2063 g 5442 2009
        Pnt\n.1905 g 5447 2032 Pnt\n.1905 g 5447 2032 Pnt\n.1746 g 5445 2028
        Pnt\n.1746 g 5445 2028 Pnt\n.1587 g 5440 2051 Pnt\n.1587 g 5440 2051
        Pnt\n.1429 g 5442 2065 Pnt\n.1429 g 5442 2065 Pnt\n.127 g 5439 2089
        Pnt\n.127 g 5439 2089 Pnt\n.1111 g 5451 2067 Pnt\n.1111 g 5451 2067
        Pnt\n.0952 g 5438 2081 Pnt\n.0952 g 5438 2081 Pnt\n.0794 g 5435 2095
        Pnt\n.0794 g 5435 2095 Pnt\n.0635 g 5423 2111 Pnt\n.0635 g 5423 2111
        Pnt\n.0476 g 5425 2109 Pnt\n.0476 g 5425 2109 Pnt\n.0317 g 5422 2133
        Pnt\n.0317 g 5422 2133 Pnt\n.0159 g 5415 2142 Pnt\n.0159 g 5415 2142
        Pnt\n0 g 5410 2166 Pnt\n0 g 5410 2166 Pnt\n1 g 5545 2138 Pnt\n1 g
        5545 2138 Pnt\n.9841 g 5531 2124 Pnt\n.9841 g 5531 2124 Pnt\n.9683 g
        5522 2124 Pnt\n.9683 g 5522 2124 Pnt\n.9524 g 5507 2113 Pnt\n.9524 g
        5507 2113 Pnt\n.9365 g 5510 2116 Pnt\n.9365 g 5510 2116 Pnt\n.9206 g
        5493 2119 Pnt\n.9206 g 5493 2119 Pnt\n.9048 g 5485 2113 Pnt\n.9048 g
        5485 2113 Pnt\n.8889 g 5468 2113 Pnt\n.8889 g 5468 2113 Pnt\n.873 g
        5485 2099 Pnt\n.873 g 5485 2099 Pnt\n.8571 g 5473 2115 Pnt\n.8571 g
        5473 2115 Pnt\n.8413 g 5464 2117 Pnt\n.8413 g 5464 2117 Pnt\n.8254 g
        5450 2131 Pnt\n.8254 g 5450 2131 Pnt\n.8095 g 5452 2128 Pnt\n.8095 g
        5452 2128 Pnt\n.7937 g 5436 2128 Pnt\n.7937 g 5436 2128 Pnt\n.7778 g
        5428 2136 Pnt\n.7778 g 5428 2136 Pnt\n.7619 g 5412 2139 Pnt\n.7619 g
        5412 2139 Pnt\n.746 g 5435 2084 Pnt\n.746 g 5435 2084 Pnt\n.7302 g
        5432 2108 Pnt\n.7302 g 5432 2108 Pnt\n.7143 g 5425 2117 Pnt\n.7143 g
        5425 2117 Pnt\n.6984 g 5419 2140 Pnt\n.6984 g 5419 2140 Pnt\n.6825 g
        5420 2135 Pnt\n.6825 g 5420 2135 Pnt\n.6667 g 5406 2149 Pnt\n.6667 g
        5406 2149 Pnt\n.6508 g 5403 2163 Pnt\n.6508 g 5403 2163 Pnt\n.6349 g
        5391 2179 Pnt\n.6349 g 5391 2179 Pnt\n.619 g 5410 2173 Pnt\n.619 g
        5410 2173 Pnt\n.6032 g 5393 2173 Pnt\n.6032 g 5393 2173 Pnt\n.5873 g
        5385 2181 Pnt\n.5873 g 5385 2181 Pnt\n.5714 g 5369 2184 Pnt\n.5714 g
        5369 2184 Pnt\n.5556 g 5372 2184 Pnt\n.5556 g 5372 2184 Pnt\n.5397 g
        5360 2201 Pnt\n.5397 g 5360 2201 Pnt\n.5238 g 5351 2203 Pnt\n.5238 g
        5351 2203 Pnt\n.5079 g 5337 2217 Pnt\n.5079 g 5337 2217 Pnt\n.4921 g
        5347 2098 Pnt\n.4921 g 5347 2098 Pnt\n.4762 g 5354 2120 Pnt\n.4762 g
        5354 2120 Pnt\n.4603 g 5352 2134 Pnt\n.4603 g 5352 2134 Pnt\n.4444 g
        5356 2157 Pnt\n.4444 g 5356 2157 Pnt\n.4286 g 5355 2153 Pnt\n.4286 g
        5355 2153 Pnt\n.4127 g 5349 2176 Pnt\n.4127 g 5349 2176 Pnt\n.3968 g
        5352 2189 Pnt\n.3968 g 5352 2189 Pnt\n.381 g 5348 2213 Pnt\n.381 g
        5348 2213 Pnt\n.3651 g 5361 2192 Pnt\n.3651 g 5361 2192 Pnt\n.3492 g
        5348 2206 Pnt\n.3492 g 5348 2206 Pnt\n.3333 g 5344 2219 Pnt\n.3333 g
        5344 2219 Pnt\n.3175 g 5332 2236 Pnt\n.3175 g 5332 2236 Pnt\n.3016 g
        5335 2234 Pnt\n.3016 g 5335 2234 Pnt\n.2857 g 5332 2258 Pnt\n.2857 g
        5332 2258 Pnt\n.2698 g 5325 2267 Pnt\n.2698 g 5325 2267 Pnt\n.254 g
        5319 2290 Pnt\n.254 g 5319 2290 Pnt\n.2381 g 5361 2268 Pnt\n.2381 g
        5361 2268 Pnt\n.2222 g 5344 2268 Pnt\n.2222 g 5344 2268 Pnt\n.2063 g
        5337 2276 Pnt\n.2063 g 5337 2276 Pnt\n.1905 g 5320 2279 Pnt\n.1905 g
        5320 2279 Pnt\n.1746 g 5323 2279 Pnt\n.1746 g 5323 2279 Pnt\n.1587 g
        5311 2296 Pnt\n.1587 g 5311 2296 Pnt\n.1429 g 5302 2298 Pnt\n.1429 g
        5302 2298 Pnt\n.127 g 5288 2312 Pnt\n.127 g 5288 2312 Pnt\n.1111 g
        5297 2287 Pnt\n.1111 g 5297 2287 Pnt\n.0952 g 5293 2311 Pnt\n.0952 g
        5293 2311 Pnt\n.0794 g 5286 2320 Pnt\n.0794 g 5286 2320 Pnt\n.0635 g
        5281 2344 Pnt\n.0635 g 5281 2344 Pnt\n.0476 g 5281 2339 Pnt\n.0476 g
        5281 2339 Pnt\n.0317 g 5268 2353 Pnt\n.0317 g 5268 2353 Pnt\n.0159 g
        5264 2366 Pnt\n.0159 g 5264 2366 Pnt\n0 g 5252 2383 Pnt\n0 g 5252
        2383 Pnt\n1 g 5464 2458 Pnt\n1 g 5464 2458 Pnt\n.9841 g 5459 2435
        Pnt\n.9841 g 5459 2435 Pnt\n.9683 g 5451 2427 Pnt\n.9683 g 5451 2427
        Pnt\n.9524 g 5444 2405 Pnt\n.9524 g 5444 2405 Pnt\n.9365 g 5444 2410
        Pnt\n.9365 g 5444 2410 Pnt\n.9206 g 5430 2399 Pnt\n.9206 g 5430 2399
        Pnt\n.9048 g 5425 2387 Pnt\n.9048 g 5425 2387 Pnt\n.8889 g 5412 2372
        Pnt\n.8889 g 5412 2372 Pnt\n.873 g 5431 2375 Pnt\n.873 g 5431 2375
        Pnt\n.8571 g 5415 2379 Pnt\n.8571 g 5415 2379 Pnt\n.8413 g 5406 2372
        Pnt\n.8413 g 5406 2372 Pnt\n.8254 g 5390 2372 Pnt\n.8254 g 5390 2372
        Pnt\n.8095 g 5393 2371 Pnt\n.8095 g 5393 2371 Pnt\n.7937 g 5379 2357
        Pnt\n.7937 g 5379 2357 Pnt\n.7778 g 5370 2357 Pnt\n.7778 g 5370 2357
        Pnt\n.7619 g 5355 2346 Pnt\n.7619 g 5355 2346 Pnt\n.746 g 5396 2320
        Pnt\n.746 g 5396 2320 Pnt\n.7302 g 5384 2337 Pnt\n.7302 g 5384 2337
        Pnt\n.7143 g 5375 2339 Pnt\n.7143 g 5375 2339 Pnt\n.6984 g 5361 2353
        Pnt\n.6984 g 5361 2353 Pnt\n.6825 g 5363 2350 Pnt\n.6825 g 5363 2350
        Pnt\n.6667 g 5347 2350 Pnt\n.6667 g 5347 2350 Pnt\n.6508 g 5339 2358
        Pnt\n.6508 g 5339 2358 Pnt\n.6349 g 5323 2361 Pnt\n.6349 g 5323 2361
        Pnt\n.619 g 5340 2371 Pnt\n.619 g 5340 2371 Pnt\n.6032 g 5327 2357
        Pnt\n.6032 g 5327 2357 Pnt\n.5873 g 5317 2357 Pnt\n.5873 g 5317 2357
        Pnt\n.5714 g 5303 2346 Pnt\n.5714 g 5303 2346 Pnt\n.5556 g 5305 2349
        Pnt\n.5556 g 5305 2349 Pnt\n.5397 g 5289 2352 Pnt\n.5397 g 5289 2352
        Pnt\n.5238 g 5280 2346 Pnt\n.5238 g 5280 2346 Pnt\n.5079 g 5264 2346
        Pnt\n.5079 g 5264 2346 Pnt\n.4921 g 5319 2257 Pnt\n.4921 g 5319 2257
        Pnt\n.4762 g 5315 2281 Pnt\n.4762 g 5315 2281 Pnt\n.4603 g 5308 2290
        Pnt\n.4603 g 5308 2290 Pnt\n.4444 g 5303 2313 Pnt\n.4444 g 5303 2313
        Pnt\n.4286 g 5303 2309 Pnt\n.4286 g 5303 2309 Pnt\n.4127 g 5290 2323
        Pnt\n.4127 g 5290 2323 Pnt\n.3968 g 5287 2336 Pnt\n.3968 g 5287 2336
        Pnt\n.381 g 5275 2352 Pnt\n.381 g 5275 2352 Pnt\n.3651 g 5293 2346
        Pnt\n.3651 g 5293 2346 Pnt\n.3492 g 5277 2346 Pnt\n.3492 g 5277 2346
        Pnt\n.3333 g 5269 2354 Pnt\n.3333 g 5269 2354 Pnt\n.3175 g 5253 2357
        Pnt\n.3175 g 5253 2357 Pnt\n.3016 g 5256 2358 Pnt\n.3016 g 5256 2358
        Pnt\n.2857 g 5244 2374 Pnt\n.2857 g 5244 2374 Pnt\n.2698 g 5234 2376
        Pnt\n.2698 g 5234 2376 Pnt\n.254 g 5221 2390 Pnt\n.254 g 5221 2390
        Pnt\n.2381 g 5264 2407 Pnt\n.2381 g 5264 2407 Pnt\n.2222 g 5250 2393
        Pnt\n.2222 g 5250 2393 Pnt\n.2063 g 5241 2393 Pnt\n.2063 g 5241 2393
        Pnt\n.1905 g 5226 2382 Pnt\n.1905 g 5226 2382 Pnt\n.1746 g 5228 2385
        Pnt\n.1746 g 5228 2385 Pnt\n.1587 g 5212 2388 Pnt\n.1587 g 5212 2388
        Pnt\n.1429 g 5204 2382 Pnt\n.1429 g 5204 2382 Pnt\n.127 g 5187 2382
        Pnt\n.127 g 5187 2382 Pnt\n.1111 g 5204 2368 Pnt\n.1111 g 5204 2368
        Pnt\n.0952 g 5192 2385 Pnt\n.0952 g 5192 2385 Pnt\n.0794 g 5182 2387
        Pnt\n.0794 g 5182 2387 Pnt\n.0635 g 5169 2401 Pnt\n.0635 g 5169 2401
        Pnt\n.0476 g 5171 2398 Pnt\n.0476 g 5171 2398 Pnt\n.0317 g 5154 2398
        Pnt\n.0317 g 5154 2398 Pnt\n.0159 g 5146 2406 Pnt\n.0159 g 5146 2406
        Pnt\n0 g 5130 2409 Pnt\n0 g 5130 2409 Pnt\n1 g 5176 2219 Pnt\n1 g
        5176 2219 Pnt\n.9841 g 5182 2241 Pnt\n.9841 g 5182 2241 Pnt\n.9683 g
        5180 2254 Pnt\n.9683 g 5180 2254 Pnt\n.9524 g 5185 2278 Pnt\n.9524 g
        5185 2278 Pnt\n.9365 g 5183 2274 Pnt\n.9365 g 5183 2274 Pnt\n.9206 g
        5178 2297 Pnt\n.9206 g 5178 2297 Pnt\n.9048 g 5180 2310 Pnt\n.9048 g
        5180 2310 Pnt\n.8889 g 5177 2334 Pnt\n.8889 g 5177 2334 Pnt\n.873 g
        5189 2313 Pnt\n.873 g 5189 2313 Pnt\n.8571 g 5176 2327 Pnt\n.8571 g
        5176 2327 Pnt\n.8413 g 5173 2340 Pnt\n.8413 g 5173 2340 Pnt\n.8254 g
        5161 2357 Pnt\n.8254 g 5161 2357 Pnt\n.8095 g 5164 2354 Pnt\n.8095 g
        5164 2354 Pnt\n.7937 g 5160 2378 Pnt\n.7937 g 5160 2378 Pnt\n.7778 g
        5153 2388 Pnt\n.7778 g 5153 2388 Pnt\n.7619 g 5148 2411 Pnt\n.7619 g
        5148 2411 Pnt\n.746 g 5189 2388 Pnt\n.746 g 5189 2388 Pnt\n.7302 g
        5173 2389 Pnt\n.7302 g 5173 2389 Pnt\n.7143 g 5165 2397 Pnt\n.7143 g
        5165 2397 Pnt\n.6984 g 5149 2400 Pnt\n.6984 g 5149 2400 Pnt\n.6825 g
        5152 2400 Pnt\n.6825 g 5152 2400 Pnt\n.6667 g 5140 2417 Pnt\n.6667 g
        5140 2417 Pnt\n.6508 g 5130 2419 Pnt\n.6508 g 5130 2419 Pnt\n.6349 g
        5117 2433 Pnt\n.6349 g 5117 2433 Pnt\n.619 g 5125 2408 Pnt\n.619 g
        5125 2408 Pnt\n.6032 g 5122 2431 Pnt\n.6032 g 5122 2431 Pnt\n.5873 g
        5115 2441 Pnt\n.5873 g 5115 2441 Pnt\n.5714 g 5109 2464 Pnt\n.5714 g
        5109 2464 Pnt\n.5556 g 5110 2459 Pnt\n.5556 g 5110 2459 Pnt\n.5397 g
        5096 2474 Pnt\n.5397 g 5096 2474 Pnt\n.5238 g 5093 2487 Pnt\n.5238 g
        5093 2487 Pnt\n.5079 g 5081 2504 Pnt\n.5079 g 5081 2504 Pnt\n.4921 g
        5162 2513 Pnt\n.4921 g 5162 2513 Pnt\n.4762 g 5149 2499 Pnt\n.4762 g
        5149 2499 Pnt\n.4603 g 5139 2499 Pnt\n.4603 g 5139 2499 Pnt\n.4444 g
        5125 2488 Pnt\n.4444 g 5125 2488 Pnt\n.4286 g 5127 2491 Pnt\n.4286 g
        5127 2491 Pnt\n.4127 g 5111 2494 Pnt\n.4127 g 5111 2494 Pnt\n.3968 g
        5102 2488 Pnt\n.3968 g 5102 2488 Pnt\n.381 g 5086 2488 Pnt\n.381 g
        5086 2488 Pnt\n.3651 g 5102 2474 Pnt\n.3651 g 5102 2474 Pnt\n.3492 g
        5090 2491 Pnt\n.3492 g 5090 2491 Pnt\n.3333 g 5081 2493 Pnt\n.3333 g
        5081 2493 Pnt\n.3175 g 5067 2507 Pnt\n.3175 g 5067 2507 Pnt\n.3016 g
        5069 2503 Pnt\n.3016 g 5069 2503 Pnt\n.2857 g 5053 2503 Pnt\n.2857 g
        5053 2503 Pnt\n.2698 g 5045 2511 Pnt\n.2698 g 5045 2511 Pnt\n.254 g
        5029 2515 Pnt\n.254 g 5029 2515 Pnt\n.2381 g 5052 2459 Pnt\n.2381 g
        5052 2459 Pnt\n.2222 g 5049 2483 Pnt\n.2222 g 5049 2483 Pnt\n.2063 g
        5042 2493 Pnt\n.2063 g 5042 2493 Pnt\n.1905 g 5036 2516 Pnt\n.1905 g
        5036 2516 Pnt\n.1746 g 5037 2511 Pnt\n.1746 g 5037 2511 Pnt\n.1587 g
        5023 2525 Pnt\n.1587 g 5023 2525 Pnt\n.1429 g 5020 2538 Pnt\n.1429 g
        5020 2538 Pnt\n.127 g 5008 2555 Pnt\n.127 g 5008 2555 Pnt\n.1111 g
        5026 2548 Pnt\n.1111 g 5026 2548 Pnt\n.0952 g 5010 2548 Pnt\n.0952 g
        5010 2548 Pnt\n.0794 g 5002 2557 Pnt\n.0794 g 5002 2557 Pnt\n.0635 g
        4985 2560 Pnt\n.0635 g 4985 2560 Pnt\n.0476 g 4989 2560 Pnt\n.0476 g
        4989 2560 Pnt\n.0317 g 4976 2577 Pnt\n.0317 g 4976 2577 Pnt\n.0159 g
        4967 2579 Pnt\n.0159 g 4967 2579 Pnt\n0 g 4953 2593 Pnt\n0 g 4953
        2593 Pnt\n1 g 5236 2872 Pnt\n1 g 5236 2872 Pnt\n.9841 g 5240 2849
        Pnt\n.9841 g 5240 2849 Pnt\n.9683 g 5237 2836 Pnt\n.9683 g 5237 2836
        Pnt\n.9524 g 5240 2812 Pnt\n.9524 g 5240 2812 Pnt\n.9365 g 5238 2816
        Pnt\n.9365 g 5238 2816 Pnt\n.9206 g 5231 2795 Pnt\n.9206 g 5231 2795
        Pnt\n.9048 g 5232 2781 Pnt\n.9048 g 5232 2781 Pnt\n.8889 g 5227 2758
        Pnt\n.8889 g 5227 2758 Pnt\n.873 g 5241 2776 Pnt\n.873 g 5241 2776
        Pnt\n.8571 g 5226 2765 Pnt\n.8571 g 5226 2765 Pnt\n.8413 g 5222 2753
        Pnt\n.8413 g 5222 2753 Pnt\n.8254 g 5209 2739 Pnt\n.8254 g 5209 2739
        Pnt\n.8095 g 5211 2741 Pnt\n.8095 g 5211 2741 Pnt\n.7937 g 5206 2718
        Pnt\n.7937 g 5206 2718 Pnt\n.7778 g 5198 2710 Pnt\n.7778 g 5198 2710
        Pnt\n.7619 g 5191 2688 Pnt\n.7619 g 5191 2688 Pnt\n.746 g 5234 2702
        Pnt\n.746 g 5234 2702 Pnt\n.7302 g 5218 2705 Pnt\n.7302 g 5218 2705
        Pnt\n.7143 g 5209 2699 Pnt\n.7143 g 5209 2699 Pnt\n.6984 g 5193 2699
        Pnt\n.6984 g 5193 2699 Pnt\n.6825 g 5196 2698 Pnt\n.6825 g 5196 2698
        Pnt\n.6667 g 5182 2684 Pnt\n.6667 g 5182 2684 Pnt\n.6508 g 5173 2684
        Pnt\n.6508 g 5173 2684 Pnt\n.6349 g 5158 2672 Pnt\n.6349 g 5158 2672
        Pnt\n.619 g 5169 2696 Pnt\n.619 g 5169 2696 Pnt\n.6032 g 5163 2673
        Pnt\n.6032 g 5163 2673 Pnt\n.5873 g 5155 2665 Pnt\n.5873 g 5155 2665
        Pnt\n.5714 g 5148 2643 Pnt\n.5714 g 5148 2643 Pnt\n.5556 g 5149 2648
        Pnt\n.5556 g 5149 2648 Pnt\n.5397 g 5134 2636 Pnt\n.5397 g 5134 2636
        Pnt\n.5238 g 5130 2624 Pnt\n.5238 g 5130 2624 Pnt\n.5079 g 5116 2610
        Pnt\n.5079 g 5116 2610 Pnt\n.4921 g 5196 2584 Pnt\n.4921 g 5196 2584
        Pnt\n.4762 g 5184 2601 Pnt\n.4762 g 5184 2601 Pnt\n.4603 g 5174 2603
        Pnt\n.4603 g 5174 2603 Pnt\n.4444 g 5161 2617 Pnt\n.4444 g 5161 2617
        Pnt\n.4286 g 5163 2613 Pnt\n.4286 g 5163 2613 Pnt\n.4127 g 5146 2613
        Pnt\n.4127 g 5146 2613 Pnt\n.3968 g 5139 2621 Pnt\n.3968 g 5139 2621
        Pnt\n.381 g 5122 2624 Pnt\n.381 g 5122 2624 Pnt\n.3651 g 5140 2635
        Pnt\n.3651 g 5140 2635 Pnt\n.3492 g 5127 2621 Pnt\n.3492 g 5127 2621
        Pnt\n.3333 g 5117 2621 Pnt\n.3333 g 5117 2621 Pnt\n.3175 g 5102 2609
        Pnt\n.3175 g 5102 2609 Pnt\n.3016 g 5105 2613 Pnt\n.3016 g 5105 2613
        Pnt\n.2857 g 5088 2616 Pnt\n.2857 g 5088 2616 Pnt\n.2698 g 5080 2609
        Pnt\n.2698 g 5080 2609 Pnt\n.254 g 5063 2610 Pnt\n.254 g 5063 2610
        Pnt\n.2381 g 5092 2660 Pnt\n.2381 g 5092 2660 Pnt\n.2222 g 5086 2637
        Pnt\n.2222 g 5086 2637 Pnt\n.2063 g 5078 2629 Pnt\n.2063 g 5078 2629
        Pnt\n.1905 g 5071 2607 Pnt\n.1905 g 5071 2607 Pnt\n.1746 g 5072 2612
        Pnt\n.1746 g 5072 2612 Pnt\n.1587 g 5057 2600 Pnt\n.1587 g 5057 2600
        Pnt\n.1429 g 5053 2588 Pnt\n.1429 g 5053 2588 Pnt\n.127 g 5039 2574
        Pnt\n.127 g 5039 2574 Pnt\n.1111 g 5058 2577 Pnt\n.1111 g 5058 2577
        Pnt\n.0952 g 5042 2580 Pnt\n.0952 g 5042 2580 Pnt\n.0794 g 5033 2574
        Pnt\n.0794 g 5033 2574 Pnt\n.0635 g 5017 2574 Pnt\n.0635 g 5017 2574
        Pnt\n.0476 g 5020 2573 Pnt\n.0476 g 5020 2573 Pnt\n.0317 g 5006 2558
        Pnt\n.0317 g 5006 2558 Pnt\n.0159 g 4997 2558 Pnt\n.0159 g 4997 2558
        Pnt\n0 g 4982 2547 Pnt\n0 g 4982 2547 Pnt\n1 g 5094 2431 Pnt\n1 g
        5094 2431 Pnt\n.9841 g 5090 2454 Pnt\n.9841 g 5090 2454 Pnt\n.9683 g
        5084 2464 Pnt\n.9683 g 5084 2464 Pnt\n.9524 g 5078 2487 Pnt\n.9524 g
        5078 2487 Pnt\n.9365 g 5078 2482 Pnt\n.9365 g 5078 2482 Pnt\n.9206 g
        5065 2496 Pnt\n.9206 g 5065 2496 Pnt\n.9048 g 5062 2509 Pnt\n.9048 g
        5062 2509 Pnt\n.8889 g 5050 2526 Pnt\n.8889 g 5050 2526 Pnt\n.873 g
        5068 2519 Pnt\n.873 g 5068 2519 Pnt\n.8571 g 5052 2519 Pnt\n.8571 g
        5052 2519 Pnt\n.8413 g 5044 2528 Pnt\n.8413 g 5044 2528 Pnt\n.8254 g
        5028 2531 Pnt\n.8254 g 5028 2531 Pnt\n.8095 g 5031 2531 Pnt\n.8095 g
        5031 2531 Pnt\n.7937 g 5019 2548 Pnt\n.7937 g 5019 2548 Pnt\n.7778 g
        5009 2550 Pnt\n.7778 g 5009 2550 Pnt\n.7619 g 4996 2564 Pnt\n.7619 g
        4996 2564 Pnt\n.746 g 5039 2581 Pnt\n.746 g 5039 2581 Pnt\n.7302 g
        5025 2567 Pnt\n.7302 g 5025 2567 Pnt\n.7143 g 5016 2567 Pnt\n.7143 g
        5016 2567 Pnt\n.6984 g 5001 2556 Pnt\n.6984 g 5001 2556 Pnt\n.6825 g
        5003 2559 Pnt\n.6825 g 5003 2559 Pnt\n.6667 g 4987 2562 Pnt\n.6667 g
        4987 2562 Pnt\n.6508 g 4979 2556 Pnt\n.6508 g 4979 2556 Pnt\n.6349 g
        4962 2556 Pnt\n.6349 g 4962 2556 Pnt\n.619 g 4979 2542 Pnt\n.619 g
        4979 2542 Pnt\n.6032 g 4967 2559 Pnt\n.6032 g 4967 2559 Pnt\n.5873 g
        4957 2561 Pnt\n.5873 g 4957 2561 Pnt\n.5714 g 4944 2575 Pnt\n.5714 g
        4944 2575 Pnt\n.5556 g 4946 2571 Pnt\n.5556 g 4946 2571 Pnt\n.5397 g
        4929 2571 Pnt\n.5397 g 4929 2571 Pnt\n.5238 g 4921 2579 Pnt\n.5238 g
        4921 2579 Pnt\n.5079 g 4905 2583 Pnt\n.5079 g 4905 2583 Pnt\n.4921 g
        4968 2660 Pnt\n.4921 g 4968 2660 Pnt\n.4762 g 4962 2637 Pnt\n.4762 g
        4962 2637 Pnt\n.4603 g 4954 2629 Pnt\n.4603 g 4954 2629 Pnt\n.4444 g
        4947 2607 Pnt\n.4444 g 4947 2607 Pnt\n.4286 g 4948 2612 Pnt\n.4286 g
        4948 2612 Pnt\n.4127 g 4933 2601 Pnt\n.4127 g 4933 2601 Pnt\n.3968 g
        4929 2588 Pnt\n.3968 g 4929 2588 Pnt\n.381 g 4915 2574 Pnt\n.381 g
        4915 2574 Pnt\n.3651 g 4934 2577 Pnt\n.3651 g 4934 2577 Pnt\n.3492 g
        4918 2580 Pnt\n.3492 g 4918 2580 Pnt\n.3333 g 4909 2574 Pnt\n.3333 g
        4909 2574 Pnt\n.3175 g 4893 2574 Pnt\n.3175 g 4893 2574 Pnt\n.3016 g
        4896 2573 Pnt\n.3016 g 4896 2573 Pnt\n.2857 g 4882 2559 Pnt\n.2857 g
        4882 2559 Pnt\n.2698 g 4873 2559 Pnt\n.2698 g 4873 2559 Pnt\n.254 g
        4858 2547 Pnt\n.254 g 4858 2547 Pnt\n.2381 g 4899 2522 Pnt\n.2381 g
        4899 2522 Pnt\n.2222 g 4887 2538 Pnt\n.2222 g 4887 2538 Pnt\n.2063 g
        4877 2540 Pnt\n.2063 g 4877 2540 Pnt\n.1905 g 4864 2554 Pnt\n.1905 g
        4864 2554 Pnt\n.1746 g 4866 2551 Pnt\n.1746 g 4866 2551 Pnt\n.1587 g
        4849 2551 Pnt\n.1587 g 4849 2551 Pnt\n.1429 g 4842 2559 Pnt\n.1429 g
        4842 2559 Pnt\n.127 g 4825 2562 Pnt\n.127 g 4825 2562 Pnt\n.1111 g
        4843 2573 Pnt\n.1111 g 4843 2573 Pnt\n.0952 g 4829 2559 Pnt\n.0952 g
        4829 2559 Pnt\n.0794 g 4820 2559 Pnt\n.0794 g 4820 2559 Pnt\n.0635 g
        4805 2547 Pnt\n.0635 g 4805 2547 Pnt\n.0476 g 4808 2550 Pnt\n.0476 g
        4808 2550 Pnt\n.0317 g 4791 2554 Pnt\n.0317 g 4791 2554 Pnt\n.0159 g
        4782 2547 Pnt\n.0159 g 4782 2547 Pnt\n0 g 4766 2547 Pnt\n0 g 4766
        2547 Pnt\n1 g 4886 2277 Pnt\n1 g 4886 2277 Pnt\n.9841 g 4893 2300
        Pnt\n.9841 g 4893 2300 Pnt\n.9683 g 4891 2313 Pnt\n.9683 g 4891 2313
        Pnt\n.9524 g 4895 2337 Pnt\n.9524 g 4895 2337 Pnt\n.9365 g 4894 2333
        Pnt\n.9365 g 4894 2333 Pnt\n.9206 g 4888 2356 Pnt\n.9206 g 4888 2356
        Pnt\n.9048 g 4891 2369 Pnt\n.9048 g 4891 2369 Pnt\n.8889 g 4888 2393
        Pnt\n.8889 g 4888 2393 Pnt\n.873 g 4900 2372 Pnt\n.873 g 4900 2372
        Pnt\n.8571 g 4887 2386 Pnt\n.8571 g 4887 2386 Pnt\n.8413 g 4883 2399
        Pnt\n.8413 g 4883 2399 Pnt\n.8254 g 4871 2416 Pnt\n.8254 g 4871 2416
        Pnt\n.8095 g 4874 2413 Pnt\n.8095 g 4874 2413 Pnt\n.7937 g 4871 2437
        Pnt\n.7937 g 4871 2437 Pnt\n.7778 g 4864 2447 Pnt\n.7778 g 4864 2447
        Pnt\n.7619 g 4858 2470 Pnt\n.7619 g 4858 2470 Pnt\n.746 g 4900 2447
        Pnt\n.746 g 4900 2447 Pnt\n.7302 g 4884 2447 Pnt\n.7302 g 4884 2447
        Pnt\n.7143 g 4876 2455 Pnt\n.7143 g 4876 2455 Pnt\n.6984 g 4859 2459
        Pnt\n.6984 g 4859 2459 Pnt\n.6825 g 4863 2459 Pnt\n.6825 g 4863 2459
        Pnt\n.6667 g 4851 2476 Pnt\n.6667 g 4851 2476 Pnt\n.6508 g 4841 2478
        Pnt\n.6508 g 4841 2478 Pnt\n.6349 g 4828 2492 Pnt\n.6349 g 4828 2492
        Pnt\n.619 g 4836 2466 Pnt\n.619 g 4836 2466 Pnt\n.6032 g 4832 2490
        Pnt\n.6032 g 4832 2490 Pnt\n.5873 g 4825 2500 Pnt\n.5873 g 4825 2500
        Pnt\n.5714 g 4820 2523 Pnt\n.5714 g 4820 2523 Pnt\n.5556 g 4820 2518
        Pnt\n.5556 g 4820 2518 Pnt\n.5397 g 4807 2533 Pnt\n.5397 g 4807 2533
        Pnt\n.5238 g 4804 2546 Pnt\n.5238 g 4804 2546 Pnt\n.5079 g 4791 2563
        Pnt\n.5079 g 4791 2563 Pnt\n.4921 g 4873 2572 Pnt\n.4921 g 4873 2572
        Pnt\n.4762 g 4859 2558 Pnt\n.4762 g 4859 2558 Pnt\n.4603 g 4850 2558
        Pnt\n.4603 g 4850 2558 Pnt\n.4444 g 4835 2547 Pnt\n.4444 g 4835 2547
        Pnt\n.4286 g 4838 2550 Pnt\n.4286 g 4838 2550 Pnt\n.4127 g 4821 2553
        Pnt\n.4127 g 4821 2553 Pnt\n.3968 g 4813 2547 Pnt\n.3968 g 4813 2547
        Pnt\n.381 g 4796 2547 Pnt\n.381 g 4796 2547 Pnt\n.3651 g 4813 2533
        Pnt\n.3651 g 4813 2533 Pnt\n.3492 g 4801 2550 Pnt\n.3492 g 4801 2550
        Pnt\n.3333 g 4792 2552 Pnt\n.3333 g 4792 2552 Pnt\n.3175 g 4778 2566
        Pnt\n.3175 g 4778 2566 Pnt\n.3016 g 4780 2562 Pnt\n.3016 g 4780 2562
        Pnt\n.2857 g 4764 2562 Pnt\n.2857 g 4764 2562 Pnt\n.2698 g 4756 2570
        Pnt\n.2698 g 4756 2570 Pnt\n.254 g 4739 2574 Pnt\n.254 g 4739 2574
        Pnt\n.2381 g 4763 2518 Pnt\n.2381 g 4763 2518 Pnt\n.2222 g 4759 2542
        Pnt\n.2222 g 4759 2542 Pnt\n.2063 g 4752 2552 Pnt\n.2063 g 4752 2552
        Pnt\n.1905 g 4747 2575 Pnt\n.1905 g 4747 2575 Pnt\n.1746 g 4747 2570
        Pnt\n.1746 g 4747 2570 Pnt\n.1587 g 4734 2584 Pnt\n.1587 g 4734 2584
        Pnt\n.1429 g 4730 2597 Pnt\n.1429 g 4730 2597 Pnt\n.127 g 4718 2614
        Pnt\n.127 g 4718 2614 Pnt\n.1111 g 4737 2607 Pnt\n.1111 g 4737 2607
        Pnt\n.0952 g 4720 2607 Pnt\n.0952 g 4720 2607 Pnt\n.0794 g 4713 2616
        Pnt\n.0794 g 4713 2616 Pnt\n.0635 g 4696 2619 Pnt\n.0635 g 4696 2619
        Pnt\n.0476 g 4699 2619 Pnt\n.0476 g 4699 2619 Pnt\n.0317 g 4687 2636
        Pnt\n.0317 g 4687 2636 Pnt\n.0159 g 4678 2638 Pnt\n.0159 g 4678 2638
        Pnt\n0 g 4664 2652 Pnt\n0 g 4664 2652 Pnt\n1 g 4786 2745 Pnt\n1 g
        4786 2745 Pnt\n.9841 g 4780 2722 Pnt\n.9841 g 4780 2722 Pnt\n.9683 g
        4773 2714 Pnt\n.9683 g 4773 2714 Pnt\n.9524 g 4765 2693 Pnt\n.9524 g
        4765 2693 Pnt\n.9365 g 4766 2697 Pnt\n.9365 g 4766 2697 Pnt\n.9206 g
        4751 2686 Pnt\n.9206 g 4751 2686 Pnt\n.9048 g 4747 2674 Pnt\n.9048 g
        4747 2674 Pnt\n.8889 g 4733 2659 Pnt\n.8889 g 4733 2659 Pnt\n.873 g
        4752 2662 Pnt\n.873 g 4752 2662 Pnt\n.8571 g 4736 2666 Pnt\n.8571 g
        4736 2666 Pnt\n.8413 g 4728 2659 Pnt\n.8413 g 4728 2659 Pnt\n.8254 g
        4711 2659 Pnt\n.8254 g 4711 2659 Pnt\n.8095 g 4714 2658 Pnt\n.8095 g
        4714 2658 Pnt\n.7937 g 4701 2644 Pnt\n.7937 g 4701 2644 Pnt\n.7778 g
        4691 2644 Pnt\n.7778 g 4691 2644 Pnt\n.7619 g 4676 2633 Pnt\n.7619 g
        4676 2633 Pnt\n.746 g 4717 2607 Pnt\n.746 g 4717 2607 Pnt\n.7302 g
        4705 2624 Pnt\n.7302 g 4705 2624 Pnt\n.7143 g 4696 2626 Pnt\n.7143 g
        4696 2626 Pnt\n.6984 g 4682 2640 Pnt\n.6984 g 4682 2640 Pnt\n.6825 g
        4684 2636 Pnt\n.6825 g 4684 2636 Pnt\n.6667 g 4668 2636 Pnt\n.6667 g
        4668 2636 Pnt\n.6508 g 4660 2644 Pnt\n.6508 g 4660 2644 Pnt\n.6349 g
        4643 2648 Pnt\n.6349 g 4643 2648 Pnt\n.619 g 4661 2658 Pnt\n.619 g
        4661 2658 Pnt\n.6032 g 4648 2644 Pnt\n.6032 g 4648 2644 Pnt\n.5873 g
        4638 2644 Pnt\n.5873 g 4638 2644 Pnt\n.5714 g 4623 2633 Pnt\n.5714 g
        4623 2633 Pnt\n.5556 g 4626 2636 Pnt\n.5556 g 4626 2636 Pnt\n.5397 g
        4609 2639 Pnt\n.5397 g 4609 2639 Pnt\n.5238 g 4601 2633 Pnt\n.5238 g
        4601 2633 Pnt\n.5079 g 4584 2633 Pnt\n.5079 g 4584 2633 Pnt\n.4921 g
        4639 2543 Pnt\n.4921 g 4639 2543 Pnt\n.4762 g 4636 2567 Pnt\n.4762 g
        4636 2567 Pnt\n.4603 g 4629 2577 Pnt\n.4603 g 4629 2577 Pnt\n.4444 g
        4624 2600 Pnt\n.4444 g 4624 2600 Pnt\n.4286 g 4624 2595 Pnt\n.4286 g
        4624 2595 Pnt\n.4127 g 4610 2609 Pnt\n.4127 g 4610 2609 Pnt\n.3968 g
        4607 2622 Pnt\n.3968 g 4607 2622 Pnt\n.381 g 4595 2639 Pnt\n.381 g
        4595 2639 Pnt\n.3651 g 4614 2633 Pnt\n.3651 g 4614 2633 Pnt\n.3492 g
        4597 2633 Pnt\n.3492 g 4597 2633 Pnt\n.3333 g 4589 2641 Pnt\n.3333 g
        4589 2641 Pnt\n.3175 g 4573 2644 Pnt\n.3175 g 4573 2644 Pnt\n.3016 g
        4576 2644 Pnt\n.3016 g 4576 2644 Pnt\n.2857 g 4564 2661 Pnt\n.2857 g
        4564 2661 Pnt\n.2698 g 4554 2663 Pnt\n.2698 g 4554 2663 Pnt\n.254 g
        4541 2678 Pnt\n.254 g 4541 2678 Pnt\n.2381 g 4584 2695 Pnt\n.2381 g
        4584 2695 Pnt\n.2222 g 4570 2680 Pnt\n.2222 g 4570 2680 Pnt\n.2063 g
        4561 2680 Pnt\n.2063 g 4561 2680 Pnt\n.1905 g 4546 2669 Pnt\n.1905 g
        4546 2669 Pnt\n.1746 g 4548 2672 Pnt\n.1746 g 4548 2672 Pnt\n.1587 g
        4532 2676 Pnt\n.1587 g 4532 2676 Pnt\n.1429 g 4523 2669 Pnt\n.1429 g
        4523 2669 Pnt\n.127 g 4507 2669 Pnt\n.127 g 4507 2669 Pnt\n.1111 g
        4523 2655 Pnt\n.1111 g 4523 2655 Pnt\n.0952 g 4511 2672 Pnt\n.0952 g
        4511 2672 Pnt\n.0794 g 4502 2674 Pnt\n.0794 g 4502 2674 Pnt\n.0635 g
        4488 2688 Pnt\n.0635 g 4488 2688 Pnt\n.0476 g 4490 2685 Pnt\n.0476 g
        4490 2685 Pnt\n.0317 g 4474 2685 Pnt\n.0317 g 4474 2685 Pnt\n.0159 g
        4466 2693 Pnt\n.0159 g 4466 2693 Pnt\n0 g 4449 2696 Pnt\n0 g 4449
        2696 Pnt\n1 g 5145 4162 Pnt\n1 g 5145 4162 Pnt\n.9841 g 5161 4160
        Pnt\n.9841 g 5161 4160 Pnt\n.9683 g 5169 4152 Pnt\n.9683 g 5169 4152
        Pnt\n.9524 g 5185 4147 Pnt\n.9524 g 5185 4147 Pnt\n.9365 g 5181 4147
        Pnt\n.9365 g 5181 4147 Pnt\n.9206 g 5192 4129 Pnt\n.9206 g 5192 4129
        Pnt\n.9048 g 5202 4126 Pnt\n.9048 g 5202 4126 Pnt\n.8889 g 5214 4111
        Pnt\n.8889 g 5214 4111 Pnt\n.873 g 5207 4137 Pnt\n.873 g 5207 4137
        Pnt\n.8571 g 5210 4113 Pnt\n.8571 g 5210 4113 Pnt\n.8413 g 5216 4103
        Pnt\n.8413 g 5216 4103 Pnt\n.8254 g 5220 4080 Pnt\n.8254 g 5220 4080
        Pnt\n.8095 g 5220 4084 Pnt\n.8095 g 5220 4084 Pnt\n.7937 g 5233 4069
        Pnt\n.7937 g 5233 4069 Pnt\n.7778 g 5236 4056 Pnt\n.7778 g 5236 4056
        Pnt\n.7619 g 5247 4038 Pnt\n.7619 g 5247 4038 Pnt\n.746 g 5252 4102
        Pnt\n.746 g 5252 4102 Pnt\n.7302 g 5245 4081 Pnt\n.7302 g 5245 4081
        Pnt\n.7143 g 5246 4067 Pnt\n.7143 g 5246 4067 Pnt\n.6984 g 5241 4044
        Pnt\n.6984 g 5241 4044 Pnt\n.6825 g 5242 4048 Pnt\n.6825 g 5242 4048
        Pnt\n.6667 g 5247 4025 Pnt\n.6667 g 5247 4025 Pnt\n.6508 g 5244 4012
        Pnt\n.6508 g 5244 4012 Pnt\n.6349 g 5246 3988 Pnt\n.6349 g 5246 3988
        Pnt\n.619 g 5234 4010 Pnt\n.619 g 5234 4010 Pnt\n.6032 g 5247 3995
        Pnt\n.6032 g 5247 3995 Pnt\n.5873 g 5250 3982 Pnt\n.5873 g 5250 3982
        Pnt\n.5714 g 5261 3964 Pnt\n.5714 g 5261 3964 Pnt\n.5556 g 5258 3967
        Pnt\n.5556 g 5258 3967 Pnt\n.5397 g 5261 3943 Pnt\n.5397 g 5261 3943
        Pnt\n.5238 g 5267 3932 Pnt\n.5238 g 5267 3932 Pnt\n.5079 g 5272 3909
        Pnt\n.5079 g 5272 3909 Pnt\n.4921 g 5314 4010 Pnt\n.4921 g 5314 4010
        Pnt\n.4762 g 5300 3999 Pnt\n.4762 g 5300 3999 Pnt\n.4603 g 5295 3987
        Pnt\n.4603 g 5295 3987 Pnt\n.4444 g 5282 3973 Pnt\n.4444 g 5282 3973
        Pnt\n.4286 g 5285 3975 Pnt\n.4286 g 5285 3975 Pnt\n.4127 g 5280 3952
        Pnt\n.4127 g 5280 3952 Pnt\n.3968 g 5272 3944 Pnt\n.3968 g 5272 3944
        Pnt\n.381 g 5264 3922 Pnt\n.381 g 5264 3922 Pnt\n.3651 g 5264 3950
        Pnt\n.3651 g 5264 3950 Pnt\n.3492 g 5268 3927 Pnt\n.3492 g 5268 3927
        Pnt\n.3333 g 5265 3914 Pnt\n.3333 g 5265 3914 Pnt\n.3175 g 5267 3890
        Pnt\n.3175 g 5267 3890 Pnt\n.3016 g 5266 3894 Pnt\n.3016 g 5266 3894
        Pnt\n.2857 g 5259 3873 Pnt\n.2857 g 5259 3873 Pnt\n.2698 g 5260 3859
        Pnt\n.2698 g 5260 3859 Pnt\n.254 g 5254 3836 Pnt\n.254 g 5254 3836
        Pnt\n.2381 g 5232 3892 Pnt\n.2381 g 5232 3892 Pnt\n.2222 g 5245 3877
        Pnt\n.2222 g 5245 3877 Pnt\n.2063 g 5247 3863 Pnt\n.2063 g 5247 3863
        Pnt\n.1905 g 5258 3846 Pnt\n.1905 g 5258 3846 Pnt\n.1746 g 5256 3848
        Pnt\n.1746 g 5256 3848 Pnt\n.1587 g 5258 3824 Pnt\n.1587 g 5258 3824
        Pnt\n.1429 g 5264 3814 Pnt\n.1429 g 5264 3814 Pnt\n.127 g 5269 3790
        Pnt\n.127 g 5269 3790 Pnt\n.1111 g 5273 3818 Pnt\n.1111 g 5273 3818
        Pnt\n.0952 g 5266 3796 Pnt\n.0952 g 5266 3796 Pnt\n.0794 g 5267 3782
        Pnt\n.0794 g 5267 3782 Pnt\n.0635 g 5262 3759 Pnt\n.0635 g 5262 3759
        Pnt\n.0476 g 5263 3764 Pnt\n.0476 g 5263 3764 Pnt\n.0317 g 5268 3740
        Pnt\n.0317 g 5268 3740 Pnt\n.0159 g 5265 3727 Pnt\n.0159 g 5265 3727
        Pnt\n0 g 5267 3703 Pnt\n0 g 5267 3703 Pnt\n1 g 5378 3819 Pnt\n1 g
        5378 3819 Pnt\n.9841 g 5362 3822 Pnt\n.9841 g 5362 3822 Pnt\n.9683 g
        5353 3816 Pnt\n.9683 g 5353 3816 Pnt\n.9524 g 5337 3816 Pnt\n.9524 g
        5337 3816 Pnt\n.9365 g 5340 3815 Pnt\n.9365 g 5340 3815 Pnt\n.9206 g
        5327 3801 Pnt\n.9206 g 5327 3801 Pnt\n.9048 g 5317 3801 Pnt\n.9048 g
        5317 3801 Pnt\n.8889 g 5303 3789 Pnt\n.8889 g 5303 3789 Pnt\n.873 g
        5313 3813 Pnt\n.873 g 5313 3813 Pnt\n.8571 g 5308 3790 Pnt\n.8571 g
        5308 3790 Pnt\n.8413 g 5300 3782 Pnt\n.8413 g 5300 3782 Pnt\n.8254 g
        5292 3760 Pnt\n.8254 g 5292 3760 Pnt\n.8095 g 5293 3765 Pnt\n.8095 g
        5293 3765 Pnt\n.7937 g 5279 3754 Pnt\n.7937 g 5279 3754 Pnt\n.7778 g
        5274 3741 Pnt\n.7778 g 5274 3741 Pnt\n.7619 g 5261 3727 Pnt\n.7619 g
        5261 3727 Pnt\n.746 g 5264 3792 Pnt\n.746 g 5264 3792 Pnt\n.7302 g
        5269 3769 Pnt\n.7302 g 5269 3769 Pnt\n.7143 g 5265 3756 Pnt\n.7143 g
        5265 3756 Pnt\n.6984 g 5268 3732 Pnt\n.6984 g 5268 3732 Pnt\n.6825 g
        5267 3736 Pnt\n.6825 g 5267 3736 Pnt\n.6667 g 5259 3715 Pnt\n.6667 g
        5259 3715 Pnt\n.6508 g 5260 3701 Pnt\n.6508 g 5260 3701 Pnt\n.6349 g
        5255 3678 Pnt\n.6349 g 5255 3678 Pnt\n.619 g 5269 3696 Pnt\n.619 g
        5269 3696 Pnt\n.6032 g 5255 3685 Pnt\n.6032 g 5255 3685 Pnt\n.5873 g
        5250 3673 Pnt\n.5873 g 5250 3673 Pnt\n.5714 g 5237 3659 Pnt\n.5714 g
        5237 3659 Pnt\n.5556 g 5240 3661 Pnt\n.5556 g 5240 3661 Pnt\n.5397 g
        5234 3638 Pnt\n.5397 g 5234 3638 Pnt\n.5238 g 5226 3629 Pnt\n.5238 g
        5226 3629 Pnt\n.5079 g 5219 3608 Pnt\n.5079 g 5219 3608 Pnt\n.4921 g
        5191 3720 Pnt\n.4921 g 5191 3720 Pnt\n.4762 g 5203 3705 Pnt\n.4762 g
        5203 3705 Pnt\n.4603 g 5206 3692 Pnt\n.4603 g 5206 3692 Pnt\n.4444 g
        5217 3674 Pnt\n.4444 g 5217 3674 Pnt\n.4286 g 5215 3677 Pnt\n.4286 g
        5215 3677 Pnt\n.4127 g 5217 3653 Pnt\n.4127 g 5217 3653 Pnt\n.3968 g
        5223 3642 Pnt\n.3968 g 5223 3642 Pnt\n.381 g 5228 3619 Pnt\n.381 g
        5228 3619 Pnt\n.3651 g 5232 3646 Pnt\n.3651 g 5232 3646 Pnt\n.3492 g
        5225 3625 Pnt\n.3492 g 5225 3625 Pnt\n.3333 g 5226 3611 Pnt\n.3333 g
        5226 3611 Pnt\n.3175 g 5220 3588 Pnt\n.3175 g 5220 3588 Pnt\n.3016 g
        5222 3592 Pnt\n.3016 g 5222 3592 Pnt\n.2857 g 5227 3569 Pnt\n.2857 g
        5227 3569 Pnt\n.2698 g 5223 3555 Pnt\n.2698 g 5223 3555 Pnt\n.254 g
        5226 3531 Pnt\n.254 g 5226 3531 Pnt\n.2381 g 5256 3579 Pnt\n.2381 g
        5256 3579 Pnt\n.2222 g 5241 3568 Pnt\n.2222 g 5241 3568 Pnt\n.2063 g
        5237 3556 Pnt\n.2063 g 5237 3556 Pnt\n.1905 g 5223 3542 Pnt\n.1905 g
        5223 3542 Pnt\n.1746 g 5226 3543 Pnt\n.1746 g 5226 3543 Pnt\n.1587 g
        5221 3521 Pnt\n.1587 g 5221 3521 Pnt\n.1429 g 5213 3512 Pnt\n.1429 g
        5213 3512 Pnt\n.127 g 5205 3491 Pnt\n.127 g 5205 3491 Pnt\n.1111 g
        5205 3519 Pnt\n.1111 g 5205 3519 Pnt\n.0952 g 5209 3495 Pnt\n.0952 g
        5209 3495 Pnt\n.0794 g 5206 3482 Pnt\n.0794 g 5206 3482 Pnt\n.0635 g
        5208 3458 Pnt\n.0635 g 5208 3458 Pnt\n.0476 g 5207 3462 Pnt\n.0476 g
        5207 3462 Pnt\n.0317 g 5199 3441 Pnt\n.0317 g 5199 3441 Pnt\n.0159 g
        5201 3427 Pnt\n.0159 g 5201 3427 Pnt\n0 g 5195 3404 Pnt\n0 g 5195
        3404 Pnt\n1 g 5406 3481 Pnt\n1 g 5406 3481 Pnt\n.9841 g 5394 3497
        Pnt\n.9841 g 5394 3497 Pnt\n.9683 g 5385 3499 Pnt\n.9683 g 5385 3499
        Pnt\n.9524 g 5371 3513 Pnt\n.9524 g 5371 3513 Pnt\n.9365 g 5374 3510
        Pnt\n.9365 g 5374 3510 Pnt\n.9206 g 5357 3510 Pnt\n.9206 g 5357 3510
        Pnt\n.9048 g 5350 3518 Pnt\n.9048 g 5350 3518 Pnt\n.8889 g 5333 3521
        Pnt\n.8889 g 5333 3521 Pnt\n.873 g 5351 3531 Pnt\n.873 g 5351 3531
        Pnt\n.8571 g 5338 3517 Pnt\n.8571 g 5338 3517 Pnt\n.8413 g 5328 3517
        Pnt\n.8413 g 5328 3517 Pnt\n.8254 g 5314 3506 Pnt\n.8254 g 5314 3506
        Pnt\n.8095 g 5316 3509 Pnt\n.8095 g 5316 3509 Pnt\n.7937 g 5300 3513
        Pnt\n.7937 g 5300 3513 Pnt\n.7778 g 5291 3506 Pnt\n.7778 g 5291 3506
        Pnt\n.7619 g 5275 3506 Pnt\n.7619 g 5275 3506 Pnt\n.746 g 5303 3556
        Pnt\n.746 g 5303 3556 Pnt\n.7302 g 5297 3534 Pnt\n.7302 g 5297 3534
        Pnt\n.7143 g 5290 3525 Pnt\n.7143 g 5290 3525 Pnt\n.6984 g 5282 3504
        Pnt\n.6984 g 5282 3504 Pnt\n.6825 g 5283 3508 Pnt\n.6825 g 5283 3508
        Pnt\n.6667 g 5268 3497 Pnt\n.6667 g 5268 3497 Pnt\n.6508 g 5264 3485
        Pnt\n.6508 g 5264 3485 Pnt\n.6349 g 5251 3471 Pnt\n.6349 g 5251 3471
        Pnt\n.619 g 5270 3474 Pnt\n.619 g 5270 3474 Pnt\n.6032 g 5253 3477
        Pnt\n.6032 g 5253 3477 Pnt\n.5873 g 5245 3471 Pnt\n.5873 g 5245 3471
        Pnt\n.5714 g 5228 3471 Pnt\n.5714 g 5228 3471 Pnt\n.5556 g 5232 3470
        Pnt\n.5556 g 5232 3470 Pnt\n.5397 g 5218 3456 Pnt\n.5397 g 5218 3456
        Pnt\n.5238 g 5209 3456 Pnt\n.5238 g 5209 3456 Pnt\n.5079 g 5194 3444
        Pnt\n.5079 g 5194 3444 Pnt\n.4921 g 5215 3560 Pnt\n.4921 g 5215 3560
        Pnt\n.4762 g 5219 3537 Pnt\n.4762 g 5219 3537 Pnt\n.4603 g 5216 3524
        Pnt\n.4603 g 5216 3524 Pnt\n.4444 g 5218 3500 Pnt\n.4444 g 5218 3500
        Pnt\n.4286 g 5217 3504 Pnt\n.4286 g 5217 3504 Pnt\n.4127 g 5210 3483
        Pnt\n.4127 g 5210 3483 Pnt\n.3968 g 5211 3469 Pnt\n.3968 g 5211 3469
        Pnt\n.381 g 5206 3446 Pnt\n.381 g 5206 3446 Pnt\n.3651 g 5220 3464
        Pnt\n.3651 g 5220 3464 Pnt\n.3492 g 5205 3453 Pnt\n.3492 g 5205 3453
        Pnt\n.3333 g 5201 3441 Pnt\n.3333 g 5201 3441 Pnt\n.3175 g 5187 3427
        Pnt\n.3175 g 5187 3427 Pnt\n.3016 g 5190 3429 Pnt\n.3016 g 5190 3429
        Pnt\n.2857 g 5185 3406 Pnt\n.2857 g 5185 3406 Pnt\n.2698 g 5177 3397
        Pnt\n.2698 g 5177 3397 Pnt\n.254 g 5170 3376 Pnt\n.254 g 5170 3376
        Pnt\n.2381 g 5213 3390 Pnt\n.2381 g 5213 3390 Pnt\n.2222 g 5196 3393
        Pnt\n.2222 g 5196 3393 Pnt\n.2063 g 5188 3387 Pnt\n.2063 g 5188 3387
        Pnt\n.1905 g 5172 3387 Pnt\n.1905 g 5172 3387 Pnt\n.1746 g 5175 3386
        Pnt\n.1746 g 5175 3386 Pnt\n.1587 g 5161 3372 Pnt\n.1587 g 5161 3372
        Pnt\n.1429 g 5152 3371 Pnt\n.1429 g 5152 3371 Pnt\n.127 g 5137 3360
        Pnt\n.127 g 5137 3360 Pnt\n.1111 g 5148 3384 Pnt\n.1111 g 5148 3384
        Pnt\n.0952 g 5142 3361 Pnt\n.0952 g 5142 3361 Pnt\n.0794 g 5134 3353
        Pnt\n.0794 g 5134 3353 Pnt\n.0635 g 5127 3331 Pnt\n.0635 g 5127 3331
        Pnt\n.0476 g 5128 3336 Pnt\n.0476 g 5128 3336 Pnt\n.0317 g 5113 3324
        Pnt\n.0317 g 5113 3324 Pnt\n.0159 g 5108 3312 Pnt\n.0159 g 5108 3312
        Pnt\n0 g 5095 3298 Pnt\n0 g 5095 3298 Pnt\n1 g 5076 3497 Pnt\n1 g
        5076 3497 Pnt\n.9841 g 5089 3482 Pnt\n.9841 g 5089 3482 Pnt\n.9683 g
        5092 3469 Pnt\n.9683 g 5092 3469 Pnt\n.9524 g 5103 3451 Pnt\n.9524 g
        5103 3451 Pnt\n.9365 g 5100 3454 Pnt\n.9365 g 5100 3454 Pnt\n.9206 g
        5102 3430 Pnt\n.9206 g 5102 3430 Pnt\n.9048 g 5109 3419 Pnt\n.9048 g
        5109 3419 Pnt\n.8889 g 5113 3396 Pnt\n.8889 g 5113 3396 Pnt\n.873 g
        5118 3423 Pnt\n.873 g 5118 3423 Pnt\n.8571 g 5110 3402 Pnt\n.8571 g
        5110 3402 Pnt\n.8413 g 5112 3388 Pnt\n.8413 g 5112 3388 Pnt\n.8254 g
        5106 3365 Pnt\n.8254 g 5106 3365 Pnt\n.8095 g 5108 3369 Pnt\n.8095 g
        5108 3369 Pnt\n.7937 g 5112 3346 Pnt\n.7937 g 5112 3346 Pnt\n.7778 g
        5109 3332 Pnt\n.7778 g 5109 3332 Pnt\n.7619 g 5111 3308 Pnt\n.7619 g
        5111 3308 Pnt\n.746 g 5141 3356 Pnt\n.746 g 5141 3356 Pnt\n.7302 g
        5127 3345 Pnt\n.7302 g 5127 3345 Pnt\n.7143 g 5122 3333 Pnt\n.7143 g
        5122 3333 Pnt\n.6984 g 5109 3319 Pnt\n.6984 g 5109 3319 Pnt\n.6825 g
        5112 3321 Pnt\n.6825 g 5112 3321 Pnt\n.6667 g 5106 3298 Pnt\n.6667 g
        5106 3298 Pnt\n.6508 g 5099 3289 Pnt\n.6508 g 5099 3289 Pnt\n.6349 g
        5091 3268 Pnt\n.6349 g 5091 3268 Pnt\n.619 g 5090 3296 Pnt\n.619 g
        5090 3296 Pnt\n.6032 g 5095 3272 Pnt\n.6032 g 5095 3272 Pnt\n.5873 g
        5092 3259 Pnt\n.5873 g 5092 3259 Pnt\n.5714 g 5094 3235 Pnt\n.5714 g
        5094 3235 Pnt\n.5556 g 5093 3239 Pnt\n.5556 g 5093 3239 Pnt\n.5397 g
        5085 3218 Pnt\n.5397 g 5085 3218 Pnt\n.5238 g 5086 3204 Pnt\n.5238 g
        5086 3204 Pnt\n.5079 g 5081 3181 Pnt\n.5079 g 5081 3181 Pnt\n.4921 g
        5156 3227 Pnt\n.4921 g 5156 3227 Pnt\n.4762 g 5140 3231 Pnt\n.4762 g
        5140 3231 Pnt\n.4603 g 5131 3224 Pnt\n.4603 g 5131 3224 Pnt\n.4444 g
        5115 3224 Pnt\n.4444 g 5115 3224 Pnt\n.4286 g 5118 3223 Pnt\n.4286 g
        5118 3223 Pnt\n.4127 g 5104 3209 Pnt\n.4127 g 5104 3209 Pnt\n.3968 g
        5095 3209 Pnt\n.3968 g 5095 3209 Pnt\n.381 g 5080 3198 Pnt\n.381 g
        5080 3198 Pnt\n.3651 g 5091 3222 Pnt\n.3651 g 5091 3222 Pnt\n.3492 g
        5085 3199 Pnt\n.3492 g 5085 3199 Pnt\n.3333 g 5078 3191 Pnt\n.3333 g
        5078 3191 Pnt\n.3175 g 5070 3169 Pnt\n.3175 g 5070 3169 Pnt\n.3016 g
        5071 3173 Pnt\n.3016 g 5071 3173 Pnt\n.2857 g 5056 3162 Pnt\n.2857 g
        5056 3162 Pnt\n.2698 g 5052 3150 Pnt\n.2698 g 5052 3150 Pnt\n.254 g
        5038 3136 Pnt\n.254 g 5038 3136 Pnt\n.2381 g 5041 3201 Pnt\n.2381 g
        5041 3201 Pnt\n.2222 g 5046 3177 Pnt\n.2222 g 5046 3177 Pnt\n.2063 g
        5043 3164 Pnt\n.2063 g 5043 3164 Pnt\n.1905 g 5045 3140 Pnt\n.1905 g
        5045 3140 Pnt\n.1746 g 5044 3144 Pnt\n.1746 g 5044 3144 Pnt\n.1587 g
        5036 3123 Pnt\n.1587 g 5036 3123 Pnt\n.1429 g 5038 3109 Pnt\n.1429 g
        5038 3109 Pnt\n.127 g 5032 3086 Pnt\n.127 g 5032 3086 Pnt\n.1111 g
        5047 3104 Pnt\n.1111 g 5047 3104 Pnt\n.0952 g 5032 3093 Pnt\n.0952 g
        5032 3093 Pnt\n.0794 g 5027 3081 Pnt\n.0794 g 5027 3081 Pnt\n.0635 g
        5014 3066 Pnt\n.0635 g 5014 3066 Pnt\n.0476 g 5017 3068 Pnt\n.0476 g
        5017 3068 Pnt\n.0317 g 5011 3045 Pnt\n.0317 g 5011 3045 Pnt\n.0159 g
        5004 3037 Pnt\n.0159 g 5004 3037 Pnt\n0 g 4996 3015 Pnt\n0 g 4996
        3015 Pnt\n1 g 5332 2960 Pnt\n1 g 5332 2960 Pnt\n.9841 g 5329 2983
        Pnt\n.9841 g 5329 2983 Pnt\n.9683 g 5322 2993 Pnt\n.9683 g 5322 2993
        Pnt\n.9524 g 5317 3016 Pnt\n.9524 g 5317 3016 Pnt\n.9365 g 5317 3011
        Pnt\n.9365 g 5317 3011 Pnt\n.9206 g 5304 3025 Pnt\n.9206 g 5304 3025
        Pnt\n.9048 g 5301 3038 Pnt\n.9048 g 5301 3038 Pnt\n.8889 g 5289 3055
        Pnt\n.8889 g 5289 3055 Pnt\n.873 g 5307 3048 Pnt\n.873 g 5307 3048
        Pnt\n.8571 g 5291 3048 Pnt\n.8571 g 5291 3048 Pnt\n.8413 g 5283 3056
        Pnt\n.8413 g 5283 3056 Pnt\n.8254 g 5267 3059 Pnt\n.8254 g 5267 3059
        Pnt\n.8095 g 5270 3060 Pnt\n.8095 g 5270 3060 Pnt\n.7937 g 5258 3076
        Pnt\n.7937 g 5258 3076 Pnt\n.7778 g 5249 3078 Pnt\n.7778 g 5249 3078
        Pnt\n.7619 g 5235 3092 Pnt\n.7619 g 5235 3092 Pnt\n.746 g 5278 3109
        Pnt\n.746 g 5278 3109 Pnt\n.7302 g 5264 3095 Pnt\n.7302 g 5264 3095
        Pnt\n.7143 g 5255 3095 Pnt\n.7143 g 5255 3095 Pnt\n.6984 g 5240 3084
        Pnt\n.6984 g 5240 3084 Pnt\n.6825 g 5243 3087 Pnt\n.6825 g 5243 3087
        Pnt\n.6667 g 5227 3090 Pnt\n.6667 g 5227 3090 Pnt\n.6508 g 5218 3084
        Pnt\n.6508 g 5218 3084 Pnt\n.6349 g 5202 3084 Pnt\n.6349 g 5202 3084
        Pnt\n.619 g 5218 3070 Pnt\n.619 g 5218 3070 Pnt\n.6032 g 5206 3087
        Pnt\n.6032 g 5206 3087 Pnt\n.5873 g 5197 3089 Pnt\n.5873 g 5197 3089
        Pnt\n.5714 g 5183 3103 Pnt\n.5714 g 5183 3103 Pnt\n.5556 g 5186 3099
        Pnt\n.5556 g 5186 3099 Pnt\n.5397 g 5169 3099 Pnt\n.5397 g 5169 3099
        Pnt\n.5238 g 5161 3107 Pnt\n.5238 g 5161 3107 Pnt\n.5079 g 5145 3111
        Pnt\n.5079 g 5145 3111 Pnt\n.4921 g 5207 3187 Pnt\n.4921 g 5207 3187
        Pnt\n.4762 g 5202 3165 Pnt\n.4762 g 5202 3165 Pnt\n.4603 g 5194 3157
        Pnt\n.4603 g 5194 3157 Pnt\n.4444 g 5187 3135 Pnt\n.4444 g 5187 3135
        Pnt\n.4286 g 5187 3140 Pnt\n.4286 g 5187 3140 Pnt\n.4127 g 5173 3128
        Pnt\n.4127 g 5173 3128 Pnt\n.3968 g 5168 3116 Pnt\n.3968 g 5168 3116
        Pnt\n.381 g 5155 3102 Pnt\n.381 g 5155 3102 Pnt\n.3651 g 5174 3105
        Pnt\n.3651 g 5174 3105 Pnt\n.3492 g 5158 3108 Pnt\n.3492 g 5158 3108
        Pnt\n.3333 g 5149 3102 Pnt\n.3333 g 5149 3102 Pnt\n.3175 g 5133 3102
        Pnt\n.3175 g 5133 3102 Pnt\n.3016 g 5136 3101 Pnt\n.3016 g 5136 3101
        Pnt\n.2857 g 5122 3087 Pnt\n.2857 g 5122 3087 Pnt\n.2698 g 5113 3087
        Pnt\n.2698 g 5113 3087 Pnt\n.254 g 5098 3075 Pnt\n.254 g 5098 3075
        Pnt\n.2381 g 5139 3050 Pnt\n.2381 g 5139 3050 Pnt\n.2222 g 5127 3067
        Pnt\n.2222 g 5127 3067 Pnt\n.2063 g 5118 3069 Pnt\n.2063 g 5118 3069
        Pnt\n.1905 g 5104 3083 Pnt\n.1905 g 5104 3083 Pnt\n.1746 g 5106 3079
        Pnt\n.1746 g 5106 3079 Pnt\n.1587 g 5090 3079 Pnt\n.1587 g 5090 3079
        Pnt\n.1429 g 5082 3087 Pnt\n.1429 g 5082 3087 Pnt\n.127 g 5066 3090
        Pnt\n.127 g 5066 3090 Pnt\n.1111 g 5083 3101 Pnt\n.1111 g 5083 3101
        Pnt\n.0952 g 5070 3087 Pnt\n.0952 g 5070 3087 Pnt\n.0794 g 5060 3087
        Pnt\n.0794 g 5060 3087 Pnt\n.0635 g 5046 3075 Pnt\n.0635 g 5046 3075
        Pnt\n.0476 g 5048 3079 Pnt\n.0476 g 5048 3079 Pnt\n.0317 g 5032 3082
        Pnt\n.0317 g 5032 3082 Pnt\n.0159 g 5023 3075 Pnt\n.0159 g 5023 3075
        Pnt\n0 g 5007 3075 Pnt\n0 g 5007 3075 Pnt\n1 g 5070 3254 Pnt\n1 g
        5070 3254 Pnt\n.9841 g 5074 3231 Pnt\n.9841 g 5074 3231 Pnt\n.9683 g
        5071 3218 Pnt\n.9683 g 5071 3218 Pnt\n.9524 g 5073 3194 Pnt\n.9524 g
        5073 3194 Pnt\n.9365 g 5072 3198 Pnt\n.9365 g 5072 3198 Pnt\n.9206 g
        5065 3177 Pnt\n.9206 g 5065 3177 Pnt\n.9048 g 5066 3163 Pnt\n.9048 g
        5066 3163 Pnt\n.8889 g 5060 3140 Pnt\n.8889 g 5060 3140 Pnt\n.873 g
        5075 3158 Pnt\n.873 g 5075 3158 Pnt\n.8571 g 5060 3147 Pnt\n.8571 g
        5060 3147 Pnt\n.8413 g 5056 3135 Pnt\n.8413 g 5056 3135 Pnt\n.8254 g
        5042 3121 Pnt\n.8254 g 5042 3121 Pnt\n.8095 g 5045 3123 Pnt\n.8095 g
        5045 3123 Pnt\n.7937 g 5040 3100 Pnt\n.7937 g 5040 3100 Pnt\n.7778 g
        5032 3091 Pnt\n.7778 g 5032 3091 Pnt\n.7619 g 5024 3070 Pnt\n.7619 g
        5024 3070 Pnt\n.746 g 5067 3084 Pnt\n.746 g 5067 3084 Pnt\n.7302 g
        5051 3087 Pnt\n.7302 g 5051 3087 Pnt\n.7143 g 5043 3081 Pnt\n.7143 g
        5043 3081 Pnt\n.6984 g 5026 3081 Pnt\n.6984 g 5026 3081 Pnt\n.6825 g
        5029 3080 Pnt\n.6825 g 5029 3080 Pnt\n.6667 g 5016 3066 Pnt\n.6667 g
        5016 3066 Pnt\n.6508 g 5007 3065 Pnt\n.6508 g 5007 3065 Pnt\n.6349 g
        4992 3054 Pnt\n.6349 g 4992 3054 Pnt\n.619 g 5002 3078 Pnt\n.619 g
        5002 3078 Pnt\n.6032 g 4997 3055 Pnt\n.6032 g 4997 3055 Pnt\n.5873 g
        4989 3047 Pnt\n.5873 g 4989 3047 Pnt\n.5714 g 4981 3025 Pnt\n.5714 g
        4981 3025 Pnt\n.5556 g 4982 3030 Pnt\n.5556 g 4982 3030 Pnt\n.5397 g
        4968 3018 Pnt\n.5397 g 4968 3018 Pnt\n.5238 g 4963 3006 Pnt\n.5238 g
        4963 3006 Pnt\n.5079 g 4950 2992 Pnt\n.5079 g 4950 2992 Pnt\n.4921 g
        5029 2966 Pnt\n.4921 g 5029 2966 Pnt\n.4762 g 5017 2982 Pnt\n.4762 g
        5017 2982 Pnt\n.4603 g 5008 2984 Pnt\n.4603 g 5008 2984 Pnt\n.4444 g
        4994 2999 Pnt\n.4444 g 4994 2999 Pnt\n.4286 g 4997 2995 Pnt\n.4286 g
        4997 2995 Pnt\n.4127 g 4980 2995 Pnt\n.4127 g 4980 2995 Pnt\n.3968 g
        4972 3003 Pnt\n.3968 g 4972 3003 Pnt\n.381 g 4956 3006 Pnt\n.381 g
        4956 3006 Pnt\n.3651 g 4974 3017 Pnt\n.3651 g 4974 3017 Pnt\n.3492 g
        4960 3003 Pnt\n.3492 g 4960 3003 Pnt\n.3333 g 4951 3003 Pnt\n.3333 g
        4951 3003 Pnt\n.3175 g 4936 2991 Pnt\n.3175 g 4936 2991 Pnt\n.3016 g
        4939 2994 Pnt\n.3016 g 4939 2994 Pnt\n.2857 g 4922 2998 Pnt\n.2857 g
        4922 2998 Pnt\n.2698 g 4914 2991 Pnt\n.2698 g 4914 2991 Pnt\n.254 g
        4897 2991 Pnt\n.254 g 4897 2991 Pnt\n.2381 g 4925 3042 Pnt\n.2381 g
        4925 3042 Pnt\n.2222 g 4920 3019 Pnt\n.2222 g 4920 3019 Pnt\n.2063 g
        4912 3011 Pnt\n.2063 g 4912 3011 Pnt\n.1905 g 4905 2989 Pnt\n.1905 g
        4905 2989 Pnt\n.1746 g 4905 2994 Pnt\n.1746 g 4905 2994 Pnt\n.1587 g
        4891 2982 Pnt\n.1587 g 4891 2982 Pnt\n.1429 g 4886 2970 Pnt\n.1429 g
        4886 2970 Pnt\n.127 g 4873 2956 Pnt\n.127 g 4873 2956 Pnt\n.1111 g
        4892 2959 Pnt\n.1111 g 4892 2959 Pnt\n.0952 g 4875 2962 Pnt\n.0952 g
        4875 2962 Pnt\n.0794 g 4867 2956 Pnt\n.0794 g 4867 2956 Pnt\n.0635 g
        4850 2956 Pnt\n.0635 g 4850 2956 Pnt\n.0476 g 4853 2955 Pnt\n.0476 g
        4853 2955 Pnt\n.0317 g 4840 2940 Pnt\n.0317 g 4840 2940 Pnt\n.0159 g
        4830 2940 Pnt\n.0159 g 4830 2940 Pnt\n0 g 4816 2929 Pnt\n0 g 4816
        2929 Pnt\n1 g 4839 3249 Pnt\n1 g 4839 3249 Pnt\n.9841 g 4851 3234
        Pnt\n.9841 g 4851 3234 Pnt\n.9683 g 4854 3221 Pnt\n.9683 g 4854 3221
        Pnt\n.9524 g 4865 3203 Pnt\n.9524 g 4865 3203 Pnt\n.9365 g 4862 3206
        Pnt\n.9365 g 4862 3206 Pnt\n.9206 g 4865 3182 Pnt\n.9206 g 4865 3182
        Pnt\n.9048 g 4871 3171 Pnt\n.9048 g 4871 3171 Pnt\n.8889 g 4876 3148
        Pnt\n.8889 g 4876 3148 Pnt\n.873 g 4880 3175 Pnt\n.873 g 4880 3175
        Pnt\n.8571 g 4873 3154 Pnt\n.8571 g 4873 3154 Pnt\n.8413 g 4874 3140
        Pnt\n.8413 g 4874 3140 Pnt\n.8254 g 4868 3117 Pnt\n.8254 g 4868 3117
        Pnt\n.8095 g 4870 3121 Pnt\n.8095 g 4870 3121 Pnt\n.7937 g 4874 3098
        Pnt\n.7937 g 4874 3098 Pnt\n.7778 g 4871 3084 Pnt\n.7778 g 4871 3084
        Pnt\n.7619 g 4874 3060 Pnt\n.7619 g 4874 3060 Pnt\n.746 g 4903 3108
        Pnt\n.746 g 4903 3108 Pnt\n.7302 g 4889 3097 Pnt\n.7302 g 4889 3097
        Pnt\n.7143 g 4884 3085 Pnt\n.7143 g 4884 3085 Pnt\n.6984 g 4871 3071
        Pnt\n.6984 g 4871 3071 Pnt\n.6825 g 4874 3072 Pnt\n.6825 g 4874 3072
        Pnt\n.6667 g 4868 3050 Pnt\n.6667 g 4868 3050 Pnt\n.6508 g 4861 3041
        Pnt\n.6508 g 4861 3041 Pnt\n.6349 g 4853 3020 Pnt\n.6349 g 4853 3020
        Pnt\n.619 g 4852 3048 Pnt\n.619 g 4852 3048 Pnt\n.6032 g 4857 3024
        Pnt\n.6032 g 4857 3024 Pnt\n.5873 g 4854 3011 Pnt\n.5873 g 4854 3011
        Pnt\n.5714 g 4856 2987 Pnt\n.5714 g 4856 2987 Pnt\n.5556 g 4855 2991
        Pnt\n.5556 g 4855 2991 Pnt\n.5397 g 4847 2970 Pnt\n.5397 g 4847 2970
        Pnt\n.5238 g 4849 2956 Pnt\n.5238 g 4849 2956 Pnt\n.5079 g 4843 2933
        Pnt\n.5079 g 4843 2933 Pnt\n.4921 g 4918 2979 Pnt\n.4921 g 4918 2979
        Pnt\n.4762 g 4902 2983 Pnt\n.4762 g 4902 2983 Pnt\n.4603 g 4893 2976
        Pnt\n.4603 g 4893 2976 Pnt\n.4444 g 4877 2976 Pnt\n.4444 g 4877 2976
        Pnt\n.4286 g 4880 2975 Pnt\n.4286 g 4880 2975 Pnt\n.4127 g 4867 2961
        Pnt\n.4127 g 4867 2961 Pnt\n.3968 g 4857 2961 Pnt\n.3968 g 4857 2961
        Pnt\n.381 g 4843 2950 Pnt\n.381 g 4843 2950 Pnt\n.3651 g 4853 2974
        Pnt\n.3651 g 4853 2974 Pnt\n.3492 g 4847 2951 Pnt\n.3492 g 4847 2951
        Pnt\n.3333 g 4840 2943 Pnt\n.3333 g 4840 2943 Pnt\n.3175 g 4832 2921
        Pnt\n.3175 g 4832 2921 Pnt\n.3016 g 4833 2925 Pnt\n.3016 g 4833 2925
        Pnt\n.2857 g 4818 2914 Pnt\n.2857 g 4818 2914 Pnt\n.2698 g 4814 2902
        Pnt\n.2698 g 4814 2902 Pnt\n.254 g 4800 2888 Pnt\n.254 g 4800 2888
        Pnt\n.2381 g 4804 2953 Pnt\n.2381 g 4804 2953 Pnt\n.2222 g 4808 2929
        Pnt\n.2222 g 4808 2929 Pnt\n.2063 g 4805 2916 Pnt\n.2063 g 4805 2916
        Pnt\n.1905 g 4807 2892 Pnt\n.1905 g 4807 2892 Pnt\n.1746 g 4806 2896
        Pnt\n.1746 g 4806 2896 Pnt\n.1587 g 4799 2875 Pnt\n.1587 g 4799 2875
        Pnt\n.1429 g 4800 2861 Pnt\n.1429 g 4800 2861 Pnt\n.127 g 4794 2838
        Pnt\n.127 g 4794 2838 Pnt\n.1111 g 4809 2856 Pnt\n.1111 g 4809 2856
        Pnt\n.0952 g 4794 2845 Pnt\n.0952 g 4794 2845 Pnt\n.0794 g 4790 2833
        Pnt\n.0794 g 4790 2833 Pnt\n.0635 g 4776 2818 Pnt\n.0635 g 4776 2818
        Pnt\n.0476 g 4779 2820 Pnt\n.0476 g 4779 2820 Pnt\n.0317 g 4774 2797
        Pnt\n.0317 g 4774 2797 Pnt\n.0159 g 4766 2789 Pnt\n.0159 g 4766 2789
        Pnt\n0 g 4758 2767 Pnt\n0 g 4758 2767 Pnt\n1 g 4895 2767 Pnt\n1 g
        4895 2767 Pnt\n.9841 g 4883 2784 Pnt\n.9841 g 4883 2784 Pnt\n.9683 g
        4874 2786 Pnt\n.9683 g 4874 2786 Pnt\n.9524 g 4860 2800 Pnt\n.9524 g
        4860 2800 Pnt\n.9365 g 4862 2796 Pnt\n.9365 g 4862 2796 Pnt\n.9206 g
        4846 2796 Pnt\n.9206 g 4846 2796 Pnt\n.9048 g 4838 2804 Pnt\n.9048 g
        4838 2804 Pnt\n.8889 g 4822 2808 Pnt\n.8889 g 4822 2808 Pnt\n.873 g
        4839 2818 Pnt\n.873 g 4839 2818 Pnt\n.8571 g 4826 2804 Pnt\n.8571 g
        4826 2804 Pnt\n.8413 g 4816 2804 Pnt\n.8413 g 4816 2804 Pnt\n.8254 g
        4802 2793 Pnt\n.8254 g 4802 2793 Pnt\n.8095 g 4804 2796 Pnt\n.8095 g
        4804 2796 Pnt\n.7937 g 4788 2799 Pnt\n.7937 g 4788 2799 Pnt\n.7778 g
        4779 2793 Pnt\n.7778 g 4779 2793 Pnt\n.7619 g 4763 2793 Pnt\n.7619 g
        4763 2793 Pnt\n.746 g 4791 2843 Pnt\n.746 g 4791 2843 Pnt\n.7302 g
        4786 2820 Pnt\n.7302 g 4786 2820 Pnt\n.7143 g 4778 2812 Pnt\n.7143 g
        4778 2812 Pnt\n.6984 g 4770 2790 Pnt\n.6984 g 4770 2790 Pnt\n.6825 g
        4771 2795 Pnt\n.6825 g 4771 2795 Pnt\n.6667 g 4756 2784 Pnt\n.6667 g
        4756 2784 Pnt\n.6508 g 4752 2771 Pnt\n.6508 g 4752 2771 Pnt\n.6349 g
        4738 2757 Pnt\n.6349 g 4738 2757 Pnt\n.619 g 4758 2760 Pnt\n.619 g
        4758 2760 Pnt\n.6032 g 4741 2763 Pnt\n.6032 g 4741 2763 Pnt\n.5873 g
        4733 2757 Pnt\n.5873 g 4733 2757 Pnt\n.5714 g 4716 2757 Pnt\n.5714 g
        4716 2757 Pnt\n.5556 g 4719 2756 Pnt\n.5556 g 4719 2756 Pnt\n.5397 g
        4706 2742 Pnt\n.5397 g 4706 2742 Pnt\n.5238 g 4696 2742 Pnt\n.5238 g
        4696 2742 Pnt\n.5079 g 4681 2730 Pnt\n.5079 g 4681 2730 Pnt\n.4921 g
        4702 2847 Pnt\n.4921 g 4702 2847 Pnt\n.4762 g 4707 2824 Pnt\n.4762 g
        4707 2824 Pnt\n.4603 g 4704 2810 Pnt\n.4603 g 4704 2810 Pnt\n.4444 g
        4706 2786 Pnt\n.4444 g 4706 2786 Pnt\n.4286 g 4705 2791 Pnt\n.4286 g
        4705 2791 Pnt\n.4127 g 4697 2769 Pnt\n.4127 g 4697 2769 Pnt\n.3968 g
        4699 2755 Pnt\n.3968 g 4699 2755 Pnt\n.381 g 4693 2732 Pnt\n.381 g
        4693 2732 Pnt\n.3651 g 4707 2751 Pnt\n.3651 g 4707 2751 Pnt\n.3492 g
        4693 2739 Pnt\n.3492 g 4693 2739 Pnt\n.3333 g 4688 2727 Pnt\n.3333 g
        4688 2727 Pnt\n.3175 g 4675 2713 Pnt\n.3175 g 4675 2713 Pnt\n.3016 g
        4678 2715 Pnt\n.3016 g 4678 2715 Pnt\n.2857 g 4672 2691 Pnt\n.2857 g
        4672 2691 Pnt\n.2698 g 4664 2683 Pnt\n.2698 g 4664 2683 Pnt\n.254 g
        4657 2661 Pnt\n.254 g 4657 2661 Pnt\n.2381 g 4700 2675 Pnt\n.2381 g
        4700 2675 Pnt\n.2222 g 4684 2679 Pnt\n.2222 g 4684 2679 Pnt\n.2063 g
        4675 2672 Pnt\n.2063 g 4675 2672 Pnt\n.1905 g 4659 2672 Pnt\n.1905 g
        4659 2672 Pnt\n.1746 g 4662 2671 Pnt\n.1746 g 4662 2671 Pnt\n.1587 g
        4648 2657 Pnt\n.1587 g 4648 2657 Pnt\n.1429 g 4639 2657 Pnt\n.1429 g
        4639 2657 Pnt\n.127 g 4624 2646 Pnt\n.127 g 4624 2646 Pnt\n.1111 g
        4635 2670 Pnt\n.1111 g 4635 2670 Pnt\n.0952 g 4629 2646 Pnt\n.0952 g
        4629 2646 Pnt\n.0794 g 4621 2638 Pnt\n.0794 g 4621 2638 Pnt\n.0635 g
        4614 2616 Pnt\n.0635 g 4614 2616 Pnt\n.0476 g 4614 2621 Pnt\n.0476 g
        4614 2621 Pnt\n.0317 g 4600 2610 Pnt\n.0317 g 4600 2610 Pnt\n.0159 g
        4595 2597 Pnt\n.0159 g 4595 2597 Pnt\n0 g 4582 2583 Pnt\n0 g 4582
        2583 Pnt\n1 g 5051 2248 Pnt\n1 g 5051 2248 Pnt\n.9841 g 5057 2270
        Pnt\n.9841 g 5057 2270 Pnt\n.9683 g 5055 2284 Pnt\n.9683 g 5055 2284
        Pnt\n.9524 g 5060 2307 Pnt\n.9524 g 5060 2307 Pnt\n.9365 g 5058 2303
        Pnt\n.9365 g 5058 2303 Pnt\n.9206 g 5053 2326 Pnt\n.9206 g 5053 2326
        Pnt\n.9048 g 5055 2339 Pnt\n.9048 g 5055 2339 Pnt\n.8889 g 5052 2363
        Pnt\n.8889 g 5052 2363 Pnt\n.873 g 5064 2342 Pnt\n.873 g 5064 2342
        Pnt\n.8571 g 5051 2356 Pnt\n.8571 g 5051 2356 Pnt\n.8413 g 5048 2369
        Pnt\n.8413 g 5048 2369 Pnt\n.8254 g 5036 2385 Pnt\n.8254 g 5036 2385
        Pnt\n.8095 g 5039 2383 Pnt\n.8095 g 5039 2383 Pnt\n.7937 g 5035 2407
        Pnt\n.7937 g 5035 2407 Pnt\n.7778 g 5028 2416 Pnt\n.7778 g 5028 2416
        Pnt\n.7619 g 5023 2439 Pnt\n.7619 g 5023 2439 Pnt\n.746 g 5064 2417
        Pnt\n.746 g 5064 2417 Pnt\n.7302 g 5048 2417 Pnt\n.7302 g 5048 2417
        Pnt\n.7143 g 5040 2425 Pnt\n.7143 g 5040 2425 Pnt\n.6984 g 5024 2428
        Pnt\n.6984 g 5024 2428 Pnt\n.6825 g 5027 2428 Pnt\n.6825 g 5027 2428
        Pnt\n.6667 g 5015 2445 Pnt\n.6667 g 5015 2445 Pnt\n.6508 g 5006 2447
        Pnt\n.6508 g 5006 2447 Pnt\n.6349 g 4992 2461 Pnt\n.6349 g 4992 2461
        Pnt\n.619 g 5000 2436 Pnt\n.619 g 5000 2436 Pnt\n.6032 g 4997 2459
        Pnt\n.6032 g 4997 2459 Pnt\n.5873 g 4990 2469 Pnt\n.5873 g 4990 2469
        Pnt\n.5714 g 4985 2492 Pnt\n.5714 g 4985 2492 Pnt\n.5556 g 4985 2487
        Pnt\n.5556 g 4985 2487 Pnt\n.5397 g 4972 2501 Pnt\n.5397 g 4972 2501
        Pnt\n.5238 g 4969 2515 Pnt\n.5238 g 4969 2515 Pnt\n.5079 g 4956 2531
        Pnt\n.5079 g 4956 2531 Pnt\n.4921 g 5037 2541 Pnt\n.4921 g 5037 2541
        Pnt\n.4762 g 5024 2527 Pnt\n.4762 g 5024 2527 Pnt\n.4603 g 5015 2527
        Pnt\n.4603 g 5015 2527 Pnt\n.4444 g 5000 2516 Pnt\n.4444 g 5000 2516
        Pnt\n.4286 g 5002 2519 Pnt\n.4286 g 5002 2519 Pnt\n.4127 g 4986 2522
        Pnt\n.4127 g 4986 2522 Pnt\n.3968 g 4978 2516 Pnt\n.3968 g 4978 2516
        Pnt\n.381 g 4961 2516 Pnt\n.381 g 4961 2516 Pnt\n.3651 g 4978 2502
        Pnt\n.3651 g 4978 2502 Pnt\n.3492 g 4966 2518 Pnt\n.3492 g 4966 2518
        Pnt\n.3333 g 4957 2520 Pnt\n.3333 g 4957 2520 Pnt\n.3175 g 4943 2534
        Pnt\n.3175 g 4943 2534 Pnt\n.3016 g 4945 2531 Pnt\n.3016 g 4945 2531
        Pnt\n.2857 g 4929 2531 Pnt\n.2857 g 4929 2531 Pnt\n.2698 g 4921 2539
        Pnt\n.2698 g 4921 2539 Pnt\n.254 g 4905 2542 Pnt\n.254 g 4905 2542
        Pnt\n.2381 g 4928 2487 Pnt\n.2381 g 4928 2487 Pnt\n.2222 g 4925 2511
        Pnt\n.2222 g 4925 2511 Pnt\n.2063 g 4918 2520 Pnt\n.2063 g 4918 2520
        Pnt\n.1905 g 4912 2543 Pnt\n.1905 g 4912 2543 Pnt\n.1746 g 4913 2538
        Pnt\n.1746 g 4913 2538 Pnt\n.1587 g 4899 2552 Pnt\n.1587 g 4899 2552
        Pnt\n.1429 g 4896 2566 Pnt\n.1429 g 4896 2566 Pnt\n.127 g 4884 2582
        Pnt\n.127 g 4884 2582 Pnt\n.1111 g 4902 2576 Pnt\n.1111 g 4902 2576
        Pnt\n.0952 g 4886 2576 Pnt\n.0952 g 4886 2576 Pnt\n.0794 g 4878 2584
        Pnt\n.0794 g 4878 2584 Pnt\n.0635 g 4862 2587 Pnt\n.0635 g 4862 2587
        Pnt\n.0476 g 4865 2587 Pnt\n.0476 g 4865 2587 Pnt\n.0317 g 4853 2604
        Pnt\n.0317 g 4853 2604 Pnt\n.0159 g 4843 2606 Pnt\n.0159 g 4843 2606
        Pnt\n0 g 4830 2620 Pnt\n0 g 4830 2620 Pnt\n1 g 4951 2713 Pnt\n1 g
        4951 2713 Pnt\n.9841 g 4946 2690 Pnt\n.9841 g 4946 2690 Pnt\n.9683 g
        4938 2682 Pnt\n.9683 g 4938 2682 Pnt\n.9524 g 4930 2660 Pnt\n.9524 g
        4930 2660 Pnt\n.9365 g 4931 2665 Pnt\n.9365 g 4931 2665 Pnt\n.9206 g
        4917 2654 Pnt\n.9206 g 4917 2654 Pnt\n.9048 g 4912 2641 Pnt\n.9048 g
        4912 2641 Pnt\n.8889 g 4899 2627 Pnt\n.8889 g 4899 2627 Pnt\n.873 g
        4918 2630 Pnt\n.873 g 4918 2630 Pnt\n.8571 g 4901 2633 Pnt\n.8571 g
        4901 2633 Pnt\n.8413 g 4893 2627 Pnt\n.8413 g 4893 2627 Pnt\n.8254 g
        4876 2627 Pnt\n.8254 g 4876 2627 Pnt\n.8095 g 4880 2626 Pnt\n.8095 g
        4880 2626 Pnt\n.7937 g 4866 2612 Pnt\n.7937 g 4866 2612 Pnt\n.7778 g
        4857 2612 Pnt\n.7778 g 4857 2612 Pnt\n.7619 g 4842 2601 Pnt\n.7619 g
        4842 2601 Pnt\n.746 g 4883 2575 Pnt\n.746 g 4883 2575 Pnt\n.7302 g
        4871 2592 Pnt\n.7302 g 4871 2592 Pnt\n.7143 g 4861 2594 Pnt\n.7143 g
        4861 2594 Pnt\n.6984 g 4848 2608 Pnt\n.6984 g 4848 2608 Pnt\n.6825 g
        4850 2604 Pnt\n.6825 g 4850 2604 Pnt\n.6667 g 4834 2604 Pnt\n.6667 g
        4834 2604 Pnt\n.6508 g 4826 2612 Pnt\n.6508 g 4826 2612 Pnt\n.6349 g
        4809 2616 Pnt\n.6349 g 4809 2616 Pnt\n.619 g 4827 2626 Pnt\n.619 g
        4827 2626 Pnt\n.6032 g 4814 2612 Pnt\n.6032 g 4814 2612 Pnt\n.5873 g
        4804 2612 Pnt\n.5873 g 4804 2612 Pnt\n.5714 g 4790 2601 Pnt\n.5714 g
        4790 2601 Pnt\n.5556 g 4792 2604 Pnt\n.5556 g 4792 2604 Pnt\n.5397 g
        4776 2607 Pnt\n.5397 g 4776 2607 Pnt\n.5238 g 4767 2601 Pnt\n.5238 g
        4767 2601 Pnt\n.5079 g 4751 2601 Pnt\n.5079 g 4751 2601 Pnt\n.4921 g
        4805 2512 Pnt\n.4921 g 4805 2512 Pnt\n.4762 g 4802 2536 Pnt\n.4762 g
        4802 2536 Pnt\n.4603 g 4795 2545 Pnt\n.4603 g 4795 2545 Pnt\n.4444 g
        4790 2568 Pnt\n.4444 g 4790 2568 Pnt\n.4286 g 4790 2563 Pnt\n.4286 g
        4790 2563 Pnt\n.4127 g 4777 2577 Pnt\n.4127 g 4777 2577 Pnt\n.3968 g
        4773 2591 Pnt\n.3968 g 4773 2591 Pnt\n.381 g 4761 2607 Pnt\n.381 g
        4761 2607 Pnt\n.3651 g 4780 2601 Pnt\n.3651 g 4780 2601 Pnt\n.3492 g
        4763 2601 Pnt\n.3492 g 4763 2601 Pnt\n.3333 g 4756 2609 Pnt\n.3333 g
        4756 2609 Pnt\n.3175 g 4739 2612 Pnt\n.3175 g 4739 2612 Pnt\n.3016 g
        4743 2612 Pnt\n.3016 g 4743 2612 Pnt\n.2857 g 4730 2629 Pnt\n.2857 g
        4730 2629 Pnt\n.2698 g 4721 2631 Pnt\n.2698 g 4721 2631 Pnt\n.254 g
        4707 2645 Pnt\n.254 g 4707 2645 Pnt\n.2381 g 4750 2662 Pnt\n.2381 g
        4750 2662 Pnt\n.2222 g 4737 2648 Pnt\n.2222 g 4737 2648 Pnt\n.2063 g
        4727 2648 Pnt\n.2063 g 4727 2648 Pnt\n.1905 g 4713 2637 Pnt\n.1905 g
        4713 2637 Pnt\n.1746 g 4715 2640 Pnt\n.1746 g 4715 2640 Pnt\n.1587 g
        4699 2643 Pnt\n.1587 g 4699 2643 Pnt\n.1429 g 4690 2637 Pnt\n.1429 g
        4690 2637 Pnt\n.127 g 4674 2637 Pnt\n.127 g 4674 2637 Pnt\n.1111 g
        4690 2623 Pnt\n.1111 g 4690 2623 Pnt\n.0952 g 4678 2640 Pnt\n.0952 g
        4678 2640 Pnt\n.0794 g 4669 2642 Pnt\n.0794 g 4669 2642 Pnt\n.0635 g
        4655 2656 Pnt\n.0635 g 4655 2656 Pnt\n.0476 g 4657 2652 Pnt\n.0476 g
        4657 2652 Pnt\n.0317 g 4641 2652 Pnt\n.0317 g 4641 2652 Pnt\n.0159 g
        4633 2660 Pnt\n.0159 g 4633 2660 Pnt\n0 g 4617 2664 Pnt\n0 g 4617
        2664 Pnt\n1 g 4760 2906 Pnt\n1 g 4760 2906 Pnt\n.9841 g 4765 2883
        Pnt\n.9841 g 4765 2883 Pnt\n.9683 g 4762 2869 Pnt\n.9683 g 4762 2869
        Pnt\n.9524 g 4764 2845 Pnt\n.9524 g 4764 2845 Pnt\n.9365 g 4763 2850
        Pnt\n.9365 g 4763 2850 Pnt\n.9206 g 4755 2828 Pnt\n.9206 g 4755 2828
        Pnt\n.9048 g 4757 2814 Pnt\n.9048 g 4757 2814 Pnt\n.8889 g 4751 2791
        Pnt\n.8889 g 4751 2791 Pnt\n.873 g 4765 2810 Pnt\n.873 g 4765 2810
        Pnt\n.8571 g 4751 2799 Pnt\n.8571 g 4751 2799 Pnt\n.8413 g 4746 2786
        Pnt\n.8413 g 4746 2786 Pnt\n.8254 g 4733 2772 Pnt\n.8254 g 4733 2772
        Pnt\n.8095 g 4736 2774 Pnt\n.8095 g 4736 2774 Pnt\n.7937 g 4730 2751
        Pnt\n.7937 g 4730 2751 Pnt\n.7778 g 4723 2743 Pnt\n.7778 g 4723 2743
        Pnt\n.7619 g 4715 2721 Pnt\n.7619 g 4715 2721 Pnt\n.746 g 4758 2735
        Pnt\n.746 g 4758 2735 Pnt\n.7302 g 4742 2739 Pnt\n.7302 g 4742 2739
        Pnt\n.7143 g 4734 2732 Pnt\n.7143 g 4734 2732 Pnt\n.6984 g 4717 2732
        Pnt\n.6984 g 4717 2732 Pnt\n.6825 g 4720 2731 Pnt\n.6825 g 4720 2731
        Pnt\n.6667 g 4707 2717 Pnt\n.6667 g 4707 2717 Pnt\n.6508 g 4697 2717
        Pnt\n.6508 g 4697 2717 Pnt\n.6349 g 4683 2706 Pnt\n.6349 g 4683 2706
        Pnt\n.619 g 4693 2729 Pnt\n.619 g 4693 2729 Pnt\n.6032 g 4688 2706
        Pnt\n.6032 g 4688 2706 Pnt\n.5873 g 4680 2698 Pnt\n.5873 g 4680 2698
        Pnt\n.5714 g 4672 2677 Pnt\n.5714 g 4672 2677 Pnt\n.5556 g 4673 2681
        Pnt\n.5556 g 4673 2681 Pnt\n.5397 g 4658 2670 Pnt\n.5397 g 4658 2670
        Pnt\n.5238 g 4654 2658 Pnt\n.5238 g 4654 2658 Pnt\n.5079 g 4640 2643
        Pnt\n.5079 g 4640 2643 Pnt\n.4921 g 4720 2617 Pnt\n.4921 g 4720 2617
        Pnt\n.4762 g 4708 2634 Pnt\n.4762 g 4708 2634 Pnt\n.4603 g 4699 2636
        Pnt\n.4603 g 4699 2636 Pnt\n.4444 g 4685 2650 Pnt\n.4444 g 4685 2650
        Pnt\n.4286 g 4687 2647 Pnt\n.4286 g 4687 2647 Pnt\n.4127 g 4671 2647
        Pnt\n.4127 g 4671 2647 Pnt\n.3968 g 4663 2655 Pnt\n.3968 g 4663 2655
        Pnt\n.381 g 4647 2658 Pnt\n.381 g 4647 2658 Pnt\n.3651 g 4665 2668
        Pnt\n.3651 g 4665 2668 Pnt\n.3492 g 4651 2654 Pnt\n.3492 g 4651 2654
        Pnt\n.3333 g 4642 2654 Pnt\n.3333 g 4642 2654 Pnt\n.3175 g 4627 2643
        Pnt\n.3175 g 4627 2643 Pnt\n.3016 g 4629 2646 Pnt\n.3016 g 4629 2646
        Pnt\n.2857 g 4613 2649 Pnt\n.2857 g 4613 2649 Pnt\n.2698 g 4604 2643
        Pnt\n.2698 g 4604 2643 Pnt\n.254 g 4588 2643 Pnt\n.254 g 4588 2643
        Pnt\n.2381 g 4616 2693 Pnt\n.2381 g 4616 2693 Pnt\n.2222 g 4611 2670
        Pnt\n.2222 g 4611 2670 Pnt\n.2063 g 4603 2662 Pnt\n.2063 g 4603 2662
        Pnt\n.1905 g 4595 2641 Pnt\n.1905 g 4595 2641 Pnt\n.1746 g 4596 2645
        Pnt\n.1746 g 4596 2645 Pnt\n.1587 g 4581 2634 Pnt\n.1587 g 4581 2634
        Pnt\n.1429 g 4577 2621 Pnt\n.1429 g 4577 2621 Pnt\n.127 g 4564 2607
        Pnt\n.127 g 4564 2607 Pnt\n.1111 g 4583 2610 Pnt\n.1111 g 4583 2610
        Pnt\n.0952 g 4566 2614 Pnt\n.0952 g 4566 2614 Pnt\n.0794 g 4558 2607
        Pnt\n.0794 g 4558 2607 Pnt\n.0635 g 4541 2607 Pnt\n.0635 g 4541 2607
        Pnt\n.0476 g 4544 2606 Pnt\n.0476 g 4544 2606 Pnt\n.0317 g 4531 2592
        Pnt\n.0317 g 4531 2592 Pnt\n.0159 g 4521 2592 Pnt\n.0159 g 4521 2592
        Pnt\n0 g 4506 2581 Pnt\n0 g 4506 2581 Pnt\n1 g 4618 2464 Pnt\n1 g
        4618 2464 Pnt\n.9841 g 4615 2488 Pnt\n.9841 g 4615 2488 Pnt\n.9683 g
        4608 2497 Pnt\n.9683 g 4608 2497 Pnt\n.9524 g 4603 2520 Pnt\n.9524 g
        4603 2520 Pnt\n.9365 g 4603 2516 Pnt\n.9365 g 4603 2516 Pnt\n.9206 g
        4589 2530 Pnt\n.9206 g 4589 2530 Pnt\n.9048 g 4586 2543 Pnt\n.9048 g
        4586 2543 Pnt\n.8889 g 4574 2560 Pnt\n.8889 g 4574 2560 Pnt\n.873 g
        4593 2553 Pnt\n.873 g 4593 2553 Pnt\n.8571 g 4576 2553 Pnt\n.8571 g
        4576 2553 Pnt\n.8413 g 4568 2561 Pnt\n.8413 g 4568 2561 Pnt\n.8254 g
        4552 2564 Pnt\n.8254 g 4552 2564 Pnt\n.8095 g 4555 2565 Pnt\n.8095 g
        4555 2565 Pnt\n.7937 g 4543 2581 Pnt\n.7937 g 4543 2581 Pnt\n.7778 g
        4534 2583 Pnt\n.7778 g 4534 2583 Pnt\n.7619 g 4520 2598 Pnt\n.7619 g
        4520 2598 Pnt\n.746 g 4563 2615 Pnt\n.746 g 4563 2615 Pnt\n.7302 g
        4550 2601 Pnt\n.7302 g 4550 2601 Pnt\n.7143 g 4540 2601 Pnt\n.7143 g
        4540 2601 Pnt\n.6984 g 4525 2589 Pnt\n.6984 g 4525 2589 Pnt\n.6825 g
        4528 2592 Pnt\n.6825 g 4528 2592 Pnt\n.6667 g 4511 2596 Pnt\n.6667 g
        4511 2596 Pnt\n.6508 g 4503 2589 Pnt\n.6508 g 4503 2589 Pnt\n.6349 g
        4486 2589 Pnt\n.6349 g 4486 2589 Pnt\n.619 g 4503 2575 Pnt\n.619 g
        4503 2575 Pnt\n.6032 g 4491 2592 Pnt\n.6032 g 4491 2592 Pnt\n.5873 g
        4482 2594 Pnt\n.5873 g 4482 2594 Pnt\n.5714 g 4468 2608 Pnt\n.5714 g
        4468 2608 Pnt\n.5556 g 4470 2605 Pnt\n.5556 g 4470 2605 Pnt\n.5397 g
        4454 2605 Pnt\n.5397 g 4454 2605 Pnt\n.5238 g 4446 2613 Pnt\n.5238 g
        4446 2613 Pnt\n.5079 g 4429 2616 Pnt\n.5079 g 4429 2616 Pnt\n.4921 g
        4492 2693 Pnt\n.4921 g 4492 2693 Pnt\n.4762 g 4487 2671 Pnt\n.4762 g
        4487 2671 Pnt\n.4603 g 4479 2662 Pnt\n.4603 g 4479 2662 Pnt\n.4444 g
        4471 2641 Pnt\n.4444 g 4471 2641 Pnt\n.4286 g 4472 2645 Pnt\n.4286 g
        4472 2645 Pnt\n.4127 g 4457 2634 Pnt\n.4127 g 4457 2634 Pnt\n.3968 g
        4453 2622 Pnt\n.3968 g 4453 2622 Pnt\n.381 g 4439 2607 Pnt\n.381 g
        4439 2607 Pnt\n.3651 g 4459 2610 Pnt\n.3651 g 4459 2610 Pnt\n.3492 g
        4442 2614 Pnt\n.3492 g 4442 2614 Pnt\n.3333 g 4434 2607 Pnt\n.3333 g
        4434 2607 Pnt\n.3175 g 4417 2607 Pnt\n.3175 g 4417 2607 Pnt\n.3016 g
        4420 2606 Pnt\n.3016 g 4420 2606 Pnt\n.2857 g 4407 2592 Pnt\n.2857 g
        4407 2592 Pnt\n.2698 g 4397 2592 Pnt\n.2698 g 4397 2592 Pnt\n.254 g
        4382 2581 Pnt\n.254 g 4382 2581 Pnt\n.2381 g 4423 2555 Pnt\n.2381 g
        4423 2555 Pnt\n.2222 g 4411 2572 Pnt\n.2222 g 4411 2572 Pnt\n.2063 g
        4402 2574 Pnt\n.2063 g 4402 2574 Pnt\n.1905 g 4388 2588 Pnt\n.1905 g
        4388 2588 Pnt\n.1746 g 4390 2584 Pnt\n.1746 g 4390 2584 Pnt\n.1587 g
        4374 2584 Pnt\n.1587 g 4374 2584 Pnt\n.1429 g 4366 2592 Pnt\n.1429 g
        4366 2592 Pnt\n.127 g 4350 2596 Pnt\n.127 g 4350 2596 Pnt\n.1111 g
        4367 2606 Pnt\n.1111 g 4367 2606 Pnt\n.0952 g 4354 2592 Pnt\n.0952 g
        4354 2592 Pnt\n.0794 g 4344 2592 Pnt\n.0794 g 4344 2592 Pnt\n.0635 g
        4330 2581 Pnt\n.0635 g 4330 2581 Pnt\n.0476 g 4332 2584 Pnt\n.0476 g
        4332 2584 Pnt\n.0317 g 4316 2587 Pnt\n.0317 g 4316 2587 Pnt\n.0159 g
        4307 2581 Pnt\n.0159 g 4307 2581 Pnt\n0 g 4290 2581 Pnt\n0 g 4290
        2581 Pnt\n1 g 4412 3049 Pnt\n1 g 4412 3049 Pnt\n.9841 g 4425 3034
        Pnt\n.9841 g 4425 3034 Pnt\n.9683 g 4427 3021 Pnt\n.9683 g 4427 3021
        Pnt\n.9524 g 4439 3003 Pnt\n.9524 g 4439 3003 Pnt\n.9365 g 4436 3006
        Pnt\n.9365 g 4436 3006 Pnt\n.9206 g 4438 2982 Pnt\n.9206 g 4438 2982
        Pnt\n.9048 g 4445 2972 Pnt\n.9048 g 4445 2972 Pnt\n.8889 g 4449 2948
        Pnt\n.8889 g 4449 2948 Pnt\n.873 g 4454 2975 Pnt\n.873 g 4454 2975
        Pnt\n.8571 g 4446 2954 Pnt\n.8571 g 4446 2954 Pnt\n.8413 g 4447 2940
        Pnt\n.8413 g 4447 2940 Pnt\n.8254 g 4442 2917 Pnt\n.8254 g 4442 2917
        Pnt\n.8095 g 4444 2921 Pnt\n.8095 g 4444 2921 Pnt\n.7937 g 4448 2898
        Pnt\n.7937 g 4448 2898 Pnt\n.7778 g 4445 2884 Pnt\n.7778 g 4445 2884
        Pnt\n.7619 g 4447 2860 Pnt\n.7619 g 4447 2860 Pnt\n.746 g 4477 2908
        Pnt\n.746 g 4477 2908 Pnt\n.7302 g 4462 2897 Pnt\n.7302 g 4462 2897
        Pnt\n.7143 g 4458 2885 Pnt\n.7143 g 4458 2885 Pnt\n.6984 g 4445 2871
        Pnt\n.6984 g 4445 2871 Pnt\n.6825 g 4447 2873 Pnt\n.6825 g 4447 2873
        Pnt\n.6667 g 4442 2850 Pnt\n.6667 g 4442 2850 Pnt\n.6508 g 4434 2842
        Pnt\n.6508 g 4434 2842 Pnt\n.6349 g 4427 2820 Pnt\n.6349 g 4427 2820
        Pnt\n.619 g 4426 2848 Pnt\n.619 g 4426 2848 Pnt\n.6032 g 4430 2825
        Pnt\n.6032 g 4430 2825 Pnt\n.5873 g 4427 2811 Pnt\n.5873 g 4427 2811
        Pnt\n.5714 g 4430 2787 Pnt\n.5714 g 4430 2787 Pnt\n.5556 g 4428 2792
        Pnt\n.5556 g 4428 2792 Pnt\n.5397 g 4421 2770 Pnt\n.5397 g 4421 2770
        Pnt\n.5238 g 4422 2756 Pnt\n.5238 g 4422 2756 Pnt\n.5079 g 4417 2733
        Pnt\n.5079 g 4417 2733 Pnt\n.4921 g 4492 2780 Pnt\n.4921 g 4492 2780
        Pnt\n.4762 g 4475 2783 Pnt\n.4762 g 4475 2783 Pnt\n.4603 g 4467 2777
        Pnt\n.4603 g 4467 2777 Pnt\n.4444 g 4451 2777 Pnt\n.4444 g 4451 2777
        Pnt\n.4286 g 4454 2776 Pnt\n.4286 g 4454 2776 Pnt\n.4127 g 4440 2761
        Pnt\n.4127 g 4440 2761 Pnt\n.3968 g 4431 2761 Pnt\n.3968 g 4431 2761
        Pnt\n.381 g 4416 2750 Pnt\n.381 g 4416 2750 Pnt\n.3651 g 4427 2774
        Pnt\n.3651 g 4427 2774 Pnt\n.3492 g 4421 2751 Pnt\n.3492 g 4421 2751
        Pnt\n.3333 g 4413 2743 Pnt\n.3333 g 4413 2743 Pnt\n.3175 g 4406 2721
        Pnt\n.3175 g 4406 2721 Pnt\n.3016 g 4407 2726 Pnt\n.3016 g 4407 2726
        Pnt\n.2857 g 4392 2714 Pnt\n.2857 g 4392 2714 Pnt\n.2698 g 4387 2702
        Pnt\n.2698 g 4387 2702 Pnt\n.254 g 4374 2688 Pnt\n.254 g 4374 2688
        Pnt\n.2381 g 4377 2753 Pnt\n.2381 g 4377 2753 Pnt\n.2222 g 4382 2730
        Pnt\n.2222 g 4382 2730 Pnt\n.2063 g 4379 2716 Pnt\n.2063 g 4379 2716
        Pnt\n.1905 g 4381 2692 Pnt\n.1905 g 4381 2692 Pnt\n.1746 g 4380 2697
        Pnt\n.1746 g 4380 2697 Pnt\n.1587 g 4372 2675 Pnt\n.1587 g 4372 2675
        Pnt\n.1429 g 4373 2661 Pnt\n.1429 g 4373 2661 Pnt\n.127 g 4368 2638
        Pnt\n.127 g 4368 2638 Pnt\n.1111 g 4382 2656 Pnt\n.1111 g 4382 2656
        Pnt\n.0952 g 4368 2645 Pnt\n.0952 g 4368 2645 Pnt\n.0794 g 4363 2633
        Pnt\n.0794 g 4363 2633 Pnt\n.0635 g 4350 2619 Pnt\n.0635 g 4350 2619
        Pnt\n.0476 g 4353 2620 Pnt\n.0476 g 4353 2620 Pnt\n.0317 g 4347 2597
        Pnt\n.0317 g 4347 2597 Pnt\n.0159 g 4339 2589 Pnt\n.0159 g 4339 2589
        Pnt\n0 g 4332 2567 Pnt\n0 g 4332 2567 Pnt\n1 g 4468 2567 Pnt\n1 g
        4468 2567 Pnt\n.9841 g 4456 2584 Pnt\n.9841 g 4456 2584 Pnt\n.9683 g
        4447 2586 Pnt\n.9683 g 4447 2586 Pnt\n.9524 g 4434 2600 Pnt\n.9524 g
        4434 2600 Pnt\n.9365 g 4436 2597 Pnt\n.9365 g 4436 2597 Pnt\n.9206 g
        4419 2597 Pnt\n.9206 g 4419 2597 Pnt\n.9048 g 4412 2605 Pnt\n.9048 g
        4412 2605 Pnt\n.8889 g 4395 2608 Pnt\n.8889 g 4395 2608 Pnt\n.873 g
        4413 2618 Pnt\n.873 g 4413 2618 Pnt\n.8571 g 4399 2604 Pnt\n.8571 g
        4399 2604 Pnt\n.8413 g 4390 2604 Pnt\n.8413 g 4390 2604 Pnt\n.8254 g
        4375 2593 Pnt\n.8254 g 4375 2593 Pnt\n.8095 g 4378 2596 Pnt\n.8095 g
        4378 2596 Pnt\n.7937 g 4361 2599 Pnt\n.7937 g 4361 2599 Pnt\n.7778 g
        4353 2593 Pnt\n.7778 g 4353 2593 Pnt\n.7619 g 4336 2593 Pnt\n.7619 g
        4336 2593 Pnt\n.746 g 4365 2643 Pnt\n.746 g 4365 2643 Pnt\n.7302 g
        4359 2620 Pnt\n.7302 g 4359 2620 Pnt\n.7143 g 4351 2612 Pnt\n.7143 g
        4351 2612 Pnt\n.6984 g 4344 2591 Pnt\n.6984 g 4344 2591 Pnt\n.6825 g
        4345 2595 Pnt\n.6825 g 4345 2595 Pnt\n.6667 g 4330 2584 Pnt\n.6667 g
        4330 2584 Pnt\n.6508 g 4326 2571 Pnt\n.6508 g 4326 2571 Pnt\n.6349 g
        4312 2557 Pnt\n.6349 g 4312 2557 Pnt\n.619 g 4331 2560 Pnt\n.619 g
        4331 2560 Pnt\n.6032 g 4315 2564 Pnt\n.6032 g 4315 2564 Pnt\n.5873 g
        4306 2557 Pnt\n.5873 g 4306 2557 Pnt\n.5714 g 4290 2557 Pnt\n.5714 g
        4290 2557 Pnt\n.5556 g 4293 2556 Pnt\n.5556 g 4293 2556 Pnt\n.5397 g
        4279 2542 Pnt\n.5397 g 4279 2542 Pnt\n.5238 g 4270 2542 Pnt\n.5238 g
        4270 2542 Pnt\n.5079 g 4255 2531 Pnt\n.5079 g 4255 2531 Pnt\n.4921 g
        4276 2647 Pnt\n.4921 g 4276 2647 Pnt\n.4762 g 4280 2624 Pnt\n.4762 g
        4280 2624 Pnt\n.4603 g 4277 2611 Pnt\n.4603 g 4277 2611 Pnt\n.4444 g
        4280 2586 Pnt\n.4444 g 4280 2586 Pnt\n.4286 g 4278 2591 Pnt\n.4286 g
        4278 2591 Pnt\n.4127 g 4271 2569 Pnt\n.4127 g 4271 2569 Pnt\n.3968 g
        4272 2555 Pnt\n.3968 g 4272 2555 Pnt\n.381 g 4267 2532 Pnt\n.381 g
        4267 2532 Pnt\n.3651 g 4281 2551 Pnt\n.3651 g 4281 2551 Pnt\n.3492 g
        4266 2539 Pnt\n.3492 g 4266 2539 Pnt\n.3333 g 4262 2527 Pnt\n.3333 g
        4262 2527 Pnt\n.3175 g 4248 2513 Pnt\n.3175 g 4248 2513 Pnt\n.3016 g
        4251 2515 Pnt\n.3016 g 4251 2515 Pnt\n.2857 g 4246 2492 Pnt\n.2857 g
        4246 2492 Pnt\n.2698 g 4238 2483 Pnt\n.2698 g 4238 2483 Pnt\n.254 g
        4230 2462 Pnt\n.254 g 4230 2462 Pnt\n.2381 g 4274 2476 Pnt\n.2381 g
        4274 2476 Pnt\n.2222 g 4257 2479 Pnt\n.2222 g 4257 2479 Pnt\n.2063 g
        4249 2472 Pnt\n.2063 g 4249 2472 Pnt\n.1905 g 4232 2473 Pnt\n.1905 g
        4232 2473 Pnt\n.1746 g 4236 2471 Pnt\n.1746 g 4236 2471 Pnt\n.1587 g
        4222 2457 Pnt\n.1587 g 4222 2457 Pnt\n.1429 g 4212 2457 Pnt\n.1429 g
        4212 2457 Pnt\n.127 g 4198 2446 Pnt\n.127 g 4198 2446 Pnt\n.1111 g
        4208 2470 Pnt\n.1111 g 4208 2470 Pnt\n.0952 g 4203 2447 Pnt\n.0952 g
        4203 2447 Pnt\n.0794 g 4195 2438 Pnt\n.0794 g 4195 2438 Pnt\n.0635 g
        4187 2417 Pnt\n.0635 g 4187 2417 Pnt\n.0476 g 4188 2421 Pnt\n.0476 g
        4188 2421 Pnt\n.0317 g 4173 2410 Pnt\n.0317 g 4173 2410 Pnt\n.0159 g
        4169 2397 Pnt\n.0159 g 4169 2397 Pnt\n0 g 4155 2383 Pnt\n0 g 4155
        2383 Pnt\n1 g 4359 2265 Pnt\n1 g 4359 2265 Pnt\n.9841 g 4356 2289
        Pnt\n.9841 g 4356 2289 Pnt\n.9683 g 4349 2299 Pnt\n.9683 g 4349 2299
        Pnt\n.9524 g 4343 2322 Pnt\n.9524 g 4343 2322 Pnt\n.9365 g 4344 2317
        Pnt\n.9365 g 4344 2317 Pnt\n.9206 g 4330 2331 Pnt\n.9206 g 4330 2331
        Pnt\n.9048 g 4327 2344 Pnt\n.9048 g 4327 2344 Pnt\n.8889 g 4315 2361
        Pnt\n.8889 g 4315 2361 Pnt\n.873 g 4333 2354 Pnt\n.873 g 4333 2354
        Pnt\n.8571 g 4317 2354 Pnt\n.8571 g 4317 2354 Pnt\n.8413 g 4309 2362
        Pnt\n.8413 g 4309 2362 Pnt\n.8254 g 4293 2366 Pnt\n.8254 g 4293 2366
        Pnt\n.8095 g 4296 2366 Pnt\n.8095 g 4296 2366 Pnt\n.7937 g 4284 2383
        Pnt\n.7937 g 4284 2383 Pnt\n.7778 g 4274 2385 Pnt\n.7778 g 4274 2385
        Pnt\n.7619 g 4261 2399 Pnt\n.7619 g 4261 2399 Pnt\n.746 g 4304 2416
        Pnt\n.746 g 4304 2416 Pnt\n.7302 g 4290 2402 Pnt\n.7302 g 4290 2402
        Pnt\n.7143 g 4281 2402 Pnt\n.7143 g 4281 2402 Pnt\n.6984 g 4266 2391
        Pnt\n.6984 g 4266 2391 Pnt\n.6825 g 4269 2394 Pnt\n.6825 g 4269 2394
        Pnt\n.6667 g 4252 2397 Pnt\n.6667 g 4252 2397 Pnt\n.6508 g 4244 2391
        Pnt\n.6508 g 4244 2391 Pnt\n.6349 g 4227 2391 Pnt\n.6349 g 4227 2391
        Pnt\n.619 g 4244 2377 Pnt\n.619 g 4244 2377 Pnt\n.6032 g 4232 2393
        Pnt\n.6032 g 4232 2393 Pnt\n.5873 g 4222 2395 Pnt\n.5873 g 4222 2395
        Pnt\n.5714 g 4209 2410 Pnt\n.5714 g 4209 2410 Pnt\n.5556 g 4211 2406
        Pnt\n.5556 g 4211 2406 Pnt\n.5397 g 4194 2406 Pnt\n.5397 g 4194 2406
        Pnt\n.5238 g 4187 2414 Pnt\n.5238 g 4187 2414 Pnt\n.5079 g 4170 2418
        Pnt\n.5079 g 4170 2418 Pnt\n.4921 g 4233 2495 Pnt\n.4921 g 4233 2495
        Pnt\n.4762 g 4227 2472 Pnt\n.4762 g 4227 2472 Pnt\n.4603 g 4220 2464
        Pnt\n.4603 g 4220 2464 Pnt\n.4444 g 4212 2442 Pnt\n.4444 g 4212 2442
        Pnt\n.4286 g 4213 2447 Pnt\n.4286 g 4213 2447 Pnt\n.4127 g 4198 2435
        Pnt\n.4127 g 4198 2435 Pnt\n.3968 g 4194 2423 Pnt\n.3968 g 4194 2423
        Pnt\n.381 g 4180 2409 Pnt\n.381 g 4180 2409 Pnt\n.3651 g 4199 2412
        Pnt\n.3651 g 4199 2412 Pnt\n.3492 g 4183 2415 Pnt\n.3492 g 4183 2415
        Pnt\n.3333 g 4174 2409 Pnt\n.3333 g 4174 2409 Pnt\n.3175 g 4158 2409
        Pnt\n.3175 g 4158 2409 Pnt\n.3016 g 4161 2408 Pnt\n.3016 g 4161 2408
        Pnt\n.2857 g 4147 2393 Pnt\n.2857 g 4147 2393 Pnt\n.2698 g 4138 2393
        Pnt\n.2698 g 4138 2393 Pnt\n.254 g 4123 2382 Pnt\n.254 g 4123 2382
        Pnt\n.2381 g 4164 2356 Pnt\n.2381 g 4164 2356 Pnt\n.2222 g 4152 2373
        Pnt\n.2222 g 4152 2373 Pnt\n.2063 g 4143 2375 Pnt\n.2063 g 4143 2375
        Pnt\n.1905 g 4129 2389 Pnt\n.1905 g 4129 2389 Pnt\n.1746 g 4131 2386
        Pnt\n.1746 g 4131 2386 Pnt\n.1587 g 4115 2386 Pnt\n.1587 g 4115 2386
        Pnt\n.1429 g 4107 2394 Pnt\n.1429 g 4107 2394 Pnt\n.127 g 4090 2397
        Pnt\n.127 g 4090 2397 Pnt\n.1111 g 4108 2408 Pnt\n.1111 g 4108 2408
        Pnt\n.0952 g 4095 2394 Pnt\n.0952 g 4095 2394 Pnt\n.0794 g 4085 2393
        Pnt\n.0794 g 4085 2393 Pnt\n.0635 g 4070 2382 Pnt\n.0635 g 4070 2382
        Pnt\n.0476 g 4073 2385 Pnt\n.0476 g 4073 2385 Pnt\n.0317 g 4056 2389
        Pnt\n.0317 g 4056 2389 Pnt\n.0159 g 4048 2382 Pnt\n.0159 g 4048 2382
        Pnt\n0 g 4031 2382 Pnt\n0 g 4031 2382 Pnt\n1 g 4094 2562 Pnt\n1 g
        4094 2562 Pnt\n.9841 g 4099 2539 Pnt\n.9841 g 4099 2539 Pnt\n.9683 g
        4096 2525 Pnt\n.9683 g 4096 2525 Pnt\n.9524 g 4098 2501 Pnt\n.9524 g
        4098 2501 Pnt\n.9365 g 4097 2506 Pnt\n.9365 g 4097 2506 Pnt\n.9206 g
        4089 2484 Pnt\n.9206 g 4089 2484 Pnt\n.9048 g 4090 2470 Pnt\n.9048 g
        4090 2470 Pnt\n.8889 g 4085 2447 Pnt\n.8889 g 4085 2447 Pnt\n.873 g
        4099 2466 Pnt\n.873 g 4099 2466 Pnt\n.8571 g 4085 2454 Pnt\n.8571 g
        4085 2454 Pnt\n.8413 g 4080 2442 Pnt\n.8413 g 4080 2442 Pnt\n.8254 g
        4067 2428 Pnt\n.8254 g 4067 2428 Pnt\n.8095 g 4070 2430 Pnt\n.8095 g
        4070 2430 Pnt\n.7937 g 4064 2406 Pnt\n.7937 g 4064 2406 Pnt\n.7778 g
        4056 2398 Pnt\n.7778 g 4056 2398 Pnt\n.7619 g 4049 2376 Pnt\n.7619 g
        4049 2376 Pnt\n.746 g 4092 2390 Pnt\n.746 g 4092 2390 Pnt\n.7302 g
        4076 2394 Pnt\n.7302 g 4076 2394 Pnt\n.7143 g 4067 2387 Pnt\n.7143 g
        4067 2387 Pnt\n.6984 g 4051 2387 Pnt\n.6984 g 4051 2387 Pnt\n.6825 g
        4054 2386 Pnt\n.6825 g 4054 2386 Pnt\n.6667 g 4040 2372 Pnt\n.6667 g
        4040 2372 Pnt\n.6508 g 4031 2372 Pnt\n.6508 g 4031 2372 Pnt\n.6349 g
        4016 2361 Pnt\n.6349 g 4016 2361 Pnt\n.619 g 4026 2385 Pnt\n.619 g
        4026 2385 Pnt\n.6032 g 4021 2361 Pnt\n.6032 g 4021 2361 Pnt\n.5873 g
        4013 2353 Pnt\n.5873 g 4013 2353 Pnt\n.5714 g 4005 2331 Pnt\n.5714 g
        4005 2331 Pnt\n.5556 g 4006 2336 Pnt\n.5556 g 4006 2336 Pnt\n.5397 g
        3991 2325 Pnt\n.5397 g 3991 2325 Pnt\n.5238 g 3987 2312 Pnt\n.5238 g
        3987 2312 Pnt\n.5079 g 3973 2298 Pnt\n.5079 g 3973 2298 Pnt\n.4921 g
        4054 2272 Pnt\n.4921 g 4054 2272 Pnt\n.4762 g 4041 2289 Pnt\n.4762 g
        4041 2289 Pnt\n.4603 g 4032 2291 Pnt\n.4603 g 4032 2291 Pnt\n.4444 g
        4018 2305 Pnt\n.4444 g 4018 2305 Pnt\n.4286 g 4021 2301 Pnt\n.4286 g
        4021 2301 Pnt\n.4127 g 4004 2301 Pnt\n.4127 g 4004 2301 Pnt\n.3968 g
        3996 2309 Pnt\n.3968 g 3996 2309 Pnt\n.381 g 3980 2313 Pnt\n.381 g
        3980 2313 Pnt\n.3651 g 3998 2323 Pnt\n.3651 g 3998 2323 Pnt\n.3492 g
        3984 2309 Pnt\n.3492 g 3984 2309 Pnt\n.3333 g 3975 2309 Pnt\n.3333 g
        3975 2309 Pnt\n.3175 g 3960 2297 Pnt\n.3175 g 3960 2297 Pnt\n.3016 g
        3962 2301 Pnt\n.3016 g 3962 2301 Pnt\n.2857 g 3946 2304 Pnt\n.2857 g
        3946 2304 Pnt\n.2698 g 3937 2297 Pnt\n.2698 g 3937 2297 Pnt\n.254 g
        3920 2298 Pnt\n.254 g 3920 2298 Pnt\n.2381 g 3949 2348 Pnt\n.2381 g
        3949 2348 Pnt\n.2222 g 3943 2325 Pnt\n.2222 g 3943 2325 Pnt\n.2063 g
        3936 2317 Pnt\n.2063 g 3936 2317 Pnt\n.1905 g 3928 2295 Pnt\n.1905 g
        3928 2295 Pnt\n.1746 g 3929 2300 Pnt\n.1746 g 3929 2300 Pnt\n.1587 g
        3914 2288 Pnt\n.1587 g 3914 2288 Pnt\n.1429 g 3910 2276 Pnt\n.1429 g
        3910 2276 Pnt\n.127 g 3896 2262 Pnt\n.127 g 3896 2262 Pnt\n.1111 g
        3915 2265 Pnt\n.1111 g 3915 2265 Pnt\n.0952 g 3899 2268 Pnt\n.0952 g
        3899 2268 Pnt\n.0794 g 3890 2261 Pnt\n.0794 g 3890 2261 Pnt\n.0635 g
        3873 2261 Pnt\n.0635 g 3873 2261 Pnt\n.0476 g 3877 2260 Pnt\n.0476 g
        3877 2260 Pnt\n.0317 g 3863 2246 Pnt\n.0317 g 3863 2246 Pnt\n.0159 g
        3853 2246 Pnt\n.0159 g 3853 2246 Pnt\n0 g 3838 2235 Pnt\n0 g 3838
        2235 Pnt\n1 g 4406 1409 Pnt\n1 g 4406 1409 Pnt\n.9841 g 4420 1421
        Pnt\n.9841 g 4420 1421 Pnt\n.9683 g 4424 1434 Pnt\n.9683 g 4424 1434
        Pnt\n.9524 g 4437 1449 Pnt\n.9524 g 4437 1449 Pnt\n.9365 g 4434 1447
        Pnt\n.9365 g 4434 1447 Pnt\n.9206 g 4438 1471 Pnt\n.9206 g 4438 1471
        Pnt\n.9048 g 4445 1479 Pnt\n.9048 g 4445 1479 Pnt\n.8889 g 4452 1502
        Pnt\n.8889 g 4452 1502 Pnt\n.873 g 4454 1474 Pnt\n.873 g 4454 1474
        Pnt\n.8571 g 4448 1496 Pnt\n.8571 g 4448 1496 Pnt\n.8413 g 4451 1510
        Pnt\n.8413 g 4451 1510 Pnt\n.8254 g 4448 1534 Pnt\n.8254 g 4448 1534
        Pnt\n.8095 g 4449 1529 Pnt\n.8095 g 4449 1529 Pnt\n.7937 g 4456 1552
        Pnt\n.7937 g 4456 1552 Pnt\n.7778 g 4454 1565 Pnt\n.7778 g 4454 1565
        Pnt\n.7619 g 4458 1589 Pnt\n.7619 g 4458 1589 Pnt\n.746 g 4483 1535
        Pnt\n.746 g 4483 1535 Pnt\n.7302 g 4470 1549 Pnt\n.7302 g 4470 1549
        Pnt\n.7143 g 4467 1562 Pnt\n.7143 g 4467 1562 Pnt\n.6984 g 4455 1579
        Pnt\n.6984 g 4455 1579 Pnt\n.6825 g 4457 1576 Pnt\n.6825 g 4457 1576
        Pnt\n.6667 g 4454 1600 Pnt\n.6667 g 4454 1600 Pnt\n.6508 g 4447 1610
        Pnt\n.6508 g 4447 1610 Pnt\n.6349 g 4442 1633 Pnt\n.6349 g 4442 1633
        Pnt\n.619 g 4438 1605 Pnt\n.619 g 4438 1605 Pnt\n.6032 g 4445 1627
        Pnt\n.6032 g 4445 1627 Pnt\n.5873 g 4443 1641 Pnt\n.5873 g 4443 1641
        Pnt\n.5714 g 4448 1664 Pnt\n.5714 g 4448 1664 Pnt\n.5556 g 4446 1660
        Pnt\n.5556 g 4446 1660 Pnt\n.5397 g 4441 1683 Pnt\n.5397 g 4441 1683
        Pnt\n.5238 g 4443 1697 Pnt\n.5238 g 4443 1697 Pnt\n.5079 g 4440 1721
        Pnt\n.5079 g 4440 1721 Pnt\n.4921 g 4510 1659 Pnt\n.4921 g 4510 1659
        Pnt\n.4762 g 4493 1659 Pnt\n.4762 g 4493 1659 Pnt\n.4603 g 4486 1667
        Pnt\n.4603 g 4486 1667 Pnt\n.4444 g 4469 1671 Pnt\n.4444 g 4469 1671
        Pnt\n.4286 g 4472 1671 Pnt\n.4286 g 4472 1671 Pnt\n.4127 g 4460 1688
        Pnt\n.4127 g 4460 1688 Pnt\n.3968 g 4451 1690 Pnt\n.3968 g 4451 1690
        Pnt\n.381 g 4438 1704 Pnt\n.381 g 4438 1704 Pnt\n.3651 g 4446 1678
        Pnt\n.3651 g 4446 1678 Pnt\n.3492 g 4442 1702 Pnt\n.3492 g 4442 1702
        Pnt\n.3333 g 4436 1712 Pnt\n.3333 g 4436 1712 Pnt\n.3175 g 4430 1735
        Pnt\n.3175 g 4430 1735 Pnt\n.3016 g 4431 1730 Pnt\n.3016 g 4431 1730
        Pnt\n.2857 g 4417 1744 Pnt\n.2857 g 4417 1744 Pnt\n.2698 g 4414 1757
        Pnt\n.2698 g 4414 1757 Pnt\n.254 g 4402 1774 Pnt\n.254 g 4402 1774
        Pnt\n.2381 g 4399 1709 Pnt\n.2381 g 4399 1709 Pnt\n.2222 g 4406 1731
        Pnt\n.2222 g 4406 1731 Pnt\n.2063 g 4404 1745 Pnt\n.2063 g 4404 1745
        Pnt\n.1905 g 4408 1768 Pnt\n.1905 g 4408 1768 Pnt\n.1746 g 4407 1764
        Pnt\n.1746 g 4407 1764 Pnt\n.1587 g 4401 1787 Pnt\n.1587 g 4401 1787
        Pnt\n.1429 g 4404 1800 Pnt\n.1429 g 4404 1800 Pnt\n.127 g 4400 1824
        Pnt\n.127 g 4400 1824 Pnt\n.1111 g 4413 1803 Pnt\n.1111 g 4413 1803
        Pnt\n.0952 g 4400 1817 Pnt\n.0952 g 4400 1817 Pnt\n.0794 g 4396 1830
        Pnt\n.0794 g 4396 1830 Pnt\n.0635 g 4384 1847 Pnt\n.0635 g 4384 1847
        Pnt\n.0476 g 4387 1844 Pnt\n.0476 g 4387 1844 Pnt\n.0317 g 4384 1868
        Pnt\n.0317 g 4384 1868 Pnt\n.0159 g 4377 1878 Pnt\n.0159 g 4377 1878
        Pnt\n0 g 4371 1901 Pnt\n0 g 4371 1901 Pnt\n1 g 4506 1873 Pnt\n1 g
        4506 1873 Pnt\n.9841 g 4493 1859 Pnt\n.9841 g 4493 1859 Pnt\n.9683 g
        4484 1859 Pnt\n.9683 g 4484 1859 Pnt\n.9524 g 4469 1848 Pnt\n.9524 g
        4469 1848 Pnt\n.9365 g 4471 1851 Pnt\n.9365 g 4471 1851 Pnt\n.9206 g
        4455 1855 Pnt\n.9206 g 4455 1855 Pnt\n.9048 g 4447 1848 Pnt\n.9048 g
        4447 1848 Pnt\n.8889 g 4430 1848 Pnt\n.8889 g 4430 1848 Pnt\n.873 g
        4447 1834 Pnt\n.873 g 4447 1834 Pnt\n.8571 g 4435 1851 Pnt\n.8571 g
        4435 1851 Pnt\n.8413 g 4425 1853 Pnt\n.8413 g 4425 1853 Pnt\n.8254 g
        4412 1867 Pnt\n.8254 g 4412 1867 Pnt\n.8095 g 4414 1864 Pnt\n.8095 g
        4414 1864 Pnt\n.7937 g 4398 1864 Pnt\n.7937 g 4398 1864 Pnt\n.7778 g
        4390 1872 Pnt\n.7778 g 4390 1872 Pnt\n.7619 g 4373 1875 Pnt\n.7619 g
        4373 1875 Pnt\n.746 g 4397 1819 Pnt\n.746 g 4397 1819 Pnt\n.7302 g
        4393 1843 Pnt\n.7302 g 4393 1843 Pnt\n.7143 g 4387 1853 Pnt\n.7143 g
        4387 1853 Pnt\n.6984 g 4381 1876 Pnt\n.6984 g 4381 1876 Pnt\n.6825 g
        4381 1871 Pnt\n.6825 g 4381 1871 Pnt\n.6667 g 4368 1885 Pnt\n.6667 g
        4368 1885 Pnt\n.6508 g 4365 1898 Pnt\n.6508 g 4365 1898 Pnt\n.6349 g
        4353 1915 Pnt\n.6349 g 4353 1915 Pnt\n.619 g 4371 1908 Pnt\n.619 g
        4371 1908 Pnt\n.6032 g 4355 1908 Pnt\n.6032 g 4355 1908 Pnt\n.5873 g
        4347 1916 Pnt\n.5873 g 4347 1916 Pnt\n.5714 g 4331 1920 Pnt\n.5714 g
        4331 1920 Pnt\n.5556 g 4334 1920 Pnt\n.5556 g 4334 1920 Pnt\n.5397 g
        4322 1937 Pnt\n.5397 g 4322 1937 Pnt\n.5238 g 4312 1939 Pnt\n.5238 g
        4312 1939 Pnt\n.5079 g 4299 1953 Pnt\n.5079 g 4299 1953 Pnt\n.4921 g
        4309 1833 Pnt\n.4921 g 4309 1833 Pnt\n.4762 g 4315 1856 Pnt\n.4762 g
        4315 1856 Pnt\n.4603 g 4314 1869 Pnt\n.4603 g 4314 1869 Pnt\n.4444 g
        4318 1893 Pnt\n.4444 g 4318 1893 Pnt\n.4286 g 4317 1889 Pnt\n.4286 g
        4317 1889 Pnt\n.4127 g 4311 1912 Pnt\n.4127 g 4311 1912 Pnt\n.3968 g
        4314 1925 Pnt\n.3968 g 4314 1925 Pnt\n.381 g 4310 1949 Pnt\n.381 g
        4310 1949 Pnt\n.3651 g 4323 1928 Pnt\n.3651 g 4323 1928 Pnt\n.3492 g
        4309 1942 Pnt\n.3492 g 4309 1942 Pnt\n.3333 g 4306 1955 Pnt\n.3333 g
        4306 1955 Pnt\n.3175 g 4294 1972 Pnt\n.3175 g 4294 1972 Pnt\n.3016 g
        4297 1969 Pnt\n.3016 g 4297 1969 Pnt\n.2857 g 4293 1993 Pnt\n.2857 g
        4293 1993 Pnt\n.2698 g 4287 2003 Pnt\n.2698 g 4287 2003 Pnt\n.254 g
        4281 2026 Pnt\n.254 g 4281 2026 Pnt\n.2381 g 4323 2003 Pnt\n.2381 g
        4323 2003 Pnt\n.2222 g 4306 2003 Pnt\n.2222 g 4306 2003 Pnt\n.2063 g
        4298 2011 Pnt\n.2063 g 4298 2011 Pnt\n.1905 g 4282 2015 Pnt\n.1905 g
        4282 2015 Pnt\n.1746 g 4285 2015 Pnt\n.1746 g 4285 2015 Pnt\n.1587 g
        4273 2032 Pnt\n.1587 g 4273 2032 Pnt\n.1429 g 4264 2034 Pnt\n.1429 g
        4264 2034 Pnt\n.127 g 4250 2048 Pnt\n.127 g 4250 2048 Pnt\n.1111 g
        4258 2022 Pnt\n.1111 g 4258 2022 Pnt\n.0952 g 4255 2046 Pnt\n.0952 g
        4255 2046 Pnt\n.0794 g 4248 2056 Pnt\n.0794 g 4248 2056 Pnt\n.0635 g
        4243 2079 Pnt\n.0635 g 4243 2079 Pnt\n.0476 g 4243 2074 Pnt\n.0476 g
        4243 2074 Pnt\n.0317 g 4229 2089 Pnt\n.0317 g 4229 2089 Pnt\n.0159 g
        4226 2102 Pnt\n.0159 g 4226 2102 Pnt\n0 g 4214 2119 Pnt\n0 g 4214
        2119 Pnt\n1 g 4426 2194 Pnt\n1 g 4426 2194 Pnt\n.9841 g 4421 2171
        Pnt\n.9841 g 4421 2171 Pnt\n.9683 g 4413 2163 Pnt\n.9683 g 4413 2163
        Pnt\n.9524 g 4405 2141 Pnt\n.9524 g 4405 2141 Pnt\n.9365 g 4406 2146
        Pnt\n.9365 g 4406 2146 Pnt\n.9206 g 4392 2135 Pnt\n.9206 g 4392 2135
        Pnt\n.9048 g 4387 2122 Pnt\n.9048 g 4387 2122 Pnt\n.8889 g 4374 2108
        Pnt\n.8889 g 4374 2108 Pnt\n.873 g 4393 2111 Pnt\n.873 g 4393 2111
        Pnt\n.8571 g 4376 2114 Pnt\n.8571 g 4376 2114 Pnt\n.8413 g 4368 2108
        Pnt\n.8413 g 4368 2108 Pnt\n.8254 g 4352 2108 Pnt\n.8254 g 4352 2108
        Pnt\n.8095 g 4355 2107 Pnt\n.8095 g 4355 2107 Pnt\n.7937 g 4341 2093
        Pnt\n.7937 g 4341 2093 Pnt\n.7778 g 4332 2093 Pnt\n.7778 g 4332 2093
        Pnt\n.7619 g 4317 2082 Pnt\n.7619 g 4317 2082 Pnt\n.746 g 4358 2056
        Pnt\n.746 g 4358 2056 Pnt\n.7302 g 4346 2073 Pnt\n.7302 g 4346 2073
        Pnt\n.7143 g 4336 2075 Pnt\n.7143 g 4336 2075 Pnt\n.6984 g 4323 2089
        Pnt\n.6984 g 4323 2089 Pnt\n.6825 g 4325 2085 Pnt\n.6825 g 4325 2085
        Pnt\n.6667 g 4309 2085 Pnt\n.6667 g 4309 2085 Pnt\n.6508 g 4301 2093
        Pnt\n.6508 g 4301 2093 Pnt\n.6349 g 4284 2097 Pnt\n.6349 g 4284 2097
        Pnt\n.619 g 4302 2107 Pnt\n.619 g 4302 2107 Pnt\n.6032 g 4289 2093
        Pnt\n.6032 g 4289 2093 Pnt\n.5873 g 4279 2093 Pnt\n.5873 g 4279 2093
        Pnt\n.5714 g 4265 2082 Pnt\n.5714 g 4265 2082 Pnt\n.5556 g 4267 2085
        Pnt\n.5556 g 4267 2085 Pnt\n.5397 g 4251 2088 Pnt\n.5397 g 4251 2088
        Pnt\n.5238 g 4242 2082 Pnt\n.5238 g 4242 2082 Pnt\n.5079 g 4226 2082
        Pnt\n.5079 g 4226 2082 Pnt\n.4921 g 4280 1993 Pnt\n.4921 g 4280 1993
        Pnt\n.4762 g 4277 2016 Pnt\n.4762 g 4277 2016 Pnt\n.4603 g 4270 2026
        Pnt\n.4603 g 4270 2026 Pnt\n.4444 g 4265 2049 Pnt\n.4444 g 4265 2049
        Pnt\n.4286 g 4265 2044 Pnt\n.4286 g 4265 2044 Pnt\n.4127 g 4252 2058
        Pnt\n.4127 g 4252 2058 Pnt\n.3968 g 4248 2071 Pnt\n.3968 g 4248 2071
        Pnt\n.381 g 4236 2088 Pnt\n.381 g 4236 2088 Pnt\n.3651 g 4255 2081
        Pnt\n.3651 g 4255 2081 Pnt\n.3492 g 4238 2082 Pnt\n.3492 g 4238 2082
        Pnt\n.3333 g 4231 2090 Pnt\n.3333 g 4231 2090 Pnt\n.3175 g 4214 2093
        Pnt\n.3175 g 4214 2093 Pnt\n.3016 g 4218 2093 Pnt\n.3016 g 4218 2093
        Pnt\n.2857 g 4205 2110 Pnt\n.2857 g 4205 2110 Pnt\n.2698 g 4196 2112
        Pnt\n.2698 g 4196 2112 Pnt\n.254 g 4182 2126 Pnt\n.254 g 4182 2126
        Pnt\n.2381 g 4225 2143 Pnt\n.2381 g 4225 2143 Pnt\n.2222 g 4212 2129
        Pnt\n.2222 g 4212 2129 Pnt\n.2063 g 4202 2129 Pnt\n.2063 g 4202 2129
        Pnt\n.1905 g 4188 2118 Pnt\n.1905 g 4188 2118 Pnt\n.1746 g 4190 2121
        Pnt\n.1746 g 4190 2121 Pnt\n.1587 g 4174 2124 Pnt\n.1587 g 4174 2124
        Pnt\n.1429 g 4165 2118 Pnt\n.1429 g 4165 2118 Pnt\n.127 g 4149 2118
        Pnt\n.127 g 4149 2118 Pnt\n.1111 g 4165 2104 Pnt\n.1111 g 4165 2104
        Pnt\n.0952 g 4153 2121 Pnt\n.0952 g 4153 2121 Pnt\n.0794 g 4144 2123
        Pnt\n.0794 g 4144 2123 Pnt\n.0635 g 4130 2137 Pnt\n.0635 g 4130 2137
        Pnt\n.0476 g 4133 2133 Pnt\n.0476 g 4133 2133 Pnt\n.0317 g 4116 2133
        Pnt\n.0317 g 4116 2133 Pnt\n.0159 g 4108 2141 Pnt\n.0159 g 4108 2141
        Pnt\n0 g 4092 2145 Pnt\n0 g 4092 2145 Pnt\n1 g 4137 1954 Pnt\n1 g
        4137 1954 Pnt\n.9841 g 4144 1976 Pnt\n.9841 g 4144 1976 Pnt\n.9683 g
        4142 1990 Pnt\n.9683 g 4142 1990 Pnt\n.9524 g 4147 2014 Pnt\n.9524 g
        4147 2014 Pnt\n.9365 g 4145 2009 Pnt\n.9365 g 4145 2009 Pnt\n.9206 g
        4140 2032 Pnt\n.9206 g 4140 2032 Pnt\n.9048 g 4142 2046 Pnt\n.9048 g
        4142 2046 Pnt\n.8889 g 4139 2070 Pnt\n.8889 g 4139 2070 Pnt\n.873 g
        4151 2049 Pnt\n.873 g 4151 2049 Pnt\n.8571 g 4138 2063 Pnt\n.8571 g
        4138 2063 Pnt\n.8413 g 4135 2076 Pnt\n.8413 g 4135 2076 Pnt\n.8254 g
        4123 2092 Pnt\n.8254 g 4123 2092 Pnt\n.8095 g 4125 2090 Pnt\n.8095 g
        4125 2090 Pnt\n.7937 g 4122 2114 Pnt\n.7937 g 4122 2114 Pnt\n.7778 g
        4115 2124 Pnt\n.7778 g 4115 2124 Pnt\n.7619 g 4110 2147 Pnt\n.7619 g
        4110 2147 Pnt\n.746 g 4151 2124 Pnt\n.746 g 4151 2124 Pnt\n.7302 g
        4135 2124 Pnt\n.7302 g 4135 2124 Pnt\n.7143 g 4127 2132 Pnt\n.7143 g
        4127 2132 Pnt\n.6984 g 4110 2136 Pnt\n.6984 g 4110 2136 Pnt\n.6825 g
        4114 2136 Pnt\n.6825 g 4114 2136 Pnt\n.6667 g 4102 2153 Pnt\n.6667 g
        4102 2153 Pnt\n.6508 g 4092 2155 Pnt\n.6508 g 4092 2155 Pnt\n.6349 g
        4079 2169 Pnt\n.6349 g 4079 2169 Pnt\n.619 g 4087 2143 Pnt\n.619 g
        4087 2143 Pnt\n.6032 g 4083 2167 Pnt\n.6032 g 4083 2167 Pnt\n.5873 g
        4077 2177 Pnt\n.5873 g 4077 2177 Pnt\n.5714 g 4071 2200 Pnt\n.5714 g
        4071 2200 Pnt\n.5556 g 4071 2195 Pnt\n.5556 g 4071 2195 Pnt\n.5397 g
        4058 2209 Pnt\n.5397 g 4058 2209 Pnt\n.5238 g 4055 2223 Pnt\n.5238 g
        4055 2223 Pnt\n.5079 g 4042 2239 Pnt\n.5079 g 4042 2239 Pnt\n.4921 g
        4124 2249 Pnt\n.4921 g 4124 2249 Pnt\n.4762 g 4111 2235 Pnt\n.4762 g
        4111 2235 Pnt\n.4603 g 4101 2235 Pnt\n.4603 g 4101 2235 Pnt\n.4444 g
        4086 2224 Pnt\n.4444 g 4086 2224 Pnt\n.4286 g 4089 2227 Pnt\n.4286 g
        4089 2227 Pnt\n.4127 g 4072 2230 Pnt\n.4127 g 4072 2230 Pnt\n.3968 g
        4064 2224 Pnt\n.3968 g 4064 2224 Pnt\n.381 g 4047 2224 Pnt\n.381 g
        4047 2224 Pnt\n.3651 g 4064 2210 Pnt\n.3651 g 4064 2210 Pnt\n.3492 g
        4052 2226 Pnt\n.3492 g 4052 2226 Pnt\n.3333 g 4043 2228 Pnt\n.3333 g
        4043 2228 Pnt\n.3175 g 4029 2243 Pnt\n.3175 g 4029 2243 Pnt\n.3016 g
        4031 2239 Pnt\n.3016 g 4031 2239 Pnt\n.2857 g 4015 2239 Pnt\n.2857 g
        4015 2239 Pnt\n.2698 g 4007 2247 Pnt\n.2698 g 4007 2247 Pnt\n.254 g
        3990 2251 Pnt\n.254 g 3990 2251 Pnt\n.2381 g 4014 2195 Pnt\n.2381 g
        4014 2195 Pnt\n.2222 g 4010 2219 Pnt\n.2222 g 4010 2219 Pnt\n.2063 g
        4003 2228 Pnt\n.2063 g 4003 2228 Pnt\n.1905 g 3998 2251 Pnt\n.1905 g
        3998 2251 Pnt\n.1746 g 3998 2247 Pnt\n.1746 g 3998 2247 Pnt\n.1587 g
        3985 2261 Pnt\n.1587 g 3985 2261 Pnt\n.1429 g 3982 2274 Pnt\n.1429 g
        3982 2274 Pnt\n.127 g 3969 2291 Pnt\n.127 g 3969 2291 Pnt\n.1111 g
        3988 2284 Pnt\n.1111 g 3988 2284 Pnt\n.0952 g 3971 2284 Pnt\n.0952 g
        3971 2284 Pnt\n.0794 g 3964 2292 Pnt\n.0794 g 3964 2292 Pnt\n.0635 g
        3947 2296 Pnt\n.0635 g 3947 2296 Pnt\n.0476 g 3950 2296 Pnt\n.0476 g
        3950 2296 Pnt\n.0317 g 3938 2313 Pnt\n.0317 g 3938 2313 Pnt\n.0159 g
        3929 2315 Pnt\n.0159 g 3929 2315 Pnt\n0 g 3915 2329 Pnt\n0 g 3915
        2329 Pnt\n1 g 4198 2608 Pnt\n1 g 4198 2608 Pnt\n.9841 g 4202 2585
        Pnt\n.9841 g 4202 2585 Pnt\n.9683 g 4199 2572 Pnt\n.9683 g 4199 2572
        Pnt\n.9524 g 4201 2548 Pnt\n.9524 g 4201 2548 Pnt\n.9365 g 4200 2552
        Pnt\n.9365 g 4200 2552 Pnt\n.9206 g 4193 2530 Pnt\n.9206 g 4193 2530
        Pnt\n.9048 g 4194 2517 Pnt\n.9048 g 4194 2517 Pnt\n.8889 g 4188 2494
        Pnt\n.8889 g 4188 2494 Pnt\n.873 g 4203 2512 Pnt\n.873 g 4203 2512
        Pnt\n.8571 g 4188 2501 Pnt\n.8571 g 4188 2501 Pnt\n.8413 g 4184 2489
        Pnt\n.8413 g 4184 2489 Pnt\n.8254 g 4170 2475 Pnt\n.8254 g 4170 2475
        Pnt\n.8095 g 4173 2476 Pnt\n.8095 g 4173 2476 Pnt\n.7937 g 4168 2453
        Pnt\n.7937 g 4168 2453 Pnt\n.7778 g 4160 2445 Pnt\n.7778 g 4160 2445
        Pnt\n.7619 g 4152 2424 Pnt\n.7619 g 4152 2424 Pnt\n.746 g 4196 2437
        Pnt\n.746 g 4196 2437 Pnt\n.7302 g 4179 2441 Pnt\n.7302 g 4179 2441
        Pnt\n.7143 g 4171 2434 Pnt\n.7143 g 4171 2434 Pnt\n.6984 g 4154 2434
        Pnt\n.6984 g 4154 2434 Pnt\n.6825 g 4158 2433 Pnt\n.6825 g 4158 2433
        Pnt\n.6667 g 4144 2419 Pnt\n.6667 g 4144 2419 Pnt\n.6508 g 4135 2419
        Pnt\n.6508 g 4135 2419 Pnt\n.6349 g 4120 2408 Pnt\n.6349 g 4120 2408
        Pnt\n.619 g 4130 2432 Pnt\n.619 g 4130 2432 Pnt\n.6032 g 4125 2409
        Pnt\n.6032 g 4125 2409 Pnt\n.5873 g 4117 2401 Pnt\n.5873 g 4117 2401
        Pnt\n.5714 g 4110 2379 Pnt\n.5714 g 4110 2379 Pnt\n.5556 g 4110 2383
        Pnt\n.5556 g 4110 2383 Pnt\n.5397 g 4096 2372 Pnt\n.5397 g 4096 2372
        Pnt\n.5238 g 4091 2360 Pnt\n.5238 g 4091 2360 Pnt\n.5079 g 4078 2346
        Pnt\n.5079 g 4078 2346 Pnt\n.4921 g 4157 2320 Pnt\n.4921 g 4157 2320
        Pnt\n.4762 g 4145 2336 Pnt\n.4762 g 4145 2336 Pnt\n.4603 g 4136 2338
        Pnt\n.4603 g 4136 2338 Pnt\n.4444 g 4122 2352 Pnt\n.4444 g 4122 2352
        Pnt\n.4286 g 4125 2349 Pnt\n.4286 g 4125 2349 Pnt\n.4127 g 4108 2349
        Pnt\n.4127 g 4108 2349 Pnt\n.3968 g 4100 2357 Pnt\n.3968 g 4100 2357
        Pnt\n.381 g 4084 2360 Pnt\n.381 g 4084 2360 Pnt\n.3651 g 4102 2371
        Pnt\n.3651 g 4102 2371 Pnt\n.3492 g 4088 2357 Pnt\n.3492 g 4088 2357
        Pnt\n.3333 g 4079 2356 Pnt\n.3333 g 4079 2356 Pnt\n.3175 g 4064 2345
        Pnt\n.3175 g 4064 2345 Pnt\n.3016 g 4067 2348 Pnt\n.3016 g 4067 2348
        Pnt\n.2857 g 4050 2352 Pnt\n.2857 g 4050 2352 Pnt\n.2698 g 4042 2345
        Pnt\n.2698 g 4042 2345 Pnt\n.254 g 4025 2345 Pnt\n.254 g 4025 2345
        Pnt\n.2381 g 4053 2396 Pnt\n.2381 g 4053 2396 Pnt\n.2222 g 4048 2373
        Pnt\n.2222 g 4048 2373 Pnt\n.2063 g 4040 2365 Pnt\n.2063 g 4040 2365
        Pnt\n.1905 g 4033 2343 Pnt\n.1905 g 4033 2343 Pnt\n.1746 g 4033 2347
        Pnt\n.1746 g 4033 2347 Pnt\n.1587 g 4019 2336 Pnt\n.1587 g 4019 2336
        Pnt\n.1429 g 4014 2324 Pnt\n.1429 g 4014 2324 Pnt\n.127 g 4001 2310
        Pnt\n.127 g 4001 2310 Pnt\n.1111 g 4020 2312 Pnt\n.1111 g 4020 2312
        Pnt\n.0952 g 4003 2316 Pnt\n.0952 g 4003 2316 Pnt\n.0794 g 3995 2309
        Pnt\n.0794 g 3995 2309 Pnt\n.0635 g 3978 2309 Pnt\n.0635 g 3978 2309
        Pnt\n.0476 g 3982 2308 Pnt\n.0476 g 3982 2308 Pnt\n.0317 g 3968 2294
        Pnt\n.0317 g 3968 2294 Pnt\n.0159 g 3958 2294 Pnt\n.0159 g 3958 2294
        Pnt\n0 g 3944 2283 Pnt\n0 g 3944 2283 Pnt\n1 g 4055 2166 Pnt\n1 g
        4055 2166 Pnt\n.9841 g 4052 2190 Pnt\n.9841 g 4052 2190 Pnt\n.9683 g
        4045 2200 Pnt\n.9683 g 4045 2200 Pnt\n.9524 g 4040 2223 Pnt\n.9524 g
        4040 2223 Pnt\n.9365 g 4040 2218 Pnt\n.9365 g 4040 2218 Pnt\n.9206 g
        4027 2232 Pnt\n.9206 g 4027 2232 Pnt\n.9048 g 4024 2245 Pnt\n.9048 g
        4024 2245 Pnt\n.8889 g 4011 2262 Pnt\n.8889 g 4011 2262 Pnt\n.873 g
        4030 2255 Pnt\n.873 g 4030 2255 Pnt\n.8571 g 4013 2255 Pnt\n.8571 g
        4013 2255 Pnt\n.8413 g 4006 2263 Pnt\n.8413 g 4006 2263 Pnt\n.8254 g
        3989 2267 Pnt\n.8254 g 3989 2267 Pnt\n.8095 g 3993 2267 Pnt\n.8095 g
        3993 2267 Pnt\n.7937 g 3980 2284 Pnt\n.7937 g 3980 2284 Pnt\n.7778 g
        3971 2286 Pnt\n.7778 g 3971 2286 Pnt\n.7619 g 3958 2300 Pnt\n.7619 g
        3958 2300 Pnt\n.746 g 4000 2317 Pnt\n.746 g 4000 2317 Pnt\n.7302 g
        3987 2303 Pnt\n.7302 g 3987 2303 Pnt\n.7143 g 3977 2303 Pnt\n.7143 g
        3977 2303 Pnt\n.6984 g 3963 2291 Pnt\n.6984 g 3963 2291 Pnt\n.6825 g
        3965 2295 Pnt\n.6825 g 3965 2295 Pnt\n.6667 g 3949 2298 Pnt\n.6667 g
        3949 2298 Pnt\n.6508 g 3940 2291 Pnt\n.6508 g 3940 2291 Pnt\n.6349 g
        3924 2292 Pnt\n.6349 g 3924 2292 Pnt\n.619 g 3940 2278 Pnt\n.619 g
        3940 2278 Pnt\n.6032 g 3928 2294 Pnt\n.6032 g 3928 2294 Pnt\n.5873 g
        3919 2296 Pnt\n.5873 g 3919 2296 Pnt\n.5714 g 3905 2310 Pnt\n.5714 g
        3905 2310 Pnt\n.5556 g 3908 2307 Pnt\n.5556 g 3908 2307 Pnt\n.5397 g
        3891 2307 Pnt\n.5397 g 3891 2307 Pnt\n.5238 g 3883 2315 Pnt\n.5238 g
        3883 2315 Pnt\n.5079 g 3867 2318 Pnt\n.5079 g 3867 2318 Pnt\n.4921 g
        3929 2396 Pnt\n.4921 g 3929 2396 Pnt\n.4762 g 3924 2373 Pnt\n.4762 g
        3924 2373 Pnt\n.4603 g 3916 2365 Pnt\n.4603 g 3916 2365 Pnt\n.4444 g
        3909 2343 Pnt\n.4444 g 3909 2343 Pnt\n.4286 g 3909 2348 Pnt\n.4286 g
        3909 2348 Pnt\n.4127 g 3895 2336 Pnt\n.4127 g 3895 2336 Pnt\n.3968 g
        3890 2324 Pnt\n.3968 g 3890 2324 Pnt\n.381 g 3877 2310 Pnt\n.381 g
        3877 2310 Pnt\n.3651 g 3896 2313 Pnt\n.3651 g 3896 2313 Pnt\n.3492 g
        3879 2316 Pnt\n.3492 g 3879 2316 Pnt\n.3333 g 3871 2309 Pnt\n.3333 g
        3871 2309 Pnt\n.3175 g 3854 2309 Pnt\n.3175 g 3854 2309 Pnt\n.3016 g
        3858 2308 Pnt\n.3016 g 3858 2308 Pnt\n.2857 g 3844 2294 Pnt\n.2857 g
        3844 2294 Pnt\n.2698 g 3834 2294 Pnt\n.2698 g 3834 2294 Pnt\n.254 g
        3820 2283 Pnt\n.254 g 3820 2283 Pnt\n.2381 g 3861 2257 Pnt\n.2381 g
        3861 2257 Pnt\n.2222 g 3849 2274 Pnt\n.2222 g 3849 2274 Pnt\n.2063 g
        3839 2276 Pnt\n.2063 g 3839 2276 Pnt\n.1905 g 3826 2290 Pnt\n.1905 g
        3826 2290 Pnt\n.1746 g 3828 2287 Pnt\n.1746 g 3828 2287 Pnt\n.1587 g
        3811 2287 Pnt\n.1587 g 3811 2287 Pnt\n.1429 g 3803 2295 Pnt\n.1429 g
        3803 2295 Pnt\n.127 g 3787 2298 Pnt\n.127 g 3787 2298 Pnt\n.1111 g
        3805 2308 Pnt\n.1111 g 3805 2308 Pnt\n.0952 g 3791 2294 Pnt\n.0952 g
        3791 2294 Pnt\n.0794 g 3782 2294 Pnt\n.0794 g 3782 2294 Pnt\n.0635 g
        3767 2283 Pnt\n.0635 g 3767 2283 Pnt\n.0476 g 3769 2286 Pnt\n.0476 g
        3769 2286 Pnt\n.0317 g 3753 2289 Pnt\n.0317 g 3753 2289 Pnt\n.0159 g
        3744 2283 Pnt\n.0159 g 3744 2283 Pnt\n0 g 3728 2283 Pnt\n0 g 3728
        2283 Pnt\n1 g 3848 2013 Pnt\n1 g 3848 2013 Pnt\n.9841 g 3855 2035
        Pnt\n.9841 g 3855 2035 Pnt\n.9683 g 3853 2049 Pnt\n.9683 g 3853 2049
        Pnt\n.9524 g 3857 2073 Pnt\n.9524 g 3857 2073 Pnt\n.9365 g 3856 2068
        Pnt\n.9365 g 3856 2068 Pnt\n.9206 g 3850 2091 Pnt\n.9206 g 3850 2091
        Pnt\n.9048 g 3853 2105 Pnt\n.9048 g 3853 2105 Pnt\n.8889 g 3849 2129
        Pnt\n.8889 g 3849 2129 Pnt\n.873 g 3862 2107 Pnt\n.873 g 3862 2107
        Pnt\n.8571 g 3848 2122 Pnt\n.8571 g 3848 2122 Pnt\n.8413 g 3845 2135
        Pnt\n.8413 g 3845 2135 Pnt\n.8254 g 3833 2151 Pnt\n.8254 g 3833 2151
        Pnt\n.8095 g 3836 2149 Pnt\n.8095 g 3836 2149 Pnt\n.7937 g 3833 2173
        Pnt\n.7937 g 3833 2173 Pnt\n.7778 g 3826 2183 Pnt\n.7778 g 3826 2183
        Pnt\n.7619 g 3820 2206 Pnt\n.7619 g 3820 2206 Pnt\n.746 g 3862 2183
        Pnt\n.746 g 3862 2183 Pnt\n.7302 g 3845 2183 Pnt\n.7302 g 3845 2183
        Pnt\n.7143 g 3838 2191 Pnt\n.7143 g 3838 2191 Pnt\n.6984 g 3821 2195
        Pnt\n.6984 g 3821 2195 Pnt\n.6825 g 3824 2195 Pnt\n.6825 g 3824 2195
        Pnt\n.6667 g 3812 2212 Pnt\n.6667 g 3812 2212 Pnt\n.6508 g 3803 2214
        Pnt\n.6508 g 3803 2214 Pnt\n.6349 g 3789 2228 Pnt\n.6349 g 3789 2228
        Pnt\n.619 g 3798 2202 Pnt\n.619 g 3798 2202 Pnt\n.6032 g 3794 2226
        Pnt\n.6032 g 3794 2226 Pnt\n.5873 g 3787 2236 Pnt\n.5873 g 3787 2236
        Pnt\n.5714 g 3782 2259 Pnt\n.5714 g 3782 2259 Pnt\n.5556 g 3782 2254
        Pnt\n.5556 g 3782 2254 Pnt\n.5397 g 3769 2268 Pnt\n.5397 g 3769 2268
        Pnt\n.5238 g 3765 2282 Pnt\n.5238 g 3765 2282 Pnt\n.5079 g 3753 2298
        Pnt\n.5079 g 3753 2298 Pnt\n.4921 g 3835 2308 Pnt\n.4921 g 3835 2308
        Pnt\n.4762 g 3821 2294 Pnt\n.4762 g 3821 2294 Pnt\n.4603 g 3812 2294
        Pnt\n.4603 g 3812 2294 Pnt\n.4444 g 3797 2283 Pnt\n.4444 g 3797 2283
        Pnt\n.4286 g 3800 2286 Pnt\n.4286 g 3800 2286 Pnt\n.4127 g 3783 2289
        Pnt\n.4127 g 3783 2289 Pnt\n.3968 g 3775 2283 Pnt\n.3968 g 3775 2283
        Pnt\n.381 g 3758 2283 Pnt\n.381 g 3758 2283 Pnt\n.3651 g 3775 2269
        Pnt\n.3651 g 3775 2269 Pnt\n.3492 g 3763 2285 Pnt\n.3492 g 3763 2285
        Pnt\n.3333 g 3753 2287 Pnt\n.3333 g 3753 2287 Pnt\n.3175 g 3740 2302
        Pnt\n.3175 g 3740 2302 Pnt\n.3016 g 3742 2298 Pnt\n.3016 g 3742 2298
        Pnt\n.2857 g 3725 2298 Pnt\n.2857 g 3725 2298 Pnt\n.2698 g 3717 2306
        Pnt\n.2698 g 3717 2306 Pnt\n.254 g 3701 2309 Pnt\n.254 g 3701 2309
        Pnt\n.2381 g 3724 2254 Pnt\n.2381 g 3724 2254 Pnt\n.2222 g 3721 2278
        Pnt\n.2222 g 3721 2278 Pnt\n.2063 g 3714 2287 Pnt\n.2063 g 3714 2287
        Pnt\n.1905 g 3709 2310 Pnt\n.1905 g 3709 2310 Pnt\n.1746 g 3709 2306
        Pnt\n.1746 g 3709 2306 Pnt\n.1587 g 3695 2320 Pnt\n.1587 g 3695 2320
        Pnt\n.1429 g 3692 2333 Pnt\n.1429 g 3692 2333 Pnt\n.127 g 3680 2350
        Pnt\n.127 g 3680 2350 Pnt\n.1111 g 3699 2343 Pnt\n.1111 g 3699 2343
        Pnt\n.0952 g 3682 2343 Pnt\n.0952 g 3682 2343 Pnt\n.0794 g 3674 2351
        Pnt\n.0794 g 3674 2351 Pnt\n.0635 g 3658 2355 Pnt\n.0635 g 3658 2355
        Pnt\n.0476 g 3661 2355 Pnt\n.0476 g 3661 2355 Pnt\n.0317 g 3649 2372
        Pnt\n.0317 g 3649 2372 Pnt\n.0159 g 3639 2374 Pnt\n.0159 g 3639 2374
        Pnt\n0 g 3626 2388 Pnt\n0 g 3626 2388 Pnt\n1 g 3748 2481 Pnt\n1 g
        3748 2481 Pnt\n.9841 g 3742 2458 Pnt\n.9841 g 3742 2458 Pnt\n.9683 g
        3735 2450 Pnt\n.9683 g 3735 2450 Pnt\n.9524 g 3727 2428 Pnt\n.9524 g
        3727 2428 Pnt\n.9365 g 3728 2433 Pnt\n.9365 g 3728 2433 Pnt\n.9206 g
        3713 2422 Pnt\n.9206 g 3713 2422 Pnt\n.9048 g 3709 2409 Pnt\n.9048 g
        3709 2409 Pnt\n.8889 g 3695 2395 Pnt\n.8889 g 3695 2395 Pnt\n.873 g
        3714 2398 Pnt\n.873 g 3714 2398 Pnt\n.8571 g 3698 2401 Pnt\n.8571 g
        3698 2401 Pnt\n.8413 g 3689 2395 Pnt\n.8413 g 3689 2395 Pnt\n.8254 g
        3673 2395 Pnt\n.8254 g 3673 2395 Pnt\n.8095 g 3676 2394 Pnt\n.8095 g
        3676 2394 Pnt\n.7937 g 3662 2380 Pnt\n.7937 g 3662 2380 Pnt\n.7778 g
        3653 2380 Pnt\n.7778 g 3653 2380 Pnt\n.7619 g 3638 2368 Pnt\n.7619 g
        3638 2368 Pnt\n.746 g 3679 2343 Pnt\n.746 g 3679 2343 Pnt\n.7302 g
        3667 2359 Pnt\n.7302 g 3667 2359 Pnt\n.7143 g 3657 2361 Pnt\n.7143 g
        3657 2361 Pnt\n.6984 g 3644 2376 Pnt\n.6984 g 3644 2376 Pnt\n.6825 g
        3646 2372 Pnt\n.6825 g 3646 2372 Pnt\n.6667 g 3629 2372 Pnt\n.6667 g
        3629 2372 Pnt\n.6508 g 3622 2380 Pnt\n.6508 g 3622 2380 Pnt\n.6349 g
        3605 2383 Pnt\n.6349 g 3605 2383 Pnt\n.619 g 3623 2394 Pnt\n.619 g
        3623 2394 Pnt\n.6032 g 3609 2380 Pnt\n.6032 g 3609 2380 Pnt\n.5873 g
        3600 2380 Pnt\n.5873 g 3600 2380 Pnt\n.5714 g 3585 2368 Pnt\n.5714 g
        3585 2368 Pnt\n.5556 g 3588 2371 Pnt\n.5556 g 3588 2371 Pnt\n.5397 g
        3571 2375 Pnt\n.5397 g 3571 2375 Pnt\n.5238 g 3563 2368 Pnt\n.5238 g
        3563 2368 Pnt\n.5079 g 3546 2368 Pnt\n.5079 g 3546 2368 Pnt\n.4921 g
        3601 2279 Pnt\n.4921 g 3601 2279 Pnt\n.4762 g 3598 2303 Pnt\n.4762 g
        3598 2303 Pnt\n.4603 g 3591 2312 Pnt\n.4603 g 3591 2312 Pnt\n.4444 g
        3585 2335 Pnt\n.4444 g 3585 2335 Pnt\n.4286 g 3586 2331 Pnt\n.4286 g
        3586 2331 Pnt\n.4127 g 3572 2345 Pnt\n.4127 g 3572 2345 Pnt\n.3968 g
        3569 2358 Pnt\n.3968 g 3569 2358 Pnt\n.381 g 3557 2375 Pnt\n.381 g
        3557 2375 Pnt\n.3651 g 3575 2368 Pnt\n.3651 g 3575 2368 Pnt\n.3492 g
        3559 2368 Pnt\n.3492 g 3559 2368 Pnt\n.3333 g 3551 2376 Pnt\n.3333 g
        3551 2376 Pnt\n.3175 g 3535 2380 Pnt\n.3175 g 3535 2380 Pnt\n.3016 g
        3538 2380 Pnt\n.3016 g 3538 2380 Pnt\n.2857 g 3526 2397 Pnt\n.2857 g
        3526 2397 Pnt\n.2698 g 3516 2399 Pnt\n.2698 g 3516 2399 Pnt\n.254 g
        3502 2413 Pnt\n.254 g 3502 2413 Pnt\n.2381 g 3546 2430 Pnt\n.2381 g
        3546 2430 Pnt\n.2222 g 3532 2416 Pnt\n.2222 g 3532 2416 Pnt\n.2063 g
        3522 2416 Pnt\n.2063 g 3522 2416 Pnt\n.1905 g 3508 2405 Pnt\n.1905 g
        3508 2405 Pnt\n.1746 g 3510 2408 Pnt\n.1746 g 3510 2408 Pnt\n.1587 g
        3494 2411 Pnt\n.1587 g 3494 2411 Pnt\n.1429 g 3485 2405 Pnt\n.1429 g
        3485 2405 Pnt\n.127 g 3468 2405 Pnt\n.127 g 3468 2405 Pnt\n.1111 g
        3485 2391 Pnt\n.1111 g 3485 2391 Pnt\n.0952 g 3473 2408 Pnt\n.0952 g
        3473 2408 Pnt\n.0794 g 3464 2410 Pnt\n.0794 g 3464 2410 Pnt\n.0635 g
        3450 2424 Pnt\n.0635 g 3450 2424 Pnt\n.0476 g 3452 2420 Pnt\n.0476 g
        3452 2420 Pnt\n.0317 g 3435 2420 Pnt\n.0317 g 3435 2420 Pnt\n.0159 g
        3428 2428 Pnt\n.0159 g 3428 2428 Pnt\n0 g 3411 2432 Pnt\n0 g 3411
        2432 Pnt\n1 g 3724 3050 Pnt\n1 g 3724 3050 Pnt\n.9841 g 3737 3035
        Pnt\n.9841 g 3737 3035 Pnt\n.9683 g 3740 3021 Pnt\n.9683 g 3740 3021
        Pnt\n.9524 g 3751 3004 Pnt\n.9524 g 3751 3004 Pnt\n.9365 g 3748 3006
        Pnt\n.9365 g 3748 3006 Pnt\n.9206 g 3750 2982 Pnt\n.9206 g 3750 2982
        Pnt\n.9048 g 3757 2972 Pnt\n.9048 g 3757 2972 Pnt\n.8889 g 3761 2949
        Pnt\n.8889 g 3761 2949 Pnt\n.873 g 3766 2976 Pnt\n.873 g 3766 2976
        Pnt\n.8571 g 3758 2954 Pnt\n.8571 g 3758 2954 Pnt\n.8413 g 3760 2941
        Pnt\n.8413 g 3760 2941 Pnt\n.8254 g 3754 2918 Pnt\n.8254 g 3754 2918
        Pnt\n.8095 g 3756 2922 Pnt\n.8095 g 3756 2922 Pnt\n.7937 g 3760 2898
        Pnt\n.7937 g 3760 2898 Pnt\n.7778 g 3757 2885 Pnt\n.7778 g 3757 2885
        Pnt\n.7619 g 3759 2861 Pnt\n.7619 g 3759 2861 Pnt\n.746 g 3789 2909
        Pnt\n.746 g 3789 2909 Pnt\n.7302 g 3775 2898 Pnt\n.7302 g 3775 2898
        Pnt\n.7143 g 3770 2885 Pnt\n.7143 g 3770 2885 Pnt\n.6984 g 3757 2871
        Pnt\n.6984 g 3757 2871 Pnt\n.6825 g 3760 2873 Pnt\n.6825 g 3760 2873
        Pnt\n.6667 g 3754 2850 Pnt\n.6667 g 3754 2850 Pnt\n.6508 g 3747 2842
        Pnt\n.6508 g 3747 2842 Pnt\n.6349 g 3739 2820 Pnt\n.6349 g 3739 2820
        Pnt\n.619 g 3738 2849 Pnt\n.619 g 3738 2849 Pnt\n.6032 g 3743 2825
        Pnt\n.6032 g 3743 2825 Pnt\n.5873 g 3740 2812 Pnt\n.5873 g 3740 2812
        Pnt\n.5714 g 3742 2788 Pnt\n.5714 g 3742 2788 Pnt\n.5556 g 3741 2792
        Pnt\n.5556 g 3741 2792 Pnt\n.5397 g 3733 2770 Pnt\n.5397 g 3733 2770
        Pnt\n.5238 g 3734 2757 Pnt\n.5238 g 3734 2757 Pnt\n.5079 g 3729 2733
        Pnt\n.5079 g 3729 2733 Pnt\n.4921 g 3804 2780 Pnt\n.4921 g 3804 2780
        Pnt\n.4762 g 3788 2783 Pnt\n.4762 g 3788 2783 Pnt\n.4603 g 3779 2777
        Pnt\n.4603 g 3779 2777 Pnt\n.4444 g 3763 2777 Pnt\n.4444 g 3763 2777
        Pnt\n.4286 g 3766 2776 Pnt\n.4286 g 3766 2776 Pnt\n.4127 g 3752 2762
        Pnt\n.4127 g 3752 2762 Pnt\n.3968 g 3743 2762 Pnt\n.3968 g 3743 2762
        Pnt\n.381 g 3728 2751 Pnt\n.381 g 3728 2751 Pnt\n.3651 g 3739 2774
        Pnt\n.3651 g 3739 2774 Pnt\n.3492 g 3733 2751 Pnt\n.3492 g 3733 2751
        Pnt\n.3333 g 3726 2743 Pnt\n.3333 g 3726 2743 Pnt\n.3175 g 3718 2721
        Pnt\n.3175 g 3718 2721 Pnt\n.3016 g 3719 2726 Pnt\n.3016 g 3719 2726
        Pnt\n.2857 g 3704 2715 Pnt\n.2857 g 3704 2715 Pnt\n.2698 g 3700 2702
        Pnt\n.2698 g 3700 2702 Pnt\n.254 g 3686 2688 Pnt\n.254 g 3686 2688
        Pnt\n.2381 g 3690 2754 Pnt\n.2381 g 3690 2754 Pnt\n.2222 g 3694 2730
        Pnt\n.2222 g 3694 2730 Pnt\n.2063 g 3691 2717 Pnt\n.2063 g 3691 2717
        Pnt\n.1905 g 3693 2693 Pnt\n.1905 g 3693 2693 Pnt\n.1746 g 3692 2697
        Pnt\n.1746 g 3692 2697 Pnt\n.1587 g 3684 2675 Pnt\n.1587 g 3684 2675
        Pnt\n.1429 g 3686 2661 Pnt\n.1429 g 3686 2661 Pnt\n.127 g 3680 2638
        Pnt\n.127 g 3680 2638 Pnt\n.1111 g 3695 2657 Pnt\n.1111 g 3695 2657
        Pnt\n.0952 g 3680 2646 Pnt\n.0952 g 3680 2646 Pnt\n.0794 g 3675 2633
        Pnt\n.0794 g 3675 2633 Pnt\n.0635 g 3662 2619 Pnt\n.0635 g 3662 2619
        Pnt\n.0476 g 3665 2621 Pnt\n.0476 g 3665 2621 Pnt\n.0317 g 3659 2598
        Pnt\n.0317 g 3659 2598 Pnt\n.0159 g 3652 2590 Pnt\n.0159 g 3652 2590
        Pnt\n0 g 3644 2568 Pnt\n0 g 3644 2568 Pnt\n1 g 3781 2568 Pnt\n1 g
        3781 2568 Pnt\n.9841 g 3769 2585 Pnt\n.9841 g 3769 2585 Pnt\n.9683 g
        3759 2587 Pnt\n.9683 g 3759 2587 Pnt\n.9524 g 3746 2601 Pnt\n.9524 g
        3746 2601 Pnt\n.9365 g 3748 2597 Pnt\n.9365 g 3748 2597 Pnt\n.9206 g
        3732 2597 Pnt\n.9206 g 3732 2597 Pnt\n.9048 g 3724 2605 Pnt\n.9048 g
        3724 2605 Pnt\n.8889 g 3707 2608 Pnt\n.8889 g 3707 2608 Pnt\n.873 g
        3725 2619 Pnt\n.873 g 3725 2619 Pnt\n.8571 g 3712 2605 Pnt\n.8571 g
        3712 2605 Pnt\n.8413 g 3702 2605 Pnt\n.8413 g 3702 2605 Pnt\n.8254 g
        3688 2593 Pnt\n.8254 g 3688 2593 Pnt\n.8095 g 3690 2597 Pnt\n.8095 g
        3690 2597 Pnt\n.7937 g 3674 2600 Pnt\n.7937 g 3674 2600 Pnt\n.7778 g
        3665 2593 Pnt\n.7778 g 3665 2593 Pnt\n.7619 g 3649 2594 Pnt\n.7619 g
        3649 2594 Pnt\n.746 g 3677 2644 Pnt\n.746 g 3677 2644 Pnt\n.7302 g
        3671 2621 Pnt\n.7302 g 3671 2621 Pnt\n.7143 g 3664 2613 Pnt\n.7143 g
        3664 2613 Pnt\n.6984 g 3656 2591 Pnt\n.6984 g 3656 2591 Pnt\n.6825 g
        3657 2596 Pnt\n.6825 g 3657 2596 Pnt\n.6667 g 3642 2584 Pnt\n.6667 g
        3642 2584 Pnt\n.6508 g 3638 2572 Pnt\n.6508 g 3638 2572 Pnt\n.6349 g
        3624 2558 Pnt\n.6349 g 3624 2558 Pnt\n.619 g 3643 2561 Pnt\n.619 g
        3643 2561 Pnt\n.6032 g 3627 2564 Pnt\n.6032 g 3627 2564 Pnt\n.5873 g
        3618 2558 Pnt\n.5873 g 3618 2558 Pnt\n.5714 g 3602 2558 Pnt\n.5714 g
        3602 2558 Pnt\n.5556 g 3605 2557 Pnt\n.5556 g 3605 2557 Pnt\n.5397 g
        3591 2542 Pnt\n.5397 g 3591 2542 Pnt\n.5238 g 3582 2542 Pnt\n.5238 g
        3582 2542 Pnt\n.5079 g 3567 2531 Pnt\n.5079 g 3567 2531 Pnt\n.4921 g
        3588 2648 Pnt\n.4921 g 3588 2648 Pnt\n.4762 g 3593 2624 Pnt\n.4762 g
        3593 2624 Pnt\n.4603 g 3590 2611 Pnt\n.4603 g 3590 2611 Pnt\n.4444 g
        3592 2587 Pnt\n.4444 g 3592 2587 Pnt\n.4286 g 3591 2591 Pnt\n.4286 g
        3591 2591 Pnt\n.4127 g 3583 2570 Pnt\n.4127 g 3583 2570 Pnt\n.3968 g
        3584 2556 Pnt\n.3968 g 3584 2556 Pnt\n.381 g 3579 2533 Pnt\n.381 g
        3579 2533 Pnt\n.3651 g 3593 2551 Pnt\n.3651 g 3593 2551 Pnt\n.3492 g
        3579 2540 Pnt\n.3492 g 3579 2540 Pnt\n.3333 g 3574 2528 Pnt\n.3333 g
        3574 2528 Pnt\n.3175 g 3561 2513 Pnt\n.3175 g 3561 2513 Pnt\n.3016 g
        3564 2515 Pnt\n.3016 g 3564 2515 Pnt\n.2857 g 3558 2492 Pnt\n.2857 g
        3558 2492 Pnt\n.2698 g 3550 2484 Pnt\n.2698 g 3550 2484 Pnt\n.254 g
        3543 2462 Pnt\n.254 g 3543 2462 Pnt\n.2381 g 3586 2476 Pnt\n.2381 g
        3586 2476 Pnt\n.2222 g 3570 2479 Pnt\n.2222 g 3570 2479 Pnt\n.2063 g
        3561 2473 Pnt\n.2063 g 3561 2473 Pnt\n.1905 g 3545 2473 Pnt\n.1905 g
        3545 2473 Pnt\n.1746 g 3548 2472 Pnt\n.1746 g 3548 2472 Pnt\n.1587 g
        3534 2458 Pnt\n.1587 g 3534 2458 Pnt\n.1429 g 3525 2458 Pnt\n.1429 g
        3525 2458 Pnt\n.127 g 3510 2446 Pnt\n.127 g 3510 2446 Pnt\n.1111 g
        3520 2470 Pnt\n.1111 g 3520 2470 Pnt\n.0952 g 3515 2447 Pnt\n.0952 g
        3515 2447 Pnt\n.0794 g 3507 2439 Pnt\n.0794 g 3507 2439 Pnt\n.0635 g
        3499 2417 Pnt\n.0635 g 3499 2417 Pnt\n.0476 g 3500 2422 Pnt\n.0476 g
        3500 2422 Pnt\n.0317 g 3485 2410 Pnt\n.0317 g 3485 2410 Pnt\n.0159 g
        3481 2398 Pnt\n.0159 g 3481 2398 Pnt\n0 g 3467 2384 Pnt\n0 g 3467
        2384 Pnt\n1 g 3671 2266 Pnt\n1 g 3671 2266 Pnt\n.9841 g 3668 2290
        Pnt\n.9841 g 3668 2290 Pnt\n.9683 g 3661 2299 Pnt\n.9683 g 3661 2299
        Pnt\n.9524 g 3655 2322 Pnt\n.9524 g 3655 2322 Pnt\n.9365 g 3656 2318
        Pnt\n.9365 g 3656 2318 Pnt\n.9206 g 3642 2332 Pnt\n.9206 g 3642 2332
        Pnt\n.9048 g 3639 2345 Pnt\n.9048 g 3639 2345 Pnt\n.8889 g 3627 2362
        Pnt\n.8889 g 3627 2362 Pnt\n.873 g 3646 2355 Pnt\n.873 g 3646 2355
        Pnt\n.8571 g 3629 2355 Pnt\n.8571 g 3629 2355 Pnt\n.8413 g 3621 2363
        Pnt\n.8413 g 3621 2363 Pnt\n.8254 g 3605 2366 Pnt\n.8254 g 3605 2366
        Pnt\n.8095 g 3608 2367 Pnt\n.8095 g 3608 2367 Pnt\n.7937 g 3596 2383
        Pnt\n.7937 g 3596 2383 Pnt\n.7778 g 3587 2385 Pnt\n.7778 g 3587 2385
        Pnt\n.7619 g 3573 2400 Pnt\n.7619 g 3573 2400 Pnt\n.746 g 3616 2417
        Pnt\n.746 g 3616 2417 Pnt\n.7302 g 3603 2403 Pnt\n.7302 g 3603 2403
        Pnt\n.7143 g 3593 2402 Pnt\n.7143 g 3593 2402 Pnt\n.6984 g 3578 2391
        Pnt\n.6984 g 3578 2391 Pnt\n.6825 g 3581 2394 Pnt\n.6825 g 3581 2394
        Pnt\n.6667 g 3564 2398 Pnt\n.6667 g 3564 2398 Pnt\n.6508 g 3556 2391
        Pnt\n.6508 g 3556 2391 Pnt\n.6349 g 3539 2391 Pnt\n.6349 g 3539 2391
        Pnt\n.619 g 3556 2377 Pnt\n.619 g 3556 2377 Pnt\n.6032 g 3544 2394
        Pnt\n.6032 g 3544 2394 Pnt\n.5873 g 3535 2396 Pnt\n.5873 g 3535 2396
        Pnt\n.5714 g 3521 2410 Pnt\n.5714 g 3521 2410 Pnt\n.5556 g 3523 2407
        Pnt\n.5556 g 3523 2407 Pnt\n.5397 g 3507 2407 Pnt\n.5397 g 3507 2407
        Pnt\n.5238 g 3499 2415 Pnt\n.5238 g 3499 2415 Pnt\n.5079 g 3482 2418
        Pnt\n.5079 g 3482 2418 Pnt\n.4921 g 3545 2495 Pnt\n.4921 g 3545 2495
        Pnt\n.4762 g 3540 2472 Pnt\n.4762 g 3540 2472 Pnt\n.4603 g 3532 2464
        Pnt\n.4603 g 3532 2464 Pnt\n.4444 g 3524 2443 Pnt\n.4444 g 3524 2443
        Pnt\n.4286 g 3525 2447 Pnt\n.4286 g 3525 2447 Pnt\n.4127 g 3510 2436
        Pnt\n.4127 g 3510 2436 Pnt\n.3968 g 3506 2424 Pnt\n.3968 g 3506 2424
        Pnt\n.381 g 3492 2409 Pnt\n.381 g 3492 2409 Pnt\n.3651 g 3512 2412
        Pnt\n.3651 g 3512 2412 Pnt\n.3492 g 3495 2416 Pnt\n.3492 g 3495 2416
        Pnt\n.3333 g 3487 2409 Pnt\n.3333 g 3487 2409 Pnt\n.3175 g 3470 2409
        Pnt\n.3175 g 3470 2409 Pnt\n.3016 g 3473 2408 Pnt\n.3016 g 3473 2408
        Pnt\n.2857 g 3460 2394 Pnt\n.2857 g 3460 2394 Pnt\n.2698 g 3450 2394
        Pnt\n.2698 g 3450 2394 Pnt\n.254 g 3435 2383 Pnt\n.254 g 3435 2383
        Pnt\n.2381 g 3476 2357 Pnt\n.2381 g 3476 2357 Pnt\n.2222 g 3464 2374
        Pnt\n.2222 g 3464 2374 Pnt\n.2063 g 3455 2376 Pnt\n.2063 g 3455 2376
        Pnt\n.1905 g 3441 2390 Pnt\n.1905 g 3441 2390 Pnt\n.1746 g 3443 2386
        Pnt\n.1746 g 3443 2386 Pnt\n.1587 g 3427 2386 Pnt\n.1587 g 3427 2386
        Pnt\n.1429 g 3419 2394 Pnt\n.1429 g 3419 2394 Pnt\n.127 g 3402 2398
        Pnt\n.127 g 3402 2398 Pnt\n.1111 g 3420 2408 Pnt\n.1111 g 3420 2408
        Pnt\n.0952 g 3407 2394 Pnt\n.0952 g 3407 2394 Pnt\n.0794 g 3397 2394
        Pnt\n.0794 g 3397 2394 Pnt\n.0635 g 3382 2383 Pnt\n.0635 g 3382 2383
        Pnt\n.0476 g 3385 2386 Pnt\n.0476 g 3385 2386 Pnt\n.0317 g 3368 2389
        Pnt\n.0317 g 3368 2389 Pnt\n.0159 g 3360 2383 Pnt\n.0159 g 3360 2383
        Pnt\n0 g 3343 2383 Pnt\n0 g 3343 2383 Pnt\n1 g 3406 2563 Pnt\n1 g
        3406 2563 Pnt\n.9841 g 3411 2539 Pnt\n.9841 g 3411 2539 Pnt\n.9683 g
        3408 2526 Pnt\n.9683 g 3408 2526 Pnt\n.9524 g 3410 2502 Pnt\n.9524 g
        3410 2502 Pnt\n.9365 g 3409 2506 Pnt\n.9365 g 3409 2506 Pnt\n.9206 g
        3401 2485 Pnt\n.9206 g 3401 2485 Pnt\n.9048 g 3403 2471 Pnt\n.9048 g
        3403 2471 Pnt\n.8889 g 3397 2447 Pnt\n.8889 g 3397 2447 Pnt\n.873 g
        3412 2466 Pnt\n.873 g 3412 2466 Pnt\n.8571 g 3397 2455 Pnt\n.8571 g
        3397 2455 Pnt\n.8413 g 3392 2442 Pnt\n.8413 g 3392 2442 Pnt\n.8254 g
        3379 2428 Pnt\n.8254 g 3379 2428 Pnt\n.8095 g 3382 2430 Pnt\n.8095 g
        3382 2430 Pnt\n.7937 g 3376 2407 Pnt\n.7937 g 3376 2407 Pnt\n.7778 g
        3369 2399 Pnt\n.7778 g 3369 2399 Pnt\n.7619 g 3361 2377 Pnt\n.7619 g
        3361 2377 Pnt\n.746 g 3404 2391 Pnt\n.746 g 3404 2391 Pnt\n.7302 g
        3388 2394 Pnt\n.7302 g 3388 2394 Pnt\n.7143 g 3379 2388 Pnt\n.7143 g
        3379 2388 Pnt\n.6984 g 3363 2388 Pnt\n.6984 g 3363 2388 Pnt\n.6825 g
        3366 2387 Pnt\n.6825 g 3366 2387 Pnt\n.6667 g 3352 2373 Pnt\n.6667 g
        3352 2373 Pnt\n.6508 g 3343 2373 Pnt\n.6508 g 3343 2373 Pnt\n.6349 g
        3328 2361 Pnt\n.6349 g 3328 2361 Pnt\n.619 g 3339 2385 Pnt\n.619 g
        3339 2385 Pnt\n.6032 g 3333 2362 Pnt\n.6032 g 3333 2362 Pnt\n.5873 g
        3325 2354 Pnt\n.5873 g 3325 2354 Pnt\n.5714 g 3318 2332 Pnt\n.5714 g
        3318 2332 Pnt\n.5556 g 3319 2337 Pnt\n.5556 g 3319 2337 Pnt\n.5397 g
        3304 2325 Pnt\n.5397 g 3304 2325 Pnt\n.5238 g 3299 2313 Pnt\n.5238 g
        3299 2313 Pnt\n.5079 g 3286 2298 Pnt\n.5079 g 3286 2298 Pnt\n.4921 g
        3366 2272 Pnt\n.4921 g 3366 2272 Pnt\n.4762 g 3354 2289 Pnt\n.4762 g
        3354 2289 Pnt\n.4603 g 3344 2291 Pnt\n.4603 g 3344 2291 Pnt\n.4444 g
        3331 2305 Pnt\n.4444 g 3331 2305 Pnt\n.4286 g 3333 2302 Pnt\n.4286 g
        3333 2302 Pnt\n.4127 g 3316 2302 Pnt\n.4127 g 3316 2302 Pnt\n.3968 g
        3308 2310 Pnt\n.3968 g 3308 2310 Pnt\n.381 g 3292 2313 Pnt\n.381 g
        3292 2313 Pnt\n.3651 g 3310 2324 Pnt\n.3651 g 3310 2324 Pnt\n.3492 g
        3296 2309 Pnt\n.3492 g 3296 2309 Pnt\n.3333 g 3287 2309 Pnt\n.3333 g
        3287 2309 Pnt\n.3175 g 3272 2298 Pnt\n.3175 g 3272 2298 Pnt\n.3016 g
        3274 2301 Pnt\n.3016 g 3274 2301 Pnt\n.2857 g 3258 2304 Pnt\n.2857 g
        3258 2304 Pnt\n.2698 g 3249 2298 Pnt\n.2698 g 3249 2298 Pnt\n.254 g
        3233 2298 Pnt\n.254 g 3233 2298 Pnt\n.2381 g 3261 2349 Pnt\n.2381 g
        3261 2349 Pnt\n.2222 g 3256 2326 Pnt\n.2222 g 3256 2326 Pnt\n.2063 g
        3248 2317 Pnt\n.2063 g 3248 2317 Pnt\n.1905 g 3240 2296 Pnt\n.1905 g
        3240 2296 Pnt\n.1746 g 3241 2300 Pnt\n.1746 g 3241 2300 Pnt\n.1587 g
        3226 2289 Pnt\n.1587 g 3226 2289 Pnt\n.1429 g 3222 2276 Pnt\n.1429 g
        3222 2276 Pnt\n.127 g 3208 2262 Pnt\n.127 g 3208 2262 Pnt\n.1111 g
        3227 2265 Pnt\n.1111 g 3227 2265 Pnt\n.0952 g 3211 2268 Pnt\n.0952 g
        3211 2268 Pnt\n.0794 g 3202 2262 Pnt\n.0794 g 3202 2262 Pnt\n.0635 g
        3186 2262 Pnt\n.0635 g 3186 2262 Pnt\n.0476 g 3189 2261 Pnt\n.0476 g
        3189 2261 Pnt\n.0317 g 3175 2247 Pnt\n.0317 g 3175 2247 Pnt\n.0159 g
        3166 2247 Pnt\n.0159 g 3166 2247 Pnt\n0 g 3151 2235 Pnt\n0 g 3151
        2235 Pnt\n1 g 3406 1901 Pnt\n1 g 3406 1901 Pnt\n.9841 g 3412 1923
        Pnt\n.9841 g 3412 1923 Pnt\n.9683 g 3410 1936 Pnt\n.9683 g 3410 1936
        Pnt\n.9524 g 3415 1960 Pnt\n.9524 g 3415 1960 Pnt\n.9365 g 3413 1956
        Pnt\n.9365 g 3413 1956 Pnt\n.9206 g 3408 1979 Pnt\n.9206 g 3408 1979
        Pnt\n.9048 g 3410 1992 Pnt\n.9048 g 3410 1992 Pnt\n.8889 g 3407 2016
        Pnt\n.8889 g 3407 2016 Pnt\n.873 g 3419 1995 Pnt\n.873 g 3419 1995
        Pnt\n.8571 g 3406 2009 Pnt\n.8571 g 3406 2009 Pnt\n.8413 g 3403 2022
        Pnt\n.8413 g 3403 2022 Pnt\n.8254 g 3391 2039 Pnt\n.8254 g 3391 2039
        Pnt\n.8095 g 3394 2036 Pnt\n.8095 g 3394 2036 Pnt\n.7937 g 3390 2060
        Pnt\n.7937 g 3390 2060 Pnt\n.7778 g 3383 2070 Pnt\n.7778 g 3383 2070
        Pnt\n.7619 g 3378 2093 Pnt\n.7619 g 3378 2093 Pnt\n.746 g 3419 2071
        Pnt\n.746 g 3419 2071 Pnt\n.7302 g 3403 2071 Pnt\n.7302 g 3403 2071
        Pnt\n.7143 g 3395 2079 Pnt\n.7143 g 3395 2079 Pnt\n.6984 g 3379 2082
        Pnt\n.6984 g 3379 2082 Pnt\n.6825 g 3382 2082 Pnt\n.6825 g 3382 2082
        Pnt\n.6667 g 3370 2099 Pnt\n.6667 g 3370 2099 Pnt\n.6508 g 3360 2101
        Pnt\n.6508 g 3360 2101 Pnt\n.6349 g 3347 2115 Pnt\n.6349 g 3347 2115
        Pnt\n.619 g 3355 2090 Pnt\n.619 g 3355 2090 Pnt\n.6032 g 3352 2113
        Pnt\n.6032 g 3352 2113 Pnt\n.5873 g 3345 2123 Pnt\n.5873 g 3345 2123
        Pnt\n.5714 g 3339 2146 Pnt\n.5714 g 3339 2146 Pnt\n.5556 g 3340 2142
        Pnt\n.5556 g 3340 2142 Pnt\n.5397 g 3326 2156 Pnt\n.5397 g 3326 2156
        Pnt\n.5238 g 3323 2169 Pnt\n.5238 g 3323 2169 Pnt\n.5079 g 3311 2186
        Pnt\n.5079 g 3311 2186 Pnt\n.4921 g 3392 2195 Pnt\n.4921 g 3392 2195
        Pnt\n.4762 g 3379 2181 Pnt\n.4762 g 3379 2181 Pnt\n.4603 g 3369 2181
        Pnt\n.4603 g 3369 2181 Pnt\n.4444 g 3355 2170 Pnt\n.4444 g 3355 2170
        Pnt\n.4286 g 3357 2173 Pnt\n.4286 g 3357 2173 Pnt\n.4127 g 3341 2176
        Pnt\n.4127 g 3341 2176 Pnt\n.3968 g 3332 2170 Pnt\n.3968 g 3332 2170
        Pnt\n.381 g 3316 2170 Pnt\n.381 g 3316 2170 Pnt\n.3651 g 3332 2156
        Pnt\n.3651 g 3332 2156 Pnt\n.3492 g 3320 2173 Pnt\n.3492 g 3320 2173
        Pnt\n.3333 g 3311 2175 Pnt\n.3333 g 3311 2175 Pnt\n.3175 g 3297 2189
        Pnt\n.3175 g 3297 2189 Pnt\n.3016 g 3299 2185 Pnt\n.3016 g 3299 2185
        Pnt\n.2857 g 3283 2185 Pnt\n.2857 g 3283 2185 Pnt\n.2698 g 3275 2193
        Pnt\n.2698 g 3275 2193 Pnt\n.254 g 3259 2197 Pnt\n.254 g 3259 2197
        Pnt\n.2381 g 3282 2141 Pnt\n.2381 g 3282 2141 Pnt\n.2222 g 3279 2165
        Pnt\n.2222 g 3279 2165 Pnt\n.2063 g 3272 2175 Pnt\n.2063 g 3272 2175
        Pnt\n.1905 g 3266 2198 Pnt\n.1905 g 3266 2198 Pnt\n.1746 g 3267 2193
        Pnt\n.1746 g 3267 2193 Pnt\n.1587 g 3253 2207 Pnt\n.1587 g 3253 2207
        Pnt\n.1429 g 3250 2220 Pnt\n.1429 g 3250 2220 Pnt\n.127 g 3238 2237
        Pnt\n.127 g 3238 2237 Pnt\n.1111 g 3256 2230 Pnt\n.1111 g 3256 2230
        Pnt\n.0952 g 3240 2231 Pnt\n.0952 g 3240 2231 Pnt\n.0794 g 3232 2239
        Pnt\n.0794 g 3232 2239 Pnt\n.0635 g 3215 2242 Pnt\n.0635 g 3215 2242
        Pnt\n.0476 g 3219 2242 Pnt\n.0476 g 3219 2242 Pnt\n.0317 g 3206 2259
        Pnt\n.0317 g 3206 2259 Pnt\n.0159 g 3197 2261 Pnt\n.0159 g 3197 2261
        Pnt\n0 g 3183 2275 Pnt\n0 g 3183 2275 Pnt\n1 g 3305 2369 Pnt\n1 g
        3305 2369 Pnt\n.9841 g 3300 2346 Pnt\n.9841 g 3300 2346 Pnt\n.9683 g
        3292 2337 Pnt\n.9683 g 3292 2337 Pnt\n.9524 g 3284 2316 Pnt\n.9524 g
        3284 2316 Pnt\n.9365 g 3285 2320 Pnt\n.9365 g 3285 2320 Pnt\n.9206 g
        3271 2309 Pnt\n.9206 g 3271 2309 Pnt\n.9048 g 3266 2297 Pnt\n.9048 g
        3266 2297 Pnt\n.8889 g 3253 2282 Pnt\n.8889 g 3253 2282 Pnt\n.873 g
        3272 2285 Pnt\n.873 g 3272 2285 Pnt\n.8571 g 3255 2289 Pnt\n.8571 g
        3255 2289 Pnt\n.8413 g 3247 2282 Pnt\n.8413 g 3247 2282 Pnt\n.8254 g
        3230 2282 Pnt\n.8254 g 3230 2282 Pnt\n.8095 g 3233 2281 Pnt\n.8095 g
        3233 2281 Pnt\n.7937 g 3220 2267 Pnt\n.7937 g 3220 2267 Pnt\n.7778 g
        3210 2267 Pnt\n.7778 g 3210 2267 Pnt\n.7619 g 3196 2256 Pnt\n.7619 g
        3196 2256 Pnt\n.746 g 3236 2230 Pnt\n.746 g 3236 2230 Pnt\n.7302 g
        3224 2247 Pnt\n.7302 g 3224 2247 Pnt\n.7143 g 3215 2249 Pnt\n.7143 g
        3215 2249 Pnt\n.6984 g 3201 2263 Pnt\n.6984 g 3201 2263 Pnt\n.6825 g
        3204 2259 Pnt\n.6825 g 3204 2259 Pnt\n.6667 g 3187 2259 Pnt\n.6667 g
        3187 2259 Pnt\n.6508 g 3179 2267 Pnt\n.6508 g 3179 2267 Pnt\n.6349 g
        3163 2271 Pnt\n.6349 g 3163 2271 Pnt\n.619 g 3181 2281 Pnt\n.619 g
        3181 2281 Pnt\n.6032 g 3167 2267 Pnt\n.6032 g 3167 2267 Pnt\n.5873 g
        3157 2267 Pnt\n.5873 g 3157 2267 Pnt\n.5714 g 3143 2256 Pnt\n.5714 g
        3143 2256 Pnt\n.5556 g 3145 2259 Pnt\n.5556 g 3145 2259 Pnt\n.5397 g
        3129 2262 Pnt\n.5397 g 3129 2262 Pnt\n.5238 g 3120 2256 Pnt\n.5238 g
        3120 2256 Pnt\n.5079 g 3103 2256 Pnt\n.5079 g 3103 2256 Pnt\n.4921 g
        3159 2166 Pnt\n.4921 g 3159 2166 Pnt\n.4762 g 3155 2190 Pnt\n.4762 g
        3155 2190 Pnt\n.4603 g 3148 2200 Pnt\n.4603 g 3148 2200 Pnt\n.4444 g
        3143 2223 Pnt\n.4444 g 3143 2223 Pnt\n.4286 g 3143 2218 Pnt\n.4286 g
        3143 2218 Pnt\n.4127 g 3130 2232 Pnt\n.4127 g 3130 2232 Pnt\n.3968 g
        3127 2246 Pnt\n.3968 g 3127 2246 Pnt\n.381 g 3114 2262 Pnt\n.381 g
        3114 2262 Pnt\n.3651 g 3133 2256 Pnt\n.3651 g 3133 2256 Pnt\n.3492 g
        3116 2256 Pnt\n.3492 g 3116 2256 Pnt\n.3333 g 3109 2264 Pnt\n.3333 g
        3109 2264 Pnt\n.3175 g 3092 2267 Pnt\n.3175 g 3092 2267 Pnt\n.3016 g
        3095 2267 Pnt\n.3016 g 3095 2267 Pnt\n.2857 g 3083 2284 Pnt\n.2857 g
        3083 2284 Pnt\n.2698 g 3074 2286 Pnt\n.2698 g 3074 2286 Pnt\n.254 g
        3060 2301 Pnt\n.254 g 3060 2301 Pnt\n.2381 g 3103 2318 Pnt\n.2381 g
        3103 2318 Pnt\n.2222 g 3090 2304 Pnt\n.2222 g 3090 2304 Pnt\n.2063 g
        3080 2303 Pnt\n.2063 g 3080 2303 Pnt\n.1905 g 3065 2292 Pnt\n.1905 g
        3065 2292 Pnt\n.1746 g 3068 2295 Pnt\n.1746 g 3068 2295 Pnt\n.1587 g
        3051 2299 Pnt\n.1587 g 3051 2299 Pnt\n.1429 g 3043 2292 Pnt\n.1429 g
        3043 2292 Pnt\n.127 g 3026 2292 Pnt\n.127 g 3026 2292 Pnt\n.1111 g
        3043 2278 Pnt\n.1111 g 3043 2278 Pnt\n.0952 g 3031 2295 Pnt\n.0952 g
        3031 2295 Pnt\n.0794 g 3021 2297 Pnt\n.0794 g 3021 2297 Pnt\n.0635 g
        3008 2311 Pnt\n.0635 g 3008 2311 Pnt\n.0476 g 3010 2308 Pnt\n.0476 g
        3010 2308 Pnt\n.0317 g 2993 2308 Pnt\n.0317 g 2993 2308 Pnt\n.0159 g
        2985 2316 Pnt\n.0159 g 2985 2316 Pnt\n0 g 2968 2319 Pnt\n0 g 2968
        2319 Pnt\n1 g 3113 2563 Pnt\n1 g 3113 2563 Pnt\n.9841 g 3118 2539
        Pnt\n.9841 g 3118 2539 Pnt\n.9683 g 3115 2526 Pnt\n.9683 g 3115 2526
        Pnt\n.9524 g 3117 2502 Pnt\n.9524 g 3117 2502 Pnt\n.9365 g 3116 2507
        Pnt\n.9365 g 3116 2507 Pnt\n.9206 g 3108 2485 Pnt\n.9206 g 3108 2485
        Pnt\n.9048 g 3110 2471 Pnt\n.9048 g 3110 2471 Pnt\n.8889 g 3104 2448
        Pnt\n.8889 g 3104 2448 Pnt\n.873 g 3118 2466 Pnt\n.873 g 3118 2466
        Pnt\n.8571 g 3104 2455 Pnt\n.8571 g 3104 2455 Pnt\n.8413 g 3099 2443
        Pnt\n.8413 g 3099 2443 Pnt\n.8254 g 3086 2428 Pnt\n.8254 g 3086 2428
        Pnt\n.8095 g 3089 2430 Pnt\n.8095 g 3089 2430 Pnt\n.7937 g 3083 2407
        Pnt\n.7937 g 3083 2407 Pnt\n.7778 g 3075 2399 Pnt\n.7778 g 3075 2399
        Pnt\n.7619 g 3068 2377 Pnt\n.7619 g 3068 2377 Pnt\n.746 g 3111 2391
        Pnt\n.746 g 3111 2391 Pnt\n.7302 g 3095 2394 Pnt\n.7302 g 3095 2394
        Pnt\n.7143 g 3086 2388 Pnt\n.7143 g 3086 2388 Pnt\n.6984 g 3070 2388
        Pnt\n.6984 g 3070 2388 Pnt\n.6825 g 3073 2387 Pnt\n.6825 g 3073 2387
        Pnt\n.6667 g 3059 2373 Pnt\n.6667 g 3059 2373 Pnt\n.6508 g 3050 2373
        Pnt\n.6508 g 3050 2373 Pnt\n.6349 g 3035 2362 Pnt\n.6349 g 3035 2362
        Pnt\n.619 g 3046 2385 Pnt\n.619 g 3046 2385 Pnt\n.6032 g 3040 2362
        Pnt\n.6032 g 3040 2362 Pnt\n.5873 g 3032 2354 Pnt\n.5873 g 3032 2354
        Pnt\n.5714 g 3025 2332 Pnt\n.5714 g 3025 2332 Pnt\n.5556 g 3025 2337
        Pnt\n.5556 g 3025 2337 Pnt\n.5397 g 3011 2325 Pnt\n.5397 g 3011 2325
        Pnt\n.5238 g 3006 2313 Pnt\n.5238 g 3006 2313 Pnt\n.5079 g 2993 2299
        Pnt\n.5079 g 2993 2299 Pnt\n.4921 g 3073 2273 Pnt\n.4921 g 3073 2273
        Pnt\n.4762 g 3061 2289 Pnt\n.4762 g 3061 2289 Pnt\n.4603 g 3051 2291
        Pnt\n.4603 g 3051 2291 Pnt\n.4444 g 3038 2305 Pnt\n.4444 g 3038 2305
        Pnt\n.4286 g 3040 2302 Pnt\n.4286 g 3040 2302 Pnt\n.4127 g 3023 2302
        Pnt\n.4127 g 3023 2302 Pnt\n.3968 g 3015 2310 Pnt\n.3968 g 3015 2310
        Pnt\n.381 g 2999 2313 Pnt\n.381 g 2999 2313 Pnt\n.3651 g 3017 2324
        Pnt\n.3651 g 3017 2324 Pnt\n.3492 g 3003 2310 Pnt\n.3492 g 3003 2310
        Pnt\n.3333 g 2994 2310 Pnt\n.3333 g 2994 2310 Pnt\n.3175 g 2979 2298
        Pnt\n.3175 g 2979 2298 Pnt\n.3016 g 2981 2301 Pnt\n.3016 g 2981 2301
        Pnt\n.2857 g 2965 2305 Pnt\n.2857 g 2965 2305 Pnt\n.2698 g 2956 2298
        Pnt\n.2698 g 2956 2298 Pnt\n.254 g 2940 2298 Pnt\n.254 g 2940 2298
        Pnt\n.2381 g 2968 2349 Pnt\n.2381 g 2968 2349 Pnt\n.2222 g 2963 2326
        Pnt\n.2222 g 2963 2326 Pnt\n.2063 g 2955 2318 Pnt\n.2063 g 2955 2318
        Pnt\n.1905 g 2947 2296 Pnt\n.1905 g 2947 2296 Pnt\n.1746 g 2948 2300
        Pnt\n.1746 g 2948 2300 Pnt\n.1587 g 2933 2289 Pnt\n.1587 g 2933 2289
        Pnt\n.1429 g 2929 2277 Pnt\n.1429 g 2929 2277 Pnt\n.127 g 2915 2262
        Pnt\n.127 g 2915 2262 Pnt\n.1111 g 2934 2265 Pnt\n.1111 g 2934 2265
        Pnt\n.0952 g 2918 2269 Pnt\n.0952 g 2918 2269 Pnt\n.0794 g 2909 2262
        Pnt\n.0794 g 2909 2262 Pnt\n.0635 g 2893 2262 Pnt\n.0635 g 2893 2262
        Pnt\n.0476 g 2896 2261 Pnt\n.0476 g 2896 2261 Pnt\n.0317 g 2882 2247
        Pnt\n.0317 g 2882 2247 Pnt\n.0159 g 2872 2247 Pnt\n.0159 g 2872 2247
        Pnt\n0 g 2858 2235 Pnt\n0 g 2858 2235 Pnt\n1 g 2970 2118 Pnt\n1 g
        2970 2118 Pnt\n.9841 g 2967 2142 Pnt\n.9841 g 2967 2142 Pnt\n.9683 g
        2960 2152 Pnt\n.9683 g 2960 2152 Pnt\n.9524 g 2954 2175 Pnt\n.9524 g
        2954 2175 Pnt\n.9365 g 2955 2170 Pnt\n.9365 g 2955 2170 Pnt\n.9206 g
        2941 2184 Pnt\n.9206 g 2941 2184 Pnt\n.9048 g 2938 2198 Pnt\n.9048 g
        2938 2198 Pnt\n.8889 g 2926 2214 Pnt\n.8889 g 2926 2214 Pnt\n.873 g
        2944 2208 Pnt\n.873 g 2944 2208 Pnt\n.8571 g 2928 2208 Pnt\n.8571 g
        2928 2208 Pnt\n.8413 g 2920 2216 Pnt\n.8413 g 2920 2216 Pnt\n.8254 g
        2904 2219 Pnt\n.8254 g 2904 2219 Pnt\n.8095 g 2907 2219 Pnt\n.8095 g
        2907 2219 Pnt\n.7937 g 2895 2236 Pnt\n.7937 g 2895 2236 Pnt\n.7778 g
        2885 2238 Pnt\n.7778 g 2885 2238 Pnt\n.7619 g 2872 2253 Pnt\n.7619 g
        2872 2253 Pnt\n.746 g 2915 2270 Pnt\n.746 g 2915 2270 Pnt\n.7302 g
        2901 2256 Pnt\n.7302 g 2901 2256 Pnt\n.7143 g 2891 2255 Pnt\n.7143 g
        2891 2255 Pnt\n.6984 g 2877 2244 Pnt\n.6984 g 2877 2244 Pnt\n.6825 g
        2879 2247 Pnt\n.6825 g 2879 2247 Pnt\n.6667 g 2863 2251 Pnt\n.6667 g
        2863 2251 Pnt\n.6508 g 2854 2244 Pnt\n.6508 g 2854 2244 Pnt\n.6349 g
        2837 2244 Pnt\n.6349 g 2837 2244 Pnt\n.619 g 2854 2230 Pnt\n.619 g
        2854 2230 Pnt\n.6032 g 2842 2247 Pnt\n.6032 g 2842 2247 Pnt\n.5873 g
        2833 2249 Pnt\n.5873 g 2833 2249 Pnt\n.5714 g 2819 2263 Pnt\n.5714 g
        2819 2263 Pnt\n.5556 g 2821 2260 Pnt\n.5556 g 2821 2260 Pnt\n.5397 g
        2804 2260 Pnt\n.5397 g 2804 2260 Pnt\n.5238 g 2797 2268 Pnt\n.5238 g
        2797 2268 Pnt\n.5079 g 2780 2271 Pnt\n.5079 g 2780 2271 Pnt\n.4921 g
        2843 2349 Pnt\n.4921 g 2843 2349 Pnt\n.4762 g 2838 2326 Pnt\n.4762 g
        2838 2326 Pnt\n.4603 g 2830 2318 Pnt\n.4603 g 2830 2318 Pnt\n.4444 g
        2822 2296 Pnt\n.4444 g 2822 2296 Pnt\n.4286 g 2823 2301 Pnt\n.4286 g
        2823 2301 Pnt\n.4127 g 2808 2289 Pnt\n.4127 g 2808 2289 Pnt\n.3968 g
        2804 2277 Pnt\n.3968 g 2804 2277 Pnt\n.381 g 2790 2262 Pnt\n.381 g
        2790 2262 Pnt\n.3651 g 2809 2265 Pnt\n.3651 g 2809 2265 Pnt\n.3492 g
        2793 2269 Pnt\n.3492 g 2793 2269 Pnt\n.3333 g 2784 2262 Pnt\n.3333 g
        2784 2262 Pnt\n.3175 g 2768 2262 Pnt\n.3175 g 2768 2262 Pnt\n.3016 g
        2771 2261 Pnt\n.3016 g 2771 2261 Pnt\n.2857 g 2757 2247 Pnt\n.2857 g
        2757 2247 Pnt\n.2698 g 2748 2247 Pnt\n.2698 g 2748 2247 Pnt\n.254 g
        2733 2236 Pnt\n.254 g 2733 2236 Pnt\n.2381 g 2774 2210 Pnt\n.2381 g
        2774 2210 Pnt\n.2222 g 2762 2227 Pnt\n.2222 g 2762 2227 Pnt\n.2063 g
        2752 2229 Pnt\n.2063 g 2752 2229 Pnt\n.1905 g 2739 2243 Pnt\n.1905 g
        2739 2243 Pnt\n.1746 g 2741 2239 Pnt\n.1746 g 2741 2239 Pnt\n.1587 g
        2724 2239 Pnt\n.1587 g 2724 2239 Pnt\n.1429 g 2716 2247 Pnt\n.1429 g
        2716 2247 Pnt\n.127 g 2700 2251 Pnt\n.127 g 2700 2251 Pnt\n.1111 g
        2718 2261 Pnt\n.1111 g 2718 2261 Pnt\n.0952 g 2704 2247 Pnt\n.0952 g
        2704 2247 Pnt\n.0794 g 2694 2247 Pnt\n.0794 g 2694 2247 Pnt\n.0635 g
        2679 2236 Pnt\n.0635 g 2679 2236 Pnt\n.0476 g 2682 2239 Pnt\n.0476 g
        2682 2239 Pnt\n.0317 g 2665 2242 Pnt\n.0317 g 2665 2242 Pnt\n.0159 g
        2657 2236 Pnt\n.0159 g 2657 2236 Pnt\n0 g 2640 2236 Pnt\n0 g 2640
        2236 Pnt\n.6667 g 3320 4824 Pnt\n.6667 g 3320 4824 Pnt\n.6508 g 3323
        4810 Pnt\n.6508 g 3323 4810 Pnt\n.6349 g 3334 4793 Pnt\n.6349 g 3334
        4793 Pnt\n.619 g 3316 4801 Pnt\n.619 g 3316 4801 Pnt\n.6032 g 3332
        4800 Pnt\n.6032 g 3332 4800 Pnt\n.5873 g 3340 4791 Pnt\n.5873 g 3340
        4791 Pnt\n.5714 g 3356 4786 Pnt\n.5714 g 3356 4786 Pnt\n.5556 g 3353
        4786 Pnt\n.5556 g 3353 4786 Pnt\n.5397 g 3364 4768 Pnt\n.5397 g 3364
        4768 Pnt\n.5238 g 3373 4765 Pnt\n.5238 g 3373 4765 Pnt\n.5079 g 3386
        4750 Pnt\n.5079 g 3386 4750 Pnt\n.4444 g 3369 4811 Pnt\n.4444 g 3369
        4811 Pnt\n.4286 g 3371 4815 Pnt\n.4286 g 3371 4815 Pnt\n.4127 g 3376
        4792 Pnt\n.4127 g 3376 4792 Pnt\n.3968 g 3372 4779 Pnt\n.3968 g 3372
        4779 Pnt\n.381 g 3375 4755 Pnt\n.381 g 3375 4755 Pnt\n.3651 g 3363
        4777 Pnt\n.3651 g 3363 4777 Pnt\n.3492 g 3376 4762 Pnt\n.3492 g 3376
        4762 Pnt\n.3333 g 3379 4749 Pnt\n.3333 g 3379 4749 Pnt\n.3175 g 3390
        4731 Pnt\n.3175 g 3390 4731 Pnt\n.3016 g 3387 4734 Pnt\n.3016 g 3387
        4734 Pnt\n.2857 g 3389 4710 Pnt\n.2857 g 3389 4710 Pnt\n.2698 g 3396
        4699 Pnt\n.2698 g 3396 4699 Pnt\n.254 g 3400 4676 Pnt\n.254 g 3400
        4676 Pnt\n.2381 g 3360 4702 Pnt\n.2381 g 3360 4702 Pnt\n.2222 g 3376
        4701 Pnt\n.2222 g 3376 4701 Pnt\n.2063 g 3384 4692 Pnt\n.2063 g 3384
        4692 Pnt\n.1905 g 3400 4687 Pnt\n.1905 g 3400 4687 Pnt\n.1746 g 3397
        4687 Pnt\n.1746 g 3397 4687 Pnt\n.1587 g 3408 4669 Pnt\n.1587 g 3408
        4669 Pnt\n.1429 g 3417 4666 Pnt\n.1429 g 3417 4666 Pnt\n.127 g 3430
        4651 Pnt\n.127 g 3430 4651 Pnt\n.1111 g 3423 4677 Pnt\n.1111 g 3423
        4677 Pnt\n.0952 g 3425 4653 Pnt\n.0952 g 3425 4653 Pnt\n.0794 g 3432
        4643 Pnt\n.0794 g 3432 4643 Pnt\n.0635 g 3436 4620 Pnt\n.0635 g 3436
        4620 Pnt\n.0476 g 3436 4624 Pnt\n.0476 g 3436 4624 Pnt\n.0317 g 3449
        4609 Pnt\n.0317 g 3449 4609 Pnt\n.0159 g 3451 4596 Pnt\n.0159 g 3451
        4596 Pnt\n0 g 3463 4578 Pnt\n0 g 3463 4578 Pnt\n1 g 3508 4767 Pnt\n1
        g 3508 4767 Pnt\n.9841 g 3493 4756 Pnt\n.9841 g 3493 4756 Pnt\n.9683
        g 3489 4744 Pnt\n.9683 g 3489 4744 Pnt\n.9524 g 3476 4730 Pnt\n.9524
        g 3476 4730 Pnt\n.9365 g 3479 4731 Pnt\n.9365 g 3479 4731 Pnt\n.9206
        g 3473 4709 Pnt\n.9206 g 3473 4709 Pnt\n.9048 g 3465 4701 Pnt\n.9048
        g 3465 4701 Pnt\n.8889 g 3458 4679 Pnt\n.8889 g 3458 4679 Pnt\n.873 g
        3457 4707 Pnt\n.873 g 3457 4707 Pnt\n.8571 g 3462 4684 Pnt\n.8571 g
        3462 4684 Pnt\n.8413 g 3459 4671 Pnt\n.8413 g 3459 4671 Pnt\n.8254 g
        3461 4647 Pnt\n.8254 g 3461 4647 Pnt\n.8095 g 3460 4651 Pnt\n.8095 g
        3460 4651 Pnt\n.7937 g 3452 4629 Pnt\n.7937 g 3452 4629 Pnt\n.7778 g
        3453 4616 Pnt\n.7778 g 3453 4616 Pnt\n.7619 g 3448 4593 Pnt\n.7619 g
        3448 4593 Pnt\n.746 g 3425 4648 Pnt\n.746 g 3425 4648 Pnt\n.7302 g
        3438 4633 Pnt\n.7302 g 3438 4633 Pnt\n.7143 g 3441 4620 Pnt\n.7143 g
        3441 4620 Pnt\n.6984 g 3452 4602 Pnt\n.6984 g 3452 4602 Pnt\n.6825 g
        3449 4605 Pnt\n.6825 g 3449 4605 Pnt\n.6667 g 3451 4581 Pnt\n.6667 g
        3451 4581 Pnt\n.6508 g 3458 4571 Pnt\n.6508 g 3458 4571 Pnt\n.6349 g
        3462 4547 Pnt\n.6349 g 3462 4547 Pnt\n.619 g 3467 4574 Pnt\n.619 g
        3467 4574 Pnt\n.6032 g 3459 4553 Pnt\n.6032 g 3459 4553 Pnt\n.5873 g
        3461 4539 Pnt\n.5873 g 3461 4539 Pnt\n.5714 g 3455 4516 Pnt\n.5714 g
        3455 4516 Pnt\n.5556 g 3457 4520 Pnt\n.5556 g 3457 4520 Pnt\n.5397 g
        3461 4497 Pnt\n.5397 g 3461 4497 Pnt\n.5238 g 3458 4483 Pnt\n.5238 g
        3458 4483 Pnt\n.5079 g 3460 4459 Pnt\n.5079 g 3460 4459 Pnt\n.4921 g
        3393 4527 Pnt\n.4921 g 3393 4527 Pnt\n.4762 g 3410 4526 Pnt\n.4762 g
        3410 4526 Pnt\n.4603 g 3417 4517 Pnt\n.4603 g 3417 4517 Pnt\n.4444 g
        3433 4512 Pnt\n.4444 g 3433 4512 Pnt\n.4286 g 3430 4512 Pnt\n.4286 g
        3430 4512 Pnt\n.4127 g 3441 4494 Pnt\n.4127 g 3441 4494 Pnt\n.3968 g
        3450 4491 Pnt\n.3968 g 3450 4491 Pnt\n.381 g 3463 4476 Pnt\n.381 g
        3463 4476 Pnt\n.3651 g 3456 4502 Pnt\n.3651 g 3456 4502 Pnt\n.3492 g
        3459 4478 Pnt\n.3492 g 3459 4478 Pnt\n.3333 g 3465 4468 Pnt\n.3333 g
        3465 4468 Pnt\n.3175 g 3469 4444 Pnt\n.3175 g 3469 4444 Pnt\n.3016 g
        3469 4449 Pnt\n.3016 g 3469 4449 Pnt\n.2857 g 3482 4434 Pnt\n.2857 g
        3482 4434 Pnt\n.2698 g 3485 4420 Pnt\n.2698 g 3485 4420 Pnt\n.254 g
        3496 4403 Pnt\n.254 g 3496 4403 Pnt\n.2381 g 3502 4467 Pnt\n.2381 g
        3502 4467 Pnt\n.2222 g 3494 4446 Pnt\n.2222 g 3494 4446 Pnt\n.2063 g
        3495 4432 Pnt\n.2063 g 3495 4432 Pnt\n.1905 g 3490 4409 Pnt\n.1905 g
        3490 4409 Pnt\n.1746 g 3491 4413 Pnt\n.1746 g 3491 4413 Pnt\n.1587 g
        3496 4389 Pnt\n.1587 g 3496 4389 Pnt\n.1429 g 3493 4376 Pnt\n.1429 g
        3493 4376 Pnt\n.127 g 3495 4352 Pnt\n.127 g 3495 4352 Pnt\n.1111 g
        3483 4375 Pnt\n.1111 g 3483 4375 Pnt\n.0952 g 3496 4359 Pnt\n.0952 g
        3496 4359 Pnt\n.0794 g 3499 4346 Pnt\n.0794 g 3499 4346 Pnt\n.0635 g
        3510 4328 Pnt\n.0635 g 3510 4328 Pnt\n.0476 g 3508 4331 Pnt\n.0476 g
        3508 4331 Pnt\n.0317 g 3510 4306 Pnt\n.0317 g 3510 4306 Pnt\n.0159 g
        3516 4296 Pnt\n.0159 g 3516 4296 Pnt\n0 g 3521 4272 Pnt\n0 g 3521
        4272 Pnt\n1 g 3663 4515 Pnt\n1 g 3663 4515 Pnt\n.9841 g 3647 4519
        Pnt\n.9841 g 3647 4519 Pnt\n.9683 g 3638 4512 Pnt\n.9683 g 3638 4512
        Pnt\n.9524 g 3622 4512 Pnt\n.9524 g 3622 4512 Pnt\n.9365 g 3625 4511
        Pnt\n.9365 g 3625 4511 Pnt\n.9206 g 3612 4497 Pnt\n.9206 g 3612 4497
        Pnt\n.9048 g 3602 4497 Pnt\n.9048 g 3602 4497 Pnt\n.8889 g 3588 4486
        Pnt\n.8889 g 3588 4486 Pnt\n.873 g 3598 4510 Pnt\n.873 g 3598 4510
        Pnt\n.8571 g 3593 4487 Pnt\n.8571 g 3593 4487 Pnt\n.8413 g 3585 4479
        Pnt\n.8413 g 3585 4479 Pnt\n.8254 g 3577 4457 Pnt\n.8254 g 3577 4457
        Pnt\n.8095 g 3578 4462 Pnt\n.8095 g 3578 4462 Pnt\n.7937 g 3564 4451
        Pnt\n.7937 g 3564 4451 Pnt\n.7778 g 3559 4438 Pnt\n.7778 g 3559 4438
        Pnt\n.7619 g 3546 4424 Pnt\n.7619 g 3546 4424 Pnt\n.746 g 3549 4489
        Pnt\n.746 g 3549 4489 Pnt\n.7302 g 3554 4466 Pnt\n.7302 g 3554 4466
        Pnt\n.7143 g 3551 4453 Pnt\n.7143 g 3551 4453 Pnt\n.6984 g 3553 4428
        Pnt\n.6984 g 3553 4428 Pnt\n.6825 g 3552 4433 Pnt\n.6825 g 3552 4433
        Pnt\n.6667 g 3544 4411 Pnt\n.6667 g 3544 4411 Pnt\n.6508 g 3545 4398
        Pnt\n.6508 g 3545 4398 Pnt\n.6349 g 3540 4375 Pnt\n.6349 g 3540 4375
        Pnt\n.619 g 3554 4393 Pnt\n.619 g 3554 4393 Pnt\n.6032 g 3540 4382
        Pnt\n.6032 g 3540 4382 Pnt\n.5873 g 3535 4370 Pnt\n.5873 g 3535 4370
        Pnt\n.5714 g 3522 4355 Pnt\n.5714 g 3522 4355 Pnt\n.5556 g 3525 4357
        Pnt\n.5556 g 3525 4357 Pnt\n.5397 g 3519 4334 Pnt\n.5397 g 3519 4334
        Pnt\n.5238 g 3512 4326 Pnt\n.5238 g 3512 4326 Pnt\n.5079 g 3504 4304
        Pnt\n.5079 g 3504 4304 Pnt\n.4921 g 3476 4417 Pnt\n.4921 g 3476 4417
        Pnt\n.4762 g 3488 4402 Pnt\n.4762 g 3488 4402 Pnt\n.4603 g 3491 4388
        Pnt\n.4603 g 3491 4388 Pnt\n.4444 g 3502 4371 Pnt\n.4444 g 3502 4371
        Pnt\n.4286 g 3500 4373 Pnt\n.4286 g 3500 4373 Pnt\n.4127 g 3502 4349
        Pnt\n.4127 g 3502 4349 Pnt\n.3968 g 3508 4339 Pnt\n.3968 g 3508 4339
        Pnt\n.381 g 3513 4316 Pnt\n.381 g 3513 4316 Pnt\n.3651 g 3517 4343
        Pnt\n.3651 g 3517 4343 Pnt\n.3492 g 3510 4321 Pnt\n.3492 g 3510 4321
        Pnt\n.3333 g 3511 4308 Pnt\n.3333 g 3511 4308 Pnt\n.3175 g 3505 4285
        Pnt\n.3175 g 3505 4285 Pnt\n.3016 g 3507 4289 Pnt\n.3016 g 3507 4289
        Pnt\n.2857 g 3512 4265 Pnt\n.2857 g 3512 4265 Pnt\n.2698 g 3509 4252
        Pnt\n.2698 g 3509 4252 Pnt\n.254 g 3511 4228 Pnt\n.254 g 3511 4228
        Pnt\n.2381 g 3541 4276 Pnt\n.2381 g 3541 4276 Pnt\n.2222 g 3526 4265
        Pnt\n.2222 g 3526 4265 Pnt\n.2063 g 3522 4252 Pnt\n.2063 g 3522 4252
        Pnt\n.1905 g 3508 4238 Pnt\n.1905 g 3508 4238 Pnt\n.1746 g 3511 4240
        Pnt\n.1746 g 3511 4240 Pnt\n.1587 g 3506 4217 Pnt\n.1587 g 3506 4217
        Pnt\n.1429 g 3498 4209 Pnt\n.1429 g 3498 4209 Pnt\n.127 g 3490 4187
        Pnt\n.127 g 3490 4187 Pnt\n.1111 g 3490 4216 Pnt\n.1111 g 3490 4216
        Pnt\n.0952 g 3494 4192 Pnt\n.0952 g 3494 4192 Pnt\n.0794 g 3491 4179
        Pnt\n.0794 g 3491 4179 Pnt\n.0635 g 3493 4155 Pnt\n.0635 g 3493 4155
        Pnt\n.0476 g 3492 4159 Pnt\n.0476 g 3492 4159 Pnt\n.0317 g 3485 4137
        Pnt\n.0317 g 3485 4137 Pnt\n.0159 g 3486 4124 Pnt\n.0159 g 3486 4124
        Pnt\n0 g 3480 4100 Pnt\n0 g 3480 4100 Pnt\n1 g 3387 4248 Pnt\n1 g
        3387 4248 Pnt\n.9841 g 3404 4246 Pnt\n.9841 g 3404 4246 Pnt\n.9683 g
        3411 4237 Pnt\n.9683 g 3411 4237 Pnt\n.9524 g 3427 4232 Pnt\n.9524 g
        3427 4232 Pnt\n.9365 g 3424 4232 Pnt\n.9365 g 3424 4232 Pnt\n.9206 g
        3435 4215 Pnt\n.9206 g 3435 4215 Pnt\n.9048 g 3444 4212 Pnt\n.9048 g
        3444 4212 Pnt\n.8889 g 3457 4196 Pnt\n.8889 g 3457 4196 Pnt\n.873 g
        3450 4223 Pnt\n.873 g 3450 4223 Pnt\n.8571 g 3452 4198 Pnt\n.8571 g
        3452 4198 Pnt\n.8413 g 3459 4188 Pnt\n.8413 g 3459 4188 Pnt\n.8254 g
        3463 4165 Pnt\n.8254 g 3463 4165 Pnt\n.8095 g 3463 4170 Pnt\n.8095 g
        3463 4170 Pnt\n.7937 g 3476 4154 Pnt\n.7937 g 3476 4154 Pnt\n.7778 g
        3478 4141 Pnt\n.7778 g 3478 4141 Pnt\n.7619 g 3490 4123 Pnt\n.7619 g
        3490 4123 Pnt\n.746 g 3495 4188 Pnt\n.746 g 3495 4188 Pnt\n.7302 g
        3488 4166 Pnt\n.7302 g 3488 4166 Pnt\n.7143 g 3489 4152 Pnt\n.7143 g
        3489 4152 Pnt\n.6984 g 3483 4129 Pnt\n.6984 g 3483 4129 Pnt\n.6825 g
        3485 4133 Pnt\n.6825 g 3485 4133 Pnt\n.6667 g 3490 4110 Pnt\n.6667 g
        3490 4110 Pnt\n.6508 g 3487 4097 Pnt\n.6508 g 3487 4097 Pnt\n.6349 g
        3489 4072 Pnt\n.6349 g 3489 4072 Pnt\n.619 g 3477 4095 Pnt\n.619 g
        3477 4095 Pnt\n.6032 g 3490 4080 Pnt\n.6032 g 3490 4080 Pnt\n.5873 g
        3493 4066 Pnt\n.5873 g 3493 4066 Pnt\n.5714 g 3504 4048 Pnt\n.5714 g
        3504 4048 Pnt\n.5556 g 3501 4051 Pnt\n.5556 g 3501 4051 Pnt\n.5397 g
        3504 4027 Pnt\n.5397 g 3504 4027 Pnt\n.5238 g 3510 4016 Pnt\n.5238 g
        3510 4016 Pnt\n.5079 g 3515 3993 Pnt\n.5079 g 3515 3993 Pnt\n.4921 g
        3558 4095 Pnt\n.4921 g 3558 4095 Pnt\n.4762 g 3543 4084 Pnt\n.4762 g
        3543 4084 Pnt\n.4603 g 3539 4072 Pnt\n.4603 g 3539 4072 Pnt\n.4444 g
        3525 4057 Pnt\n.4444 g 3525 4057 Pnt\n.4286 g 3528 4059 Pnt\n.4286 g
        3528 4059 Pnt\n.4127 g 3523 4036 Pnt\n.4127 g 3523 4036 Pnt\n.3968 g
        3515 4028 Pnt\n.3968 g 3515 4028 Pnt\n.381 g 3507 4006 Pnt\n.381 g
        3507 4006 Pnt\n.3651 g 3507 4035 Pnt\n.3651 g 3507 4035 Pnt\n.3492 g
        3511 4011 Pnt\n.3492 g 3511 4011 Pnt\n.3333 g 3508 3998 Pnt\n.3333 g
        3508 3998 Pnt\n.3175 g 3510 3974 Pnt\n.3175 g 3510 3974 Pnt\n.3016 g
        3509 3978 Pnt\n.3016 g 3509 3978 Pnt\n.2857 g 3502 3957 Pnt\n.2857 g
        3502 3957 Pnt\n.2698 g 3503 3943 Pnt\n.2698 g 3503 3943 Pnt\n.254 g
        3497 3920 Pnt\n.254 g 3497 3920 Pnt\n.2381 g 3475 3976 Pnt\n.2381 g
        3475 3976 Pnt\n.2222 g 3487 3960 Pnt\n.2222 g 3487 3960 Pnt\n.2063 g
        3490 3947 Pnt\n.2063 g 3490 3947 Pnt\n.1905 g 3501 3929 Pnt\n.1905 g
        3501 3929 Pnt\n.1746 g 3499 3932 Pnt\n.1746 g 3499 3932 Pnt\n.1587 g
        3501 3908 Pnt\n.1587 g 3501 3908 Pnt\n.1429 g 3507 3897 Pnt\n.1429 g
        3507 3897 Pnt\n.127 g 3512 3874 Pnt\n.127 g 3512 3874 Pnt\n.1111 g
        3516 3901 Pnt\n.1111 g 3516 3901 Pnt\n.0952 g 3509 3880 Pnt\n.0952 g
        3509 3880 Pnt\n.0794 g 3510 3866 Pnt\n.0794 g 3510 3866 Pnt\n.0635 g
        3505 3842 Pnt\n.0635 g 3505 3842 Pnt\n.0476 g 3506 3847 Pnt\n.0476 g
        3506 3847 Pnt\n.0317 g 3511 3823 Pnt\n.0317 g 3511 3823 Pnt\n.0159 g
        3508 3810 Pnt\n.0159 g 3508 3810 Pnt\n0 g 3510 3785 Pnt\n0 g 3510
        3785 Pnt\n1 g 3806 4027 Pnt\n1 g 3806 4027 Pnt\n.9841 g 3795 4043
        Pnt\n.9841 g 3795 4043 Pnt\n.9683 g 3785 4045 Pnt\n.9683 g 3785 4045
        Pnt\n.9524 g 3772 4059 Pnt\n.9524 g 3772 4059 Pnt\n.9365 g 3774 4056
        Pnt\n.9365 g 3774 4056 Pnt\n.9206 g 3758 4056 Pnt\n.9206 g 3758 4056
        Pnt\n.9048 g 3750 4064 Pnt\n.9048 g 3750 4064 Pnt\n.8889 g 3734 4067
        Pnt\n.8889 g 3734 4067 Pnt\n.873 g 3751 4077 Pnt\n.873 g 3751 4077
        Pnt\n.8571 g 3738 4063 Pnt\n.8571 g 3738 4063 Pnt\n.8413 g 3728 4063
        Pnt\n.8413 g 3728 4063 Pnt\n.8254 g 3714 4052 Pnt\n.8254 g 3714 4052
        Pnt\n.8095 g 3716 4055 Pnt\n.8095 g 3716 4055 Pnt\n.7937 g 3700 4059
        Pnt\n.7937 g 3700 4059 Pnt\n.7778 g 3692 4052 Pnt\n.7778 g 3692 4052
        Pnt\n.7619 g 3675 4052 Pnt\n.7619 g 3675 4052 Pnt\n.746 g 3703 4102
        Pnt\n.746 g 3703 4102 Pnt\n.7302 g 3698 4079 Pnt\n.7302 g 3698 4079
        Pnt\n.7143 g 3690 4071 Pnt\n.7143 g 3690 4071 Pnt\n.6984 g 3683 4050
        Pnt\n.6984 g 3683 4050 Pnt\n.6825 g 3683 4054 Pnt\n.6825 g 3683 4054
        Pnt\n.6667 g 3669 4043 Pnt\n.6667 g 3669 4043 Pnt\n.6508 g 3664 4031
        Pnt\n.6508 g 3664 4031 Pnt\n.6349 g 3651 4017 Pnt\n.6349 g 3651 4017
        Pnt\n.619 g 3670 4020 Pnt\n.619 g 3670 4020 Pnt\n.6032 g 3654 4023
        Pnt\n.6032 g 3654 4023 Pnt\n.5873 g 3645 4017 Pnt\n.5873 g 3645 4017
        Pnt\n.5714 g 3629 4017 Pnt\n.5714 g 3629 4017 Pnt\n.5556 g 3632 4016
        Pnt\n.5556 g 3632 4016 Pnt\n.5397 g 3618 4002 Pnt\n.5397 g 3618 4002
        Pnt\n.5238 g 3609 4001 Pnt\n.5238 g 3609 4001 Pnt\n.5079 g 3594 3990
        Pnt\n.5079 g 3594 3990 Pnt\n.4921 g 3615 4106 Pnt\n.4921 g 3615 4106
        Pnt\n.4762 g 3620 4083 Pnt\n.4762 g 3620 4083 Pnt\n.4603 g 3617 4070
        Pnt\n.4603 g 3617 4070 Pnt\n.4444 g 3619 4046 Pnt\n.4444 g 3619 4046
        Pnt\n.4286 g 3618 4050 Pnt\n.4286 g 3618 4050 Pnt\n.4127 g 3610 4029
        Pnt\n.4127 g 3610 4029 Pnt\n.3968 g 3611 4015 Pnt\n.3968 g 3611 4015
        Pnt\n.381 g 3606 3992 Pnt\n.381 g 3606 3992 Pnt\n.3651 g 3620 4010
        Pnt\n.3651 g 3620 4010 Pnt\n.3492 g 3606 3999 Pnt\n.3492 g 3606 3999
        Pnt\n.3333 g 3601 3987 Pnt\n.3333 g 3601 3987 Pnt\n.3175 g 3588 3973
        Pnt\n.3175 g 3588 3973 Pnt\n.3016 g 3591 3975 Pnt\n.3016 g 3591 3975
        Pnt\n.2857 g 3585 3952 Pnt\n.2857 g 3585 3952 Pnt\n.2698 g 3578 3943
        Pnt\n.2698 g 3578 3943 Pnt\n.254 g 3570 3922 Pnt\n.254 g 3570 3922
        Pnt\n.2381 g 3613 3936 Pnt\n.2381 g 3613 3936 Pnt\n.2222 g 3597 3939
        Pnt\n.2222 g 3597 3939 Pnt\n.2063 g 3588 3933 Pnt\n.2063 g 3588 3933
        Pnt\n.1905 g 3572 3933 Pnt\n.1905 g 3572 3933 Pnt\n.1746 g 3575 3932
        Pnt\n.1746 g 3575 3932 Pnt\n.1587 g 3562 3918 Pnt\n.1587 g 3562 3918
        Pnt\n.1429 g 3552 3917 Pnt\n.1429 g 3552 3917 Pnt\n.127 g 3537 3906
        Pnt\n.127 g 3537 3906 Pnt\n.1111 g 3548 3930 Pnt\n.1111 g 3548 3930
        Pnt\n.0952 g 3542 3907 Pnt\n.0952 g 3542 3907 Pnt\n.0794 g 3535 3899
        Pnt\n.0794 g 3535 3899 Pnt\n.0635 g 3527 3877 Pnt\n.0635 g 3527 3877
        Pnt\n.0476 g 3528 3882 Pnt\n.0476 g 3528 3882 Pnt\n.0317 g 3513 3870
        Pnt\n.0317 g 3513 3870 Pnt\n.0159 g 3509 3858 Pnt\n.0159 g 3509 3858
        Pnt\n0 g 3495 3844 Pnt\n0 g 3495 3844 Pnt\n1 g 3477 4043 Pnt\n1 g
        3477 4043 Pnt\n.9841 g 3489 4028 Pnt\n.9841 g 3489 4028 Pnt\n.9683 g
        3492 4015 Pnt\n.9683 g 3492 4015 Pnt\n.9524 g 3503 3997 Pnt\n.9524 g
        3503 3997 Pnt\n.9365 g 3501 4000 Pnt\n.9365 g 3501 4000 Pnt\n.9206 g
        3503 3976 Pnt\n.9206 g 3503 3976 Pnt\n.9048 g 3509 3965 Pnt\n.9048 g
        3509 3965 Pnt\n.8889 g 3514 3942 Pnt\n.8889 g 3514 3942 Pnt\n.873 g
        3518 3969 Pnt\n.873 g 3518 3969 Pnt\n.8571 g 3511 3948 Pnt\n.8571 g
        3511 3948 Pnt\n.8413 g 3512 3934 Pnt\n.8413 g 3512 3934 Pnt\n.8254 g
        3506 3911 Pnt\n.8254 g 3506 3911 Pnt\n.8095 g 3508 3915 Pnt\n.8095 g
        3508 3915 Pnt\n.7937 g 3513 3891 Pnt\n.7937 g 3513 3891 Pnt\n.7778 g
        3509 3878 Pnt\n.7778 g 3509 3878 Pnt\n.7619 g 3512 3854 Pnt\n.7619 g
        3512 3854 Pnt\n.746 g 3542 3902 Pnt\n.746 g 3542 3902 Pnt\n.7302 g
        3527 3891 Pnt\n.7302 g 3527 3891 Pnt\n.7143 g 3523 3879 Pnt\n.7143 g
        3523 3879 Pnt\n.6984 g 3509 3865 Pnt\n.6984 g 3509 3865 Pnt\n.6825 g
        3512 3866 Pnt\n.6825 g 3512 3866 Pnt\n.6667 g 3507 3843 Pnt\n.6667 g
        3507 3843 Pnt\n.6508 g 3499 3835 Pnt\n.6508 g 3499 3835 Pnt\n.6349 g
        3491 3814 Pnt\n.6349 g 3491 3814 Pnt\n.619 g 3491 3842 Pnt\n.619 g
        3491 3842 Pnt\n.6032 g 3495 3818 Pnt\n.6032 g 3495 3818 Pnt\n.5873 g
        3492 3805 Pnt\n.5873 g 3492 3805 Pnt\n.5714 g 3494 3781 Pnt\n.5714 g
        3494 3781 Pnt\n.5556 g 3493 3785 Pnt\n.5556 g 3493 3785 Pnt\n.5397 g
        3486 3764 Pnt\n.5397 g 3486 3764 Pnt\n.5238 g 3487 3750 Pnt\n.5238 g
        3487 3750 Pnt\n.5079 g 3481 3727 Pnt\n.5079 g 3481 3727 Pnt\n.4921 g
        3556 3773 Pnt\n.4921 g 3556 3773 Pnt\n.4762 g 3540 3777 Pnt\n.4762 g
        3540 3777 Pnt\n.4603 g 3532 3770 Pnt\n.4603 g 3532 3770 Pnt\n.4444 g
        3515 3770 Pnt\n.4444 g 3515 3770 Pnt\n.4286 g 3518 3769 Pnt\n.4286 g
        3518 3769 Pnt\n.4127 g 3505 3755 Pnt\n.4127 g 3505 3755 Pnt\n.3968 g
        3495 3755 Pnt\n.3968 g 3495 3755 Pnt\n.381 g 3481 3744 Pnt\n.381 g
        3481 3744 Pnt\n.3651 g 3491 3768 Pnt\n.3651 g 3491 3768 Pnt\n.3492 g
        3486 3745 Pnt\n.3492 g 3486 3745 Pnt\n.3333 g 3478 3736 Pnt\n.3333 g
        3478 3736 Pnt\n.3175 g 3470 3715 Pnt\n.3175 g 3470 3715 Pnt\n.3016 g
        3471 3719 Pnt\n.3016 g 3471 3719 Pnt\n.2857 g 3456 3708 Pnt\n.2857 g
        3456 3708 Pnt\n.2698 g 3452 3696 Pnt\n.2698 g 3452 3696 Pnt\n.254 g
        3438 3682 Pnt\n.254 g 3438 3682 Pnt\n.2381 g 3442 3747 Pnt\n.2381 g
        3442 3747 Pnt\n.2222 g 3446 3723 Pnt\n.2222 g 3446 3723 Pnt\n.2063 g
        3443 3710 Pnt\n.2063 g 3443 3710 Pnt\n.1905 g 3446 3686 Pnt\n.1905 g
        3446 3686 Pnt\n.1746 g 3444 3690 Pnt\n.1746 g 3444 3690 Pnt\n.1587 g
        3437 3669 Pnt\n.1587 g 3437 3669 Pnt\n.1429 g 3438 3655 Pnt\n.1429 g
        3438 3655 Pnt\n.127 g 3432 3632 Pnt\n.127 g 3432 3632 Pnt\n.1111 g
        3447 3650 Pnt\n.1111 g 3447 3650 Pnt\n.0952 g 3432 3639 Pnt\n.0952 g
        3432 3639 Pnt\n.0794 g 3428 3627 Pnt\n.0794 g 3428 3627 Pnt\n.0635 g
        3414 3612 Pnt\n.0635 g 3414 3612 Pnt\n.0476 g 3417 3614 Pnt\n.0476 g
        3417 3614 Pnt\n.0317 g 3412 3591 Pnt\n.0317 g 3412 3591 Pnt\n.0159 g
        3404 3583 Pnt\n.0159 g 3404 3583 Pnt\n0 g 3396 3561 Pnt\n0 g 3396
        3561 Pnt\n1 g 3290 3842 Pnt\n1 g 3290 3842 Pnt\n.9841 g 3306 3841
        Pnt\n.9841 g 3306 3841 Pnt\n.9683 g 3314 3832 Pnt\n.9683 g 3314 3832
        Pnt\n.9524 g 3330 3827 Pnt\n.9524 g 3330 3827 Pnt\n.9365 g 3326 3827
        Pnt\n.9365 g 3326 3827 Pnt\n.9206 g 3338 3809 Pnt\n.9206 g 3338 3809
        Pnt\n.9048 g 3347 3806 Pnt\n.9048 g 3347 3806 Pnt\n.8889 g 3360 3791
        Pnt\n.8889 g 3360 3791 Pnt\n.873 g 3353 3817 Pnt\n.873 g 3353 3817
        Pnt\n.8571 g 3355 3793 Pnt\n.8571 g 3355 3793 Pnt\n.8413 g 3361 3783
        Pnt\n.8413 g 3361 3783 Pnt\n.8254 g 3366 3759 Pnt\n.8254 g 3366 3759
        Pnt\n.8095 g 3366 3764 Pnt\n.8095 g 3366 3764 Pnt\n.7937 g 3379 3749
        Pnt\n.7937 g 3379 3749 Pnt\n.7778 g 3381 3735 Pnt\n.7778 g 3381 3735
        Pnt\n.7619 g 3392 3718 Pnt\n.7619 g 3392 3718 Pnt\n.746 g 3398 3782
        Pnt\n.746 g 3398 3782 Pnt\n.7302 g 3390 3761 Pnt\n.7302 g 3390 3761
        Pnt\n.7143 g 3392 3747 Pnt\n.7143 g 3392 3747 Pnt\n.6984 g 3386 3724
        Pnt\n.6984 g 3386 3724 Pnt\n.6825 g 3388 3728 Pnt\n.6825 g 3388 3728
        Pnt\n.6667 g 3392 3705 Pnt\n.6667 g 3392 3705 Pnt\n.6508 g 3389 3691
        Pnt\n.6508 g 3389 3691 Pnt\n.6349 g 3392 3667 Pnt\n.6349 g 3392 3667
        Pnt\n.619 g 3380 3690 Pnt\n.619 g 3380 3690 Pnt\n.6032 g 3393 3674
        Pnt\n.6032 g 3393 3674 Pnt\n.5873 g 3395 3661 Pnt\n.5873 g 3395 3661
        Pnt\n.5714 g 3407 3643 Pnt\n.5714 g 3407 3643 Pnt\n.5556 g 3404 3646
        Pnt\n.5556 g 3404 3646 Pnt\n.5397 g 3406 3621 Pnt\n.5397 g 3406 3621
        Pnt\n.5238 g 3413 3611 Pnt\n.5238 g 3413 3611 Pnt\n.5079 g 3417 3588
        Pnt\n.5079 g 3417 3588 Pnt\n.4921 g 3460 3690 Pnt\n.4921 g 3460 3690
        Pnt\n.4762 g 3446 3679 Pnt\n.4762 g 3446 3679 Pnt\n.4603 g 3441 3666
        Pnt\n.4603 g 3441 3666 Pnt\n.4444 g 3428 3652 Pnt\n.4444 g 3428 3652
        Pnt\n.4286 g 3431 3654 Pnt\n.4286 g 3431 3654 Pnt\n.4127 g 3425 3631
        Pnt\n.4127 g 3425 3631 Pnt\n.3968 g 3418 3623 Pnt\n.3968 g 3418 3623
        Pnt\n.381 g 3410 3601 Pnt\n.381 g 3410 3601 Pnt\n.3651 g 3409 3629
        Pnt\n.3651 g 3409 3629 Pnt\n.3492 g 3414 3606 Pnt\n.3492 g 3414 3606
        Pnt\n.3333 g 3411 3593 Pnt\n.3333 g 3411 3593 Pnt\n.3175 g 3413 3569
        Pnt\n.3175 g 3413 3569 Pnt\n.3016 g 3412 3573 Pnt\n.3016 g 3412 3573
        Pnt\n.2857 g 3404 3551 Pnt\n.2857 g 3404 3551 Pnt\n.2698 g 3406 3537
        Pnt\n.2698 g 3406 3537 Pnt\n.254 g 3400 3514 Pnt\n.254 g 3400 3514
        Pnt\n.2381 g 3377 3570 Pnt\n.2381 g 3377 3570 Pnt\n.2222 g 3390 3555
        Pnt\n.2222 g 3390 3555 Pnt\n.2063 g 3393 3542 Pnt\n.2063 g 3393 3542
        Pnt\n.1905 g 3404 3524 Pnt\n.1905 g 3404 3524 Pnt\n.1746 g 3401 3527
        Pnt\n.1746 g 3401 3527 Pnt\n.1587 g 3404 3502 Pnt\n.1587 g 3404 3502
        Pnt\n.1429 g 3410 3492 Pnt\n.1429 g 3410 3492 Pnt\n.127 g 3415 3468
        Pnt\n.127 g 3415 3468 Pnt\n.1111 g 3419 3496 Pnt\n.1111 g 3419 3496
        Pnt\n.0952 g 3412 3474 Pnt\n.0952 g 3412 3474 Pnt\n.0794 g 3413 3460
        Pnt\n.0794 g 3413 3460 Pnt\n.0635 g 3407 3437 Pnt\n.0635 g 3407 3437
        Pnt\n.0476 g 3409 3441 Pnt\n.0476 g 3409 3441 Pnt\n.0317 g 3413 3418
        Pnt\n.0317 g 3413 3418 Pnt\n.0159 g 3410 3404 Pnt\n.0159 g 3410 3404
        Pnt\n0 g 3413 3380 Pnt\n0 g 3413 3380 Pnt\n1 g 3524 3497 Pnt\n1 g
        3524 3497 Pnt\n.9841 g 3508 3500 Pnt\n.9841 g 3508 3500 Pnt\n.9683 g
        3500 3494 Pnt\n.9683 g 3500 3494 Pnt\n.9524 g 3483 3494 Pnt\n.9524 g
        3483 3494 Pnt\n.9365 g 3486 3493 Pnt\n.9365 g 3486 3493 Pnt\n.9206 g
        3473 3479 Pnt\n.9206 g 3473 3479 Pnt\n.9048 g 3463 3479 Pnt\n.9048 g
        3463 3479 Pnt\n.8889 g 3449 3467 Pnt\n.8889 g 3449 3467 Pnt\n.873 g
        3459 3491 Pnt\n.873 g 3459 3491 Pnt\n.8571 g 3454 3468 Pnt\n.8571 g
        3454 3468 Pnt\n.8413 g 3446 3460 Pnt\n.8413 g 3446 3460 Pnt\n.8254 g
        3438 3438 Pnt\n.8254 g 3438 3438 Pnt\n.8095 g 3439 3443 Pnt\n.8095 g
        3439 3443 Pnt\n.7937 g 3424 3431 Pnt\n.7937 g 3424 3431 Pnt\n.7778 g
        3420 3419 Pnt\n.7778 g 3420 3419 Pnt\n.7619 g 3406 3405 Pnt\n.7619 g
        3406 3405 Pnt\n.746 g 3410 3470 Pnt\n.746 g 3410 3470 Pnt\n.7302 g
        3414 3447 Pnt\n.7302 g 3414 3447 Pnt\n.7143 g 3411 3433 Pnt\n.7143 g
        3411 3433 Pnt\n.6984 g 3413 3409 Pnt\n.6984 g 3413 3409 Pnt\n.6825 g
        3412 3414 Pnt\n.6825 g 3412 3414 Pnt\n.6667 g 3405 3392 Pnt\n.6667 g
        3405 3392 Pnt\n.6508 g 3406 3378 Pnt\n.6508 g 3406 3378 Pnt\n.6349 g
        3400 3355 Pnt\n.6349 g 3400 3355 Pnt\n.619 g 3415 3374 Pnt\n.619 g
        3415 3374 Pnt\n.6032 g 3400 3362 Pnt\n.6032 g 3400 3362 Pnt\n.5873 g
        3396 3350 Pnt\n.5873 g 3396 3350 Pnt\n.5714 g 3382 3336 Pnt\n.5714 g
        3382 3336 Pnt\n.5556 g 3385 3338 Pnt\n.5556 g 3385 3338 Pnt\n.5397 g
        3380 3314 Pnt\n.5397 g 3380 3314 Pnt\n.5238 g 3372 3306 Pnt\n.5238 g
        3372 3306 Pnt\n.5079 g 3364 3284 Pnt\n.5079 g 3364 3284 Pnt\n.4921 g
        3336 3398 Pnt\n.4921 g 3336 3398 Pnt\n.4762 g 3349 3382 Pnt\n.4762 g
        3349 3382 Pnt\n.4603 g 3351 3369 Pnt\n.4603 g 3351 3369 Pnt\n.4444 g
        3363 3351 Pnt\n.4444 g 3363 3351 Pnt\n.4286 g 3360 3354 Pnt\n.4286 g
        3360 3354 Pnt\n.4127 g 3362 3330 Pnt\n.4127 g 3362 3330 Pnt\n.3968 g
        3369 3319 Pnt\n.3968 g 3369 3319 Pnt\n.381 g 3373 3296 Pnt\n.381 g
        3373 3296 Pnt\n.3651 g 3378 3323 Pnt\n.3651 g 3378 3323 Pnt\n.3492 g
        3370 3301 Pnt\n.3492 g 3370 3301 Pnt\n.3333 g 3371 3288 Pnt\n.3333 g
        3371 3288 Pnt\n.3175 g 3366 3264 Pnt\n.3175 g 3366 3264 Pnt\n.3016 g
        3368 3268 Pnt\n.3016 g 3368 3268 Pnt\n.2857 g 3372 3245 Pnt\n.2857 g
        3372 3245 Pnt\n.2698 g 3369 3232 Pnt\n.2698 g 3369 3232 Pnt\n.254 g
        3371 3207 Pnt\n.254 g 3371 3207 Pnt\n.2381 g 3401 3256 Pnt\n.2381 g
        3401 3256 Pnt\n.2222 g 3387 3244 Pnt\n.2222 g 3387 3244 Pnt\n.2063 g
        3382 3232 Pnt\n.2063 g 3382 3232 Pnt\n.1905 g 3369 3218 Pnt\n.1905 g
        3369 3218 Pnt\n.1746 g 3372 3220 Pnt\n.1746 g 3372 3220 Pnt\n.1587 g
        3366 3197 Pnt\n.1587 g 3366 3197 Pnt\n.1429 g 3358 3188 Pnt\n.1429 g
        3358 3188 Pnt\n.127 g 3351 3166 Pnt\n.127 g 3351 3166 Pnt\n.1111 g
        3350 3195 Pnt\n.1111 g 3350 3195 Pnt\n.0952 g 3354 3171 Pnt\n.0952 g
        3354 3171 Pnt\n.0794 g 3351 3158 Pnt\n.0794 g 3351 3158 Pnt\n.0635 g
        3354 3134 Pnt\n.0635 g 3354 3134 Pnt\n.0476 g 3352 3138 Pnt\n.0476 g
        3352 3138 Pnt\n.0317 g 3345 3116 Pnt\n.0317 g 3345 3116 Pnt\n.0159 g
        3346 3102 Pnt\n.0159 g 3346 3102 Pnt\n0 g 3340 3079 Pnt\n0 g 3340
        3079 Pnt\n1 g 3854 3205 Pnt\n1 g 3854 3205 Pnt\n.9841 g 3851 3229
        Pnt\n.9841 g 3851 3229 Pnt\n.9683 g 3844 3239 Pnt\n.9683 g 3844 3239
        Pnt\n.9524 g 3839 3261 Pnt\n.9524 g 3839 3261 Pnt\n.9365 g 3839 3257
        Pnt\n.9365 g 3839 3257 Pnt\n.9206 g 3826 3271 Pnt\n.9206 g 3826 3271
        Pnt\n.9048 g 3823 3284 Pnt\n.9048 g 3823 3284 Pnt\n.8889 g 3811 3300
        Pnt\n.8889 g 3811 3300 Pnt\n.873 g 3829 3294 Pnt\n.873 g 3829 3294
        Pnt\n.8571 g 3813 3294 Pnt\n.8571 g 3813 3294 Pnt\n.8413 g 3805 3302
        Pnt\n.8413 g 3805 3302 Pnt\n.8254 g 3789 3305 Pnt\n.8254 g 3789 3305
        Pnt\n.8095 g 3792 3305 Pnt\n.8095 g 3792 3305 Pnt\n.7937 g 3780 3322
        Pnt\n.7937 g 3780 3322 Pnt\n.7778 g 3770 3324 Pnt\n.7778 g 3770 3324
        Pnt\n.7619 g 3757 3338 Pnt\n.7619 g 3757 3338 Pnt\n.746 g 3799 3355
        Pnt\n.746 g 3799 3355 Pnt\n.7302 g 3786 3341 Pnt\n.7302 g 3786 3341
        Pnt\n.7143 g 3777 3341 Pnt\n.7143 g 3777 3341 Pnt\n.6984 g 3762 3330
        Pnt\n.6984 g 3762 3330 Pnt\n.6825 g 3765 3333 Pnt\n.6825 g 3765 3333
        Pnt\n.6667 g 3748 3336 Pnt\n.6667 g 3748 3336 Pnt\n.6508 g 3740 3330
        Pnt\n.6508 g 3740 3330 Pnt\n.6349 g 3723 3330 Pnt\n.6349 g 3723 3330
        Pnt\n.619 g 3740 3316 Pnt\n.619 g 3740 3316 Pnt\n.6032 g 3728 3333
        Pnt\n.6032 g 3728 3333 Pnt\n.5873 g 3719 3335 Pnt\n.5873 g 3719 3335
        Pnt\n.5714 g 3705 3349 Pnt\n.5714 g 3705 3349 Pnt\n.5556 g 3707 3345
        Pnt\n.5556 g 3707 3345 Pnt\n.5397 g 3691 3345 Pnt\n.5397 g 3691 3345
        Pnt\n.5238 g 3683 3353 Pnt\n.5238 g 3683 3353 Pnt\n.5079 g 3667 3356
        Pnt\n.5079 g 3667 3356 Pnt\n.4921 g 3729 3433 Pnt\n.4921 g 3729 3433
        Pnt\n.4762 g 3724 3410 Pnt\n.4762 g 3724 3410 Pnt\n.4603 g 3716 3402
        Pnt\n.4603 g 3716 3402 Pnt\n.4444 g 3708 3381 Pnt\n.4444 g 3708 3381
        Pnt\n.4286 g 3709 3385 Pnt\n.4286 g 3709 3385 Pnt\n.4127 g 3695 3374
        Pnt\n.4127 g 3695 3374 Pnt\n.3968 g 3690 3362 Pnt\n.3968 g 3690 3362
        Pnt\n.381 g 3677 3348 Pnt\n.381 g 3677 3348 Pnt\n.3651 g 3696 3351
        Pnt\n.3651 g 3696 3351 Pnt\n.3492 g 3679 3354 Pnt\n.3492 g 3679 3354
        Pnt\n.3333 g 3671 3348 Pnt\n.3333 g 3671 3348 Pnt\n.3175 g 3655 3348
        Pnt\n.3175 g 3655 3348 Pnt\n.3016 g 3658 3347 Pnt\n.3016 g 3658 3347
        Pnt\n.2857 g 3644 3333 Pnt\n.2857 g 3644 3333 Pnt\n.2698 g 3635 3332
        Pnt\n.2698 g 3635 3332 Pnt\n.254 g 3620 3321 Pnt\n.254 g 3620 3321
        Pnt\n.2381 g 3661 3296 Pnt\n.2381 g 3661 3296 Pnt\n.2222 g 3649 3312
        Pnt\n.2222 g 3649 3312 Pnt\n.2063 g 3639 3314 Pnt\n.2063 g 3639 3314
        Pnt\n.1905 g 3626 3328 Pnt\n.1905 g 3626 3328 Pnt\n.1746 g 3628 3325
        Pnt\n.1746 g 3628 3325 Pnt\n.1587 g 3612 3325 Pnt\n.1587 g 3612 3325
        Pnt\n.1429 g 3604 3333 Pnt\n.1429 g 3604 3333 Pnt\n.127 g 3587 3336
        Pnt\n.127 g 3587 3336 Pnt\n.1111 g 3605 3347 Pnt\n.1111 g 3605 3347
        Pnt\n.0952 g 3592 3333 Pnt\n.0952 g 3592 3333 Pnt\n.0794 g 3582 3332
        Pnt\n.0794 g 3582 3332 Pnt\n.0635 g 3568 3321 Pnt\n.0635 g 3568 3321
        Pnt\n.0476 g 3570 3324 Pnt\n.0476 g 3570 3324 Pnt\n.0317 g 3554 3328
        Pnt\n.0317 g 3554 3328 Pnt\n.0159 g 3545 3321 Pnt\n.0159 g 3545 3321
        Pnt\n0 g 3529 3321 Pnt\n0 g 3529 3321 Pnt\n1 g 3591 3500 Pnt\n1 g
        3591 3500 Pnt\n.9841 g 3596 3477 Pnt\n.9841 g 3596 3477 Pnt\n.9683 g
        3593 3464 Pnt\n.9683 g 3593 3464 Pnt\n.9524 g 3595 3440 Pnt\n.9524 g
        3595 3440 Pnt\n.9365 g 3594 3444 Pnt\n.9365 g 3594 3444 Pnt\n.9206 g
        3586 3422 Pnt\n.9206 g 3586 3422 Pnt\n.9048 g 3588 3409 Pnt\n.9048 g
        3588 3409 Pnt\n.8889 g 3582 3386 Pnt\n.8889 g 3582 3386 Pnt\n.873 g
        3596 3404 Pnt\n.873 g 3596 3404 Pnt\n.8571 g 3582 3393 Pnt\n.8571 g
        3582 3393 Pnt\n.8413 g 3577 3381 Pnt\n.8413 g 3577 3381 Pnt\n.8254 g
        3564 3367 Pnt\n.8254 g 3564 3367 Pnt\n.8095 g 3567 3368 Pnt\n.8095 g
        3567 3368 Pnt\n.7937 g 3561 3345 Pnt\n.7937 g 3561 3345 Pnt\n.7778 g
        3554 3337 Pnt\n.7778 g 3554 3337 Pnt\n.7619 g 3546 3316 Pnt\n.7619 g
        3546 3316 Pnt\n.746 g 3589 3329 Pnt\n.746 g 3589 3329 Pnt\n.7302 g
        3573 3333 Pnt\n.7302 g 3573 3333 Pnt\n.7143 g 3565 3326 Pnt\n.7143 g
        3565 3326 Pnt\n.6984 g 3548 3326 Pnt\n.6984 g 3548 3326 Pnt\n.6825 g
        3551 3325 Pnt\n.6825 g 3551 3325 Pnt\n.6667 g 3538 3311 Pnt\n.6667 g
        3538 3311 Pnt\n.6508 g 3528 3311 Pnt\n.6508 g 3528 3311 Pnt\n.6349 g
        3514 3300 Pnt\n.6349 g 3514 3300 Pnt\n.619 g 3524 3324 Pnt\n.619 g
        3524 3324 Pnt\n.6032 g 3519 3301 Pnt\n.6032 g 3519 3301 Pnt\n.5873 g
        3511 3293 Pnt\n.5873 g 3511 3293 Pnt\n.5714 g 3503 3271 Pnt\n.5714 g
        3503 3271 Pnt\n.5556 g 3504 3275 Pnt\n.5556 g 3504 3275 Pnt\n.5397 g
        3489 3264 Pnt\n.5397 g 3489 3264 Pnt\n.5238 g 3485 3252 Pnt\n.5238 g
        3485 3252 Pnt\n.5079 g 3471 3238 Pnt\n.5079 g 3471 3238 Pnt\n.4921 g
        3551 3212 Pnt\n.4921 g 3551 3212 Pnt\n.4762 g 3539 3228 Pnt\n.4762 g
        3539 3228 Pnt\n.4603 g 3530 3230 Pnt\n.4603 g 3530 3230 Pnt\n.4444 g
        3516 3244 Pnt\n.4444 g 3516 3244 Pnt\n.4286 g 3518 3241 Pnt\n.4286 g
        3518 3241 Pnt\n.4127 g 3502 3241 Pnt\n.4127 g 3502 3241 Pnt\n.3968 g
        3494 3249 Pnt\n.3968 g 3494 3249 Pnt\n.381 g 3478 3252 Pnt\n.381 g
        3478 3252 Pnt\n.3651 g 3495 3263 Pnt\n.3651 g 3495 3263 Pnt\n.3492 g
        3482 3249 Pnt\n.3492 g 3482 3249 Pnt\n.3333 g 3473 3248 Pnt\n.3333 g
        3473 3248 Pnt\n.3175 g 3458 3237 Pnt\n.3175 g 3458 3237 Pnt\n.3016 g
        3460 3240 Pnt\n.3016 g 3460 3240 Pnt\n.2857 g 3444 3244 Pnt\n.2857 g
        3444 3244 Pnt\n.2698 g 3435 3237 Pnt\n.2698 g 3435 3237 Pnt\n.254 g
        3419 3237 Pnt\n.254 g 3419 3237 Pnt\n.2381 g 3447 3288 Pnt\n.2381 g
        3447 3288 Pnt\n.2222 g 3442 3265 Pnt\n.2222 g 3442 3265 Pnt\n.2063 g
        3434 3257 Pnt\n.2063 g 3434 3257 Pnt\n.1905 g 3426 3235 Pnt\n.1905 g
        3426 3235 Pnt\n.1746 g 3427 3239 Pnt\n.1746 g 3427 3239 Pnt\n.1587 g
        3412 3228 Pnt\n.1587 g 3412 3228 Pnt\n.1429 g 3408 3216 Pnt\n.1429 g
        3408 3216 Pnt\n.127 g 3394 3202 Pnt\n.127 g 3394 3202 Pnt\n.1111 g
        3414 3204 Pnt\n.1111 g 3414 3204 Pnt\n.0952 g 3397 3208 Pnt\n.0952 g
        3397 3208 Pnt\n.0794 g 3389 3201 Pnt\n.0794 g 3389 3201 Pnt\n.0635 g
        3372 3201 Pnt\n.0635 g 3372 3201 Pnt\n.0476 g 3375 3200 Pnt\n.0476 g
        3375 3200 Pnt\n.0317 g 3362 3186 Pnt\n.0317 g 3362 3186 Pnt\n.0159 g
        3352 3186 Pnt\n.0159 g 3352 3186 Pnt\n0 g 3337 3175 Pnt\n0 g 3337
        3175 Pnt\n1 g 3360 3495 Pnt\n1 g 3360 3495 Pnt\n.9841 g 3373 3480
        Pnt\n.9841 g 3373 3480 Pnt\n.9683 g 3376 3467 Pnt\n.9683 g 3376 3467
        Pnt\n.9524 g 3387 3449 Pnt\n.9524 g 3387 3449 Pnt\n.9365 g 3384 3451
        Pnt\n.9365 g 3384 3451 Pnt\n.9206 g 3386 3427 Pnt\n.9206 g 3386 3427
        Pnt\n.9048 g 3393 3417 Pnt\n.9048 g 3393 3417 Pnt\n.8889 g 3397 3394
        Pnt\n.8889 g 3397 3394 Pnt\n.873 g 3402 3421 Pnt\n.873 g 3402 3421
        Pnt\n.8571 g 3394 3400 Pnt\n.8571 g 3394 3400 Pnt\n.8413 g 3396 3386
        Pnt\n.8413 g 3396 3386 Pnt\n.8254 g 3390 3363 Pnt\n.8254 g 3390 3363
        Pnt\n.8095 g 3392 3367 Pnt\n.8095 g 3392 3367 Pnt\n.7937 g 3396 3343
        Pnt\n.7937 g 3396 3343 Pnt\n.7778 g 3393 3330 Pnt\n.7778 g 3393 3330
        Pnt\n.7619 g 3395 3306 Pnt\n.7619 g 3395 3306 Pnt\n.746 g 3425 3354
        Pnt\n.746 g 3425 3354 Pnt\n.7302 g 3411 3343 Pnt\n.7302 g 3411 3343
        Pnt\n.7143 g 3406 3330 Pnt\n.7143 g 3406 3330 Pnt\n.6984 g 3393 3316
        Pnt\n.6984 g 3393 3316 Pnt\n.6825 g 3396 3318 Pnt\n.6825 g 3396 3318
        Pnt\n.6667 g 3390 3295 Pnt\n.6667 g 3390 3295 Pnt\n.6508 g 3383 3287
        Pnt\n.6508 g 3383 3287 Pnt\n.6349 g 3375 3265 Pnt\n.6349 g 3375 3265
        Pnt\n.619 g 3374 3294 Pnt\n.619 g 3374 3294 Pnt\n.6032 g 3379 3270
        Pnt\n.6032 g 3379 3270 Pnt\n.5873 g 3376 3257 Pnt\n.5873 g 3376 3257
        Pnt\n.5714 g 3378 3233 Pnt\n.5714 g 3378 3233 Pnt\n.5556 g 3377 3237
        Pnt\n.5556 g 3377 3237 Pnt\n.5397 g 3369 3216 Pnt\n.5397 g 3369 3216
        Pnt\n.5238 g 3370 3202 Pnt\n.5238 g 3370 3202 Pnt\n.5079 g 3365 3178
        Pnt\n.5079 g 3365 3178 Pnt\n.4921 g 3440 3225 Pnt\n.4921 g 3440 3225
        Pnt\n.4762 g 3424 3229 Pnt\n.4762 g 3424 3229 Pnt\n.4603 g 3415 3222
        Pnt\n.4603 g 3415 3222 Pnt\n.4444 g 3399 3222 Pnt\n.4444 g 3399 3222
        Pnt\n.4286 g 3402 3221 Pnt\n.4286 g 3402 3221 Pnt\n.4127 g 3388 3207
        Pnt\n.4127 g 3388 3207 Pnt\n.3968 g 3379 3207 Pnt\n.3968 g 3379 3207
        Pnt\n.381 g 3364 3196 Pnt\n.381 g 3364 3196 Pnt\n.3651 g 3375 3219
        Pnt\n.3651 g 3375 3219 Pnt\n.3492 g 3369 3196 Pnt\n.3492 g 3369 3196
        Pnt\n.3333 g 3362 3188 Pnt\n.3333 g 3362 3188 Pnt\n.3175 g 3354 3167
        Pnt\n.3175 g 3354 3167 Pnt\n.3016 g 3355 3171 Pnt\n.3016 g 3355 3171
        Pnt\n.2857 g 3340 3160 Pnt\n.2857 g 3340 3160 Pnt\n.2698 g 3336 3148
        Pnt\n.2698 g 3336 3148 Pnt\n.254 g 3322 3133 Pnt\n.254 g 3322 3133
        Pnt\n.2381 g 3326 3199 Pnt\n.2381 g 3326 3199 Pnt\n.2222 g 3330 3175
        Pnt\n.2222 g 3330 3175 Pnt\n.2063 g 3327 3162 Pnt\n.2063 g 3327 3162
        Pnt\n.1905 g 3329 3138 Pnt\n.1905 g 3329 3138 Pnt\n.1746 g 3328 3142
        Pnt\n.1746 g 3328 3142 Pnt\n.1587 g 3320 3121 Pnt\n.1587 g 3320 3121
        Pnt\n.1429 g 3322 3107 Pnt\n.1429 g 3322 3107 Pnt\n.127 g 3316 3083
        Pnt\n.127 g 3316 3083 Pnt\n.1111 g 3331 3102 Pnt\n.1111 g 3331 3102
        Pnt\n.0952 g 3316 3091 Pnt\n.0952 g 3316 3091 Pnt\n.0794 g 3311 3078
        Pnt\n.0794 g 3311 3078 Pnt\n.0635 g 3298 3064 Pnt\n.0635 g 3298 3064
        Pnt\n.0476 g 3301 3066 Pnt\n.0476 g 3301 3066 Pnt\n.0317 g 3295 3043
        Pnt\n.0317 g 3295 3043 Pnt\n.0159 g 3288 3035 Pnt\n.0159 g 3288 3035
        Pnt\n0 g 3280 3013 Pnt\n0 g 3280 3013 Pnt\n1 g 3417 3013 Pnt\n1 g
        3417 3013 Pnt\n.9841 g 3405 3030 Pnt\n.9841 g 3405 3030 Pnt\n.9683 g
        3395 3032 Pnt\n.9683 g 3395 3032 Pnt\n.9524 g 3382 3046 Pnt\n.9524 g
        3382 3046 Pnt\n.9365 g 3384 3042 Pnt\n.9365 g 3384 3042 Pnt\n.9206 g
        3368 3042 Pnt\n.9206 g 3368 3042 Pnt\n.9048 g 3360 3050 Pnt\n.9048 g
        3360 3050 Pnt\n.8889 g 3343 3054 Pnt\n.8889 g 3343 3054 Pnt\n.873 g
        3361 3064 Pnt\n.873 g 3361 3064 Pnt\n.8571 g 3348 3050 Pnt\n.8571 g
        3348 3050 Pnt\n.8413 g 3338 3050 Pnt\n.8413 g 3338 3050 Pnt\n.8254 g
        3324 3039 Pnt\n.8254 g 3324 3039 Pnt\n.8095 g 3326 3042 Pnt\n.8095 g
        3326 3042 Pnt\n.7937 g 3310 3045 Pnt\n.7937 g 3310 3045 Pnt\n.7778 g
        3301 3039 Pnt\n.7778 g 3301 3039 Pnt\n.7619 g 3285 3039 Pnt\n.7619 g
        3285 3039 Pnt\n.746 g 3313 3089 Pnt\n.746 g 3313 3089 Pnt\n.7302 g
        3307 3066 Pnt\n.7302 g 3307 3066 Pnt\n.7143 g 3300 3058 Pnt\n.7143 g
        3300 3058 Pnt\n.6984 g 3292 3036 Pnt\n.6984 g 3292 3036 Pnt\n.6825 g
        3293 3041 Pnt\n.6825 g 3293 3041 Pnt\n.6667 g 3278 3030 Pnt\n.6667 g
        3278 3030 Pnt\n.6508 g 3274 3017 Pnt\n.6508 g 3274 3017 Pnt\n.6349 g
        3260 3003 Pnt\n.6349 g 3260 3003 Pnt\n.619 g 3279 3006 Pnt\n.619 g
        3279 3006 Pnt\n.6032 g 3263 3009 Pnt\n.6032 g 3263 3009 Pnt\n.5873 g
        3254 3003 Pnt\n.5873 g 3254 3003 Pnt\n.5714 g 3238 3003 Pnt\n.5714 g
        3238 3003 Pnt\n.5556 g 3241 3002 Pnt\n.5556 g 3241 3002 Pnt\n.5397 g
        3227 2988 Pnt\n.5397 g 3227 2988 Pnt\n.5238 g 3218 2988 Pnt\n.5238 g
        3218 2988 Pnt\n.5079 g 3203 2976 Pnt\n.5079 g 3203 2976 Pnt\n.4921 g
        3224 3093 Pnt\n.4921 g 3224 3093 Pnt\n.4762 g 3229 3069 Pnt\n.4762 g
        3229 3069 Pnt\n.4603 g 3226 3056 Pnt\n.4603 g 3226 3056 Pnt\n.4444 g
        3228 3032 Pnt\n.4444 g 3228 3032 Pnt\n.4286 g 3227 3037 Pnt\n.4286 g
        3227 3037 Pnt\n.4127 g 3219 3015 Pnt\n.4127 g 3219 3015 Pnt\n.3968 g
        3220 3001 Pnt\n.3968 g 3220 3001 Pnt\n.381 g 3215 2978 Pnt\n.381 g
        3215 2978 Pnt\n.3651 g 3229 2996 Pnt\n.3651 g 3229 2996 Pnt\n.3492 g
        3215 2985 Pnt\n.3492 g 3215 2985 Pnt\n.3333 g 3210 2973 Pnt\n.3333 g
        3210 2973 Pnt\n.3175 g 3197 2959 Pnt\n.3175 g 3197 2959 Pnt\n.3016 g
        3200 2960 Pnt\n.3016 g 3200 2960 Pnt\n.2857 g 3194 2937 Pnt\n.2857 g
        3194 2937 Pnt\n.2698 g 3186 2929 Pnt\n.2698 g 3186 2929 Pnt\n.254 g
        3179 2907 Pnt\n.254 g 3179 2907 Pnt\n.2381 g 3222 2921 Pnt\n.2381 g
        3222 2921 Pnt\n.2222 g 3206 2925 Pnt\n.2222 g 3206 2925 Pnt\n.2063 g
        3197 2918 Pnt\n.2063 g 3197 2918 Pnt\n.1905 g 3181 2918 Pnt\n.1905 g
        3181 2918 Pnt\n.1746 g 3184 2917 Pnt\n.1746 g 3184 2917 Pnt\n.1587 g
        3170 2903 Pnt\n.1587 g 3170 2903 Pnt\n.1429 g 3161 2903 Pnt\n.1429 g
        3161 2903 Pnt\n.127 g 3146 2892 Pnt\n.127 g 3146 2892 Pnt\n.1111 g
        3156 2915 Pnt\n.1111 g 3156 2915 Pnt\n.0952 g 3151 2892 Pnt\n.0952 g
        3151 2892 Pnt\n.0794 g 3143 2884 Pnt\n.0794 g 3143 2884 Pnt\n.0635 g
        3135 2862 Pnt\n.0635 g 3135 2862 Pnt\n.0476 g 3136 2867 Pnt\n.0476 g
        3136 2867 Pnt\n.0317 g 3121 2855 Pnt\n.0317 g 3121 2855 Pnt\n.0159 g
        3117 2843 Pnt\n.0159 g 3117 2843 Pnt\n0 g 3103 2829 Pnt\n0 g 3103
        2829 Pnt\n1 g 3020 3315 Pnt\n1 g 3020 3315 Pnt\n.9841 g 3036 3314
        Pnt\n.9841 g 3036 3314 Pnt\n.9683 g 3043 3305 Pnt\n.9683 g 3043 3305
        Pnt\n.9524 g 3060 3300 Pnt\n.9524 g 3060 3300 Pnt\n.9365 g 3056 3300
        Pnt\n.9365 g 3056 3300 Pnt\n.9206 g 3068 3282 Pnt\n.9206 g 3068 3282
        Pnt\n.9048 g 3077 3280 Pnt\n.9048 g 3077 3280 Pnt\n.8889 g 3090 3264
        Pnt\n.8889 g 3090 3264 Pnt\n.873 g 3083 3290 Pnt\n.873 g 3083 3290
        Pnt\n.8571 g 3085 3266 Pnt\n.8571 g 3085 3266 Pnt\n.8413 g 3091 3256
        Pnt\n.8413 g 3091 3256 Pnt\n.8254 g 3096 3233 Pnt\n.8254 g 3096 3233
        Pnt\n.8095 g 3096 3237 Pnt\n.8095 g 3096 3237 Pnt\n.7937 g 3108 3222
        Pnt\n.7937 g 3108 3222 Pnt\n.7778 g 3111 3209 Pnt\n.7778 g 3111 3209
        Pnt\n.7619 g 3122 3191 Pnt\n.7619 g 3122 3191 Pnt\n.746 g 3128 3255
        Pnt\n.746 g 3128 3255 Pnt\n.7302 g 3120 3234 Pnt\n.7302 g 3120 3234
        Pnt\n.7143 g 3122 3220 Pnt\n.7143 g 3122 3220 Pnt\n.6984 g 3116 3197
        Pnt\n.6984 g 3116 3197 Pnt\n.6825 g 3118 3201 Pnt\n.6825 g 3118 3201
        Pnt\n.6667 g 3122 3178 Pnt\n.6667 g 3122 3178 Pnt\n.6508 g 3119 3164
        Pnt\n.6508 g 3119 3164 Pnt\n.6349 g 3121 3140 Pnt\n.6349 g 3121 3140
        Pnt\n.619 g 3110 3163 Pnt\n.619 g 3110 3163 Pnt\n.6032 g 3123 3147
        Pnt\n.6032 g 3123 3147 Pnt\n.5873 g 3125 3134 Pnt\n.5873 g 3125 3134
        Pnt\n.5714 g 3137 3116 Pnt\n.5714 g 3137 3116 Pnt\n.5556 g 3134 3119
        Pnt\n.5556 g 3134 3119 Pnt\n.5397 g 3136 3095 Pnt\n.5397 g 3136 3095
        Pnt\n.5238 g 3143 3084 Pnt\n.5238 g 3143 3084 Pnt\n.5079 g 3147 3061
        Pnt\n.5079 g 3147 3061 Pnt\n.4921 g 3190 3163 Pnt\n.4921 g 3190 3163
        Pnt\n.4762 g 3176 3152 Pnt\n.4762 g 3176 3152 Pnt\n.4603 g 3171 3139
        Pnt\n.4603 g 3171 3139 Pnt\n.4444 g 3158 3125 Pnt\n.4444 g 3158 3125
        Pnt\n.4286 g 3161 3127 Pnt\n.4286 g 3161 3127 Pnt\n.4127 g 3155 3104
        Pnt\n.4127 g 3155 3104 Pnt\n.3968 g 3148 3096 Pnt\n.3968 g 3148 3096
        Pnt\n.381 g 3140 3074 Pnt\n.381 g 3140 3074 Pnt\n.3651 g 3139 3103
        Pnt\n.3651 g 3139 3103 Pnt\n.3492 g 3144 3079 Pnt\n.3492 g 3144 3079
        Pnt\n.3333 g 3141 3066 Pnt\n.3333 g 3141 3066 Pnt\n.3175 g 3143 3042
        Pnt\n.3175 g 3143 3042 Pnt\n.3016 g 3142 3046 Pnt\n.3016 g 3142 3046
        Pnt\n.2857 g 3134 3024 Pnt\n.2857 g 3134 3024 Pnt\n.2698 g 3135 3010
        Pnt\n.2698 g 3135 3010 Pnt\n.254 g 3130 2987 Pnt\n.254 g 3130 2987
        Pnt\n.2381 g 3107 3044 Pnt\n.2381 g 3107 3044 Pnt\n.2222 g 3120 3028
        Pnt\n.2222 g 3120 3028 Pnt\n.2063 g 3123 3015 Pnt\n.2063 g 3123 3015
        Pnt\n.1905 g 3134 2997 Pnt\n.1905 g 3134 2997 Pnt\n.1746 g 3131 3000
        Pnt\n.1746 g 3131 3000 Pnt\n.1587 g 3133 2975 Pnt\n.1587 g 3133 2975
        Pnt\n.1429 g 3140 2965 Pnt\n.1429 g 3140 2965 Pnt\n.127 g 3144 2941
        Pnt\n.127 g 3144 2941 Pnt\n.1111 g 3149 2969 Pnt\n.1111 g 3149 2969
        Pnt\n.0952 g 3141 2947 Pnt\n.0952 g 3141 2947 Pnt\n.0794 g 3143 2933
        Pnt\n.0794 g 3143 2933 Pnt\n.0635 g 3137 2910 Pnt\n.0635 g 3137 2910
        Pnt\n.0476 g 3139 2914 Pnt\n.0476 g 3139 2914 Pnt\n.0317 g 3143 2891
        Pnt\n.0317 g 3143 2891 Pnt\n.0159 g 3140 2877 Pnt\n.0159 g 3140 2877
        Pnt\n0 g 3142 2853 Pnt\n0 g 3142 2853 Pnt\n1 g 3254 2970 Pnt\n1 g
        3254 2970 Pnt\n.9841 g 3238 2973 Pnt\n.9841 g 3238 2973 Pnt\n.9683 g
        3229 2967 Pnt\n.9683 g 3229 2967 Pnt\n.9524 g 3213 2967 Pnt\n.9524 g
        3213 2967 Pnt\n.9365 g 3216 2966 Pnt\n.9365 g 3216 2966 Pnt\n.9206 g
        3203 2952 Pnt\n.9206 g 3203 2952 Pnt\n.9048 g 3193 2952 Pnt\n.9048 g
        3193 2952 Pnt\n.8889 g 3178 2940 Pnt\n.8889 g 3178 2940 Pnt\n.873 g
        3189 2964 Pnt\n.873 g 3189 2964 Pnt\n.8571 g 3183 2941 Pnt\n.8571 g
        3183 2941 Pnt\n.8413 g 3176 2933 Pnt\n.8413 g 3176 2933 Pnt\n.8254 g
        3168 2911 Pnt\n.8254 g 3168 2911 Pnt\n.8095 g 3169 2916 Pnt\n.8095 g
        3169 2916 Pnt\n.7937 g 3154 2905 Pnt\n.7937 g 3154 2905 Pnt\n.7778 g
        3150 2892 Pnt\n.7778 g 3150 2892 Pnt\n.7619 g 3136 2878 Pnt\n.7619 g
        3136 2878 Pnt\n.746 g 3140 2943 Pnt\n.746 g 3140 2943 Pnt\n.7302 g
        3144 2920 Pnt\n.7302 g 3144 2920 Pnt\n.7143 g 3141 2907 Pnt\n.7143 g
        3141 2907 Pnt\n.6984 g 3143 2882 Pnt\n.6984 g 3143 2882 Pnt\n.6825 g
        3142 2887 Pnt\n.6825 g 3142 2887 Pnt\n.6667 g 3135 2865 Pnt\n.6667 g
        3135 2865 Pnt\n.6508 g 3136 2851 Pnt\n.6508 g 3136 2851 Pnt\n.6349 g
        3130 2828 Pnt\n.6349 g 3130 2828 Pnt\n.619 g 3145 2847 Pnt\n.619 g
        3145 2847 Pnt\n.6032 g 3130 2835 Pnt\n.6032 g 3130 2835 Pnt\n.5873 g
        3126 2823 Pnt\n.5873 g 3126 2823 Pnt\n.5714 g 3112 2809 Pnt\n.5714 g
        3112 2809 Pnt\n.5556 g 3115 2811 Pnt\n.5556 g 3115 2811 Pnt\n.5397 g
        3109 2788 Pnt\n.5397 g 3109 2788 Pnt\n.5238 g 3102 2779 Pnt\n.5238 g
        3102 2779 Pnt\n.5079 g 3094 2757 Pnt\n.5079 g 3094 2757 Pnt\n.4921 g
        3066 2871 Pnt\n.4921 g 3066 2871 Pnt\n.4762 g 3078 2855 Pnt\n.4762 g
        3078 2855 Pnt\n.4603 g 3081 2842 Pnt\n.4603 g 3081 2842 Pnt\n.4444 g
        3092 2824 Pnt\n.4444 g 3092 2824 Pnt\n.4286 g 3090 2827 Pnt\n.4286 g
        3090 2827 Pnt\n.4127 g 3092 2803 Pnt\n.4127 g 3092 2803 Pnt\n.3968 g
        3098 2792 Pnt\n.3968 g 3098 2792 Pnt\n.381 g 3103 2769 Pnt\n.381 g
        3103 2769 Pnt\n.3651 g 3108 2796 Pnt\n.3651 g 3108 2796 Pnt\n.3492 g
        3100 2775 Pnt\n.3492 g 3100 2775 Pnt\n.3333 g 3101 2761 Pnt\n.3333 g
        3101 2761 Pnt\n.3175 g 3096 2738 Pnt\n.3175 g 3096 2738 Pnt\n.3016 g
        3097 2742 Pnt\n.3016 g 3097 2742 Pnt\n.2857 g 3102 2718 Pnt\n.2857 g
        3102 2718 Pnt\n.2698 g 3099 2705 Pnt\n.2698 g 3099 2705 Pnt\n.254 g
        3101 2680 Pnt\n.254 g 3101 2680 Pnt\n.2381 g 3131 2729 Pnt\n.2381 g
        3131 2729 Pnt\n.2222 g 3116 2718 Pnt\n.2222 g 3116 2718 Pnt\n.2063 g
        3112 2705 Pnt\n.2063 g 3112 2705 Pnt\n.1905 g 3098 2691 Pnt\n.1905 g
        3098 2691 Pnt\n.1746 g 3101 2693 Pnt\n.1746 g 3101 2693 Pnt\n.1587 g
        3096 2670 Pnt\n.1587 g 3096 2670 Pnt\n.1429 g 3088 2661 Pnt\n.1429 g
        3088 2661 Pnt\n.127 g 3080 2640 Pnt\n.127 g 3080 2640 Pnt\n.1111 g
        3080 2668 Pnt\n.1111 g 3080 2668 Pnt\n.0952 g 3084 2644 Pnt\n.0952 g
        3084 2644 Pnt\n.0794 g 3081 2631 Pnt\n.0794 g 3081 2631 Pnt\n.0635 g
        3083 2607 Pnt\n.0635 g 3083 2607 Pnt\n.0476 g 3082 2611 Pnt\n.0476 g
        3082 2611 Pnt\n.0317 g 3075 2589 Pnt\n.0317 g 3075 2589 Pnt\n.0159 g
        3076 2575 Pnt\n.0159 g 3076 2575 Pnt\n0 g 3070 2552 Pnt\n0 g 3070
        2552 Pnt\n1 g 3283 2630 Pnt\n1 g 3283 2630 Pnt\n.9841 g 3271 2646
        Pnt\n.9841 g 3271 2646 Pnt\n.9683 g 3261 2648 Pnt\n.9683 g 3261 2648
        Pnt\n.9524 g 3248 2662 Pnt\n.9524 g 3248 2662 Pnt\n.9365 g 3250 2659
        Pnt\n.9365 g 3250 2659 Pnt\n.9206 g 3233 2659 Pnt\n.9206 g 3233 2659
        Pnt\n.9048 g 3226 2667 Pnt\n.9048 g 3226 2667 Pnt\n.8889 g 3209 2670
        Pnt\n.8889 g 3209 2670 Pnt\n.873 g 3227 2681 Pnt\n.873 g 3227 2681
        Pnt\n.8571 g 3214 2667 Pnt\n.8571 g 3214 2667 Pnt\n.8413 g 3204 2667
        Pnt\n.8413 g 3204 2667 Pnt\n.8254 g 3189 2655 Pnt\n.8254 g 3189 2655
        Pnt\n.8095 g 3192 2658 Pnt\n.8095 g 3192 2658 Pnt\n.7937 g 3176 2662
        Pnt\n.7937 g 3176 2662 Pnt\n.7778 g 3167 2655 Pnt\n.7778 g 3167 2655
        Pnt\n.7619 g 3150 2655 Pnt\n.7619 g 3150 2655 Pnt\n.746 g 3179 2706
        Pnt\n.746 g 3179 2706 Pnt\n.7302 g 3173 2683 Pnt\n.7302 g 3173 2683
        Pnt\n.7143 g 3166 2675 Pnt\n.7143 g 3166 2675 Pnt\n.6984 g 3158 2653
        Pnt\n.6984 g 3158 2653 Pnt\n.6825 g 3159 2657 Pnt\n.6825 g 3159 2657
        Pnt\n.6667 g 3144 2646 Pnt\n.6667 g 3144 2646 Pnt\n.6508 g 3140 2634
        Pnt\n.6508 g 3140 2634 Pnt\n.6349 g 3126 2620 Pnt\n.6349 g 3126 2620
        Pnt\n.619 g 3145 2623 Pnt\n.619 g 3145 2623 Pnt\n.6032 g 3129 2626
        Pnt\n.6032 g 3129 2626 Pnt\n.5873 g 3120 2619 Pnt\n.5873 g 3120 2619
        Pnt\n.5714 g 3104 2619 Pnt\n.5714 g 3104 2619 Pnt\n.5556 g 3107 2618
        Pnt\n.5556 g 3107 2618 Pnt\n.5397 g 3093 2604 Pnt\n.5397 g 3093 2604
        Pnt\n.5238 g 3084 2604 Pnt\n.5238 g 3084 2604 Pnt\n.5079 g 3069 2593
        Pnt\n.5079 g 3069 2593 Pnt\n.4921 g 3090 2710 Pnt\n.4921 g 3090 2710
        Pnt\n.4762 g 3095 2686 Pnt\n.4762 g 3095 2686 Pnt\n.4603 g 3091 2673
        Pnt\n.4603 g 3091 2673 Pnt\n.4444 g 3094 2649 Pnt\n.4444 g 3094 2649
        Pnt\n.4286 g 3093 2653 Pnt\n.4286 g 3093 2653 Pnt\n.4127 g 3085 2632
        Pnt\n.4127 g 3085 2632 Pnt\n.3968 g 3086 2618 Pnt\n.3968 g 3086 2618
        Pnt\n.381 g 3081 2594 Pnt\n.381 g 3081 2594 Pnt\n.3651 g 3095 2613
        Pnt\n.3651 g 3095 2613 Pnt\n.3492 g 3080 2602 Pnt\n.3492 g 3080 2602
        Pnt\n.3333 g 3076 2589 Pnt\n.3333 g 3076 2589 Pnt\n.3175 g 3062 2575
        Pnt\n.3175 g 3062 2575 Pnt\n.3016 g 3065 2577 Pnt\n.3016 g 3065 2577
        Pnt\n.2857 g 3060 2554 Pnt\n.2857 g 3060 2554 Pnt\n.2698 g 3052 2546
        Pnt\n.2698 g 3052 2546 Pnt\n.254 g 3044 2524 Pnt\n.254 g 3044 2524
        Pnt\n.2381 g 3088 2538 Pnt\n.2381 g 3088 2538 Pnt\n.2222 g 3072 2541
        Pnt\n.2222 g 3072 2541 Pnt\n.2063 g 3063 2535 Pnt\n.2063 g 3063 2535
        Pnt\n.1905 g 3046 2535 Pnt\n.1905 g 3046 2535 Pnt\n.1746 g 3050 2534
        Pnt\n.1746 g 3050 2534 Pnt\n.1587 g 3036 2520 Pnt\n.1587 g 3036 2520
        Pnt\n.1429 g 3027 2520 Pnt\n.1429 g 3027 2520 Pnt\n.127 g 3012 2508
        Pnt\n.127 g 3012 2508 Pnt\n.1111 g 3022 2532 Pnt\n.1111 g 3022 2532
        Pnt\n.0952 g 3017 2509 Pnt\n.0952 g 3017 2509 Pnt\n.0794 g 3009 2501
        Pnt\n.0794 g 3009 2501 Pnt\n.0635 g 3001 2479 Pnt\n.0635 g 3001 2479
        Pnt\n.0476 g 3002 2484 Pnt\n.0476 g 3002 2484 Pnt\n.0317 g 2987 2472
        Pnt\n.0317 g 2987 2472 Pnt\n.0159 g 2983 2460 Pnt\n.0159 g 2983 2460
        Pnt\n0 g 2969 2445 Pnt\n0 g 2969 2445 Pnt\n1 g 2951 2646 Pnt\n1 g
        2951 2646 Pnt\n.9841 g 2963 2631 Pnt\n.9841 g 2963 2631 Pnt\n.9683 g
        2966 2618 Pnt\n.9683 g 2966 2618 Pnt\n.9524 g 2977 2600 Pnt\n.9524 g
        2977 2600 Pnt\n.9365 g 2975 2602 Pnt\n.9365 g 2975 2602 Pnt\n.9206 g
        2977 2578 Pnt\n.9206 g 2977 2578 Pnt\n.9048 g 2983 2568 Pnt\n.9048 g
        2983 2568 Pnt\n.8889 g 2988 2544 Pnt\n.8889 g 2988 2544 Pnt\n.873 g
        2992 2572 Pnt\n.873 g 2992 2572 Pnt\n.8571 g 2985 2550 Pnt\n.8571 g
        2985 2550 Pnt\n.8413 g 2986 2536 Pnt\n.8413 g 2986 2536 Pnt\n.8254 g
        2980 2513 Pnt\n.8254 g 2980 2513 Pnt\n.8095 g 2982 2517 Pnt\n.8095 g
        2982 2517 Pnt\n.7937 g 2987 2493 Pnt\n.7937 g 2987 2493 Pnt\n.7778 g
        2984 2480 Pnt\n.7778 g 2984 2480 Pnt\n.7619 g 2986 2456 Pnt\n.7619 g
        2986 2456 Pnt\n.746 g 3016 2504 Pnt\n.746 g 3016 2504 Pnt\n.7302 g
        3001 2493 Pnt\n.7302 g 3001 2493 Pnt\n.7143 g 2997 2481 Pnt\n.7143 g
        2997 2481 Pnt\n.6984 g 2983 2466 Pnt\n.6984 g 2983 2466 Pnt\n.6825 g
        2986 2468 Pnt\n.6825 g 2986 2468 Pnt\n.6667 g 2981 2445 Pnt\n.6667 g
        2981 2445 Pnt\n.6508 g 2973 2437 Pnt\n.6508 g 2973 2437 Pnt\n.6349 g
        2965 2415 Pnt\n.6349 g 2965 2415 Pnt\n.619 g 2965 2443 Pnt\n.619 g
        2965 2443 Pnt\n.6032 g 2969 2420 Pnt\n.6032 g 2969 2420 Pnt\n.5873 g
        2966 2407 Pnt\n.5873 g 2966 2407 Pnt\n.5714 g 2968 2382 Pnt\n.5714 g
        2968 2382 Pnt\n.5556 g 2967 2387 Pnt\n.5556 g 2967 2387 Pnt\n.5397 g
        2959 2365 Pnt\n.5397 g 2959 2365 Pnt\n.5238 g 2961 2351 Pnt\n.5238 g
        2961 2351 Pnt\n.5079 g 2955 2327 Pnt\n.5079 g 2955 2327 Pnt\n.4921 g
        3031 2375 Pnt\n.4921 g 3031 2375 Pnt\n.4762 g 3014 2378 Pnt\n.4762 g
        3014 2378 Pnt\n.4603 g 3006 2371 Pnt\n.4603 g 3006 2371 Pnt\n.4444 g
        2989 2371 Pnt\n.4444 g 2989 2371 Pnt\n.4286 g 2992 2370 Pnt\n.4286 g
        2992 2370 Pnt\n.4127 g 2979 2356 Pnt\n.4127 g 2979 2356 Pnt\n.3968 g
        2969 2356 Pnt\n.3968 g 2969 2356 Pnt\n.381 g 2955 2345 Pnt\n.381 g
        2955 2345 Pnt\n.3651 g 2965 2369 Pnt\n.3651 g 2965 2369 Pnt\n.3492 g
        2960 2346 Pnt\n.3492 g 2960 2346 Pnt\n.3333 g 2952 2337 Pnt\n.3333 g
        2952 2337 Pnt\n.3175 g 2944 2315 Pnt\n.3175 g 2944 2315 Pnt\n.3016 g
        2945 2320 Pnt\n.3016 g 2945 2320 Pnt\n.2857 g 2930 2309 Pnt\n.2857 g
        2930 2309 Pnt\n.2698 g 2926 2296 Pnt\n.2698 g 2926 2296 Pnt\n.254 g
        2912 2282 Pnt\n.254 g 2912 2282 Pnt\n.2381 g 2915 2348 Pnt\n.2381 g
        2915 2348 Pnt\n.2222 g 2920 2324 Pnt\n.2222 g 2920 2324 Pnt\n.2063 g
        2917 2311 Pnt\n.2063 g 2917 2311 Pnt\n.1905 g 2919 2286 Pnt\n.1905 g
        2919 2286 Pnt\n.1746 g 2918 2291 Pnt\n.1746 g 2918 2291 Pnt\n.1587 g
        2910 2269 Pnt\n.1587 g 2910 2269 Pnt\n.1429 g 2912 2255 Pnt\n.1429 g
        2912 2255 Pnt\n.127 g 2906 2232 Pnt\n.127 g 2906 2232 Pnt\n.1111 g
        2921 2251 Pnt\n.1111 g 2921 2251 Pnt\n.0952 g 2906 2239 Pnt\n.0952 g
        2906 2239 Pnt\n.0794 g 2901 2227 Pnt\n.0794 g 2901 2227 Pnt\n.0635 g
        2888 2212 Pnt\n.0635 g 2888 2212 Pnt\n.0476 g 2891 2214 Pnt\n.0476 g
        2891 2214 Pnt\n.0317 g 2885 2191 Pnt\n.0317 g 2885 2191 Pnt\n.0159 g
        2877 2183 Pnt\n.0159 g 2877 2183 Pnt\n0 g 2870 2161 Pnt\n0 g 2870
        2161 Pnt\n1 g 3656 1971 Pnt\n1 g 3656 1971 Pnt\n.9841 g 3662 1993
        Pnt\n.9841 g 3662 1993 Pnt\n.9683 g 3660 2006 Pnt\n.9683 g 3660 2006
        Pnt\n.9524 g 3665 2030 Pnt\n.9524 g 3665 2030 Pnt\n.9365 g 3663 2025
        Pnt\n.9365 g 3663 2025 Pnt\n.9206 g 3658 2048 Pnt\n.9206 g 3658 2048
        Pnt\n.9048 g 3660 2062 Pnt\n.9048 g 3660 2062 Pnt\n.8889 g 3657 2085
        Pnt\n.8889 g 3657 2085 Pnt\n.873 g 3670 2064 Pnt\n.873 g 3670 2064
        Pnt\n.8571 g 3656 2078 Pnt\n.8571 g 3656 2078 Pnt\n.8413 g 3653 2091
        Pnt\n.8413 g 3653 2091 Pnt\n.8254 g 3641 2108 Pnt\n.8254 g 3641 2108
        Pnt\n.8095 g 3644 2105 Pnt\n.8095 g 3644 2105 Pnt\n.7937 g 3640 2129
        Pnt\n.7937 g 3640 2129 Pnt\n.7778 g 3634 2139 Pnt\n.7778 g 3634 2139
        Pnt\n.7619 g 3628 2162 Pnt\n.7619 g 3628 2162 Pnt\n.746 g 3669 2139
        Pnt\n.746 g 3669 2139 Pnt\n.7302 g 3653 2139 Pnt\n.7302 g 3653 2139
        Pnt\n.7143 g 3645 2147 Pnt\n.7143 g 3645 2147 Pnt\n.6984 g 3629 2151
        Pnt\n.6984 g 3629 2151 Pnt\n.6825 g 3632 2151 Pnt\n.6825 g 3632 2151
        Pnt\n.6667 g 3620 2168 Pnt\n.6667 g 3620 2168 Pnt\n.6508 g 3611 2170
        Pnt\n.6508 g 3611 2170 Pnt\n.6349 g 3597 2184 Pnt\n.6349 g 3597 2184
        Pnt\n.619 g 3606 2158 Pnt\n.619 g 3606 2158 Pnt\n.6032 g 3602 2182
        Pnt\n.6032 g 3602 2182 Pnt\n.5873 g 3595 2192 Pnt\n.5873 g 3595 2192
        Pnt\n.5714 g 3590 2215 Pnt\n.5714 g 3590 2215 Pnt\n.5556 g 3590 2210
        Pnt\n.5556 g 3590 2210 Pnt\n.5397 g 3577 2224 Pnt\n.5397 g 3577 2224
        Pnt\n.5238 g 3574 2237 Pnt\n.5238 g 3574 2237 Pnt\n.5079 g 3562 2254
        Pnt\n.5079 g 3562 2254 Pnt\n.4921 g 3642 2263 Pnt\n.4921 g 3642 2263
        Pnt\n.4762 g 3629 2249 Pnt\n.4762 g 3629 2249 Pnt\n.4603 g 3620 2249
        Pnt\n.4603 g 3620 2249 Pnt\n.4444 g 3605 2238 Pnt\n.4444 g 3605 2238
        Pnt\n.4286 g 3608 2241 Pnt\n.4286 g 3608 2241 Pnt\n.4127 g 3591 2245
        Pnt\n.4127 g 3591 2245 Pnt\n.3968 g 3583 2238 Pnt\n.3968 g 3583 2238
        Pnt\n.381 g 3566 2238 Pnt\n.381 g 3566 2238 Pnt\n.3651 g 3583 2224
        Pnt\n.3651 g 3583 2224 Pnt\n.3492 g 3571 2241 Pnt\n.3492 g 3571 2241
        Pnt\n.3333 g 3562 2243 Pnt\n.3333 g 3562 2243 Pnt\n.3175 g 3548 2257
        Pnt\n.3175 g 3548 2257 Pnt\n.3016 g 3550 2253 Pnt\n.3016 g 3550 2253
        Pnt\n.2857 g 3534 2253 Pnt\n.2857 g 3534 2253 Pnt\n.2698 g 3526 2262
        Pnt\n.2698 g 3526 2262 Pnt\n.254 g 3510 2265 Pnt\n.254 g 3510 2265
        Pnt\n.2381 g 3533 2209 Pnt\n.2381 g 3533 2209 Pnt\n.2222 g 3530 2233
        Pnt\n.2222 g 3530 2233 Pnt\n.2063 g 3523 2243 Pnt\n.2063 g 3523 2243
        Pnt\n.1905 g 3517 2266 Pnt\n.1905 g 3517 2266 Pnt\n.1746 g 3518 2261
        Pnt\n.1746 g 3518 2261 Pnt\n.1587 g 3504 2275 Pnt\n.1587 g 3504 2275
        Pnt\n.1429 g 3501 2288 Pnt\n.1429 g 3501 2288 Pnt\n.127 g 3489 2305
        Pnt\n.127 g 3489 2305 Pnt\n.1111 g 3507 2298 Pnt\n.1111 g 3507 2298
        Pnt\n.0952 g 3491 2298 Pnt\n.0952 g 3491 2298 Pnt\n.0794 g 3483 2306
        Pnt\n.0794 g 3483 2306 Pnt\n.0635 g 3467 2310 Pnt\n.0635 g 3467 2310
        Pnt\n.0476 g 3470 2310 Pnt\n.0476 g 3470 2310 Pnt\n.0317 g 3458 2327
        Pnt\n.0317 g 3458 2327 Pnt\n.0159 g 3449 2329 Pnt\n.0159 g 3449 2329
        Pnt\n0 g 3435 2343 Pnt\n0 g 3435 2343 Pnt\n1 g 3556 2435 Pnt\n1 g
        3556 2435 Pnt\n.9841 g 3551 2413 Pnt\n.9841 g 3551 2413 Pnt\n.9683 g
        3543 2404 Pnt\n.9683 g 3543 2404 Pnt\n.9524 g 3535 2383 Pnt\n.9524 g
        3535 2383 Pnt\n.9365 g 3536 2387 Pnt\n.9365 g 3536 2387 Pnt\n.9206 g
        3522 2376 Pnt\n.9206 g 3522 2376 Pnt\n.9048 g 3517 2364 Pnt\n.9048 g
        3517 2364 Pnt\n.8889 g 3504 2350 Pnt\n.8889 g 3504 2350 Pnt\n.873 g
        3523 2353 Pnt\n.873 g 3523 2353 Pnt\n.8571 g 3506 2356 Pnt\n.8571 g
        3506 2356 Pnt\n.8413 g 3498 2350 Pnt\n.8413 g 3498 2350 Pnt\n.8254 g
        3482 2350 Pnt\n.8254 g 3482 2350 Pnt\n.8095 g 3485 2349 Pnt\n.8095 g
        3485 2349 Pnt\n.7937 g 3471 2335 Pnt\n.7937 g 3471 2335 Pnt\n.7778 g
        3462 2335 Pnt\n.7778 g 3462 2335 Pnt\n.7619 g 3447 2323 Pnt\n.7619 g
        3447 2323 Pnt\n.746 g 3488 2298 Pnt\n.746 g 3488 2298 Pnt\n.7302 g
        3476 2314 Pnt\n.7302 g 3476 2314 Pnt\n.7143 g 3466 2316 Pnt\n.7143 g
        3466 2316 Pnt\n.6984 g 3453 2331 Pnt\n.6984 g 3453 2331 Pnt\n.6825 g
        3455 2327 Pnt\n.6825 g 3455 2327 Pnt\n.6667 g 3439 2327 Pnt\n.6667 g
        3439 2327 Pnt\n.6508 g 3431 2335 Pnt\n.6508 g 3431 2335 Pnt\n.6349 g
        3414 2338 Pnt\n.6349 g 3414 2338 Pnt\n.619 g 3432 2349 Pnt\n.619 g
        3432 2349 Pnt\n.6032 g 3419 2335 Pnt\n.6032 g 3419 2335 Pnt\n.5873 g
        3409 2335 Pnt\n.5873 g 3409 2335 Pnt\n.5714 g 3395 2323 Pnt\n.5714 g
        3395 2323 Pnt\n.5556 g 3397 2326 Pnt\n.5556 g 3397 2326 Pnt\n.5397 g
        3381 2330 Pnt\n.5397 g 3381 2330 Pnt\n.5238 g 3372 2323 Pnt\n.5238 g
        3372 2323 Pnt\n.5079 g 3356 2323 Pnt\n.5079 g 3356 2323 Pnt\n.4921 g
        3411 2234 Pnt\n.4921 g 3411 2234 Pnt\n.4762 g 3407 2258 Pnt\n.4762 g
        3407 2258 Pnt\n.4603 g 3400 2268 Pnt\n.4603 g 3400 2268 Pnt\n.4444 g
        3395 2291 Pnt\n.4444 g 3395 2291 Pnt\n.4286 g 3395 2286 Pnt\n.4286 g
        3395 2286 Pnt\n.4127 g 3382 2300 Pnt\n.4127 g 3382 2300 Pnt\n.3968 g
        3379 2313 Pnt\n.3968 g 3379 2313 Pnt\n.381 g 3366 2330 Pnt\n.381 g
        3366 2330 Pnt\n.3651 g 3385 2323 Pnt\n.3651 g 3385 2323 Pnt\n.3492 g
        3369 2323 Pnt\n.3492 g 3369 2323 Pnt\n.3333 g 3361 2331 Pnt\n.3333 g
        3361 2331 Pnt\n.3175 g 3344 2335 Pnt\n.3175 g 3344 2335 Pnt\n.3016 g
        3348 2335 Pnt\n.3016 g 3348 2335 Pnt\n.2857 g 3336 2352 Pnt\n.2857 g
        3336 2352 Pnt\n.2698 g 3326 2354 Pnt\n.2698 g 3326 2354 Pnt\n.254 g
        3313 2368 Pnt\n.254 g 3313 2368 Pnt\n.2381 g 3355 2385 Pnt\n.2381 g
        3355 2385 Pnt\n.2222 g 3342 2371 Pnt\n.2222 g 3342 2371 Pnt\n.2063 g
        3332 2371 Pnt\n.2063 g 3332 2371 Pnt\n.1905 g 3318 2360 Pnt\n.1905 g
        3318 2360 Pnt\n.1746 g 3320 2363 Pnt\n.1746 g 3320 2363 Pnt\n.1587 g
        3304 2366 Pnt\n.1587 g 3304 2366 Pnt\n.1429 g 3295 2360 Pnt\n.1429 g
        3295 2360 Pnt\n.127 g 3279 2360 Pnt\n.127 g 3279 2360 Pnt\n.1111 g
        3295 2346 Pnt\n.1111 g 3295 2346 Pnt\n.0952 g 3283 2362 Pnt\n.0952 g
        3283 2362 Pnt\n.0794 g 3274 2364 Pnt\n.0794 g 3274 2364 Pnt\n.0635 g
        3260 2378 Pnt\n.0635 g 3260 2378 Pnt\n.0476 g 3263 2375 Pnt\n.0476 g
        3263 2375 Pnt\n.0317 g 3246 2375 Pnt\n.0317 g 3246 2375 Pnt\n.0159 g
        3238 2383 Pnt\n.0159 g 3238 2383 Pnt\n0 g 3222 2386 Pnt\n0 g 3222
        2386 Pnt\n1 g 3365 2628 Pnt\n1 g 3365 2628 Pnt\n.9841 g 3370 2605
        Pnt\n.9841 g 3370 2605 Pnt\n.9683 g 3367 2592 Pnt\n.9683 g 3367 2592
        Pnt\n.9524 g 3369 2568 Pnt\n.9524 g 3369 2568 Pnt\n.9365 g 3368 2572
        Pnt\n.9365 g 3368 2572 Pnt\n.9206 g 3360 2551 Pnt\n.9206 g 3360 2551
        Pnt\n.9048 g 3362 2537 Pnt\n.9048 g 3362 2537 Pnt\n.8889 g 3356 2514
        Pnt\n.8889 g 3356 2514 Pnt\n.873 g 3371 2532 Pnt\n.873 g 3371 2532
        Pnt\n.8571 g 3356 2521 Pnt\n.8571 g 3356 2521 Pnt\n.8413 g 3352 2509
        Pnt\n.8413 g 3352 2509 Pnt\n.8254 g 3338 2495 Pnt\n.8254 g 3338 2495
        Pnt\n.8095 g 3341 2497 Pnt\n.8095 g 3341 2497 Pnt\n.7937 g 3336 2474
        Pnt\n.7937 g 3336 2474 Pnt\n.7778 g 3328 2466 Pnt\n.7778 g 3328 2466
        Pnt\n.7619 g 3320 2444 Pnt\n.7619 g 3320 2444 Pnt\n.746 g 3363 2458
        Pnt\n.746 g 3363 2458 Pnt\n.7302 g 3347 2461 Pnt\n.7302 g 3347 2461
        Pnt\n.7143 g 3339 2455 Pnt\n.7143 g 3339 2455 Pnt\n.6984 g 3322 2455
        Pnt\n.6984 g 3322 2455 Pnt\n.6825 g 3325 2454 Pnt\n.6825 g 3325 2454
        Pnt\n.6667 g 3312 2440 Pnt\n.6667 g 3312 2440 Pnt\n.6508 g 3302 2440
        Pnt\n.6508 g 3302 2440 Pnt\n.6349 g 3288 2428 Pnt\n.6349 g 3288 2428
        Pnt\n.619 g 3298 2452 Pnt\n.619 g 3298 2452 Pnt\n.6032 g 3293 2429
        Pnt\n.6032 g 3293 2429 Pnt\n.5873 g 3285 2421 Pnt\n.5873 g 3285 2421
        Pnt\n.5714 g 3277 2399 Pnt\n.5714 g 3277 2399 Pnt\n.5556 g 3278 2404
        Pnt\n.5556 g 3278 2404 Pnt\n.5397 g 3263 2393 Pnt\n.5397 g 3263 2393
        Pnt\n.5238 g 3259 2380 Pnt\n.5238 g 3259 2380 Pnt\n.5079 g 3246 2366
        Pnt\n.5079 g 3246 2366 Pnt\n.4921 g 3325 2340 Pnt\n.4921 g 3325 2340
        Pnt\n.4762 g 3313 2357 Pnt\n.4762 g 3313 2357 Pnt\n.4603 g 3304 2359
        Pnt\n.4603 g 3304 2359 Pnt\n.4444 g 3290 2373 Pnt\n.4444 g 3290 2373
        Pnt\n.4286 g 3292 2369 Pnt\n.4286 g 3292 2369 Pnt\n.4127 g 3276 2369
        Pnt\n.4127 g 3276 2369 Pnt\n.3968 g 3268 2377 Pnt\n.3968 g 3268 2377
        Pnt\n.381 g 3252 2381 Pnt\n.381 g 3252 2381 Pnt\n.3651 g 3270 2391
        Pnt\n.3651 g 3270 2391 Pnt\n.3492 g 3256 2377 Pnt\n.3492 g 3256 2377
        Pnt\n.3333 g 3247 2377 Pnt\n.3333 g 3247 2377 Pnt\n.3175 g 3232 2366
        Pnt\n.3175 g 3232 2366 Pnt\n.3016 g 3234 2369 Pnt\n.3016 g 3234 2369
        Pnt\n.2857 g 3218 2372 Pnt\n.2857 g 3218 2372 Pnt\n.2698 g 3210 2366
        Pnt\n.2698 g 3210 2366 Pnt\n.254 g 3193 2366 Pnt\n.254 g 3193 2366
        Pnt\n.2381 g 3221 2416 Pnt\n.2381 g 3221 2416 Pnt\n.2222 g 3216 2393
        Pnt\n.2222 g 3216 2393 Pnt\n.2063 g 3208 2385 Pnt\n.2063 g 3208 2385
        Pnt\n.1905 g 3200 2363 Pnt\n.1905 g 3200 2363 Pnt\n.1746 g 3201 2368
        Pnt\n.1746 g 3201 2368 Pnt\n.1587 g 3187 2357 Pnt\n.1587 g 3187 2357
        Pnt\n.1429 g 3182 2344 Pnt\n.1429 g 3182 2344 Pnt\n.127 g 3169 2330
        Pnt\n.127 g 3169 2330 Pnt\n.1111 g 3188 2333 Pnt\n.1111 g 3188 2333
        Pnt\n.0952 g 3171 2336 Pnt\n.0952 g 3171 2336 Pnt\n.0794 g 3163 2330
        Pnt\n.0794 g 3163 2330 Pnt\n.0635 g 3146 2330 Pnt\n.0635 g 3146 2330
        Pnt\n.0476 g 3149 2329 Pnt\n.0476 g 3149 2329 Pnt\n.0317 g 3136 2315
        Pnt\n.0317 g 3136 2315 Pnt\n.0159 g 3126 2314 Pnt\n.0159 g 3126 2314
        Pnt\n0 g 3111 2303 Pnt\n0 g 3111 2303 Pnt\n1 g 3223 2187 Pnt\n1 g
        3223 2187 Pnt\n.9841 g 3220 2210 Pnt\n.9841 g 3220 2210 Pnt\n.9683 g
        3213 2220 Pnt\n.9683 g 3213 2220 Pnt\n.9524 g 3208 2243 Pnt\n.9524 g
        3208 2243 Pnt\n.9365 g 3208 2238 Pnt\n.9365 g 3208 2238 Pnt\n.9206 g
        3195 2252 Pnt\n.9206 g 3195 2252 Pnt\n.9048 g 3191 2266 Pnt\n.9048 g
        3191 2266 Pnt\n.8889 g 3179 2282 Pnt\n.8889 g 3179 2282 Pnt\n.873 g
        3198 2276 Pnt\n.873 g 3198 2276 Pnt\n.8571 g 3181 2276 Pnt\n.8571 g
        3181 2276 Pnt\n.8413 g 3174 2284 Pnt\n.8413 g 3174 2284 Pnt\n.8254 g
        3157 2287 Pnt\n.8254 g 3157 2287 Pnt\n.8095 g 3160 2287 Pnt\n.8095 g
        3160 2287 Pnt\n.7937 g 3148 2304 Pnt\n.7937 g 3148 2304 Pnt\n.7778 g
        3139 2306 Pnt\n.7778 g 3139 2306 Pnt\n.7619 g 3125 2320 Pnt\n.7619 g
        3125 2320 Pnt\n.746 g 3168 2337 Pnt\n.746 g 3168 2337 Pnt\n.7302 g
        3155 2323 Pnt\n.7302 g 3155 2323 Pnt\n.7143 g 3145 2323 Pnt\n.7143 g
        3145 2323 Pnt\n.6984 g 3130 2312 Pnt\n.6984 g 3130 2312 Pnt\n.6825 g
        3133 2315 Pnt\n.6825 g 3133 2315 Pnt\n.6667 g 3117 2318 Pnt\n.6667 g
        3117 2318 Pnt\n.6508 g 3108 2312 Pnt\n.6508 g 3108 2312 Pnt\n.6349 g
        3091 2312 Pnt\n.6349 g 3091 2312 Pnt\n.619 g 3108 2298 Pnt\n.619 g
        3108 2298 Pnt\n.6032 g 3096 2315 Pnt\n.6032 g 3096 2315 Pnt\n.5873 g
        3087 2317 Pnt\n.5873 g 3087 2317 Pnt\n.5714 g 3073 2331 Pnt\n.5714 g
        3073 2331 Pnt\n.5556 g 3075 2327 Pnt\n.5556 g 3075 2327 Pnt\n.5397 g
        3059 2327 Pnt\n.5397 g 3059 2327 Pnt\n.5238 g 3051 2335 Pnt\n.5238 g
        3051 2335 Pnt\n.5079 g 3034 2339 Pnt\n.5079 g 3034 2339 Pnt\n.4921 g
        3097 2416 Pnt\n.4921 g 3097 2416 Pnt\n.4762 g 3092 2393 Pnt\n.4762 g
        3092 2393 Pnt\n.4603 g 3084 2385 Pnt\n.4603 g 3084 2385 Pnt\n.4444 g
        3076 2363 Pnt\n.4444 g 3076 2363 Pnt\n.4286 g 3077 2368 Pnt\n.4286 g
        3077 2368 Pnt\n.4127 g 3063 2357 Pnt\n.4127 g 3063 2357 Pnt\n.3968 g
        3058 2344 Pnt\n.3968 g 3058 2344 Pnt\n.381 g 3045 2330 Pnt\n.381 g
        3045 2330 Pnt\n.3651 g 3064 2333 Pnt\n.3651 g 3064 2333 Pnt\n.3492 g
        3047 2336 Pnt\n.3492 g 3047 2336 Pnt\n.3333 g 3039 2330 Pnt\n.3333 g
        3039 2330 Pnt\n.3175 g 3022 2330 Pnt\n.3175 g 3022 2330 Pnt\n.3016 g
        3025 2329 Pnt\n.3016 g 3025 2329 Pnt\n.2857 g 3012 2315 Pnt\n.2857 g
        3012 2315 Pnt\n.2698 g 3002 2315 Pnt\n.2698 g 3002 2315 Pnt\n.254 g
        2987 2303 Pnt\n.254 g 2987 2303 Pnt\n.2381 g 3028 2278 Pnt\n.2381 g
        3028 2278 Pnt\n.2222 g 3016 2294 Pnt\n.2222 g 3016 2294 Pnt\n.2063 g
        3007 2296 Pnt\n.2063 g 3007 2296 Pnt\n.1905 g 2993 2311 Pnt\n.1905 g
        2993 2311 Pnt\n.1746 g 2996 2307 Pnt\n.1746 g 2996 2307 Pnt\n.1587 g
        2979 2307 Pnt\n.1587 g 2979 2307 Pnt\n.1429 g 2971 2315 Pnt\n.1429 g
        2971 2315 Pnt\n.127 g 2955 2318 Pnt\n.127 g 2955 2318 Pnt\n.1111 g
        2972 2329 Pnt\n.1111 g 2972 2329 Pnt\n.0952 g 2959 2315 Pnt\n.0952 g
        2959 2315 Pnt\n.0794 g 2949 2315 Pnt\n.0794 g 2949 2315 Pnt\n.0635 g
        2935 2303 Pnt\n.0635 g 2935 2303 Pnt\n.0476 g 2937 2306 Pnt\n.0476 g
        2937 2306 Pnt\n.0317 g 2921 2310 Pnt\n.0317 g 2921 2310 Pnt\n.0159 g
        2912 2303 Pnt\n.0159 g 2912 2303 Pnt\n0 g 2895 2303 Pnt\n0 g 2895
        2303 Pnt\n1 g 3017 2772 Pnt\n1 g 3017 2772 Pnt\n.9841 g 3030 2757
        Pnt\n.9841 g 3030 2757 Pnt\n.9683 g 3032 2743 Pnt\n.9683 g 3032 2743
        Pnt\n.9524 g 3044 2726 Pnt\n.9524 g 3044 2726 Pnt\n.9365 g 3041 2728
        Pnt\n.9365 g 3041 2728 Pnt\n.9206 g 3043 2704 Pnt\n.9206 g 3043 2704
        Pnt\n.9048 g 3050 2694 Pnt\n.9048 g 3050 2694 Pnt\n.8889 g 3054 2671
        Pnt\n.8889 g 3054 2671 Pnt\n.873 g 3059 2698 Pnt\n.873 g 3059 2698
        Pnt\n.8571 g 3051 2676 Pnt\n.8571 g 3051 2676 Pnt\n.8413 g 3052 2663
        Pnt\n.8413 g 3052 2663 Pnt\n.8254 g 3047 2640 Pnt\n.8254 g 3047 2640
        Pnt\n.8095 g 3049 2644 Pnt\n.8095 g 3049 2644 Pnt\n.7937 g 3053 2620
        Pnt\n.7937 g 3053 2620 Pnt\n.7778 g 3050 2607 Pnt\n.7778 g 3050 2607
        Pnt\n.7619 g 3052 2583 Pnt\n.7619 g 3052 2583 Pnt\n.746 g 3082 2631
        Pnt\n.746 g 3082 2631 Pnt\n.7302 g 3067 2620 Pnt\n.7302 g 3067 2620
        Pnt\n.7143 g 3063 2607 Pnt\n.7143 g 3063 2607 Pnt\n.6984 g 3050 2593
        Pnt\n.6984 g 3050 2593 Pnt\n.6825 g 3053 2595 Pnt\n.6825 g 3053 2595
        Pnt\n.6667 g 3047 2572 Pnt\n.6667 g 3047 2572 Pnt\n.6508 g 3039 2564
        Pnt\n.6508 g 3039 2564 Pnt\n.6349 g 3032 2542 Pnt\n.6349 g 3032 2542
        Pnt\n.619 g 3031 2571 Pnt\n.619 g 3031 2571 Pnt\n.6032 g 3036 2547
        Pnt\n.6032 g 3036 2547 Pnt\n.5873 g 3032 2534 Pnt\n.5873 g 3032 2534
        Pnt\n.5714 g 3035 2510 Pnt\n.5714 g 3035 2510 Pnt\n.5556 g 3034 2514
        Pnt\n.5556 g 3034 2514 Pnt\n.5397 g 3026 2492 Pnt\n.5397 g 3026 2492
        Pnt\n.5238 g 3027 2479 Pnt\n.5238 g 3027 2479 Pnt\n.5079 g 3022 2455
        Pnt\n.5079 g 3022 2455 Pnt\n.4921 g 3097 2502 Pnt\n.4921 g 3097 2502
        Pnt\n.4762 g 3081 2505 Pnt\n.4762 g 3081 2505 Pnt\n.4603 g 3072 2499
        Pnt\n.4603 g 3072 2499 Pnt\n.4444 g 3056 2499 Pnt\n.4444 g 3056 2499
        Pnt\n.4286 g 3059 2498 Pnt\n.4286 g 3059 2498 Pnt\n.4127 g 3045 2484
        Pnt\n.4127 g 3045 2484 Pnt\n.3968 g 3036 2484 Pnt\n.3968 g 3036 2484
        Pnt\n.381 g 3021 2473 Pnt\n.381 g 3021 2473 Pnt\n.3651 g 3032 2496
        Pnt\n.3651 g 3032 2496 Pnt\n.3492 g 3026 2473 Pnt\n.3492 g 3026 2473
        Pnt\n.3333 g 3018 2465 Pnt\n.3333 g 3018 2465 Pnt\n.3175 g 3011 2444
        Pnt\n.3175 g 3011 2444 Pnt\n.3016 g 3012 2448 Pnt\n.3016 g 3012 2448
        Pnt\n.2857 g 2997 2437 Pnt\n.2857 g 2997 2437 Pnt\n.2698 g 2992 2424
        Pnt\n.2698 g 2992 2424 Pnt\n.254 g 2979 2410 Pnt\n.254 g 2979 2410
        Pnt\n.2381 g 2982 2476 Pnt\n.2381 g 2982 2476 Pnt\n.2222 g 2987 2452
        Pnt\n.2222 g 2987 2452 Pnt\n.2063 g 2984 2439 Pnt\n.2063 g 2984 2439
        Pnt\n.1905 g 2986 2415 Pnt\n.1905 g 2986 2415 Pnt\n.1746 g 2985 2419
        Pnt\n.1746 g 2985 2419 Pnt\n.1587 g 2977 2397 Pnt\n.1587 g 2977 2397
        Pnt\n.1429 g 2978 2384 Pnt\n.1429 g 2978 2384 Pnt\n.127 g 2973 2360
        Pnt\n.127 g 2973 2360 Pnt\n.1111 g 2987 2379 Pnt\n.1111 g 2987 2379
        Pnt\n.0952 g 2973 2368 Pnt\n.0952 g 2973 2368 Pnt\n.0794 g 2968 2355
        Pnt\n.0794 g 2968 2355 Pnt\n.0635 g 2955 2341 Pnt\n.0635 g 2955 2341
        Pnt\n.0476 g 2958 2343 Pnt\n.0476 g 2958 2343 Pnt\n.0317 g 2952 2320
        Pnt\n.0317 g 2952 2320 Pnt\n.0159 g 2944 2312 Pnt\n.0159 g 2944 2312
        Pnt\n0 g 2937 2290 Pnt\n0 g 2937 2290 Pnt\n1 g 3074 2290 Pnt\n1 g
        3074 2290 Pnt\n.9841 g 3062 2307 Pnt\n.9841 g 3062 2307 Pnt\n.9683 g
        3052 2309 Pnt\n.9683 g 3052 2309 Pnt\n.9524 g 3039 2323 Pnt\n.9524 g
        3039 2323 Pnt\n.9365 g 3041 2319 Pnt\n.9365 g 3041 2319 Pnt\n.9206 g
        3024 2319 Pnt\n.9206 g 3024 2319 Pnt\n.9048 g 3017 2327 Pnt\n.9048 g
        3017 2327 Pnt\n.8889 g 3000 2331 Pnt\n.8889 g 3000 2331 Pnt\n.873 g
        3018 2341 Pnt\n.873 g 3018 2341 Pnt\n.8571 g 3005 2327 Pnt\n.8571 g
        3005 2327 Pnt\n.8413 g 2995 2327 Pnt\n.8413 g 2995 2327 Pnt\n.8254 g
        2980 2316 Pnt\n.8254 g 2980 2316 Pnt\n.8095 g 2983 2319 Pnt\n.8095 g
        2983 2319 Pnt\n.7937 g 2966 2322 Pnt\n.7937 g 2966 2322 Pnt\n.7778 g
        2958 2316 Pnt\n.7778 g 2958 2316 Pnt\n.7619 g 2941 2316 Pnt\n.7619 g
        2941 2316 Pnt\n.746 g 2970 2366 Pnt\n.746 g 2970 2366 Pnt\n.7302 g
        2964 2343 Pnt\n.7302 g 2964 2343 Pnt\n.7143 g 2956 2335 Pnt\n.7143 g
        2956 2335 Pnt\n.6984 g 2949 2313 Pnt\n.6984 g 2949 2313 Pnt\n.6825 g
        2950 2318 Pnt\n.6825 g 2950 2318 Pnt\n.6667 g 2935 2306 Pnt\n.6667 g
        2935 2306 Pnt\n.6508 g 2931 2294 Pnt\n.6508 g 2931 2294 Pnt\n.6349 g
        2917 2280 Pnt\n.6349 g 2917 2280 Pnt\n.619 g 2936 2283 Pnt\n.619 g
        2936 2283 Pnt\n.6032 g 2920 2286 Pnt\n.6032 g 2920 2286 Pnt\n.5873 g
        2911 2280 Pnt\n.5873 g 2911 2280 Pnt\n.5714 g 2895 2280 Pnt\n.5714 g
        2895 2280 Pnt\n.5556 g 2898 2279 Pnt\n.5556 g 2898 2279 Pnt\n.5397 g
        2884 2265 Pnt\n.5397 g 2884 2265 Pnt\n.5238 g 2875 2264 Pnt\n.5238 g
        2875 2264 Pnt\n.5079 g 2860 2253 Pnt\n.5079 g 2860 2253 Pnt\n.4921 g
        2881 2370 Pnt\n.4921 g 2881 2370 Pnt\n.4762 g 2885 2346 Pnt\n.4762 g
        2885 2346 Pnt\n.4603 g 2882 2333 Pnt\n.4603 g 2882 2333 Pnt\n.4444 g
        2885 2309 Pnt\n.4444 g 2885 2309 Pnt\n.4286 g 2884 2313 Pnt\n.4286 g
        2884 2313 Pnt\n.4127 g 2876 2292 Pnt\n.4127 g 2876 2292 Pnt\n.3968 g
        2877 2278 Pnt\n.3968 g 2877 2278 Pnt\n.381 g 2872 2255 Pnt\n.381 g
        2872 2255 Pnt\n.3651 g 2886 2273 Pnt\n.3651 g 2886 2273 Pnt\n.3492 g
        2871 2262 Pnt\n.3492 g 2871 2262 Pnt\n.3333 g 2867 2250 Pnt\n.3333 g
        2867 2250 Pnt\n.3175 g 2853 2235 Pnt\n.3175 g 2853 2235 Pnt\n.3016 g
        2856 2237 Pnt\n.3016 g 2856 2237 Pnt\n.2857 g 2851 2214 Pnt\n.2857 g
        2851 2214 Pnt\n.2698 g 2843 2206 Pnt\n.2698 g 2843 2206 Pnt\n.254 g
        2835 2184 Pnt\n.254 g 2835 2184 Pnt\n.2381 g 2879 2198 Pnt\n.2381 g
        2879 2198 Pnt\n.2222 g 2862 2201 Pnt\n.2222 g 2862 2201 Pnt\n.2063 g
        2854 2195 Pnt\n.2063 g 2854 2195 Pnt\n.1905 g 2837 2195 Pnt\n.1905 g
        2837 2195 Pnt\n.1746 g 2841 2194 Pnt\n.1746 g 2841 2194 Pnt\n.1587 g
        2827 2180 Pnt\n.1587 g 2827 2180 Pnt\n.1429 g 2817 2180 Pnt\n.1429 g
        2817 2180 Pnt\n.127 g 2803 2168 Pnt\n.127 g 2803 2168 Pnt\n.1111 g
        2813 2192 Pnt\n.1111 g 2813 2192 Pnt\n.0952 g 2808 2169 Pnt\n.0952 g
        2808 2169 Pnt\n.0794 g 2800 2161 Pnt\n.0794 g 2800 2161 Pnt\n.0635 g
        2792 2139 Pnt\n.0635 g 2792 2139 Pnt\n.0476 g 2793 2144 Pnt\n.0476 g
        2793 2144 Pnt\n.0317 g 2778 2132 Pnt\n.0317 g 2778 2132 Pnt\n.0159 g
        2774 2120 Pnt\n.0159 g 2774 2120 Pnt\n0 g 2760 2106 Pnt\n0 g 2760
        2106 Pnt\n1 g 2964 1988 Pnt\n1 g 2964 1988 Pnt\n.9841 g 2961 2012
        Pnt\n.9841 g 2961 2012 Pnt\n.9683 g 2954 2021 Pnt\n.9683 g 2954 2021
        Pnt\n.9524 g 2948 2044 Pnt\n.9524 g 2948 2044 Pnt\n.9365 g 2949 2040
        Pnt\n.9365 g 2949 2040 Pnt\n.9206 g 2935 2054 Pnt\n.9206 g 2935 2054
        Pnt\n.9048 g 2932 2067 Pnt\n.9048 g 2932 2067 Pnt\n.8889 g 2920 2084
        Pnt\n.8889 g 2920 2084 Pnt\n.873 g 2939 2077 Pnt\n.873 g 2939 2077
        Pnt\n.8571 g 2922 2077 Pnt\n.8571 g 2922 2077 Pnt\n.8413 g 2914 2085
        Pnt\n.8413 g 2914 2085 Pnt\n.8254 g 2898 2088 Pnt\n.8254 g 2898 2088
        Pnt\n.8095 g 2901 2089 Pnt\n.8095 g 2901 2089 Pnt\n.7937 g 2889 2105
        Pnt\n.7937 g 2889 2105 Pnt\n.7778 g 2880 2107 Pnt\n.7778 g 2880 2107
        Pnt\n.7619 g 2866 2122 Pnt\n.7619 g 2866 2122 Pnt\n.746 g 2909 2139
        Pnt\n.746 g 2909 2139 Pnt\n.7302 g 2895 2125 Pnt\n.7302 g 2895 2125
        Pnt\n.7143 g 2886 2124 Pnt\n.7143 g 2886 2124 Pnt\n.6984 g 2871 2113
        Pnt\n.6984 g 2871 2113 Pnt\n.6825 g 2874 2116 Pnt\n.6825 g 2874 2116
        Pnt\n.6667 g 2857 2120 Pnt\n.6667 g 2857 2120 Pnt\n.6508 g 2849 2113
        Pnt\n.6508 g 2849 2113 Pnt\n.6349 g 2832 2113 Pnt\n.6349 g 2832 2113
        Pnt\n.619 g 2849 2099 Pnt\n.619 g 2849 2099 Pnt\n.6032 g 2837 2116
        Pnt\n.6032 g 2837 2116 Pnt\n.5873 g 2827 2118 Pnt\n.5873 g 2827 2118
        Pnt\n.5714 g 2814 2132 Pnt\n.5714 g 2814 2132 Pnt\n.5556 g 2816 2129
        Pnt\n.5556 g 2816 2129 Pnt\n.5397 g 2799 2129 Pnt\n.5397 g 2799 2129
        Pnt\n.5238 g 2792 2137 Pnt\n.5238 g 2792 2137 Pnt\n.5079 g 2775 2140
        Pnt\n.5079 g 2775 2140 Pnt\n.4921 g 2838 2217 Pnt\n.4921 g 2838 2217
        Pnt\n.4762 g 2832 2194 Pnt\n.4762 g 2832 2194 Pnt\n.4603 g 2825 2186
        Pnt\n.4603 g 2825 2186 Pnt\n.4444 g 2817 2165 Pnt\n.4444 g 2817 2165
        Pnt\n.4286 g 2818 2169 Pnt\n.4286 g 2818 2169 Pnt\n.4127 g 2803 2158
        Pnt\n.4127 g 2803 2158 Pnt\n.3968 g 2799 2146 Pnt\n.3968 g 2799 2146
        Pnt\n.381 g 2785 2131 Pnt\n.381 g 2785 2131 Pnt\n.3651 g 2804 2134
        Pnt\n.3651 g 2804 2134 Pnt\n.3492 g 2788 2138 Pnt\n.3492 g 2788 2138
        Pnt\n.3333 g 2779 2131 Pnt\n.3333 g 2779 2131 Pnt\n.3175 g 2763 2131
        Pnt\n.3175 g 2763 2131 Pnt\n.3016 g 2766 2130 Pnt\n.3016 g 2766 2130
        Pnt\n.2857 g 2752 2116 Pnt\n.2857 g 2752 2116 Pnt\n.2698 g 2743 2116
        Pnt\n.2698 g 2743 2116 Pnt\n.254 g 2728 2105 Pnt\n.254 g 2728 2105
        Pnt\n.2381 g 2769 2079 Pnt\n.2381 g 2769 2079 Pnt\n.2222 g 2757 2096
        Pnt\n.2222 g 2757 2096 Pnt\n.2063 g 2748 2098 Pnt\n.2063 g 2748 2098
        Pnt\n.1905 g 2734 2112 Pnt\n.1905 g 2734 2112 Pnt\n.1746 g 2736 2108
        Pnt\n.1746 g 2736 2108 Pnt\n.1587 g 2720 2108 Pnt\n.1587 g 2720 2108
        Pnt\n.1429 g 2712 2116 Pnt\n.1429 g 2712 2116 Pnt\n.127 g 2695 2120
        Pnt\n.127 g 2695 2120 Pnt\n.1111 g 2713 2130 Pnt\n.1111 g 2713 2130
        Pnt\n.0952 g 2700 2116 Pnt\n.0952 g 2700 2116 Pnt\n.0794 g 2690 2116
        Pnt\n.0794 g 2690 2116 Pnt\n.0635 g 2675 2105 Pnt\n.0635 g 2675 2105
        Pnt\n.0476 g 2678 2108 Pnt\n.0476 g 2678 2108 Pnt\n.0317 g 2661 2111
        Pnt\n.0317 g 2661 2111 Pnt\n.0159 g 2653 2105 Pnt\n.0159 g 2653 2105
        Pnt\n0 g 2636 2105 Pnt\n0 g 2636 2105 Pnt\n1 g 2699 2285 Pnt\n1 g
        2699 2285 Pnt\n.9841 g 2704 2261 Pnt\n.9841 g 2704 2261 Pnt\n.9683 g
        2701 2248 Pnt\n.9683 g 2701 2248 Pnt\n.9524 g 2703 2224 Pnt\n.9524 g
        2703 2224 Pnt\n.9365 g 2702 2228 Pnt\n.9365 g 2702 2228 Pnt\n.9206 g
        2694 2207 Pnt\n.9206 g 2694 2207 Pnt\n.9048 g 2695 2193 Pnt\n.9048 g
        2695 2193 Pnt\n.8889 g 2690 2170 Pnt\n.8889 g 2690 2170 Pnt\n.873 g
        2704 2188 Pnt\n.873 g 2704 2188 Pnt\n.8571 g 2690 2177 Pnt\n.8571 g
        2690 2177 Pnt\n.8413 g 2685 2164 Pnt\n.8413 g 2685 2164 Pnt\n.8254 g
        2672 2150 Pnt\n.8254 g 2672 2150 Pnt\n.8095 g 2675 2152 Pnt\n.8095 g
        2675 2152 Pnt\n.7937 g 2669 2129 Pnt\n.7937 g 2669 2129 Pnt\n.7778 g
        2661 2121 Pnt\n.7778 g 2661 2121 Pnt\n.7619 g 2654 2099 Pnt\n.7619 g
        2654 2099 Pnt\n.746 g 2697 2113 Pnt\n.746 g 2697 2113 Pnt\n.7302 g
        2681 2116 Pnt\n.7302 g 2681 2116 Pnt\n.7143 g 2672 2110 Pnt\n.7143 g
        2672 2110 Pnt\n.6984 g 2656 2110 Pnt\n.6984 g 2656 2110 Pnt\n.6825 g
        2659 2109 Pnt\n.6825 g 2659 2109 Pnt\n.6667 g 2645 2095 Pnt\n.6667 g
        2645 2095 Pnt\n.6508 g 2636 2095 Pnt\n.6508 g 2636 2095 Pnt\n.6349 g
        2621 2083 Pnt\n.6349 g 2621 2083 Pnt\n.619 g 2631 2107 Pnt\n.619 g
        2631 2107 Pnt\n.6032 g 2626 2084 Pnt\n.6032 g 2626 2084 Pnt\n.5873 g
        2618 2076 Pnt\n.5873 g 2618 2076 Pnt\n.5714 g 2611 2054 Pnt\n.5714 g
        2611 2054 Pnt\n.5556 g 2611 2059 Pnt\n.5556 g 2611 2059 Pnt\n.5397 g
        2597 2047 Pnt\n.5397 g 2597 2047 Pnt\n.5238 g 2592 2035 Pnt\n.5238 g
        2592 2035 Pnt\n.5079 g 2578 2020 Pnt\n.5079 g 2578 2020 Pnt\n.4921 g
        2659 1994 Pnt\n.4921 g 2659 1994 Pnt\n.4762 g 2647 2011 Pnt\n.4762 g
        2647 2011 Pnt\n.4603 g 2637 2013 Pnt\n.4603 g 2637 2013 Pnt\n.4444 g
        2624 2027 Pnt\n.4444 g 2624 2027 Pnt\n.4286 g 2626 2024 Pnt\n.4286 g
        2626 2024 Pnt\n.4127 g 2609 2024 Pnt\n.4127 g 2609 2024 Pnt\n.3968 g
        2601 2032 Pnt\n.3968 g 2601 2032 Pnt\n.381 g 2585 2035 Pnt\n.381 g
        2585 2035 Pnt\n.3651 g 2603 2046 Pnt\n.3651 g 2603 2046 Pnt\n.3492 g
        2589 2031 Pnt\n.3492 g 2589 2031 Pnt\n.3333 g 2580 2031 Pnt\n.3333 g
        2580 2031 Pnt\n.3175 g 2565 2020 Pnt\n.3175 g 2565 2020 Pnt\n.3016 g
        2567 2023 Pnt\n.3016 g 2567 2023 Pnt\n.2857 g 2551 2027 Pnt\n.2857 g
        2551 2027 Pnt\n.2698 g 2542 2020 Pnt\n.2698 g 2542 2020 Pnt\n.254 g
        2526 2020 Pnt\n.254 g 2526 2020 Pnt\n.2381 g 2554 2071 Pnt\n.2381 g
        2554 2071 Pnt\n.2222 g 2548 2048 Pnt\n.2222 g 2548 2048 Pnt\n.2063 g
        2541 2040 Pnt\n.2063 g 2541 2040 Pnt\n.1905 g 2533 2018 Pnt\n.1905 g
        2533 2018 Pnt\n.1746 g 2534 2022 Pnt\n.1746 g 2534 2022 Pnt\n.1587 g
        2519 2011 Pnt\n.1587 g 2519 2011 Pnt\n.1429 g 2515 1998 Pnt\n.1429 g
        2515 1998 Pnt\n.127 g 2501 1984 Pnt\n.127 g 2501 1984 Pnt\n.1111 g
        2520 1987 Pnt\n.1111 g 2520 1987 Pnt\n.0952 g 2504 1990 Pnt\n.0952 g
        2504 1990 Pnt\n.0794 g 2495 1984 Pnt\n.0794 g 2495 1984 Pnt\n.0635 g
        2478 1984 Pnt\n.0635 g 2478 1984 Pnt\n.0476 g 2482 1983 Pnt\n.0476 g
        2482 1983 Pnt\n.0317 g 2468 1969 Pnt\n.0317 g 2468 1969 Pnt\n.0159 g
        2458 1969 Pnt\n.0159 g 2458 1969 Pnt\n0 g 2443 1957 Pnt\n0 g 2443
        1957 Pnt\n1 g 2458 2729 Pnt\n1 g 2458 2729 Pnt\n.9841 g 2474 2728
        Pnt\n.9841 g 2474 2728 Pnt\n.9683 g 2482 2719 Pnt\n.9683 g 2482 2719
        Pnt\n.9524 g 2498 2714 Pnt\n.9524 g 2498 2714 Pnt\n.9365 g 2494 2714
        Pnt\n.9365 g 2494 2714 Pnt\n.9206 g 2506 2696 Pnt\n.9206 g 2506 2696
        Pnt\n.9048 g 2515 2693 Pnt\n.9048 g 2515 2693 Pnt\n.8889 g 2528 2678
        Pnt\n.8889 g 2528 2678 Pnt\n.873 g 2521 2704 Pnt\n.873 g 2521 2704
        Pnt\n.8571 g 2523 2680 Pnt\n.8571 g 2523 2680 Pnt\n.8413 g 2529 2670
        Pnt\n.8413 g 2529 2670 Pnt\n.8254 g 2534 2647 Pnt\n.8254 g 2534 2647
        Pnt\n.8095 g 2534 2651 Pnt\n.8095 g 2534 2651 Pnt\n.7937 g 2547 2636
        Pnt\n.7937 g 2547 2636 Pnt\n.7778 g 2549 2622 Pnt\n.7778 g 2549 2622
        Pnt\n.7619 g 2560 2605 Pnt\n.7619 g 2560 2605 Pnt\n.746 g 2566 2669
        Pnt\n.746 g 2566 2669 Pnt\n.7302 g 2558 2648 Pnt\n.7302 g 2558 2648
        Pnt\n.7143 g 2560 2634 Pnt\n.7143 g 2560 2634 Pnt\n.6984 g 2554 2611
        Pnt\n.6984 g 2554 2611 Pnt\n.6825 g 2556 2615 Pnt\n.6825 g 2556 2615
        Pnt\n.6667 g 2560 2592 Pnt\n.6667 g 2560 2592 Pnt\n.6508 g 2557 2578
        Pnt\n.6508 g 2557 2578 Pnt\n.6349 g 2560 2554 Pnt\n.6349 g 2560 2554
        Pnt\n.619 g 2548 2577 Pnt\n.619 g 2548 2577 Pnt\n.6032 g 2561 2561
        Pnt\n.6032 g 2561 2561 Pnt\n.5873 g 2563 2548 Pnt\n.5873 g 2563 2548
        Pnt\n.5714 g 2575 2530 Pnt\n.5714 g 2575 2530 Pnt\n.5556 g 2572 2533
        Pnt\n.5556 g 2572 2533 Pnt\n.5397 g 2574 2508 Pnt\n.5397 g 2574 2508
        Pnt\n.5238 g 2581 2498 Pnt\n.5238 g 2581 2498 Pnt\n.5079 g 2585 2475
        Pnt\n.5079 g 2585 2475 Pnt\n.4921 g 2628 2577 Pnt\n.4921 g 2628 2577
        Pnt\n.4762 g 2614 2566 Pnt\n.4762 g 2614 2566 Pnt\n.4603 g 2609 2553
        Pnt\n.4603 g 2609 2553 Pnt\n.4444 g 2596 2539 Pnt\n.4444 g 2596 2539
        Pnt\n.4286 g 2599 2541 Pnt\n.4286 g 2599 2541 Pnt\n.4127 g 2593 2518
        Pnt\n.4127 g 2593 2518 Pnt\n.3968 g 2586 2510 Pnt\n.3968 g 2586 2510
        Pnt\n.381 g 2578 2488 Pnt\n.381 g 2578 2488 Pnt\n.3651 g 2577 2516
        Pnt\n.3651 g 2577 2516 Pnt\n.3492 g 2582 2493 Pnt\n.3492 g 2582 2493
        Pnt\n.3333 g 2579 2480 Pnt\n.3333 g 2579 2480 Pnt\n.3175 g 2581 2456
        Pnt\n.3175 g 2581 2456 Pnt\n.3016 g 2580 2460 Pnt\n.3016 g 2580 2460
        Pnt\n.2857 g 2572 2438 Pnt\n.2857 g 2572 2438 Pnt\n.2698 g 2574 2424
        Pnt\n.2698 g 2574 2424 Pnt\n.254 g 2568 2401 Pnt\n.254 g 2568 2401
        Pnt\n.2381 g 2545 2457 Pnt\n.2381 g 2545 2457 Pnt\n.2222 g 2558 2442
        Pnt\n.2222 g 2558 2442 Pnt\n.2063 g 2561 2429 Pnt\n.2063 g 2561 2429
        Pnt\n.1905 g 2572 2411 Pnt\n.1905 g 2572 2411 Pnt\n.1746 g 2569 2414
        Pnt\n.1746 g 2569 2414 Pnt\n.1587 g 2572 2389 Pnt\n.1587 g 2572 2389
        Pnt\n.1429 g 2578 2379 Pnt\n.1429 g 2578 2379 Pnt\n.127 g 2583 2355
        Pnt\n.127 g 2583 2355 Pnt\n.1111 g 2587 2383 Pnt\n.1111 g 2587 2383
        Pnt\n.0952 g 2580 2361 Pnt\n.0952 g 2580 2361 Pnt\n.0794 g 2581 2347
        Pnt\n.0794 g 2581 2347 Pnt\n.0635 g 2575 2324 Pnt\n.0635 g 2575 2324
        Pnt\n.0476 g 2577 2328 Pnt\n.0476 g 2577 2328 Pnt\n.0317 g 2581 2305
        Pnt\n.0317 g 2581 2305 Pnt\n.0159 g 2578 2291 Pnt\n.0159 g 2578 2291
        Pnt\n0 g 2581 2267 Pnt\n0 g 2581 2267 Pnt\n1 g 2692 2384 Pnt\n1 g
        2692 2384 Pnt\n.9841 g 2676 2387 Pnt\n.9841 g 2676 2387 Pnt\n.9683 g
        2668 2381 Pnt\n.9683 g 2668 2381 Pnt\n.9524 g 2651 2381 Pnt\n.9524 g
        2651 2381 Pnt\n.9365 g 2654 2380 Pnt\n.9365 g 2654 2380 Pnt\n.9206 g
        2641 2366 Pnt\n.9206 g 2641 2366 Pnt\n.9048 g 2631 2366 Pnt\n.9048 g
        2631 2366 Pnt\n.8889 g 2617 2354 Pnt\n.8889 g 2617 2354 Pnt\n.873 g
        2627 2378 Pnt\n.873 g 2627 2378 Pnt\n.8571 g 2622 2355 Pnt\n.8571 g
        2622 2355 Pnt\n.8413 g 2614 2347 Pnt\n.8413 g 2614 2347 Pnt\n.8254 g
        2606 2325 Pnt\n.8254 g 2606 2325 Pnt\n.8095 g 2607 2330 Pnt\n.8095 g
        2607 2330 Pnt\n.7937 g 2592 2318 Pnt\n.7937 g 2592 2318 Pnt\n.7778 g
        2588 2306 Pnt\n.7778 g 2588 2306 Pnt\n.7619 g 2574 2292 Pnt\n.7619 g
        2574 2292 Pnt\n.746 g 2578 2357 Pnt\n.746 g 2578 2357 Pnt\n.7302 g
        2582 2334 Pnt\n.7302 g 2582 2334 Pnt\n.7143 g 2579 2320 Pnt\n.7143 g
        2579 2320 Pnt\n.6984 g 2581 2296 Pnt\n.6984 g 2581 2296 Pnt\n.6825 g
        2580 2301 Pnt\n.6825 g 2580 2301 Pnt\n.6667 g 2573 2279 Pnt\n.6667 g
        2573 2279 Pnt\n.6508 g 2574 2265 Pnt\n.6508 g 2574 2265 Pnt\n.6349 g
        2568 2242 Pnt\n.6349 g 2568 2242 Pnt\n.619 g 2583 2261 Pnt\n.619 g
        2583 2261 Pnt\n.6032 g 2568 2249 Pnt\n.6032 g 2568 2249 Pnt\n.5873 g
        2564 2237 Pnt\n.5873 g 2564 2237 Pnt\n.5714 g 2550 2223 Pnt\n.5714 g
        2550 2223 Pnt\n.5556 g 2553 2225 Pnt\n.5556 g 2553 2225 Pnt\n.5397 g
        2548 2201 Pnt\n.5397 g 2548 2201 Pnt\n.5238 g 2540 2193 Pnt\n.5238 g
        2540 2193 Pnt\n.5079 g 2532 2171 Pnt\n.5079 g 2532 2171 Pnt\n.4921 g
        2504 2285 Pnt\n.4921 g 2504 2285 Pnt\n.4762 g 2517 2269 Pnt\n.4762 g
        2517 2269 Pnt\n.4603 g 2519 2256 Pnt\n.4603 g 2519 2256 Pnt\n.4444 g
        2531 2238 Pnt\n.4444 g 2531 2238 Pnt\n.4286 g 2528 2241 Pnt\n.4286 g
        2528 2241 Pnt\n.4127 g 2530 2217 Pnt\n.4127 g 2530 2217 Pnt\n.3968 g
        2537 2206 Pnt\n.3968 g 2537 2206 Pnt\n.381 g 2541 2183 Pnt\n.381 g
        2541 2183 Pnt\n.3651 g 2546 2210 Pnt\n.3651 g 2546 2210 Pnt\n.3492 g
        2538 2189 Pnt\n.3492 g 2538 2189 Pnt\n.3333 g 2539 2175 Pnt\n.3333 g
        2539 2175 Pnt\n.3175 g 2534 2151 Pnt\n.3175 g 2534 2151 Pnt\n.3016 g
        2536 2156 Pnt\n.3016 g 2536 2156 Pnt\n.2857 g 2540 2132 Pnt\n.2857 g
        2540 2132 Pnt\n.2698 g 2537 2119 Pnt\n.2698 g 2537 2119 Pnt\n.254 g
        2539 2094 Pnt\n.254 g 2539 2094 Pnt\n.2381 g 2569 2143 Pnt\n.2381 g
        2569 2143 Pnt\n.2222 g 2555 2131 Pnt\n.2222 g 2555 2131 Pnt\n.2063 g
        2550 2119 Pnt\n.2063 g 2550 2119 Pnt\n.1905 g 2537 2105 Pnt\n.1905 g
        2537 2105 Pnt\n.1746 g 2540 2107 Pnt\n.1746 g 2540 2107 Pnt\n.1587 g
        2534 2084 Pnt\n.1587 g 2534 2084 Pnt\n.1429 g 2526 2075 Pnt\n.1429 g
        2526 2075 Pnt\n.127 g 2519 2054 Pnt\n.127 g 2519 2054 Pnt\n.1111 g
        2518 2082 Pnt\n.1111 g 2518 2082 Pnt\n.0952 g 2522 2058 Pnt\n.0952 g
        2522 2058 Pnt\n.0794 g 2519 2045 Pnt\n.0794 g 2519 2045 Pnt\n.0635 g
        2522 2021 Pnt\n.0635 g 2522 2021 Pnt\n.0476 g 2520 2025 Pnt\n.0476 g
        2520 2025 Pnt\n.0317 g 2513 2003 Pnt\n.0317 g 2513 2003 Pnt\n.0159 g
        2514 1989 Pnt\n.0159 g 2514 1989 Pnt\n0 g 2508 1966 Pnt\n0 g 2508
        1966 Pnt\n1 g 2721 2044 Pnt\n1 g 2721 2044 Pnt\n.9841 g 2709 2060
        Pnt\n.9841 g 2709 2060 Pnt\n.9683 g 2699 2062 Pnt\n.9683 g 2699 2062
        Pnt\n.9524 g 2686 2076 Pnt\n.9524 g 2686 2076 Pnt\n.9365 g 2688 2073
        Pnt\n.9365 g 2688 2073 Pnt\n.9206 g 2672 2073 Pnt\n.9206 g 2672 2073
        Pnt\n.9048 g 2664 2081 Pnt\n.9048 g 2664 2081 Pnt\n.8889 g 2647 2084
        Pnt\n.8889 g 2647 2084 Pnt\n.873 g 2665 2095 Pnt\n.873 g 2665 2095
        Pnt\n.8571 g 2652 2081 Pnt\n.8571 g 2652 2081 Pnt\n.8413 g 2642 2080
        Pnt\n.8413 g 2642 2080 Pnt\n.8254 g 2628 2069 Pnt\n.8254 g 2628 2069
        Pnt\n.8095 g 2630 2072 Pnt\n.8095 g 2630 2072 Pnt\n.7937 g 2614 2076
        Pnt\n.7937 g 2614 2076 Pnt\n.7778 g 2605 2069 Pnt\n.7778 g 2605 2069
        Pnt\n.7619 g 2589 2069 Pnt\n.7619 g 2589 2069 Pnt\n.746 g 2617 2120
        Pnt\n.746 g 2617 2120 Pnt\n.7302 g 2611 2097 Pnt\n.7302 g 2611 2097
        Pnt\n.7143 g 2604 2089 Pnt\n.7143 g 2604 2089 Pnt\n.6984 g 2596 2067
        Pnt\n.6984 g 2596 2067 Pnt\n.6825 g 2597 2071 Pnt\n.6825 g 2597 2071
        Pnt\n.6667 g 2582 2060 Pnt\n.6667 g 2582 2060 Pnt\n.6508 g 2578 2048
        Pnt\n.6508 g 2578 2048 Pnt\n.6349 g 2564 2034 Pnt\n.6349 g 2564 2034
        Pnt\n.619 g 2583 2036 Pnt\n.619 g 2583 2036 Pnt\n.6032 g 2567 2040
        Pnt\n.6032 g 2567 2040 Pnt\n.5873 g 2558 2033 Pnt\n.5873 g 2558 2033
        Pnt\n.5714 g 2542 2033 Pnt\n.5714 g 2542 2033 Pnt\n.5556 g 2545 2032
        Pnt\n.5556 g 2545 2032 Pnt\n.5397 g 2531 2018 Pnt\n.5397 g 2531 2018
        Pnt\n.5238 g 2522 2018 Pnt\n.5238 g 2522 2018 Pnt\n.5079 g 2507 2007
        Pnt\n.5079 g 2507 2007 Pnt\n.4921 g 2528 2124 Pnt\n.4921 g 2528 2124
        Pnt\n.4762 g 2533 2100 Pnt\n.4762 g 2533 2100 Pnt\n.4603 g 2530 2087
        Pnt\n.4603 g 2530 2087 Pnt\n.4444 g 2532 2063 Pnt\n.4444 g 2532 2063
        Pnt\n.4286 g 2531 2067 Pnt\n.4286 g 2531 2067 Pnt\n.4127 g 2523 2045
        Pnt\n.4127 g 2523 2045 Pnt\n.3968 g 2524 2032 Pnt\n.3968 g 2524 2032
        Pnt\n.381 g 2519 2008 Pnt\n.381 g 2519 2008 Pnt\n.3651 g 2533 2027
        Pnt\n.3651 g 2533 2027 Pnt\n.3492 g 2519 2016 Pnt\n.3492 g 2519 2016
        Pnt\n.3333 g 2514 2003 Pnt\n.3333 g 2514 2003 Pnt\n.3175 g 2501 1989
        Pnt\n.3175 g 2501 1989 Pnt\n.3016 g 2504 1991 Pnt\n.3016 g 2504 1991
        Pnt\n.2857 g 2498 1968 Pnt\n.2857 g 2498 1968 Pnt\n.2698 g 2490 1960
        Pnt\n.2698 g 2490 1960 Pnt\n.254 g 2483 1938 Pnt\n.254 g 2483 1938
        Pnt\n.2381 g 2526 1952 Pnt\n.2381 g 2526 1952 Pnt\n.2222 g 2510 1955
        Pnt\n.2222 g 2510 1955 Pnt\n.2063 g 2501 1949 Pnt\n.2063 g 2501 1949
        Pnt\n.1905 g 2485 1949 Pnt\n.1905 g 2485 1949 Pnt\n.1746 g 2488 1948
        Pnt\n.1746 g 2488 1948 Pnt\n.1587 g 2474 1934 Pnt\n.1587 g 2474 1934
        Pnt\n.1429 g 2465 1934 Pnt\n.1429 g 2465 1934 Pnt\n.127 g 2450 1922
        Pnt\n.127 g 2450 1922 Pnt\n.1111 g 2460 1946 Pnt\n.1111 g 2460 1946
        Pnt\n.0952 g 2455 1923 Pnt\n.0952 g 2455 1923 Pnt\n.0794 g 2447 1915
        Pnt\n.0794 g 2447 1915 Pnt\n.0635 g 2439 1893 Pnt\n.0635 g 2439 1893
        Pnt\n.0476 g 2440 1897 Pnt\n.0476 g 2440 1897 Pnt\n.0317 g 2426 1886
        Pnt\n.0317 g 2426 1886 Pnt\n.0159 g 2421 1874 Pnt\n.0159 g 2421 1874
        Pnt\n0 g 2407 1859 Pnt\n0 g 2407 1859 Pnt\n1 g 2389 2060 Pnt\n1 g
        2389 2060 Pnt\n.9841 g 2402 2045 Pnt\n.9841 g 2402 2045 Pnt\n.9683 g
        2404 2031 Pnt\n.9683 g 2404 2031 Pnt\n.9524 g 2415 2014 Pnt\n.9524 g
        2415 2014 Pnt\n.9365 g 2413 2016 Pnt\n.9365 g 2413 2016 Pnt\n.9206 g
        2415 1992 Pnt\n.9206 g 2415 1992 Pnt\n.9048 g 2422 1982 Pnt\n.9048 g
        2422 1982 Pnt\n.8889 g 2426 1958 Pnt\n.8889 g 2426 1958 Pnt\n.873 g
        2431 1986 Pnt\n.873 g 2431 1986 Pnt\n.8571 g 2423 1964 Pnt\n.8571 g
        2423 1964 Pnt\n.8413 g 2424 1950 Pnt\n.8413 g 2424 1950 Pnt\n.8254 g
        2419 1927 Pnt\n.8254 g 2419 1927 Pnt\n.8095 g 2420 1931 Pnt\n.8095 g
        2420 1931 Pnt\n.7937 g 2425 1907 Pnt\n.7937 g 2425 1907 Pnt\n.7778 g
        2422 1894 Pnt\n.7778 g 2422 1894 Pnt\n.7619 g 2424 1870 Pnt\n.7619 g
        2424 1870 Pnt\n.746 g 2454 1918 Pnt\n.746 g 2454 1918 Pnt\n.7302 g
        2439 1907 Pnt\n.7302 g 2439 1907 Pnt\n.7143 g 2435 1894 Pnt\n.7143 g
        2435 1894 Pnt\n.6984 g 2421 1880 Pnt\n.6984 g 2421 1880 Pnt\n.6825 g
        2424 1882 Pnt\n.6825 g 2424 1882 Pnt\n.6667 g 2419 1859 Pnt\n.6667 g
        2419 1859 Pnt\n.6508 g 2411 1851 Pnt\n.6508 g 2411 1851 Pnt\n.6349 g
        2403 1829 Pnt\n.6349 g 2403 1829 Pnt\n.619 g 2403 1857 Pnt\n.619 g
        2403 1857 Pnt\n.6032 g 2407 1834 Pnt\n.6032 g 2407 1834 Pnt\n.5873 g
        2404 1820 Pnt\n.5873 g 2404 1820 Pnt\n.5714 g 2406 1796 Pnt\n.5714 g
        2406 1796 Pnt\n.5556 g 2405 1801 Pnt\n.5556 g 2405 1801 Pnt\n.5397 g
        2398 1779 Pnt\n.5397 g 2398 1779 Pnt\n.5238 g 2399 1765 Pnt\n.5238 g
        2399 1765 Pnt\n.5079 g 2393 1741 Pnt\n.5079 g 2393 1741 Pnt\n.4921 g
        2469 1788 Pnt\n.4921 g 2469 1788 Pnt\n.4762 g 2453 1792 Pnt\n.4762 g
        2453 1792 Pnt\n.4603 g 2444 1785 Pnt\n.4603 g 2444 1785 Pnt\n.4444 g
        2427 1785 Pnt\n.4444 g 2427 1785 Pnt\n.4286 g 2431 1784 Pnt\n.4286 g
        2431 1784 Pnt\n.4127 g 2417 1770 Pnt\n.4127 g 2417 1770 Pnt\n.3968 g
        2408 1770 Pnt\n.3968 g 2408 1770 Pnt\n.381 g 2393 1759 Pnt\n.381 g
        2393 1759 Pnt\n.3651 g 2403 1783 Pnt\n.3651 g 2403 1783 Pnt\n.3492 g
        2398 1759 Pnt\n.3492 g 2398 1759 Pnt\n.3333 g 2390 1751 Pnt\n.3333 g
        2390 1751 Pnt\n.3175 g 2382 1729 Pnt\n.3175 g 2382 1729 Pnt\n.3016 g
        2383 1734 Pnt\n.3016 g 2383 1734 Pnt\n.2857 g 2368 1723 Pnt\n.2857 g
        2368 1723 Pnt\n.2698 g 2364 1710 Pnt\n.2698 g 2364 1710 Pnt\n.254 g
        2350 1696 Pnt\n.254 g 2350 1696 Pnt\n.2381 g 2354 1762 Pnt\n.2381 g
        2354 1762 Pnt\n.2222 g 2358 1738 Pnt\n.2222 g 2358 1738 Pnt\n.2063 g
        2355 1725 Pnt\n.2063 g 2355 1725 Pnt\n.1905 g 2357 1700 Pnt\n.1905 g
        2357 1700 Pnt\n.1746 g 2356 1705 Pnt\n.1746 g 2356 1705 Pnt\n.1587 g
        2349 1683 Pnt\n.1587 g 2349 1683 Pnt\n.1429 g 2350 1669 Pnt\n.1429 g
        2350 1669 Pnt\n.127 g 2344 1646 Pnt\n.127 g 2344 1646 Pnt\n.1111 g
        2359 1664 Pnt\n.1111 g 2359 1664 Pnt\n.0952 g 2344 1653 Pnt\n.0952 g
        2344 1653 Pnt\n.0794 g 2340 1641 Pnt\n.0794 g 2340 1641 Pnt\n.0635 g
        2326 1626 Pnt\n.0635 g 2326 1626 Pnt\n.0476 g 2329 1628 Pnt\n.0476 g
        2329 1628 Pnt\n.0317 g 2323 1605 Pnt\n.0317 g 2323 1605 Pnt\n.0159 g
        2315 1597 Pnt\n.0159 g 2315 1597 Pnt\n0 g 2308 1575 Pnt\n0 g 2308
        1575 Pnt\n1 g 2647 1519 Pnt\n1 g 2647 1519 Pnt\n.9841 g 2643 1543
        Pnt\n.9841 g 2643 1543 Pnt\n.9683 g 2636 1552 Pnt\n.9683 g 2636 1552
        Pnt\n.9524 g 2631 1575 Pnt\n.9524 g 2631 1575 Pnt\n.9365 g 2631 1570
        Pnt\n.9365 g 2631 1570 Pnt\n.9206 g 2618 1584 Pnt\n.9206 g 2618 1584
        Pnt\n.9048 g 2615 1598 Pnt\n.9048 g 2615 1598 Pnt\n.8889 g 2603 1614
        Pnt\n.8889 g 2603 1614 Pnt\n.873 g 2621 1608 Pnt\n.873 g 2621 1608
        Pnt\n.8571 g 2605 1608 Pnt\n.8571 g 2605 1608 Pnt\n.8413 g 2597 1616
        Pnt\n.8413 g 2597 1616 Pnt\n.8254 g 2581 1619 Pnt\n.8254 g 2581 1619
        Pnt\n.8095 g 2584 1619 Pnt\n.8095 g 2584 1619 Pnt\n.7937 g 2572 1636
        Pnt\n.7937 g 2572 1636 Pnt\n.7778 g 2562 1638 Pnt\n.7778 g 2562 1638
        Pnt\n.7619 g 2549 1652 Pnt\n.7619 g 2549 1652 Pnt\n.746 g 2592 1669
        Pnt\n.746 g 2592 1669 Pnt\n.7302 g 2578 1655 Pnt\n.7302 g 2578 1655
        Pnt\n.7143 g 2569 1655 Pnt\n.7143 g 2569 1655 Pnt\n.6984 g 2554 1644
        Pnt\n.6984 g 2554 1644 Pnt\n.6825 g 2556 1647 Pnt\n.6825 g 2556 1647
        Pnt\n.6667 g 2540 1650 Pnt\n.6667 g 2540 1650 Pnt\n.6508 g 2532 1644
        Pnt\n.6508 g 2532 1644 Pnt\n.6349 g 2515 1644 Pnt\n.6349 g 2515 1644
        Pnt\n.619 g 2532 1630 Pnt\n.619 g 2532 1630 Pnt\n.6032 g 2520 1647
        Pnt\n.6032 g 2520 1647 Pnt\n.5873 g 2510 1649 Pnt\n.5873 g 2510 1649
        Pnt\n.5714 g 2497 1663 Pnt\n.5714 g 2497 1663 Pnt\n.5556 g 2499 1659
        Pnt\n.5556 g 2499 1659 Pnt\n.5397 g 2482 1659 Pnt\n.5397 g 2482 1659
        Pnt\n.5238 g 2474 1667 Pnt\n.5238 g 2474 1667 Pnt\n.5079 g 2458 1671
        Pnt\n.5079 g 2458 1671 Pnt\n.4921 g 2521 1748 Pnt\n.4921 g 2521 1748
        Pnt\n.4762 g 2515 1725 Pnt\n.4762 g 2515 1725 Pnt\n.4603 g 2507 1717
        Pnt\n.4603 g 2507 1717 Pnt\n.4444 g 2500 1695 Pnt\n.4444 g 2500 1695
        Pnt\n.4286 g 2501 1700 Pnt\n.4286 g 2501 1700 Pnt\n.4127 g 2486 1689
        Pnt\n.4127 g 2486 1689 Pnt\n.3968 g 2482 1676 Pnt\n.3968 g 2482 1676
        Pnt\n.381 g 2468 1662 Pnt\n.381 g 2468 1662 Pnt\n.3651 g 2487 1665
        Pnt\n.3651 g 2487 1665 Pnt\n.3492 g 2471 1668 Pnt\n.3492 g 2471 1668
        Pnt\n.3333 g 2462 1662 Pnt\n.3333 g 2462 1662 Pnt\n.3175 g 2446 1662
        Pnt\n.3175 g 2446 1662 Pnt\n.3016 g 2449 1661 Pnt\n.3016 g 2449 1661
        Pnt\n.2857 g 2435 1647 Pnt\n.2857 g 2435 1647 Pnt\n.2698 g 2426 1647
        Pnt\n.2698 g 2426 1647 Pnt\n.254 g 2411 1635 Pnt\n.254 g 2411 1635
        Pnt\n.2381 g 2452 1610 Pnt\n.2381 g 2452 1610 Pnt\n.2222 g 2440 1626
        Pnt\n.2222 g 2440 1626 Pnt\n.2063 g 2430 1628 Pnt\n.2063 g 2430 1628
        Pnt\n.1905 g 2417 1643 Pnt\n.1905 g 2417 1643 Pnt\n.1746 g 2419 1639
        Pnt\n.1746 g 2419 1639 Pnt\n.1587 g 2402 1639 Pnt\n.1587 g 2402 1639
        Pnt\n.1429 g 2395 1647 Pnt\n.1429 g 2395 1647 Pnt\n.127 g 2378 1651
        Pnt\n.127 g 2378 1651 Pnt\n.1111 g 2396 1661 Pnt\n.1111 g 2396 1661
        Pnt\n.0952 g 2382 1647 Pnt\n.0952 g 2382 1647 Pnt\n.0794 g 2373 1647
        Pnt\n.0794 g 2373 1647 Pnt\n.0635 g 2358 1635 Pnt\n.0635 g 2358 1635
        Pnt\n.0476 g 2361 1638 Pnt\n.0476 g 2361 1638 Pnt\n.0317 g 2344 1642
        Pnt\n.0317 g 2344 1642 Pnt\n.0159 g 2335 1635 Pnt\n.0159 g 2335 1635
        Pnt\n0 g 2319 1635 Pnt\n0 g 2319 1635 Pnt\n1 g 2382 1815 Pnt\n1 g
        2382 1815 Pnt\n.9841 g 2386 1792 Pnt\n.9841 g 2386 1792 Pnt\n.9683 g
        2383 1779 Pnt\n.9683 g 2383 1779 Pnt\n.9524 g 2386 1755 Pnt\n.9524 g
        2386 1755 Pnt\n.9365 g 2384 1759 Pnt\n.9365 g 2384 1759 Pnt\n.9206 g
        2377 1737 Pnt\n.9206 g 2377 1737 Pnt\n.9048 g 2378 1723 Pnt\n.9048 g
        2378 1723 Pnt\n.8889 g 2373 1700 Pnt\n.8889 g 2373 1700 Pnt\n.873 g
        2387 1719 Pnt\n.873 g 2387 1719 Pnt\n.8571 g 2372 1708 Pnt\n.8571 g
        2372 1708 Pnt\n.8413 g 2368 1695 Pnt\n.8413 g 2368 1695 Pnt\n.8254 g
        2354 1681 Pnt\n.8254 g 2354 1681 Pnt\n.8095 g 2357 1683 Pnt\n.8095 g
        2357 1683 Pnt\n.7937 g 2352 1660 Pnt\n.7937 g 2352 1660 Pnt\n.7778 g
        2344 1652 Pnt\n.7778 g 2344 1652 Pnt\n.7619 g 2336 1630 Pnt\n.7619 g
        2336 1630 Pnt\n.746 g 2380 1644 Pnt\n.746 g 2380 1644 Pnt\n.7302 g
        2363 1647 Pnt\n.7302 g 2363 1647 Pnt\n.7143 g 2355 1641 Pnt\n.7143 g
        2355 1641 Pnt\n.6984 g 2338 1641 Pnt\n.6984 g 2338 1641 Pnt\n.6825 g
        2342 1640 Pnt\n.6825 g 2342 1640 Pnt\n.6667 g 2328 1625 Pnt\n.6667 g
        2328 1625 Pnt\n.6508 g 2318 1625 Pnt\n.6508 g 2318 1625 Pnt\n.6349 g
        2304 1614 Pnt\n.6349 g 2304 1614 Pnt\n.619 g 2314 1638 Pnt\n.619 g
        2314 1638 Pnt\n.6032 g 2309 1615 Pnt\n.6032 g 2309 1615 Pnt\n.5873 g
        2301 1607 Pnt\n.5873 g 2301 1607 Pnt\n.5714 g 2293 1585 Pnt\n.5714 g
        2293 1585 Pnt\n.5556 g 2294 1589 Pnt\n.5556 g 2294 1589 Pnt\n.5397 g
        2279 1578 Pnt\n.5397 g 2279 1578 Pnt\n.5238 g 2275 1565 Pnt\n.5238 g
        2275 1565 Pnt\n.5079 g 2261 1551 Pnt\n.5079 g 2261 1551 Pnt\n.4921 g
        2341 1525 Pnt\n.4921 g 2341 1525 Pnt\n.4762 g 2329 1542 Pnt\n.4762 g
        2329 1542 Pnt\n.4603 g 2320 1544 Pnt\n.4603 g 2320 1544 Pnt\n.4444 g
        2306 1558 Pnt\n.4444 g 2306 1558 Pnt\n.4286 g 2308 1554 Pnt\n.4286 g
        2308 1554 Pnt\n.4127 g 2292 1554 Pnt\n.4127 g 2292 1554 Pnt\n.3968 g
        2284 1563 Pnt\n.3968 g 2284 1563 Pnt\n.381 g 2268 1566 Pnt\n.381 g
        2268 1566 Pnt\n.3651 g 2285 1576 Pnt\n.3651 g 2285 1576 Pnt\n.3492 g
        2272 1562 Pnt\n.3492 g 2272 1562 Pnt\n.3333 g 2262 1562 Pnt\n.3333 g
        2262 1562 Pnt\n.3175 g 2247 1551 Pnt\n.3175 g 2247 1551 Pnt\n.3016 g
        2250 1554 Pnt\n.3016 g 2250 1554 Pnt\n.2857 g 2233 1557 Pnt\n.2857 g
        2233 1557 Pnt\n.2698 g 2225 1551 Pnt\n.2698 g 2225 1551 Pnt\n.254 g
        2208 1551 Pnt\n.254 g 2208 1551 Pnt\n.2381 g 2237 1602 Pnt\n.2381 g
        2237 1602 Pnt\n.2222 g 2231 1578 Pnt\n.2222 g 2231 1578 Pnt\n.2063 g
        2223 1570 Pnt\n.2063 g 2223 1570 Pnt\n.1905 g 2216 1548 Pnt\n.1905 g
        2216 1548 Pnt\n.1746 g 2217 1553 Pnt\n.1746 g 2217 1553 Pnt\n.1587 g
        2202 1542 Pnt\n.1587 g 2202 1542 Pnt\n.1429 g 2197 1529 Pnt\n.1429 g
        2197 1529 Pnt\n.127 g 2184 1515 Pnt\n.127 g 2184 1515 Pnt\n.1111 g
        2203 1518 Pnt\n.1111 g 2203 1518 Pnt\n.0952 g 2186 1521 Pnt\n.0952 g
        2186 1521 Pnt\n.0794 g 2178 1515 Pnt\n.0794 g 2178 1515 Pnt\n.0635 g
        2161 1515 Pnt\n.0635 g 2161 1515 Pnt\n.0476 g 2164 1514 Pnt\n.0476 g
        2164 1514 Pnt\n.0317 g 2151 1499 Pnt\n.0317 g 2151 1499 Pnt\n.0159 g
        2141 1499 Pnt\n.0159 g 2141 1499 Pnt\n0 g 2126 1488 Pnt\n0 g 2126
        1488 Pnt\n1 g 2149 1810 Pnt\n1 g 2149 1810 Pnt\n.9841 g 2162 1795
        Pnt\n.9841 g 2162 1795 Pnt\n.9683 g 2165 1782 Pnt\n.9683 g 2165 1782
        Pnt\n.9524 g 2176 1764 Pnt\n.9524 g 2176 1764 Pnt\n.9365 g 2173 1767
        Pnt\n.9365 g 2173 1767 Pnt\n.9206 g 2176 1742 Pnt\n.9206 g 2176 1742
        Pnt\n.9048 g 2182 1732 Pnt\n.9048 g 2182 1732 Pnt\n.8889 g 2187 1708
        Pnt\n.8889 g 2187 1708 Pnt\n.873 g 2191 1736 Pnt\n.873 g 2191 1736
        Pnt\n.8571 g 2184 1714 Pnt\n.8571 g 2184 1714 Pnt\n.8413 g 2185 1700
        Pnt\n.8413 g 2185 1700 Pnt\n.8254 g 2179 1677 Pnt\n.8254 g 2179 1677
        Pnt\n.8095 g 2181 1681 Pnt\n.8095 g 2181 1681 Pnt\n.7937 g 2185 1658
        Pnt\n.7937 g 2185 1658 Pnt\n.7778 g 2182 1644 Pnt\n.7778 g 2182 1644
        Pnt\n.7619 g 2185 1620 Pnt\n.7619 g 2185 1620 Pnt\n.746 g 2215 1668
        Pnt\n.746 g 2215 1668 Pnt\n.7302 g 2200 1657 Pnt\n.7302 g 2200 1657
        Pnt\n.7143 g 2196 1645 Pnt\n.7143 g 2196 1645 Pnt\n.6984 g 2182 1631
        Pnt\n.6984 g 2182 1631 Pnt\n.6825 g 2185 1632 Pnt\n.6825 g 2185 1632
        Pnt\n.6667 g 2179 1609 Pnt\n.6667 g 2179 1609 Pnt\n.6508 g 2172 1601
        Pnt\n.6508 g 2172 1601 Pnt\n.6349 g 2164 1579 Pnt\n.6349 g 2164 1579
        Pnt\n.619 g 2163 1608 Pnt\n.619 g 2163 1608 Pnt\n.6032 g 2168 1584
        Pnt\n.6032 g 2168 1584 Pnt\n.5873 g 2165 1571 Pnt\n.5873 g 2165 1571
        Pnt\n.5714 g 2167 1546 Pnt\n.5714 g 2167 1546 Pnt\n.5556 g 2166 1551
        Pnt\n.5556 g 2166 1551 Pnt\n.5397 g 2158 1529 Pnt\n.5397 g 2158 1529
        Pnt\n.5238 g 2159 1515 Pnt\n.5238 g 2159 1515 Pnt\n.5079 g 2154 1492
        Pnt\n.5079 g 2154 1492 Pnt\n.4921 g 2230 1539 Pnt\n.4921 g 2230 1539
        Pnt\n.4762 g 2213 1542 Pnt\n.4762 g 2213 1542 Pnt\n.4603 g 2205 1536
        Pnt\n.4603 g 2205 1536 Pnt\n.4444 g 2188 1536 Pnt\n.4444 g 2188 1536
        Pnt\n.4286 g 2191 1535 Pnt\n.4286 g 2191 1535 Pnt\n.4127 g 2178 1520
        Pnt\n.4127 g 2178 1520 Pnt\n.3968 g 2168 1520 Pnt\n.3968 g 2168 1520
        Pnt\n.381 g 2153 1509 Pnt\n.381 g 2153 1509 Pnt\n.3651 g 2164 1533
        Pnt\n.3651 g 2164 1533 Pnt\n.3492 g 2158 1510 Pnt\n.3492 g 2158 1510
        Pnt\n.3333 g 2151 1502 Pnt\n.3333 g 2151 1502 Pnt\n.3175 g 2143 1480
        Pnt\n.3175 g 2143 1480 Pnt\n.3016 g 2144 1484 Pnt\n.3016 g 2144 1484
        Pnt\n.2857 g 2129 1473 Pnt\n.2857 g 2129 1473 Pnt\n.2698 g 2124 1460
        Pnt\n.2698 g 2124 1460 Pnt\n.254 g 2111 1446 Pnt\n.254 g 2111 1446
        Pnt\n.2381 g 2114 1512 Pnt\n.2381 g 2114 1512 Pnt\n.2222 g 2119 1488
        Pnt\n.2222 g 2119 1488 Pnt\n.2063 g 2116 1475 Pnt\n.2063 g 2116 1475
        Pnt\n.1905 g 2118 1451 Pnt\n.1905 g 2118 1451 Pnt\n.1746 g 2117 1455
        Pnt\n.1746 g 2117 1455 Pnt\n.1587 g 2109 1433 Pnt\n.1587 g 2109 1433
        Pnt\n.1429 g 2110 1419 Pnt\n.1429 g 2110 1419 Pnt\n.127 g 2105 1396
        Pnt\n.127 g 2105 1396 Pnt\n.1111 g 2119 1415 Pnt\n.1111 g 2119 1415
        Pnt\n.0952 g 2105 1403 Pnt\n.0952 g 2105 1403 Pnt\n.0794 g 2100 1391
        Pnt\n.0794 g 2100 1391 Pnt\n.0635 g 2086 1377 Pnt\n.0635 g 2086 1377
        Pnt\n.0476 g 2089 1378 Pnt\n.0476 g 2089 1378 Pnt\n.0317 g 2084 1355
        Pnt\n.0317 g 2084 1355 Pnt\n.0159 g 2076 1347 Pnt\n.0159 g 2076 1347
        Pnt\n0 g 2068 1325 Pnt\n0 g 2068 1325 Pnt\n1 g 2206 1325 Pnt\n1 g
        2206 1325 Pnt\n.9841 g 2194 1342 Pnt\n.9841 g 2194 1342 Pnt\n.9683 g
        2185 1344 Pnt\n.9683 g 2185 1344 Pnt\n.9524 g 2171 1358 Pnt\n.9524 g
        2171 1358 Pnt\n.9365 g 2173 1354 Pnt\n.9365 g 2173 1354 Pnt\n.9206 g
        2157 1354 Pnt\n.9206 g 2157 1354 Pnt\n.9048 g 2149 1363 Pnt\n.9048 g
        2149 1363 Pnt\n.8889 g 2132 1366 Pnt\n.8889 g 2132 1366 Pnt\n.873 g
        2150 1376 Pnt\n.873 g 2150 1376 Pnt\n.8571 g 2137 1362 Pnt\n.8571 g
        2137 1362 Pnt\n.8413 g 2127 1362 Pnt\n.8413 g 2127 1362 Pnt\n.8254 g
        2112 1351 Pnt\n.8254 g 2112 1351 Pnt\n.8095 g 2115 1354 Pnt\n.8095 g
        2115 1354 Pnt\n.7937 g 2098 1357 Pnt\n.7937 g 2098 1357 Pnt\n.7778 g
        2090 1351 Pnt\n.7778 g 2090 1351 Pnt\n.7619 g 2073 1351 Pnt\n.7619 g
        2073 1351 Pnt\n.746 g 2102 1402 Pnt\n.746 g 2102 1402 Pnt\n.7302 g
        2096 1378 Pnt\n.7302 g 2096 1378 Pnt\n.7143 g 2088 1370 Pnt\n.7143 g
        2088 1370 Pnt\n.6984 g 2081 1348 Pnt\n.6984 g 2081 1348 Pnt\n.6825 g
        2081 1353 Pnt\n.6825 g 2081 1353 Pnt\n.6667 g 2067 1342 Pnt\n.6667 g
        2067 1342 Pnt\n.6508 g 2062 1329 Pnt\n.6508 g 2062 1329 Pnt\n.6349 g
        2048 1315 Pnt\n.6349 g 2048 1315 Pnt\n.619 g 2068 1318 Pnt\n.619 g
        2068 1318 Pnt\n.6032 g 2051 1321 Pnt\n.6032 g 2051 1321 Pnt\n.5873 g
        2043 1315 Pnt\n.5873 g 2043 1315 Pnt\n.5714 g 2026 1315 Pnt\n.5714 g
        2026 1315 Pnt\n.5556 g 2029 1314 Pnt\n.5556 g 2029 1314 Pnt\n.5397 g
        2015 1299 Pnt\n.5397 g 2015 1299 Pnt\n.5238 g 2006 1299 Pnt\n.5238 g
        2006 1299 Pnt\n.5079 g 1991 1288 Pnt\n.5079 g 1991 1288 Pnt\n.4921 g
        2012 1406 Pnt\n.4921 g 2012 1406 Pnt\n.4762 g 2017 1382 Pnt\n.4762 g
        2017 1382 Pnt\n.4603 g 2014 1369 Pnt\n.4603 g 2014 1369 Pnt\n.4444 g
        2016 1344 Pnt\n.4444 g 2016 1344 Pnt\n.4286 g 2015 1349 Pnt\n.4286 g
        2015 1349 Pnt\n.4127 g 2007 1327 Pnt\n.4127 g 2007 1327 Pnt\n.3968 g
        2008 1313 Pnt\n.3968 g 2008 1313 Pnt\n.381 g 2003 1290 Pnt\n.381 g
        2003 1290 Pnt\n.3651 g 2017 1308 Pnt\n.3651 g 2017 1308 Pnt\n.3492 g
        2003 1297 Pnt\n.3492 g 2003 1297 Pnt\n.3333 g 1998 1284 Pnt\n.3333 g
        1998 1284 Pnt\n.3175 g 1984 1270 Pnt\n.3175 g 1984 1270 Pnt\n.3016 g
        1987 1272 Pnt\n.3016 g 1987 1272 Pnt\n.2857 g 1982 1249 Pnt\n.2857 g
        1982 1249 Pnt\n.2698 g 1974 1241 Pnt\n.2698 g 1974 1241 Pnt\n.254 g
        1966 1218 Pnt\n.254 g 1966 1218 Pnt\n.2381 g 2010 1233 Pnt\n.2381 g
        2010 1233 Pnt\n.2222 g 1994 1236 Pnt\n.2222 g 1994 1236 Pnt\n.2063 g
        1985 1229 Pnt\n.2063 g 1985 1229 Pnt\n.1905 g 1968 1230 Pnt\n.1905 g
        1968 1230 Pnt\n.1746 g 1972 1228 Pnt\n.1746 g 1972 1228 Pnt\n.1587 g
        1958 1214 Pnt\n.1587 g 1958 1214 Pnt\n.1429 g 1948 1214 Pnt\n.1429 g
        1948 1214 Pnt\n.127 g 1933 1203 Pnt\n.127 g 1933 1203 Pnt\n.1111 g
        1944 1227 Pnt\n.1111 g 1944 1227 Pnt\n.0952 g 1938 1203 Pnt\n.0952 g
        1938 1203 Pnt\n.0794 g 1931 1195 Pnt\n.0794 g 1931 1195 Pnt\n.0635 g
        1923 1173 Pnt\n.0635 g 1923 1173 Pnt\n.0476 g 1924 1178 Pnt\n.0476 g
        1924 1178 Pnt\n.0317 g 1909 1166 Pnt\n.0317 g 1909 1166 Pnt\n.0159 g
        1904 1154 Pnt\n.0159 g 1904 1154 Pnt\n0 g 1891 1139 Pnt\n0 g 1891
        1139 Pnt\n.9206 g 3000 369 Pnt\n.9206 g 3000 369 Pnt\n.9048 g 3008
        378 Pnt\n.9048 g 3008 378 Pnt\n.8889 g 3014 400 Pnt\n.8889 g 3014 400
        Pnt\n.873 g 3016 372 Pnt\n.873 g 3016 372 Pnt\n.8571 g 3011 395
        Pnt\n.8571 g 3011 395 Pnt\n.8413 g 3013 409 Pnt\n.8413 g 3013 409
        Pnt\n.8254 g 3010 432 Pnt\n.8254 g 3010 432 Pnt\n.8095 g 3011 428
        Pnt\n.8095 g 3011 428 Pnt\n.7937 g 3018 450 Pnt\n.7937 g 3018 450
        Pnt\n.7778 g 3016 464 Pnt\n.7778 g 3016 464 Pnt\n.7619 g 3020 487
        Pnt\n.7619 g 3020 487 Pnt\n.746 g 3045 434 Pnt\n.746 g 3045 434
        Pnt\n.7302 g 3032 448 Pnt\n.7302 g 3032 448 Pnt\n.7143 g 3029 461
        Pnt\n.7143 g 3029 461 Pnt\n.6984 g 3017 478 Pnt\n.6984 g 3017 478
        Pnt\n.6825 g 3020 475 Pnt\n.6825 g 3020 475 Pnt\n.6667 g 3016 499
        Pnt\n.6667 g 3016 499 Pnt\n.6508 g 3009 509 Pnt\n.6508 g 3009 509
        Pnt\n.6349 g 3004 532 Pnt\n.6349 g 3004 532 Pnt\n.619 g 3001 504
        Pnt\n.619 g 3001 504 Pnt\n.6032 g 3007 526 Pnt\n.6032 g 3007 526
        Pnt\n.5873 g 3005 540 Pnt\n.5873 g 3005 540 Pnt\n.5714 g 3010 563
        Pnt\n.5714 g 3010 563 Pnt\n.5556 g 3008 559 Pnt\n.5556 g 3008 559
        Pnt\n.5397 g 3003 582 Pnt\n.5397 g 3003 582 Pnt\n.5238 g 3005 595
        Pnt\n.5238 g 3005 595 Pnt\n.5079 g 3002 619 Pnt\n.5079 g 3002 619
        Pnt\n.4921 g 3072 558 Pnt\n.4921 g 3072 558 Pnt\n.4762 g 3056 558
        Pnt\n.4762 g 3056 558 Pnt\n.4603 g 3048 566 Pnt\n.4603 g 3048 566
        Pnt\n.4444 g 3032 569 Pnt\n.4444 g 3032 569 Pnt\n.4286 g 3035 570
        Pnt\n.4286 g 3035 570 Pnt\n.4127 g 3023 586 Pnt\n.4127 g 3023 586
        Pnt\n.3968 g 3013 588 Pnt\n.3968 g 3013 588 Pnt\n.381 g 3000 602
        Pnt\n.381 g 3000 602 Pnt\n.3651 g 3008 577 Pnt\n.3651 g 3008 577
        Pnt\n.3492 g 3005 601 Pnt\n.3492 g 3005 601 Pnt\n.3333 g 2998 610
        Pnt\n.3333 g 2998 610 Pnt\n.3175 g 2992 633 Pnt\n.3175 g 2992 633
        Pnt\n.3016 g 2993 629 Pnt\n.3016 g 2993 629 Pnt\n.2857 g 2979 643
        Pnt\n.2857 g 2979 643 Pnt\n.2698 g 2976 656 Pnt\n.2698 g 2976 656
        Pnt\n.254 g 2964 673 Pnt\n.254 g 2964 673 Pnt\n.2381 g 2961 607
        Pnt\n.2381 g 2961 607 Pnt\n.2222 g 2968 630 Pnt\n.2222 g 2968 630
        Pnt\n.2063 g 2966 643 Pnt\n.2063 g 2966 643 Pnt\n.1905 g 2971 667
        Pnt\n.1905 g 2971 667 Pnt\n.1746 g 2969 663 Pnt\n.1746 g 2969 663
        Pnt\n.1587 g 2964 686 Pnt\n.1587 g 2964 686 Pnt\n.1429 g 2966 699
        Pnt\n.1429 g 2966 699 Pnt\n.127 g 2963 723 Pnt\n.127 g 2963 723
        Pnt\n.1111 g 2975 702 Pnt\n.1111 g 2975 702 Pnt\n.0952 g 2962 716
        Pnt\n.0952 g 2962 716 Pnt\n.0794 g 2959 729 Pnt\n.0794 g 2959 729
        Pnt\n.0635 g 2947 746 Pnt\n.0635 g 2947 746 Pnt\n.0476 g 2949 743
        Pnt\n.0476 g 2949 743 Pnt\n.0317 g 2946 767 Pnt\n.0317 g 2946 767
        Pnt\n.0159 g 2939 777 Pnt\n.0159 g 2939 777 Pnt\n0 g 2934 800 Pnt\n0
        g 2934 800 Pnt\n1 g 3069 772 Pnt\n1 g 3069 772 Pnt\n.9841 g 3055 758
        Pnt\n.9841 g 3055 758 Pnt\n.9683 g 3046 758 Pnt\n.9683 g 3046 758
        Pnt\n.9524 g 3031 747 Pnt\n.9524 g 3031 747 Pnt\n.9365 g 3034 750
        Pnt\n.9365 g 3034 750 Pnt\n.9206 g 3017 753 Pnt\n.9206 g 3017 753
        Pnt\n.9048 g 3009 747 Pnt\n.9048 g 3009 747 Pnt\n.8889 g 2992 747
        Pnt\n.8889 g 2992 747 Pnt\n.873 g 3009 733 Pnt\n.873 g 3009 733
        Pnt\n.8571 g 2997 750 Pnt\n.8571 g 2997 750 Pnt\n.8413 g 2988 752
        Pnt\n.8413 g 2988 752 Pnt\n.8254 g 2974 766 Pnt\n.8254 g 2974 766
        Pnt\n.8095 g 2976 762 Pnt\n.8095 g 2976 762 Pnt\n.7937 g 2960 762
        Pnt\n.7937 g 2960 762 Pnt\n.7778 g 2952 770 Pnt\n.7778 g 2952 770
        Pnt\n.7619 g 2936 774 Pnt\n.7619 g 2936 774 Pnt\n.746 g 2959 718
        Pnt\n.746 g 2959 718 Pnt\n.7302 g 2956 742 Pnt\n.7302 g 2956 742
        Pnt\n.7143 g 2949 752 Pnt\n.7143 g 2949 752 Pnt\n.6984 g 2943 775
        Pnt\n.6984 g 2943 775 Pnt\n.6825 g 2944 770 Pnt\n.6825 g 2944 770
        Pnt\n.6667 g 2930 784 Pnt\n.6667 g 2930 784 Pnt\n.6508 g 2927 797
        Pnt\n.6508 g 2927 797 Pnt\n.6349 g 2915 814 Pnt\n.6349 g 2915 814
        Pnt\n.619 g 2934 807 Pnt\n.619 g 2934 807 Pnt\n.6032 g 2917 807
        Pnt\n.6032 g 2917 807 Pnt\n.5873 g 2909 815 Pnt\n.5873 g 2909 815
        Pnt\n.5714 g 2893 818 Pnt\n.5714 g 2893 818 Pnt\n.5556 g 2896 819
        Pnt\n.5556 g 2896 819 Pnt\n.5397 g 2884 836 Pnt\n.5397 g 2884 836
        Pnt\n.5238 g 2875 838 Pnt\n.5238 g 2875 838 Pnt\n.5079 g 2861 852
        Pnt\n.5079 g 2861 852 Pnt\n.4921 g 2871 732 Pnt\n.4921 g 2871 732
        Pnt\n.4762 g 2878 754 Pnt\n.4762 g 2878 754 Pnt\n.4603 g 2876 768
        Pnt\n.4603 g 2876 768 Pnt\n.4444 g 2880 792 Pnt\n.4444 g 2880 792
        Pnt\n.4286 g 2879 787 Pnt\n.4286 g 2879 787 Pnt\n.4127 g 2873 810
        Pnt\n.4127 g 2873 810 Pnt\n.3968 g 2876 824 Pnt\n.3968 g 2876 824
        Pnt\n.381 g 2872 848 Pnt\n.381 g 2872 848 Pnt\n.3651 g 2885 827
        Pnt\n.3651 g 2885 827 Pnt\n.3492 g 2872 841 Pnt\n.3492 g 2872 841
        Pnt\n.3333 g 2868 854 Pnt\n.3333 g 2868 854 Pnt\n.3175 g 2856 870
        Pnt\n.3175 g 2856 870 Pnt\n.3016 g 2859 868 Pnt\n.3016 g 2859 868
        Pnt\n.2857 g 2856 892 Pnt\n.2857 g 2856 892 Pnt\n.2698 g 2849 902
        Pnt\n.2698 g 2849 902 Pnt\n.254 g 2843 925 Pnt\n.254 g 2843 925
        Pnt\n.2381 g 2885 902 Pnt\n.2381 g 2885 902 Pnt\n.2222 g 2868 902
        Pnt\n.2222 g 2868 902 Pnt\n.2063 g 2861 910 Pnt\n.2063 g 2861 910
        Pnt\n.1905 g 2844 914 Pnt\n.1905 g 2844 914 Pnt\n.1746 g 2847 914
        Pnt\n.1746 g 2847 914 Pnt\n.1587 g 2835 931 Pnt\n.1587 g 2835 931
        Pnt\n.1429 g 2826 933 Pnt\n.1429 g 2826 933 Pnt\n.127 g 2812 947
        Pnt\n.127 g 2812 947 Pnt\n.1111 g 2821 921 Pnt\n.1111 g 2821 921
        Pnt\n.0952 g 2817 945 Pnt\n.0952 g 2817 945 Pnt\n.0794 g 2810 955
        Pnt\n.0794 g 2810 955 Pnt\n.0635 g 2805 978 Pnt\n.0635 g 2805 978
        Pnt\n.0476 g 2805 973 Pnt\n.0476 g 2805 973 Pnt\n.0317 g 2792 987
        Pnt\n.0317 g 2792 987 Pnt\n.0159 g 2788 1001 Pnt\n.0159 g 2788 1001
        Pnt\n0 g 2776 1017 Pnt\n0 g 2776 1017 Pnt\n1 g 2988 1092 Pnt\n1 g
        2988 1092 Pnt\n.9841 g 2983 1070 Pnt\n.9841 g 2983 1070 Pnt\n.9683 g
        2975 1061 Pnt\n.9683 g 2975 1061 Pnt\n.9524 g 2968 1040 Pnt\n.9524 g
        2968 1040 Pnt\n.9365 g 2968 1045 Pnt\n.9365 g 2968 1045 Pnt\n.9206 g
        2954 1033 Pnt\n.9206 g 2954 1033 Pnt\n.9048 g 2949 1021 Pnt\n.9048 g
        2949 1021 Pnt\n.8889 g 2936 1007 Pnt\n.8889 g 2936 1007 Pnt\n.873 g
        2955 1010 Pnt\n.873 g 2955 1010 Pnt\n.8571 g 2939 1013 Pnt\n.8571 g
        2939 1013 Pnt\n.8413 g 2930 1007 Pnt\n.8413 g 2930 1007 Pnt\n.8254 g
        2914 1007 Pnt\n.8254 g 2914 1007 Pnt\n.8095 g 2917 1006 Pnt\n.8095 g
        2917 1006 Pnt\n.7937 g 2903 992 Pnt\n.7937 g 2903 992 Pnt\n.7778 g
        2894 992 Pnt\n.7778 g 2894 992 Pnt\n.7619 g 2879 980 Pnt\n.7619 g
        2879 980 Pnt\n.746 g 2920 955 Pnt\n.746 g 2920 955 Pnt\n.7302 g 2908
        971 Pnt\n.7302 g 2908 971 Pnt\n.7143 g 2899 973 Pnt\n.7143 g 2899 973
        Pnt\n.6984 g 2885 988 Pnt\n.6984 g 2885 988 Pnt\n.6825 g 2887 984
        Pnt\n.6825 g 2887 984 Pnt\n.6667 g 2871 984 Pnt\n.6667 g 2871 984
        Pnt\n.6508 g 2863 992 Pnt\n.6508 g 2863 992 Pnt\n.6349 g 2847 995
        Pnt\n.6349 g 2847 995 Pnt\n.619 g 2864 1006 Pnt\n.619 g 2864 1006
        Pnt\n.6032 g 2851 992 Pnt\n.6032 g 2851 992 Pnt\n.5873 g 2841 992
        Pnt\n.5873 g 2841 992 Pnt\n.5714 g 2827 980 Pnt\n.5714 g 2827 980
        Pnt\n.5556 g 2829 983 Pnt\n.5556 g 2829 983 Pnt\n.5397 g 2813 987
        Pnt\n.5397 g 2813 987 Pnt\n.5238 g 2804 980 Pnt\n.5238 g 2804 980
        Pnt\n.5079 g 2788 980 Pnt\n.5079 g 2788 980 Pnt\n.4921 g 2843 891
        Pnt\n.4921 g 2843 891 Pnt\n.4762 g 2839 915 Pnt\n.4762 g 2839 915
        Pnt\n.4603 g 2833 925 Pnt\n.4603 g 2833 925 Pnt\n.4444 g 2827 948
        Pnt\n.4444 g 2827 948 Pnt\n.4286 g 2827 943 Pnt\n.4286 g 2827 943
        Pnt\n.4127 g 2814 957 Pnt\n.4127 g 2814 957 Pnt\n.3968 g 2811 970
        Pnt\n.3968 g 2811 970 Pnt\n.381 g 2799 987 Pnt\n.381 g 2799 987
        Pnt\n.3651 g 2817 980 Pnt\n.3651 g 2817 980 Pnt\n.3492 g 2801 980
        Pnt\n.3492 g 2801 980 Pnt\n.3333 g 2793 988 Pnt\n.3333 g 2793 988
        Pnt\n.3175 g 2777 992 Pnt\n.3175 g 2777 992 Pnt\n.3016 g 2780 992
        Pnt\n.3016 g 2780 992 Pnt\n.2857 g 2768 1009 Pnt\n.2857 g 2768 1009
        Pnt\n.2698 g 2758 1011 Pnt\n.2698 g 2758 1011 Pnt\n.254 g 2745 1025
        Pnt\n.254 g 2745 1025 Pnt\n.2381 g 2788 1042 Pnt\n.2381 g 2788 1042
        Pnt\n.2222 g 2774 1028 Pnt\n.2222 g 2774 1028 Pnt\n.2063 g 2765 1028
        Pnt\n.2063 g 2765 1028 Pnt\n.1905 g 2750 1017 Pnt\n.1905 g 2750 1017
        Pnt\n.1746 g 2752 1020 Pnt\n.1746 g 2752 1020 Pnt\n.1587 g 2736 1023
        Pnt\n.1587 g 2736 1023 Pnt\n.1429 g 2728 1017 Pnt\n.1429 g 2728 1017
        Pnt\n.127 g 2711 1017 Pnt\n.127 g 2711 1017 Pnt\n.1111 g 2728 1003
        Pnt\n.1111 g 2728 1003 Pnt\n.0952 g 2716 1019 Pnt\n.0952 g 2716 1019
        Pnt\n.0794 g 2706 1021 Pnt\n.0794 g 2706 1021 Pnt\n.0635 g 2693 1036
        Pnt\n.0635 g 2693 1036 Pnt\n.0476 g 2695 1032 Pnt\n.0476 g 2695 1032
        Pnt\n.0317 g 2678 1032 Pnt\n.0317 g 2678 1032 Pnt\n.0159 g 2670 1040
        Pnt\n.0159 g 2670 1040 Pnt\n0 g 2654 1043 Pnt\n0 g 2654 1043 Pnt\n1 g
        2700 853 Pnt\n1 g 2700 853 Pnt\n.9841 g 2706 875 Pnt\n.9841 g 2706
        875 Pnt\n.9683 g 2704 889 Pnt\n.9683 g 2704 889 Pnt\n.9524 g 2709 912
        Pnt\n.9524 g 2709 912 Pnt\n.9365 g 2707 908 Pnt\n.9365 g 2707 908
        Pnt\n.9206 g 2702 931 Pnt\n.9206 g 2702 931 Pnt\n.9048 g 2704 945
        Pnt\n.9048 g 2704 945 Pnt\n.8889 g 2701 969 Pnt\n.8889 g 2701 969
        Pnt\n.873 g 2714 947 Pnt\n.873 g 2714 947 Pnt\n.8571 g 2700 961
        Pnt\n.8571 g 2700 961 Pnt\n.8413 g 2697 975 Pnt\n.8413 g 2697 975
        Pnt\n.8254 g 2685 991 Pnt\n.8254 g 2685 991 Pnt\n.8095 g 2688 989
        Pnt\n.8095 g 2688 989 Pnt\n.7937 g 2684 1013 Pnt\n.7937 g 2684 1013
        Pnt\n.7778 g 2677 1022 Pnt\n.7778 g 2677 1022 Pnt\n.7619 g 2672 1046
        Pnt\n.7619 g 2672 1046 Pnt\n.746 g 2713 1023 Pnt\n.746 g 2713 1023
        Pnt\n.7302 g 2697 1023 Pnt\n.7302 g 2697 1023 Pnt\n.7143 g 2689 1031
        Pnt\n.7143 g 2689 1031 Pnt\n.6984 g 2673 1034 Pnt\n.6984 g 2673 1034
        Pnt\n.6825 g 2676 1035 Pnt\n.6825 g 2676 1035 Pnt\n.6667 g 2664 1051
        Pnt\n.6667 g 2664 1051 Pnt\n.6508 g 2654 1053 Pnt\n.6508 g 2654 1053
        Pnt\n.6349 g 2641 1068 Pnt\n.6349 g 2641 1068 Pnt\n.619 g 2649 1042
        Pnt\n.619 g 2649 1042 Pnt\n.6032 g 2646 1066 Pnt\n.6032 g 2646 1066
        Pnt\n.5873 g 2639 1076 Pnt\n.5873 g 2639 1076 Pnt\n.5714 g 2633 1099
        Pnt\n.5714 g 2633 1099 Pnt\n.5556 g 2634 1094 Pnt\n.5556 g 2634 1094
        Pnt\n.5397 g 2620 1108 Pnt\n.5397 g 2620 1108 Pnt\n.5238 g 2617 1121
        Pnt\n.5238 g 2617 1121 Pnt\n.5079 g 2605 1138 Pnt\n.5079 g 2605 1138
        Pnt\n.4921 g 2686 1148 Pnt\n.4921 g 2686 1148 Pnt\n.4762 g 2673 1134
        Pnt\n.4762 g 2673 1134 Pnt\n.4603 g 2663 1134 Pnt\n.4603 g 2663 1134
        Pnt\n.4444 g 2649 1122 Pnt\n.4444 g 2649 1122 Pnt\n.4286 g 2651 1125
        Pnt\n.4286 g 2651 1125 Pnt\n.4127 g 2635 1129 Pnt\n.4127 g 2635 1129
        Pnt\n.3968 g 2626 1122 Pnt\n.3968 g 2626 1122 Pnt\n.381 g 2610 1122
        Pnt\n.381 g 2610 1122 Pnt\n.3651 g 2626 1109 Pnt\n.3651 g 2626 1109
        Pnt\n.3492 g 2614 1125 Pnt\n.3492 g 2614 1125 Pnt\n.3333 g 2605 1127
        Pnt\n.3333 g 2605 1127 Pnt\n.3175 g 2591 1141 Pnt\n.3175 g 2591 1141
        Pnt\n.3016 g 2594 1138 Pnt\n.3016 g 2594 1138 Pnt\n.2857 g 2577 1138
        Pnt\n.2857 g 2577 1138 Pnt\n.2698 g 2569 1146 Pnt\n.2698 g 2569 1146
        Pnt\n.254 g 2553 1149 Pnt\n.254 g 2553 1149 Pnt\n.2381 g 2576 1093
        Pnt\n.2381 g 2576 1093 Pnt\n.2222 g 2573 1117 Pnt\n.2222 g 2573 1117
        Pnt\n.2063 g 2566 1127 Pnt\n.2063 g 2566 1127 Pnt\n.1905 g 2560 1150
        Pnt\n.1905 g 2560 1150 Pnt\n.1746 g 2561 1145 Pnt\n.1746 g 2561 1145
        Pnt\n.1587 g 2547 1160 Pnt\n.1587 g 2547 1160 Pnt\n.1429 g 2544 1173
        Pnt\n.1429 g 2544 1173 Pnt\n.127 g 2532 1190 Pnt\n.127 g 2532 1190
        Pnt\n.1111 g 2550 1183 Pnt\n.1111 g 2550 1183 Pnt\n.0952 g 2534 1183
        Pnt\n.0952 g 2534 1183 Pnt\n.0794 g 2526 1191 Pnt\n.0794 g 2526 1191
        Pnt\n.0635 g 2509 1194 Pnt\n.0635 g 2509 1194 Pnt\n.0476 g 2513 1195
        Pnt\n.0476 g 2513 1195 Pnt\n.0317 g 2501 1212 Pnt\n.0317 g 2501 1212
        Pnt\n.0159 g 2491 1214 Pnt\n.0159 g 2491 1214 Pnt\n0 g 2477 1228
        Pnt\n0 g 2477 1228 Pnt\n1 g 2760 1507 Pnt\n1 g 2760 1507 Pnt\n.9841 g
        2764 1483 Pnt\n.9841 g 2764 1483 Pnt\n.9683 g 2761 1470 Pnt\n.9683 g
        2761 1470 Pnt\n.9524 g 2764 1446 Pnt\n.9524 g 2764 1446 Pnt\n.9365 g
        2762 1451 Pnt\n.9365 g 2762 1451 Pnt\n.9206 g 2755 1429 Pnt\n.9206 g
        2755 1429 Pnt\n.9048 g 2756 1415 Pnt\n.9048 g 2756 1415 Pnt\n.8889 g
        2751 1392 Pnt\n.8889 g 2751 1392 Pnt\n.873 g 2765 1411 Pnt\n.873 g
        2765 1411 Pnt\n.8571 g 2750 1400 Pnt\n.8571 g 2750 1400 Pnt\n.8413 g
        2746 1387 Pnt\n.8413 g 2746 1387 Pnt\n.8254 g 2733 1373 Pnt\n.8254 g
        2733 1373 Pnt\n.8095 g 2736 1375 Pnt\n.8095 g 2736 1375 Pnt\n.7937 g
        2730 1352 Pnt\n.7937 g 2730 1352 Pnt\n.7778 g 2722 1344 Pnt\n.7778 g
        2722 1344 Pnt\n.7619 g 2715 1322 Pnt\n.7619 g 2715 1322 Pnt\n.746 g
        2758 1336 Pnt\n.746 g 2758 1336 Pnt\n.7302 g 2742 1340 Pnt\n.7302 g
        2742 1340 Pnt\n.7143 g 2733 1333 Pnt\n.7143 g 2733 1333 Pnt\n.6984 g
        2717 1333 Pnt\n.6984 g 2717 1333 Pnt\n.6825 g 2720 1332 Pnt\n.6825 g
        2720 1332 Pnt\n.6667 g 2706 1318 Pnt\n.6667 g 2706 1318 Pnt\n.6508 g
        2697 1318 Pnt\n.6508 g 2697 1318 Pnt\n.6349 g 2682 1307 Pnt\n.6349 g
        2682 1307 Pnt\n.619 g 2693 1330 Pnt\n.619 g 2693 1330 Pnt\n.6032 g
        2687 1307 Pnt\n.6032 g 2687 1307 Pnt\n.5873 g 2679 1299 Pnt\n.5873 g
        2679 1299 Pnt\n.5714 g 2672 1278 Pnt\n.5714 g 2672 1278 Pnt\n.5556 g
        2673 1282 Pnt\n.5556 g 2673 1282 Pnt\n.5397 g 2658 1271 Pnt\n.5397 g
        2658 1271 Pnt\n.5238 g 2654 1259 Pnt\n.5238 g 2654 1259 Pnt\n.5079 g
        2640 1244 Pnt\n.5079 g 2640 1244 Pnt\n.4921 g 2720 1218 Pnt\n.4921 g
        2720 1218 Pnt\n.4762 g 2708 1235 Pnt\n.4762 g 2708 1235 Pnt\n.4603 g
        2698 1237 Pnt\n.4603 g 2698 1237 Pnt\n.4444 g 2685 1251 Pnt\n.4444 g
        2685 1251 Pnt\n.4286 g 2687 1248 Pnt\n.4286 g 2687 1248 Pnt\n.4127 g
        2670 1248 Pnt\n.4127 g 2670 1248 Pnt\n.3968 g 2663 1256 Pnt\n.3968 g
        2663 1256 Pnt\n.381 g 2646 1259 Pnt\n.381 g 2646 1259 Pnt\n.3651 g
        2664 1269 Pnt\n.3651 g 2664 1269 Pnt\n.3492 g 2651 1255 Pnt\n.3492 g
        2651 1255 Pnt\n.3333 g 2641 1255 Pnt\n.3333 g 2641 1255 Pnt\n.3175 g
        2626 1244 Pnt\n.3175 g 2626 1244 Pnt\n.3016 g 2629 1247 Pnt\n.3016 g
        2629 1247 Pnt\n.2857 g 2613 1250 Pnt\n.2857 g 2613 1250 Pnt\n.2698 g
        2604 1244 Pnt\n.2698 g 2604 1244 Pnt\n.254 g 2587 1244 Pnt\n.254 g
        2587 1244 Pnt\n.2381 g 2616 1294 Pnt\n.2381 g 2616 1294 Pnt\n.2222 g
        2610 1271 Pnt\n.2222 g 2610 1271 Pnt\n.2063 g 2602 1263 Pnt\n.2063 g
        2602 1263 Pnt\n.1905 g 2595 1242 Pnt\n.1905 g 2595 1242 Pnt\n.1746 g
        2596 1246 Pnt\n.1746 g 2596 1246 Pnt\n.1587 g 2581 1235 Pnt\n.1587 g
        2581 1235 Pnt\n.1429 g 2577 1222 Pnt\n.1429 g 2577 1222 Pnt\n.127 g
        2563 1208 Pnt\n.127 g 2563 1208 Pnt\n.1111 g 2582 1211 Pnt\n.1111 g
        2582 1211 Pnt\n.0952 g 2566 1215 Pnt\n.0952 g 2566 1215 Pnt\n.0794 g
        2557 1208 Pnt\n.0794 g 2557 1208 Pnt\n.0635 g 2541 1208 Pnt\n.0635 g
        2541 1208 Pnt\n.0476 g 2544 1207 Pnt\n.0476 g 2544 1207 Pnt\n.0317 g
        2530 1193 Pnt\n.0317 g 2530 1193 Pnt\n.0159 g 2521 1193 Pnt\n.0159 g
        2521 1193 Pnt\n0 g 2506 1182 Pnt\n0 g 2506 1182 Pnt\n1 g 2618 1065
        Pnt\n1 g 2618 1065 Pnt\n.9841 g 2614 1089 Pnt\n.9841 g 2614 1089
        Pnt\n.9683 g 2608 1098 Pnt\n.9683 g 2608 1098 Pnt\n.9524 g 2602 1121
        Pnt\n.9524 g 2602 1121 Pnt\n.9365 g 2602 1117 Pnt\n.9365 g 2602 1117
        Pnt\n.9206 g 2589 1131 Pnt\n.9206 g 2589 1131 Pnt\n.9048 g 2586 1144
        Pnt\n.9048 g 2586 1144 Pnt\n.8889 g 2574 1161 Pnt\n.8889 g 2574 1161
        Pnt\n.873 g 2592 1154 Pnt\n.873 g 2592 1154 Pnt\n.8571 g 2576 1154
        Pnt\n.8571 g 2576 1154 Pnt\n.8413 g 2568 1162 Pnt\n.8413 g 2568 1162
        Pnt\n.8254 g 2552 1165 Pnt\n.8254 g 2552 1165 Pnt\n.8095 g 2555 1166
        Pnt\n.8095 g 2555 1166 Pnt\n.7937 g 2543 1182 Pnt\n.7937 g 2543 1182
        Pnt\n.7778 g 2533 1184 Pnt\n.7778 g 2533 1184 Pnt\n.7619 g 2520 1199
        Pnt\n.7619 g 2520 1199 Pnt\n.746 g 2563 1216 Pnt\n.746 g 2563 1216
        Pnt\n.7302 g 2549 1202 Pnt\n.7302 g 2549 1202 Pnt\n.7143 g 2540 1201
        Pnt\n.7143 g 2540 1201 Pnt\n.6984 g 2525 1190 Pnt\n.6984 g 2525 1190
        Pnt\n.6825 g 2527 1193 Pnt\n.6825 g 2527 1193 Pnt\n.6667 g 2511 1197
        Pnt\n.6667 g 2511 1197 Pnt\n.6508 g 2503 1190 Pnt\n.6508 g 2503 1190
        Pnt\n.6349 g 2486 1190 Pnt\n.6349 g 2486 1190 Pnt\n.619 g 2503 1176
        Pnt\n.619 g 2503 1176 Pnt\n.6032 g 2491 1193 Pnt\n.6032 g 2491 1193
        Pnt\n.5873 g 2481 1195 Pnt\n.5873 g 2481 1195 Pnt\n.5714 g 2468 1209
        Pnt\n.5714 g 2468 1209 Pnt\n.5556 g 2470 1206 Pnt\n.5556 g 2470 1206
        Pnt\n.5397 g 2453 1206 Pnt\n.5397 g 2453 1206 Pnt\n.5238 g 2445 1214
        Pnt\n.5238 g 2445 1214 Pnt\n.5079 g 2429 1217 Pnt\n.5079 g 2429 1217
        Pnt\n.4921 g 2492 1294 Pnt\n.4921 g 2492 1294 Pnt\n.4762 g 2486 1272
        Pnt\n.4762 g 2486 1272 Pnt\n.4603 g 2478 1263 Pnt\n.4603 g 2478 1263
        Pnt\n.4444 g 2471 1242 Pnt\n.4444 g 2471 1242 Pnt\n.4286 g 2472 1246
        Pnt\n.4286 g 2472 1246 Pnt\n.4127 g 2457 1235 Pnt\n.4127 g 2457 1235
        Pnt\n.3968 g 2453 1223 Pnt\n.3968 g 2453 1223 Pnt\n.381 g 2439 1208
        Pnt\n.381 g 2439 1208 Pnt\n.3651 g 2458 1211 Pnt\n.3651 g 2458 1211
        Pnt\n.3492 g 2442 1215 Pnt\n.3492 g 2442 1215 Pnt\n.3333 g 2433 1208
        Pnt\n.3333 g 2433 1208 Pnt\n.3175 g 2417 1208 Pnt\n.3175 g 2417 1208
        Pnt\n.3016 g 2420 1207 Pnt\n.3016 g 2420 1207 Pnt\n.2857 g 2406 1193
        Pnt\n.2857 g 2406 1193 Pnt\n.2698 g 2397 1193 Pnt\n.2698 g 2397 1193
        Pnt\n.254 g 2382 1182 Pnt\n.254 g 2382 1182 Pnt\n.2381 g 2423 1156
        Pnt\n.2381 g 2423 1156 Pnt\n.2222 g 2411 1173 Pnt\n.2222 g 2411 1173
        Pnt\n.2063 g 2401 1175 Pnt\n.2063 g 2401 1175 Pnt\n.1905 g 2388 1189
        Pnt\n.1905 g 2388 1189 Pnt\n.1746 g 2390 1185 Pnt\n.1746 g 2390 1185
        Pnt\n.1587 g 2373 1185 Pnt\n.1587 g 2373 1185 Pnt\n.1429 g 2366 1193
        Pnt\n.1429 g 2366 1193 Pnt\n.127 g 2349 1197 Pnt\n.127 g 2349 1197
        Pnt\n.1111 g 2367 1207 Pnt\n.1111 g 2367 1207 Pnt\n.0952 g 2353 1193
        Pnt\n.0952 g 2353 1193 Pnt\n.0794 g 2344 1193 Pnt\n.0794 g 2344 1193
        Pnt\n.0635 g 2329 1182 Pnt\n.0635 g 2329 1182 Pnt\n.0476 g 2332 1185
        Pnt\n.0476 g 2332 1185 Pnt\n.0317 g 2315 1188 Pnt\n.0317 g 2315 1188
        Pnt\n.0159 g 2307 1182 Pnt\n.0159 g 2307 1182 Pnt\n0 g 2290 1182
        Pnt\n0 g 2290 1182 Pnt\n1 g 2410 912 Pnt\n1 g 2410 912 Pnt\n.9841 g
        2417 934 Pnt\n.9841 g 2417 934 Pnt\n.9683 g 2415 948 Pnt\n.9683 g
        2415 948 Pnt\n.9524 g 2419 971 Pnt\n.9524 g 2419 971 Pnt\n.9365 g
        2418 967 Pnt\n.9365 g 2418 967 Pnt\n.9206 g 2412 990 Pnt\n.9206 g
        2412 990 Pnt\n.9048 g 2415 1004 Pnt\n.9048 g 2415 1004 Pnt\n.8889 g
        2412 1028 Pnt\n.8889 g 2412 1028 Pnt\n.873 g 2424 1006 Pnt\n.873 g
        2424 1006 Pnt\n.8571 g 2411 1020 Pnt\n.8571 g 2411 1020 Pnt\n.8413 g
        2408 1033 Pnt\n.8413 g 2408 1033 Pnt\n.8254 g 2395 1050 Pnt\n.8254 g
        2395 1050 Pnt\n.8095 g 2398 1048 Pnt\n.8095 g 2398 1048 Pnt\n.7937 g
        2395 1072 Pnt\n.7937 g 2395 1072 Pnt\n.7778 g 2388 1081 Pnt\n.7778 g
        2388 1081 Pnt\n.7619 g 2382 1104 Pnt\n.7619 g 2382 1104 Pnt\n.746 g
        2424 1082 Pnt\n.746 g 2424 1082 Pnt\n.7302 g 2408 1082 Pnt\n.7302 g
        2408 1082 Pnt\n.7143 g 2400 1090 Pnt\n.7143 g 2400 1090 Pnt\n.6984 g
        2383 1093 Pnt\n.6984 g 2383 1093 Pnt\n.6825 g 2387 1094 Pnt\n.6825 g
        2387 1094 Pnt\n.6667 g 2375 1110 Pnt\n.6667 g 2375 1110 Pnt\n.6508 g
        2365 1112 Pnt\n.6508 g 2365 1112 Pnt\n.6349 g 2352 1127 Pnt\n.6349 g
        2352 1127 Pnt\n.619 g 2360 1101 Pnt\n.619 g 2360 1101 Pnt\n.6032 g
        2356 1125 Pnt\n.6032 g 2356 1125 Pnt\n.5873 g 2350 1135 Pnt\n.5873 g
        2350 1135 Pnt\n.5714 g 2344 1158 Pnt\n.5714 g 2344 1158 Pnt\n.5556 g
        2344 1153 Pnt\n.5556 g 2344 1153 Pnt\n.5397 g 2331 1167 Pnt\n.5397 g
        2331 1167 Pnt\n.5238 g 2328 1180 Pnt\n.5238 g 2328 1180 Pnt\n.5079 g
        2315 1197 Pnt\n.5079 g 2315 1197 Pnt\n.4921 g 2397 1207 Pnt\n.4921 g
        2397 1207 Pnt\n.4762 g 2383 1193 Pnt\n.4762 g 2383 1193 Pnt\n.4603 g
        2374 1193 Pnt\n.4603 g 2374 1193 Pnt\n.4444 g 2359 1181 Pnt\n.4444 g
        2359 1181 Pnt\n.4286 g 2362 1184 Pnt\n.4286 g 2362 1184 Pnt\n.4127 g
        2345 1188 Pnt\n.4127 g 2345 1188 Pnt\n.3968 g 2337 1181 Pnt\n.3968 g
        2337 1181 Pnt\n.381 g 2320 1181 Pnt\n.381 g 2320 1181 Pnt\n.3651 g
        2337 1167 Pnt\n.3651 g 2337 1167 Pnt\n.3492 g 2325 1184 Pnt\n.3492 g
        2325 1184 Pnt\n.3333 g 2316 1186 Pnt\n.3333 g 2316 1186 Pnt\n.3175 g
        2302 1200 Pnt\n.3175 g 2302 1200 Pnt\n.3016 g 2304 1197 Pnt\n.3016 g
        2304 1197 Pnt\n.2857 g 2288 1197 Pnt\n.2857 g 2288 1197 Pnt\n.2698 g
        2280 1205 Pnt\n.2698 g 2280 1205 Pnt\n.254 g 2263 1208 Pnt\n.254 g
        2263 1208 Pnt\n.2381 g 2287 1152 Pnt\n.2381 g 2287 1152 Pnt\n.2222 g
        2283 1176 Pnt\n.2222 g 2283 1176 Pnt\n.2063 g 2276 1186 Pnt\n.2063 g
        2276 1186 Pnt\n.1905 g 2271 1209 Pnt\n.1905 g 2271 1209 Pnt\n.1746 g
        2271 1204 Pnt\n.1746 g 2271 1204 Pnt\n.1587 g 2258 1219 Pnt\n.1587 g
        2258 1219 Pnt\n.1429 g 2255 1232 Pnt\n.1429 g 2255 1232 Pnt\n.127 g
        2242 1249 Pnt\n.127 g 2242 1249 Pnt\n.1111 g 2261 1242 Pnt\n.1111 g
        2261 1242 Pnt\n.0952 g 2244 1242 Pnt\n.0952 g 2244 1242 Pnt\n.0794 g
        2237 1250 Pnt\n.0794 g 2237 1250 Pnt\n.0635 g 2220 1253 Pnt\n.0635 g
        2220 1253 Pnt\n.0476 g 2223 1254 Pnt\n.0476 g 2223 1254 Pnt\n.0317 g
        2211 1271 Pnt\n.0317 g 2211 1271 Pnt\n.0159 g 2202 1273 Pnt\n.0159 g
        2202 1273 Pnt\n0 g 2188 1287 Pnt\n0 g 2188 1287 Pnt\n1 g 2310 1380
        Pnt\n1 g 2310 1380 Pnt\n.9841 g 2304 1357 Pnt\n.9841 g 2304 1357
        Pnt\n.9683 g 2297 1349 Pnt\n.9683 g 2297 1349 Pnt\n.9524 g 2289 1327
        Pnt\n.9524 g 2289 1327 Pnt\n.9365 g 2290 1332 Pnt\n.9365 g 2290 1332
        Pnt\n.9206 g 2275 1320 Pnt\n.9206 g 2275 1320 Pnt\n.9048 g 2271 1308
        Pnt\n.9048 g 2271 1308 Pnt\n.8889 g 2257 1294 Pnt\n.8889 g 2257 1294
        Pnt\n.873 g 2276 1297 Pnt\n.873 g 2276 1297 Pnt\n.8571 g 2260 1300
        Pnt\n.8571 g 2260 1300 Pnt\n.8413 g 2252 1294 Pnt\n.8413 g 2252 1294
        Pnt\n.8254 g 2235 1294 Pnt\n.8254 g 2235 1294 Pnt\n.8095 g 2238 1293
        Pnt\n.8095 g 2238 1293 Pnt\n.7937 g 2225 1279 Pnt\n.7937 g 2225 1279
        Pnt\n.7778 g 2215 1278 Pnt\n.7778 g 2215 1278 Pnt\n.7619 g 2200 1267
        Pnt\n.7619 g 2200 1267 Pnt\n.746 g 2241 1241 Pnt\n.746 g 2241 1241
        Pnt\n.7302 g 2229 1258 Pnt\n.7302 g 2229 1258 Pnt\n.7143 g 2220 1260
        Pnt\n.7143 g 2220 1260 Pnt\n.6984 g 2206 1274 Pnt\n.6984 g 2206 1274
        Pnt\n.6825 g 2208 1271 Pnt\n.6825 g 2208 1271 Pnt\n.6667 g 2192 1271
        Pnt\n.6667 g 2192 1271 Pnt\n.6508 g 2184 1279 Pnt\n.6508 g 2184 1279
        Pnt\n.6349 g 2167 1282 Pnt\n.6349 g 2167 1282 Pnt\n.619 g 2185 1293
        Pnt\n.619 g 2185 1293 Pnt\n.6032 g 2172 1279 Pnt\n.6032 g 2172 1279
        Pnt\n.5873 g 2162 1278 Pnt\n.5873 g 2162 1278 Pnt\n.5714 g 2147 1267
        Pnt\n.5714 g 2147 1267 Pnt\n.5556 g 2150 1270 Pnt\n.5556 g 2150 1270
        Pnt\n.5397 g 2133 1274 Pnt\n.5397 g 2133 1274 Pnt\n.5238 g 2125 1267
        Pnt\n.5238 g 2125 1267 Pnt\n.5079 g 2108 1267 Pnt\n.5079 g 2108 1267
        Pnt\n.4921 g 2163 1178 Pnt\n.4921 g 2163 1178 Pnt\n.4762 g 2160 1201
        Pnt\n.4762 g 2160 1201 Pnt\n.4603 g 2153 1211 Pnt\n.4603 g 2153 1211
        Pnt\n.4444 g 2148 1234 Pnt\n.4444 g 2148 1234 Pnt\n.4286 g 2148 1229
        Pnt\n.4286 g 2148 1229 Pnt\n.4127 g 2134 1244 Pnt\n.4127 g 2134 1244
        Pnt\n.3968 g 2131 1257 Pnt\n.3968 g 2131 1257 Pnt\n.381 g 2119 1274
        Pnt\n.381 g 2119 1274 Pnt\n.3651 g 2138 1267 Pnt\n.3651 g 2138 1267
        Pnt\n.3492 g 2121 1267 Pnt\n.3492 g 2121 1267 Pnt\n.3333 g 2113 1275
        Pnt\n.3333 g 2113 1275 Pnt\n.3175 g 2097 1278 Pnt\n.3175 g 2097 1278
        Pnt\n.3016 g 2100 1279 Pnt\n.3016 g 2100 1279 Pnt\n.2857 g 2088 1296
        Pnt\n.2857 g 2088 1296 Pnt\n.2698 g 2078 1298 Pnt\n.2698 g 2078 1298
        Pnt\n.254 g 2065 1312 Pnt\n.254 g 2065 1312 Pnt\n.2381 g 2108 1329
        Pnt\n.2381 g 2108 1329 Pnt\n.2222 g 2094 1315 Pnt\n.2222 g 2094 1315
        Pnt\n.2063 g 2085 1315 Pnt\n.2063 g 2085 1315 Pnt\n.1905 g 2070 1304
        Pnt\n.1905 g 2070 1304 Pnt\n.1746 g 2072 1307 Pnt\n.1746 g 2072 1307
        Pnt\n.1587 g 2056 1310 Pnt\n.1587 g 2056 1310 Pnt\n.1429 g 2047 1304
        Pnt\n.1429 g 2047 1304 Pnt\n.127 g 2031 1304 Pnt\n.127 g 2031 1304
        Pnt\n.1111 g 2048 1290 Pnt\n.1111 g 2048 1290 Pnt\n.0952 g 2035 1306
        Pnt\n.0952 g 2035 1306 Pnt\n.0794 g 2026 1308 Pnt\n.0794 g 2026 1308
        Pnt\n.0635 g 2012 1323 Pnt\n.0635 g 2012 1323 Pnt\n.0476 g 2014 1319
        Pnt\n.0476 g 2014 1319 Pnt\n.0317 g 1998 1319 Pnt\n.0317 g 1998 1319
        Pnt\n.0159 g 1990 1327 Pnt\n.0159 g 1990 1327 Pnt\n0 g 1973 1331
        Pnt\n0 g 1973 1331 Pnt\n1 g 2287 1949 Pnt\n1 g 2287 1949 Pnt\n.9841 g
        2299 1934 Pnt\n.9841 g 2299 1934 Pnt\n.9683 g 2302 1920 Pnt\n.9683 g
        2302 1920 Pnt\n.9524 g 2313 1902 Pnt\n.9524 g 2313 1902 Pnt\n.9365 g
        2310 1905 Pnt\n.9365 g 2310 1905 Pnt\n.9206 g 2313 1881 Pnt\n.9206 g
        2313 1881 Pnt\n.9048 g 2319 1871 Pnt\n.9048 g 2319 1871 Pnt\n.8889 g
        2324 1847 Pnt\n.8889 g 2324 1847 Pnt\n.873 g 2328 1875 Pnt\n.873 g
        2328 1875 Pnt\n.8571 g 2321 1853 Pnt\n.8571 g 2321 1853 Pnt\n.8413 g
        2322 1839 Pnt\n.8413 g 2322 1839 Pnt\n.8254 g 2316 1816 Pnt\n.8254 g
        2316 1816 Pnt\n.8095 g 2318 1820 Pnt\n.8095 g 2318 1820 Pnt\n.7937 g
        2323 1797 Pnt\n.7937 g 2323 1797 Pnt\n.7778 g 2319 1784 Pnt\n.7778 g
        2319 1784 Pnt\n.7619 g 2322 1760 Pnt\n.7619 g 2322 1760 Pnt\n.746 g
        2351 1808 Pnt\n.746 g 2351 1808 Pnt\n.7302 g 2337 1797 Pnt\n.7302 g
        2337 1797 Pnt\n.7143 g 2332 1784 Pnt\n.7143 g 2332 1784 Pnt\n.6984 g
        2319 1770 Pnt\n.6984 g 2319 1770 Pnt\n.6825 g 2322 1772 Pnt\n.6825 g
        2322 1772 Pnt\n.6667 g 2316 1749 Pnt\n.6667 g 2316 1749 Pnt\n.6508 g
        2309 1741 Pnt\n.6508 g 2309 1741 Pnt\n.6349 g 2301 1719 Pnt\n.6349 g
        2301 1719 Pnt\n.619 g 2300 1747 Pnt\n.619 g 2300 1747 Pnt\n.6032 g
        2305 1724 Pnt\n.6032 g 2305 1724 Pnt\n.5873 g 2302 1711 Pnt\n.5873 g
        2302 1711 Pnt\n.5714 g 2304 1686 Pnt\n.5714 g 2304 1686 Pnt\n.5556 g
        2303 1691 Pnt\n.5556 g 2303 1691 Pnt\n.5397 g 2295 1669 Pnt\n.5397 g
        2295 1669 Pnt\n.5238 g 2297 1655 Pnt\n.5238 g 2297 1655 Pnt\n.5079 g
        2291 1632 Pnt\n.5079 g 2291 1632 Pnt\n.4921 g 2366 1679 Pnt\n.4921 g
        2366 1679 Pnt\n.4762 g 2350 1682 Pnt\n.4762 g 2350 1682 Pnt\n.4603 g
        2342 1676 Pnt\n.4603 g 2342 1676 Pnt\n.4444 g 2325 1676 Pnt\n.4444 g
        2325 1676 Pnt\n.4286 g 2328 1675 Pnt\n.4286 g 2328 1675 Pnt\n.4127 g
        2315 1661 Pnt\n.4127 g 2315 1661 Pnt\n.3968 g 2305 1661 Pnt\n.3968 g
        2305 1661 Pnt\n.381 g 2291 1649 Pnt\n.381 g 2291 1649 Pnt\n.3651 g
        2301 1673 Pnt\n.3651 g 2301 1673 Pnt\n.3492 g 2296 1650 Pnt\n.3492 g
        2296 1650 Pnt\n.3333 g 2288 1642 Pnt\n.3333 g 2288 1642 Pnt\n.3175 g
        2280 1620 Pnt\n.3175 g 2280 1620 Pnt\n.3016 g 2281 1625 Pnt\n.3016 g
        2281 1625 Pnt\n.2857 g 2266 1614 Pnt\n.2857 g 2266 1614 Pnt\n.2698 g
        2262 1601 Pnt\n.2698 g 2262 1601 Pnt\n.254 g 2248 1587 Pnt\n.254 g
        2248 1587 Pnt\n.2381 g 2252 1652 Pnt\n.2381 g 2252 1652 Pnt\n.2222 g
        2256 1629 Pnt\n.2222 g 2256 1629 Pnt\n.2063 g 2253 1616 Pnt\n.2063 g
        2253 1616 Pnt\n.1905 g 2255 1591 Pnt\n.1905 g 2255 1591 Pnt\n.1746 g
        2254 1596 Pnt\n.1746 g 2254 1596 Pnt\n.1587 g 2247 1574 Pnt\n.1587 g
        2247 1574 Pnt\n.1429 g 2248 1560 Pnt\n.1429 g 2248 1560 Pnt\n.127 g
        2242 1537 Pnt\n.127 g 2242 1537 Pnt\n.1111 g 2257 1556 Pnt\n.1111 g
        2257 1556 Pnt\n.0952 g 2242 1544 Pnt\n.0952 g 2242 1544 Pnt\n.0794 g
        2238 1532 Pnt\n.0794 g 2238 1532 Pnt\n.0635 g 2224 1518 Pnt\n.0635 g
        2224 1518 Pnt\n.0476 g 2227 1520 Pnt\n.0476 g 2227 1520 Pnt\n.0317 g
        2222 1497 Pnt\n.0317 g 2222 1497 Pnt\n.0159 g 2214 1488 Pnt\n.0159 g
        2214 1488 Pnt\n0 g 2206 1467 Pnt\n0 g 2206 1467 Pnt\n1 g 2343 1467
        Pnt\n1 g 2343 1467 Pnt\n.9841 g 2331 1483 Pnt\n.9841 g 2331 1483
        Pnt\n.9683 g 2322 1485 Pnt\n.9683 g 2322 1485 Pnt\n.9524 g 2308 1499
        Pnt\n.9524 g 2308 1499 Pnt\n.9365 g 2310 1496 Pnt\n.9365 g 2310 1496
        Pnt\n.9206 g 2294 1496 Pnt\n.9206 g 2294 1496 Pnt\n.9048 g 2286 1504
        Pnt\n.9048 g 2286 1504 Pnt\n.8889 g 2270 1507 Pnt\n.8889 g 2270 1507
        Pnt\n.873 g 2287 1518 Pnt\n.873 g 2287 1518 Pnt\n.8571 g 2274 1504
        Pnt\n.8571 g 2274 1504 Pnt\n.8413 g 2265 1503 Pnt\n.8413 g 2265 1503
        Pnt\n.8254 g 2250 1492 Pnt\n.8254 g 2250 1492 Pnt\n.8095 g 2252 1495
        Pnt\n.8095 g 2252 1495 Pnt\n.7937 g 2236 1499 Pnt\n.7937 g 2236 1499
        Pnt\n.7778 g 2227 1492 Pnt\n.7778 g 2227 1492 Pnt\n.7619 g 2211 1492
        Pnt\n.7619 g 2211 1492 Pnt\n.746 g 2239 1543 Pnt\n.746 g 2239 1543
        Pnt\n.7302 g 2234 1520 Pnt\n.7302 g 2234 1520 Pnt\n.7143 g 2226 1512
        Pnt\n.7143 g 2226 1512 Pnt\n.6984 g 2218 1490 Pnt\n.6984 g 2218 1490
        Pnt\n.6825 g 2219 1494 Pnt\n.6825 g 2219 1494 Pnt\n.6667 g 2204 1483
        Pnt\n.6667 g 2204 1483 Pnt\n.6508 g 2200 1471 Pnt\n.6508 g 2200 1471
        Pnt\n.6349 g 2186 1457 Pnt\n.6349 g 2186 1457 Pnt\n.619 g 2206 1459
        Pnt\n.619 g 2206 1459 Pnt\n.6032 g 2189 1463 Pnt\n.6032 g 2189 1463
        Pnt\n.5873 g 2181 1456 Pnt\n.5873 g 2181 1456 Pnt\n.5714 g 2164 1456
        Pnt\n.5714 g 2164 1456 Pnt\n.5556 g 2167 1455 Pnt\n.5556 g 2167 1455
        Pnt\n.5397 g 2154 1441 Pnt\n.5397 g 2154 1441 Pnt\n.5238 g 2144 1441
        Pnt\n.5238 g 2144 1441 Pnt\n.5079 g 2129 1430 Pnt\n.5079 g 2129 1430
        Pnt\n.4921 g 2150 1547 Pnt\n.4921 g 2150 1547 Pnt\n.4762 g 2155 1523
        Pnt\n.4762 g 2155 1523 Pnt\n.4603 g 2152 1510 Pnt\n.4603 g 2152 1510
        Pnt\n.4444 g 2154 1486 Pnt\n.4444 g 2154 1486 Pnt\n.4286 g 2153 1490
        Pnt\n.4286 g 2153 1490 Pnt\n.4127 g 2145 1468 Pnt\n.4127 g 2145 1468
        Pnt\n.3968 g 2147 1455 Pnt\n.3968 g 2147 1455 Pnt\n.381 g 2141 1431
        Pnt\n.381 g 2141 1431 Pnt\n.3651 g 2156 1450 Pnt\n.3651 g 2156 1450
        Pnt\n.3492 g 2141 1439 Pnt\n.3492 g 2141 1439 Pnt\n.3333 g 2136 1426
        Pnt\n.3333 g 2136 1426 Pnt\n.3175 g 2123 1412 Pnt\n.3175 g 2123 1412
        Pnt\n.3016 g 2126 1414 Pnt\n.3016 g 2126 1414 Pnt\n.2857 g 2120 1391
        Pnt\n.2857 g 2120 1391 Pnt\n.2698 g 2113 1383 Pnt\n.2698 g 2113 1383
        Pnt\n.254 g 2105 1361 Pnt\n.254 g 2105 1361 Pnt\n.2381 g 2148 1375
        Pnt\n.2381 g 2148 1375 Pnt\n.2222 g 2132 1378 Pnt\n.2222 g 2132 1378
        Pnt\n.2063 g 2123 1372 Pnt\n.2063 g 2123 1372 Pnt\n.1905 g 2107 1372
        Pnt\n.1905 g 2107 1372 Pnt\n.1746 g 2110 1371 Pnt\n.1746 g 2110 1371
        Pnt\n.1587 g 2096 1357 Pnt\n.1587 g 2096 1357 Pnt\n.1429 g 2087 1357
        Pnt\n.1429 g 2087 1357 Pnt\n.127 g 2072 1345 Pnt\n.127 g 2072 1345
        Pnt\n.1111 g 2083 1369 Pnt\n.1111 g 2083 1369 Pnt\n.0952 g 2077 1346
        Pnt\n.0952 g 2077 1346 Pnt\n.0794 g 2069 1338 Pnt\n.0794 g 2069 1338
        Pnt\n.0635 g 2062 1316 Pnt\n.0635 g 2062 1316 Pnt\n.0476 g 2063 1320
        Pnt\n.0476 g 2063 1320 Pnt\n.0317 g 2048 1309 Pnt\n.0317 g 2048 1309
        Pnt\n.0159 g 2043 1297 Pnt\n.0159 g 2043 1297 Pnt\n0 g 2030 1282
        Pnt\n0 g 2030 1282 Pnt\n1 g 2233 1165 Pnt\n1 g 2233 1165 Pnt\n.9841 g
        2230 1189 Pnt\n.9841 g 2230 1189 Pnt\n.9683 g 2223 1198 Pnt\n.9683 g
        2223 1198 Pnt\n.9524 g 2218 1221 Pnt\n.9524 g 2218 1221 Pnt\n.9365 g
        2218 1216 Pnt\n.9365 g 2218 1216 Pnt\n.9206 g 2205 1230 Pnt\n.9206 g
        2205 1230 Pnt\n.9048 g 2201 1244 Pnt\n.9048 g 2201 1244 Pnt\n.8889 g
        2189 1260 Pnt\n.8889 g 2189 1260 Pnt\n.873 g 2208 1254 Pnt\n.873 g
        2208 1254 Pnt\n.8571 g 2191 1254 Pnt\n.8571 g 2191 1254 Pnt\n.8413 g
        2184 1262 Pnt\n.8413 g 2184 1262 Pnt\n.8254 g 2167 1265 Pnt\n.8254 g
        2167 1265 Pnt\n.8095 g 2171 1265 Pnt\n.8095 g 2171 1265 Pnt\n.7937 g
        2158 1282 Pnt\n.7937 g 2158 1282 Pnt\n.7778 g 2149 1284 Pnt\n.7778 g
        2149 1284 Pnt\n.7619 g 2135 1298 Pnt\n.7619 g 2135 1298 Pnt\n.746 g
        2178 1315 Pnt\n.746 g 2178 1315 Pnt\n.7302 g 2165 1301 Pnt\n.7302 g
        2165 1301 Pnt\n.7143 g 2155 1301 Pnt\n.7143 g 2155 1301 Pnt\n.6984 g
        2141 1290 Pnt\n.6984 g 2141 1290 Pnt\n.6825 g 2143 1293 Pnt\n.6825 g
        2143 1293 Pnt\n.6667 g 2127 1296 Pnt\n.6667 g 2127 1296 Pnt\n.6508 g
        2118 1290 Pnt\n.6508 g 2118 1290 Pnt\n.6349 g 2102 1290 Pnt\n.6349 g
        2102 1290 Pnt\n.619 g 2118 1276 Pnt\n.619 g 2118 1276 Pnt\n.6032 g
        2106 1293 Pnt\n.6032 g 2106 1293 Pnt\n.5873 g 2097 1295 Pnt\n.5873 g
        2097 1295 Pnt\n.5714 g 2083 1309 Pnt\n.5714 g 2083 1309 Pnt\n.5556 g
        2085 1305 Pnt\n.5556 g 2085 1305 Pnt\n.5397 g 2069 1305 Pnt\n.5397 g
        2069 1305 Pnt\n.5238 g 2061 1313 Pnt\n.5238 g 2061 1313 Pnt\n.5079 g
        2045 1317 Pnt\n.5079 g 2045 1317 Pnt\n.4921 g 2107 1394 Pnt\n.4921 g
        2107 1394 Pnt\n.4762 g 2102 1371 Pnt\n.4762 g 2102 1371 Pnt\n.4603 g
        2094 1363 Pnt\n.4603 g 2094 1363 Pnt\n.4444 g 2087 1341 Pnt\n.4444 g
        2087 1341 Pnt\n.4286 g 2087 1346 Pnt\n.4286 g 2087 1346 Pnt\n.4127 g
        2073 1335 Pnt\n.4127 g 2073 1335 Pnt\n.3968 g 2068 1322 Pnt\n.3968 g
        2068 1322 Pnt\n.381 g 2055 1308 Pnt\n.381 g 2055 1308 Pnt\n.3651 g
        2074 1311 Pnt\n.3651 g 2074 1311 Pnt\n.3492 g 2057 1314 Pnt\n.3492 g
        2057 1314 Pnt\n.3333 g 2049 1308 Pnt\n.3333 g 2049 1308 Pnt\n.3175 g
        2032 1308 Pnt\n.3175 g 2032 1308 Pnt\n.3016 g 2035 1307 Pnt\n.3016 g
        2035 1307 Pnt\n.2857 g 2022 1293 Pnt\n.2857 g 2022 1293 Pnt\n.2698 g
        2012 1293 Pnt\n.2698 g 2012 1293 Pnt\n.254 g 1998 1281 Pnt\n.254 g
        1998 1281 Pnt\n.2381 g 2039 1256 Pnt\n.2381 g 2039 1256 Pnt\n.2222 g
        2026 1272 Pnt\n.2222 g 2026 1272 Pnt\n.2063 g 2017 1274 Pnt\n.2063 g
        2017 1274 Pnt\n.1905 g 2003 1289 Pnt\n.1905 g 2003 1289 Pnt\n.1746 g
        2006 1285 Pnt\n.1746 g 2006 1285 Pnt\n.1587 g 1989 1285 Pnt\n.1587 g
        1989 1285 Pnt\n.1429 g 1981 1293 Pnt\n.1429 g 1981 1293 Pnt\n.127 g
        1965 1297 Pnt\n.127 g 1965 1297 Pnt\n.1111 g 1983 1307 Pnt\n.1111 g
        1983 1307 Pnt\n.0952 g 1969 1293 Pnt\n.0952 g 1969 1293 Pnt\n.0794 g
        1960 1293 Pnt\n.0794 g 1960 1293 Pnt\n.0635 g 1945 1281 Pnt\n.0635 g
        1945 1281 Pnt\n.0476 g 1947 1285 Pnt\n.0476 g 1947 1285 Pnt\n.0317 g
        1931 1288 Pnt\n.0317 g 1931 1288 Pnt\n.0159 g 1922 1281 Pnt\n.0159 g
        1922 1281 Pnt\n0 g 1905 1281 Pnt\n0 g 1905 1281 Pnt\n1 g 1969 1461
        Pnt\n1 g 1969 1461 Pnt\n.9841 g 1973 1438 Pnt\n.9841 g 1973 1438
        Pnt\n.9683 g 1970 1425 Pnt\n.9683 g 1970 1425 Pnt\n.9524 g 1972 1401
        Pnt\n.9524 g 1972 1401 Pnt\n.9365 g 1971 1405 Pnt\n.9365 g 1971 1405
        Pnt\n.9206 g 1964 1383 Pnt\n.9206 g 1964 1383 Pnt\n.9048 g 1965 1369
        Pnt\n.9048 g 1965 1369 Pnt\n.8889 g 1959 1346 Pnt\n.8889 g 1959 1346
        Pnt\n.873 g 1974 1365 Pnt\n.873 g 1974 1365 Pnt\n.8571 g 1959 1354
        Pnt\n.8571 g 1959 1354 Pnt\n.8413 g 1955 1341 Pnt\n.8413 g 1955 1341
        Pnt\n.8254 g 1941 1327 Pnt\n.8254 g 1941 1327 Pnt\n.8095 g 1944 1329
        Pnt\n.8095 g 1944 1329 Pnt\n.7937 g 1939 1306 Pnt\n.7937 g 1939 1306
        Pnt\n.7778 g 1931 1298 Pnt\n.7778 g 1931 1298 Pnt\n.7619 g 1923 1276
        Pnt\n.7619 g 1923 1276 Pnt\n.746 g 1967 1290 Pnt\n.746 g 1967 1290
        Pnt\n.7302 g 1950 1293 Pnt\n.7302 g 1950 1293 Pnt\n.7143 g 1942 1287
        Pnt\n.7143 g 1942 1287 Pnt\n.6984 g 1925 1287 Pnt\n.6984 g 1925 1287
        Pnt\n.6825 g 1928 1286 Pnt\n.6825 g 1928 1286 Pnt\n.6667 g 1915 1271
        Pnt\n.6667 g 1915 1271 Pnt\n.6508 g 1905 1271 Pnt\n.6508 g 1905 1271
        Pnt\n.6349 g 1890 1260 Pnt\n.6349 g 1890 1260 Pnt\n.619 g 1901 1284
        Pnt\n.619 g 1901 1284 Pnt\n.6032 g 1895 1261 Pnt\n.6032 g 1895 1261
        Pnt\n.5873 g 1888 1253 Pnt\n.5873 g 1888 1253 Pnt\n.5714 g 1880 1231
        Pnt\n.5714 g 1880 1231 Pnt\n.5556 g 1881 1235 Pnt\n.5556 g 1881 1235
        Pnt\n.5397 g 1866 1224 Pnt\n.5397 g 1866 1224 Pnt\n.5238 g 1862 1211
        Pnt\n.5238 g 1862 1211 Pnt\n.5079 g 1848 1197 Pnt\n.5079 g 1848 1197
        Pnt\n.4921 g 1928 1171 Pnt\n.4921 g 1928 1171 Pnt\n.4762 g 1916 1188
        Pnt\n.4762 g 1916 1188 Pnt\n.4603 g 1907 1190 Pnt\n.4603 g 1907 1190
        Pnt\n.4444 g 1893 1204 Pnt\n.4444 g 1893 1204 Pnt\n.4286 g 1895 1200
        Pnt\n.4286 g 1895 1200 Pnt\n.4127 g 1879 1200 Pnt\n.4127 g 1879 1200
        Pnt\n.3968 g 1871 1209 Pnt\n.3968 g 1871 1209 Pnt\n.381 g 1854 1212
        Pnt\n.381 g 1854 1212 Pnt\n.3651 g 1872 1222 Pnt\n.3651 g 1872 1222
        Pnt\n.3492 g 1859 1208 Pnt\n.3492 g 1859 1208 Pnt\n.3333 g 1849 1208
        Pnt\n.3333 g 1849 1208 Pnt\n.3175 g 1834 1197 Pnt\n.3175 g 1834 1197
        Pnt\n.3016 g 1837 1200 Pnt\n.3016 g 1837 1200 Pnt\n.2857 g 1820 1203
        Pnt\n.2857 g 1820 1203 Pnt\n.2698 g 1812 1197 Pnt\n.2698 g 1812 1197
        Pnt\n.254 g 1795 1197 Pnt\n.254 g 1795 1197 Pnt\n.2381 g 1823 1248
        Pnt\n.2381 g 1823 1248 Pnt\n.2222 g 1818 1224 Pnt\n.2222 g 1818 1224
        Pnt\n.2063 g 1810 1216 Pnt\n.2063 g 1810 1216 Pnt\n.1905 g 1802 1194
        Pnt\n.1905 g 1802 1194 Pnt\n.1746 g 1803 1199 Pnt\n.1746 g 1803 1199
        Pnt\n.1587 g 1789 1188 Pnt\n.1587 g 1789 1188 Pnt\n.1429 g 1784 1175
        Pnt\n.1429 g 1784 1175 Pnt\n.127 g 1770 1161 Pnt\n.127 g 1770 1161
        Pnt\n.1111 g 1790 1164 Pnt\n.1111 g 1790 1164 Pnt\n.0952 g 1773 1167
        Pnt\n.0952 g 1773 1167 Pnt\n.0794 g 1765 1161 Pnt\n.0794 g 1765 1161
        Pnt\n.0635 g 1748 1161 Pnt\n.0635 g 1748 1161 Pnt\n.0476 g 1751 1160
        Pnt\n.0476 g 1751 1160 Pnt\n.0317 g 1737 1145 Pnt\n.0317 g 1737 1145
        Pnt\n.0159 g 1728 1145 Pnt\n.0159 g 1728 1145 Pnt\n0 g 1713 1134
        Pnt\n0 g 1713 1134 Pnt\n1 g 1968 799 Pnt\n1 g 1968 799 Pnt\n.9841 g
        1974 822 Pnt\n.9841 g 1974 822 Pnt\n.9683 g 1973 835 Pnt\n.9683 g
        1973 835 Pnt\n.9524 g 1977 859 Pnt\n.9524 g 1977 859 Pnt\n.9365 g
        1976 854 Pnt\n.9365 g 1976 854 Pnt\n.9206 g 1970 877 Pnt\n.9206 g
        1970 877 Pnt\n.9048 g 1973 891 Pnt\n.9048 g 1973 891 Pnt\n.8889 g
        1969 915 Pnt\n.8889 g 1969 915 Pnt\n.873 g 1982 894 Pnt\n.873 g 1982
        894 Pnt\n.8571 g 1968 908 Pnt\n.8571 g 1968 908 Pnt\n.8413 g 1965 921
        Pnt\n.8413 g 1965 921 Pnt\n.8254 g 1953 938 Pnt\n.8254 g 1953 938
        Pnt\n.8095 g 1956 935 Pnt\n.8095 g 1956 935 Pnt\n.7937 g 1952 959
        Pnt\n.7937 g 1952 959 Pnt\n.7778 g 1946 969 Pnt\n.7778 g 1946 969
        Pnt\n.7619 g 1940 992 Pnt\n.7619 g 1940 992 Pnt\n.746 g 1982 969
        Pnt\n.746 g 1982 969 Pnt\n.7302 g 1965 969 Pnt\n.7302 g 1965 969
        Pnt\n.7143 g 1957 977 Pnt\n.7143 g 1957 977 Pnt\n.6984 g 1941 981
        Pnt\n.6984 g 1941 981 Pnt\n.6825 g 1944 981 Pnt\n.6825 g 1944 981
        Pnt\n.6667 g 1932 998 Pnt\n.6667 g 1932 998 Pnt\n.6508 g 1923 1000
        Pnt\n.6508 g 1923 1000 Pnt\n.6349 g 1909 1014 Pnt\n.6349 g 1909 1014
        Pnt\n.619 g 1917 988 Pnt\n.619 g 1917 988 Pnt\n.6032 g 1914 1012
        Pnt\n.6032 g 1914 1012 Pnt\n.5873 g 1907 1022 Pnt\n.5873 g 1907 1022
        Pnt\n.5714 g 1902 1045 Pnt\n.5714 g 1902 1045 Pnt\n.5556 g 1902 1040
        Pnt\n.5556 g 1902 1040 Pnt\n.5397 g 1888 1054 Pnt\n.5397 g 1888 1054
        Pnt\n.5238 g 1885 1068 Pnt\n.5238 g 1885 1068 Pnt\n.5079 g 1873 1085
        Pnt\n.5079 g 1873 1085 Pnt\n.4921 g 1955 1094 Pnt\n.4921 g 1955 1094
        Pnt\n.4762 g 1941 1080 Pnt\n.4762 g 1941 1080 Pnt\n.4603 g 1932 1080
        Pnt\n.4603 g 1932 1080 Pnt\n.4444 g 1917 1069 Pnt\n.4444 g 1917 1069
        Pnt\n.4286 g 1919 1072 Pnt\n.4286 g 1919 1072 Pnt\n.4127 g 1903 1075
        Pnt\n.4127 g 1903 1075 Pnt\n.3968 g 1895 1069 Pnt\n.3968 g 1895 1069
        Pnt\n.381 g 1878 1069 Pnt\n.381 g 1878 1069 Pnt\n.3651 g 1895 1055
        Pnt\n.3651 g 1895 1055 Pnt\n.3492 g 1883 1072 Pnt\n.3492 g 1883 1072
        Pnt\n.3333 g 1873 1074 Pnt\n.3333 g 1873 1074 Pnt\n.3175 g 1860 1088
        Pnt\n.3175 g 1860 1088 Pnt\n.3016 g 1862 1084 Pnt\n.3016 g 1862 1084
        Pnt\n.2857 g 1845 1084 Pnt\n.2857 g 1845 1084 Pnt\n.2698 g 1837 1092
        Pnt\n.2698 g 1837 1092 Pnt\n.254 g 1821 1096 Pnt\n.254 g 1821 1096
        Pnt\n.2381 g 1844 1040 Pnt\n.2381 g 1844 1040 Pnt\n.2222 g 1841 1064
        Pnt\n.2222 g 1841 1064 Pnt\n.2063 g 1834 1073 Pnt\n.2063 g 1834 1073
        Pnt\n.1905 g 1828 1097 Pnt\n.1905 g 1828 1097 Pnt\n.1746 g 1829 1092
        Pnt\n.1746 g 1829 1092 Pnt\n.1587 g 1815 1106 Pnt\n.1587 g 1815 1106
        Pnt\n.1429 g 1812 1119 Pnt\n.1429 g 1812 1119 Pnt\n.127 g 1800 1136
        Pnt\n.127 g 1800 1136 Pnt\n.1111 g 1819 1129 Pnt\n.1111 g 1819 1129
        Pnt\n.0952 g 1802 1129 Pnt\n.0952 g 1802 1129 Pnt\n.0794 g 1794 1137
        Pnt\n.0794 g 1794 1137 Pnt\n.0635 g 1778 1141 Pnt\n.0635 g 1778 1141
        Pnt\n.0476 g 1781 1141 Pnt\n.0476 g 1781 1141 Pnt\n.0317 g 1769 1158
        Pnt\n.0317 g 1769 1158 Pnt\n.0159 g 1759 1160 Pnt\n.0159 g 1759 1160
        Pnt\n0 g 1746 1174 Pnt\n0 g 1746 1174 Pnt\n1 g 1868 1267 Pnt\n1 g
        1868 1267 Pnt\n.9841 g 1862 1244 Pnt\n.9841 g 1862 1244 Pnt\n.9683 g
        1854 1236 Pnt\n.9683 g 1854 1236 Pnt\n.9524 g 1847 1214 Pnt\n.9524 g
        1847 1214 Pnt\n.9365 g 1848 1219 Pnt\n.9365 g 1848 1219 Pnt\n.9206 g
        1833 1208 Pnt\n.9206 g 1833 1208 Pnt\n.9048 g 1828 1195 Pnt\n.9048 g
        1828 1195 Pnt\n.8889 g 1815 1181 Pnt\n.8889 g 1815 1181 Pnt\n.873 g
        1834 1184 Pnt\n.873 g 1834 1184 Pnt\n.8571 g 1818 1187 Pnt\n.8571 g
        1818 1187 Pnt\n.8413 g 1809 1181 Pnt\n.8413 g 1809 1181 Pnt\n.8254 g
        1793 1181 Pnt\n.8254 g 1793 1181 Pnt\n.8095 g 1796 1180 Pnt\n.8095 g
        1796 1180 Pnt\n.7937 g 1782 1166 Pnt\n.7937 g 1782 1166 Pnt\n.7778 g
        1773 1166 Pnt\n.7778 g 1773 1166 Pnt\n.7619 g 1758 1154 Pnt\n.7619 g
        1758 1154 Pnt\n.746 g 1799 1129 Pnt\n.746 g 1799 1129 Pnt\n.7302 g
        1787 1146 Pnt\n.7302 g 1787 1146 Pnt\n.7143 g 1777 1148 Pnt\n.7143 g
        1777 1148 Pnt\n.6984 g 1764 1162 Pnt\n.6984 g 1764 1162 Pnt\n.6825 g
        1766 1158 Pnt\n.6825 g 1766 1158 Pnt\n.6667 g 1749 1158 Pnt\n.6667 g
        1749 1158 Pnt\n.6508 g 1741 1166 Pnt\n.6508 g 1741 1166 Pnt\n.6349 g
        1725 1170 Pnt\n.6349 g 1725 1170 Pnt\n.619 g 1743 1180 Pnt\n.619 g
        1743 1180 Pnt\n.6032 g 1729 1166 Pnt\n.6032 g 1729 1166 Pnt\n.5873 g
        1720 1166 Pnt\n.5873 g 1720 1166 Pnt\n.5714 g 1705 1155 Pnt\n.5714 g
        1705 1155 Pnt\n.5556 g 1707 1158 Pnt\n.5556 g 1707 1158 Pnt\n.5397 g
        1691 1161 Pnt\n.5397 g 1691 1161 Pnt\n.5238 g 1682 1155 Pnt\n.5238 g
        1682 1155 Pnt\n.5079 g 1666 1155 Pnt\n.5079 g 1666 1155 Pnt\n.4921 g
        1721 1065 Pnt\n.4921 g 1721 1065 Pnt\n.4762 g 1718 1089 Pnt\n.4762 g
        1718 1089 Pnt\n.4603 g 1711 1098 Pnt\n.4603 g 1711 1098 Pnt\n.4444 g
        1705 1122 Pnt\n.4444 g 1705 1122 Pnt\n.4286 g 1706 1117 Pnt\n.4286 g
        1706 1117 Pnt\n.4127 g 1692 1131 Pnt\n.4127 g 1692 1131 Pnt\n.3968 g
        1689 1144 Pnt\n.3968 g 1689 1144 Pnt\n.381 g 1677 1161 Pnt\n.381 g
        1677 1161 Pnt\n.3651 g 1695 1154 Pnt\n.3651 g 1695 1154 Pnt\n.3492 g
        1679 1154 Pnt\n.3492 g 1679 1154 Pnt\n.3333 g 1671 1162 Pnt\n.3333 g
        1671 1162 Pnt\n.3175 g 1654 1166 Pnt\n.3175 g 1654 1166 Pnt\n.3016 g
        1658 1166 Pnt\n.3016 g 1658 1166 Pnt\n.2857 g 1645 1183 Pnt\n.2857 g
        1645 1183 Pnt\n.2698 g 1636 1185 Pnt\n.2698 g 1636 1185 Pnt\n.254 g
        1622 1199 Pnt\n.254 g 1622 1199 Pnt\n.2381 g 1665 1216 Pnt\n.2381 g
        1665 1216 Pnt\n.2222 g 1652 1202 Pnt\n.2222 g 1652 1202 Pnt\n.2063 g
        1642 1202 Pnt\n.2063 g 1642 1202 Pnt\n.1905 g 1627 1191 Pnt\n.1905 g
        1627 1191 Pnt\n.1746 g 1630 1194 Pnt\n.1746 g 1630 1194 Pnt\n.1587 g
        1613 1197 Pnt\n.1587 g 1613 1197 Pnt\n.1429 g 1605 1191 Pnt\n.1429 g
        1605 1191 Pnt\n.127 g 1588 1191 Pnt\n.127 g 1588 1191 Pnt\n.1111 g
        1605 1177 Pnt\n.1111 g 1605 1177 Pnt\n.0952 g 1593 1194 Pnt\n.0952 g
        1593 1194 Pnt\n.0794 g 1583 1196 Pnt\n.0794 g 1583 1196 Pnt\n.0635 g
        1570 1210 Pnt\n.0635 g 1570 1210 Pnt\n.0476 g 1572 1206 Pnt\n.0476 g
        1572 1206 Pnt\n.0317 g 1555 1206 Pnt\n.0317 g 1555 1206 Pnt\n.0159 g
        1547 1215 Pnt\n.0159 g 1547 1215 Pnt\n0 g 1531 1218 Pnt\n0 g 1531
        1218 Pnt\n1 g 1676 1462 Pnt\n1 g 1676 1462 Pnt\n.9841 g 1680 1438
        Pnt\n.9841 g 1680 1438 Pnt\n.9683 g 1677 1425 Pnt\n.9683 g 1677 1425
        Pnt\n.9524 g 1679 1401 Pnt\n.9524 g 1679 1401 Pnt\n.9365 g 1678 1405
        Pnt\n.9365 g 1678 1405 Pnt\n.9206 g 1671 1384 Pnt\n.9206 g 1671 1384
        Pnt\n.9048 g 1672 1370 Pnt\n.9048 g 1672 1370 Pnt\n.8889 g 1666 1346
        Pnt\n.8889 g 1666 1346 Pnt\n.873 g 1681 1365 Pnt\n.873 g 1681 1365
        Pnt\n.8571 g 1666 1354 Pnt\n.8571 g 1666 1354 Pnt\n.8413 g 1662 1341
        Pnt\n.8413 g 1662 1341 Pnt\n.8254 g 1648 1327 Pnt\n.8254 g 1648 1327
        Pnt\n.8095 g 1651 1329 Pnt\n.8095 g 1651 1329 Pnt\n.7937 g 1645 1306
        Pnt\n.7937 g 1645 1306 Pnt\n.7778 g 1638 1298 Pnt\n.7778 g 1638 1298
        Pnt\n.7619 g 1630 1276 Pnt\n.7619 g 1630 1276 Pnt\n.746 g 1673 1290
        Pnt\n.746 g 1673 1290 Pnt\n.7302 g 1657 1293 Pnt\n.7302 g 1657 1293
        Pnt\n.7143 g 1649 1287 Pnt\n.7143 g 1649 1287 Pnt\n.6984 g 1632 1287
        Pnt\n.6984 g 1632 1287 Pnt\n.6825 g 1635 1286 Pnt\n.6825 g 1635 1286
        Pnt\n.6667 g 1622 1272 Pnt\n.6667 g 1622 1272 Pnt\n.6508 g 1612 1272
        Pnt\n.6508 g 1612 1272 Pnt\n.6349 g 1597 1260 Pnt\n.6349 g 1597 1260
        Pnt\n.619 g 1608 1284 Pnt\n.619 g 1608 1284 Pnt\n.6032 g 1602 1261
        Pnt\n.6032 g 1602 1261 Pnt\n.5873 g 1595 1253 Pnt\n.5873 g 1595 1253
        Pnt\n.5714 g 1587 1231 Pnt\n.5714 g 1587 1231 Pnt\n.5556 g 1588 1236
        Pnt\n.5556 g 1588 1236 Pnt\n.5397 g 1573 1224 Pnt\n.5397 g 1573 1224
        Pnt\n.5238 g 1568 1212 Pnt\n.5238 g 1568 1212 Pnt\n.5079 g 1555 1197
        Pnt\n.5079 g 1555 1197 Pnt\n.4921 g 1635 1171 Pnt\n.4921 g 1635 1171
        Pnt\n.4762 g 1623 1188 Pnt\n.4762 g 1623 1188 Pnt\n.4603 g 1613 1190
        Pnt\n.4603 g 1613 1190 Pnt\n.4444 g 1600 1204 Pnt\n.4444 g 1600 1204
        Pnt\n.4286 g 1602 1201 Pnt\n.4286 g 1602 1201 Pnt\n.4127 g 1585 1201
        Pnt\n.4127 g 1585 1201 Pnt\n.3968 g 1578 1209 Pnt\n.3968 g 1578 1209
        Pnt\n.381 g 1561 1212 Pnt\n.381 g 1561 1212 Pnt\n.3651 g 1579 1223
        Pnt\n.3651 g 1579 1223 Pnt\n.3492 g 1565 1208 Pnt\n.3492 g 1565 1208
        Pnt\n.3333 g 1556 1208 Pnt\n.3333 g 1556 1208 Pnt\n.3175 g 1541 1197
        Pnt\n.3175 g 1541 1197 Pnt\n.3016 g 1544 1200 Pnt\n.3016 g 1544 1200
        Pnt\n.2857 g 1527 1203 Pnt\n.2857 g 1527 1203 Pnt\n.2698 g 1519 1197
        Pnt\n.2698 g 1519 1197 Pnt\n.254 g 1502 1197 Pnt\n.254 g 1502 1197
        Pnt\n.2381 g 1530 1248 Pnt\n.2381 g 1530 1248 Pnt\n.2222 g 1525 1225
        Pnt\n.2222 g 1525 1225 Pnt\n.2063 g 1517 1216 Pnt\n.2063 g 1517 1216
        Pnt\n.1905 g 1509 1195 Pnt\n.1905 g 1509 1195 Pnt\n.1746 g 1510 1199
        Pnt\n.1746 g 1510 1199 Pnt\n.1587 g 1495 1188 Pnt\n.1587 g 1495 1188
        Pnt\n.1429 g 1491 1175 Pnt\n.1429 g 1491 1175 Pnt\n.127 g 1477 1161
        Pnt\n.127 g 1477 1161 Pnt\n.1111 g 1497 1164 Pnt\n.1111 g 1497 1164
        Pnt\n.0952 g 1480 1167 Pnt\n.0952 g 1480 1167 Pnt\n.0794 g 1472 1161
        Pnt\n.0794 g 1472 1161 Pnt\n.0635 g 1455 1161 Pnt\n.0635 g 1455 1161
        Pnt\n.0476 g 1458 1160 Pnt\n.0476 g 1458 1160 Pnt\n.0317 g 1444 1146
        Pnt\n.0317 g 1444 1146 Pnt\n.0159 g 1435 1146 Pnt\n.0159 g 1435 1146
        Pnt\n0 g 1420 1134 Pnt\n0 g 1420 1134 Pnt\n1 g 1532 1017 Pnt\n1 g
        1532 1017 Pnt\n.9841 g 1529 1041 Pnt\n.9841 g 1529 1041 Pnt\n.9683 g
        1522 1050 Pnt\n.9683 g 1522 1050 Pnt\n.9524 g 1517 1074 Pnt\n.9524 g
        1517 1074 Pnt\n.9365 g 1517 1069 Pnt\n.9365 g 1517 1069 Pnt\n.9206 g
        1503 1083 Pnt\n.9206 g 1503 1083 Pnt\n.9048 g 1500 1096 Pnt\n.9048 g
        1500 1096 Pnt\n.8889 g 1488 1113 Pnt\n.8889 g 1488 1113 Pnt\n.873 g
        1507 1106 Pnt\n.873 g 1507 1106 Pnt\n.8571 g 1490 1106 Pnt\n.8571 g
        1490 1106 Pnt\n.8413 g 1482 1114 Pnt\n.8413 g 1482 1114 Pnt\n.8254 g
        1466 1118 Pnt\n.8254 g 1466 1118 Pnt\n.8095 g 1469 1118 Pnt\n.8095 g
        1469 1118 Pnt\n.7937 g 1457 1135 Pnt\n.7937 g 1457 1135 Pnt\n.7778 g
        1447 1137 Pnt\n.7778 g 1447 1137 Pnt\n.7619 g 1434 1151 Pnt\n.7619 g
        1434 1151 Pnt\n.746 g 1477 1168 Pnt\n.746 g 1477 1168 Pnt\n.7302 g
        1463 1154 Pnt\n.7302 g 1463 1154 Pnt\n.7143 g 1454 1154 Pnt\n.7143 g
        1454 1154 Pnt\n.6984 g 1439 1143 Pnt\n.6984 g 1439 1143 Pnt\n.6825 g
        1441 1146 Pnt\n.6825 g 1441 1146 Pnt\n.6667 g 1425 1149 Pnt\n.6667 g
        1425 1149 Pnt\n.6508 g 1416 1143 Pnt\n.6508 g 1416 1143 Pnt\n.6349 g
        1400 1143 Pnt\n.6349 g 1400 1143 Pnt\n.619 g 1417 1129 Pnt\n.619 g
        1417 1129 Pnt\n.6032 g 1404 1146 Pnt\n.6032 g 1404 1146 Pnt\n.5873 g
        1395 1148 Pnt\n.5873 g 1395 1148 Pnt\n.5714 g 1381 1162 Pnt\n.5714 g
        1381 1162 Pnt\n.5556 g 1383 1158 Pnt\n.5556 g 1383 1158 Pnt\n.5397 g
        1367 1158 Pnt\n.5397 g 1367 1158 Pnt\n.5238 g 1359 1167 Pnt\n.5238 g
        1359 1167 Pnt\n.5079 g 1342 1170 Pnt\n.5079 g 1342 1170 Pnt\n.4921 g
        1405 1248 Pnt\n.4921 g 1405 1248 Pnt\n.4762 g 1400 1225 Pnt\n.4762 g
        1400 1225 Pnt\n.4603 g 1392 1217 Pnt\n.4603 g 1392 1217 Pnt\n.4444 g
        1385 1195 Pnt\n.4444 g 1385 1195 Pnt\n.4286 g 1385 1199 Pnt\n.4286 g
        1385 1199 Pnt\n.4127 g 1371 1188 Pnt\n.4127 g 1371 1188 Pnt\n.3968 g
        1366 1175 Pnt\n.3968 g 1366 1175 Pnt\n.381 g 1352 1161 Pnt\n.381 g
        1352 1161 Pnt\n.3651 g 1372 1164 Pnt\n.3651 g 1372 1164 Pnt\n.3492 g
        1355 1167 Pnt\n.3492 g 1355 1167 Pnt\n.3333 g 1347 1161 Pnt\n.3333 g
        1347 1161 Pnt\n.3175 g 1330 1161 Pnt\n.3175 g 1330 1161 Pnt\n.3016 g
        1333 1160 Pnt\n.3016 g 1333 1160 Pnt\n.2857 g 1319 1146 Pnt\n.2857 g
        1319 1146 Pnt\n.2698 g 1310 1146 Pnt\n.2698 g 1310 1146 Pnt\n.254 g
        1295 1134 Pnt\n.254 g 1295 1134 Pnt\n.2381 g 1336 1108 Pnt\n.2381 g
        1336 1108 Pnt\n.2222 g 1324 1125 Pnt\n.2222 g 1324 1125 Pnt\n.2063 g
        1315 1127 Pnt\n.2063 g 1315 1127 Pnt\n.1905 g 1301 1142 Pnt\n.1905 g
        1301 1142 Pnt\n.1746 g 1303 1138 Pnt\n.1746 g 1303 1138 Pnt\n.1587 g
        1286 1138 Pnt\n.1587 g 1286 1138 Pnt\n.1429 g 1278 1146 Pnt\n.1429 g
        1278 1146 Pnt\n.127 g 1262 1150 Pnt\n.127 g 1262 1150 Pnt\n.1111 g
        1280 1160 Pnt\n.1111 g 1280 1160 Pnt\n.0952 g 1266 1146 Pnt\n.0952 g
        1266 1146 Pnt\n.0794 g 1257 1146 Pnt\n.0794 g 1257 1146 Pnt\n.0635 g
        1242 1134 Pnt\n.0635 g 1242 1134 Pnt\n.0476 g 1244 1137 Pnt\n.0476 g
        1244 1137 Pnt\n.0317 g 1228 1141 Pnt\n.0317 g 1228 1141 Pnt\n.0159 g
        1219 1134 Pnt\n.0159 g 1219 1134 Pnt\n0 g 1202 1134 Pnt\n0 g 1202
        1134 Pnt\n1 g 1450 2257 Pnt\n1 g 1450 2257 Pnt\n.9841 g 1467 2255
        Pnt\n.9841 g 1467 2255 Pnt\n.9683 g 1474 2247 Pnt\n.9683 g 1474 2247
        Pnt\n.9524 g 1490 2242 Pnt\n.9524 g 1490 2242 Pnt\n.9365 g 1487 2242
        Pnt\n.9365 g 1487 2242 Pnt\n.9206 g 1498 2224 Pnt\n.9206 g 1498 2224
        Pnt\n.9048 g 1507 2221 Pnt\n.9048 g 1507 2221 Pnt\n.8889 g 1520 2206
        Pnt\n.8889 g 1520 2206 Pnt\n.873 g 1513 2232 Pnt\n.873 g 1513 2232
        Pnt\n.8571 g 1515 2208 Pnt\n.8571 g 1515 2208 Pnt\n.8413 g 1522 2198
        Pnt\n.8413 g 1522 2198 Pnt\n.8254 g 1526 2174 Pnt\n.8254 g 1526 2174
        Pnt\n.8095 g 1526 2179 Pnt\n.8095 g 1526 2179 Pnt\n.7937 g 1539 2164
        Pnt\n.7937 g 1539 2164 Pnt\n.7778 g 1541 2150 Pnt\n.7778 g 1541 2150
        Pnt\n.7619 g 1553 2132 Pnt\n.7619 g 1553 2132 Pnt\n.746 g 1558 2197
        Pnt\n.746 g 1558 2197 Pnt\n.7302 g 1551 2176 Pnt\n.7302 g 1551 2176
        Pnt\n.7143 g 1552 2162 Pnt\n.7143 g 1552 2162 Pnt\n.6984 g 1546 2139
        Pnt\n.6984 g 1546 2139 Pnt\n.6825 g 1548 2143 Pnt\n.6825 g 1548 2143
        Pnt\n.6667 g 1553 2119 Pnt\n.6667 g 1553 2119 Pnt\n.6508 g 1550 2106
        Pnt\n.6508 g 1550 2106 Pnt\n.6349 g 1552 2082 Pnt\n.6349 g 1552 2082
        Pnt\n.619 g 1540 2104 Pnt\n.619 g 1540 2104 Pnt\n.6032 g 1553 2089
        Pnt\n.6032 g 1553 2089 Pnt\n.5873 g 1556 2076 Pnt\n.5873 g 1556 2076
        Pnt\n.5714 g 1567 2058 Pnt\n.5714 g 1567 2058 Pnt\n.5556 g 1564 2061
        Pnt\n.5556 g 1564 2061 Pnt\n.5397 g 1567 2036 Pnt\n.5397 g 1567 2036
        Pnt\n.5238 g 1573 2026 Pnt\n.5238 g 1573 2026 Pnt\n.5079 g 1578 2002
        Pnt\n.5079 g 1578 2002 Pnt\n.4921 g 1621 2105 Pnt\n.4921 g 1621 2105
        Pnt\n.4762 g 1606 2093 Pnt\n.4762 g 1606 2093 Pnt\n.4603 g 1602 2081
        Pnt\n.4603 g 1602 2081 Pnt\n.4444 g 1588 2067 Pnt\n.4444 g 1588 2067
        Pnt\n.4286 g 1591 2069 Pnt\n.4286 g 1591 2069 Pnt\n.4127 g 1586 2046
        Pnt\n.4127 g 1586 2046 Pnt\n.3968 g 1578 2038 Pnt\n.3968 g 1578 2038
        Pnt\n.381 g 1570 2016 Pnt\n.381 g 1570 2016 Pnt\n.3651 g 1570 2044
        Pnt\n.3651 g 1570 2044 Pnt\n.3492 g 1574 2021 Pnt\n.3492 g 1574 2021
        Pnt\n.3333 g 1571 2008 Pnt\n.3333 g 1571 2008 Pnt\n.3175 g 1573 1983
        Pnt\n.3175 g 1573 1983 Pnt\n.3016 g 1572 1988 Pnt\n.3016 g 1572 1988
        Pnt\n.2857 g 1565 1966 Pnt\n.2857 g 1565 1966 Pnt\n.2698 g 1566 1952
        Pnt\n.2698 g 1566 1952 Pnt\n.254 g 1560 1929 Pnt\n.254 g 1560 1929
        Pnt\n.2381 g 1538 1985 Pnt\n.2381 g 1538 1985 Pnt\n.2222 g 1550 1970
        Pnt\n.2222 g 1550 1970 Pnt\n.2063 g 1553 1956 Pnt\n.2063 g 1553 1956
        Pnt\n.1905 g 1564 1939 Pnt\n.1905 g 1564 1939 Pnt\n.1746 g 1562 1941
        Pnt\n.1746 g 1562 1941 Pnt\n.1587 g 1564 1917 Pnt\n.1587 g 1564 1917
        Pnt\n.1429 g 1570 1907 Pnt\n.1429 g 1570 1907 Pnt\n.127 g 1575 1883
        Pnt\n.127 g 1575 1883 Pnt\n.1111 g 1579 1911 Pnt\n.1111 g 1579 1911
        Pnt\n.0952 g 1572 1889 Pnt\n.0952 g 1572 1889 Pnt\n.0794 g 1573 1875
        Pnt\n.0794 g 1573 1875 Pnt\n.0635 g 1568 1852 Pnt\n.0635 g 1568 1852
        Pnt\n.0476 g 1569 1856 Pnt\n.0476 g 1569 1856 Pnt\n.0317 g 1574 1832
        Pnt\n.0317 g 1574 1832 Pnt\n.0159 g 1571 1819 Pnt\n.0159 g 1571 1819
        Pnt\n0 g 1573 1795 Pnt\n0 g 1573 1795 Pnt\n1 g 1685 1912 Pnt\n1 g
        1685 1912 Pnt\n.9841 g 1668 1915 Pnt\n.9841 g 1668 1915 Pnt\n.9683 g
        1660 1909 Pnt\n.9683 g 1660 1909 Pnt\n.9524 g 1643 1909 Pnt\n.9524 g
        1643 1909 Pnt\n.9365 g 1647 1907 Pnt\n.9365 g 1647 1907 Pnt\n.9206 g
        1633 1893 Pnt\n.9206 g 1633 1893 Pnt\n.9048 g 1624 1893 Pnt\n.9048 g
        1624 1893 Pnt\n.8889 g 1609 1882 Pnt\n.8889 g 1609 1882 Pnt\n.873 g
        1619 1906 Pnt\n.873 g 1619 1906 Pnt\n.8571 g 1614 1883 Pnt\n.8571 g
        1614 1883 Pnt\n.8413 g 1606 1875 Pnt\n.8413 g 1606 1875 Pnt\n.8254 g
        1599 1853 Pnt\n.8254 g 1599 1853 Pnt\n.8095 g 1599 1858 Pnt\n.8095 g
        1599 1858 Pnt\n.7937 g 1585 1846 Pnt\n.7937 g 1585 1846 Pnt\n.7778 g
        1580 1834 Pnt\n.7778 g 1580 1834 Pnt\n.7619 g 1567 1820 Pnt\n.7619 g
        1567 1820 Pnt\n.746 g 1570 1885 Pnt\n.746 g 1570 1885 Pnt\n.7302 g
        1575 1862 Pnt\n.7302 g 1575 1862 Pnt\n.7143 g 1571 1848 Pnt\n.7143 g
        1571 1848 Pnt\n.6984 g 1574 1824 Pnt\n.6984 g 1574 1824 Pnt\n.6825 g
        1573 1829 Pnt\n.6825 g 1573 1829 Pnt\n.6667 g 1565 1807 Pnt\n.6667 g
        1565 1807 Pnt\n.6508 g 1566 1793 Pnt\n.6508 g 1566 1793 Pnt\n.6349 g
        1561 1770 Pnt\n.6349 g 1561 1770 Pnt\n.619 g 1575 1788 Pnt\n.619 g
        1575 1788 Pnt\n.6032 g 1560 1777 Pnt\n.6032 g 1560 1777 Pnt\n.5873 g
        1556 1765 Pnt\n.5873 g 1556 1765 Pnt\n.5714 g 1542 1751 Pnt\n.5714 g
        1542 1751 Pnt\n.5556 g 1545 1752 Pnt\n.5556 g 1545 1752 Pnt\n.5397 g
        1540 1729 Pnt\n.5397 g 1540 1729 Pnt\n.5238 g 1532 1721 Pnt\n.5238 g
        1532 1721 Pnt\n.5079 g 1525 1699 Pnt\n.5079 g 1525 1699 Pnt\n.4921 g
        1496 1813 Pnt\n.4921 g 1496 1813 Pnt\n.4762 g 1509 1797 Pnt\n.4762 g
        1509 1797 Pnt\n.4603 g 1512 1784 Pnt\n.4603 g 1512 1784 Pnt\n.4444 g
        1523 1766 Pnt\n.4444 g 1523 1766 Pnt\n.4286 g 1520 1769 Pnt\n.4286 g
        1520 1769 Pnt\n.4127 g 1522 1744 Pnt\n.4127 g 1522 1744 Pnt\n.3968 g
        1529 1734 Pnt\n.3968 g 1529 1734 Pnt\n.381 g 1533 1710 Pnt\n.381 g
        1533 1710 Pnt\n.3651 g 1538 1738 Pnt\n.3651 g 1538 1738 Pnt\n.3492 g
        1530 1716 Pnt\n.3492 g 1530 1716 Pnt\n.3333 g 1532 1702 Pnt\n.3333 g
        1532 1702 Pnt\n.3175 g 1526 1679 Pnt\n.3175 g 1526 1679 Pnt\n.3016 g
        1528 1683 Pnt\n.3016 g 1528 1683 Pnt\n.2857 g 1532 1660 Pnt\n.2857 g
        1532 1660 Pnt\n.2698 g 1529 1646 Pnt\n.2698 g 1529 1646 Pnt\n.254 g
        1531 1622 Pnt\n.254 g 1531 1622 Pnt\n.2381 g 1561 1670 Pnt\n.2381 g
        1561 1670 Pnt\n.2222 g 1547 1659 Pnt\n.2222 g 1547 1659 Pnt\n.2063 g
        1542 1647 Pnt\n.2063 g 1542 1647 Pnt\n.1905 g 1529 1633 Pnt\n.1905 g
        1529 1633 Pnt\n.1746 g 1532 1635 Pnt\n.1746 g 1532 1635 Pnt\n.1587 g
        1526 1611 Pnt\n.1587 g 1526 1611 Pnt\n.1429 g 1519 1603 Pnt\n.1429 g
        1519 1603 Pnt\n.127 g 1511 1581 Pnt\n.127 g 1511 1581 Pnt\n.1111 g
        1510 1610 Pnt\n.1111 g 1510 1610 Pnt\n.0952 g 1515 1586 Pnt\n.0952 g
        1515 1586 Pnt\n.0794 g 1512 1573 Pnt\n.0794 g 1512 1573 Pnt\n.0635 g
        1514 1548 Pnt\n.0635 g 1514 1548 Pnt\n.0476 g 1513 1553 Pnt\n.0476 g
        1513 1553 Pnt\n.0317 g 1505 1531 Pnt\n.0317 g 1505 1531 Pnt\n.0159 g
        1506 1517 Pnt\n.0159 g 1506 1517 Pnt\n0 g 1501 1494 Pnt\n0 g 1501
        1494 Pnt\n1 g 1713 1571 Pnt\n1 g 1713 1571 Pnt\n.9841 g 1701 1588
        Pnt\n.9841 g 1701 1588 Pnt\n.9683 g 1692 1590 Pnt\n.9683 g 1692 1590
        Pnt\n.9524 g 1678 1604 Pnt\n.9524 g 1678 1604 Pnt\n.9365 g 1680 1601
        Pnt\n.9365 g 1680 1601 Pnt\n.9206 g 1664 1601 Pnt\n.9206 g 1664 1601
        Pnt\n.9048 g 1656 1609 Pnt\n.9048 g 1656 1609 Pnt\n.8889 g 1640 1612
        Pnt\n.8889 g 1640 1612 Pnt\n.873 g 1658 1622 Pnt\n.873 g 1658 1622
        Pnt\n.8571 g 1644 1608 Pnt\n.8571 g 1644 1608 Pnt\n.8413 g 1635 1608
        Pnt\n.8413 g 1635 1608 Pnt\n.8254 g 1620 1597 Pnt\n.8254 g 1620 1597
        Pnt\n.8095 g 1622 1600 Pnt\n.8095 g 1622 1600 Pnt\n.7937 g 1606 1603
        Pnt\n.7937 g 1606 1603 Pnt\n.7778 g 1598 1597 Pnt\n.7778 g 1598 1597
        Pnt\n.7619 g 1581 1597 Pnt\n.7619 g 1581 1597 Pnt\n.746 g 1609 1647
        Pnt\n.746 g 1609 1647 Pnt\n.7302 g 1604 1624 Pnt\n.7302 g 1604 1624
        Pnt\n.7143 g 1596 1616 Pnt\n.7143 g 1596 1616 Pnt\n.6984 g 1588 1595
        Pnt\n.6984 g 1588 1595 Pnt\n.6825 g 1589 1599 Pnt\n.6825 g 1589 1599
        Pnt\n.6667 g 1575 1588 Pnt\n.6667 g 1575 1588 Pnt\n.6508 g 1570 1576
        Pnt\n.6508 g 1570 1576 Pnt\n.6349 g 1557 1561 Pnt\n.6349 g 1557 1561
        Pnt\n.619 g 1576 1564 Pnt\n.619 g 1576 1564 Pnt\n.6032 g 1559 1568
        Pnt\n.6032 g 1559 1568 Pnt\n.5873 g 1551 1561 Pnt\n.5873 g 1551 1561
        Pnt\n.5714 g 1534 1561 Pnt\n.5714 g 1534 1561 Pnt\n.5556 g 1537 1560
        Pnt\n.5556 g 1537 1560 Pnt\n.5397 g 1524 1546 Pnt\n.5397 g 1524 1546
        Pnt\n.5238 g 1514 1546 Pnt\n.5238 g 1514 1546 Pnt\n.5079 g 1499 1535
        Pnt\n.5079 g 1499 1535 Pnt\n.4921 g 1521 1651 Pnt\n.4921 g 1521 1651
        Pnt\n.4762 g 1525 1628 Pnt\n.4762 g 1525 1628 Pnt\n.4603 g 1522 1615
        Pnt\n.4603 g 1522 1615 Pnt\n.4444 g 1524 1590 Pnt\n.4444 g 1524 1590
        Pnt\n.4286 g 1523 1595 Pnt\n.4286 g 1523 1595 Pnt\n.4127 g 1515 1573
        Pnt\n.4127 g 1515 1573 Pnt\n.3968 g 1517 1559 Pnt\n.3968 g 1517 1559
        Pnt\n.381 g 1511 1536 Pnt\n.381 g 1511 1536 Pnt\n.3651 g 1526 1555
        Pnt\n.3651 g 1526 1555 Pnt\n.3492 g 1511 1544 Pnt\n.3492 g 1511 1544
        Pnt\n.3333 g 1506 1531 Pnt\n.3333 g 1506 1531 Pnt\n.3175 g 1493 1517
        Pnt\n.3175 g 1493 1517 Pnt\n.3016 g 1496 1519 Pnt\n.3016 g 1496 1519
        Pnt\n.2857 g 1490 1496 Pnt\n.2857 g 1490 1496 Pnt\n.2698 g 1483 1487
        Pnt\n.2698 g 1483 1487 Pnt\n.254 g 1475 1466 Pnt\n.254 g 1475 1466
        Pnt\n.2381 g 1518 1480 Pnt\n.2381 g 1518 1480 Pnt\n.2222 g 1502 1483
        Pnt\n.2222 g 1502 1483 Pnt\n.2063 g 1494 1477 Pnt\n.2063 g 1494 1477
        Pnt\n.1905 g 1477 1477 Pnt\n.1905 g 1477 1477 Pnt\n.1746 g 1480 1476
        Pnt\n.1746 g 1480 1476 Pnt\n.1587 g 1467 1461 Pnt\n.1587 g 1467 1461
        Pnt\n.1429 g 1457 1461 Pnt\n.1429 g 1457 1461 Pnt\n.127 g 1442 1450
        Pnt\n.127 g 1442 1450 Pnt\n.1111 g 1453 1474 Pnt\n.1111 g 1453 1474
        Pnt\n.0952 g 1447 1451 Pnt\n.0952 g 1447 1451 Pnt\n.0794 g 1439 1442
        Pnt\n.0794 g 1439 1442 Pnt\n.0635 g 1432 1421 Pnt\n.0635 g 1432 1421
        Pnt\n.0476 g 1433 1425 Pnt\n.0476 g 1433 1425 Pnt\n.0317 g 1418 1414
        Pnt\n.0317 g 1418 1414 Pnt\n.0159 g 1413 1401 Pnt\n.0159 g 1413 1401
        Pnt\n0 g 1400 1387 Pnt\n0 g 1400 1387 Pnt\n1 g 1381 1588 Pnt\n1 g
        1381 1588 Pnt\n.9841 g 1394 1573 Pnt\n.9841 g 1394 1573 Pnt\n.9683 g
        1396 1559 Pnt\n.9683 g 1396 1559 Pnt\n.9524 g 1408 1541 Pnt\n.9524 g
        1408 1541 Pnt\n.9365 g 1405 1544 Pnt\n.9365 g 1405 1544 Pnt\n.9206 g
        1407 1520 Pnt\n.9206 g 1407 1520 Pnt\n.9048 g 1414 1510 Pnt\n.9048 g
        1414 1510 Pnt\n.8889 g 1418 1486 Pnt\n.8889 g 1418 1486 Pnt\n.873 g
        1423 1513 Pnt\n.873 g 1423 1513 Pnt\n.8571 g 1415 1492 Pnt\n.8571 g
        1415 1492 Pnt\n.8413 g 1417 1478 Pnt\n.8413 g 1417 1478 Pnt\n.8254 g
        1411 1455 Pnt\n.8254 g 1411 1455 Pnt\n.8095 g 1413 1459 Pnt\n.8095 g
        1413 1459 Pnt\n.7937 g 1417 1435 Pnt\n.7937 g 1417 1435 Pnt\n.7778 g
        1414 1422 Pnt\n.7778 g 1414 1422 Pnt\n.7619 g 1416 1397 Pnt\n.7619 g
        1416 1397 Pnt\n.746 g 1446 1446 Pnt\n.746 g 1446 1446 Pnt\n.7302 g
        1432 1435 Pnt\n.7302 g 1432 1435 Pnt\n.7143 g 1427 1422 Pnt\n.7143 g
        1427 1422 Pnt\n.6984 g 1414 1408 Pnt\n.6984 g 1414 1408 Pnt\n.6825 g
        1417 1410 Pnt\n.6825 g 1417 1410 Pnt\n.6667 g 1411 1387 Pnt\n.6667 g
        1411 1387 Pnt\n.6508 g 1403 1379 Pnt\n.6508 g 1403 1379 Pnt\n.6349 g
        1396 1357 Pnt\n.6349 g 1396 1357 Pnt\n.619 g 1395 1385 Pnt\n.619 g
        1395 1385 Pnt\n.6032 g 1400 1362 Pnt\n.6032 g 1400 1362 Pnt\n.5873 g
        1396 1348 Pnt\n.5873 g 1396 1348 Pnt\n.5714 g 1399 1324 Pnt\n.5714 g
        1399 1324 Pnt\n.5556 g 1398 1328 Pnt\n.5556 g 1398 1328 Pnt\n.5397 g
        1390 1307 Pnt\n.5397 g 1390 1307 Pnt\n.5238 g 1391 1292 Pnt\n.5238 g
        1391 1292 Pnt\n.5079 g 1386 1269 Pnt\n.5079 g 1386 1269 Pnt\n.4921 g
        1461 1316 Pnt\n.4921 g 1461 1316 Pnt\n.4762 g 1445 1320 Pnt\n.4762 g
        1445 1320 Pnt\n.4603 g 1436 1313 Pnt\n.4603 g 1436 1313 Pnt\n.4444 g
        1420 1313 Pnt\n.4444 g 1420 1313 Pnt\n.4286 g 1423 1312 Pnt\n.4286 g
        1423 1312 Pnt\n.4127 g 1409 1298 Pnt\n.4127 g 1409 1298 Pnt\n.3968 g
        1400 1298 Pnt\n.3968 g 1400 1298 Pnt\n.381 g 1385 1287 Pnt\n.381 g
        1385 1287 Pnt\n.3651 g 1396 1310 Pnt\n.3651 g 1396 1310 Pnt\n.3492 g
        1390 1287 Pnt\n.3492 g 1390 1287 Pnt\n.3333 g 1382 1279 Pnt\n.3333 g
        1382 1279 Pnt\n.3175 g 1375 1257 Pnt\n.3175 g 1375 1257 Pnt\n.3016 g
        1375 1262 Pnt\n.3016 g 1375 1262 Pnt\n.2857 g 1361 1251 Pnt\n.2857 g
        1361 1251 Pnt\n.2698 g 1356 1238 Pnt\n.2698 g 1356 1238 Pnt\n.254 g
        1343 1224 Pnt\n.254 g 1343 1224 Pnt\n.2381 g 1346 1290 Pnt\n.2381 g
        1346 1290 Pnt\n.2222 g 1350 1266 Pnt\n.2222 g 1350 1266 Pnt\n.2063 g
        1347 1253 Pnt\n.2063 g 1347 1253 Pnt\n.1905 g 1350 1228 Pnt\n.1905 g
        1350 1228 Pnt\n.1746 g 1348 1233 Pnt\n.1746 g 1348 1233 Pnt\n.1587 g
        1341 1211 Pnt\n.1587 g 1341 1211 Pnt\n.1429 g 1342 1197 Pnt\n.1429 g
        1342 1197 Pnt\n.127 g 1336 1174 Pnt\n.127 g 1336 1174 Pnt\n.1111 g
        1351 1192 Pnt\n.1111 g 1351 1192 Pnt\n.0952 g 1336 1181 Pnt\n.0952 g
        1336 1181 Pnt\n.0794 g 1332 1168 Pnt\n.0794 g 1332 1168 Pnt\n.0635 g
        1318 1154 Pnt\n.0635 g 1318 1154 Pnt\n.0476 g 1321 1156 Pnt\n.0476 g
        1321 1156 Pnt\n.0317 g 1316 1133 Pnt\n.0317 g 1316 1133 Pnt\n.0159 g
        1308 1124 Pnt\n.0159 g 1308 1124 Pnt\n0 g 1300 1102 Pnt\n0 g 1300
        1102 Pnt\n1 g 1639 1047 Pnt\n1 g 1639 1047 Pnt\n.9841 g 1636 1070
        Pnt\n.9841 g 1636 1070 Pnt\n.9683 g 1629 1080 Pnt\n.9683 g 1629 1080
        Pnt\n.9524 g 1623 1103 Pnt\n.9524 g 1623 1103 Pnt\n.9365 g 1624 1098
        Pnt\n.9365 g 1624 1098 Pnt\n.9206 g 1610 1112 Pnt\n.9206 g 1610 1112
        Pnt\n.9048 g 1607 1125 Pnt\n.9048 g 1607 1125 Pnt\n.8889 g 1595 1142
        Pnt\n.8889 g 1595 1142 Pnt\n.873 g 1613 1135 Pnt\n.873 g 1613 1135
        Pnt\n.8571 g 1597 1135 Pnt\n.8571 g 1597 1135 Pnt\n.8413 g 1589 1143
        Pnt\n.8413 g 1589 1143 Pnt\n.8254 g 1573 1147 Pnt\n.8254 g 1573 1147
        Pnt\n.8095 g 1576 1147 Pnt\n.8095 g 1576 1147 Pnt\n.7937 g 1564 1164
        Pnt\n.7937 g 1564 1164 Pnt\n.7778 g 1555 1166 Pnt\n.7778 g 1555 1166
        Pnt\n.7619 g 1541 1180 Pnt\n.7619 g 1541 1180 Pnt\n.746 g 1584 1197
        Pnt\n.746 g 1584 1197 Pnt\n.7302 g 1570 1183 Pnt\n.7302 g 1570 1183
        Pnt\n.7143 g 1561 1183 Pnt\n.7143 g 1561 1183 Pnt\n.6984 g 1546 1172
        Pnt\n.6984 g 1546 1172 Pnt\n.6825 g 1549 1175 Pnt\n.6825 g 1549 1175
        Pnt\n.6667 g 1532 1178 Pnt\n.6667 g 1532 1178 Pnt\n.6508 g 1524 1172
        Pnt\n.6508 g 1524 1172 Pnt\n.6349 g 1507 1172 Pnt\n.6349 g 1507 1172
        Pnt\n.619 g 1524 1158 Pnt\n.619 g 1524 1158 Pnt\n.6032 g 1512 1175
        Pnt\n.6032 g 1512 1175 Pnt\n.5873 g 1502 1177 Pnt\n.5873 g 1502 1177
        Pnt\n.5714 g 1489 1191 Pnt\n.5714 g 1489 1191 Pnt\n.5556 g 1491 1187
        Pnt\n.5556 g 1491 1187 Pnt\n.5397 g 1474 1187 Pnt\n.5397 g 1474 1187
        Pnt\n.5238 g 1467 1195 Pnt\n.5238 g 1467 1195 Pnt\n.5079 g 1450 1199
        Pnt\n.5079 g 1450 1199 Pnt\n.4921 g 1513 1276 Pnt\n.4921 g 1513 1276
        Pnt\n.4762 g 1507 1253 Pnt\n.4762 g 1507 1253 Pnt\n.4603 g 1500 1245
        Pnt\n.4603 g 1500 1245 Pnt\n.4444 g 1492 1223 Pnt\n.4444 g 1492 1223
        Pnt\n.4286 g 1493 1228 Pnt\n.4286 g 1493 1228 Pnt\n.4127 g 1478 1217
        Pnt\n.4127 g 1478 1217 Pnt\n.3968 g 1474 1204 Pnt\n.3968 g 1474 1204
        Pnt\n.381 g 1460 1190 Pnt\n.381 g 1460 1190 Pnt\n.3651 g 1479 1193
        Pnt\n.3651 g 1479 1193 Pnt\n.3492 g 1463 1196 Pnt\n.3492 g 1463 1196
        Pnt\n.3333 g 1454 1190 Pnt\n.3333 g 1454 1190 Pnt\n.3175 g 1438 1190
        Pnt\n.3175 g 1438 1190 Pnt\n.3016 g 1441 1189 Pnt\n.3016 g 1441 1189
        Pnt\n.2857 g 1427 1175 Pnt\n.2857 g 1427 1175 Pnt\n.2698 g 1418 1174
        Pnt\n.2698 g 1418 1174 Pnt\n.254 g 1403 1163 Pnt\n.254 g 1403 1163
        Pnt\n.2381 g 1444 1138 Pnt\n.2381 g 1444 1138 Pnt\n.2222 g 1432 1154
        Pnt\n.2222 g 1432 1154 Pnt\n.2063 g 1423 1156 Pnt\n.2063 g 1423 1156
        Pnt\n.1905 g 1409 1170 Pnt\n.1905 g 1409 1170 Pnt\n.1746 g 1411 1167
        Pnt\n.1746 g 1411 1167 Pnt\n.1587 g 1395 1167 Pnt\n.1587 g 1395 1167
        Pnt\n.1429 g 1387 1175 Pnt\n.1429 g 1387 1175 Pnt\n.127 g 1370 1178
        Pnt\n.127 g 1370 1178 Pnt\n.1111 g 1388 1189 Pnt\n.1111 g 1388 1189
        Pnt\n.0952 g 1375 1175 Pnt\n.0952 g 1375 1175 Pnt\n.0794 g 1365 1175
        Pnt\n.0794 g 1365 1175 Pnt\n.0635 g 1350 1163 Pnt\n.0635 g 1350 1163
        Pnt\n.0476 g 1353 1166 Pnt\n.0476 g 1353 1166 Pnt\n.0317 g 1336 1170
        Pnt\n.0317 g 1336 1170 Pnt\n.0159 g 1328 1163 Pnt\n.0159 g 1328 1163
        Pnt\n0 g 1311 1163 Pnt\n0 g 1311 1163 Pnt\n1 g 1374 1343 Pnt\n1 g
        1374 1343 Pnt\n.9841 g 1379 1320 Pnt\n.9841 g 1379 1320 Pnt\n.9683 g
        1376 1307 Pnt\n.9683 g 1376 1307 Pnt\n.9524 g 1378 1282 Pnt\n.9524 g
        1378 1282 Pnt\n.9365 g 1377 1287 Pnt\n.9365 g 1377 1287 Pnt\n.9206 g
        1369 1265 Pnt\n.9206 g 1369 1265 Pnt\n.9048 g 1370 1251 Pnt\n.9048 g
        1370 1251 Pnt\n.8889 g 1365 1228 Pnt\n.8889 g 1365 1228 Pnt\n.873 g
        1379 1247 Pnt\n.873 g 1379 1247 Pnt\n.8571 g 1365 1235 Pnt\n.8571 g
        1365 1235 Pnt\n.8413 g 1360 1223 Pnt\n.8413 g 1360 1223 Pnt\n.8254 g
        1347 1209 Pnt\n.8254 g 1347 1209 Pnt\n.8095 g 1350 1211 Pnt\n.8095 g
        1350 1211 Pnt\n.7937 g 1344 1188 Pnt\n.7937 g 1344 1188 Pnt\n.7778 g
        1336 1179 Pnt\n.7778 g 1336 1179 Pnt\n.7619 g 1329 1157 Pnt\n.7619 g
        1329 1157 Pnt\n.746 g 1372 1171 Pnt\n.746 g 1372 1171 Pnt\n.7302 g
        1356 1175 Pnt\n.7302 g 1356 1175 Pnt\n.7143 g 1347 1168 Pnt\n.7143 g
        1347 1168 Pnt\n.6984 g 1331 1168 Pnt\n.6984 g 1331 1168 Pnt\n.6825 g
        1334 1167 Pnt\n.6825 g 1334 1167 Pnt\n.6667 g 1320 1153 Pnt\n.6667 g
        1320 1153 Pnt\n.6508 g 1311 1153 Pnt\n.6508 g 1311 1153 Pnt\n.6349 g
        1296 1142 Pnt\n.6349 g 1296 1142 Pnt\n.619 g 1306 1166 Pnt\n.619 g
        1306 1166 Pnt\n.6032 g 1301 1142 Pnt\n.6032 g 1301 1142 Pnt\n.5873 g
        1293 1134 Pnt\n.5873 g 1293 1134 Pnt\n.5714 g 1285 1112 Pnt\n.5714 g
        1285 1112 Pnt\n.5556 g 1286 1117 Pnt\n.5556 g 1286 1117 Pnt\n.5397 g
        1272 1106 Pnt\n.5397 g 1272 1106 Pnt\n.5238 g 1267 1093 Pnt\n.5238 g
        1267 1093 Pnt\n.5079 g 1253 1079 Pnt\n.5079 g 1253 1079 Pnt\n.4921 g
        1334 1053 Pnt\n.4921 g 1334 1053 Pnt\n.4762 g 1322 1070 Pnt\n.4762 g
        1322 1070 Pnt\n.4603 g 1312 1072 Pnt\n.4603 g 1312 1072 Pnt\n.4444 g
        1299 1086 Pnt\n.4444 g 1299 1086 Pnt\n.4286 g 1301 1082 Pnt\n.4286 g
        1301 1082 Pnt\n.4127 g 1284 1082 Pnt\n.4127 g 1284 1082 Pnt\n.3968 g
        1276 1090 Pnt\n.3968 g 1276 1090 Pnt\n.381 g 1260 1094 Pnt\n.381 g
        1260 1094 Pnt\n.3651 g 1278 1104 Pnt\n.3651 g 1278 1104 Pnt\n.3492 g
        1264 1090 Pnt\n.3492 g 1264 1090 Pnt\n.3333 g 1255 1090 Pnt\n.3333 g
        1255 1090 Pnt\n.3175 g 1240 1079 Pnt\n.3175 g 1240 1079 Pnt\n.3016 g
        1242 1082 Pnt\n.3016 g 1242 1082 Pnt\n.2857 g 1226 1085 Pnt\n.2857 g
        1226 1085 Pnt\n.2698 g 1217 1079 Pnt\n.2698 g 1217 1079 Pnt\n.254 g
        1201 1079 Pnt\n.254 g 1201 1079 Pnt\n.2381 g 1229 1129 Pnt\n.2381 g
        1229 1129 Pnt\n.2222 g 1223 1106 Pnt\n.2222 g 1223 1106 Pnt\n.2063 g
        1216 1098 Pnt\n.2063 g 1216 1098 Pnt\n.1905 g 1208 1076 Pnt\n.1905 g
        1208 1076 Pnt\n.1746 g 1209 1081 Pnt\n.1746 g 1209 1081 Pnt\n.1587 g
        1194 1069 Pnt\n.1587 g 1194 1069 Pnt\n.1429 g 1190 1057 Pnt\n.1429 g
        1190 1057 Pnt\n.127 g 1176 1043 Pnt\n.127 g 1176 1043 Pnt\n.1111 g
        1195 1046 Pnt\n.1111 g 1195 1046 Pnt\n.0952 g 1179 1049 Pnt\n.0952 g
        1179 1049 Pnt\n.0794 g 1170 1043 Pnt\n.0794 g 1170 1043 Pnt\n.0635 g
        1153 1043 Pnt\n.0635 g 1153 1043 Pnt\n.0476 g 1157 1041 Pnt\n.0476 g
        1157 1041 Pnt\n.0317 g 1143 1027 Pnt\n.0317 g 1143 1027 Pnt\n.0159 g
        1133 1027 Pnt\n.0159 g 1133 1027 Pnt\n0 g 1118 1016 Pnt\n0 g 1118
        1016 Pnt\n1 g 1142 1338 Pnt\n1 g 1142 1338 Pnt\n.9841 g 1154 1323
        Pnt\n.9841 g 1154 1323 Pnt\n.9683 g 1157 1309 Pnt\n.9683 g 1157 1309
        Pnt\n.9524 g 1168 1292 Pnt\n.9524 g 1168 1292 Pnt\n.9365 g 1166 1294
        Pnt\n.9365 g 1166 1294 Pnt\n.9206 g 1168 1270 Pnt\n.9206 g 1168 1270
        Pnt\n.9048 g 1174 1260 Pnt\n.9048 g 1174 1260 Pnt\n.8889 g 1179 1236
        Pnt\n.8889 g 1179 1236 Pnt\n.873 g 1183 1264 Pnt\n.873 g 1183 1264
        Pnt\n.8571 g 1176 1242 Pnt\n.8571 g 1176 1242 Pnt\n.8413 g 1177 1228
        Pnt\n.8413 g 1177 1228 Pnt\n.8254 g 1172 1205 Pnt\n.8254 g 1172 1205
        Pnt\n.8095 g 1173 1209 Pnt\n.8095 g 1173 1209 Pnt\n.7937 g 1178 1185
        Pnt\n.7937 g 1178 1185 Pnt\n.7778 g 1175 1172 Pnt\n.7778 g 1175 1172
        Pnt\n.7619 g 1177 1148 Pnt\n.7619 g 1177 1148 Pnt\n.746 g 1207 1196
        Pnt\n.746 g 1207 1196 Pnt\n.7302 g 1192 1185 Pnt\n.7302 g 1192 1185
        Pnt\n.7143 g 1188 1173 Pnt\n.7143 g 1188 1173 Pnt\n.6984 g 1174 1158
        Pnt\n.6984 g 1174 1158 Pnt\n.6825 g 1177 1160 Pnt\n.6825 g 1177 1160
        Pnt\n.6667 g 1172 1137 Pnt\n.6667 g 1172 1137 Pnt\n.6508 g 1164 1129
        Pnt\n.6508 g 1164 1129 Pnt\n.6349 g 1156 1107 Pnt\n.6349 g 1156 1107
        Pnt\n.619 g 1156 1135 Pnt\n.619 g 1156 1135 Pnt\n.6032 g 1160 1112
        Pnt\n.6032 g 1160 1112 Pnt\n.5873 g 1157 1098 Pnt\n.5873 g 1157 1098
        Pnt\n.5714 g 1159 1074 Pnt\n.5714 g 1159 1074 Pnt\n.5556 g 1158 1079
        Pnt\n.5556 g 1158 1079 Pnt\n.5397 g 1150 1057 Pnt\n.5397 g 1150 1057
        Pnt\n.5238 g 1152 1043 Pnt\n.5238 g 1152 1043 Pnt\n.5079 g 1146 1019
        Pnt\n.5079 g 1146 1019 Pnt\n.4921 g 1222 1067 Pnt\n.4921 g 1222 1067
        Pnt\n.4762 g 1205 1070 Pnt\n.4762 g 1205 1070 Pnt\n.4603 g 1197 1063
        Pnt\n.4603 g 1197 1063 Pnt\n.4444 g 1180 1063 Pnt\n.4444 g 1180 1063
        Pnt\n.4286 g 1183 1062 Pnt\n.4286 g 1183 1062 Pnt\n.4127 g 1170 1048
        Pnt\n.4127 g 1170 1048 Pnt\n.3968 g 1160 1048 Pnt\n.3968 g 1160 1048
        Pnt\n.381 g 1146 1037 Pnt\n.381 g 1146 1037 Pnt\n.3651 g 1156 1061
        Pnt\n.3651 g 1156 1061 Pnt\n.3492 g 1151 1038 Pnt\n.3492 g 1151 1038
        Pnt\n.3333 g 1143 1029 Pnt\n.3333 g 1143 1029 Pnt\n.3175 g 1135 1007
        Pnt\n.3175 g 1135 1007 Pnt\n.3016 g 1136 1012 Pnt\n.3016 g 1136 1012
        Pnt\n.2857 g 1121 1001 Pnt\n.2857 g 1121 1001 Pnt\n.2698 g 1117 988
        Pnt\n.2698 g 1117 988 Pnt\n.254 g 1103 974 Pnt\n.254 g 1103 974
        Pnt\n.2381 g 1107 1040 Pnt\n.2381 g 1107 1040 Pnt\n.2222 g 1111 1016
        Pnt\n.2222 g 1111 1016 Pnt\n.2063 g 1108 1003 Pnt\n.2063 g 1108 1003
        Pnt\n.1905 g 1110 978 Pnt\n.1905 g 1110 978 Pnt\n.1746 g 1109 983
        Pnt\n.1746 g 1109 983 Pnt\n.1587 g 1101 961 Pnt\n.1587 g 1101 961
        Pnt\n.1429 g 1103 947 Pnt\n.1429 g 1103 947 Pnt\n.127 g 1097 924
        Pnt\n.127 g 1097 924 Pnt\n.1111 g 1112 943 Pnt\n.1111 g 1112 943
        Pnt\n.0952 g 1097 931 Pnt\n.0952 g 1097 931 Pnt\n.0794 g 1092 919
        Pnt\n.0794 g 1092 919 Pnt\n.0635 g 1079 904 Pnt\n.0635 g 1079 904
        Pnt\n.0476 g 1082 906 Pnt\n.0476 g 1082 906 Pnt\n.0317 g 1076 883
        Pnt\n.0317 g 1076 883 Pnt\n.0159 g 1068 875 Pnt\n.0159 g 1068 875
        Pnt\n0 g 1061 853 Pnt\n0 g 1061 853 Pnt\n1 g 1198 853 Pnt\n1 g 1198
        853 Pnt\n.9841 g 1186 870 Pnt\n.9841 g 1186 870 Pnt\n.9683 g 1177 872
        Pnt\n.9683 g 1177 872 Pnt\n.9524 g 1163 886 Pnt\n.9524 g 1163 886
        Pnt\n.9365 g 1166 882 Pnt\n.9365 g 1166 882 Pnt\n.9206 g 1149 882
        Pnt\n.9206 g 1149 882 Pnt\n.9048 g 1141 890 Pnt\n.9048 g 1141 890
        Pnt\n.8889 g 1125 894 Pnt\n.8889 g 1125 894 Pnt\n.873 g 1142 904
        Pnt\n.873 g 1142 904 Pnt\n.8571 g 1129 890 Pnt\n.8571 g 1129 890
        Pnt\n.8413 g 1119 890 Pnt\n.8413 g 1119 890 Pnt\n.8254 g 1105 879
        Pnt\n.8254 g 1105 879 Pnt\n.8095 g 1107 882 Pnt\n.8095 g 1107 882
        Pnt\n.7937 g 1091 885 Pnt\n.7937 g 1091 885 Pnt\n.7778 g 1082 879
        Pnt\n.7778 g 1082 879 Pnt\n.7619 g 1065 879 Pnt\n.7619 g 1065 879
        Pnt\n.746 g 1094 929 Pnt\n.746 g 1094 929 Pnt\n.7302 g 1088 906
        Pnt\n.7302 g 1088 906 Pnt\n.7143 g 1080 898 Pnt\n.7143 g 1080 898
        Pnt\n.6984 g 1073 876 Pnt\n.6984 g 1073 876 Pnt\n.6825 g 1074 881
        Pnt\n.6825 g 1074 881 Pnt\n.6667 g 1059 869 Pnt\n.6667 g 1059 869
        Pnt\n.6508 g 1054 857 Pnt\n.6508 g 1054 857 Pnt\n.6349 g 1041 843
        Pnt\n.6349 g 1041 843 Pnt\n.619 g 1060 846 Pnt\n.619 g 1060 846
        Pnt\n.6032 g 1043 849 Pnt\n.6032 g 1043 849 Pnt\n.5873 g 1035 843
        Pnt\n.5873 g 1035 843 Pnt\n.5714 g 1018 843 Pnt\n.5714 g 1018 843
        Pnt\n.5556 g 1021 841 Pnt\n.5556 g 1021 841 Pnt\n.5397 g 1008 827
        Pnt\n.5397 g 1008 827 Pnt\n.5238 g 998 827 Pnt\n.5238 g 998 827
        Pnt\n.5079 g 983 816 Pnt\n.5079 g 983 816 Pnt\n.4921 g 1005 933
        Pnt\n.4921 g 1005 933 Pnt\n.4762 g 1009 910 Pnt\n.4762 g 1009 910
        Pnt\n.4603 g 1006 896 Pnt\n.4603 g 1006 896 Pnt\n.4444 g 1008 872
        Pnt\n.4444 g 1008 872 Pnt\n.4286 g 1007 877 Pnt\n.4286 g 1007 877
        Pnt\n.4127 g 999 855 Pnt\n.4127 g 999 855 Pnt\n.3968 g 1001 841
        Pnt\n.3968 g 1001 841 Pnt\n.381 g 995 817 Pnt\n.381 g 995 817
        Pnt\n.3651 g 1010 836 Pnt\n.3651 g 1010 836 Pnt\n.3492 g 995 825
        Pnt\n.3492 g 995 825 Pnt\n.3333 g 990 812 Pnt\n.3333 g 990 812
        Pnt\n.3175 g 977 798 Pnt\n.3175 g 977 798 Pnt\n.3016 g 980 800
        Pnt\n.3016 g 980 800 Pnt\n.2857 g 974 777 Pnt\n.2857 g 974 777
        Pnt\n.2698 g 966 768 Pnt\n.2698 g 966 768 Pnt\n.254 g 959 746
        Pnt\n.254 g 959 746 Pnt\n.2381 g 1002 760 Pnt\n.2381 g 1002 760
        Pnt\n.2222 g 986 764 Pnt\n.2222 g 986 764 Pnt\n.2063 g 977 757
        Pnt\n.2063 g 977 757 Pnt\n.1905 g 961 757 Pnt\n.1905 g 961 757
        Pnt\n.1746 g 964 756 Pnt\n.1746 g 964 756 Pnt\n.1587 g 950 742
        Pnt\n.1587 g 950 742 Pnt\n.1429 g 941 742 Pnt\n.1429 g 941 742
        Pnt\n.127 g 926 731 Pnt\n.127 g 926 731 Pnt\n.1111 g 936 754
        Pnt\n.1111 g 936 754 Pnt\n.0952 g 931 731 Pnt\n.0952 g 931 731
        Pnt\n.0794 g 923 723 Pnt\n.0794 g 923 723 Pnt\n.0635 g 915 701
        Pnt\n.0635 g 915 701 Pnt\n.0476 g 916 706 Pnt\n.0476 g 916 706
        Pnt\n.0317 g 901 694 Pnt\n.0317 g 901 694 Pnt\n.0159 g 897 682
        Pnt\n.0159 g 897 682 Pnt\n0 g 883 667 Pnt\n0 g 883 667 Pnt\n.9841 g
        1362 352 Pnt\n.9841 g 1362 352 Pnt\n.9683 g 1360 366 Pnt\n.9683 g
        1360 366 Pnt\n.9524 g 1364 389 Pnt\n.9524 g 1364 389 Pnt\n.9365 g
        1363 385 Pnt\n.9365 g 1363 385 Pnt\n.9206 g 1357 408 Pnt\n.9206 g
        1357 408 Pnt\n.9048 g 1360 422 Pnt\n.9048 g 1360 422 Pnt\n.8889 g
        1357 446 Pnt\n.8889 g 1357 446 Pnt\n.873 g 1369 424 Pnt\n.873 g 1369
        424 Pnt\n.8571 g 1356 438 Pnt\n.8571 g 1356 438 Pnt\n.8413 g 1352 452
        Pnt\n.8413 g 1352 452 Pnt\n.8254 g 1340 468 Pnt\n.8254 g 1340 468
        Pnt\n.8095 g 1343 466 Pnt\n.8095 g 1343 466 Pnt\n.7937 g 1340 490
        Pnt\n.7937 g 1340 490 Pnt\n.7778 g 1333 499 Pnt\n.7778 g 1333 499
        Pnt\n.7619 g 1327 523 Pnt\n.7619 g 1327 523 Pnt\n.746 g 1369 500
        Pnt\n.746 g 1369 500 Pnt\n.7302 g 1352 500 Pnt\n.7302 g 1352 500
        Pnt\n.7143 g 1345 508 Pnt\n.7143 g 1345 508 Pnt\n.6984 g 1328 511
        Pnt\n.6984 g 1328 511 Pnt\n.6825 g 1331 512 Pnt\n.6825 g 1331 512
        Pnt\n.6667 g 1319 528 Pnt\n.6667 g 1319 528 Pnt\n.6508 g 1310 530
        Pnt\n.6508 g 1310 530 Pnt\n.6349 g 1296 545 Pnt\n.6349 g 1296 545
        Pnt\n.619 g 1305 519 Pnt\n.619 g 1305 519 Pnt\n.6032 g 1301 543
        Pnt\n.6032 g 1301 543 Pnt\n.5873 g 1294 553 Pnt\n.5873 g 1294 553
        Pnt\n.5714 g 1289 576 Pnt\n.5714 g 1289 576 Pnt\n.5556 g 1289 571
        Pnt\n.5556 g 1289 571 Pnt\n.5397 g 1276 585 Pnt\n.5397 g 1276 585
        Pnt\n.5238 g 1272 598 Pnt\n.5238 g 1272 598 Pnt\n.5079 g 1260 615
        Pnt\n.5079 g 1260 615 Pnt\n.4921 g 1342 625 Pnt\n.4921 g 1342 625
        Pnt\n.4762 g 1328 611 Pnt\n.4762 g 1328 611 Pnt\n.4603 g 1319 611
        Pnt\n.4603 g 1319 611 Pnt\n.4444 g 1304 599 Pnt\n.4444 g 1304 599
        Pnt\n.4286 g 1307 603 Pnt\n.4286 g 1307 603 Pnt\n.4127 g 1290 606
        Pnt\n.4127 g 1290 606 Pnt\n.3968 g 1282 599 Pnt\n.3968 g 1282 599
        Pnt\n.381 g 1265 599 Pnt\n.381 g 1265 599 Pnt\n.3651 g 1282 586
        Pnt\n.3651 g 1282 586 Pnt\n.3492 g 1270 602 Pnt\n.3492 g 1270 602
        Pnt\n.3333 g 1260 604 Pnt\n.3333 g 1260 604 Pnt\n.3175 g 1247 618
        Pnt\n.3175 g 1247 618 Pnt\n.3016 g 1249 615 Pnt\n.3016 g 1249 615
        Pnt\n.2857 g 1232 615 Pnt\n.2857 g 1232 615 Pnt\n.2698 g 1225 623
        Pnt\n.2698 g 1225 623 Pnt\n.254 g 1208 626 Pnt\n.254 g 1208 626
        Pnt\n.2381 g 1232 570 Pnt\n.2381 g 1232 570 Pnt\n.2222 g 1228 594
        Pnt\n.2222 g 1228 594 Pnt\n.2063 g 1221 604 Pnt\n.2063 g 1221 604
        Pnt\n.1905 g 1216 627 Pnt\n.1905 g 1216 627 Pnt\n.1746 g 1216 622
        Pnt\n.1746 g 1216 622 Pnt\n.1587 g 1203 637 Pnt\n.1587 g 1203 637
        Pnt\n.1429 g 1199 650 Pnt\n.1429 g 1199 650 Pnt\n.127 g 1187 667
        Pnt\n.127 g 1187 667 Pnt\n.1111 g 1206 660 Pnt\n.1111 g 1206 660
        Pnt\n.0952 g 1189 660 Pnt\n.0952 g 1189 660 Pnt\n.0794 g 1181 668
        Pnt\n.0794 g 1181 668 Pnt\n.0635 g 1165 671 Pnt\n.0635 g 1165 671
        Pnt\n.0476 g 1168 672 Pnt\n.0476 g 1168 672 Pnt\n.0317 g 1156 689
        Pnt\n.0317 g 1156 689 Pnt\n.0159 g 1147 691 Pnt\n.0159 g 1147 691
        Pnt\n0 g 1133 705 Pnt\n0 g 1133 705 Pnt\n1 g 1255 798 Pnt\n1 g 1255
        798 Pnt\n.9841 g 1249 775 Pnt\n.9841 g 1249 775 Pnt\n.9683 g 1242 767
        Pnt\n.9683 g 1242 767 Pnt\n.9524 g 1234 745 Pnt\n.9524 g 1234 745
        Pnt\n.9365 g 1235 750 Pnt\n.9365 g 1235 750 Pnt\n.9206 g 1220 739
        Pnt\n.9206 g 1220 739 Pnt\n.9048 g 1216 726 Pnt\n.9048 g 1216 726
        Pnt\n.8889 g 1202 712 Pnt\n.8889 g 1202 712 Pnt\n.873 g 1221 715
        Pnt\n.873 g 1221 715 Pnt\n.8571 g 1205 718 Pnt\n.8571 g 1205 718
        Pnt\n.8413 g 1196 712 Pnt\n.8413 g 1196 712 Pnt\n.8254 g 1180 712
        Pnt\n.8254 g 1180 712 Pnt\n.8095 g 1183 711 Pnt\n.8095 g 1183 711
        Pnt\n.7937 g 1169 697 Pnt\n.7937 g 1169 697 Pnt\n.7778 g 1160 697
        Pnt\n.7778 g 1160 697 Pnt\n.7619 g 1145 685 Pnt\n.7619 g 1145 685
        Pnt\n.746 g 1186 660 Pnt\n.746 g 1186 660 Pnt\n.7302 g 1174 676
        Pnt\n.7302 g 1174 676 Pnt\n.7143 g 1165 678 Pnt\n.7143 g 1165 678
        Pnt\n.6984 g 1151 692 Pnt\n.6984 g 1151 692 Pnt\n.6825 g 1153 689
        Pnt\n.6825 g 1153 689 Pnt\n.6667 g 1137 689 Pnt\n.6667 g 1137 689
        Pnt\n.6508 g 1129 697 Pnt\n.6508 g 1129 697 Pnt\n.6349 g 1112 700
        Pnt\n.6349 g 1112 700 Pnt\n.619 g 1130 711 Pnt\n.619 g 1130 711
        Pnt\n.6032 g 1117 697 Pnt\n.6032 g 1117 697 Pnt\n.5873 g 1107 697
        Pnt\n.5873 g 1107 697 Pnt\n.5714 g 1092 685 Pnt\n.5714 g 1092 685
        Pnt\n.5556 g 1095 688 Pnt\n.5556 g 1095 688 Pnt\n.5397 g 1078 692
        Pnt\n.5397 g 1078 692 Pnt\n.5238 g 1070 685 Pnt\n.5238 g 1070 685
        Pnt\n.5079 g 1053 685 Pnt\n.5079 g 1053 685 Pnt\n.4921 g 1108 596
        Pnt\n.4921 g 1108 596 Pnt\n.4762 g 1105 620 Pnt\n.4762 g 1105 620
        Pnt\n.4603 g 1098 629 Pnt\n.4603 g 1098 629 Pnt\n.4444 g 1092 652
        Pnt\n.4444 g 1092 652 Pnt\n.4286 g 1093 648 Pnt\n.4286 g 1093 648
        Pnt\n.4127 g 1079 662 Pnt\n.4127 g 1079 662 Pnt\n.3968 g 1076 675
        Pnt\n.3968 g 1076 675 Pnt\n.381 g 1064 692 Pnt\n.381 g 1064 692
        Pnt\n.3651 g 1083 685 Pnt\n.3651 g 1083 685 Pnt\n.3492 g 1066 685
        Pnt\n.3492 g 1066 685 Pnt\n.3333 g 1058 693 Pnt\n.3333 g 1058 693
        Pnt\n.3175 g 1042 697 Pnt\n.3175 g 1042 697 Pnt\n.3016 g 1045 697
        Pnt\n.3016 g 1045 697 Pnt\n.2857 g 1033 714 Pnt\n.2857 g 1033 714
        Pnt\n.2698 g 1023 716 Pnt\n.2698 g 1023 716 Pnt\n.254 g 1010 730
        Pnt\n.254 g 1010 730 Pnt\n.2381 g 1053 747 Pnt\n.2381 g 1053 747
        Pnt\n.2222 g 1039 733 Pnt\n.2222 g 1039 733 Pnt\n.2063 g 1030 733
        Pnt\n.2063 g 1030 733 Pnt\n.1905 g 1015 722 Pnt\n.1905 g 1015 722
        Pnt\n.1746 g 1017 725 Pnt\n.1746 g 1017 725 Pnt\n.1587 g 1001 728
        Pnt\n.1587 g 1001 728 Pnt\n.1429 g 992 722 Pnt\n.1429 g 992 722
        Pnt\n.127 g 976 722 Pnt\n.127 g 976 722 Pnt\n.1111 g 992 708
        Pnt\n.1111 g 992 708 Pnt\n.0952 g 980 724 Pnt\n.0952 g 980 724
        Pnt\n.0794 g 971 726 Pnt\n.0794 g 971 726 Pnt\n.0635 g 957 741
        Pnt\n.0635 g 957 741 Pnt\n.0476 g 959 737 Pnt\n.0476 g 959 737
        Pnt\n.0317 g 943 737 Pnt\n.0317 g 943 737 Pnt\n.0159 g 935 745
        Pnt\n.0159 g 935 745 Pnt\n0 g 918 749 Pnt\n0 g 918 749 Pnt\n1 g 1063
        992 Pnt\n1 g 1063 992 Pnt\n.9841 g 1067 969 Pnt\n.9841 g 1067 969
        Pnt\n.9683 g 1064 956 Pnt\n.9683 g 1064 956 Pnt\n.9524 g 1067 931
        Pnt\n.9524 g 1067 931 Pnt\n.9365 g 1065 936 Pnt\n.9365 g 1065 936
        Pnt\n.9206 g 1058 914 Pnt\n.9206 g 1058 914 Pnt\n.9048 g 1059 900
        Pnt\n.9048 g 1059 900 Pnt\n.8889 g 1054 877 Pnt\n.8889 g 1054 877
        Pnt\n.873 g 1068 896 Pnt\n.873 g 1068 896 Pnt\n.8571 g 1053 885
        Pnt\n.8571 g 1053 885 Pnt\n.8413 g 1049 872 Pnt\n.8413 g 1049 872
        Pnt\n.8254 g 1035 858 Pnt\n.8254 g 1035 858 Pnt\n.8095 g 1038 860
        Pnt\n.8095 g 1038 860 Pnt\n.7937 g 1033 837 Pnt\n.7937 g 1033 837
        Pnt\n.7778 g 1025 829 Pnt\n.7778 g 1025 829 Pnt\n.7619 g 1017 807
        Pnt\n.7619 g 1017 807 Pnt\n.746 g 1061 821 Pnt\n.746 g 1061 821
        Pnt\n.7302 g 1044 824 Pnt\n.7302 g 1044 824 Pnt\n.7143 g 1036 818
        Pnt\n.7143 g 1036 818 Pnt\n.6984 g 1019 818 Pnt\n.6984 g 1019 818
        Pnt\n.6825 g 1023 817 Pnt\n.6825 g 1023 817 Pnt\n.6667 g 1009 802
        Pnt\n.6667 g 1009 802 Pnt\n.6508 g 999 802 Pnt\n.6508 g 999 802
        Pnt\n.6349 g 985 791 Pnt\n.6349 g 985 791 Pnt\n.619 g 995 815
        Pnt\n.619 g 995 815 Pnt\n.6032 g 990 792 Pnt\n.6032 g 990 792
        Pnt\n.5873 g 982 783 Pnt\n.5873 g 982 783 Pnt\n.5714 g 974 762
        Pnt\n.5714 g 974 762 Pnt\n.5556 g 975 766 Pnt\n.5556 g 975 766
        Pnt\n.5397 g 960 755 Pnt\n.5397 g 960 755 Pnt\n.5238 g 956 742
        Pnt\n.5238 g 956 742 Pnt\n.5079 g 942 728 Pnt\n.5079 g 942 728
        Pnt\n.4921 g 1022 702 Pnt\n.4921 g 1022 702 Pnt\n.4762 g 1010 719
        Pnt\n.4762 g 1010 719 Pnt\n.4603 g 1001 721 Pnt\n.4603 g 1001 721
        Pnt\n.4444 g 987 735 Pnt\n.4444 g 987 735 Pnt\n.4286 g 989 731
        Pnt\n.4286 g 989 731 Pnt\n.4127 g 973 731 Pnt\n.4127 g 973 731
        Pnt\n.3968 g 965 739 Pnt\n.3968 g 965 739 Pnt\n.381 g 948 743
        Pnt\n.381 g 948 743 Pnt\n.3651 g 966 753 Pnt\n.3651 g 966 753
        Pnt\n.3492 g 953 739 Pnt\n.3492 g 953 739 Pnt\n.3333 g 943 739
        Pnt\n.3333 g 943 739 Pnt\n.3175 g 928 728 Pnt\n.3175 g 928 728
        Pnt\n.3016 g 931 731 Pnt\n.3016 g 931 731 Pnt\n.2857 g 914 734
        Pnt\n.2857 g 914 734 Pnt\n.2698 g 906 728 Pnt\n.2698 g 906 728
        Pnt\n.254 g 889 728 Pnt\n.254 g 889 728 Pnt\n.2381 g 918 779
        Pnt\n.2381 g 918 779 Pnt\n.2222 g 912 755 Pnt\n.2222 g 912 755
        Pnt\n.2063 g 904 747 Pnt\n.2063 g 904 747 Pnt\n.1905 g 897 725
        Pnt\n.1905 g 897 725 Pnt\n.1746 g 898 730 Pnt\n.1746 g 898 730
        Pnt\n.1587 g 883 719 Pnt\n.1587 g 883 719 Pnt\n.1429 g 878 706
        Pnt\n.1429 g 878 706 Pnt\n.127 g 865 692 Pnt\n.127 g 865 692
        Pnt\n.1111 g 884 695 Pnt\n.1111 g 884 695 Pnt\n.0952 g 867 698
        Pnt\n.0952 g 867 698 Pnt\n.0794 g 859 692 Pnt\n.0794 g 859 692
        Pnt\n.0635 g 842 692 Pnt\n.0635 g 842 692 Pnt\n.0476 g 845 691
        Pnt\n.0476 g 845 691 Pnt\n.0317 g 832 676 Pnt\n.0317 g 832 676
        Pnt\n.0159 g 822 676 Pnt\n.0159 g 822 676 Pnt\n0 g 807 665 Pnt\n0 g
        807 665 Pnt\n1 g 920 548 Pnt\n1 g 920 548 Pnt\n.9841 g 916 572
        Pnt\n.9841 g 916 572 Pnt\n.9683 g 909 581 Pnt\n.9683 g 909 581
        Pnt\n.9524 g 904 604 Pnt\n.9524 g 904 604 Pnt\n.9365 g 904 600
        Pnt\n.9365 g 904 600 Pnt\n.9206 g 891 614 Pnt\n.9206 g 891 614
        Pnt\n.9048 g 888 627 Pnt\n.9048 g 888 627 Pnt\n.8889 g 875 644
        Pnt\n.8889 g 875 644 Pnt\n.873 g 894 637 Pnt\n.873 g 894 637
        Pnt\n.8571 g 877 637 Pnt\n.8571 g 877 637 Pnt\n.8413 g 870 645
        Pnt\n.8413 g 870 645 Pnt\n.8254 g 853 649 Pnt\n.8254 g 853 649
        Pnt\n.8095 g 856 649 Pnt\n.8095 g 856 649 Pnt\n.7937 g 844 666
        Pnt\n.7937 g 844 666 Pnt\n.7778 g 835 668 Pnt\n.7778 g 835 668
        Pnt\n.7619 g 821 682 Pnt\n.7619 g 821 682 Pnt\n.746 g 864 699
        Pnt\n.746 g 864 699 Pnt\n.7302 g 851 685 Pnt\n.7302 g 851 685
        Pnt\n.7143 g 841 685 Pnt\n.7143 g 841 685 Pnt\n.6984 g 826 674
        Pnt\n.6984 g 826 674 Pnt\n.6825 g 829 677 Pnt\n.6825 g 829 677
        Pnt\n.6667 g 812 680 Pnt\n.6667 g 812 680 Pnt\n.6508 g 804 674
        Pnt\n.6508 g 804 674 Pnt\n.6349 g 787 674 Pnt\n.6349 g 787 674
        Pnt\n.619 g 804 660 Pnt\n.619 g 804 660 Pnt\n.6032 g 792 676
        Pnt\n.6032 g 792 676 Pnt\n.5873 g 782 678 Pnt\n.5873 g 782 678
        Pnt\n.5714 g 769 693 Pnt\n.5714 g 769 693 Pnt\n.5556 g 771 689
        Pnt\n.5556 g 771 689 Pnt\n.5397 g 754 689 Pnt\n.5397 g 754 689
        Pnt\n.5238 g 746 697 Pnt\n.5238 g 746 697 Pnt\n.5079 g 730 701
        Pnt\n.5079 g 730 701 Pnt\n.4921 g 793 779 Pnt\n.4921 g 793 779
        Pnt\n.4762 g 787 755 Pnt\n.4762 g 787 755 Pnt\n.4603 g 779 747
        Pnt\n.4603 g 779 747 Pnt\n.4444 g 772 725 Pnt\n.4444 g 772 725
        Pnt\n.4286 g 773 730 Pnt\n.4286 g 773 730 Pnt\n.4127 g 758 719
        Pnt\n.4127 g 758 719 Pnt\n.3968 g 753 706 Pnt\n.3968 g 753 706
        Pnt\n.381 g 740 692 Pnt\n.381 g 740 692 Pnt\n.3651 g 759 695
        Pnt\n.3651 g 759 695 Pnt\n.3492 g 742 698 Pnt\n.3492 g 742 698
        Pnt\n.3333 g 734 692 Pnt\n.3333 g 734 692 Pnt\n.3175 g 717 692
        Pnt\n.3175 g 717 692 Pnt\n.3016 g 720 691 Pnt\n.3016 g 720 691
        Pnt\n.2857 g 707 676 Pnt\n.2857 g 707 676 Pnt\n.2698 g 697 676
        Pnt\n.2698 g 697 676 Pnt\n.254 g 682 665 Pnt\n.254 g 682 665
        Pnt\n.2381 g 723 639 Pnt\n.2381 g 723 639 Pnt\n.2222 g 711 656
        Pnt\n.2222 g 711 656 Pnt\n.2063 g 702 658 Pnt\n.2063 g 702 658
        Pnt\n.1905 g 688 672 Pnt\n.1905 g 688 672 Pnt\n.1746 g 690 669
        Pnt\n.1746 g 690 669 Pnt\n.1587 g 674 669 Pnt\n.1587 g 674 669
        Pnt\n.1429 g 666 677 Pnt\n.1429 g 666 677 Pnt\n.127 g 649 680
        Pnt\n.127 g 649 680 Pnt\n.1111 g 667 691 Pnt\n.1111 g 667 691
        Pnt\n.0952 g 654 677 Pnt\n.0952 g 654 677 Pnt\n.0794 g 644 676
        Pnt\n.0794 g 644 676 Pnt\n.0635 g 629 665 Pnt\n.0635 g 629 665
        Pnt\n.0476 g 632 668 Pnt\n.0476 g 632 668 Pnt\n.0317 g 615 672
        Pnt\n.0317 g 615 672 Pnt\n.0159 g 606 665 Pnt\n.0159 g 606 665 Pnt\n0
        g 589 665 Pnt\n0 g 589 665 Pnt\n1 g 712 1137 Pnt\n1 g 712 1137
        Pnt\n.9841 g 725 1122 Pnt\n.9841 g 725 1122 Pnt\n.9683 g 728 1108
        Pnt\n.9683 g 728 1108 Pnt\n.9524 g 739 1090 Pnt\n.9524 g 739 1090
        Pnt\n.9365 g 736 1093 Pnt\n.9365 g 736 1093 Pnt\n.9206 g 738 1069
        Pnt\n.9206 g 738 1069 Pnt\n.9048 g 745 1059 Pnt\n.9048 g 745 1059
        Pnt\n.8889 g 749 1035 Pnt\n.8889 g 749 1035 Pnt\n.873 g 754 1063
        Pnt\n.873 g 754 1063 Pnt\n.8571 g 746 1041 Pnt\n.8571 g 746 1041
        Pnt\n.8413 g 748 1027 Pnt\n.8413 g 748 1027 Pnt\n.8254 g 742 1004
        Pnt\n.8254 g 742 1004 Pnt\n.8095 g 744 1008 Pnt\n.8095 g 744 1008
        Pnt\n.7937 g 748 984 Pnt\n.7937 g 748 984 Pnt\n.7778 g 745 971
        Pnt\n.7778 g 745 971 Pnt\n.7619 g 747 946 Pnt\n.7619 g 747 946
        Pnt\n.746 g 778 995 Pnt\n.746 g 778 995 Pnt\n.7302 g 763 984
        Pnt\n.7302 g 763 984 Pnt\n.7143 g 758 971 Pnt\n.7143 g 758 971
        Pnt\n.6984 g 745 957 Pnt\n.6984 g 745 957 Pnt\n.6825 g 748 959
        Pnt\n.6825 g 748 959 Pnt\n.6667 g 742 936 Pnt\n.6667 g 742 936
        Pnt\n.6508 g 735 928 Pnt\n.6508 g 735 928 Pnt\n.6349 g 727 906
        Pnt\n.6349 g 727 906 Pnt\n.619 g 726 934 Pnt\n.619 g 726 934
        Pnt\n.6032 g 731 911 Pnt\n.6032 g 731 911 Pnt\n.5873 g 728 897
        Pnt\n.5873 g 728 897 Pnt\n.5714 g 730 873 Pnt\n.5714 g 730 873
        Pnt\n.5556 g 729 877 Pnt\n.5556 g 729 877 Pnt\n.5397 g 721 856
        Pnt\n.5397 g 721 856 Pnt\n.5238 g 722 842 Pnt\n.5238 g 722 842
        Pnt\n.5079 g 717 818 Pnt\n.5079 g 717 818 Pnt\n.4921 g 792 865
        Pnt\n.4921 g 792 865 Pnt\n.4762 g 776 869 Pnt\n.4762 g 776 869
        Pnt\n.4603 g 767 862 Pnt\n.4603 g 767 862 Pnt\n.4444 g 751 862
        Pnt\n.4444 g 751 862 Pnt\n.4286 g 754 861 Pnt\n.4286 g 754 861
        Pnt\n.4127 g 740 847 Pnt\n.4127 g 740 847 Pnt\n.3968 g 731 847
        Pnt\n.3968 g 731 847 Pnt\n.381 g 716 836 Pnt\n.381 g 716 836
        Pnt\n.3651 g 727 859 Pnt\n.3651 g 727 859 Pnt\n.3492 g 721 836
        Pnt\n.3492 g 721 836 Pnt\n.3333 g 713 828 Pnt\n.3333 g 713 828
        Pnt\n.3175 g 706 806 Pnt\n.3175 g 706 806 Pnt\n.3016 g 707 811
        Pnt\n.3016 g 707 811 Pnt\n.2857 g 692 800 Pnt\n.2857 g 692 800
        Pnt\n.2698 g 687 787 Pnt\n.2698 g 687 787 Pnt\n.254 g 674 773
        Pnt\n.254 g 674 773 Pnt\n.2381 g 677 839 Pnt\n.2381 g 677 839
        Pnt\n.2222 g 682 815 Pnt\n.2222 g 682 815 Pnt\n.2063 g 678 802
        Pnt\n.2063 g 678 802 Pnt\n.1905 g 681 777 Pnt\n.1905 g 681 777
        Pnt\n.1746 g 680 782 Pnt\n.1746 g 680 782 Pnt\n.1587 g 672 760
        Pnt\n.1587 g 672 760 Pnt\n.1429 g 673 746 Pnt\n.1429 g 673 746
        Pnt\n.127 g 668 723 Pnt\n.127 g 668 723 Pnt\n.1111 g 682 741
        Pnt\n.1111 g 682 741 Pnt\n.0952 g 667 730 Pnt\n.0952 g 667 730
        Pnt\n.0794 g 663 717 Pnt\n.0794 g 663 717 Pnt\n.0635 g 649 703
        Pnt\n.0635 g 649 703 Pnt\n.0476 g 652 705 Pnt\n.0476 g 652 705
        Pnt\n.0317 g 647 682 Pnt\n.0317 g 647 682 Pnt\n.0159 g 639 674
        Pnt\n.0159 g 639 674 Pnt\n0 g 631 651 Pnt\n0 g 631 651 Pnt\n1 g 769
        652 Pnt\n1 g 769 652 Pnt\n.9841 g 757 668 Pnt\n.9841 g 757 668
        Pnt\n.9683 g 747 670 Pnt\n.9683 g 747 670 Pnt\n.9524 g 734 685
        Pnt\n.9524 g 734 685 Pnt\n.9365 g 736 681 Pnt\n.9365 g 736 681
        Pnt\n.9206 g 719 681 Pnt\n.9206 g 719 681 Pnt\n.9048 g 712 689
        Pnt\n.9048 g 712 689 Pnt\n.8889 g 695 692 Pnt\n.8889 g 695 692
        Pnt\n.873 g 713 703 Pnt\n.873 g 713 703 Pnt\n.8571 g 699 689
        Pnt\n.8571 g 699 689 Pnt\n.8413 g 690 689 Pnt\n.8413 g 690 689
        Pnt\n.8254 g 675 677 Pnt\n.8254 g 675 677 Pnt\n.8095 g 678 680
        Pnt\n.8095 g 678 680 Pnt\n.7937 g 661 684 Pnt\n.7937 g 661 684
        Pnt\n.7778 g 653 677 Pnt\n.7778 g 653 677 Pnt\n.7619 g 636 677
        Pnt\n.7619 g 636 677 Pnt\n.746 g 664 728 Pnt\n.746 g 664 728
        Pnt\n.7302 g 659 705 Pnt\n.7302 g 659 705 Pnt\n.7143 g 651 697
        Pnt\n.7143 g 651 697 Pnt\n.6984 g 643 675 Pnt\n.6984 g 643 675
        Pnt\n.6825 g 644 680 Pnt\n.6825 g 644 680 Pnt\n.6667 g 629 668
        Pnt\n.6667 g 629 668 Pnt\n.6508 g 625 656 Pnt\n.6508 g 625 656
        Pnt\n.6349 g 611 641 Pnt\n.6349 g 611 641 Pnt\n.619 g 631 644
        Pnt\n.619 g 631 644 Pnt\n.6032 g 614 648 Pnt\n.6032 g 614 648
        Pnt\n.5873 g 606 641 Pnt\n.5873 g 606 641 Pnt\n.5714 g 589 641
        Pnt\n.5714 g 589 641 Pnt\n.5556 g 592 640 Pnt\n.5556 g 592 640
        Pnt\n.5397 g 578 626 Pnt\n.5397 g 578 626 Pnt\n.5238 g 569 626
        Pnt\n.5238 g 569 626 Pnt\n.5079 g 554 615 Pnt\n.5079 g 554 615
        Pnt\n.4921 g 575 732 Pnt\n.4921 g 575 732 Pnt\n.4762 g 580 708
        Pnt\n.4762 g 580 708 Pnt\n.4603 g 576 695 Pnt\n.4603 g 576 695
        Pnt\n.4444 g 579 671 Pnt\n.4444 g 579 671 Pnt\n.4286 g 578 675
        Pnt\n.4286 g 578 675 Pnt\n.4127 g 570 653 Pnt\n.4127 g 570 653
        Pnt\n.3968 g 571 639 Pnt\n.3968 g 571 639 Pnt\n.381 g 566 616
        Pnt\n.381 g 566 616 Pnt\n.3651 g 580 635 Pnt\n.3651 g 580 635
        Pnt\n.3492 g 565 624 Pnt\n.3492 g 565 624 Pnt\n.3333 g 561 611
        Pnt\n.3333 g 561 611 Pnt\n.3175 g 547 597 Pnt\n.3175 g 547 597
        Pnt\n.3016 g 550 599 Pnt\n.3016 g 550 599 Pnt\n.2857 g 545 575
        Pnt\n.2857 g 545 575 Pnt\n.2698 g 537 567 Pnt\n.2698 g 537 567
        Pnt\n.254 g 529 545 Pnt\n.254 g 529 545 Pnt\n.2381 g 573 559
        Pnt\n.2381 g 573 559 Pnt\n.2222 g 556 563 Pnt\n.2222 g 556 563
        Pnt\n.2063 g 548 556 Pnt\n.2063 g 548 556 Pnt\n.1905 g 531 556
        Pnt\n.1905 g 531 556 Pnt\n.1746 g 534 555 Pnt\n.1746 g 534 555
        Pnt\n.1587 g 521 541 Pnt\n.1587 g 521 541 Pnt\n.1429 g 511 541
        Pnt\n.1429 g 511 541 Pnt\n.127 g 496 529 Pnt\n.127 g 496 529
        Pnt\n.1111 g 507 553 Pnt\n.1111 g 507 553 Pnt\n.0952 g 501 530
        Pnt\n.0952 g 501 530 Pnt\n.0794 g 493 522 Pnt\n.0794 g 493 522
        Pnt\n.0635 g 486 500 Pnt\n.0635 g 486 500 Pnt\n.0476 g 487 504
        Pnt\n.0476 g 487 504 Pnt\n.0317 g 472 493 Pnt\n.0317 g 472 493
        Pnt\n.0159 g 467 480 Pnt\n.0159 g 467 480 Pnt\n0 g 453 466 Pnt\n0 g
        453 466 Pnt\n.9841 g 655 372 Pnt\n.9841 g 655 372 Pnt\n.9683 g 648
        381 Pnt\n.9683 g 648 381 Pnt\n.9524 g 643 404 Pnt\n.9524 g 643 404
        Pnt\n.9365 g 643 400 Pnt\n.9365 g 643 400 Pnt\n.9206 g 630 414
        Pnt\n.9206 g 630 414 Pnt\n.9048 g 626 427 Pnt\n.9048 g 626 427
        Pnt\n.8889 g 614 444 Pnt\n.8889 g 614 444 Pnt\n.873 g 633 437
        Pnt\n.873 g 633 437 Pnt\n.8571 g 616 437 Pnt\n.8571 g 616 437
        Pnt\n.8413 g 609 445 Pnt\n.8413 g 609 445 Pnt\n.8254 g 592 449
        Pnt\n.8254 g 592 449 Pnt\n.8095 g 595 449 Pnt\n.8095 g 595 449
        Pnt\n.7937 g 583 466 Pnt\n.7937 g 583 466 Pnt\n.7778 g 574 468
        Pnt\n.7778 g 574 468 Pnt\n.7619 g 560 482 Pnt\n.7619 g 560 482
        Pnt\n.746 g 603 499 Pnt\n.746 g 603 499 Pnt\n.7302 g 590 485
        Pnt\n.7302 g 590 485 Pnt\n.7143 g 580 485 Pnt\n.7143 g 580 485
        Pnt\n.6984 g 565 474 Pnt\n.6984 g 565 474 Pnt\n.6825 g 568 477
        Pnt\n.6825 g 568 477 Pnt\n.6667 g 551 480 Pnt\n.6667 g 551 480
        Pnt\n.6508 g 543 474 Pnt\n.6508 g 543 474 Pnt\n.6349 g 526 474
        Pnt\n.6349 g 526 474 Pnt\n.619 g 543 460 Pnt\n.619 g 543 460
        Pnt\n.6032 g 531 476 Pnt\n.6032 g 531 476 Pnt\n.5873 g 521 478
        Pnt\n.5873 g 521 478 Pnt\n.5714 g 507 493 Pnt\n.5714 g 507 493
        Pnt\n.5556 g 510 489 Pnt\n.5556 g 510 489 Pnt\n.5397 g 493 489
        Pnt\n.5397 g 493 489 Pnt\n.5238 g 485 497 Pnt\n.5238 g 485 497
        Pnt\n.5079 g 468 501 Pnt\n.5079 g 468 501 Pnt\n.4921 g 532 579
        Pnt\n.4921 g 532 579 Pnt\n.4762 g 526 555 Pnt\n.4762 g 526 555
        Pnt\n.4603 g 518 547 Pnt\n.4603 g 518 547 Pnt\n.4444 g 511 525
        Pnt\n.4444 g 511 525 Pnt\n.4286 g 512 530 Pnt\n.4286 g 512 530
        Pnt\n.4127 g 497 519 Pnt\n.4127 g 497 519 Pnt\n.3968 g 492 506
        Pnt\n.3968 g 492 506 Pnt\n.381 g 479 492 Pnt\n.381 g 479 492
        Pnt\n.3651 g 498 495 Pnt\n.3651 g 498 495 Pnt\n.3492 g 481 498
        Pnt\n.3492 g 481 498 Pnt\n.3333 g 473 492 Pnt\n.3333 g 473 492
        Pnt\n.3175 g 456 492 Pnt\n.3175 g 456 492 Pnt\n.3016 g 459 491
        Pnt\n.3016 g 459 491 Pnt\n.2857 g 446 476 Pnt\n.2857 g 446 476
        Pnt\n.2698 g 436 476 Pnt\n.2698 g 436 476 Pnt\n.254 g 421 465
        Pnt\n.254 g 421 465 Pnt\n.2381 g 462 439 Pnt\n.2381 g 462 439
        Pnt\n.2222 g 450 456 Pnt\n.2222 g 450 456 Pnt\n.2063 g 441 458
        Pnt\n.2063 g 441 458 Pnt\n.1905 g 427 472 Pnt\n.1905 g 427 472
        Pnt\n.1746 g 429 469 Pnt\n.1746 g 429 469 Pnt\n.1587 g 413 469
        Pnt\n.1587 g 413 469 Pnt\n.1429 g 405 477 Pnt\n.1429 g 405 477
        Pnt\n.127 g 388 480 Pnt\n.127 g 388 480 Pnt\n.1111 g 406 491
        Pnt\n.1111 g 406 491 Pnt\n.0952 g 392 477 Pnt\n.0952 g 392 477
        Pnt\n.0794 g 383 476 Pnt\n.0794 g 383 476 Pnt\n.0635 g 368 465
        Pnt\n.0635 g 368 465 Pnt\n.0476 g 370 468 Pnt\n.0476 g 370 468
        Pnt\n.0317 g 354 472 Pnt\n.0317 g 354 472 Pnt\n.0159 g 345 465
        Pnt\n.0159 g 345 465 Pnt\n0 g 328 465 Pnt\n0 g 328 465 Pnt\n1 g 392
        646 Pnt\n1 g 392 646 Pnt\n.9841 g 397 623 Pnt\n.9841 g 397 623
        Pnt\n.9683 g 393 609 Pnt\n.9683 g 393 609 Pnt\n.9524 g 396 585
        Pnt\n.9524 g 396 585 Pnt\n.9365 g 395 590 Pnt\n.9365 g 395 590
        Pnt\n.9206 g 387 568 Pnt\n.9206 g 387 568 Pnt\n.9048 g 388 554
        Pnt\n.9048 g 388 554 Pnt\n.8889 g 383 530 Pnt\n.8889 g 383 530
        Pnt\n.873 g 397 549 Pnt\n.873 g 397 549 Pnt\n.8571 g 382 538
        Pnt\n.8571 g 382 538 Pnt\n.8413 g 378 525 Pnt\n.8413 g 378 525
        Pnt\n.8254 g 364 511 Pnt\n.8254 g 364 511 Pnt\n.8095 g 367 513
        Pnt\n.8095 g 367 513 Pnt\n.7937 g 362 490 Pnt\n.7937 g 362 490
        Pnt\n.7778 g 354 481 Pnt\n.7778 g 354 481 Pnt\n.7619 g 346 459
        Pnt\n.7619 g 346 459 Pnt\n.746 g 390 473 Pnt\n.746 g 390 473
        Pnt\n.7302 g 373 477 Pnt\n.7302 g 373 477 Pnt\n.7143 g 365 470
        Pnt\n.7143 g 365 470 Pnt\n.6984 g 348 470 Pnt\n.6984 g 348 470
        Pnt\n.6825 g 351 469 Pnt\n.6825 g 351 469 Pnt\n.6667 g 338 455
        Pnt\n.6667 g 338 455 Pnt\n.6508 g 328 455 Pnt\n.6508 g 328 455
        Pnt\n.6349 g 313 444 Pnt\n.6349 g 313 444 Pnt\n.619 g 324 468
        Pnt\n.619 g 324 468 Pnt\n.6032 g 318 444 Pnt\n.6032 g 318 444
        Pnt\n.5873 g 310 436 Pnt\n.5873 g 310 436 Pnt\n.5714 g 303 414
        Pnt\n.5714 g 303 414 Pnt\n.5556 g 304 419 Pnt\n.5556 g 304 419
        Pnt\n.5397 g 289 407 Pnt\n.5397 g 289 407 Pnt\n.5238 g 284 395
        Pnt\n.5238 g 284 395 Pnt\n.5079 g 270 380 Pnt\n.5079 g 270 380
        Pnt\n.4921 g 351 354 Pnt\n.4921 g 351 354 Pnt\n.4762 g 339 371
        Pnt\n.4762 g 339 371 Pnt\n.4603 g 329 373 Pnt\n.4603 g 329 373
        Pnt\n.4444 g 316 387 Pnt\n.4444 g 316 387 Pnt\n.4286 g 318 384
        Pnt\n.4286 g 318 384 Pnt\n.4127 g 301 384 Pnt\n.4127 g 301 384
        Pnt\n.3968 g 293 392 Pnt\n.3968 g 293 392 Pnt\n.381 g 277 395
        Pnt\n.381 g 277 395 Pnt\n.3651 g 295 406 Pnt\n.3651 g 295 406
        Pnt\n.3492 g 281 391 Pnt\n.3492 g 281 391 Pnt\n.3333 g 272 391
        Pnt\n.3333 g 272 391 Pnt\n.3175 g 257 380 Pnt\n.3175 g 257 380
        Pnt\n.3016 g 259 383 Pnt\n.3016 g 259 383 Pnt\n.2857 g 243 386
        Pnt\n.2857 g 243 386 Pnt\n.2698 g 234 380 Pnt\n.2698 g 234 380
        Pnt\n.2381 g 246 431 Pnt\n.2381 g 246 431 Pnt\n.2222 g 240 408
        Pnt\n.2222 g 240 408 Pnt\n.2063 g 232 399 Pnt\n.2063 g 232 399
        Pnt\n1.000 UP\nstroke\ngrestore\nend\nshowpage\n%%Trailer\n%%DocumentFonts:
        Helvetica\n>|ps>||||||>

        \;
      </input>

      <\output>
        <postscript|<tuple|<raw_data|>|ps>||||||>

        \;
      </output>

      <\input|GNUplot] >
        ~set pm3d at s; ~set pal rgb 9,9,3 ~set nocolorbox
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~set parametric ~set hidden3d
        ~set ticslevel 0 ~set noxtics ~set noytics \ \ \ \ \ \ ~set noztics
        ~set border 0 ~set nokey ~set isosamples 48,18 ~set size 0.6,1
        \ \ ~set view 70,190,1.4,1 ~set urange[0:2*pi] ~set vrange[0:2*pi]
        \ \ \ \ ~f(u)=1/(1+exp(u-pi)**10)
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~r(u)=f(u)*sin(u/2)**4*exp(-2*u)*u**3+0.01
        ~x(u,v)=r(u)*cos(v)+0.003*sin(u/2)**4*exp(-2*(pi-u))*(pi-u)**3
        ~y(u,v)=r(u)*sin(v) ~z(u)=sin(u) \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~splot
        x(u,v),y(u,v),z(u) lt 6
      </input>

      <\output>
        <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
        temp.eps\n%%Creator: gnuplot 3.8h patchlevel 0\n%%CreationDate: Sat
        Mar 29 16:02:26 2003\n%%DocumentFonts: (atend)\n%%BoundingBox: 50 50
        266 302\n%%Orientation: Portrait\n%%EndComments\n/gnudict 256 dict
        def\ngnudict begin\n/Color false def\n/Solid false def\n/gnulinewidth
        5.000 def\n/userlinewidth gnulinewidth def\n/vshift -46 def\n/dl
        {10.0 mul} def\n/hpt_ 31.5 def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt
        vpt_ def\n/M {moveto} bind def\n/L {lineto} bind def\n/R {rmoveto}
        bind def\n/V {rlineto} bind def\n/N {newpath moveto} bind def\n/f
        {rlineto fill} bind def\n/vpt2 vpt 2 mul def\n/hpt2 hpt 2 mul
        def\n/Lshow { currentpoint stroke M\n \ 0 vshift R show } def\n/Rshow
        { currentpoint stroke M\n \ dup stringwidth pop neg vshift R show }
        def\n/Cshow { currentpoint stroke M\n \ dup stringwidth pop -2 div
        vshift R show } def\n/UP { dup vpt_ mul /vpt exch def hpt_ mul /hpt
        exch def\n \ /hpt2 hpt 2 mul def /vpt2 vpt 2 mul def } def\n/DL {
        Color {setrgbcolor Solid {pop []} if 0 setdash }\n {pop pop pop Solid
        {pop []} if 0 setdash} ifelse } def\n/BL { stroke userlinewidth 2 mul
        setlinewidth } def\n/AL { stroke userlinewidth 2 div setlinewidth }
        def\n/UL { dup gnulinewidth mul /userlinewidth exch def\n
        \ \ \ \ \ dup 1 lt {pop 1} if 10 mul /udl exch def } def\n/PL {
        stroke userlinewidth setlinewidth } def\n/LTb { BL [] 0 0 0 DL }
        def\n/LTa { AL [1 udl mul 2 udl mul] 0 setdash 0 0 0 setrgbcolor }
        def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 { PL [4 dl 2 dl] 0 1 0 DL }
        def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL } def\n/LT3 { PL [1 dl 1.5 dl] 1
        0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl 2 dl] 0 1 1 DL } def\n/LT5 {
        PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL } def\n/LT6 { PL [2 dl 2 dl 2 dl 4
        dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 4 dl] 1 0.3 0
        DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 4 dl] 0.5 0.5
        0.5 DL } def\n/Pnt { stroke [] 0 setdash\n \ \ gsave 1 setlinecap M 0
        0 V stroke grestore } def\n/Dia { stroke [] 0 setdash 2 copy vpt add
        M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V
        closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0 setdash vpt sub M
        0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg R hpt2 0 V
        stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt sub exch
        vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
        closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt
        sub exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2
        neg 0 R hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy
        vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n
        \ hpt neg vpt 1.62 mul V closepath stroke\n \ Pnt \ } def\n/Star { 2
        copy Pls Crs } def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt
        add M\n \ 0 vpt2 neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V
        \ closepath fill } def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add
        M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62
        mul V closepath fill } def\n/TriD { stroke [] 0 setdash 2 copy vpt
        1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt
        neg vpt -1.62 mul V closepath stroke\n \ Pnt \ } def\n/TriDF { stroke
        [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2
        mul 0 V\n \ hpt neg vpt -1.62 mul V closepath fill} def\n/DiaF {
        stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n
        \ hpt vpt V hpt neg vpt V closepath fill } def\n/Pent { stroke [] 0
        setdash 2 copy gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
        repeat\n \ closepath stroke grestore Pnt } def\n/PentF { stroke [] 0
        setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ closepath fill grestore } def\n/Circle { stroke [] 0 setdash 2
        copy\n \ hpt 0 360 arc stroke Pnt } def\n/CircleF { stroke [] 0
        setdash hpt 0 360 arc fill } def\n/C0 { BL [] 0 setdash 2 copy moveto
        vpt 90 450 \ arc } bind def\n/C1 { BL [] 0 setdash 2 copy
        \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc closepath
        fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
        def\n/C2 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        90 180 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
        closepath } bind def\n/C3 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 0 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C4 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 180 270 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
        } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
        \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc } bind def\n/C6 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
        copy \ vpt 90 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt
        0 360 arc closepath } bind def\n/C7 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ 2 copy \ vpt 0 270 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C8 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt 270 360 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
        bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy
        \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
        360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
        moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
        \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11
        { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13
        { BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
        setdash 2 copy vpt 0 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
        \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
        \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
        bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
        def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
        bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
        def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
        Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch
        vpt2 vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy
        exch vpt sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 {
        BL [] 0 setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt
        sub exch vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare }
        bind def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt
        vpt2 Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub
        vpt Square fill Bsquare } bind def\n/S9 { BL [] 0 setdash 2 copy vpt
        sub vpt vpt2 Rec fill Bsquare } bind def\n/S10 { BL [] 0 setdash 2
        copy vpt sub vpt Square fill 2 copy exch vpt sub exch vpt Square
        fill\n \ \ \ \ \ \ Bsquare } bind def\n/S11 { BL [] 0 setdash 2 copy
        vpt sub vpt Square fill 2 copy exch vpt sub exch vpt2 vpt Rec fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S12 { BL [] 0 setdash 2 copy exch
        vpt sub exch vpt sub vpt2 vpt Rec fill Bsquare } bind def\n/S13 { BL
        [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy vpt Square fill Bsquare } bind def\n/S14 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square fill Bsquare } bind
        def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill Bsquare } bind
        def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke grestore } bind
        def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke grestore } bind
        def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke grestore } bind
        def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke grestore } bind
        def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke grestore } bind
        def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke grestore } bind
        def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke grestore } bind
        def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke grestore } bind
        def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke grestore } bind
        def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke grestore } bind
        def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke grestore } bind
        def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke grestore } bind
        def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke grestore } bind
        def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke grestore } bind
        def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke grestore } bind
        def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke grestore } bind
        def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt
        vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke } def\n/BoxE {
        stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2
        0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE { stroke
        [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2
        mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke } def\n/TriDE {
        stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
        \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath stroke }
        def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72
        rotate 0 hpt L} repeat\n \ closepath stroke grestore } def\n/CircE {
        stroke [] 0 setdash \n \ hpt 0 360 arc stroke } def\n/Opaque { gsave
        closepath 1 setgray fill grestore 0 setgray closepath } def\n/DiaW {
        stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n
        \ hpt vpt V hpt neg vpt V Opaque stroke } def\n/BoxW { stroke [] 0
        setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2
        V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW { stroke [] 0 setdash
        vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n
        \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW { stroke [] 0
        setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0
        V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW { stroke []
        0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash \n \ hpt
        0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray fill
        grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
        makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
        ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0
        get findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ]
        exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch
        4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n
        \ \ \ \ {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse}
        {dup 5\n \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get
        stringwidth pop -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop
        -2 div 0 R 6 get\n \ \ \ \ show 2 index {aload pop M neg 3 -1 roll
        neg R pop pop} {pop pop pop\n \ \ \ \ pop aload pop M} ifelse }ifelse
        }ifelse } forall} bind def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get
        findfont exch 1 get scalefont\n \ \ \ \ setfont 6 get stringwidth pop
        add} {pop} ifelse} forall} bind def\n/MLshow { currentpoint stroke
        M\n \ 0 exch R MFshow } bind def\n/MRshow { currentpoint stroke M\n
        \ exch dup MFwidth neg 3 -1 roll R MFshow } def\n/MCshow {
        currentpoint stroke M\n \ exch dup MFwidth -2 div 3 -1 roll R MFshow
        } def\nend\n%%EndProlog\ngnudict begin\ngsave\n50 50 translate\n0.050
        0.050 scale\n0 setgray\nnewpath\n(Helvetica) findfont 140 scalefont
        setfont\n1.000 UL\nLTb\ngsave %% colour palette begin\n/maxcolors 0
        def\n/maxcolorsLast {maxcolors 1 sub maxcolors div} def\n/pm3dround
        {maxcolors 0 gt {dup maxcolorsLast ge {pop 1} {maxcolors mul floor
        maxcolors div} ifelse} if} def\n/cF9 {90 mul sin} bind def\t%
        sin(90x)\n/cF3 { } bind def\t% x\nColor true and { % COLOUR vs. GRAY
        map\n \ /g {stroke pm3dround dup cF9 exch dup cF9 exch cF3
        setrgbcolor} bind def\n \ /h {rlineto rlineto rlineto fill} bind
        def\n}{\n \ /g {stroke pm3dround setgray} bind def\n \ /h {rlineto
        rlineto rlineto fill} bind def\n} ifelse\n%pm3d_map_begin\n.4667 g
        1841 2387 N -19 -23 -9 225 19 23 h\n.4006 g 1929 2161 N -19 -23 -89
        227 20 22 h\n.3363 g 2155 1933 N -20 -22 -225 228 19 22 h\n.2749 g
        2491 1708 N -19 -22 -336 224 19 23 h\n.2175 g 2855 1497 N -19 -23
        -365 211 20 23 h\n.1652 g 3162 1309 N -20 -23 -307 189 20 22 h\n.1188
        g 3352 1151 N -20 -22 -190 158 20 22 h\n.0793 g 3404 1026 N -20 -22
        -52 125 20 22 h\n.0472 g 3330 936 N -20 -22 74 89 20 23 h\n.0232 g
        3163 882 N -20 -23 168 55 19 22 h\n.0078 g 2942 860 N -19 -22 221 22
        19 22 h\n.0011 g 2704 869 N -19 -22 237 -9 20 22 h\n.0033 g 2479 907
        N -20 -22 225 -38 20 22 h\n.0144 g 2285 973 N -20 -22 195 -66 19 22
        h\n.0342 g 2130 1064 N -19 -22 154 -92 20 23 h\n.0623 g 2016 1181 N
        -20 -23 115 -116 19 22 h\n.0981 g 1936 1319 N -19 -22 79 -139 20 23
        h\n.1412 g 1886 1479 N -20 -23 51 -160 19 23 h\n.1906 g 1856 1658 N
        -19 -23 30 -178 19 22 h\n.2456 g 1837 1853 N -19 -22 18 -196 20 23
        h\n.3051 g 1816 2061 N -20 -23 19 -210 22 25 h\n.3681 g 1757 2282 N
        -22 -25 51 -231 30 35 h\n.4335 g 1579 2518 N -30 -35 153 -263 55 62
        h\n.5 g 1265 2765 N -55 -62 270 -298 99 113 h\n.5665 g 983 3007 N -99
        -113 242 -287 139 158 h\n.6319 g 811 3236 N -139 -158 148 -257 163
        186 h\n.6949 g 712 3450 N -163 -186 85 -229 177 201 h\n.7544 g 657
        3647 N -177 -201 47 -206 185 210 h\n.8094 g 640 3825 N -185 -210 15
        -181 187 213 h\n.8588 g 660 3980 N -187 -213 -17 -151 184 209
        h\n.9019 g 716 4110 N -184 -209 -48 -121 176 200 h\n.9377 g 807 4211
        N -176 -200 -78 -87 163 186 h\n.9658 g 926 4284 N -163 -186 -102 -54
        146 167 h\n.9856 g 1064 4326 N -146 -167 -119 -20 127 145 h\n.9967 g
        1213 4338 N -127 -145 -128 12 106 121 h\n.9989 g 1359 4321 N -106
        -121 -126 41 86 97 h\n.9922 g 1494 4274 N -86 -97 -116 68 67 76
        h\n.9768 g 1608 4199 N -67 -76 -98 93 51 58 h\n.9528 g 1697 4098 N
        -51 -58 -76 115 38 44 h\n.9207 g 1759 3973 N -38 -44 -54 135 30 34
        h\n.8812 g 1798 3825 N -30 -34 -33 154 24 28 h\n.8348 g 1819 3657 N
        -24 -28 -18 172 21 24 h\n.7825 g 1828 3471 N -21 -24 -8 188 20 22
        h\n.7251 g 1831 3270 N -20 -22 -3 201 20 22 h\n.6637 g 1832 3057 N
        -20 -22 0 213 19 22 h\n.5994 g 1832 2837 N -19 -22 0 220 19 22
        h\n.5333 g 1832 2612 N -19 -22 0 224 19 23 h\n.4667 g 1860 2410 N -36
        -18 -9 226 36 17 h\n.4006 g 1949 2183 N -36 -17 -88 226 35 18
        h\n.3363 g 2174 1955 N -35 -18 -226 228 36 18 h\n.2749 g 2510 1731 N
        -36 -18 -336 225 36 17 h\n.2175 g 2875 1520 N -36 -17 -364 211 35 17
        h\n.1652 g 3182 1331 N -35 -17 -307 188 35 18 h\n.1188 g 3372 1173 N
        -35 -18 -190 158 35 18 h\n.0793 g 3424 1048 N -35 -18 -52 125 35 18
        h\n.0472 g 3350 959 N -35 -18 74 89 35 18 h\n.0232 g 3182 904 N -35
        -18 167 55 36 18 h\n.0078 g 2961 882 N -36 -18 221 22 36 18 h\n.0011
        g 2724 891 N -36 -18 238 -9 35 18 h\n.0033 g 2499 929 N -35 -18 225
        -38 35 18 h\n.0144 g 2304 995 N -35 -18 194 -66 36 18 h\n.0342 g 2150
        1087 N -36 -18 155 -91 35 17 h\n.0623 g 2035 1203 N -35 -17 114 -117
        36 18 h\n.0981 g 1956 1342 N -36 -18 79 -139 36 18 h\n.1412 g 1905
        1502 N -36 -18 51 -159 36 17 h\n.1906 g 1875 1680 N -36 -17 30 -179
        36 18 h\n.2456 g 1857 1876 N -36 -18 17 -196 37 18 h\n.3051 g 1838
        2086 N -37 -18 15 -213 41 21 h\n.3681 g 1787 2317 N -41 -21 37 -237
        55 27 h\n.4335 g 1634 2580 N -55 -27 108 -287 100 51 h\n.5 g 1364
        2878 N -100 -51 189 -338 181 91 h\n.5665 g 1122 3165 N -181 -91 170
        -324 253 128 h\n.6319 g 974 3422 N -253 -128 103 -278 298 149
        h\n.6949 g 889 3651 N -298 -149 60 -243 323 163 h\n.7544 g 842 3857 N
        -323 -163 34 -212 336 169 h\n.8094 g 827 4038 N -336 -169 10 -183 341
        171 h\n.8588 g 844 4189 N -341 -171 -11 -149 335 169 h\n.9019 g 892
        4310 N -335 -169 -34 -113 321 161 h\n.9377 g 970 4397 N -321 -161 -55
        -76 298 150 h\n.9658 g 1072 4451 N -298 -150 -72 -38 268 134 h\n.9856
        g 1191 4471 N -268 -134 -83 -3 232 117 h\n.9967 g 1319 4459 N -232
        -117 -90 31 194 98 h\n.9989 g 1445 4418 N -194 -98 -89 60 157 79
        h\n.9922 g 1561 4350 N -157 -79 -81 86 122 61 h\n.9768 g 1659 4257 N
        -122 -61 -69 107 93 47 h\n.9528 g 1735 4142 N -93 -47 -53 127 70 35
        h\n.9207 g 1789 4007 N -70 -35 -38 143 54 27 h\n.8812 g 1822 3853 N
        -54 -27 -23 159 44 22 h\n.8348 g 1840 3681 N -44 -22 -13 175 39 19
        h\n.7825 g 1848 3493 N -39 -19 -5 188 36 19 h\n.7251 g 1851 3292 N
        -36 -19 -2 202 35 18 h\n.6637 g 1851 3079 N -35 -18 -1 213 36 18
        h\n.5994 g 1851 2859 N -36 -18 0 220 36 18 h\n.5333 g 1851 2635 N -36
        -18 0 224 36 18 h\n.4667 g 1896 2427 N -46 -11 -10 225 47 12 h\n.4006
        g 1984 2201 N -47 -12 -88 227 47 11 h\n.3363 g 2210 1973 N -47 -11
        -226 228 47 11 h\n.2749 g 2546 1748 N -47 -11 -336 224 47 12 h\n.2175
        g 2910 1537 N -47 -12 -364 211 47 12 h\n.1652 g 3217 1349 N -47 -12
        -307 189 47 11 h\n.1188 g 3407 1191 N -47 -11 -190 158 47 11 h\n.0793
        g 3459 1066 N -47 -11 -52 125 47 11 h\n.0472 g 3385 977 N -47 -11 74
        89 47 11 h\n.0232 g 3218 922 N -47 -11 167 55 47 11 h\n.0078 g 2997
        900 N -47 -11 221 22 47 11 h\n.0011 g 2759 909 N -47 -11 238 -9 47 11
        h\n.0033 g 2534 947 N -47 -11 225 -38 47 11 h\n.0144 g 2340 1013 N
        -47 -11 194 -66 47 11 h\n.0342 g 2185 1104 N -47 -11 155 -92 47 12
        h\n.0623 g 2071 1221 N -47 -12 115 -116 46 11 h\n.0981 g 1992 1360 N
        -46 -11 79 -139 46 11 h\n.1412 g 1941 1519 N -46 -11 50 -160 47 12
        h\n.1906 g 1911 1698 N -47 -12 30 -178 47 11 h\n.2456 g 1894 1894 N
        -47 -11 16 -196 48 11 h\n.3051 g 1879 2107 N -48 -11 10 -214 53 12
        h\n.3681 g 1842 2344 N -53 -12 18 -242 72 17 h\n.4335 g 1734 2631 N
        -72 -17 47 -301 133 31 h\n.5 g 1545 2969 N -133 -31 83 -363 239 56
        h\n.5665 g 1375 3293 N -239 -56 75 -347 334 79 h\n.6319 g 1272 3571 N
        -334 -79 46 -292 391 93 h\n.6949 g 1212 3814 N -391 -93 26 -251 425
        101 h\n.7544 g 1178 4026 N -425 -101 15 -217 444 106 h\n.8094 g 1168
        4209 N -444 -106 5 -184 449 107 h\n.8588 g 1179 4358 N -449 -107 -4
        -147 442 105 h\n.9019 g 1213 4471 N -442 -105 -15 -109 423 101
        h\n.9377 g 1268 4547 N -423 -101 -24 -68 392 93 h\n.9658 g 1340 4585
        N -392 -93 -32 -29 352 84 h\n.9856 g 1423 4588 N -352 -84 -37 9 306
        72 h\n.9967 g 1513 4557 N -306 -72 -40 42 256 61 h\n.9989 g 1602 4497
        N -256 -61 -39 72 206 49 h\n.9922 g 1683 4411 N -206 -49 -35 96 160
        39 h\n.9768 g 1752 4304 N -160 -39 -31 117 122 29 h\n.9528 g 1805
        4177 N -122 -29 -24 134 93 22 h\n.9207 g 1843 4034 N -93 -22 -16 148
        71 17 h\n.8812 g 1866 3875 N -71 -17 -11 162 59 14 h\n.8348 g 1879
        3700 N -59 -14 -5 176 51 13 h\n.7825 g 1884 3512 N -51 -13 -3 190 49
        11 h\n.7251 g 1886 3310 N -49 -11 0 202 47 11 h\n.6637 g 1887 3097 N
        -47 -11 0 213 46 11 h\n.5994 g 1887 2877 N -46 -11 0 220 46 11
        h\n.5333 g 1887 2653 N -46 -11 0 224 46 11 h\n.4667 g 1943 2439 N -52
        -3 -9 225 51 3 h\n.4006 g 2031 2212 N -51 -3 -89 227 52 3 h\n.3363 g
        2257 1984 N -52 -3 -226 228 52 3 h\n.2749 g 2593 1760 N -52 -3 -335
        224 51 3 h\n.2175 g 2957 1549 N -51 -3 -365 211 52 3 h\n.1652 g 3264
        1360 N -52 -3 -307 189 52 3 h\n.1188 g 3454 1202 N -52 -3 -190 158 52
        3 h\n.0793 g 3506 1077 N -52 -3 -52 125 52 3 h\n.0472 g 3432 988 N
        -52 -3 74 89 52 3 h\n.0232 g 3265 933 N -52 -3 167 55 52 3 h\n.0078 g
        3044 911 N -52 -3 222 22 51 3 h\n.0011 g 2806 920 N -51 -3 237 -9 52
        3 h\n.0033 g 2581 958 N -52 -3 225 -38 52 3 h\n.0144 g 2387 1024 N
        -52 -3 194 -66 52 3 h\n.0342 g 2232 1116 N -52 -3 155 -92 52 3
        h\n.0623 g 2117 1232 N -52 -3 115 -116 52 3 h\n.0981 g 2038 1371 N
        -52 -3 79 -139 52 3 h\n.1412 g 1988 1531 N -52 -3 50 -160 52 3
        h\n.1906 g 1958 1709 N -52 -3 30 -178 52 3 h\n.2456 g 1942 1905 N -52
        -3 15 -196 53 3 h\n.3051 g 1932 2119 N -53 -3 5 -214 58 3 h\n.3681 g
        1914 2361 N -58 -3 -4 -244 80 5 h\n.4335 g 1867 2662 N -80 -5 -19
        -305 146 9 h\n.5 g 1784 3025 N -146 -9 -34 -369 263 15 h\n.5665 g
        1709 3372 N -263 -15 -31 -353 369 21 h\n.6319 g 1663 3664 N -369 -21
        -18 -296 433 25 h\n.6949 g 1637 3915 N -433 -25 -10 -252 469 26
        h\n.7544 g 1622 4132 N -469 -26 -5 -219 489 28 h\n.8094 g 1617 4316 N
        -489 -28 -2 -184 496 28 h\n.8588 g 1621 4463 N -496 -28 3 -147 489 28
        h\n.9019 g 1636 4572 N -489 -28 6 -107 468 26 h\n.9377 g 1660 4640 N
        -468 -26 10 -67 434 25 h\n.9658 g 1692 4669 N -434 -25 13 -26 389 22
        h\n.9856 g 1729 4660 N -389 -22 14 12 338 19 h\n.9967 g 1769 4618 N
        -338 -19 16 45 282 16 h\n.9989 g 1808 4546 N -282 -16 16 75 227 13
        h\n.9922 g 1843 4450 N -227 -13 14 99 178 10 h\n.9768 g 1874 4333 N
        -178 -10 12 119 135 8 h\n.9528 g 1898 4199 N -135 -8 9 136 102 6
        h\n.9207 g 1914 4051 N -102 -6 7 150 79 4 h\n.8812 g 1925 3889 N -79
        -4 4 163 64 3 h\n.8348 g 1930 3713 N -64 -3 2 176 57 3 h\n.7825 g
        1933 3523 N -57 -3 1 190 53 3 h\n.7251 g 1933 3321 N -53 -3 1 202 52
        3 h\n.6637 g 1933 3108 N -52 -3 0 213 52 3 h\n.5994 g 1933 2888 N -52
        -3 0 220 52 3 h\n.5333 g 1933 2664 N -52 -3 0 224 52 3 h\n.4667 g
        1994 2442 N -50 6 -9 225 50 -6 h\n.4006 g 2083 2215 N -50 6 -89 227
        50 -6 h\n.3363 g 2309 1987 N -50 6 -225 228 49 -6 h\n.2749 g 2644
        1763 N -49 6 -336 224 50 -6 h\n.2175 g 3009 1552 N -50 6 -365 211 50
        -6 h\n.1652 g 3316 1363 N -50 6 -306 188 49 -5 h\n.1188 g 3506 1205 N
        -49 5 -190 159 49 -6 h\n.0793 g 3558 1080 N -49 6 -53 125 50 -6
        h\n.0472 g 3484 991 N -50 6 74 89 50 -6 h\n.0232 g 3317 936 N -50 6
        168 55 49 -6 h\n.0078 g 3095 914 N -49 6 221 22 50 -6 h\n.0011 g 2858
        923 N -50 6 237 -9 50 -6 h\n.0033 g 2633 961 N -50 6 226 -38 49 -6
        h\n.0144 g 2439 1027 N -49 6 194 -66 49 -6 h\n.0342 g 2284 1119 N -49
        6 154 -92 50 -6 h\n.0623 g 2169 1235 N -50 6 115 -116 50 -6 h\n.0981
        g 2090 1374 N -50 6 79 -139 50 -6 h\n.1412 g 2040 1534 N -50 6 50
        -160 50 -6 h\n.1906 g 2010 1712 N -50 6 30 -179 50 -5 h\n.2456 g 1995
        1908 N -50 5 13 -196 52 -5 h\n.3051 g 1990 2122 N -52 5 1 -213 56 -6
        h\n.3681 g 1994 2366 N -56 6 -25 -241 77 -9 h\n.4335 g 2013 2671 N
        -77 9 -82 -298 140 -16 h\n.5 g 2047 3040 N -140 16 -148 -356 254 -29
        h\n.5665 g 2078 3393 N -254 29 -132 -342 355 -40 h\n.6319 g 2096 3689
        N -355 40 -79 -288 416 -48 h\n.6949 g 2106 3941 N -416 48 -46 -249
        452 -51 h\n.7544 g 2111 4160 N -452 51 -24 -216 471 -54 h\n.8094 g
        2113 4344 N -471 54 -7 -183 476 -55 h\n.8588 g 2110 4491 N -476 55 10
        -148 469 -54 h\n.9019 g 2104 4598 N -469 54 26 -110 449 -51 h\n.9377
        g 2094 4665 N -449 51 42 -70 417 -48 h\n.9658 g 2081 4691 N -417 48
        56 -31 374 -43 h\n.9856 g 2067 4679 N -374 43 64 6 324 -37 h\n.9967 g
        2051 4634 N -324 37 69 39 271 -31 h\n.9989 g 2035 4559 N -271 31 68
        69 219 -25 h\n.9922 g 2021 4460 N -219 25 62 94 171 -20 h\n.9768 g
        2009 4341 N -171 20 53 114 130 -15 h\n.9528 g 2000 4205 N -130 15 41
        132 98 -11 h\n.9207 g 1993 4055 N -98 11 29 147 76 -8 h\n.8812 g 1989
        3892 N -76 8 18 162 62 -7 h\n.8348 g 1987 3716 N -62 7 10 175 54 -6
        h\n.7825 g 1986 3526 N -54 6 4 190 51 -6 h\n.7251 g 1985 3324 N -51 6
        2 202 50 -6 h\n.6637 g 1985 3111 N -50 6 0 212 50 -5 h\n.5994 g 1985
        2891 N -50 5 0 221 50 -6 h\n.5333 g 1985 2667 N -50 6 0 224 50 -6
        h\n.4667 g 2044 2436 N -41 14 -9 225 41 -14 h\n.4006 g 2133 2209 N
        -41 14 -89 226 41 -13 h\n.3363 g 2358 1981 N -41 13 -225 229 41 -14
        h\n.2749 g 2694 1757 N -41 14 -336 224 41 -14 h\n.2175 g 3059 1546 N
        -41 14 -365 211 41 -14 h\n.1652 g 3365 1358 N -41 14 -306 188 41 -14
        h\n.1188 g 3555 1199 N -41 14 -190 158 41 -13 h\n.0793 g 3608 1074 N
        -41 13 -53 125 41 -13 h\n.0472 g 3534 985 N -41 13 74 90 41 -14
        h\n.0232 g 3366 930 N -41 14 168 55 41 -14 h\n.0078 g 3145 908 N -41
        14 221 21 41 -13 h\n.0011 g 2908 917 N -41 13 238 -9 40 -13 h\n.0033
        g 2682 955 N -40 13 225 -38 41 -13 h\n.0144 g 2488 1021 N -41 13 194
        -66 41 -13 h\n.0342 g 2334 1113 N -41 13 154 -91 41 -14 h\n.0623 g
        2219 1229 N -41 14 115 -116 41 -14 h\n.0981 g 2140 1368 N -41 14 79
        -139 41 -14 h\n.1412 g 2090 1528 N -41 14 50 -160 41 -14 h\n.1906 g
        2060 1707 N -41 14 29 -179 42 -14 h\n.2456 g 2047 1903 N -42 14 13
        -196 42 -14 h\n.3051 g 2046 2116 N -42 14 -4 -212 47 -15 h\n.3681 g
        2071 2357 N -47 15 -41 -235 63 -21 h\n.4335 g 2153 2655 N -63 21 -135
        -280 116 -39 h\n.5 g 2301 3011 N -116 39 -240 -326 208 -69 h\n.5665 g
        2433 3353 N -208 69 -216 -314 292 -97 h\n.6319 g 2512 3641 N -292 97
        -130 -272 343 -113 h\n.6949 g 2558 3890 N -343 113 -74 -239 371 -123
        h\n.7544 g 2582 4106 N -371 123 -41 -211 388 -128 h\n.8094 g 2589
        4289 N -388 128 -12 -182 393 -129 h\n.8588 g 2579 4437 N -393 129 16
        -150 387 -127 h\n.9019 g 2553 4547 N -387 127 43 -115 370 -122
        h\n.9377 g 2511 4617 N -370 122 69 -79 343 -113 h\n.9658 g 2455 4648
        N -343 113 90 -42 309 -102 h\n.9856 g 2391 4642 N -309 102 106 -8 267
        -88 h\n.9967 g 2322 4603 N -267 88 112 25 224 -74 h\n.9989 g 2254
        4534 N -224 74 111 55 181 -60 h\n.9922 g 2192 4440 N -181 60 103 80
        140 -46 h\n.9768 g 2139 4326 N -140 46 86 104 107 -36 h\n.9528 g 2098
        4194 N -107 36 68 123 80 -27 h\n.9207 g 2069 4047 N -80 27 47 141 62
        -21 h\n.8812 g 2051 3885 N -62 21 30 158 50 -17 h\n.8348 g 2041 3710
        N -50 17 15 173 45 -15 h\n.7825 g 2037 3520 N -45 15 7 189 42 -14
        h\n.7251 g 2035 3318 N -42 14 3 201 41 -13 h\n.6637 g 2035 3106 N -41
        13 0 213 41 -14 h\n.5994 g 2035 2885 N -41 14 0 220 41 -13 h\n.5333 g
        2035 2661 N -41 13 0 225 41 -14 h\n.4667 g 2085 2422 N -27 19 -9 225
        27 -19 h\n.4006 g 2174 2196 N -27 19 -88 227 26 -20 h\n.3363 g 2399
        1967 N -26 20 -226 228 27 -19 h\n.2749 g 2735 1743 N -27 19 -336 224
        27 -19 h\n.2175 g 3100 1532 N -27 19 -364 211 26 -19 h\n.1652 g 3406
        1344 N -26 19 -307 189 27 -20 h\n.1188 g 3596 1186 N -27 20 -190 158
        27 -20 h\n.0793 g 3649 1061 N -27 20 -52 125 26 -20 h\n.0472 g 3575
        971 N -26 20 74 89 26 -19 h\n.0232 g 3407 916 N -26 19 167 55 27 -19
        h\n.0078 g 3186 895 N -27 19 221 22 27 -20 h\n.0011 g 2948 904 N -27
        20 238 -9 27 -20 h\n.0033 g 2723 942 N -27 20 225 -38 27 -20 h\n.0144
        g 2529 1008 N -27 20 194 -66 27 -20 h\n.0342 g 2375 1099 N -27 20 155
        -92 26 -19 h\n.0623 g 2260 1215 N -26 19 114 -116 27 -19 h\n.0981 g
        2181 1354 N -27 19 79 -139 27 -19 h\n.1412 g 2131 1514 N -27 19 51
        -160 26 -19 h\n.1906 g 2102 1693 N -26 19 29 -178 26 -20 h\n.2456 g
        2089 1889 N -26 20 12 -196 27 -20 h\n.3051 g 2093 2101 N -27 20 -7
        -210 30 -22 h\n.3681 g 2134 2336 N -30 22 -52 -227 41 -30 h\n.4335 g
        2269 2616 N -41 30 -169 -255 75 -55 h\n.5 g 2509 2942 N -75 55 -301
        -282 136 -99 h\n.5665 g 2725 3256 N -136 99 -270 -274 190 -139
        h\n.6319 g 2855 3528 N -190 139 -163 -247 223 -164 h\n.6949 g 2929
        3767 N -223 164 -93 -225 242 -178 h\n.7544 g 2970 3978 N -242 178 -51
        -204 252 -185 h\n.8094 g 2982 4160 N -252 185 -15 -179 255 -188
        h\n.8588 g 2966 4310 N -255 188 19 -153 252 -185 h\n.9019 g 2923 4425
        N -252 185 55 -123 240 -177 h\n.9377 g 2854 4504 N -240 177 86 -92
        223 -164 h\n.9658 g 2764 4546 N -223 164 113 -59 200 -147 h\n.9856 g
        2658 4554 N -200 147 132 -27 174 -128 h\n.9967 g 2546 4529 N -174 128
        141 4 145 -107 h\n.9989 g 2435 4474 N -145 107 139 34 117 -86
        h\n.9922 g 2332 4394 N -117 86 128 62 92 -68 h\n.9768 g 2246 4290 N
        -92 68 109 87 69 -51 h\n.9528 g 2178 4167 N -69 51 84 110 53 -38
        h\n.9207 g 2131 4026 N -53 38 59 133 41 -30 h\n.8812 g 2101 3868 N
        -41 30 38 152 33 -24 h\n.8348 g 2086 3695 N -33 24 19 171 29 -22
        h\n.7825 g 2079 3506 N -29 22 9 187 27 -20 h\n.7251 g 2076 3305 N -27
        20 3 201 27 -20 h\n.6637 g 2076 3092 N -27 20 0 212 27 -19 h\n.5994 g
        2076 2872 N -27 19 0 221 27 -20 h\n.5333 g 2076 2647 N -27 20 0 224
        27 -19 h\n.4667 g 2112 2403 N -8 23 -10 225 9 -23 h\n.4006 g 2200
        2176 N -9 23 -88 227 9 -23 h\n.3363 g 2426 1948 N -9 23 -226 228 9
        -23 h\n.2749 g 2762 1724 N -9 23 -335 224 8 -23 h\n.2175 g 3126 1513
        N -8 23 -365 211 9 -23 h\n.1652 g 3433 1324 N -9 23 -307 188 9 -22
        h\n.1188 g 3623 1166 N -9 22 -190 159 9 -23 h\n.0793 g 3675 1041 N -9
        23 -52 125 9 -23 h\n.0472 g 3601 952 N -9 23 74 89 9 -23 h\n.0232 g
        3434 897 N -9 23 167 55 9 -23 h\n.0078 g 3213 875 N -9 23 221 22 9
        -23 h\n.0011 g 2975 884 N -9 23 238 -9 9 -23 h\n.0033 g 2750 922 N -9
        23 225 -38 9 -23 h\n.0144 g 2556 988 N -9 23 194 -66 9 -23 h\n.0342 g
        2401 1080 N -9 23 155 -92 9 -23 h\n.0623 g 2287 1196 N -9 23 115 -116
        8 -23 h\n.0981 g 2208 1335 N -8 23 79 -139 8 -23 h\n.1412 g 2157 1495
        N -8 23 50 -160 9 -23 h\n.1906 g 2128 1673 N -9 23 29 -178 9 -23
        h\n.2456 g 2116 1869 N -9 23 12 -195 9 -24 h\n.3051 g 2123 2079 N -9
        24 -8 -208 10 -26 h\n.3681 g 2175 2306 N -10 26 -56 -218 14 -35
        h\n.4335 g 2344 2561 N -14 35 -180 -225 25 -65 h\n.5 g 2645 2843 N
        -25 65 -321 -230 45 -117 h\n.5665 g 2915 3117 N -45 117 -287 -227 62
        -164 h\n.6319 g 3078 3364 N -62 164 -174 -220 73 -191 h\n.6949 g 3171
        3589 N -73 191 -100 -208 80 -208 h\n.7544 g 3222 3793 N -80 208 -54
        -194 83 -218 h\n.8094 g 3237 3972 N -83 218 -16 -177 84 -220 h\n.8588
        g 3218 4125 N -84 220 21 -156 82 -217 h\n.9019 g 3163 4248 N -82 217
        58 -133 79 -207 h\n.9377 g 3077 4340 N -79 207 91 -107 74 -192
        h\n.9658 g 2964 4399 N -74 192 121 -79 66 -172 h\n.9856 g 2832 4426 N
        -66 172 141 -50 57 -149 h\n.9967 g 2691 4422 N -57 149 150 -20 48
        -125 h\n.9989 g 2552 4388 N -48 125 149 10 38 -101 h\n.9922 g 2424
        4326 N -38 101 136 39 30 -78 h\n.9768 g 2315 4239 N -30 78 116 69 23
        -60 h\n.9528 g 2231 4129 N -23 60 90 96 17 -46 h\n.9207 g 2172 3996 N
        -17 46 63 122 13 -35 h\n.8812 g 2134 3844 N -13 35 40 145 11 -28
        h\n.8348 g 2115 3673 N -11 28 21 168 9 -25 h\n.7825 g 2106 3486 N -9
        25 9 185 9 -23 h\n.7251 g 2103 3285 N -9 23 3 201 9 -23 h\n.6637 g
        2103 3073 N -9 23 1 212 8 -23 h\n.5994 g 2103 2852 N -8 23 0 221 8
        -23 h\n.5333 g 2103 2628 N -8 23 0 224 8 -23 h\n.4667 g 2121 2380 N
        10 23 -9 225 -11 -23 h\n.4006 g 2209 2153 N 11 23 -89 227 -10 -23
        h\n.3363 g 2435 1925 N 10 23 -225 228 -11 -23 h\n.2749 g 2770 1701 N
        11 23 -336 224 -10 -23 h\n.2175 g 3135 1490 N 10 23 -365 211 -10 -23
        h\n.1652 g 3442 1302 N 10 23 -307 189 -10 -24 h\n.1188 g 3632 1143 N
        10 24 -190 158 -10 -23 h\n.0793 g 3684 1018 N 10 23 -52 125 -10 -23
        h\n.0472 g 3610 929 N 10 23 74 89 -10 -23 h\n.0232 g 3443 874 N 10 23
        168 55 -11 -23 h\n.0078 g 3222 852 N 11 23 221 22 -11 -23 h\n.0011 g
        2984 861 N 11 23 237 -9 -10 -23 h\n.0033 g 2759 899 N 10 23 225 -38
        -10 -23 h\n.0144 g 2565 965 N 10 23 195 -66 -11 -23 h\n.0342 g 2410
        1057 N 11 23 154 -92 -10 -23 h\n.0623 g 2295 1173 N 10 23 115 -116
        -10 -23 h\n.0981 g 2216 1312 N 10 23 79 -139 -10 -23 h\n.1412 g 2166
        1472 N 10 23 50 -159 -10 -24 h\n.1906 g 2137 1650 N 10 24 29 -179 -10
        -23 h\n.2456 g 2125 1845 N 10 23 13 -194 -11 -24 h\n.3051 g 2133 2053
        N 11 24 -7 -205 -12 -27 h\n.3681 g 2189 2271 N 12 27 -52 -209 -16 -36
        h\n.4335 g 2369 2496 N 16 36 -167 -196 -29 -65 h\n.5 g 2690 2726 N 29
        65 -297 -177 -53 -118 h\n.5665 g 2977 2953 N 53 118 -267 -179 -73
        -166 h\n.6319 g 3151 3173 N 73 166 -161 -191 -86 -195 h\n.6949 g 3251
        3381 N 86 195 -92 -192 -94 -211 h\n.7544 g 3305 3575 N 94 211 -50
        -186 -98 -219 h\n.8094 g 3321 3752 N 98 219 -15 -174 -99 -222
        h\n.8588 g 3300 3908 N 99 222 19 -159 -97 -219 h\n.9019 g 3242 4041 N
        97 219 54 -142 -93 -210 h\n.9377 g 3151 4148 N 93 210 85 -122 -87
        -195 h\n.9658 g 3030 4227 N 87 195 112 -99 -78 -175 h\n.9856 g 2889
        4277 N 78 175 130 -73 -67 -152 h\n.9967 g 2739 4297 N 67 152 139 -45
        -56 -127 h\n.9989 g 2590 4287 N 56 127 138 -15 -45 -102 h\n.9922 g
        2454 4248 N 45 102 126 17 -35 -80 h\n.9768 g 2338 4179 N 35 80 108 49
        -27 -60 h\n.9528 g 2248 4083 N 27 60 83 82 -20 -46 h\n.9207 g 2185
        3961 N 20 46 59 111 -16 -35 h\n.8812 g 2145 3816 N 16 35 36 139 -12
        -29 h\n.8348 g 2124 3648 N 12 29 20 164 -11 -25 h\n.7825 g 2115 3463
        N 11 25 9 184 -11 -24 h\n.7251 g 2112 3262 N 11 24 2 200 -10 -23
        h\n.6637 g 2111 3050 N 10 23 1 213 -10 -24 h\n.5994 g 2111 2829 N 10
        24 0 220 -10 -23 h\n.5333 g 2111 2605 N 10 23 0 224 -10 -23 h\n.4667
        g 2110 2357 N 28 21 -9 225 -28 -21 h\n.4006 g 2199 2130 N 28 21 -89
        226 -28 -20 h\n.3363 g 2424 1902 N 28 20 -225 229 -28 -21 h\n.2749 g
        2760 1678 N 28 21 -336 224 -28 -21 h\n.2175 g 3125 1467 N 28 21 -365
        211 -28 -21 h\n.1652 g 3432 1278 N 28 21 -307 188 -28 -20 h\n.1188 g
        3622 1120 N 28 20 -190 159 -28 -21 h\n.0793 g 3674 995 N 28 21 -52
        124 -28 -20 h\n.0472 g 3600 906 N 28 20 74 90 -28 -21 h\n.0232 g 3432
        851 N 28 21 168 55 -28 -21 h\n.0078 g 3211 829 N 28 21 221 22 -28 -21
        h\n.0011 g 2974 838 N 28 21 237 -10 -28 -20 h\n.0033 g 2749 876 N 28
        20 225 -38 -28 -20 h\n.0144 g 2554 942 N 28 20 195 -66 -28 -20
        h\n.0342 g 2400 1034 N 28 20 154 -91 -28 -21 h\n.0623 g 2285 1150 N
        28 21 115 -116 -28 -21 h\n.0981 g 2206 1289 N 28 21 79 -139 -28 -21
        h\n.1412 g 2156 1448 N 28 21 50 -160 -28 -20 h\n.1906 g 2127 1627 N
        28 20 29 -178 -28 -21 h\n.2456 g 2114 1821 N 28 21 13 -194 -28 -21
        h\n.3051 g 2121 2026 N 28 21 -3 -203 -32 -23 h\n.3681 g 2173 2235 N
        32 23 -40 -200 -44 -32 h\n.4335 g 2340 2431 N 44 32 -132 -170 -79 -58
        h\n.5 g 2637 2608 N 79 58 -234 -131 -142 -104 h\n.5665 g 2904 2787 N
        142 104 -209 -138 -200 -145 h\n.6319 g 3065 2978 N 200 145 -126 -166
        -235 -170 h\n.6949 g 3157 3170 N 235 170 -73 -177 -254 -185 h\n.7544
        g 3207 3356 N 254 185 -39 -178 -265 -193 h\n.8094 g 3222 3530 N 265
        193 -12 -171 -268 -196 h\n.8588 g 3203 3689 N 268 196 15 -163 -264
        -192 h\n.9019 g 3149 3831 N 264 192 43 -150 -253 -184 h\n.9377 g 3064
        3953 N 253 184 67 -135 -235 -171 h\n.9658 g 2952 4052 N 235 171 87
        -117 -210 -153 h\n.9856 g 2822 4125 N 210 153 103 -93 -183 -133
        h\n.9967 g 2683 4170 N 183 133 109 -67 -153 -111 h\n.9989 g 2545 4185
        N 153 111 108 -36 -123 -90 h\n.9922 g 2419 4168 N 123 90 99 -3 -96
        -70 h\n.9768 g 2311 4119 N 96 70 85 33 -73 -54 h\n.9528 g 2228 4037 N
        73 54 65 68 -55 -40 h\n.9207 g 2169 3926 N 55 40 46 102 -42 -31
        h\n.8812 g 2133 3787 N 42 31 29 134 -35 -26 h\n.8348 g 2113 3623 N 35
        26 16 160 -31 -22 h\n.7825 g 2104 3439 N 31 22 6 183 -28 -21 h\n.7251
        g 2102 3239 N 28 21 2 200 -28 -21 h\n.6637 g 2101 3026 N 28 21 1 212
        -28 -20 h\n.5994 g 2101 2806 N 28 20 0 220 -28 -20 h\n.5333 g 2101
        2582 N 28 20 0 225 -28 -21 h\n.4667 g 2082 2336 N 42 15 -9 225 -42
        -15 h\n.4006 g 2171 2110 N 42 15 -89 226 -42 -15 h\n.3363 g 2396 1881
        N 42 15 -225 228 -42 -14 h\n.2749 g 2732 1657 N 42 14 -336 225 -42
        -15 h\n.2175 g 3097 1446 N 42 15 -365 211 -42 -15 h\n.1652 g 3404
        1258 N 42 15 -307 188 -42 -15 h\n.1188 g 3594 1099 N 42 15 -190 158
        -42 -14 h\n.0793 g 3646 975 N 42 14 -52 125 -42 -15 h\n.0472 g 3572
        885 N 42 15 74 90 -42 -15 h\n.0232 g 3404 830 N 42 15 168 54 -42 -14
        h\n.0078 g 3183 808 N 42 14 221 22 -42 -14 h\n.0011 g 2946 818 N 42
        14 237 -9 -42 -15 h\n.0033 g 2721 856 N 42 15 225 -38 -42 -15
        h\n.0144 g 2526 922 N 42 15 194 -66 -41 -15 h\n.0342 g 2372 1013 N 41
        15 155 -91 -42 -15 h\n.0623 g 2257 1129 N 42 15 115 -117 -42 -14
        h\n.0981 g 2178 1268 N 42 14 79 -138 -42 -15 h\n.1412 g 2128 1428 N
        42 15 50 -160 -42 -15 h\n.1906 g 2099 1606 N 42 15 29 -179 -42 -14
        h\n.2456 g 2086 1800 N 42 14 14 -193 -43 -15 h\n.3051 g 2089 2003 N
        43 15 1 -202 -47 -16 h\n.3681 g 2129 2203 N 47 16 -23 -194 -64 -22
        h\n.4335 g 2261 2373 N 64 22 -78 -150 -118 -42 h\n.5 g 2495 2504 N
        118 42 -138 -98 -214 -75 h\n.5665 g 2704 2642 N 214 75 -124 -108 -299
        -105 h\n.6319 g 2830 2808 N 299 105 -75 -147 -350 -124 h\n.6949 g
        2903 2985 N 350 124 -43 -167 -380 -134 h\n.7544 g 2942 3163 N 380 134
        -23 -172 -396 -140 h\n.8094 g 2954 3334 N 396 140 -6 -170 -402 -141
        h\n.8588 g 2939 3497 N 402 141 9 -164 -396 -140 h\n.9019 g 2896 3647
        N 396 140 25 -157 -378 -133 h\n.9377 g 2829 3782 N 378 133 40 -145
        -351 -123 h\n.9658 g 2742 3899 N 351 123 52 -129 -316 -111 h\n.9856 g
        2639 3992 N 316 111 60 -108 -273 -96 h\n.9967 g 2530 4059 N 273 96 65
        -82 -229 -81 h\n.9989 g 2422 4095 N 229 81 64 -52 -185 -65 h\n.9922 g
        2323 4098 N 185 65 58 -17 -144 -51 h\n.9768 g 2238 4065 N 144 51 50
        20 -109 -38 h\n.9528 g 2173 3997 N 109 38 39 59 -83 -29 h\n.9207 g
        2127 3895 N 83 29 27 96 -64 -23 h\n.8812 g 2098 3761 N 64 23 17 129
        -52 -18 h\n.8348 g 2082 3601 N 52 18 9 158 -45 -16 h\n.7825 g 2076
        3418 N 45 16 4 182 -43 -15 h\n.7251 g 2074 3218 N 43 15 2 200 -43 -15
        h\n.6637 g 2073 3006 N 43 15 0 212 -42 -15 h\n.5994 g 2073 2786 N 42
        15 0 220 -42 -15 h\n.5333 g 2073 2561 N 42 15 0 225 -42 -15 h\n.4667
        g 2040 2321 N 50 7 -9 225 -50 -7 h\n.4006 g 2129 2095 N 50 7 -89 226
        -50 -7 h\n.3363 g 2354 1867 N 50 7 -225 229 -50 -8 h\n.2749 g 2690
        1642 N 50 8 -336 224 -50 -7 h\n.2175 g 3055 1431 N 50 7 -365 211 -50
        -7 h\n.1652 g 3362 1243 N 50 7 -306 188 -51 -7 h\n.1188 g 3552 1085 N
        51 7 -190 159 -51 -8 h\n.0793 g 3604 960 N 51 8 -53 124 -50 -7
        h\n.0472 g 3530 870 N 50 7 74 90 -50 -7 h\n.0232 g 3362 816 N 50 7
        168 55 -50 -8 h\n.0078 g 3141 794 N 50 8 221 22 -50 -8 h\n.0011 g
        2904 803 N 50 8 238 -10 -51 -7 h\n.0033 g 2679 841 N 51 7 225 -38 -51
        -7 h\n.0144 g 2485 907 N 51 7 194 -66 -51 -7 h\n.0342 g 2330 998 N 51
        7 154 -91 -50 -7 h\n.0623 g 2215 1115 N 50 7 115 -116 -50 -8 h\n.0981
        g 2136 1253 N 50 8 79 -139 -50 -7 h\n.1412 g 2086 1413 N 50 7 51 -160
        -51 -7 h\n.1906 g 2057 1592 N 51 7 29 -178 -51 -8 h\n.2456 g 2043
        1785 N 51 8 15 -194 -52 -7 h\n.3051 g 2042 1987 N 52 7 6 -201 -57 -8
        h\n.3681 g 2065 2181 N 57 8 -2 -190 -78 -12 h\n.4335 g 2143 2331 N 78
        12 -14 -142 -142 -20 h\n.5 g 2281 2429 N 142 20 -25 -81 -255 -37
        h\n.5665 g 2405 2537 N 255 37 -22 -94 -357 -51 h\n.6319 g 2480 2684 N
        357 51 -12 -138 -420 -60 h\n.6949 g 2523 2851 N 420 60 -7 -162 -456
        -65 h\n.7544 g 2546 3023 N 456 65 -4 -169 -475 -68 h\n.8094 g 2552
        3193 N 475 68 -1 -169 -480 -69 h\n.8588 g 2543 3357 N 480 69 2 -166
        -473 -67 h\n.9019 g 2518 3514 N 473 67 5 -159 -453 -65 h\n.9377 g
        2478 3659 N 453 65 7 -150 -420 -60 h\n.9658 g 2426 3788 N 420 60 9
        -135 -377 -54 h\n.9856 g 2366 3896 N 377 54 10 -115 -327 -47 h\n.9967
        g 2301 3978 N 327 47 11 -90 -273 -39 h\n.9989 g 2237 4030 N 273 39 11
        -60 -220 -31 h\n.9922 g 2179 4047 N 220 31 11 -24 -173 -24 h\n.9768 g
        2129 4027 N 173 24 8 15 -131 -19 h\n.9528 g 2090 3968 N 131 19 7 54
        -99 -14 h\n.9207 g 2063 3872 N 99 14 5 92 -77 -10 h\n.8812 g 2046
        3743 N 77 10 3 128 -63 -9 h\n.8348 g 2037 3585 N 63 9 1 157 -55 -8
        h\n.7825 g 2033 3403 N 55 8 1 181 -52 -7 h\n.7251 g 2031 3203 N 52 7
        0 200 -50 -7 h\n.6637 g 2031 2991 N 50 7 0 212 -50 -7 h\n.5994 g 2031
        2771 N 50 7 0 220 -50 -7 h\n.5333 g 2031 2546 N 50 7 0 225 -50 -7
        h\n.4667 g 1990 2314 N 52 -2 -10 225 -51 2 h\n.4006 g 2079 2088 N 51
        -2 -88 227 -52 1 h\n.3363 g 2304 1859 N 52 -1 -226 228 -51 2 h\n.2749
        g 2640 1635 N 51 -2 -335 224 -52 2 h\n.2175 g 3005 1424 N 52 -2 -365
        211 -52 2 h\n.1652 g 3311 1236 N 52 -2 -307 189 -51 1 h\n.1188 g 3501
        1077 N 51 -1 -190 158 -51 2 h\n.0793 g 3554 953 N 51 -2 -52 125 -52 1
        h\n.0472 g 3480 863 N 52 -1 74 89 -52 2 h\n.0232 g 3312 808 N 52 -2
        167 55 -51 2 h\n.0078 g 3091 786 N 51 -2 222 22 -52 2 h\n.0011 g 2853
        796 N 52 -2 237 -9 -51 1 h\n.0033 g 2628 834 N 51 -1 225 -38 -51 1
        h\n.0144 g 2434 900 N 51 -1 194 -66 -51 1 h\n.0342 g 2280 991 N 51 -1
        155 -92 -52 2 h\n.0623 g 2165 1107 N 52 -2 115 -116 -52 2 h\n.0981 g
        2086 1246 N 52 -2 79 -139 -52 2 h\n.1412 g 2035 1406 N 52 -2 50 -160
        -51 2 h\n.1906 g 2006 1584 N 51 -2 30 -178 -52 2 h\n.2456 g 1991 1778
        N 52 -2 16 -193 -53 1 h\n.3051 g 1985 1979 N 53 -1 11 -201 -58 1
        h\n.3681 g 1987 2169 N 58 -1 19 -192 -79 3 h\n.4335 g 2001 2311 N 79
        -3 53 -143 -146 4 h\n.5 g 2026 2392 N 146 -4 92 -84 -263 7 h\n.5665 g
        2048 2486 N 263 -7 84 -97 -369 10 h\n.6319 g 2060 2624 N 369 -10 50
        -140 -431 12 h\n.6949 g 2067 2786 N 431 -12 30 -163 -468 13 h\n.7544
        g 2071 2955 N 468 -13 17 -170 -489 14 h\n.8094 g 2072 3124 N 489 -14
        5 -169 -495 14 h\n.8588 g 2070 3290 N 495 -14 -5 -165 -488 13
        h\n.9019 g 2065 3449 N 488 -13 -17 -159 -466 13 h\n.9377 g 2058 3599
        N 466 -13 -27 -148 -432 11 h\n.9658 g 2049 3734 N 432 -11 -35 -134
        -388 10 h\n.9856 g 2039 3849 N 388 -10 -41 -114 -337 9 h\n.9967 g
        2028 3939 N 337 -9 -44 -89 -282 8 h\n.9989 g 2017 3999 N 282 -8 -43
        -58 -228 6 h\n.9922 g 2006 4023 N 228 -6 -40 -23 -177 5 h\n.9768 g
        1998 4008 N 177 -5 -34 16 -135 4 h\n.9528 g 1991 3954 N 135 -4 -26 55
        -102 3 h\n.9207 g 1986 3862 N 102 -3 -19 93 -78 2 h\n.8812 g 1983
        3734 N 78 -2 -11 128 -64 2 h\n.8348 g 1982 3577 N 64 -2 -7 158 -56 1
        h\n.7825 g 1981 3396 N 56 -1 -2 181 -53 1 h\n.7251 g 1981 3196 N 53
        -1 -1 199 -52 2 h\n.6637 g 1981 2984 N 52 -2 0 213 -52 1 h\n.5994 g
        1981 2764 N 52 -1 0 220 -52 1 h\n.5333 g 1981 2539 N 52 -1 0 224 -52
        2 h\n.4667 g 1939 2316 N 46 -9 -9 225 -47 9 h\n.4006 g 2027 2089 N 47
        -9 -89 226 -46 10 h\n.3363 g 2253 1861 N 46 -10 -225 228 -47 10
        h\n.2749 g 2588 1637 N 47 -10 -336 225 -46 9 h\n.2175 g 2953 1426 N
        46 -9 -365 211 -46 9 h\n.1652 g 3260 1237 N 46 -9 -307 188 -46 10
        h\n.1188 g 3450 1079 N 46 -10 -190 158 -46 10 h\n.0793 g 3502 954 N
        46 -10 -52 125 -46 10 h\n.0472 g 3428 865 N 46 -10 74 89 -46 10
        h\n.0232 g 3261 810 N 46 -10 167 55 -46 10 h\n.0078 g 3039 788 N 46
        -10 222 22 -46 10 h\n.0011 g 2802 797 N 46 -10 237 -9 -46 10 h\n.0033
        g 2577 835 N 46 -10 225 -38 -46 10 h\n.0144 g 2383 901 N 46 -10 194
        -66 -46 10 h\n.0342 g 2228 993 N 46 -10 155 -91 -46 9 h\n.0623 g 2113
        1109 N 46 -9 115 -117 -46 10 h\n.0981 g 2034 1248 N 46 -10 79 -138
        -46 9 h\n.1412 g 1984 1408 N 46 -9 50 -160 -46 9 h\n.1906 g 1954 1586
        N 46 -9 30 -179 -46 10 h\n.2456 g 1938 1779 N 46 -10 18 -193 -48 10
        h\n.3051 g 1927 1980 N 48 -10 15 -202 -52 11 h\n.3681 g 1908 2172 N
        52 -11 38 -196 -71 15 h\n.4335 g 1855 2315 N 71 -15 112 -156 -130 28
        h\n.5 g 1763 2399 N 130 -28 197 -106 -235 50 h\n.5665 g 1679 2496 N
        235 -50 177 -117 -328 70 h\n.6319 g 1629 2636 N 328 -70 108 -152 -386
        82 h\n.6949 g 1599 2799 N 386 -82 63 -170 -419 89 h\n.7544 g 1582
        2969 N 419 -89 34 -173 -436 92 h\n.8094 g 1577 3138 N 436 -92 11 -170
        -442 93 h\n.8588 g 1582 3303 N 442 -93 -12 -164 -435 92 h\n.9019 g
        1599 3462 N 435 -92 -35 -155 -417 88 h\n.9377 g 1626 3610 N 417 -88
        -57 -142 -387 82 h\n.9658 g 1661 3744 N 387 -82 -75 -126 -347 74
        h\n.9856 g 1702 3858 N 347 -74 -87 -104 -301 64 h\n.9967 g 1746 3947
        N 301 -64 -93 -78 -252 53 h\n.9989 g 1789 4005 N 252 -53 -92 -48 -203
        43 h\n.9922 g 1829 4028 N 203 -43 -85 -13 -158 33 h\n.9768 g 1863
        4012 N 158 -33 -72 24 -120 25 h\n.9528 g 1889 3957 N 120 -25 -55 61
        -91 19 h\n.9207 g 1908 3864 N 91 -19 -40 97 -70 15 h\n.8812 g 1919
        3736 N 70 -15 -24 131 -57 12 h\n.8348 g 1926 3578 N 57 -12 -13 159
        -51 11 h\n.7825 g 1928 3397 N 51 -11 -6 182 -47 10 h\n.7251 g 1929
        3198 N 47 -10 -2 200 -46 9 h\n.6637 g 1929 2985 N 46 -9 0 212 -46 10
        h\n.5994 g 1929 2765 N 46 -10 0 220 -46 10 h\n.5333 g 1929 2541 N 46
        -10 0 225 -46 9 h\n.4667 g 1892 2325 N 34 -17 -9 225 -34 17 h\n.4006
        g 1981 2099 N 34 -17 -88 226 -35 17 h\n.3363 g 2206 1871 N 35 -17
        -226 229 -34 16 h\n.2749 g 2542 1646 N 34 -16 -336 224 -34 17
        h\n.2175 g 2907 1435 N 34 -17 -364 211 -35 17 h\n.1652 g 3214 1247 N
        35 -17 -307 188 -35 17 h\n.1188 g 3404 1089 N 35 -17 -190 158 -35 17
        h\n.0793 g 3456 964 N 35 -17 -52 125 -35 17 h\n.0472 g 3382 875 N 35
        -17 73 90 -34 16 h\n.0232 g 3215 820 N 34 -16 168 55 -35 16 h\n.0078
        g 2993 798 N 35 -16 221 21 -34 17 h\n.0011 g 2756 807 N 34 -17 238 -9
        -35 17 h\n.0033 g 2531 845 N 35 -17 225 -38 -35 17 h\n.0144 g 2337
        911 N 35 -17 194 -66 -35 17 h\n.0342 g 2182 1002 N 35 -17 155 -91 -35
        17 h\n.0623 g 2067 1119 N 35 -17 114 -116 -34 16 h\n.0981 g 1988 1257
        N 34 -16 79 -139 -34 17 h\n.1412 g 1938 1417 N 34 -17 51 -160 -35 17
        h\n.1906 g 1908 1596 N 35 -17 30 -179 -35 17 h\n.2456 g 1890 1789 N
        35 -17 18 -193 -35 17 h\n.3051 g 1875 1991 N 35 -17 19 -204 -39 19
        h\n.3681 g 1837 2187 N 39 -19 53 -203 -54 26 h\n.4335 g 1725 2343 N
        54 -26 155 -177 -97 47 h\n.5 g 1528 2449 N 97 -47 276 -145 -176 86
        h\n.5665 g 1351 2566 N 176 -86 247 -151 -246 120 h\n.6319 g 1243 2718
        N 246 -120 150 -173 -288 141 h\n.6949 g 1180 2888 N 288 -141 87 -182
        -312 153 h\n.7544 g 1146 3061 N 312 -153 48 -180 -326 160 h\n.8094 g
        1135 3231 N 326 -160 15 -172 -330 162 h\n.8588 g 1147 3395 N 330 -162
        -17 -161 -325 159 h\n.9019 g 1182 3550 N 325 -159 -50 -148 -310 152
        h\n.9377 g 1239 3692 N 310 -152 -79 -131 -288 141 h\n.9658 g 1314
        3818 N 288 -141 -104 -111 -259 126 h\n.9856 g 1401 3922 N 259 -126
        -122 -88 -224 110 h\n.9967 g 1494 4000 N 224 -110 -130 -60 -187 92
        h\n.9989 g 1586 4048 N 187 -92 -128 -30 -151 74 h\n.9922 g 1671 4061
        N 151 -74 -118 3 -118 58 h\n.9768 g 1743 4037 N 118 -58 -100 38 -90
        44 h\n.9528 g 1798 3976 N 90 -44 -78 72 -67 33 h\n.9207 g 1838 3879 N
        67 -33 -54 105 -53 25 h\n.8812 g 1862 3748 N 53 -25 -34 135 -43 21
        h\n.8348 g 1875 3589 N 43 -21 -19 161 -37 19 h\n.7825 g 1881 3407 N
        37 -19 -8 184 -35 17 h\n.7251 g 1883 3207 N 35 -17 -2 200 -35 17
        h\n.6637 g 1883 2995 N 35 -17 -1 212 -34 17 h\n.5994 g 1883 2775 N 34
        -17 0 220 -34 17 h\n.5333 g 1883 2550 N 34 -17 0 225 -34 17 h\n.4667
        g 1858 2342 N 18 -22 -9 225 -18 22 h\n.4006 g 1946 2116 N 18 -22 -88
        227 -18 21 h\n.3363 g 2172 1887 N 18 -21 -226 228 -18 22 h\n.2749 g
        2508 1663 N 18 -22 -336 224 -18 22 h\n.2175 g 2872 1452 N 18 -22 -364
        211 -18 22 h\n.1652 g 3179 1264 N 18 -22 -307 188 -18 22 h\n.1188 g
        3369 1106 N 18 -22 -190 159 -18 21 h\n.0793 g 3421 981 N 18 -21 -52
        125 -18 21 h\n.0472 g 3348 891 N 18 -21 73 89 -18 22 h\n.0232 g 3180
        836 N 18 -22 168 55 -18 22 h\n.0078 g 2959 815 N 18 -22 221 22 -18 21
        h\n.0011 g 2721 824 N 18 -21 238 -9 -18 21 h\n.0033 g 2496 862 N 18
        -21 225 -39 -18 22 h\n.0144 g 2302 928 N 18 -22 194 -65 -18 21
        h\n.0342 g 2147 1019 N 18 -21 155 -92 -18 22 h\n.0623 g 2033 1135 N
        18 -22 114 -116 -18 22 h\n.0981 g 1954 1274 N 18 -22 79 -139 -18 22
        h\n.1412 g 1903 1434 N 18 -22 51 -160 -18 22 h\n.1906 g 1873 1613 N
        18 -22 30 -178 -18 21 h\n.2456 g 1855 1806 N 18 -21 18 -195 -18 23
        h\n.3051 g 1836 2010 N 18 -23 21 -206 -20 25 h\n.3681 g 1783 2213 N
        20 -25 60 -211 -27 33 h\n.4335 g 1628 2390 N 27 -33 179 -205 -51 61
        h\n.5 g 1352 2535 N 51 -61 316 -194 -91 110 h\n.5665 g 1105 2686 N 91
        -110 284 -195 -128 154 h\n.6319 g 955 2859 N 128 -154 172 -200 -150
        181 h\n.6949 g 868 3041 N 150 -181 100 -197 -163 196 h\n.7544 g 820
        3221 N 163 -196 55 -188 -170 204 h\n.8094 g 805 3393 N 170 -204 17
        -175 -172 207 h\n.8588 g 822 3554 N 172 -207 -19 -158 -170 204
        h\n.9019 g 872 3702 N 170 -204 -57 -139 -163 195 h\n.9377 g 951 3833
        N 163 -195 -91 -118 -151 182 h\n.9658 g 1055 3944 N 151 -182 -120 -92
        -135 163 h\n.9856 g 1177 4032 N 135 -163 -139 -66 -118 141 h\n.9967 g
        1307 4092 N 118 -141 -149 -37 -99 118 h\n.9989 g 1435 4122 N 99 -118
        -148 -7 -79 95 h\n.9922 g 1553 4119 N 79 -95 -135 24 -62 74 h\n.9768
        g 1653 4081 N 62 -74 -115 55 -47 57 h\n.9528 g 1731 4009 N 47 -57 -89
        86 -36 43 h\n.9207 g 1785 3904 N 36 -43 -63 115 -27 33 h\n.8812 g
        1819 3769 N 27 -33 -39 141 -22 27 h\n.8348 g 1838 3608 N 22 -27 -21
        165 -20 23 h\n.7825 g 1846 3424 N 20 -23 -9 184 -19 23 h\n.7251 g
        1848 3224 N 19 -23 -3 201 -18 22 h\n.6637 g 1849 3012 N 18 -22 -1 212
        -18 22 h\n.5994 g 1849 2792 N 18 -22 0 221 -18 21 h\n.5333 g 1849
        2567 N 18 -21 0 224 -18 22 h\n.4667 g 1840 2364 N -1 -23 -9 225 1 23
        h\n.4006 g 1928 2137 N -1 -23 -88 226 1 24 h\n.3363 g 2154 1909 N -1
        -24 -226 228 1 24 h\n.2749 g 2490 1685 N -1 -24 -336 225 1 23
        h\n.2175 g 2854 1474 N -1 -23 -364 211 1 23 h\n.1652 g 3161 1286 N -1
        -23 -307 188 1 23 h\n.1188 g 3351 1127 N -1 -23 -190 158 1 24
        h\n.0793 g 3403 1002 N -1 -24 -52 125 1 24 h\n.0472 g 3330 913 N -1
        -24 74 90 0 23 h\n.0232 g 3162 858 N 0 -23 167 54 1 24 h\n.0078 g
        2941 836 N -1 -24 221 22 1 24 h\n.0011 g 2703 845 N -1 -24 238 -9 1
        24 h\n.0033 g 2478 884 N -1 -24 225 -38 1 23 h\n.0144 g 2284 949 N -1
        -23 194 -66 1 24 h\n.0342 g 2129 1041 N -1 -24 155 -91 1 23 h\n.0623
        g 2015 1157 N -1 -23 114 -117 1 24 h\n.0981 g 1936 1296 N -1 -24 80
        -138 0 23 h\n.1412 g 1885 1456 N 0 -23 50 -160 1 23 h\n.1906 g 1855
        1634 N -1 -23 30 -179 1 24 h\n.2456 g 1837 1829 N -1 -24 19 -195 0 24
        h\n.3051 g 1816 2035 N 0 -24 21 -208 0 26 h\n.3681 g 1756 2246 N 0
        -26 59 -221 1 36 h\n.4335 g 1577 2451 N -1 -36 178 -236 2 67 h\n.5 g
        1261 2645 N -2 -67 314 -247 4 120 h\n.5665 g 977 2840 N -4 -120 282
        -242 6 167 h\n.6319 g 805 3040 N -6 -167 172 -229 6 196 h\n.6949 g
        705 3237 N -6 -196 99 -214 7 213 h\n.7544 g 650 3425 N -7 -213 55
        -197 7 222 h\n.8094 g 633 3600 N -7 -222 17 -178 7 225 h\n.8588 g 652
        3758 N -7 -225 -20 -155 8 222 h\n.9019 g 709 3897 N -8 -222 -56 -130
        7 213 h\n.9377 g 800 4015 N -7 -213 -91 -101 7 196 h\n.9658 g 920
        4107 N -7 -196 -119 -73 6 177 h\n.9856 g 1059 4173 N -6 -177 -138 -42
        5 153 h\n.9967 g 1208 4210 N -5 -153 -149 -12 5 128 h\n.9989 g 1356
        4217 N -5 -128 -146 17 3 104 h\n.9922 g 1491 4193 N -3 -104 -135 47 3
        81 h\n.9768 g 1606 4138 N -3 -81 -114 75 2 61 h\n.9528 g 1695 4052 N
        -2 -61 -89 101 2 46 h\n.9207 g 1758 3937 N -2 -46 -62 125 1 36
        h\n.8812 g 1797 3796 N -1 -36 -39 148 1 29 h\n.8348 g 1818 3631 N -1
        -29 -21 168 1 26 h\n.7825 g 1827 3447 N -1 -26 -9 186 1 24 h\n.7251 g
        1830 3246 N -1 -24 -3 201 1 24 h\n.6637 g 1831 3034 N -1 -24 -1 213 1
        23 h\n.5994 g 1831 2813 N -1 -23 0 220 1 24 h\n.5333 g 1831 2589 N -1
        -24 0 225 1 23 h\n%pm3d_map_end\ngrestore % colour palette end\n1.000
        UP\n1.000 UL\nLT5\nLT5\n2068 4679 M\n14 12 V\n1.000
        UL\nLT5\nLT5\n2455 4648 M\n-373 43 V\n1.000 UL\nLT5\nLT5\n1693 4669
        M\n389 22 V\n1.000 UL\nLT5\nLT5\n1730 4660 M\n-37 9 V\n1.000
        UL\nLT5\nLT5\n1341 4585 M\n352 84 V\n1.000 UL\nLT5\nLT5\n2891 921
        M\n-207 35 V\n1.000 UL\nLT5\nLT5\n2529 1009 M\n-137 81 V\n1.000
        UL\nLT5\nLT5\n2556 989 M\n-27 20 V\n1.000 UL\nLT5\nLT5\n2723 943
        M\n-194 66 V\n1.000 UL\nLT5\nLT6\n3079 915 M\n-200 8 V\n1.000
        UL\nLT5\nLT5\n2391 4642 M\n64 6 V\n1.000 UL\nLT5\nLT5\n2764 4546
        M\n-309 102 V\n1.000 UL\nLT5\nLT6\n3044 912 M\n-148 6 V\n1.000
        UL\nLT5\nLT5\n2750 923 M\n-27 20 V\n1.000 UL\nLT5\nLT5\n2909 911
        M\n-186 32 V\n1.000 UL\nLT5\nLT6\n2997 901 M\n-85 3 V\n1.000
        UL\nLT5\nLT5\n2287 1197 M\n114 -116 V\n1.000 UL\nLT5\nLT5\n2410 1058
        M\n-9 23 V\n1.000 UL\nLT5\nLT5\n2556 989 M\n-155 92 V\n1.000
        UL\nLT5\nLT5\n2565 966 M\n-9 23 V\n1.000 UL\nLT5\nLT5\n2750 923
        M\n-194 66 V\n1.000 UL\nLT5\nLT6\n3246 932 M\n3044 912 L\n1.000
        UL\nLT5\nLT6\n2997 901 M\n47 11 V\n1.000 UL\nLT5\nLT5\n2211 1330
        M\n76 -133 V\n1.000 UL\nLT5\nLT5\n2295 1174 M\n-8 23 V\n1.000
        UL\nLT5\nLT5\n2759 900 M\n-9 23 V\n1.000 UL\nLT5\nLT5\n2919 895
        M\n-169 28 V\n1.000 UL\nLT5\nLT5\n2052 4634 M\n16 45 V\n1.000
        UL\nLT5\nLT5\n2391 4642 M\n-323 37 V\n1.000 UL\nLT5\nLT5\n1730 4660
        M\n338 19 V\n1.000 UL\nLT5\nLT6\n3218 923 M\n2997 901 L\n1.000
        UL\nLT5\nLT6\n2961 883 M\n36 18 V\n1.000 UL\nLT5\nLT6\n2961 883
        M\n-43 1 V\n1.000 UL\nLT5\nLT5\n2295 1174 M\n115 -116 V\n1.000
        UL\nLT5\nLT5\n2400 1035 M\n10 23 V\n1.000 UL\nLT5\nLT5\n2565 966
        M\n-155 92 V\n1.000 UL\nLT5\nLT5\n2554 943 M\n11 23 V\n1.000
        UL\nLT5\nLT5\n2759 900 M\n-194 66 V\n1.000 UL\nLT5\nLT5\n1770 4618
        M\n-40 42 V\n1.000 UL\nLT5\nLT5\n1424 4588 M\n306 72 V\n1.000
        UL\nLT5\nLT5\n2216 1313 M\n79 -139 V\n1.000 UL\nLT5\nLT5\n2285 1151
        M\n10 23 V\n1.000 UL\nLT5\nLT5\n2749 877 M\n10 23 V\n1.000
        UL\nLT5\nLT5\n2919 873 M\n-160 27 V\n1.000 UL\nLT5\nLT6\n3182 905
        M\n2961 883 L\n1.000 UL\nLT5\nLT6\n2942 861 M\n19 22 V\n1.000
        UL\nLT5\nLT6\n3355 968 M\n3218 923 L\n1.000 UL\nLT5\nLT6\n3182 905
        M\n36 18 V\n1.000 UL\nLT5\nLT5\n2764 4546 M\n90 -42 V\n1.000
        UL\nLT5\nLT5\n3077 4340 M\n-223 164 V\n1.000 UL\nLT5\nLT5\n2166 1473
        M\n50 -160 V\n1.000 UL\nLT5\nLT5\n2206 1290 M\n10 23 V\n1.000
        UL\nLT5\nLT5\n1424 4588 M\n-83 -3 V\n1.000 UL\nLT5\nLT5\n1073 4451
        M\n268 134 V\n1.000 UL\nLT5\nLT5\n1937 1297 M\n79 -139 V\n1.000
        UL\nLT5\nLT5\n2034 1136 M\n-18 22 V\n1.000 UL\nLT5\nLT5\n2285 1151
        M\n115 -116 V\n1.000 UL\nLT5\nLT5\n2372 1014 M\n28 21 V\n1.000
        UL\nLT5\nLT5\n2554 943 M\n-154 92 V\n1.000 UL\nLT5\nLT5\n2526 923
        M\n28 20 V\n1.000 UL\nLT5\nLT5\n2749 877 M\n-195 66 V\n1.000
        UL\nLT5\nLT5\n2322 4603 M\n69 39 V\n1.000 UL\nLT5\nLT5\n2658 4554
        M\n-267 88 V\n1.000 UL\nLT5\nLT6\n3348 959 M\n3182 905 L\n1.000
        UL\nLT5\nLT6\n3163 883 M\n19 22 V\n1.000 UL\nLT5\nLT5\n2206 1290
        M\n79 -139 V\n1.000 UL\nLT5\nLT5\n2257 1130 M\n28 21 V\n1.000
        UL\nLT5\nLT6\n2941 837 M\n1 24 V\n1.000 UL\nLT5\nLT5\n2721 857 M\n28
        20 V\n1.000 UL\nLT5\nLT5\n2909 850 M\n-160 27 V\n1.000
        UL\nLT5\nLT5\n1886 1457 M\n51 -160 V\n1.000 UL\nLT5\nLT5\n1955 1275
        M\n-18 22 V\n1.000 UL\nLT5\nLT6\n2941 837 M\n-43 2 V\n1.000
        UL\nLT5\nLT5\n2138 1651 M\n28 -178 V\n1.000 UL\nLT5\nLT5\n2157 1449
        M\n9 24 V\n1.000 UL\nLT5\nLT5\n2034 1136 M\n114 -116 V\n1.000
        UL\nLT5\nLT5\n2302 929 M\n-154 91 V\n1.000 UL\nLT5\nLT5\n2182 1003
        M\n-34 17 V\n1.000 UL\nLT5\nLT5\n2337 912 M\n-35 17 V\n1.000
        UL\nLT5\nLT5\n2157 1449 M\n49 -159 V\n1.000 UL\nLT5\nLT5\n2178 1269
        M\n28 21 V\n1.000 UL\nLT5\nLT5\n2257 1130 M\n115 -116 V\n1.000
        UL\nLT5\nLT5\n2330 999 M\n42 15 V\n1.000 UL\nLT5\nLT5\n2526 923
        M\n-154 91 V\n1.000 UL\nLT5\nLT5\n2485 908 M\n41 15 V\n1.000
        UL\nLT5\nLT5\n2721 857 M\n-195 66 V\n1.000 UL\nLT5\nLT5\n1955 1275
        M\n79 -139 V\n1.000 UL\nLT5\nLT5\n2068 1120 M\n-34 16 V\n1.000
        UL\nLT5\nLT5\n2178 1269 M\n79 -139 V\n1.000 UL\nLT5\nLT5\n2215 1116
        M\n42 14 V\n1.000 UL\nLT5\nLT6\n3162 859 M\n1 24 V\n1.000
        UL\nLT5\nLT5\n2679 842 M\n42 15 V\n1.000 UL\nLT5\nLT5\n2890 828
        M\n-169 29 V\n1.000 UL\nLT5\nLT5\n1856 1635 M\n30 -178 V\n1.000
        UL\nLT5\nLT5\n1904 1435 M\n-18 22 V\n1.000 UL\nLT5\nLT6\n3162 859
        M\n2941 837 L\n1.000 UL\nLT5\nLT6\n2959 816 M\n-18 21 V\n1.000
        UL\nLT5\nLT5\n2068 1120 M\n114 -117 V\n1.000 UL\nLT5\nLT5\n2337 912
        M\n-155 91 V\n1.000 UL\nLT5\nLT5\n2228 994 M\n-46 9 V\n1.000
        UL\nLT5\nLT5\n2531 846 M\n-194 66 V\n1.000 UL\nLT5\nLT5\n2383 902
        M\n-46 10 V\n1.000 UL\nLT5\nLT5\n1904 1435 M\n51 -160 V\n1.000
        UL\nLT5\nLT5\n1989 1258 M\n-34 17 V\n1.000 UL\nLT5\nLT5\n2126 1846
        M\n12 -195 V\n1.000 UL\nLT5\nLT5\n2128 1628 M\n10 23 V\n1.000
        UL\nLT5\nLT6\n2959 816 M\n-85 3 V\n1.000 UL\nLT5\nLT5\n2036 4559
        M\n16 75 V\n1.000 UL\nLT5\nLT5\n2322 4603 M\n-270 31 V\n1.000
        UL\nLT5\nLT5\n1770 4618 M\n282 16 V\n1.000 UL\nLT5\nLT5\n2215 1116
        M\n2330 999 L\n1.000 UL\nLT5\nLT5\n2280 992 M\n50 7 V\n1.000
        UL\nLT5\nLT5\n2485 908 M\n-155 91 V\n1.000 UL\nLT5\nLT5\n2434 901
        M\n51 7 V\n1.000 UL\nLT5\nLT5\n2679 842 M\n-194 66 V\n1.000
        UL\nLT5\nLT5\n2128 1628 M\n29 -179 V\n1.000 UL\nLT5\nLT5\n2129 1429
        M\n28 20 V\n1.000 UL\nLT5\nLT5\n1989 1258 M\n79 -138 V\n1.000
        UL\nLT5\nLT5\n2114 1110 M\n-46 10 V\n1.000 UL\nLT5\nLT5\n2658 4554
        M\n106 -8 V\n1.000 UL\nLT5\nLT5\n2964 4399 M\n-200 147 V\n1.000
        UL\nLT5\nLT5\n2577 836 M\n-46 10 V\n1.000 UL\nLT5\nLT5\n2129 1429
        M\n49 -160 V\n1.000 UL\nLT5\nLT5\n2137 1254 M\n41 15 V\n1.000
        UL\nLT5\nLT5\n2114 1110 M\n2228 994 L\n1.000 UL\nLT5\nLT5\n2383 902
        M\n-155 92 V\n1.000 UL\nLT5\nLT5\n2280 992 M\n-52 2 V\n1.000
        UL\nLT5\nLT5\n2577 836 M\n-194 66 V\n1.000 UL\nLT5\nLT5\n2434 901
        M\n-51 1 V\n1.000 UL\nLT5\nLT5\n2137 1254 M\n78 -138 V\n1.000
        UL\nLT5\nLT5\n2165 1108 M\n50 8 V\n1.000 UL\nLT5\nLT5\n2628 835 M\n51
        7 V\n1.000 UL\nLT5\nLT5\n2864 810 M\n-185 32 V\n1.000
        UL\nLT5\nLT5\n2165 1108 M\n2280 992 L\n1.000 UL\nLT5\nLT5\n2434 901
        M\n-154 91 V\n1.000 UL\nLT5\nLT5\n2628 835 M\n-194 66 V\n1.000
        UL\nLT5\nLT5\n2035 1249 M\n79 -139 V\n1.000 UL\nLT5\nLT5\n2165 1108
        M\n-51 2 V\n1.000 UL\nLT5\nLT6\n3330 914 M\n0 23 V\n1.000
        UL\nLT5\nLT5\n2802 798 M\n-225 38 V\n1.000 UL\nLT5\nLT5\n2628 835
        M\n-51 1 V\n1.000 UL\nLT5\nLT6\n3100 1533 M\n-365 211 V\n1.000
        UL\nLT5\nLT6\n2762 1725 M\n-27 19 V\n1.000 UL\nLT5\nLT6\n2420 1954
        M\n315 -210 V\n1.000 UL\nLT5\nLT6\n3433 1325 M\n-27 20 V\n1.000
        UL\nLT5\nLT6\n3100 1533 M\n306 -188 V\n1.000 UL\nLT5\nLT5\n2087 1247
        M\n78 -139 V\n1.000 UL\nLT5\nLT6\n3126 1514 M\n-26 19 V\n1.000
        UL\nLT5\nLT5\n2837 799 M\n-209 36 V\n1.000 UL\nLT5\nLT5\n1939 1418
        M\n50 -160 V\n1.000 UL\nLT5\nLT5\n2035 1249 M\n-46 9 V\n1.000
        UL\nLT5\nLT5\n1838 1830 M\n18 -195 V\n1.000 UL\nLT5\nLT5\n1874 1614
        M\n-18 21 V\n1.000 UL\nLT5\nLT6\n3684 1019 M\n-9 23 V\n1.000
        UL\nLT5\nLT6\n3623 1167 M\n52 -125 V\n1.000 UL\nLT5\nLT5\n1874 1614
        M\n30 -179 V\n1.000 UL\nLT5\nLT5\n1939 1418 M\n-35 17 V\n1.000
        UL\nLT5\nLT6\n3330 914 M\n3162 859 L\n1.000 UL\nLT5\nLT6\n3180 837
        M\n-18 22 V\n1.000 UL\nLT5\nLT6\n2993 799 M\n-147 5 V\n1.000
        UL\nLT5\nLT5\n1809 4546 M\n-39 72 V\n1.000 UL\nLT5\nLT5\n1514 4557
        M\n256 61 V\n1.000 UL\nLT5\nLT6\n3180 837 M\n2959 816 L\n1.000
        UL\nLT5\nLT6\n2993 799 M\n-34 17 V\n1.000 UL\nLT5\nLT5\n2087 1414
        M\n50 -160 V\n1.000 UL\nLT5\nLT5\n2087 1247 M\n50 7 V\n1.000
        UL\nLT5\nLT5\n1514 4557 M\n-90 31 V\n1.000 UL\nLT5\nLT5\n1192 4471
        M\n232 117 V\n1.000 UL\nLT5\nLT5\n2100 1607 M\n29 -178 V\n1.000
        UL\nLT5\nLT5\n2087 1414 M\n42 15 V\n1.000 UL\nLT5\nLT5\n2115 1822
        M\n13 -194 V\n1.000 UL\nLT5\nLT5\n2100 1607 M\n28 21 V\n1.000
        UL\nLT5\nLT5\n2129 1933 M\n-3 -87 V\n1.000 UL\nLT5\nLT5\n2115 1822
        M\n11 24 V\n1.000 UL\nLT5\nLT5\n1985 1409 M\n50 -160 V\n1.000
        UL\nLT5\nLT5\n2087 1247 M\n-52 2 V\n1.000 UL\nLT5\nLT5\n971 4397
        M\n-78 -87 V\n1.000 UL\nLT5\nLT5\n717 4110 M\n176 200 V\n1.000
        UL\nLT5\nLT6\n3039 789 M\n-237 9 V\n1.000 UL\nLT5\nLT5\n2036 1407
        M\n51 -160 V\n1.000 UL\nLT5\nLT6\n3632 1144 M\n-9 23 V\n1.000
        UL\nLT5\nLT6\n3433 1325 M\n190 -158 V\n1.000 UL\nLT5\nLT5\n2254 4534
        M\n68 69 V\n1.000 UL\nLT5\nLT5\n2546 4529 M\n-224 74 V\n1.000
        UL\nLT5\nLT5\n1909 1597 M\n30 -179 V\n1.000 UL\nLT5\nLT5\n1985 1409
        M\n-46 9 V\n1.000 UL\nLT5\nLT6\n3126 1514 M\n-364 211 V\n1.000
        UL\nLT5\nLT6\n2770 1702 M\n-8 23 V\n1.000 UL\nLT5\nLT6\n2426 1949
        M\n336 -224 V\n1.000 UL\nLT5\nLT6\n3442 1303 M\n-9 22 V\n1.000
        UL\nLT5\nLT6\n3126 1514 M\n307 -189 V\n1.000 UL\nLT5\nLT6\n3215 821
        M\n2993 799 L\n1.000 UL\nLT5\nLT6\n3039 789 M\n-46 10 V\n1.000
        UL\nLT5\nLT6\n3135 1491 M\n-9 23 V\n1.000 UL\nLT5\nLT6\n2435 1926
        M\n-9 23 V\n1.000 UL\nLT5\nLT6\n2200 2177 M\n226 -228 V\n1.000
        UL\nLT5\nLT6\n3403 1003 M\n-73 -89 V\n1.000 UL\nLT5\nLT6\n3348 892
        M\n-18 22 V\n1.000 UL\nLT5\nLT5\n2058 1593 M\n29 -179 V\n1.000
        UL\nLT5\nLT5\n2036 1407 M\n51 7 V\n1.000 UL\nLT5\nLT5\n1856 1807
        M\n18 -193 V\n1.000 UL\nLT5\nLT5\n1909 1597 M\n-35 17 V\n1.000
        UL\nLT5\nLT6\n3348 892 M\n3180 837 L\n1.000 UL\nLT5\nLT6\n3215 821
        M\n-35 16 V\n1.000 UL\nLT5\nLT6\n3674 996 M\n10 23 V\n1.000
        UL\nLT5\nLT6\n3632 1144 M\n52 -125 V\n1.000 UL\nLT5\nLT5\n1817 2036
        M\n21 -206 V\n1.000 UL\nLT5\nLT5\n1856 1807 M\n-18 23 V\n1.000
        UL\nLT5\nLT5\n1955 1587 M\n30 -178 V\n1.000 UL\nLT5\nLT5\n2036 1407
        M\n-51 2 V\n1.000 UL\nLT5\nLT5\n2087 1801 M\n13 -194 V\n1.000
        UL\nLT5\nLT5\n2058 1593 M\n42 14 V\n1.000 UL\nLT5\nLT5\n2007 1585
        M\n29 -178 V\n1.000 UL\nLT5\nLT6\n3261 811 M\n3039 789 L\n1.000
        UL\nLT5\nLT6\n3091 787 M\n-52 2 V\n1.000 UL\nLT5\nLT6\n3572 886 M\n28
        21 V\n1.000 UL\nLT5\nLT6\n3674 996 M\n-74 -89 V\n1.000
        UL\nLT5\nLT6\n3312 809 M\n3091 787 L\n1.000 UL\nLT5\nLT5\n2119 1943
        M\n-4 -121 V\n1.000 UL\nLT5\nLT5\n2087 1801 M\n28 21 V\n1.000
        UL\nLT5\nLT5\n2182 2247 M\n-3 -14 V\n1.000 UL\nLT5\nLT6\n3622 1121
        M\n10 23 V\n1.000 UL\nLT5\nLT6\n3442 1303 M\n190 -159 V\n1.000
        UL\nLT5\nLT5\n1891 1790 M\n18 -193 V\n1.000 UL\nLT5\nLT5\n1955 1587
        M\n-46 10 V\n1.000 UL\nLT5\nLT6\n3355 1118 M\n48 -115 V\n1.000
        UL\nLT5\nLT6\n3421 982 M\n-18 21 V\n1.000 UL\nLT5\nLT6\n3382 876
        M\n3215 821 L\n1.000 UL\nLT5\nLT6\n3261 811 M\n-46 10 V\n1.000
        UL\nLT5\nLT5\n2546 4529 M\n112 25 V\n1.000 UL\nLT5\nLT5\n2832 4426
        M\n-174 128 V\n1.000 UL\nLT5\nLT6\n3135 1491 M\n-365 211 V\n1.000
        UL\nLT5\nLT6\n2760 1679 M\n10 23 V\n1.000 UL\nLT5\nLT6\n2435 1926
        M\n335 -224 V\n1.000 UL\nLT5\nLT6\n3432 1279 M\n10 24 V\n1.000
        UL\nLT5\nLT6\n3135 1491 M\n307 -188 V\n1.000 UL\nLT5\nLT6\n3125 1468
        M\n10 23 V\n1.000 UL\nLT5\nLT5\n2044 1786 M\n14 -193 V\n1.000
        UL\nLT5\nLT5\n2007 1585 M\n51 8 V\n1.000 UL\nLT5\nLT6\n3421 982
        M\n-73 -90 V\n1.000 UL\nLT5\nLT6\n3382 876 M\n-34 16 V\n1.000
        UL\nLT5\nLT6\n3312 809 M\n50 8 V\n1.000 UL\nLT5\nLT6\n3530 871
        M\n3362 817 L\n1.000 UL\nLT5\nLT6\n2424 1903 M\n11 23 V\n1.000
        UL\nLT5\nLT6\n2209 2154 M\n226 -228 V\n1.000 UL\nLT5\nLT5\n3163 4248
        M\n55 -123 V\n1.000 UL\nLT5\nLT5\n3300 3908 M\n-82 217 V\n1.000
        UL\nLT5\nLT5\n1073 4451 M\n971 4397 L\n1.000 UL\nLT5\nLT5\n808 4211
        M\n163 186 V\n1.000 UL\nLT5\nLT6\n3646 976 M\n28 20 V\n1.000
        UL\nLT5\nLT6\n3622 1121 M\n52 -125 V\n1.000 UL\nLT5\nLT5\n1837 2011
        M\n19 -204 V\n1.000 UL\nLT5\nLT5\n1891 1790 M\n-35 17 V\n1.000
        UL\nLT5\nLT5\n1939 1780 M\n16 -193 V\n1.000 UL\nLT5\nLT5\n2007 1585
        M\n-52 2 V\n1.000 UL\nLT5\nLT6\n3428 866 M\n3261 811 L\n1.000
        UL\nLT5\nLT6\n3312 809 M\n-51 2 V\n1.000 UL\nLT5\nLT6\n3530 871 M\n42
        15 V\n1.000 UL\nLT5\nLT6\n3646 976 M\n-74 -90 V\n1.000
        UL\nLT5\nLT5\n1992 1779 M\n15 -194 V\n1.000 UL\nLT5\nLT6\n3480 864
        M\n3312 809 L\n1.000 UL\nLT5\nLT5\n2022 4460 M\n14 99 V\n1.000
        UL\nLT5\nLT5\n2254 4534 M\n-218 25 V\n1.000 UL\nLT5\nLT5\n1809 4546
        M\n227 13 V\n1.000 UL\nLT5\nLT5\n1757 2245 M\n60 -209 V\n1.000
        UL\nLT5\nLT5\n1837 2011 M\n-20 25 V\n1.000 UL\nLT5\nLT5\n2090 1973
        M\n-3 -172 V\n1.000 UL\nLT5\nLT5\n2044 1786 M\n43 15 V\n1.000
        UL\nLT5\nLT6\n2199 2131 M\n10 23 V\n1.000 UL\nLT5\nLT6\n3594 1100
        M\n28 21 V\n1.000 UL\nLT5\nLT6\n3432 1279 M\n190 -158 V\n1.000
        UL\nLT5\nLT6\n3456 965 M\n-74 -89 V\n1.000 UL\nLT5\nLT6\n3428 866
        M\n-46 10 V\n1.000 UL\nLT5\nLT6\n3369 1107 M\n52 -125 V\n1.000
        UL\nLT5\nLT6\n3456 965 M\n-35 17 V\n1.000 UL\nLT5\nLT5\n2173 2236
        M\n-10 -38 V\n1.000 UL\nLT5\nLT5\n1603 4497 M\n-89 60 V\n1.000
        UL\nLT5\nLT5\n1320 4459 M\n194 98 V\n1.000 UL\nLT5\nLT6\n3480 864
        M\n50 7 V\n1.000 UL\nLT5\nLT6\n3604 961 M\n-74 -90 V\n1.000
        UL\nLT5\nLT6\n3125 1468 M\n-365 211 V\n1.000 UL\nLT5\nLT6\n2732 1658
        M\n28 21 V\n1.000 UL\nLT5\nLT6\n2424 1903 M\n336 -224 V\n1.000
        UL\nLT5\nLT5\n1844 4450 M\n-35 96 V\n1.000 UL\nLT5\nLT5\n1603 4497
        M\n206 49 V\n1.000 UL\nLT5\nLT5\n1876 1992 M\n15 -202 V\n1.000
        UL\nLT5\nLT5\n1939 1780 M\n-48 10 V\n1.000 UL\nLT5\nLT6\n3404 1259
        M\n28 20 V\n1.000 UL\nLT5\nLT6\n3125 1468 M\n307 -189 V\n1.000
        UL\nLT5\nLT6\n3097 1447 M\n28 21 V\n1.000 UL\nLT5\nLT6\n3604 961
        M\n42 15 V\n1.000 UL\nLT5\nLT6\n3594 1100 M\n52 -124 V\n1.000
        UL\nLT5\nLT6\n2396 1882 M\n28 21 V\n1.000 UL\nLT5\nLT6\n2199 2131
        M\n225 -228 V\n1.000 UL\nLT5\nLT5\n2043 1988 M\n1 -202 V\n1.000
        UL\nLT5\nLT5\n1992 1779 M\n52 7 V\n1.000 UL\nLT5\nLT6\n3502 955
        M\n-74 -89 V\n1.000 UL\nLT5\nLT6\n3480 864 M\n-52 2 V\n1.000
        UL\nLT5\nLT6\n3554 954 M\n-74 -90 V\n1.000 UL\nLT5\nLT5\n3077 4340
        M\n86 -92 V\n1.000 UL\nLT5\nLT5\n3242 4041 M\n-79 207 V\n1.000
        UL\nLT5\nLT6\n3179 1265 M\n190 -158 V\n1.000 UL\nLT5\nLT6\n3404 1090
        M\n-35 17 V\n1.000 UL\nLT5\nLT5\n1928 1981 M\n11 -201 V\n1.000
        UL\nLT5\nLT5\n1992 1779 M\n-53 1 V\n1.000 UL\nLT5\nLT5\n1986 1980
        M\n6 -201 V\n1.000 UL\nLT5\nLT5\n2192 4440 M\n62 94 V\n1.000
        UL\nLT5\nLT5\n2435 4474 M\n-181 60 V\n1.000 UL\nLT5\nLT6\n3404 1090
        M\n52 -125 V\n1.000 UL\nLT5\nLT6\n3502 955 M\n-46 10 V\n1.000
        UL\nLT5\nLT5\n1784 2214 M\n53 -203 V\n1.000 UL\nLT5\nLT5\n1876 1992
        M\n-39 19 V\n1.000 UL\nLT5\nLT6\n2872 1453 M\n-364 211 V\n1.000
        UL\nLT5\nLT6\n2172 1888 M\n336 -224 V\n1.000 UL\nLT5\nLT6\n2542 1647
        M\n-34 17 V\n1.000 UL\nLT5\nLT6\n2872 1453 M\n307 -188 V\n1.000
        UL\nLT5\nLT6\n3214 1248 M\n-35 17 V\n1.000 UL\nLT5\nLT6\n3552 1086
        M\n42 14 V\n1.000 UL\nLT5\nLT6\n3404 1259 M\n190 -159 V\n1.000
        UL\nLT5\nLT6\n2907 1436 M\n-35 17 V\n1.000 UL\nLT5\nLT6\n2171 2111
        M\n28 20 V\n1.000 UL\nLT5\nLT6\n2168 2211 M\n31 -80 V\n1.000
        UL\nLT5\nLT6\n3554 954 M\n50 7 V\n1.000 UL\nLT5\nLT6\n3552 1086 M\n52
        -125 V\n1.000 UL\nLT5\nLT6\n2077 1985 M\n95 -97 V\n1.000
        UL\nLT5\nLT6\n2206 1872 M\n-34 16 V\n1.000 UL\nLT5\nLT5\n1192 4471
        M\n-119 -20 V\n1.000 UL\nLT5\nLT5\n927 4284 M\n146 167 V\n1.000
        UL\nLT5\nLT5\n2130 2204 M\n-11 -58 V\n1.000 UL\nLT5\nLT5\n2043 1988
        M\n27 9 V\n1.000 UL\nLT5\nLT6\n3097 1447 M\n-365 211 V\n1.000
        UL\nLT5\nLT6\n2690 1643 M\n42 15 V\n1.000 UL\nLT5\nLT6\n2396 1882
        M\n336 -224 V\n1.000 UL\nLT5\nLT6\n3362 1244 M\n42 15 V\n1.000
        UL\nLT5\nLT6\n3097 1447 M\n307 -188 V\n1.000 UL\nLT5\nLT6\n3055 1432
        M\n42 15 V\n1.000 UL\nLT5\nLT6\n3450 1080 M\n52 -125 V\n1.000
        UL\nLT5\nLT6\n3554 954 M\n-52 1 V\n1.000 UL\nLT5\nLT6\n2354 1868
        M\n42 14 V\n1.000 UL\nLT5\nLT6\n2171 2111 M\n225 -229 V\n1.000
        UL\nLT5\nLT6\n3501 1078 M\n53 -124 V\n1.000 UL\nLT5\nLT6\n3214 1248
        M\n190 -158 V\n1.000 UL\nLT5\nLT6\n3450 1080 M\n-46 10 V\n1.000
        UL\nLT5\nLT5\n2435 4474 M\n111 55 V\n1.000 UL\nLT5\nLT5\n2691 4422
        M\n-145 107 V\n1.000 UL\nLT5\nLT6\n3501 1078 M\n51 8 V\n1.000
        UL\nLT5\nLT6\n3362 1244 M\n190 -158 V\n1.000 UL\nLT5\nLT6\n2907 1436
        M\n-365 211 V\n1.000 UL\nLT5\nLT6\n2206 1872 M\n336 -225 V\n1.000
        UL\nLT5\nLT6\n2588 1638 M\n-46 9 V\n1.000 UL\nLT5\nLT6\n2907 1436
        M\n307 -188 V\n1.000 UL\nLT5\nLT6\n3260 1238 M\n-46 10 V\n1.000
        UL\nLT5\nLT6\n2953 1427 M\n-46 9 V\n1.000 UL\nLT5\nLT5\n1838 2188
        M\n38 -196 V\n1.000 UL\nLT5\nLT5\n1928 1981 M\n-52 11 V\n1.000
        UL\nLT5\nLT6\n2057 2024 M\n149 -152 V\n1.000 UL\nLT5\nLT6\n2253 1862
        M\n-47 10 V\n1.000 UL\nLT5\nLT5\n2318 2406 M\n2173 2236 L\n1.000
        UL\nLT5\nLT5\n2130 2204 M\n43 32 V\n1.000 UL\nLT5\nLT6\n3055 1432
        M\n-365 211 V\n1.000 UL\nLT5\nLT6\n2640 1636 M\n50 7 V\n1.000
        UL\nLT5\nLT6\n2354 1868 M\n336 -225 V\n1.000 UL\nLT5\nLT6\n3260 1238
        M\n190 -158 V\n1.000 UL\nLT5\nLT6\n3501 1078 M\n-51 2 V\n1.000
        UL\nLT5\nLT6\n3311 1237 M\n51 7 V\n1.000 UL\nLT5\nLT6\n3055 1432
        M\n307 -188 V\n1.000 UL\nLT5\nLT6\n2130 2096 M\n41 15 V\n1.000
        UL\nLT5\nLT6\n2143 2183 M\n28 -72 V\n1.000 UL\nLT5\nLT6\n3005 1425
        M\n50 7 V\n1.000 UL\nLT5\nLT6\n3311 1237 M\n190 -159 V\n1.000
        UL\nLT5\nLT5\n2066 2182 M\n-23 -194 V\n1.000 UL\nLT5\nLT5\n1986 1980
        M\n57 8 V\n1.000 UL\nLT5\nLT6\n2304 1860 M\n50 8 V\n1.000
        UL\nLT5\nLT6\n2130 2096 M\n224 -228 V\n1.000 UL\nLT5\nLT5\n2964 4399
        M\n113 -59 V\n1.000 UL\nLT5\nLT5\n3151 4148 M\n-74 192 V\n1.000
        UL\nLT5\nLT6\n2953 1427 M\n-365 211 V\n1.000 UL\nLT5\nLT6\n2253 1862
        M\n335 -224 V\n1.000 UL\nLT5\nLT6\n2640 1636 M\n-52 2 V\n1.000
        UL\nLT5\nLT6\n2953 1427 M\n307 -189 V\n1.000 UL\nLT5\nLT6\n3311 1237
        M\n-51 1 V\n1.000 UL\nLT5\nLT6\n3005 1425 M\n-52 2 V\n1.000
        UL\nLT5\nLT6\n3005 1425 M\n-365 211 V\n1.000 UL\nLT5\nLT6\n2304 1860
        M\n336 -224 V\n1.000 UL\nLT5\nLT6\n3005 1425 M\n306 -188 V\n1.000
        UL\nLT5\nLT5\n1909 2173 M\n19 -192 V\n1.000 UL\nLT5\nLT5\n1986 1980
        M\n-58 1 V\n1.000 UL\nLT5\nLT6\n2056 2062 M\n197 -200 V\n1.000
        UL\nLT5\nLT6\n2304 1860 M\n-51 2 V\n1.000 UL\nLT5\nLT5\n2010 4341
        M\n12 119 V\n1.000 UL\nLT5\nLT5\n2192 4440 M\n-170 20 V\n1.000
        UL\nLT5\nLT5\n1844 4450 M\n178 10 V\n1.000 UL\nLT5\nLT5\n1988 2170
        M\n-2 -190 V\n1.000 UL\nLT5\nLT6\n2080 2089 M\n224 -229 V\n1.000
        UL\nLT5\nLT5\n1684 4411 M\n-81 86 V\n1.000 UL\nLT5\nLT5\n1446 4418
        M\n157 79 V\n1.000 UL\nLT5\nLT6\n2080 2089 M\n50 7 V\n1.000
        UL\nLT5\nLT6\n2111 2144 M\n19 -48 V\n1.000 UL\nLT5\nLT5\n1875 4333
        M\n-31 117 V\n1.000 UL\nLT5\nLT5\n1684 4411 M\n160 39 V\n1.000
        UL\nLT5\nLT6\n2080 2089 M\n-11 0 V\n1.000 UL\nLT5\nLT5\n1629 2391
        M\n155 -177 V\n1.000 UL\nLT5\nLT5\n1838 2188 M\n-54 26 V\n1.000
        UL\nLT5\nLT6\n2075 2102 M\n5 -13 V\n1.000 UL\nLT5\nLT5\n1320 4459
        M\n-128 12 V\n1.000 UL\nLT5\nLT5\n1065 4326 M\n127 145 V\n1.000
        UL\nLT5\nLT5\n2140 4326 M\n52 114 V\n1.000 UL\nLT5\nLT5\n2332 4394
        M\n-140 46 V\n1.000 UL\nLT5\nLT5\n2261 2374 M\n2130 2204 L\n1.000
        UL\nLT5\nLT5\n2066 2182 M\n64 22 V\n1.000 UL\nLT5\nLT5\n2832 4426
        M\n132 -27 V\n1.000 UL\nLT5\nLT5\n3030 4227 M\n-66 172 V\n1.000
        UL\nLT5\nLT5\n2332 4394 M\n103 80 V\n1.000 UL\nLT5\nLT5\n2552 4388
        M\n-117 86 V\n1.000 UL\nLT5\nLT5\n1726 2344 M\n112 -156 V\n1.000
        UL\nLT5\nLT5\n1909 2173 M\n-71 15 V\n1.000 UL\nLT5\nLT5\n2001 4205
        M\n9 136 V\n1.000 UL\nLT5\nLT5\n2140 4326 M\n-130 15 V\n1.000
        UL\nLT5\nLT5\n1875 4333 M\n135 8 V\n1.000 UL\nLT5\nLT5\n2144 2332
        M\n-78 -150 V\n1.000 UL\nLT5\nLT5\n1988 2170 M\n78 12 V\n1.000
        UL\nLT5\nLT5\n1753 4304 M\n-69 107 V\n1.000 UL\nLT5\nLT5\n1562 4350
        M\n122 61 V\n1.000 UL\nLT5\nLT5\n1446 4418 M\n-126 41 V\n1.000
        UL\nLT5\nLT5\n1214 4338 M\n106 121 V\n1.000 UL\nLT5\nLT5\n1899 4199
        M\n-24 134 V\n1.000 UL\nLT5\nLT5\n1753 4304 M\n122 29 V\n1.000
        UL\nLT5\nLT5\n1856 2316 M\n53 -143 V\n1.000 UL\nLT5\nLT5\n1988 2170
        M\n-79 3 V\n1.000 UL\nLT5\nLT5\n2002 2312 M\n-14 -142 V\n1.000
        UL\nLT5\nLT5\n2099 4194 M\n41 132 V\n1.000 UL\nLT5\nLT5\n2246 4290
        M\n-106 36 V\n1.000 UL\nLT5\nLT5\n2691 4422 M\n141 4 V\n1.000
        UL\nLT5\nLT5\n2889 4277 M\n-57 149 V\n1.000 UL\nLT5\nLT5\n634 3600
        M\n7 225 V\n1.000 UL\nLT5\nLT5\n2246 4290 M\n86 104 V\n1.000
        UL\nLT5\nLT5\n2424 4326 M\n-92 68 V\n1.000 UL\nLT5\nLT5\n1994 4055
        M\n7 150 V\n1.000 UL\nLT5\nLT5\n2099 4194 M\n-98 11 V\n1.000
        UL\nLT5\nLT5\n1899 4199 M\n102 6 V\n1.000 UL\nLT5\nLT5\n1915 4051
        M\n-16 148 V\n1.000 UL\nLT5\nLT5\n1806 4177 M\n93 22 V\n1.000
        UL\nLT5\nLT5\n1806 4177 M\n-53 127 V\n1.000 UL\nLT5\nLT5\n1660 4257
        M\n93 47 V\n1.000 UL\nLT5\nLT5\n653 3758 M\n8 222 V\n1.000
        UL\nLT5\nLT5\n2070 4047 M\n29 147 V\n1.000 UL\nLT5\nLT5\n2178 4167
        M\n-79 27 V\n1.000 UL\nLT5\nLT5\n1994 4055 M\n-1 -32 V\n1.000
        UL\nLT5\nLT5\n3305 3575 M\n-54 -194 V\n1.000 UL\nLT5\nLT5\n3157 3170
        M\n94 211 V\n1.000 UL\nLT5\nLT5\n1562 4350 M\n-116 68 V\n1.000
        UL\nLT5\nLT5\n1360 4321 M\n86 97 V\n1.000 UL\nLT5\nLT5\n2070 4047
        M\n-76 8 V\n1.000 UL\nLT5\nLT5\n1915 4051 M\n79 4 V\n1.000
        UL\nLT5\nLT5\n1915 4051 M\n2 -26 V\n1.000 UL\nLT5\nLT5\n1353 2536
        M\n276 -145 V\n1.000 UL\nLT5\nLT5\n1726 2344 M\n-97 47 V\n1.000
        UL\nLT5\nLT5\n2552 4388 M\n139 34 V\n1.000 UL\nLT5\nLT5\n2739 4297
        M\n-48 125 V\n1.000 UL\nLT5\nLT5\n1844 4034 M\n71 17 V\n1.000
        UL\nLT5\nLT5\n2070 4047 M\n-2 -16 V\n1.000 UL\nLT5\nLT5\n2101 4036
        M\n-31 11 V\n1.000 UL\nLT5\nLT5\n2178 4167 M\n68 123 V\n1.000
        UL\nLT5\nLT5\n2315 4239 M\n-69 51 V\n1.000 UL\nLT5\nLT5\n1844 4034
        M\n-38 143 V\n1.000 UL\nLT5\nLT5\n1736 4142 M\n70 35 V\n1.000
        UL\nLT5\nLT5\n1844 4034 M\n1 -7 V\n1.000 UL\nLT5\nLT5\n710 3897 M\n7
        213 V\n1.000 UL\nLT5\nLT5\n2495 2505 M\n2261 2374 L\n1.000
        UL\nLT5\nLT5\n2144 2332 M\n117 42 V\n1.000 UL\nLT5\nLT5\n1831 4027
        M\n13 7 V\n1.000 UL\nLT5\nLT5\n3321 3752 M\n-16 -177 V\n1.000
        UL\nLT5\nLT5\n3207 3356 M\n98 219 V\n1.000 UL\nLT5\nLT5\n1660 4257
        M\n-98 93 V\n1.000 UL\nLT5\nLT5\n1495 4274 M\n67 76 V\n1.000
        UL\nLT5\nLT5\n2137 4041 M\n41 126 V\n1.000 UL\nLT5\nLT5\n2231 4129
        M\n-53 38 V\n1.000 UL\nLT5\nLT5\n2424 4326 M\n128 62 V\n1.000
        UL\nLT5\nLT5\n2590 4287 M\n-38 101 V\n1.000 UL\nLT5\nLT5\n801 4015
        M\n7 196 V\n1.000 UL\nLT5\nLT5\n1736 4142 M\n-76 115 V\n1.000
        UL\nLT5\nLT5\n1609 4199 M\n51 58 V\n1.000 UL\nLT5\nLT5\n3300 3908
        M\n21 -156 V\n1.000 UL\nLT5\nLT5\n3222 3530 M\n99 222 V\n1.000
        UL\nLT5\nLT5\n2315 4239 M\n109 87 V\n1.000 UL\nLT5\nLT5\n2454 4248
        M\n-30 78 V\n1.000 UL\nLT5\nLT5\n1736 4142 M\n41 -103 V\n1.000
        UL\nLT5\nLT5\n1698 4098 M\n38 44 V\n1.000 UL\nLT5\nLT5\n1529 2450
        M\n197 -106 V\n1.000 UL\nLT5\nLT5\n1856 2316 M\n-130 28 V\n1.000
        UL\nLT5\nLT5\n921 4107 M\n6 177 V\n1.000 UL\nLT5\nLT5\n2231 4129
        M\n-34 -75 V\n1.000 UL\nLT5\nLT5\n2231 4129 M\n84 110 V\n1.000
        UL\nLT5\nLT5\n2338 4179 M\n-23 60 V\n1.000 UL\nLT5\nLT5\n2281 2430
        M\n-137 -98 V\n1.000 UL\nLT5\nLT5\n2002 2312 M\n142 20 V\n1.000
        UL\nLT5\nLT5\n2248 4083 M\n-17 46 V\n1.000 UL\nLT5\nLT5\n3242 4041
        M\n58 -133 V\n1.000 UL\nLT5\nLT5\n3203 3689 M\n97 219 V\n1.000
        UL\nLT5\nLT5\n1060 4173 M\n5 153 V\n1.000 UL\nLT5\nLT5\n1764 2400
        M\n92 -84 V\n1.000 UL\nLT5\nLT5\n2002 2312 M\n-146 4 V\n1.000
        UL\nLT5\nLT5\n2027 2393 M\n-25 -81 V\n1.000 UL\nLT5\nLT5\n3151 4148
        M\n91 -107 V\n1.000 UL\nLT5\nLT5\n3149 3831 M\n93 210 V\n1.000
        UL\nLT5\nLT5\n1209 4210 M\n5 128 V\n1.000 UL\nLT5\nLT5\n2248 4083
        M\n-7 -14 V\n1.000 UL\nLT5\nLT5\n1696 4061 M\n2 37 V\n1.000
        UL\nLT5\nLT5\n1357 4217 M\n3 104 V\n1.000 UL\nLT5\nLT5\n1607 4138
        M\n2 61 V\n1.000 UL\nLT5\nLT5\n1492 4193 M\n3 81 V\n1.000
        UL\nLT5\nLT5\n3030 4227 M\n121 -79 V\n1.000 UL\nLT5\nLT5\n3064 3953
        M\n87 195 V\n1.000 UL\nLT5\nLT5\n706 3237 M\n806 3040 L\n1.000
        UL\nLT5\nLT5\n956 2859 M\n806 3040 L\n1.000 UL\nLT5\nLT5\n2242 4070
        M\n6 13 V\n1.000 UL\nLT5\nLT5\n2338 4179 M\n-90 -96 V\n1.000
        UL\nLT5\nLT5\n3065 2978 M\n2904 2787 L\n1.000 UL\nLT5\nLT5\n2704 2642
        M\n200 145 V\n1.000 UL\nLT5\nLT5\n1106 2686 M\n247 -150 V\n1.000
        UL\nLT5\nLT5\n1529 2450 M\n-176 86 V\n1.000 UL\nLT5\nLT5\n2889 4277
        M\n141 -50 V\n1.000 UL\nLT5\nLT5\n2952 4052 M\n78 175 V\n1.000
        UL\nLT5\nLT5\n2311 4119 M\n27 60 V\n1.000 UL\nLT5\nLT5\n2454 4248
        M\n-116 -69 V\n1.000 UL\nLT5\nLT5\n2739 4297 M\n150 -20 V\n1.000
        UL\nLT5\nLT5\n2822 4125 M\n67 152 V\n1.000 UL\nLT5\nLT5\n2419 4168
        M\n35 80 V\n1.000 UL\nLT5\nLT5\n2590 4287 M\n-136 -39 V\n1.000
        UL\nLT5\nLT5\n2590 4287 M\n149 10 V\n1.000 UL\nLT5\nLT5\n2683 4170
        M\n56 127 V\n1.000 UL\nLT5\nLT5\n2545 4185 M\n45 102 V\n1.000
        UL\nLT5\nLT5\n1607 4138 M\n71 -68 V\n1.000 UL\nLT5\nLT5\n651 3425
        M\n55 -188 V\n1.000 UL\nLT5\nLT5\n869 3041 M\n706 3237 L\n1.000
        UL\nLT5\nLT5\n2704 2642 M\n2495 2505 L\n1.000 UL\nLT5\nLT5\n2281 2430
        M\n214 75 V\n1.000 UL\nLT5\nLT5\n1492 4193 M\n115 -55 V\n1.000
        UL\nLT5\nLT5\n1654 4081 M\n-47 57 V\n1.000 UL\nLT5\nLT5\n3157 3170
        M\n-92 -192 V\n1.000 UL\nLT5\nLT5\n2830 2808 M\n235 170 V\n1.000
        UL\nLT5\nLT5\n634 3600 M\n17 -175 V\n1.000 UL\nLT5\nLT5\n821 3221
        M\n651 3425 L\n1.000 UL\nLT5\nLT5\n2246 4071 M\n65 48 V\n1.000
        UL\nLT5\nLT5\n2419 4168 M\n-108 -49 V\n1.000 UL\nLT5\nLT5\n1357 4217
        M\n135 -24 V\n1.000 UL\nLT5\nLT5\n1554 4119 M\n-62 74 V\n1.000
        UL\nLT5\nLT5\n1352 2567 M\n177 -117 V\n1.000 UL\nLT5\nLT5\n1764 2400
        M\n-235 50 V\n1.000 UL\nLT5\nLT5\n653 3758 M\n634 3600 L\n1.000
        UL\nLT5\nLT5\n806 3393 M\n634 3600 L\n1.000 UL\nLT5\nLT5\n1209 4210
        M\n148 7 V\n1.000 UL\nLT5\nLT5\n1436 4122 M\n-79 95 V\n1.000
        UL\nLT5\nLT5\n2323 4098 M\n96 70 V\n1.000 UL\nLT5\nLT5\n2545 4185
        M\n-126 -17 V\n1.000 UL\nLT5\nLT5\n3207 3356 M\n-50 -186 V\n1.000
        UL\nLT5\nLT5\n2903 2985 M\n254 185 V\n1.000 UL\nLT5\nLT5\n956 2859
        M\n150 -173 V\n1.000 UL\nLT5\nLT5\n1352 2567 M\n-246 119 V\n1.000
        UL\nLT5\nLT5\n1060 4173 M\n149 37 V\n1.000 UL\nLT5\nLT5\n1308 4092
        M\n-99 118 V\n1.000 UL\nLT5\nLT5\n710 3897 M\n653 3758 L\n1.000
        UL\nLT5\nLT5\n823 3554 M\n653 3758 L\n1.000 UL\nLT5\nLT5\n1554 4119
        M\n100 -38 V\n1.000 UL\nLT5\nLT5\n1713 4052 M\n-59 29 V\n1.000
        UL\nLT5\nLT5\n2405 2538 M\n2281 2430 L\n1.000 UL\nLT5\nLT5\n2027 2393
        M\n254 37 V\n1.000 UL\nLT5\nLT5\n921 4107 M\n139 66 V\n1.000
        UL\nLT5\nLT5\n1178 4032 M\n-118 141 V\n1.000 UL\nLT5\nLT5\n801 4015
        M\n710 3897 L\n1.000 UL\nLT5\nLT5\n873 3702 M\n710 3897 L\n1.000
        UL\nLT5\nLT5\n2422 4095 M\n123 90 V\n1.000 UL\nLT5\nLT5\n2683 4170
        M\n-138 15 V\n1.000 UL\nLT5\nLT5\n801 4015 M\n120 92 V\n1.000
        UL\nLT5\nLT5\n1056 3944 M\n921 4107 L\n1.000 UL\nLT5\nLT5\n952 3833
        M\n801 4015 L\n1.000 UL\nLT5\nLT5\n3222 3530 M\n-15 -174 V\n1.000
        UL\nLT5\nLT5\n2942 3163 M\n265 193 V\n1.000 UL\nLT5\nLT5\n1680 2497
        M\n84 -97 V\n1.000 UL\nLT5\nLT5\n2027 2393 M\n-263 7 V\n1.000
        UL\nLT5\nLT5\n2049 2487 M\n-22 -94 V\n1.000 UL\nLT5\nLT5\n2530 4059
        M\n153 111 V\n1.000 UL\nLT5\nLT5\n2822 4125 M\n-139 45 V\n1.000
        UL\nLT5\nLT5\n1436 4122 M\n118 -3 V\n1.000 UL\nLT5\nLT5\n1672 4061
        M\n-118 58 V\n1.000 UL\nLT5\nLT5\n2830 2808 M\n2704 2642 L\n1.000
        UL\nLT5\nLT5\n2405 2538 M\n299 104 V\n1.000 UL\nLT5\nLT5\n3203 3689
        M\n19 -159 V\n1.000 UL\nLT5\nLT5\n2954 3334 M\n268 196 V\n1.000
        UL\nLT5\nLT5\n2639 3992 M\n183 133 V\n1.000 UL\nLT5\nLT5\n2952 4052
        M\n-130 73 V\n1.000 UL\nLT5\nLT5\n2179 4047 M\n144 51 V\n1.000
        UL\nLT5\nLT5\n2422 4095 M\n-99 3 V\n1.000 UL\nLT5\nLT5\n869 3041
        M\n87 -182 V\n1.000 UL\nLT5\nLT5\n1244 2718 M\n956 2859 L\n1.000
        UL\nLT5\nLT5\n3149 3831 M\n54 -142 V\n1.000 UL\nLT5\nLT5\n2939 3497
        M\n264 192 V\n1.000 UL\nLT5\nLT5\n2742 3899 M\n210 153 V\n1.000
        UL\nLT5\nLT5\n3064 3953 M\n-112 99 V\n1.000 UL\nLT5\nLT5\n1308 4092
        M\n128 30 V\n1.000 UL\nLT5\nLT5\n1587 4048 M\n-151 74 V\n1.000
        UL\nLT5\nLT5\n3064 3953 M\n85 -122 V\n1.000 UL\nLT5\nLT5\n2896 3647
        M\n253 184 V\n1.000 UL\nLT5\nLT5\n2829 3782 M\n235 171 V\n1.000
        UL\nLT5\nLT5\n1587 4048 M\n85 13 V\n1.000 UL\nLT5\nLT5\n1830 4028
        M\n-158 33 V\n1.000 UL\nLT5\nLT5\n2237 4030 M\n185 65 V\n1.000
        UL\nLT5\nLT5\n2530 4059 M\n-108 36 V\n1.000 UL\nLT5\nLT5\n2007 4023
        M\n172 24 V\n1.000 UL\nLT5\nLT5\n2237 4030 M\n-58 17 V\n1.000
        UL\nLT5\nLT5\n1178 4032 M\n130 60 V\n1.000 UL\nLT5\nLT5\n1495 4000
        M\n-187 92 V\n1.000 UL\nLT5\nLT5\n1244 2718 M\n108 -151 V\n1.000
        UL\nLT5\nLT5\n1680 2497 M\n-328 70 V\n1.000 UL\nLT5\nLT5\n2903 2985
        M\n-73 -177 V\n1.000 UL\nLT5\nLT5\n2480 2684 M\n350 124 V\n1.000
        UL\nLT5\nLT5\n821 3221 M\n48 -180 V\n1.000 UL\nLT5\nLT5\n1181 2888
        M\n869 3041 L\n1.000 UL\nLT5\nLT5\n1790 4005 M\n40 23 V\n1.000
        UL\nLT5\nLT5\n2007 4023 M\n-177 5 V\n1.000 UL\nLT5\nLT5\n2018 3999
        M\n-11 24 V\n1.000 UL\nLT5\nLT5\n2480 2684 M\n-75 -146 V\n1.000
        UL\nLT5\nLT5\n2049 2487 M\n356 51 V\n1.000 UL\nLT5\nLT5\n2301 3978
        M\n229 81 V\n1.000 UL\nLT5\nLT5\n2639 3992 M\n-109 67 V\n1.000
        UL\nLT5\nLT5\n1056 3944 M\n122 88 V\n1.000 UL\nLT5\nLT5\n1402 3922
        M\n-224 110 V\n1.000 UL\nLT5\nLT5\n1495 4000 M\n92 48 V\n1.000
        UL\nLT5\nLT5\n1790 4005 M\n-203 43 V\n1.000 UL\nLT5\nLT5\n806 3393
        M\n15 -172 V\n1.000 UL\nLT5\nLT5\n1147 3061 M\n821 3221 L\n1.000
        UL\nLT5\nLT5\n2018 3999 M\n219 31 V\n1.000 UL\nLT5\nLT5\n2301 3978
        M\n-64 52 V\n1.000 UL\nLT5\nLT5\n2942 3163 M\n-39 -178 V\n1.000
        UL\nLT5\nLT5\n2523 2851 M\n380 134 V\n1.000 UL\nLT5\nLT5\n952 3833
        M\n104 111 V\n1.000 UL\nLT5\nLT5\n1315 3818 M\n-259 126 V\n1.000
        UL\nLT5\nLT5\n1630 2636 M\n50 -139 V\n1.000 UL\nLT5\nLT5\n2049 2487
        M\n-369 10 V\n1.000 UL\nLT5\nLT5\n823 3554 M\n806 3393 L\n1.000
        UL\nLT5\nLT5\n1136 3231 M\n806 3393 L\n1.000 UL\nLT5\nLT5\n2366 3896
        M\n273 96 V\n1.000 UL\nLT5\nLT5\n2742 3899 M\n-103 93 V\n1.000
        UL\nLT5\nLT5\n1747 3947 M\n43 58 V\n1.000 UL\nLT5\nLT5\n2018 3999
        M\n-228 6 V\n1.000 UL\nLT5\nLT5\n2061 2624 M\n-12 -137 V\n1.000
        UL\nLT5\nLT5\n873 3702 M\n79 131 V\n1.000 UL\nLT5\nLT5\n1240 3692
        M\n952 3833 L\n1.000 UL\nLT5\nLT5\n2029 3939 M\n-11 60 V\n1.000
        UL\nLT5\nLT5\n873 3702 M\n823 3554 L\n1.000 UL\nLT5\nLT5\n1148 3395
        M\n823 3554 L\n1.000 UL\nLT5\nLT5\n1183 3550 M\n873 3702 L\n1.000
        UL\nLT5\nLT5\n1402 3922 M\n93 78 V\n1.000 UL\nLT5\nLT5\n1747 3947
        M\n-252 53 V\n1.000 UL\nLT5\nLT5\n1181 2888 M\n63 -170 V\n1.000
        UL\nLT5\nLT5\n1630 2636 M\n-386 82 V\n1.000 UL\nLT5\nLT5\n2954 3334
        M\n-12 -171 V\n1.000 UL\nLT5\nLT5\n2546 3023 M\n396 140 V\n1.000
        UL\nLT5\nLT5\n2426 3788 M\n316 111 V\n1.000 UL\nLT5\nLT5\n2829 3782
        M\n-87 117 V\n1.000 UL\nLT5\nLT5\n2029 3939 M\n272 39 V\n1.000
        UL\nLT5\nLT5\n2366 3896 M\n-65 82 V\n1.000 UL\nLT5\nLT5\n2523 2851
        M\n-43 -167 V\n1.000 UL\nLT5\nLT5\n2061 2624 M\n419 60 V\n1.000
        UL\nLT5\nLT5\n2939 3497 M\n15 -163 V\n1.000 UL\nLT5\nLT5\n2552 3193
        M\n402 141 V\n1.000 UL\nLT5\nLT5\n2478 3659 M\n351 123 V\n1.000
        UL\nLT5\nLT5\n2896 3647 M\n-67 135 V\n1.000 UL\nLT5\nLT5\n1315 3818
        M\n87 104 V\n1.000 UL\nLT5\nLT5\n1703 3858 M\n-301 64 V\n1.000
        UL\nLT5\nLT5\n1703 3858 M\n44 89 V\n1.000 UL\nLT5\nLT5\n2029 3939
        M\n-282 8 V\n1.000 UL\nLT5\nLT5\n2896 3647 M\n43 -150 V\n1.000
        UL\nLT5\nLT5\n2543 3357 M\n396 140 V\n1.000 UL\nLT5\nLT5\n2518 3514
        M\n378 133 V\n1.000 UL\nLT5\nLT5\n2040 3849 M\n-11 90 V\n1.000
        UL\nLT5\nLT5\n1147 3061 M\n34 -173 V\n1.000 UL\nLT5\nLT5\n1600 2799
        M\n-419 89 V\n1.000 UL\nLT5\nLT5\n2040 3849 M\n326 47 V\n1.000
        UL\nLT5\nLT5\n2426 3788 M\n-60 108 V\n1.000 UL\nLT5\nLT5\n1600 2799
        M\n30 -163 V\n1.000 UL\nLT5\nLT5\n2061 2624 M\n-431 12 V\n1.000
        UL\nLT5\nLT5\n2068 2786 M\n-7 -162 V\n1.000 UL\nLT5\nLT5\n1240 3692
        M\n75 126 V\n1.000 UL\nLT5\nLT5\n1662 3744 M\n-347 74 V\n1.000
        UL\nLT5\nLT5\n2546 3023 M\n-23 -172 V\n1.000 UL\nLT5\nLT5\n2068 2786
        M\n455 65 V\n1.000 UL\nLT5\nLT5\n1136 3231 M\n11 -170 V\n1.000
        UL\nLT5\nLT5\n1583 2969 M\n-436 92 V\n1.000 UL\nLT5\nLT5\n1662 3744
        M\n41 114 V\n1.000 UL\nLT5\nLT5\n2040 3849 M\n-337 9 V\n1.000
        UL\nLT5\nLT5\n2050 3734 M\n-10 115 V\n1.000 UL\nLT5\nLT5\n2050 3734
        M\n376 54 V\n1.000 UL\nLT5\nLT5\n2478 3659 M\n-52 129 V\n1.000
        UL\nLT5\nLT5\n1183 3550 M\n57 142 V\n1.000 UL\nLT5\nLT5\n1627 3610
        M\n-387 82 V\n1.000 UL\nLT5\nLT5\n1148 3395 M\n-12 -164 V\n1.000
        UL\nLT5\nLT5\n1578 3138 M\n-442 93 V\n1.000 UL\nLT5\nLT5\n2552 3193
        M\n-6 -170 V\n1.000 UL\nLT5\nLT5\n2072 2955 M\n474 68 V\n1.000
        UL\nLT5\nLT5\n1148 3395 M\n35 155 V\n1.000 UL\nLT5\nLT5\n1600 3462
        M\n-417 88 V\n1.000 UL\nLT5\nLT5\n1583 3303 M\n-435 92 V\n1.000
        UL\nLT5\nLT5\n1583 2969 M\n17 -170 V\n1.000 UL\nLT5\nLT5\n2068 2786
        M\n-468 13 V\n1.000 UL\nLT5\nLT5\n2059 3599 M\n419 60 V\n1.000
        UL\nLT5\nLT5\n2518 3514 M\n-40 145 V\n1.000 UL\nLT5\nLT5\n2072 2955
        M\n-4 -169 V\n1.000 UL\nLT5\nLT5\n1627 3610 M\n35 134 V\n1.000
        UL\nLT5\nLT5\n2050 3734 M\n-388 10 V\n1.000 UL\nLT5\nLT5\n2543 3357
        M\n9 -164 V\n1.000 UL\nLT5\nLT5\n2073 3124 M\n479 69 V\n1.000
        UL\nLT5\nLT5\n2059 3599 M\n-9 135 V\n1.000 UL\nLT5\nLT5\n2066 3449
        M\n452 65 V\n1.000 UL\nLT5\nLT5\n2543 3357 M\n-25 157 V\n1.000
        UL\nLT5\nLT5\n2071 3290 M\n472 67 V\n1.000 UL\nLT5\nLT5\n1578 3138
        M\n5 -169 V\n1.000 UL\nLT5\nLT5\n2072 2955 M\n-489 14 V\n1.000
        UL\nLT5\nLT5\n1600 3462 M\n27 148 V\n1.000 UL\nLT5\nLT5\n2059 3599
        M\n-432 11 V\n1.000 UL\nLT5\nLT5\n2073 3124 M\n-1 -169 V\n1.000
        UL\nLT5\nLT5\n2066 3449 M\n-7 150 V\n1.000 UL\nLT5\nLT5\n1583 3303
        M\n-5 -165 V\n1.000 UL\nLT5\nLT5\n2073 3124 M\n-495 14 V\n1.000
        UL\nLT5\nLT5\n1583 3303 M\n17 159 V\n1.000 UL\nLT5\nLT5\n2066 3449
        M\n-466 13 V\n1.000 UL\nLT5\nLT5\n2071 3290 M\n-488 13 V\n1.000
        UL\nLT5\nLT5\n2071 3290 M\n2 -166 V\n1.000 UL\nLT5\nLT5\n2071 3290
        M\n-5 159 V\n1.000 UL\nLT5\n1.000
        UP\nstroke\ngrestore\nend\nshowpage\n%%Trailer\n%%DocumentFonts:
        Helvetica\n>|ps>||||||>

        \;
      </output>

      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ 
    </input>

    <\output>
      <postscript|<tuple|<raw_data|>|ps>||||||>

      \;
    </output>

    <\input|GNUplot] >
      ~set pm3d at s solid ~set palette rgb 7,0,0 ~set nocolorbox
      \ \ \ \ \ \ \ \ \ ~set parametric ~set border 0 ~set hidden3d ~set
      nokey ~set noxtics \ \ \ \ \ \ \ \ \ \ ~set noytics ~set noztics ~set
      isosamples 30,18 ~set view ,,1.2,1 \ \ \ \ \ \ \ \ \ \ \ \ ~set
      ticslevel 0 ~set urange[0:pi] ~set vrange[-pi:pi]
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~splot
      sin(u)*cos(v),sin(u)*sin(v),cos(u)+sin(u) lt 6
    </input>

    <\output>
      <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
      temp.eps\n%%Creator: gnuplot 3.8h patchlevel 0\n%%CreationDate: Sun Apr
      \ 6 13:47:58 2003\n%%DocumentFonts: (atend)\n%%BoundingBox: 50 50 410
      302\n%%Orientation: Portrait\n%%EndComments\n/gnudict 256 dict
      def\ngnudict begin\n/Color false def\n/Solid false def\n/gnulinewidth
      5.000 def\n/userlinewidth gnulinewidth def\n/vshift -46 def\n/dl {10.0
      mul} def\n/hpt_ 31.5 def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt vpt_
      def\n/M {moveto} bind def\n/L {lineto} bind def\n/R {rmoveto} bind
      def\n/V {rlineto} bind def\n/N {newpath moveto} bind def\n/f {rlineto
      fill} bind def\n/vpt2 vpt 2 mul def\n/hpt2 hpt 2 mul def\n/Lshow {
      currentpoint stroke M\n \ 0 vshift R show } def\n/Rshow { currentpoint
      stroke M\n \ dup stringwidth pop neg vshift R show } def\n/Cshow {
      currentpoint stroke M\n \ dup stringwidth pop -2 div vshift R show }
      def\n/UP { dup vpt_ mul /vpt exch def hpt_ mul /hpt exch def\n \ /hpt2
      hpt 2 mul def /vpt2 vpt 2 mul def } def\n/DL { Color {setrgbcolor Solid
      {pop []} if 0 setdash }\n {pop pop pop Solid {pop []} if 0 setdash}
      ifelse } def\n/BL { stroke userlinewidth 2 mul setlinewidth } def\n/AL
      { stroke userlinewidth 2 div setlinewidth } def\n/UL { dup gnulinewidth
      mul /userlinewidth exch def\n \ \ \ \ \ dup 1 lt {pop 1} if 10 mul /udl
      exch def } def\n/PL { stroke userlinewidth setlinewidth } def\n/LTb {
      BL [] 0 0 0 DL } def\n/LTa { AL [1 udl mul 2 udl mul] 0 setdash 0 0 0
      setrgbcolor } def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 { PL [4 dl 2 dl] 0
      1 0 DL } def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL } def\n/LT3 { PL [1 dl 1.5
      dl] 1 0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl 2 dl] 0 1 1 DL }
      def\n/LT5 { PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL } def\n/LT6 { PL [2 dl 2
      dl 2 dl 4 dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      1 0.3 0 DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      0.5 0.5 0.5 DL } def\n/Pnt { stroke [] 0 setdash\n \ \ gsave 1
      setlinecap M 0 0 V stroke grestore } def\n/Dia { stroke [] 0 setdash 2
      copy vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt
      neg vpt V closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0 setdash
      vpt sub M 0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg R hpt2
      0 V stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt sub
      exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
      closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt sub
      exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2 neg 0
      R hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy vpt 1.12
      mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      1.62 mul V closepath stroke\n \ Pnt \ } def\n/Star { 2 copy Pls Crs }
      def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V \ closepath fill }
      def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt
      -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath fill
      } def\n/TriD { stroke [] 0 setdash 2 copy vpt 1.12 mul sub M\n \ hpt
      neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V
      closepath stroke\n \ Pnt \ } def\n/TriDF { stroke [] 0 setdash vpt 1.12
      mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      -1.62 mul V closepath fill} def\n/DiaF { stroke [] 0 setdash vpt add
      M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V
      closepath fill } def\n/Pent { stroke [] 0 setdash 2 copy gsave\n
      \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath stroke
      grestore Pnt } def\n/PentF { stroke [] 0 setdash gsave\n \ translate 0
      hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath fill grestore }
      def\n/Circle { stroke [] 0 setdash 2 copy\n \ hpt 0 360 arc stroke Pnt
      } def\n/CircleF { stroke [] 0 setdash hpt 0 360 arc fill } def\n/C0 {
      BL [] 0 setdash 2 copy moveto vpt 90 450 \ arc } bind def\n/C1 { BL []
      0 setdash 2 copy \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C2 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C3 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
      bind def\n/C4 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
      \ vpt 180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 270 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C6 { BL [] 0
      setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 90 270 arc closepath
      fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
      def\n/C7 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 0 270
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
      } bind def\n/C8 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
      copy \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
      moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13 {
      BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
      setdash 2 copy vpt 0 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
      \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
      \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
      bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
      def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
      bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
      def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
      Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch vpt2
      vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy exch vpt
      sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 { BL [] 0
      setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt sub exch
      vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0 setdash 2
      copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare } bind
      def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt vpt2
      Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub vpt Square fill Bsquare
      } bind def\n/S9 { BL [] 0 setdash 2 copy vpt sub vpt vpt2 Rec fill
      Bsquare } bind def\n/S10 { BL [] 0 setdash 2 copy vpt sub vpt Square
      fill 2 copy exch vpt sub exch vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S11 { BL [] 0 setdash 2 copy vpt sub vpt Square fill 2 copy
      exch vpt sub exch vpt2 vpt Rec fill\n \ \ \ \ \ \ Bsquare } bind
      def\n/S12 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt
      Rec fill Bsquare } bind def\n/S13 { BL [] 0 setdash 2 copy exch vpt sub
      exch vpt sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill
      Bsquare } bind def\n/S14 { BL [] 0 setdash 2 copy exch vpt sub exch vpt
      sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square
      fill Bsquare } bind def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill
      Bsquare } bind def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke
      grestore } bind def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke
      grestore } bind def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke
      grestore } bind def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke
      grestore } bind def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke
      grestore } bind def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke
      grestore } bind def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke
      grestore } bind def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke
      grestore } bind def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke
      grestore } bind def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke
      grestore } bind def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke
      grestore } bind def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke
      grestore } bind def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke
      grestore } bind def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke
      grestore } bind def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke
      grestore } bind def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke
      grestore } bind def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg
      vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke }
      def\n/BoxE { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE
      { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke }
      def\n/TriDE { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt
      1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath
      stroke } def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M
      4 {72 rotate 0 hpt L} repeat\n \ closepath stroke grestore }
      def\n/CircE { stroke [] 0 setdash \n \ hpt 0 360 arc stroke }
      def\n/Opaque { gsave closepath 1 setgray fill grestore 0 setgray
      closepath } def\n/DiaW { stroke [] 0 setdash vpt add M\n \ hpt neg vpt
      neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V Opaque stroke }
      def\n/BoxW { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW {
      stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW
      { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW
      { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
      repeat\n \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash
      \n \ hpt 0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray
      fill grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
      makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
      ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0 get
      findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ] exch
      dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch 4 get
      {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n \ \ \ \ {dup 3
      get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5\n
      \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop
      -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get\n
      \ \ \ \ show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop
      pop\n \ \ \ \ pop aload pop M} ifelse }ifelse }ifelse } forall} bind
      def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get findfont exch 1 get
      scalefont\n \ \ \ \ setfont 6 get stringwidth pop add} {pop} ifelse}
      forall} bind def\n/MLshow { currentpoint stroke M\n \ 0 exch R MFshow }
      bind def\n/MRshow { currentpoint stroke M\n \ exch dup MFwidth neg 3 -1
      roll R MFshow } def\n/MCshow { currentpoint stroke M\n \ exch dup
      MFwidth -2 div 3 -1 roll R MFshow } def\nend\n%%EndProlog\ngnudict
      begin\ngsave\n50 50 translate\n0.050 0.050 scale\n0
      setgray\nnewpath\n(Helvetica) findfont 140 scalefont setfont\n1.000
      UL\nLTb\ngsave %% colour palette begin\n/maxcolors 0
      def\n/maxcolorsLast {maxcolors 1 sub maxcolors div} def\n/pm3dround
      {maxcolors 0 gt {dup maxcolorsLast ge {pop 1} {maxcolors mul floor
      maxcolors div} ifelse} if} def\n/cF7 {sqrt} bind def\t% sqrt(x)\n/cF0
      {pop 0} bind def\t% 0\nColor true and { % COLOUR vs. GRAY map\n \ /g
      {stroke pm3dround dup cF7 exch dup cF0 exch cF0 setrgbcolor} bind def\n
      \ /h {rlineto rlineto rlineto fill} bind def\n}{\n \ /g {stroke
      pm3dround setgray} bind def\n \ /h {rlineto rlineto rlineto fill} bind
      def\n} ifelse\n%pm3d_map_begin\n.0236 g 3398 1424 N 0 0 159 -191 60 24
      h\n.073 g 3182 1603 N -60 -24 156 -201 120 46 h\n.1264 g 2971 1790 N
      -120 -46 153 -210 178 69 h\n.1831 g 2768 1984 N -178 -69 147 -215 234
      90 h\n.2426 g 2575 2182 N -234 -90 140 -219 287 111 h\n.3041 g 2394
      2383 N -287 -111 132 -220 336 130 h\n.3668 g 2227 2583 N -336 -130 121
      -218 382 148 h\n.4301 g 2077 2780 N -382 -148 109 -213 423 164 h\n.4933
      g 1944 2973 N -423 -164 96 -207 460 178 h\n.5555 g 1831 3158 N -460
      -178 81 -197 492 190 h\n.6161 g 1740 3334 N -492 -190 67 -186 516 200
      h\n.6742 g 1670 3498 N -516 -200 51 -172 535 208 h\n.7294 g 1623 3650 N
      -535 -208 34 -156 548 212 h\n.7808 g 1599 3786 N -548 -212 17 -138 555
      214 h\n.828 g 1599 3905 N -555 -214 0 -120 555 215 h\n.8703 g 1623 4006
      N -555 -215 -17 -98 548 212 h\n.9073 g 1670 4088 N -548 -212 -34 -77
      535 207 h\n.9384 g 1740 4149 N -535 -207 -51 -54 516 200 h\n.9635 g
      1831 4190 N -516 -200 -67 -31 492 190 h\n.9821 g 1944 4209 N -492 -190
      -81 -7 460 178 h\n.994 g 2077 4206 N -460 -178 -96 17 423 164 h\n.9991
      g 2227 4182 N -423 -164 -109 40 382 148 h\n.9974 g 2394 4136 N -382
      -148 -121 63 336 131 h\n.9889 g 2575 4070 N -336 -131 -132 86 287 111
      h\n.9736 g 2768 3983 N -287 -111 -140 107 234 91 h\n.9517 g 2971 3878 N
      -234 -91 -147 128 178 68 h\n.9236 g 3182 3754 N -178 -68 -153 146 120
      46 h\n.8895 g 3398 3614 N -120 -46 -156 162 60 24 h\n.8498 g 3617 3460
      N -60 -24 -159 178 0 0 h\n.0236 g 3458 1448 N 0 0 77 -205 82 14 h\n.073
      g 3302 1649 N -82 -14 76 -216 162 29 h\n.1264 g 3149 1859 N -162 -29 74
      -224 241 43 h\n.1831 g 3002 2074 N -241 -43 72 -229 316 57 h\n.2426 g
      2862 2293 N -316 -57 68 -231 388 69 h\n.3041 g 2730 2513 N -388 -69 63
      -232 457 81 h\n.3668 g 2609 2731 N -457 -81 59 -229 519 92 h\n.4301 g
      2500 2944 N -519 -92 53 -223 575 102 h\n.4933 g 2404 3151 N -575 -102
      47 -216 624 111 h\n.5555 g 2323 3348 N -624 -111 39 -204 666 118
      h\n.6161 g 2256 3534 N -666 -118 33 -192 700 124 h\n.6742 g 2205 3706 N
      -700 -124 24 -177 727 129 h\n.7294 g 2171 3862 N -727 -129 17 -159 744
      132 h\n.7808 g 2154 4000 N -744 -132 8 -140 753 134 h\n.828 g 2154 4120
      N -753 -134 0 -119 753 133 h\n.8703 g 2171 4218 N -753 -133 -8 -97 744
      132 h\n.9073 g 2205 4295 N -744 -132 -17 -74 727 129 h\n.9384 g 2256
      4349 N -727 -129 -24 -50 700 125 h\n.9635 g 2323 4380 N -700 -125 -33
      -24 666 118 h\n.9821 g 2404 4387 N -666 -118 -39 0 624 111 h\n.994 g
      2500 4370 N -624 -111 -47 26 575 102 h\n.9991 g 2609 4330 N -575 -102
      -53 50 519 92 h\n.9974 g 2730 4267 N -519 -92 -59 74 457 81 h\n.9889 g
      2862 4181 N -457 -81 -63 98 388 69 h\n.9736 g 3002 4074 N -388 -69 -68
      120 316 56 h\n.9517 g 3149 3946 N -316 -56 -72 141 241 43 h\n.9236 g
      3302 3800 N -241 -43 -74 160 162 29 h\n.8895 g 3458 3638 N -162 -29 -76
      177 82 14 h\n.8498 g 3617 3460 N -82 -14 -77 192 0 0 h\n.0236 g 3540
      1462 N 0 0 -15 -209 92 4 h\n.073 g 3464 1678 N -92 -4 -15 -219 183 7
      h\n.1264 g 3390 1902 N -183 -7 -14 -228 271 11 h\n.1831 g 3318 2131 N
      -271 -11 -14 -232 357 14 h\n.2426 g 3250 2362 N -357 -14 -13 -235 438
      18 h\n.3041 g 3187 2594 N -438 -18 -13 -235 514 21 h\n.3668 g 3128 2823
      N -514 -21 -11 -231 584 23 h\n.4301 g 3075 3046 N -584 -23 -11 -226 648
      26 h\n.4933 g 3028 3262 N -648 -26 -9 -218 704 28 h\n.5555 g 2989 3466
      N -704 -28 -8 -207 751 31 h\n.6161 g 2956 3658 N -751 -31 -6 -193 790
      32 h\n.6742 g 2932 3835 N -790 -32 -5 -178 819 33 h\n.7294 g 2915 3994
      N -819 -33 -3 -160 839 34 h\n.7808 g 2907 4134 N -839 -34 -2 -140 849
      34 h\n.828 g 2907 4253 N -849 -34 0 -120 849 35 h\n.8703 g 2915 4350 N
      -849 -35 2 -96 839 34 h\n.9073 g 2932 4424 N -839 -34 3 -73 819 33
      h\n.9384 g 2956 4474 N -819 -33 5 -49 790 32 h\n.9635 g 2989 4498 N
      -790 -32 6 -23 751 31 h\n.9821 g 3028 4498 N -751 -31 8 3 704 28
      h\n.994 g 3075 4472 N -704 -28 9 27 648 27 h\n.9991 g 3128 4422 N -648
      -27 11 53 584 24 h\n.9974 g 3187 4348 N -584 -24 11 78 514 20 h\n.9889
      g 3250 4250 N -514 -20 13 101 438 17 h\n.9736 g 3318 4130 N -438 -17 13
      123 357 14 h\n.9517 g 3390 3989 N -357 -14 14 144 271 11 h\n.9236 g
      3464 3829 N -271 -11 14 163 183 8 h\n.8895 g 3540 3652 N -183 -8 15 181
      92 4 h\n.8498 g 3617 3460 N -92 -4 15 196 0 0 h\n.0236 g 3632 1466 N 0
      0 -105 -201 90 -8 h\n.073 g 3647 1685 N -90 8 -103 -212 178 -15
      h\n.1264 g 3661 1913 N -178 15 -101 -220 265 -23 h\n.1831 g 3675 2145 N
      -265 23 -98 -226 349 -29 h\n.2426 g 3688 2380 N -349 29 -93 -228 429
      -36 h\n.3041 g 3701 2615 N -429 36 -87 -229 503 -42 h\n.3668 g 3712
      2846 N -503 42 -80 -226 572 -47 h\n.4301 g 3723 3072 N -572 47 -72 -220
      633 -53 h\n.4933 g 3732 3290 N -633 53 -64 -213 688 -58 h\n.5555 g 3740
      3497 N -688 58 -54 -203 734 -62 h\n.6161 g 3746 3690 N -734 62 -44 -190
      772 -65 h\n.6742 g 3751 3868 N -772 65 -34 -176 801 -67 h\n.7294 g 3754
      4028 N -801 67 -22 -158 820 -69 h\n.7808 g 3756 4168 N -820 69 -12 -140
      830 -69 h\n.828 g 3756 4288 N -830 69 0 -119 830 -70 h\n.8703 g 3754
      4384 N -830 70 12 -98 820 -68 h\n.9073 g 3751 4457 N -820 68 22 -74 801
      -67 h\n.9384 g 3746 4506 N -801 67 34 -51 772 -65 h\n.9635 g 3740 4529
      N -772 65 44 -26 734 -62 h\n.9821 g 3732 4526 N -734 62 54 -2 688 -57
      h\n.994 g 3723 4499 N -688 57 64 24 633 -54 h\n.9991 g 3712 4446 N -633
      54 72 47 572 -48 h\n.9974 g 3701 4368 N -572 48 80 72 503 -42 h\n.9889
      g 3688 4267 N -503 42 87 95 429 -36 h\n.9736 g 3675 4144 N -429 36 93
      116 349 -29 h\n.9517 g 3661 4000 N -349 29 98 137 265 -22 h\n.9236 g
      3647 3837 N -265 22 101 156 178 -15 h\n.8895 g 3632 3656 N -178 15 103
      174 90 -8 h\n.8498 g 3617 3460 N -90 8 105 188 0 0 h\n.0236 g 3722 1458
      N 0 0 -180 -184 75 -17 h\n.073 g 3825 1670 N -75 17 -179 -194 151 -35
      h\n.1264 g 3926 1890 N -151 35 -174 -203 224 -52 h\n.1831 g 4024 2116 N
      -224 52 -168 -209 294 -69 h\n.2426 g 4117 2344 N -294 69 -160 -212 361
      -85 h\n.3041 g 4204 2573 N -361 85 -149 -214 423 -100 h\n.3668 g 4284
      2799 N -423 100 -138 -212 481 -114 h\n.4301 g 4356 3019 N -481 114 -125
      -209 534 -125 h\n.4933 g 4420 3232 N -534 125 -109 -202 579 -136
      h\n.5555 g 4474 3435 N -579 136 -93 -194 618 -145 h\n.6161 g 4518 3625
      N -618 145 -76 -183 650 -152 h\n.6742 g 4552 3801 N -650 152 -58 -169
      674 -159 h\n.7294 g 4574 3959 N -674 159 -39 -155 691 -162 h\n.7808 g
      4586 4099 N -691 162 -20 -138 699 -164 h\n.828 g 4586 4218 N -699 164 0
      -119 699 -164 h\n.8703 g 4574 4316 N -699 164 20 -99 691 -163 h\n.9073
      g 4552 4390 N -691 163 39 -79 674 -158 h\n.9384 g 4518 4441 N -674 158
      58 -56 650 -153 h\n.9635 g 4474 4467 N -650 153 76 -34 618 -145
      h\n.9821 g 4420 4469 N -618 145 93 -10 579 -137 h\n.994 g 4356 4445 N
      -579 137 109 12 534 -125 h\n.9991 g 4284 4398 N -534 125 125 35 481
      -113 h\n.9974 g 4204 4326 N -481 113 138 58 423 -99 h\n.9889 g 4117
      4231 N -423 99 149 80 361 -84 h\n.9736 g 4024 4115 N -361 84 160 101
      294 -69 h\n.9517 g 3926 3978 N -294 69 168 121 224 -53 h\n.9236 g 3825
      3822 N -224 53 174 139 151 -36 h\n.8895 g 3722 3648 N -151 36 179 156
      75 -18 h\n.8498 g 3617 3460 N -75 18 180 170 0 0 h\n.0236 g 3797 1441 N
      0 0 -232 -158 52 -26 h\n.073 g 3976 1635 N -52 26 -229 -169 102 -51
      h\n.1264 g 4150 1838 N -102 51 -223 -178 151 -76 h\n.1831 g 4318 2047 N
      -151 76 -216 -185 199 -100 h\n.2426 g 4478 2259 N -199 100 -205 -190
      244 -122 h\n.3041 g 4627 2473 N -244 122 -193 -193 288 -143 h\n.3668 g
      4765 2685 N -288 143 -177 -192 327 -163 h\n.4301 g 4890 2894 N -327 163
      -159 -191 361 -181 h\n.4933 g 4999 3096 N -361 181 -141 -187 393 -196
      h\n.5555 g 5092 3290 N -393 196 -120 -180 420 -210 h\n.6161 g 5168 3473
      N -420 210 -97 -172 441 -221 h\n.6742 g 5226 3642 N -441 221 -74 -162
      457 -228 h\n.7294 g 5265 3797 N -457 228 -50 -149 468 -234 h\n.7808 g
      5285 3935 N -468 234 -25 -135 473 -237 h\n.828 g 5285 4054 N -473 237 0
      -119 473 -237 h\n.8703 g 5265 4153 N -473 237 25 -102 468 -234 h\n.9073
      g 5226 4232 N -468 234 50 -84 457 -229 h\n.9384 g 5168 4288 N -457 229
      74 -65 441 -220 h\n.9635 g 5092 4322 N -441 220 97 -44 420 -210
      h\n.9821 g 4999 4332 N -420 210 120 -24 393 -196 h\n.994 g 4890 4320 N
      -393 196 141 -3 361 -181 h\n.9991 g 4765 4285 N -361 181 159 17 327
      -163 h\n.9974 g 4627 4227 N -327 163 177 39 288 -144 h\n.9889 g 4478
      4147 N -288 144 193 58 244 -122 h\n.9736 g 4318 4046 N -244 122 205 79
      199 -100 h\n.9517 g 4150 3925 N -199 100 216 96 151 -75 h\n.9236 g 3976
      3786 N -151 75 223 115 102 -51 h\n.8895 g 3797 3630 N -102 51 229 130
      52 -25 h\n.8498 g 3617 3460 N -52 25 232 145 0 0 h\n.0236 g 3849 1415 N
      0 0 -252 -128 20 -30 h\n.073 g 4078 1584 N -20 30 -248 -139 39 -60
      h\n.1264 g 4301 1762 N -39 60 -244 -149 60 -89 h\n.1831 g 4517 1947 N
      -60 89 -234 -158 78 -116 h\n.2426 g 4722 2137 N -78 116 -223 -163 96
      -143 h\n.3041 g 4915 2330 N -96 143 -208 -168 111 -168 h\n.3668 g 5092
      2522 N -111 168 -193 -170 127 -190 h\n.4301 g 5251 2713 N -127 190 -173
      -170 141 -211 h\n.4933 g 5392 2900 N -141 211 -153 -168 153 -230
      h\n.5555 g 5512 3080 N -153 230 -130 -165 163 -245 h\n.6161 g 5609 3252
      N -163 245 -106 -160 172 -257 h\n.6742 g 5683 3414 N -172 257 -80 -152
      178 -267 h\n.7294 g 5733 3563 N -178 267 -55 -142 183 -274 h\n.7808 g
      5758 3698 N -183 274 -27 -132 185 -277 h\n.828 g 5758 3817 N -185 277 0
      -119 185 -277 h\n.8703 g 5733 3919 N -185 277 27 -105 183 -274 h\n.9073
      g 5683 4003 N -183 274 55 -91 178 -267 h\n.9384 g 5609 4068 N -178 267
      80 -74 172 -258 h\n.9635 g 5512 4112 N -172 258 106 -57 163 -245
      h\n.9821 g 5392 4136 N -163 245 130 -40 153 -229 h\n.994 g 5251 4139 N
      -153 229 153 -21 141 -211 h\n.9991 g 5092 4122 N -141 211 173 -3 127
      -191 h\n.9974 g 4915 4083 N -127 191 193 16 111 -168 h\n.9889 g 4722
      4025 N -111 168 208 34 96 -144 h\n.9736 g 4517 3946 N -96 144 223 51 78
      -116 h\n.9517 g 4301 3850 N -78 116 234 69 60 -89 h\n.9236 g 4078 3735
      N -60 89 244 85 39 -59 h\n.8895 g 3849 3605 N -39 59 248 101 20 -30
      h\n.8498 g 3617 3460 N -20 30 252 115 0 0 h\n.0236 g 3869 1385 N 0 0
      -238 -98 -14 -30 h\n.073 g 4117 1524 N 14 30 -235 -109 -27 -60 h\n.1264
      g 4361 1673 N 27 60 -229 -120 -42 -89 h\n.1831 g 4595 1831 N 42 89 -221
      -129 -55 -118 h\n.2426 g 4818 1994 N 55 118 -211 -136 -67 -145 h\n.3041
      g 5026 2162 N 67 145 -197 -143 -78 -170 h\n.3668 g 5219 2332 N 78 170
      -181 -147 -90 -193 h\n.4301 g 5392 2502 N 90 193 -164 -149 -99 -214
      h\n.4933 g 5545 2670 N 99 214 -144 -150 -108 -232 h\n.5555 g 5675 2835
      N 108 232 -123 -149 -115 -248 h\n.6161 g 5781 2995 N 115 248 -100 -147
      -121 -261 h\n.6742 g 5861 3147 N 121 261 -76 -142 -125 -271 h\n.7294 g
      5916 3289 N 125 271 -51 -136 -129 -277 h\n.7808 g 5943 3421 N 129 277
      -26 -129 -130 -280 h\n.828 g 5943 3540 N 130 280 0 -119 -130 -280
      h\n.8703 g 5916 3645 N 130 280 26 -109 -129 -276 h\n.9073 g 5861 3736 N
      129 276 51 -97 -125 -270 h\n.9384 g 5781 3810 N 125 270 76 -83 -121
      -261 h\n.9635 g 5675 3867 N 121 261 100 -70 -115 -248 h\n.9821 g 5545
      3907 N 115 248 123 -55 -108 -233 h\n.994 g 5392 3928 N 108 233 144 -40
      -99 -214 h\n.9991 g 5219 3931 N 99 214 164 -24 -90 -193 h\n.9974 g 5026
      3915 N 90 193 181 -7 -78 -170 h\n.9889 g 4818 3881 N 78 170 197 8 -67
      -144 h\n.9736 g 4595 3830 N 67 144 211 25 -55 -118 h\n.9517 g 4361 3761
      N 55 118 221 41 -42 -90 h\n.9236 g 4117 3676 N 42 90 229 56 -27 -61
      h\n.8895 g 3869 3575 N 27 61 235 71 -14 -31 h\n.8498 g 3617 3460 N 14
      31 238 84 0 0 h\n.0236 g 3855 1355 N 0 0 -191 -71 -47 -27 h\n.073 g
      4090 1464 N 47 27 -190 -83 -92 -53 h\n.1264 g 4319 1584 N 92 53 -185
      -94 -136 -79 h\n.1831 g 4540 1713 N 136 79 -178 -105 -179 -103 h\n.2426
      g 4751 1849 N 179 103 -170 -113 -220 -126 h\n.3041 g 4948 1992 N 220
      126 -159 -120 -258 -149 h\n.3668 g 5129 2139 N 258 149 -146 -127 -293
      -169 h\n.4301 g 5293 2288 N 293 169 -132 -131 -325 -187 h\n.4933 g 5437
      2438 N 325 187 -116 -134 -353 -203 h\n.5555 g 5560 2587 N 353 203 -99
      -135 -377 -217 h\n.6161 g 5660 2734 N 377 217 -81 -136 -396 -228
      h\n.6742 g 5736 2876 N 396 228 -61 -134 -411 -236 h\n.7294 g 5787 3012
      N 411 236 -41 -130 -421 -242 h\n.7808 g 5813 3141 N 421 242 -21 -125
      -426 -246 h\n.828 g 5813 3260 N 426 246 0 -120 -426 -245 h\n.8703 g
      5787 3369 N 426 245 21 -111 -421 -243 h\n.9073 g 5736 3466 N 421 243 41
      -103 -411 -237 h\n.9384 g 5660 3549 N 411 237 61 -92 -396 -228 h\n.9635
      g 5560 3619 N 396 228 81 -81 -377 -217 h\n.9821 g 5437 3674 N 377 217
      99 -69 -353 -203 h\n.994 g 5293 3714 N 353 203 116 -56 -325 -187
      h\n.9991 g 5129 3738 N 325 187 132 -42 -293 -169 h\n.9974 g 4948 3745 N
      293 169 146 -28 -258 -148 h\n.9889 g 4751 3737 N 258 148 159 -13 -220
      -127 h\n.9736 g 4540 3712 N 220 127 170 1 -179 -103 h\n.9517 g 4319
      3671 N 179 103 178 16 -136 -78 h\n.9236 g 4090 3615 N 136 78 185 31 -92
      -53 h\n.8895 g 3855 3544 N 92 53 190 44 -47 -26 h\n.8498 g 3617 3460 N
      47 26 191 58 0 0 h\n.0236 g 3808 1328 N 0 0 -119 -52 -72 -19 h\n.073 g
      3998 1411 N 72 19 -119 -64 -143 -38 h\n.1264 g 4183 1505 N 143 38 -115
      -76 -213 -56 h\n.1831 g 4361 1610 N 213 56 -111 -86 -280 -75 h\n.2426 g
      4531 1723 N 280 75 -106 -96 -344 -92 h\n.3041 g 4690 1843 N 344 92 -99
      -105 -404 -107 h\n.3668 g 4836 1970 N 404 107 -92 -112 -458 -122
      h\n.4301 g 4968 2101 N 458 122 -82 -117 -508 -136 h\n.4933 g 5084 2235
      N 508 136 -72 -123 -552 -147 h\n.5555 g 5183 2370 N 552 147 -62 -126
      -589 -156 h\n.6161 g 5264 2506 N 589 156 -51 -127 -619 -165 h\n.6742 g
      5325 2640 N 619 165 -38 -127 -642 -172 h\n.7294 g 5366 2770 N 642 172
      -26 -127 -657 -175 h\n.7808 g 5387 2895 N 657 175 -13 -123 -665 -177
      h\n.828 g 5387 3015 N 665 177 0 -119 -665 -178 h\n.8703 g 5366 3126 N
      665 178 13 -114 -657 -175 h\n.9073 g 5325 3229 N 657 175 26 -107 -642
      -171 h\n.9384 g 5264 3321 N 642 171 38 -98 -619 -165 h\n.9635 g 5183
      3402 N 619 165 51 -89 -589 -157 h\n.9821 g 5084 3471 N 589 157 62 -79
      -552 -147 h\n.994 g 4968 3527 N 552 147 72 -67 -508 -136 h\n.9991 g
      4836 3569 N 508 136 82 -56 -458 -122 h\n.9974 g 4690 3597 N 458 122 92
      -42 -404 -108 h\n.9889 g 4531 3610 N 404 108 99 -30 -344 -91 h\n.9736 g
      4361 3609 N 344 91 106 -15 -280 -75 h\n.9517 g 4183 3593 N 280 75 111
      -2 -213 -57 h\n.9236 g 3998 3562 N 213 57 115 12 -143 -38 h\n.8895 g
      3808 3518 N 143 38 119 25 -72 -19 h\n.8498 g 3617 3460 N 72 19 119 39 0
      0 h\n.0236 g 3736 1309 N 0 0 -31 -43 -88 -9 h\n.073 g 3855 1373 N 88 9
      -31 -55 -176 -18 h\n.1264 g 3970 1449 N 176 18 -30 -66 -261 -28
      h\n.1831 g 4081 1535 N 261 28 -30 -78 -342 -36 h\n.2426 g 4187 1631 N
      342 36 -28 -88 -420 -44 h\n.3041 g 4286 1736 N 420 44 -26 -97 -493 -52
      h\n.3668 g 4378 1848 N 493 52 -24 -105 -561 -59 h\n.4301 g 4460 1965 N
      561 59 -21 -111 -622 -65 h\n.4933 g 4532 2088 N 622 65 -19 -117 -675
      -71 h\n.5555 g 4594 2214 N 675 71 -17 -121 -720 -76 h\n.6161 g 4645
      2341 N 720 76 -13 -123 -758 -80 h\n.6742 g 4683 2468 N 758 80 -10 -125
      -786 -82 h\n.7294 g 4709 2595 N 786 82 -7 -124 -805 -85 h\n.7808 g 4722
      2718 N 805 85 -3 -123 -815 -85 h\n.828 g 4722 2837 N 815 85 0 -119 -815
      -85 h\n.8703 g 4709 2951 N 815 85 3 -115 -805 -84 h\n.9073 g 4683 3058
      N 805 84 7 -108 -786 -83 h\n.9384 g 4645 3156 N 786 83 10 -102 -758 -79
      h\n.9635 g 4594 3245 N 758 79 13 -93 -720 -75 h\n.9821 g 4532 3324 N
      720 75 17 -83 -675 -71 h\n.994 g 4460 3391 N 675 71 19 -73 -622 -65
      h\n.9991 g 4378 3447 N 622 65 21 -62 -561 -59 h\n.9974 g 4286 3489 N
      561 59 24 -50 -493 -51 h\n.9889 g 4187 3519 N 493 51 26 -37 -420 -44
      h\n.9736 g 4081 3534 N 420 44 28 -23 -342 -36 h\n.9517 g 3970 3536 N
      342 36 30 -11 -261 -27 h\n.9236 g 3855 3524 N 261 27 30 3 -176 -18
      h\n.8895 g 3736 3499 N 176 18 31 17 -88 -10 h\n.8498 g 3617 3460 N 88
      10 31 29 0 0 h\n.0236 g 3648 1300 N 0 0 61 -45 -92 2 h\n.073 g 3679
      1355 N 92 -2 61 -57 -184 4 h\n.1264 g 3709 1421 N 184 -4 59 -68 -273 6
      h\n.1831 g 3739 1499 N 273 -6 56 -80 -359 8 h\n.2426 g 3767 1587 N 359
      -8 54 -89 -441 9 h\n.3041 g 3793 1684 N 441 -9 51 -99 -518 11 h\n.3668
      g 3817 1789 N 518 -11 46 -106 -588 12 h\n.4301 g 3838 1900 N 588 -12 42
      -113 -651 14 h\n.4933 g 3857 2017 N 651 -14 37 -118 -707 15 h\n.5555 g
      3874 2138 N 707 -15 32 -122 -756 16 h\n.6161 g 3887 2261 N 756 -16 26
      -124 -795 17 h\n.6742 g 3897 2386 N 795 -17 19 -125 -824 17 h\n.7294 g
      3904 2510 N 824 -17 13 -125 -844 18 h\n.7808 g 3907 2633 N 844 -18 7
      -123 -854 18 h\n.828 g 3907 2752 N 854 -18 0 -119 -854 18 h\n.8703 g
      3904 2867 N 854 -18 -7 -114 -844 17 h\n.9073 g 3897 2975 N 844 -17 -13
      -109 -824 18 h\n.9384 g 3887 3077 N 824 -18 -19 -100 -795 16 h\n.9635 g
      3874 3170 N 795 -16 -26 -93 -756 16 h\n.9821 g 3857 3253 N 756 -16 -32
      -82 -707 15 h\n.994 g 3838 3326 N 707 -15 -37 -72 -651 14 h\n.9991 g
      3817 3388 N 651 -14 -42 -60 -588 12 h\n.9974 g 3793 3438 N 588 -12 -46
      -48 -518 10 h\n.9889 g 3767 3475 N 518 -10 -51 -36 -441 9 h\n.9736 g
      3739 3498 N 441 -9 -54 -22 -359 8 h\n.9517 g 3709 3509 N 359 -8 -56 -9
      -273 6 h\n.9236 g 3679 3506 N 273 -6 -59 5 -184 4 h\n.8895 g 3648 3489
      N 184 -4 -61 19 -92 2 h\n.8498 g 3617 3460 N 92 -2 -61 31 0 0 h\n.0236
      g 3556 1302 N 0 0 146 -57 -85 12 h\n.073 g 3495 1359 N 85 -12 143 -70
      -167 25 h\n.1264 g 3436 1427 N 167 -25 140 -81 -248 38 h\n.1831 g 3380
      1507 N 248 -38 135 -92 -327 50 h\n.2426 g 3326 1596 N 327 -50 129 -101
      -402 62 h\n.3041 g 3275 1695 N 402 -62 120 -109 -471 72 h\n.3668 g 3229
      1801 N 471 -72 111 -116 -536 82 h\n.4301 g 3187 1914 N 536 -82 100 -122
      -594 91 h\n.4933 g 3150 2032 N 594 -91 88 -126 -645 99 h\n.5555 g 3118
      2154 N 645 -99 75 -128 -688 105 h\n.6161 g 3092 2278 N 688 -105 61 -130
      -723 111 h\n.6742 g 3073 2403 N 723 -111 47 -129 -751 115 h\n.7294 g
      3060 2528 N 751 -115 31 -128 -769 118 h\n.7808 g 3053 2651 N 769 -118
      15 -124 -777 119 h\n.828 g 3053 2770 N 777 -119 0 -119 -777 119
      h\n.8703 g 3060 2884 N 777 -119 -15 -113 -769 118 h\n.9073 g 3073 2993
      N 769 -118 -31 -105 -751 114 h\n.9384 g 3092 3093 N 751 -114 -47 -97
      -723 111 h\n.9635 g 3118 3186 N 723 -111 -61 -87 -688 105 h\n.9821 g
      3150 3268 N 688 -105 -75 -76 -645 99 h\n.994 g 3187 3340 N 645 -99 -88
      -64 -594 91 h\n.9991 g 3229 3400 N 594 -91 -100 -51 -536 82 h\n.9974 g
      3275 3448 N 536 -82 -111 -39 -471 73 h\n.9889 g 3326 3484 N 471 -73
      -120 -24 -402 61 h\n.9736 g 3380 3506 N 402 -61 -129 -11 -327 50
      h\n.9517 g 3436 3515 N 327 -50 -135 3 -248 38 h\n.9236 g 3495 3510 N
      248 -38 -140 18 -167 25 h\n.8895 g 3556 3491 N 167 -25 -143 31 -85 13
      h\n.8498 g 3617 3460 N 85 -13 -146 44 0 0 h\n.0236 g 3471 1314 N 0 0
      210 -80 -64 23 h\n.073 g 3328 1384 N 64 -23 207 -91 -128 44 h\n.1264 g
      3188 1465 N 128 -44 203 -102 -191 65 h\n.1831 g 3053 1557 N 191 -65 195
      -113 -251 86 h\n.2426 g 2924 1658 N 251 -86 186 -120 -308 105 h\n.3041
      g 2804 1767 N 308 -105 174 -128 -362 124 h\n.3668 g 2693 1883 N 362
      -124 160 -133 -411 141 h\n.4301 g 2593 2005 N 411 -141 144 -136 -455
      155 h\n.4933 g 2505 2131 N 455 -155 127 -140 -494 169 h\n.5555 g 2430
      2259 N 494 -169 109 -140 -528 181 h\n.6161 g 2369 2389 N 528 -181 88
      -139 -555 190 h\n.6742 g 2322 2518 N 555 -190 67 -136 -575 197 h\n.7294
      g 2291 2646 N 575 -197 45 -132 -589 201 h\n.7808 g 2276 2770 N 589 -201
      23 -127 -597 204 h\n.828 g 2276 2889 N 597 -204 0 -119 -597 204
      h\n.8703 g 2291 3002 N 597 -204 -23 -110 -589 201 h\n.9073 g 2322 3107
      N 589 -201 -45 -101 -575 197 h\n.9384 g 2369 3204 N 575 -197 -67 -90
      -555 190 h\n.9635 g 2430 3291 N 555 -190 -88 -77 -528 180 h\n.9821 g
      2505 3367 N 528 -180 -109 -65 -494 169 h\n.994 g 2593 3431 N 494 -169
      -127 -50 -455 155 h\n.9991 g 2693 3482 N 455 -155 -144 -37 -411 141
      h\n.9974 g 2804 3521 N 411 -141 -160 -21 -362 123 h\n.9889 g 2924 3545
      N 362 -123 -174 -6 -308 105 h\n.9736 g 3053 3556 N 308 -105 -186 8 -251
      86 h\n.9517 g 3188 3553 N 251 -86 -195 24 -191 65 h\n.9236 g 3328 3535
      N 191 -65 -203 39 -128 44 h\n.8895 g 3471 3504 N 128 -44 -207 53 -64 22
      h\n.8498 g 3617 3460 N 64 -22 -210 66 0 0 h\n.0236 g 3407 1337 N 0 0
      246 -108 -36 28 h\n.073 g 3200 1428 N 36 -28 244 -119 -73 56 h\n.1264 g
      2997 1530 N 73 -56 237 -130 -107 84 h\n.1831 g 2802 1643 N 107 -84 229
      -138 -141 109 h\n.2426 g 2616 1763 N 141 -109 218 -146 -173 135
      h\n.3041 g 2442 1891 N 173 -135 204 -151 -203 158 h\n.3668 g 2282 2024
      N 203 -158 187 -155 -230 180 h\n.4301 g 2138 2160 N 230 -180 170 -156
      -256 200 h\n.4933 g 2011 2300 N 256 -200 149 -156 -278 216 h\n.5555 g
      1902 2440 N 278 -216 127 -155 -296 231 h\n.6161 g 1814 2579 N 296 -231
      104 -151 -312 243 h\n.6742 g 1747 2715 N 312 -243 78 -145 -323 252
      h\n.7294 g 1702 2847 N 323 -252 53 -138 -331 258 h\n.7808 g 1679 2974 N
      331 -258 27 -130 -335 261 h\n.828 g 1679 3093 N 335 -261 0 -119 -335
      261 h\n.8703 g 1702 3203 N 335 -261 -27 -108 -331 259 h\n.9073 g 1747
      3304 N 331 -259 -53 -94 -323 252 h\n.9384 g 1814 3394 N 323 -252 -78
      -81 -312 243 h\n.9635 g 1902 3471 N 312 -243 -104 -66 -296 232 h\n.9821
      g 2011 3536 N 296 -232 -127 -49 -278 216 h\n.994 g 2138 3586 N 278 -216
      -149 -34 -256 200 h\n.9991 g 2282 3623 N 256 -200 -170 -17 -230 180
      h\n.9974 g 2442 3644 N 230 -180 -187 0 -203 159 h\n.9889 g 2616 3650 N
      203 -159 -204 18 -173 135 h\n.9736 g 2802 3642 N 173 -135 -218 33 -141
      110 h\n.9517 g 2997 3618 N 141 -110 -229 51 -107 83 h\n.9236 g 3200
      3579 N 107 -83 -237 65 -73 57 h\n.8895 g 3407 3526 N 73 -57 -244 81 -36
      29 h\n.8498 g 3617 3460 N 36 -29 -246 95 0 0 h\n.0236 g 3371 1365 N 0 0
      249 -139 -3 31 h\n.073 g 3127 1484 N 3 -31 247 -149 -6 61 h\n.1264 g
      2890 1614 N 6 -61 240 -160 -9 91 h\n.1831 g 2661 1752 N 9 -91 232 -167
      -12 120 h\n.2426 g 2443 1898 N 12 -120 220 -172 -14 146 h\n.3041 g 2239
      2049 N 14 -146 207 -177 -17 172 h\n.3668 g 2052 2204 N 17 -172 190 -178
      -20 195 h\n.4301 g 1882 2360 N 20 -195 171 -177 -21 216 h\n.4933 g 1733
      2516 N 21 -216 151 -175 -23 235 h\n.5555 g 1606 2671 N 23 -235 129 -171
      -25 251 h\n.6161 g 1502 2822 N 25 -251 105 -163 -26 263 h\n.6742 g 1424
      2967 N 26 -263 79 -156 -27 274 h\n.7294 g 1371 3105 N 27 -274 54 -144
      -28 280 h\n.7808 g 1344 3235 N 28 -280 27 -133 -28 283 h\n.828 g 1344
      3354 N 28 -283 0 -120 -28 284 h\n.8703 g 1371 3462 N 28 -284 -27 -104
      -28 280 h\n.9073 g 1424 3556 N 28 -280 -54 -88 -27 274 h\n.9384 g 1502
      3637 N 27 -274 -79 -71 -26 264 h\n.9635 g 1606 3703 N 26 -264 -105 -52
      -25 250 h\n.9821 g 1733 3752 N 25 -250 -129 -34 -23 235 h\n.994 g 1882
      3786 N 23 -235 -151 -15 -21 216 h\n.9991 g 2052 3803 N 21 -216 -171 4
      -20 195 h\n.9974 g 2239 3803 N 20 -195 -190 24 -17 171 h\n.9889 g 2443
      3785 N 17 -171 -207 42 -14 147 h\n.9736 g 2661 3752 N 14 -147 -220 61
      -12 119 h\n.9517 g 2890 3701 N 12 -119 -232 79 -9 91 h\n.9236 g 3127
      3636 N 9 -91 -240 95 -6 61 h\n.8895 g 3371 3555 N 6 -61 -247 112 -3 30
      h\n.8498 g 3617 3460 N 3 -30 -249 125 0 0 h\n.0236 g 3368 1396 N 0 0
      219 -167 30 28 h\n.073 g 3121 1545 N -30 -28 216 -179 61 58 h\n.1264 g
      2881 1705 N -61 -58 211 -187 90 85 h\n.1831 g 2649 1872 N -90 -85 203
      -194 119 112 h\n.2426 g 2429 2044 N -119 -112 193 -198 146 138 h\n.3041
      g 2222 2221 N -146 -138 181 -201 172 162 h\n.3668 g 2032 2399 N -172
      -162 167 -200 195 184 h\n.4301 g 1861 2576 N -195 -184 150 -197 216 204
      h\n.4933 g 1710 2751 N -216 -204 133 -193 234 222 h\n.5555 g 1581 2922
      N -234 -222 113 -185 250 236 h\n.6161 g 1476 3085 N -250 -236 91 -176
      264 249 h\n.6742 g 1397 3241 N -264 -249 70 -164 273 257 h\n.7294 g
      1343 3385 N -273 -257 47 -152 280 265 h\n.7808 g 1316 3518 N -280 -265
      24 -136 283 268 h\n.828 g 1316 3638 N -283 -268 0 -119 283 267 h\n.8703
      g 1343 3742 N -283 -267 -24 -101 280 264 h\n.9073 g 1397 3830 N -280
      -264 -47 -82 273 258 h\n.9384 g 1476 3901 N -273 -258 -70 -61 264 248
      h\n.9635 g 1581 3953 N -264 -248 -91 -41 250 237 h\n.9821 g 1710 3987 N
      -250 -237 -113 -19 234 222 h\n.994 g 1861 4002 N -234 -222 -133 3 216
      204 h\n.9991 g 2032 3998 N -216 -204 -150 24 195 184 h\n.9974 g 2222
      3974 N -195 -184 -167 46 172 162 h\n.9889 g 2429 3932 N -172 -162 -181
      66 146 138 h\n.9736 g 2649 3871 N -146 -138 -193 87 119 112 h\n.9517 g
      2881 3792 N -119 -112 -203 105 90 86 h\n.9236 g 3121 3697 N -90 -86
      -211 124 61 57 h\n.8895 g 3368 3585 N -61 -57 -216 140 30 29 h\n.8498 g
      3617 3460 N -30 -29 -219 154 0 0 h\n%pm3d_map_end\ngrestore % colour
      palette end\n1.000 UP\n1.000 UL\nLT5\nLT5\n3201 1429 M\n207 -91
      V\n1.000 UL\nLT5\nLT5\n3472 1315 M\n-64 23 V\n1.000 UL\nLT5\nLT5\n3998
      1412 M\n-190 -83 V\n1.000 UL\nLT5\nLT5\n3736 1310 M\n72 19 V\n1.000
      UL\nLT5\nLT5\n3329 1385 M\n143 -70 V\n1.000 UL\nLT5\nLT5\n3557 1303
      M\n-85 12 V\n1.000 UL\nLT5\nLT5\n3855 1374 M\n-119 -64 V\n1.000
      UL\nLT5\nLT5\n3648 1301 M\n88 9 V\n1.000 UL\nLT5\nLT5\n3496 1360 M\n61
      -57 V\n1.000 UL\nLT5\nLT5\n3648 1301 M\n-91 2 V\n1.000
      UL\nLT5\nLT5\n3679 1356 M\n-31 -55 V\n1.000 UL\nLT5\nLT5\n2998 1531
      M\n203 -102 V\n1.000 UL\nLT5\nLT5\n3329 1385 M\n-128 44 V\n1.000
      UL\nLT5\nLT5\n3732 4526 M\n8 3 V\n1.000 UL\nLT5\nLT5\n4474 4467 M\n-734
      62 V\n1.000 UL\nLT5\nLT5\n2990 4498 M\n750 31 V\n1.000
      UL\nLT5\nLT5\n4183 1506 M\n-185 -94 V\n1.000 UL\nLT5\nLT5\n3855 1374
      M\n143 38 V\n1.000 UL\nLT5\nLT5\n3029 4498 M\n-39 0 V\n1.000
      UL\nLT5\nLT5\n2324 4380 M\n666 118 V\n1.000 UL\nLT5\nLT5\n4540 1714
      M\n4319 1585 L\n1.000 UL\nLT5\nLT5\n4183 1506 M\n136 79 V\n1.000
      UL\nLT5\nLT5\n3189 1466 M\n140 -81 V\n1.000 UL\nLT5\nLT5\n3496 1360
      M\n-167 25 V\n1.000 UL\nLT5\nLT5\n3970 1450 M\n-115 -76 V\n1.000
      UL\nLT5\nLT5\n3679 1356 M\n176 18 V\n1.000 UL\nLT5\nLT5\n3723 4499 M\n9
      27 V\n1.000 UL\nLT5\nLT5\n4420 4469 M\n-688 57 V\n1.000
      UL\nLT5\nLT5\n3029 4498 M\n703 28 V\n1.000 UL\nLT5\nLT5\n4420 4469
      M\n54 -2 V\n1.000 UL\nLT5\nLT5\n5092 4322 M\n-618 145 V\n1.000
      UL\nLT5\nLT5\n3437 1428 M\n59 -68 V\n1.000 UL\nLT5\nLT5\n3679 1356
      M\n-183 4 V\n1.000 UL\nLT5\nLT5\n3709 1422 M\n-30 -66 V\n1.000
      UL\nLT5\nLT5\n3076 4472 M\n-47 26 V\n1.000 UL\nLT5\nLT5\n2405 4387
      M\n624 111 V\n1.000 UL\nLT5\nLT5\n2803 1644 M\n195 -113 V\n1.000
      UL\nLT5\nLT5\n3189 1466 M\n-191 65 V\n1.000 UL\nLT5\nLT5\n4751 1850
      M\n4540 1714 L\n1.000 UL\nLT5\nLT5\n4361 1611 M\n179 103 V\n1.000
      UL\nLT5\nLT5\n4356 4445 M\n64 24 V\n1.000 UL\nLT5\nLT5\n4999 4332
      M\n-579 137 V\n1.000 UL\nLT5\nLT5\n3712 4446 M\n11 53 V\n1.000
      UL\nLT5\nLT5\n4356 4445 M\n-633 54 V\n1.000 UL\nLT5\nLT5\n3076 4472
      M\n647 27 V\n1.000 UL\nLT5\nLT5\n4361 1611 M\n4183 1506 L\n1.000
      UL\nLT5\nLT5\n3970 1450 M\n213 56 V\n1.000 UL\nLT5\nLT5\n3129 4422
      M\n-53 50 V\n1.000 UL\nLT5\nLT5\n2501 4370 M\n575 102 V\n1.000
      UL\nLT5\nLT5\n2405 4387 M\n-81 -7 V\n1.000 UL\nLT5\nLT5\n1832 4190
      M\n492 190 V\n1.000 UL\nLT5\nLT5\n3054 1558 M\n135 -92 V\n1.000
      UL\nLT5\nLT5\n3437 1428 M\n-248 38 V\n1.000 UL\nLT5\nLT5\n5092 4322
      M\n76 -34 V\n1.000 UL\nLT5\nLT5\n5609 4068 M\n-441 220 V\n1.000
      UL\nLT5\nLT5\n4284 4398 M\n72 47 V\n1.000 UL\nLT5\nLT5\n4890 4320
      M\n-534 125 V\n1.000 UL\nLT5\nLT5\n4081 1536 M\n-111 -86 V\n1.000
      UL\nLT5\nLT5\n3709 1422 M\n261 28 V\n1.000 UL\nLT5\nLT5\n3701 4368
      M\n11 78 V\n1.000 UL\nLT5\nLT5\n4284 4398 M\n-572 48 V\n1.000
      UL\nLT5\nLT5\n3129 4422 M\n583 24 V\n1.000 UL\nLT5\nLT5\n2617 1764
      M\n186 -120 V\n1.000 UL\nLT5\nLT5\n3054 1558 M\n-251 86 V\n1.000
      UL\nLT5\nLT5\n4948 1993 M\n4751 1850 L\n1.000 UL\nLT5\nLT5\n4531 1724
      M\n220 126 V\n1.000 UL\nLT5\nLT5\n3381 1508 M\n56 -80 V\n1.000
      UL\nLT5\nLT5\n3709 1422 M\n-272 6 V\n1.000 UL\nLT5\nLT5\n2501 4370
      M\n-96 17 V\n1.000 UL\nLT5\nLT5\n1945 4209 M\n460 178 V\n1.000
      UL\nLT5\nLT5\n3188 4348 M\n-59 74 V\n1.000 UL\nLT5\nLT5\n2610 4330
      M\n519 92 V\n1.000 UL\nLT5\nLT5\n3739 1500 M\n-30 -78 V\n1.000
      UL\nLT5\nLT5\n4999 4332 M\n93 -10 V\n1.000 UL\nLT5\nLT5\n5512 4112
      M\n-420 210 V\n1.000 UL\nLT5\nLT5\n2053 2205 M\n187 -155 V\n1.000
      UL\nLT5\nLT5\n2443 1892 M\n-203 158 V\n1.000 UL\nLT5\nLT5\n4531 1724
      M\n4361 1611 L\n1.000 UL\nLT5\nLT5\n4081 1536 M\n280 75 V\n1.000
      UL\nLT5\nLT5\n4204 4326 M\n80 72 V\n1.000 UL\nLT5\nLT5\n4765 4285
      M\n-481 113 V\n1.000 UL\nLT5\nLT5\n3688 4267 M\n13 101 V\n1.000
      UL\nLT5\nLT5\n4204 4326 M\n-503 42 V\n1.000 UL\nLT5\nLT5\n3188 4348
      M\n513 20 V\n1.000 UL\nLT5\nLT5\n2610 4330 M\n-109 40 V\n1.000
      UL\nLT5\nLT5\n2078 4206 M\n423 164 V\n1.000 UL\nLT5\nLT5\n4890 4320
      M\n109 12 V\n1.000 UL\nLT5\nLT5\n5392 4136 M\n-393 196 V\n1.000
      UL\nLT5\nLT5\n3251 4250 M\n-63 98 V\n1.000 UL\nLT5\nLT5\n2731 4267
      M\n457 81 V\n1.000 UL\nLT5\nLT5\n1398 3830 M\n273 258 V\n1.000
      UL\nLT5\nLT5\n2925 1659 M\n129 -101 V\n1.000 UL\nLT5\nLT5\n3381 1508
      M\n-327 50 V\n1.000 UL\nLT5\nLT5\n5129 2140 M\n4948 1993 L\n1.000
      UL\nLT5\nLT5\n4690 1844 M\n258 149 V\n1.000 UL\nLT5\nLT5\n4117 4231
      M\n87 95 V\n1.000 UL\nLT5\nLT5\n4627 4227 M\n-423 99 V\n1.000
      UL\nLT5\nLT5\n2443 1892 M\n174 -128 V\n1.000 UL\nLT5\nLT5\n2925 1659
      M\n-308 105 V\n1.000 UL\nLT5\nLT5\n1883 2361 M\n170 -156 V\n1.000
      UL\nLT5\nLT5\n2283 2025 M\n-230 180 V\n1.000 UL\nLT5\nLT5\n2731 4267
      M\n-121 63 V\n1.000 UL\nLT5\nLT5\n2228 4182 M\n382 148 V\n1.000
      UL\nLT5\nLT5\n3675 4144 M\n13 123 V\n1.000 UL\nLT5\nLT5\n4117 4231
      M\n-429 36 V\n1.000 UL\nLT5\nLT5\n3251 4250 M\n437 17 V\n1.000
      UL\nLT5\nLT5\n4187 1632 M\n-106 -96 V\n1.000 UL\nLT5\nLT5\n3739 1500
      M\n342 36 V\n1.000 UL\nLT5\nLT5\n4765 4285 M\n125 35 V\n1.000
      UL\nLT5\nLT5\n5251 4139 M\n-361 181 V\n1.000 UL\nLT5\nLT5\n1477 3901
      M\n264 248 V\n1.000 UL\nLT5\nLT5\n3319 4130 M\n-68 120 V\n1.000
      UL\nLT5\nLT5\n2863 4181 M\n388 69 V\n1.000 UL\nLT5\nLT5\n4690 1844
      M\n4531 1724 L\n1.000 UL\nLT5\nLT5\n4187 1632 M\n344 92 V\n1.000
      UL\nLT5\nLT5\n3327 1597 M\n54 -89 V\n1.000 UL\nLT5\nLT5\n3739 1500
      M\n-358 8 V\n1.000 UL\nLT5\nLT5\n4024 4115 M\n93 116 V\n1.000
      UL\nLT5\nLT5\n4478 4147 M\n-361 84 V\n1.000 UL\nLT5\nLT5\n3767 1588
      M\n-28 -88 V\n1.000 UL\nLT5\nLT5\n2863 4181 M\n-132 86 V\n1.000
      UL\nLT5\nLT5\n2395 4136 M\n336 131 V\n1.000 UL\nLT5\nLT5\n4627 4227
      M\n138 58 V\n1.000 UL\nLT5\nLT5\n5092 4122 M\n-327 163 V\n1.000
      UL\nLT5\nLT5\n1582 3953 M\n250 237 V\n1.000 UL\nLT5\nLT5\n5609 4068
      M\n74 -65 V\n1.000 UL\nLT5\nLT5\n5861 3736 M\n-178 267 V\n1.000
      UL\nLT5\nLT5\n5293 2289 M\n5129 2140 L\n1.000 UL\nLT5\nLT5\n4836 1971
      M\n293 169 V\n1.000 UL\nLT5\nLT5\n3661 4000 M\n14 144 V\n1.000
      UL\nLT5\nLT5\n4024 4115 M\n-349 29 V\n1.000 UL\nLT5\nLT5\n3319 4130
      M\n356 14 V\n1.000 UL\nLT5\nLT5\n1734 2517 M\n149 -156 V\n1.000
      UL\nLT5\nLT5\n2139 2161 M\n-256 200 V\n1.000 UL\nLT5\nLT5\n3391 3989
      M\n-72 141 V\n1.000 UL\nLT5\nLT5\n3003 4074 M\n316 56 V\n1.000
      UL\nLT5\nLT5\n2283 2025 M\n160 -133 V\n1.000 UL\nLT5\nLT5\n2805 1768
      M\n-362 124 V\n1.000 UL\nLT5\nLT5\n1711 3987 M\n234 222 V\n1.000
      UL\nLT5\nLT5\n4478 4147 M\n149 80 V\n1.000 UL\nLT5\nLT5\n4915 4083
      M\n-288 144 V\n1.000 UL\nLT5\nLT5\n3926 3978 M\n98 137 V\n1.000
      UL\nLT5\nLT5\n4318 4046 M\n-294 69 V\n1.000 UL\nLT5\nLT5\n3003 4074
      M\n-140 107 V\n1.000 UL\nLT5\nLT5\n2576 4070 M\n287 111 V\n1.000
      UL\nLT5\nLT5\n5512 4112 M\n97 -44 V\n1.000 UL\nLT5\nLT5\n5781 3810
      M\n-172 258 V\n1.000 UL\nLT5\nLT5\n2805 1768 M\n120 -109 V\n1.000
      UL\nLT5\nLT5\n3327 1597 M\n-402 62 V\n1.000 UL\nLT5\nLT5\n3647 3837
      M\n14 163 V\n1.000 UL\nLT5\nLT5\n3926 3978 M\n-265 22 V\n1.000
      UL\nLT5\nLT5\n3391 3989 M\n270 11 V\n1.000 UL\nLT5\nLT5\n1862 4002
      M\n216 204 V\n1.000 UL\nLT5\nLT5\n4286 1737 M\n-99 -105 V\n1.000
      UL\nLT5\nLT5\n3767 1588 M\n420 44 V\n1.000 UL\nLT5\nLT5\n1317 3638 M\n0
      -120 V\n1.000 UL\nLT5\nLT5\n1345 3235 M\n-28 283 V\n1.000
      UL\nLT5\nLT5\n4318 4046 M\n160 101 V\n1.000 UL\nLT5\nLT5\n4722 4025
      M\n-244 122 V\n1.000 UL\nLT5\nLT5\n3465 3829 M\n-74 160 V\n1.000
      UL\nLT5\nLT5\n3150 3946 M\n241 43 V\n1.000 UL\nLT5\nLT5\n5392 4136
      M\n120 -24 V\n1.000 UL\nLT5\nLT5\n5675 3867 M\n-163 245 V\n1.000
      UL\nLT5\nLT5\n1607 2671 M\n127 -154 V\n1.000 UL\nLT5\nLT5\n2012 2301
      M\n-278 216 V\n1.000 UL\nLT5\nLT5\n5916 3289 M\n-55 -142 V\n1.000
      UL\nLT5\nLT5\n5736 2876 M\n125 271 V\n1.000 UL\nLT5\nLT5\n3150 3946
      M\n-147 128 V\n1.000 UL\nLT5\nLT5\n2769 3983 M\n234 91 V\n1.000
      UL\nLT5\nLT5\n4836 1971 M\n4690 1844 L\n1.000 UL\nLT5\nLT5\n4286 1737
      M\n404 107 V\n1.000 UL\nLT5\nLT5\n5437 2439 M\n5293 2289 L\n1.000
      UL\nLT5\nLT5\n4968 2102 M\n325 187 V\n1.000 UL\nLT5\nLT5\n3825 3822
      M\n101 156 V\n1.000 UL\nLT5\nLT5\n4150 3925 M\n-224 53 V\n1.000
      UL\nLT5\nLT5\n2033 3998 M\n195 184 V\n1.000 UL\nLT5\nLT5\n3276 1696
      M\n51 -99 V\n1.000 UL\nLT5\nLT5\n3767 1588 M\n-440 9 V\n1.000
      UL\nLT5\nLT5\n5251 4139 M\n141 -3 V\n1.000 UL\nLT5\nLT5\n5545 3907
      M\n-153 229 V\n1.000 UL\nLT5\nLT5\n4150 3925 M\n168 121 V\n1.000
      UL\nLT5\nLT5\n4517 3946 M\n-199 100 V\n1.000 UL\nLT5\nLT5\n1344 3742
      M\n-27 -104 V\n1.000 UL\nLT5\nLT5\n1345 3354 M\n-28 284 V\n1.000
      UL\nLT5\nLT5\n3793 1685 M\n-26 -97 V\n1.000 UL\nLT5\nLT5\n3632 3656
      M\n15 181 V\n1.000 UL\nLT5\nLT5\n3825 3822 M\n-178 15 V\n1.000
      UL\nLT5\nLT5\n3465 3829 M\n182 8 V\n1.000 UL\nLT5\nLT5\n3303 3800
      M\n-153 146 V\n1.000 UL\nLT5\nLT5\n2972 3878 M\n178 68 V\n1.000
      UL\nLT5\nLT5\n2139 2161 M\n144 -136 V\n1.000 UL\nLT5\nLT5\n2694 1884
      M\n-411 141 V\n1.000 UL\nLT5\nLT5\n3541 3652 M\n-76 177 V\n1.000
      UL\nLT5\nLT5\n3303 3800 M\n162 29 V\n1.000 UL\nLT5\nLT5\n2223 3974
      M\n172 162 V\n1.000 UL\nLT5\nLT5\n5943 3421 M\n-27 -132 V\n1.000
      UL\nLT5\nLT5\n5787 3012 M\n129 277 V\n1.000 UL\nLT5\nLT5\n3722 3648
      M\n103 174 V\n1.000 UL\nLT5\nLT5\n3976 3786 M\n-151 36 V\n1.000
      UL\nLT5\nLT5\n5092 4122 M\n159 17 V\n1.000 UL\nLT5\nLT5\n5392 3928
      M\n-141 211 V\n1.000 UL\nLT5\nLT5\n3976 3786 M\n174 139 V\n1.000
      UL\nLT5\nLT5\n4301 3850 M\n-151 75 V\n1.000 UL\nLT5\nLT5\n1503 2822
      M\n104 -151 V\n1.000 UL\nLT5\nLT5\n1903 2441 M\n-296 230 V\n1.000
      UL\nLT5\nLT5\n1398 3830 M\n-54 -88 V\n1.000 UL\nLT5\nLT5\n1372 3462
      M\n-28 280 V\n1.000 UL\nLT5\nLT5\n2430 3932 M\n146 138 V\n1.000
      UL\nLT5\nLT5\n3459 3638 M\n-156 162 V\n1.000 UL\nLT5\nLT5\n3183 3754
      M\n120 46 V\n1.000 UL\nLT5\nLT5\n2694 1884 M\n111 -116 V\n1.000
      UL\nLT5\nLT5\n3276 1696 M\n-471 72 V\n1.000 UL\nLT5\nLT5\n5560 2588
      M\n5437 2439 L\n1.000 UL\nLT5\nLT5\n5084 2236 M\n353 203 V\n1.000
      UL\nLT5\nLT5\n4915 4083 M\n177 39 V\n1.000 UL\nLT5\nLT5\n5219 3931
      M\n-127 191 V\n1.000 UL\nLT5\nLT5\n3722 3648 M\n-90 8 V\n1.000
      UL\nLT5\nLT5\n3541 3652 M\n91 4 V\n1.000 UL\nLT5\nLT5\n3797 3630 M\n179
      156 V\n1.000 UL\nLT5\nLT5\n4078 3735 M\n-102 51 V\n1.000
      UL\nLT5\nLT5\n5943 3540 M\n0 -119 V\n1.000 UL\nLT5\nLT5\n5813 3141
      M\n130 280 V\n1.000 UL\nLT5\nLT5\n2650 3871 M\n119 112 V\n1.000
      UL\nLT5\nLT5\n3459 3638 M\n82 14 V\n1.000 UL\nLT5\nLT5\n3797 3630
      M\n-75 18 V\n1.000 UL\nLT5\nLT5\n4968 2102 M\n4836 1971 L\n1.000
      UL\nLT5\nLT5\n4378 1849 M\n458 122 V\n1.000 UL\nLT5\nLT5\n4722 4025
      M\n193 58 V\n1.000 UL\nLT5\nLT5\n5026 3915 M\n-111 168 V\n1.000
      UL\nLT5\nLT5\n1477 3901 M\n-79 -71 V\n1.000 UL\nLT5\nLT5\n1425 3556
      M\n-27 274 V\n1.000 UL\nLT5\nLT5\n3399 3614 M\n60 24 V\n1.000
      UL\nLT5\nLT5\n2882 3792 M\n90 86 V\n1.000 UL\nLT5\nLT5\n4378 1849
      M\n-92 -112 V\n1.000 UL\nLT5\nLT5\n3793 1685 M\n493 52 V\n1.000
      UL\nLT5\nLT5\n3849 3605 M\n-52 25 V\n1.000 UL\nLT5\nLT5\n4517 3946
      M\n205 79 V\n1.000 UL\nLT5\nLT5\n4818 3881 M\n-96 144 V\n1.000
      UL\nLT5\nLT5\n3122 3697 M\n61 57 V\n1.000 UL\nLT5\nLT5\n1425 2967 M\n78
      -145 V\n1.000 UL\nLT5\nLT5\n1815 2580 M\n-312 242 V\n1.000
      UL\nLT5\nLT5\n4301 3850 M\n216 96 V\n1.000 UL\nLT5\nLT5\n4595 3830
      M\n-78 116 V\n1.000 UL\nLT5\nLT5\n3369 3585 M\n30 29 V\n1.000
      UL\nLT5\nLT5\n5916 3645 M\n27 -105 V\n1.000 UL\nLT5\nLT5\n5813 3260
      M\n130 280 V\n1.000 UL\nLT5\nLT5\n1582 3953 M\n-105 -52 V\n1.000
      UL\nLT5\nLT5\n1503 3637 M\n-26 264 V\n1.000 UL\nLT5\nLT5\n2012 2301
      M\n127 -140 V\n1.000 UL\nLT5\nLT5\n2594 2006 M\n-455 155 V\n1.000
      UL\nLT5\nLT5\n4078 3735 M\n223 115 V\n1.000 UL\nLT5\nLT5\n4361 3761
      M\n-60 89 V\n1.000 UL\nLT5\nLT5\n3869 3575 M\n-20 30 V\n1.000
      UL\nLT5\nLT5\n4078 3735 M\n3849 3605 L\n1.000 UL\nLT5\nLT5\n4117 3676
      M\n-39 59 V\n1.000 UL\nLT5\nLT5\n5660 2734 M\n5560 2588 L\n1.000
      UL\nLT5\nLT5\n5183 2371 M\n377 217 V\n1.000 UL\nLT5\nLT5\n3230 1802
      M\n46 -106 V\n1.000 UL\nLT5\nLT5\n3793 1685 M\n-517 11 V\n1.000
      UL\nLT5\nLT5\n1711 3987 M\n-129 -34 V\n1.000 UL\nLT5\nLT5\n1607 3703
      M\n-25 250 V\n1.000 UL\nLT5\nLT5\n3122 3697 M\n247 -112 V\n1.000
      UL\nLT5\nLT5\n3372 3555 M\n-3 30 V\n1.000 UL\nLT5\nLT5\n3817 1790
      M\n-24 -105 V\n1.000 UL\nLT5\nLT5\n5861 3736 M\n55 -91 V\n1.000
      UL\nLT5\nLT5\n5787 3369 M\n129 276 V\n1.000 UL\nLT5\nLT5\n3855 3544
      M\n14 31 V\n1.000 UL\nLT5\nLT5\n4117 3676 M\n3869 3575 L\n1.000
      UL\nLT5\nLT5\n1862 4002 M\n-151 -15 V\n1.000 UL\nLT5\nLT5\n1734 3752
      M\n-23 235 V\n1.000 UL\nLT5\nLT5\n2882 3792 M\n240 -95 V\n1.000
      UL\nLT5\nLT5\n3128 3636 M\n-6 61 V\n1.000 UL\nLT5\nLT5\n1372 3105 M\n53
      -138 V\n1.000 UL\nLT5\nLT5\n1748 2715 M\n-323 252 V\n1.000
      UL\nLT5\nLT5\n2594 2006 M\n100 -122 V\n1.000 UL\nLT5\nLT5\n3230 1802
      M\n-536 82 V\n1.000 UL\nLT5\nLT5\n3128 3636 M\n244 -81 V\n1.000
      UL\nLT5\nLT5\n3408 3526 M\n-36 29 V\n1.000 UL\nLT5\nLT5\n2033 3998
      M\n-171 4 V\n1.000 UL\nLT5\nLT5\n1883 3786 M\n-21 216 V\n1.000
      UL\nLT5\nLT5\n5084 2236 M\n4968 2102 L\n1.000 UL\nLT5\nLT5\n4460 1966
      M\n508 136 V\n1.000 UL\nLT5\nLT5\n2650 3871 M\n232 -79 V\n1.000
      UL\nLT5\nLT5\n2891 3701 M\n-9 91 V\n1.000 UL\nLT5\nLT5\n5781 3810 M\n80
      -74 V\n1.000 UL\nLT5\nLT5\n5736 3466 M\n125 270 V\n1.000
      UL\nLT5\nLT5\n3812 3520 M\n43 24 V\n1.000 UL\nLT5\nLT5\n4090 3615
      M\n-235 -71 V\n1.000 UL\nLT5\nLT5\n4090 3615 M\n27 61 V\n1.000
      UL\nLT5\nLT5\n4361 3761 M\n-244 -85 V\n1.000 UL\nLT5\nLT5\n2223 3974
      M\n-190 24 V\n1.000 UL\nLT5\nLT5\n2053 3803 M\n-20 195 V\n1.000
      UL\nLT5\nLT5\n2430 3932 M\n220 -61 V\n1.000 UL\nLT5\nLT5\n2662 3752
      M\n-12 119 V\n1.000 UL\nLT5\nLT5\n2430 3932 M\n-207 42 V\n1.000
      UL\nLT5\nLT5\n2240 3803 M\n-17 171 V\n1.000 UL\nLT5\nLT5\n2444 3785
      M\n-14 147 V\n1.000 UL\nLT5\nLT5\n5736 2876 M\n-76 -142 V\n1.000
      UL\nLT5\nLT5\n5264 2507 M\n396 227 V\n1.000 UL\nLT5\nLT5\n1903 2441
      M\n109 -140 V\n1.000 UL\nLT5\nLT5\n2506 2132 M\n-494 169 V\n1.000
      UL\nLT5\nLT5\n3201 3579 M\n207 -53 V\n1.000 UL\nLT5\nLT5\n3424 3521
      M\n-16 5 V\n1.000 UL\nLT5\nLT5\n4460 1966 M\n-82 -117 V\n1.000
      UL\nLT5\nLT5\n3817 1790 M\n561 59 V\n1.000 UL\nLT5\nLT5\n5675 3867
      M\n106 -57 V\n1.000 UL\nLT5\nLT5\n5660 3549 M\n121 261 V\n1.000
      UL\nLT5\nLT5\n4319 3671 M\n42 90 V\n1.000 UL\nLT5\nLT5\n4595 3830
      M\n-234 -69 V\n1.000 UL\nLT5\nLT5\n3998 3562 M\n-178 -41 V\n1.000
      UL\nLT5\nLT5\n1345 3235 M\n27 -130 V\n1.000 UL\nLT5\nLT5\n1703 2847
      M\n-331 258 V\n1.000 UL\nLT5\nLT5\n2891 3701 M\n237 -65 V\n1.000
      UL\nLT5\nLT5\n3201 3579 M\n-73 57 V\n1.000 UL\nLT5\nLT5\n5545 3907
      M\n130 -40 V\n1.000 UL\nLT5\nLT5\n5560 3619 M\n115 248 V\n1.000
      UL\nLT5\nLT5\n4540 3712 M\n55 118 V\n1.000 UL\nLT5\nLT5\n4818 3881
      M\n-223 -51 V\n1.000 UL\nLT5\nLT5\n5392 3928 M\n153 -21 V\n1.000
      UL\nLT5\nLT5\n5437 3674 M\n108 233 V\n1.000 UL\nLT5\nLT5\n4751 3737
      M\n67 144 V\n1.000 UL\nLT5\nLT5\n5026 3915 M\n-208 -34 V\n1.000
      UL\nLT5\nLT5\n3998 3562 M\n92 53 V\n1.000 UL\nLT5\nLT5\n4319 3671
      M\n-229 -56 V\n1.000 UL\nLT5\nLT5\n5219 3931 M\n173 -3 V\n1.000
      UL\nLT5\nLT5\n5293 3714 M\n99 214 V\n1.000 UL\nLT5\nLT5\n4948 3745
      M\n78 170 V\n1.000 UL\nLT5\nLT5\n5219 3931 M\n-193 -16 V\n1.000
      UL\nLT5\nLT5\n3188 1915 M\n42 -113 V\n1.000 UL\nLT5\nLT5\n3817 1790
      M\n-587 12 V\n1.000 UL\nLT5\nLT5\n5129 3738 M\n90 193 V\n1.000
      UL\nLT5\nLT5\n5787 3012 M\n-51 -136 V\n1.000 UL\nLT5\nLT5\n5325 2640
      M\n411 236 V\n1.000 UL\nLT5\nLT5\n1345 3354 M\n0 -119 V\n1.000
      UL\nLT5\nLT5\n1680 2974 M\n-335 261 V\n1.000 UL\nLT5\nLT5\n3838 1901
      M\n-21 -111 V\n1.000 UL\nLT5\nLT5\n5183 2371 M\n-99 -135 V\n1.000
      UL\nLT5\nLT5\n4532 2089 M\n552 147 V\n1.000 UL\nLT5\nLT5\n2662 3752
      M\n229 -51 V\n1.000 UL\nLT5\nLT5\n2998 3618 M\n-107 83 V\n1.000
      UL\nLT5\nLT5\n2506 2132 M\n88 -126 V\n1.000 UL\nLT5\nLT5\n3188 1915
      M\n-594 91 V\n1.000 UL\nLT5\nLT5\n1815 2580 M\n88 -139 V\n1.000
      UL\nLT5\nLT5\n2431 2260 M\n-528 181 V\n1.000 UL\nLT5\nLT5\n2998 3618
      M\n203 -39 V\n1.000 UL\nLT5\nLT5\n3329 3535 M\n-128 44 V\n1.000
      UL\nLT5\nLT5\n3855 3524 M\n143 38 V\n1.000 UL\nLT5\nLT5\n4183 3593
      M\n-185 -31 V\n1.000 UL\nLT5\nLT5\n4183 3593 M\n136 78 V\n1.000
      UL\nLT5\nLT5\n4540 3712 M\n-221 -41 V\n1.000 UL\nLT5\nLT5\n1372 3462
      M\n-27 -108 V\n1.000 UL\nLT5\nLT5\n1680 3093 M\n-335 261 V\n1.000
      UL\nLT5\nLT5\n2444 3785 M\n218 -33 V\n1.000 UL\nLT5\nLT5\n2803 3642
      M\n-141 110 V\n1.000 UL\nLT5\nLT5\n5813 3141 M\n-26 -129 V\n1.000
      UL\nLT5\nLT5\n5366 2770 M\n421 242 V\n1.000 UL\nLT5\nLT5\n4532 2089
      M\n-72 -123 V\n1.000 UL\nLT5\nLT5\n3838 1901 M\n622 65 V\n1.000
      UL\nLT5\nLT5\n3189 3553 M\n140 -18 V\n1.000 UL\nLT5\nLT5\n3469 3514
      M\n-140 21 V\n1.000 UL\nLT5\nLT5\n1425 3556 M\n-53 -94 V\n1.000
      UL\nLT5\nLT5\n1703 3203 M\n-331 259 V\n1.000 UL\nLT5\nLT5\n2240 3803
      M\n204 -18 V\n1.000 UL\nLT5\nLT5\n2617 3650 M\n-173 135 V\n1.000
      UL\nLT5\nLT5\n4361 3609 M\n179 103 V\n1.000 UL\nLT5\nLT5\n4751 3737
      M\n-211 -25 V\n1.000 UL\nLT5\nLT5\n5264 2507 M\n-81 -136 V\n1.000
      UL\nLT5\nLT5\n4594 2215 M\n589 156 V\n1.000 UL\nLT5\nLT5\n1748 2715
      M\n67 -135 V\n1.000 UL\nLT5\nLT5\n2370 2390 M\n-555 190 V\n1.000
      UL\nLT5\nLT5\n2803 3642 M\n195 -24 V\n1.000 UL\nLT5\nLT5\n3189 3553
      M\n-191 65 V\n1.000 UL\nLT5\nLT5\n5813 3260 M\n0 -119 V\n1.000
      UL\nLT5\nLT5\n5387 2895 M\n426 246 V\n1.000 UL\nLT5\nLT5\n1503 3637
      M\n-78 -81 V\n1.000 UL\nLT5\nLT5\n1748 3304 M\n-323 252 V\n1.000
      UL\nLT5\nLT5\n3151 2033 M\n37 -118 V\n1.000 UL\nLT5\nLT5\n3838 1901
      M\n-650 14 V\n1.000 UL\nLT5\nLT5\n2053 3803 M\n187 0 V\n1.000
      UL\nLT5\nLT5\n2443 3644 M\n-203 159 V\n1.000 UL\nLT5\nLT5\n2431 2260
      M\n75 -128 V\n1.000 UL\nLT5\nLT5\n3151 2033 M\n-645 99 V\n1.000
      UL\nLT5\nLT5\n3970 3536 M\n213 57 V\n1.000 UL\nLT5\nLT5\n4361 3609
      M\n-178 -16 V\n1.000 UL\nLT5\nLT5\n3857 2018 M\n-19 -117 V\n1.000
      UL\nLT5\nLT5\n1607 3703 M\n-104 -66 V\n1.000 UL\nLT5\nLT5\n1815 3394
      M\n-312 243 V\n1.000 UL\nLT5\nLT5\n1883 3786 M\n170 17 V\n1.000
      UL\nLT5\nLT5\n2283 3623 M\n-230 180 V\n1.000 UL\nLT5\nLT5\n4531 3610
      M\n220 127 V\n1.000 UL\nLT5\nLT5\n4948 3745 M\n-197 -8 V\n1.000
      UL\nLT5\nLT5\n1734 3752 M\n-127 -49 V\n1.000 UL\nLT5\nLT5\n1903 3471
      M\n-296 232 V\n1.000 UL\nLT5\nLT5\n1734 3752 M\n149 34 V\n1.000
      UL\nLT5\nLT5\n2139 3586 M\n-256 200 V\n1.000 UL\nLT5\nLT5\n5787 3369
      M\n26 -109 V\n1.000 UL\nLT5\nLT5\n5387 3015 M\n426 245 V\n1.000
      UL\nLT5\nLT5\n2012 3536 M\n-278 216 V\n1.000 UL\nLT5\nLT5\n4594 2215
      M\n-62 -126 V\n1.000 UL\nLT5\nLT5\n3857 2018 M\n675 71 V\n1.000
      UL\nLT5\nLT5\n1703 2847 M\n45 -132 V\n1.000 UL\nLT5\nLT5\n2323 2519
      M\n-575 196 V\n1.000 UL\nLT5\nLT5\n2617 3650 M\n186 -8 V\n1.000
      UL\nLT5\nLT5\n3054 3556 M\n-251 86 V\n1.000 UL\nLT5\nLT5\n3054 3556
      M\n135 -3 V\n1.000 UL\nLT5\nLT5\n3437 3515 M\n-248 38 V\n1.000
      UL\nLT5\nLT5\n4690 3597 M\n258 148 V\n1.000 UL\nLT5\nLT5\n5129 3738
      M\n-181 7 V\n1.000 UL\nLT5\nLT5\n5325 2640 M\n-61 -133 V\n1.000
      UL\nLT5\nLT5\n4645 2342 M\n619 165 V\n1.000 UL\nLT5\nLT5\n5736 3466
      M\n51 -97 V\n1.000 UL\nLT5\nLT5\n5366 3126 M\n421 243 V\n1.000
      UL\nLT5\nLT5\n4081 3534 M\n-111 2 V\n1.000 UL\nLT5\nLT5\n4836 3569
      M\n293 169 V\n1.000 UL\nLT5\nLT5\n5293 3714 M\n-164 24 V\n1.000
      UL\nLT5\nLT5\n4081 3534 M\n280 75 V\n1.000 UL\nLT5\nLT5\n4531 3610
      M\n-170 -1 V\n1.000 UL\nLT5\nLT5\n5660 3549 M\n76 -83 V\n1.000
      UL\nLT5\nLT5\n5325 3229 M\n411 237 V\n1.000 UL\nLT5\nLT5\n3381 3506
      M\n56 9 V\n1.000 UL\nLT5\nLT5\n3709 3509 M\n-272 6 V\n1.000
      UL\nLT5\nLT5\n2370 2390 M\n61 -130 V\n1.000 UL\nLT5\nLT5\n3119 2155
      M\n-688 105 V\n1.000 UL\nLT5\nLT5\n3739 3498 M\n-30 11 V\n1.000
      UL\nLT5\nLT5\n4968 3527 M\n325 187 V\n1.000 UL\nLT5\nLT5\n5437 3674
      M\n-144 40 V\n1.000 UL\nLT5\nLT5\n5560 3619 M\n100 -70 V\n1.000
      UL\nLT5\nLT5\n5264 3321 M\n396 228 V\n1.000 UL\nLT5\nLT5\n3119 2155
      M\n32 -122 V\n1.000 UL\nLT5\nLT5\n3857 2018 M\n-706 15 V\n1.000
      UL\nLT5\nLT5\n1680 2974 M\n23 -127 V\n1.000 UL\nLT5\nLT5\n2292 2646
      M\n-589 201 V\n1.000 UL\nLT5\nLT5\n2443 3644 M\n174 6 V\n1.000
      UL\nLT5\nLT5\n2925 3545 M\n-308 105 V\n1.000 UL\nLT5\nLT5\n5084 3471
      M\n353 203 V\n1.000 UL\nLT5\nLT5\n5560 3619 M\n-123 55 V\n1.000
      UL\nLT5\nLT5\n5183 3402 M\n377 217 V\n1.000 UL\nLT5\nLT5\n3874 2139
      M\n-17 -121 V\n1.000 UL\nLT5\nLT5\n5366 2770 M\n-41 -130 V\n1.000
      UL\nLT5\nLT5\n4683 2469 M\n642 171 V\n1.000 UL\nLT5\nLT5\n2925 3545
      M\n129 11 V\n1.000 UL\nLT5\nLT5\n3381 3506 M\n-327 50 V\n1.000
      UL\nLT5\nLT5\n4645 2342 M\n-51 -127 V\n1.000 UL\nLT5\nLT5\n3874 2139
      M\n720 76 V\n1.000 UL\nLT5\nLT5\n4187 3519 M\n344 91 V\n1.000
      UL\nLT5\nLT5\n4690 3597 M\n-159 13 V\n1.000 UL\nLT5\nLT5\n1680 3093
      M\n0 -119 V\n1.000 UL\nLT5\nLT5\n2277 2770 M\n-597 204 V\n1.000
      UL\nLT5\nLT5\n2283 3623 M\n160 21 V\n1.000 UL\nLT5\nLT5\n2805 3521
      M\n-362 123 V\n1.000 UL\nLT5\nLT5\n3739 3498 M\n342 36 V\n1.000
      UL\nLT5\nLT5\n4187 3519 M\n-106 15 V\n1.000 UL\nLT5\nLT5\n2323 2519
      M\n47 -129 V\n1.000 UL\nLT5\nLT5\n3093 2279 M\n-723 111 V\n1.000
      UL\nLT5\nLT5\n5387 2895 M\n-21 -125 V\n1.000 UL\nLT5\nLT5\n4709 2595
      M\n657 175 V\n1.000 UL\nLT5\nLT5\n3327 3484 M\n54 22 V\n1.000
      UL\nLT5\nLT5\n3739 3498 M\n-358 8 V\n1.000 UL\nLT5\nLT5\n3767 3475
      M\n-28 23 V\n1.000 UL\nLT5\nLT5\n1703 3203 M\n-23 -110 V\n1.000
      UL\nLT5\nLT5\n2277 2889 M\n-597 204 V\n1.000 UL\nLT5\nLT5\n2139 3586
      M\n144 37 V\n1.000 UL\nLT5\nLT5\n2694 3482 M\n-411 141 V\n1.000
      UL\nLT5\nLT5\n3093 2279 M\n26 -124 V\n1.000 UL\nLT5\nLT5\n3874 2139
      M\n-755 16 V\n1.000 UL\nLT5\nLT5\n4286 3489 M\n404 108 V\n1.000
      UL\nLT5\nLT5\n4836 3569 M\n-146 28 V\n1.000 UL\nLT5\nLT5\n2805 3521
      M\n120 24 V\n1.000 UL\nLT5\nLT5\n3327 3484 M\n-402 61 V\n1.000
      UL\nLT5\nLT5\n3887 2262 M\n-13 -123 V\n1.000 UL\nLT5\nLT5\n4683 2469
      M\n-38 -127 V\n1.000 UL\nLT5\nLT5\n3887 2262 M\n758 80 V\n1.000
      UL\nLT5\nLT5\n1748 3304 M\n-45 -101 V\n1.000 UL\nLT5\nLT5\n2292 3002
      M\n-589 201 V\n1.000 UL\nLT5\nLT5\n2012 3536 M\n127 50 V\n1.000
      UL\nLT5\nLT5\n2594 3431 M\n-455 155 V\n1.000 UL\nLT5\nLT5\n5387 3015
      M\n0 -120 V\n1.000 UL\nLT5\nLT5\n4722 2718 M\n665 177 V\n1.000
      UL\nLT5\nLT5\n3767 3475 M\n420 44 V\n1.000 UL\nLT5\nLT5\n4286 3489
      M\n-99 30 V\n1.000 UL\nLT5\nLT5\n1815 3394 M\n-67 -90 V\n1.000
      UL\nLT5\nLT5\n2323 3107 M\n-575 197 V\n1.000 UL\nLT5\nLT5\n1903 3471
      M\n109 65 V\n1.000 UL\nLT5\nLT5\n2506 3367 M\n-494 169 V\n1.000
      UL\nLT5\nLT5\n2292 2646 M\n31 -127 V\n1.000 UL\nLT5\nLT5\n3074 2404
      M\n-751 115 V\n1.000 UL\nLT5\nLT5\n4378 3447 M\n458 122 V\n1.000
      UL\nLT5\nLT5\n4968 3527 M\n-132 42 V\n1.000 UL\nLT5\nLT5\n1903 3471
      M\n-88 -77 V\n1.000 UL\nLT5\nLT5\n2370 3204 M\n-555 190 V\n1.000
      UL\nLT5\nLT5\n2431 3291 M\n-528 180 V\n1.000 UL\nLT5\nLT5\n5366 3126
      M\n21 -111 V\n1.000 UL\nLT5\nLT5\n4722 2837 M\n665 178 V\n1.000
      UL\nLT5\nLT5\n3276 3448 M\n51 36 V\n1.000 UL\nLT5\nLT5\n3767 3475
      M\n-440 9 V\n1.000 UL\nLT5\nLT5\n2694 3482 M\n111 39 V\n1.000
      UL\nLT5\nLT5\n3276 3448 M\n-471 73 V\n1.000 UL\nLT5\nLT5\n3793 3438
      M\n-26 37 V\n1.000 UL\nLT5\nLT5\n3074 2404 M\n19 -125 V\n1.000
      UL\nLT5\nLT5\n3887 2262 M\n-794 17 V\n1.000 UL\nLT5\nLT5\n4460 3391
      M\n508 136 V\n1.000 UL\nLT5\nLT5\n5084 3471 M\n-116 56 V\n1.000
      UL\nLT5\nLT5\n4709 2595 M\n-26 -126 V\n1.000 UL\nLT5\nLT5\n3897 2387
      M\n786 82 V\n1.000 UL\nLT5\nLT5\n3897 2387 M\n-10 -125 V\n1.000
      UL\nLT5\nLT5\n5325 3229 M\n41 -103 V\n1.000 UL\nLT5\nLT5\n4709 2951
      M\n657 175 V\n1.000 UL\nLT5\nLT5\n2277 2770 M\n15 -124 V\n1.000
      UL\nLT5\nLT5\n3061 2529 M\n-769 117 V\n1.000 UL\nLT5\nLT5\n3793 3438
      M\n493 51 V\n1.000 UL\nLT5\nLT5\n4378 3447 M\n-92 42 V\n1.000
      UL\nLT5\nLT5\n4532 3324 M\n552 147 V\n1.000 UL\nLT5\nLT5\n5183 3402
      M\n-99 69 V\n1.000 UL\nLT5\nLT5\n5264 3321 M\n61 -92 V\n1.000
      UL\nLT5\nLT5\n4683 3058 M\n642 171 V\n1.000 UL\nLT5\nLT5\n4594 3245
      M\n589 157 V\n1.000 UL\nLT5\nLT5\n5264 3321 M\n-81 81 V\n1.000
      UL\nLT5\nLT5\n4645 3156 M\n619 165 V\n1.000 UL\nLT5\nLT5\n2594 3431
      M\n100 51 V\n1.000 UL\nLT5\nLT5\n3230 3400 M\n-536 82 V\n1.000
      UL\nLT5\nLT5\n3230 3400 M\n46 48 V\n1.000 UL\nLT5\nLT5\n3793 3438
      M\n-517 10 V\n1.000 UL\nLT5\nLT5\n4722 2718 M\n-13 -123 V\n1.000
      UL\nLT5\nLT5\n3904 2511 M\n805 84 V\n1.000 UL\nLT5\nLT5\n2277 2889 M\n0
      -119 V\n1.000 UL\nLT5\nLT5\n3054 2651 M\n-777 119 V\n1.000
      UL\nLT5\nLT5\n3061 2529 M\n13 -125 V\n1.000 UL\nLT5\nLT5\n3897 2387
      M\n-823 17 V\n1.000 UL\nLT5\nLT5\n3817 3388 M\n-24 50 V\n1.000
      UL\nLT5\nLT5\n3817 3388 M\n561 59 V\n1.000 UL\nLT5\nLT5\n4460 3391
      M\n-82 56 V\n1.000 UL\nLT5\nLT5\n3904 2511 M\n-7 -124 V\n1.000
      UL\nLT5\nLT5\n2506 3367 M\n88 64 V\n1.000 UL\nLT5\nLT5\n3188 3340
      M\n-594 91 V\n1.000 UL\nLT5\nLT5\n2292 3002 M\n-15 -113 V\n1.000
      UL\nLT5\nLT5\n3054 2770 M\n-777 119 V\n1.000 UL\nLT5\nLT5\n4722 2837
      M\n0 -119 V\n1.000 UL\nLT5\nLT5\n3907 2633 M\n815 85 V\n1.000
      UL\nLT5\nLT5\n2431 3291 M\n75 76 V\n1.000 UL\nLT5\nLT5\n3151 3268
      M\n-645 99 V\n1.000 UL\nLT5\nLT5\n3188 3340 M\n42 60 V\n1.000
      UL\nLT5\nLT5\n3817 3388 M\n-587 12 V\n1.000 UL\nLT5\nLT5\n3838 3326
      M\n622 65 V\n1.000 UL\nLT5\nLT5\n4532 3324 M\n-72 67 V\n1.000
      UL\nLT5\nLT5\n3054 2651 M\n7 -122 V\n1.000 UL\nLT5\nLT5\n3904 2511
      M\n-843 18 V\n1.000 UL\nLT5\nLT5\n2323 3107 M\n-31 -105 V\n1.000
      UL\nLT5\nLT5\n3061 2884 M\n-769 118 V\n1.000 UL\nLT5\nLT5\n3838 3326
      M\n-21 62 V\n1.000 UL\nLT5\nLT5\n2370 3204 M\n61 87 V\n1.000
      UL\nLT5\nLT5\n3119 3186 M\n-688 105 V\n1.000 UL\nLT5\nLT5\n2370 3204
      M\n-47 -97 V\n1.000 UL\nLT5\nLT5\n3074 2993 M\n-751 114 V\n1.000
      UL\nLT5\nLT5\n3907 2633 M\n-3 -122 V\n1.000 UL\nLT5\nLT5\n3093 3093
      M\n-723 111 V\n1.000 UL\nLT5\nLT5\n4709 2951 M\n13 -114 V\n1.000
      UL\nLT5\nLT5\n3907 2752 M\n815 85 V\n1.000 UL\nLT5\nLT5\n3857 3253
      M\n675 71 V\n1.000 UL\nLT5\nLT5\n4594 3245 M\n-62 79 V\n1.000
      UL\nLT5\nLT5\n3151 3268 M\n37 72 V\n1.000 UL\nLT5\nLT5\n3838 3326
      M\n-650 14 V\n1.000 UL\nLT5\nLT5\n4683 3058 M\n26 -107 V\n1.000
      UL\nLT5\nLT5\n3904 2867 M\n805 84 V\n1.000 UL\nLT5\nLT5\n3054 2770 M\n0
      -119 V\n1.000 UL\nLT5\nLT5\n3907 2633 M\n-853 18 V\n1.000
      UL\nLT5\nLT5\n3874 3170 M\n720 75 V\n1.000 UL\nLT5\nLT5\n4645 3156
      M\n-51 89 V\n1.000 UL\nLT5\nLT5\n3857 3253 M\n-19 73 V\n1.000
      UL\nLT5\nLT5\n4645 3156 M\n38 -98 V\n1.000 UL\nLT5\nLT5\n3897 2975
      M\n786 83 V\n1.000 UL\nLT5\nLT5\n3887 3077 M\n758 79 V\n1.000
      UL\nLT5\nLT5\n3907 2752 M\n0 -119 V\n1.000 UL\nLT5\nLT5\n3119 3186
      M\n32 82 V\n1.000 UL\nLT5\nLT5\n3857 3253 M\n-706 15 V\n1.000
      UL\nLT5\nLT5\n3061 2884 M\n-7 -114 V\n1.000 UL\nLT5\nLT5\n3907 2752
      M\n-853 18 V\n1.000 UL\nLT5\nLT5\n3874 3170 M\n-17 83 V\n1.000
      UL\nLT5\nLT5\n3904 2867 M\n3 -115 V\n1.000 UL\nLT5\nLT5\n3093 3093
      M\n26 93 V\n1.000 UL\nLT5\nLT5\n3874 3170 M\n-755 16 V\n1.000
      UL\nLT5\nLT5\n3074 2993 M\n-13 -109 V\n1.000 UL\nLT5\nLT5\n3904 2867
      M\n-843 17 V\n1.000 UL\nLT5\nLT5\n3074 2993 M\n19 100 V\n1.000
      UL\nLT5\nLT5\n3887 3077 M\n-794 16 V\n1.000 UL\nLT5\nLT5\n3897 2975
      M\n-823 18 V\n1.000 UL\nLT5\nLT5\n3887 3077 M\n-13 93 V\n1.000
      UL\nLT5\nLT5\n3897 2975 M\n7 -108 V\n1.000 UL\nLT5\nLT5\n3897 2975
      M\n-10 102 V\n1.000 UL\nLT5\n1.000 UP\nstroke\ngrestore\nend\nshowpage\n%%Trailer\n%%DocumentFonts:
      Helvetica\n>|ps>||||||>

      \;
    </output>

    <\input|GNUplot] >
      ~set pm3d at s solid ~set palette rgb 7,8,3 ~set nocolorbox
      \ \ \ \ \ \ \ \ \ ~set parametric ~set border 0 ~set hidden3d; set
      nokey ~set noxtics \ \ \ \ \ \ \ \ \ \ ~set noytics ~set noztics ~set
      ticslevel 0 ~set isosamples 48,48 \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~set view
      70,330,1.5,1 ~set urange[0:pi] ~set vrange[-pi:pi]
      \ \ \ \ \ \ \ \ \ \ \ \ \ ~r(u,v,a) = abs(sin(u*2)*cos(v*2))**a
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~x(u,v,a)
      = r(u,v,a)*sin(u)*cos(v) \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~y(u,v,a)
      = r(u,v,a)*sin(u)*sin(v) \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~z(u,v,a)
      = r(u,v,a)*cos(u) \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~a=0.7;
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ ~splot
      x(u,v,a),y(u,v,a),z(u,v,a) w lines 6
    </input>

    <\output>
      <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
      temp.eps\n%%Creator: gnuplot 3.8h patchlevel 0\n%%CreationDate: Sun Apr
      \ 6 13:36:16 2003\n%%DocumentFonts: (atend)\n%%BoundingBox: 50 50 410
      302\n%%Orientation: Portrait\n%%EndComments\n/gnudict 256 dict
      def\ngnudict begin\n/Color false def\n/Solid false def\n/gnulinewidth
      5.000 def\n/userlinewidth gnulinewidth def\n/vshift -46 def\n/dl {10.0
      mul} def\n/hpt_ 31.5 def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt vpt_
      def\n/M {moveto} bind def\n/L {lineto} bind def\n/R {rmoveto} bind
      def\n/V {rlineto} bind def\n/N {newpath moveto} bind def\n/f {rlineto
      fill} bind def\n/vpt2 vpt 2 mul def\n/hpt2 hpt 2 mul def\n/Lshow {
      currentpoint stroke M\n \ 0 vshift R show } def\n/Rshow { currentpoint
      stroke M\n \ dup stringwidth pop neg vshift R show } def\n/Cshow {
      currentpoint stroke M\n \ dup stringwidth pop -2 div vshift R show }
      def\n/UP { dup vpt_ mul /vpt exch def hpt_ mul /hpt exch def\n \ /hpt2
      hpt 2 mul def /vpt2 vpt 2 mul def } def\n/DL { Color {setrgbcolor Solid
      {pop []} if 0 setdash }\n {pop pop pop Solid {pop []} if 0 setdash}
      ifelse } def\n/BL { stroke userlinewidth 2 mul setlinewidth } def\n/AL
      { stroke userlinewidth 2 div setlinewidth } def\n/UL { dup gnulinewidth
      mul /userlinewidth exch def\n \ \ \ \ \ dup 1 lt {pop 1} if 10 mul /udl
      exch def } def\n/PL { stroke userlinewidth setlinewidth } def\n/LTb {
      BL [] 0 0 0 DL } def\n/LTa { AL [1 udl mul 2 udl mul] 0 setdash 0 0 0
      setrgbcolor } def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 { PL [4 dl 2 dl] 0
      1 0 DL } def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL } def\n/LT3 { PL [1 dl 1.5
      dl] 1 0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl 2 dl] 0 1 1 DL }
      def\n/LT5 { PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL } def\n/LT6 { PL [2 dl 2
      dl 2 dl 4 dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      1 0.3 0 DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      0.5 0.5 0.5 DL } def\n/Pnt { stroke [] 0 setdash\n \ \ gsave 1
      setlinecap M 0 0 V stroke grestore } def\n/Dia { stroke [] 0 setdash 2
      copy vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt
      neg vpt V closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0 setdash
      vpt sub M 0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg R hpt2
      0 V stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt sub
      exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
      closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt sub
      exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2 neg 0
      R hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy vpt 1.12
      mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      1.62 mul V closepath stroke\n \ Pnt \ } def\n/Star { 2 copy Pls Crs }
      def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V \ closepath fill }
      def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt
      -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath fill
      } def\n/TriD { stroke [] 0 setdash 2 copy vpt 1.12 mul sub M\n \ hpt
      neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V
      closepath stroke\n \ Pnt \ } def\n/TriDF { stroke [] 0 setdash vpt 1.12
      mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      -1.62 mul V closepath fill} def\n/DiaF { stroke [] 0 setdash vpt add
      M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V
      closepath fill } def\n/Pent { stroke [] 0 setdash 2 copy gsave\n
      \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath stroke
      grestore Pnt } def\n/PentF { stroke [] 0 setdash gsave\n \ translate 0
      hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath fill grestore }
      def\n/Circle { stroke [] 0 setdash 2 copy\n \ hpt 0 360 arc stroke Pnt
      } def\n/CircleF { stroke [] 0 setdash hpt 0 360 arc fill } def\n/C0 {
      BL [] 0 setdash 2 copy moveto vpt 90 450 \ arc } bind def\n/C1 { BL []
      0 setdash 2 copy \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C2 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C3 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
      bind def\n/C4 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
      \ vpt 180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 270 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C6 { BL [] 0
      setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 90 270 arc closepath
      fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
      def\n/C7 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 0 270
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
      } bind def\n/C8 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
      copy \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
      moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13 {
      BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
      setdash 2 copy vpt 0 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
      \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
      \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
      bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
      def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
      bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
      def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
      Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch vpt2
      vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy exch vpt
      sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 { BL [] 0
      setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt sub exch
      vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0 setdash 2
      copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare } bind
      def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt vpt2
      Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub vpt Square fill Bsquare
      } bind def\n/S9 { BL [] 0 setdash 2 copy vpt sub vpt vpt2 Rec fill
      Bsquare } bind def\n/S10 { BL [] 0 setdash 2 copy vpt sub vpt Square
      fill 2 copy exch vpt sub exch vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S11 { BL [] 0 setdash 2 copy vpt sub vpt Square fill 2 copy
      exch vpt sub exch vpt2 vpt Rec fill\n \ \ \ \ \ \ Bsquare } bind
      def\n/S12 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt
      Rec fill Bsquare } bind def\n/S13 { BL [] 0 setdash 2 copy exch vpt sub
      exch vpt sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill
      Bsquare } bind def\n/S14 { BL [] 0 setdash 2 copy exch vpt sub exch vpt
      sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square
      fill Bsquare } bind def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill
      Bsquare } bind def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke
      grestore } bind def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke
      grestore } bind def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke
      grestore } bind def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke
      grestore } bind def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke
      grestore } bind def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke
      grestore } bind def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke
      grestore } bind def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke
      grestore } bind def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke
      grestore } bind def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke
      grestore } bind def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke
      grestore } bind def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke
      grestore } bind def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke
      grestore } bind def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke
      grestore } bind def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke
      grestore } bind def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke
      grestore } bind def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg
      vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke }
      def\n/BoxE { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE
      { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke }
      def\n/TriDE { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt
      1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath
      stroke } def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M
      4 {72 rotate 0 hpt L} repeat\n \ closepath stroke grestore }
      def\n/CircE { stroke [] 0 setdash \n \ hpt 0 360 arc stroke }
      def\n/Opaque { gsave closepath 1 setgray fill grestore 0 setgray
      closepath } def\n/DiaW { stroke [] 0 setdash vpt add M\n \ hpt neg vpt
      neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V Opaque stroke }
      def\n/BoxW { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW {
      stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW
      { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW
      { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
      repeat\n \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash
      \n \ hpt 0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray
      fill grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
      makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
      ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0 get
      findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ] exch
      dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch 4 get
      {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n \ \ \ \ {dup 3
      get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5\n
      \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop
      -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get\n
      \ \ \ \ show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop
      pop\n \ \ \ \ pop aload pop M} ifelse }ifelse }ifelse } forall} bind
      def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get findfont exch 1 get
      scalefont\n \ \ \ \ setfont 6 get stringwidth pop add} {pop} ifelse}
      forall} bind def\n/MLshow { currentpoint stroke M\n \ 0 exch R MFshow }
      bind def\n/MRshow { currentpoint stroke M\n \ exch dup MFwidth neg 3 -1
      roll R MFshow } def\n/MCshow { currentpoint stroke M\n \ exch dup
      MFwidth -2 div 3 -1 roll R MFshow } def\nend\n%%EndProlog\ngnudict
      begin\ngsave\n50 50 translate\n0.050 0.050 scale\n0
      setgray\nnewpath\n(Helvetica) findfont 140 scalefont setfont\n1.000
      UL\nLTb\ngsave %% colour palette begin\n/maxcolors 0
      def\n/maxcolorsLast {maxcolors 1 sub maxcolors div} def\n/pm3dround
      {maxcolors 0 gt {dup maxcolorsLast ge {pop 1} {maxcolors mul floor
      maxcolors div} ifelse} if} def\n/cF7 {sqrt} bind def\t% sqrt(x)\n/cF8
      {sqrt sqrt} bind def\t% sqrt(sqrt(x))\n/cF3 { } bind def\t% x\nColor
      true and { % COLOUR vs. GRAY map\n \ /g {stroke pm3dround dup cF7 exch
      dup cF8 exch cF3 setrgbcolor} bind def\n \ /h {rlineto rlineto rlineto
      fill} bind def\n}{\n \ /g {stroke pm3dround setgray} bind def\n \ /h
      {rlineto rlineto rlineto fill} bind def\n}
      ifelse\n%pm3d_map_begin\n.4235 g 3558 2025 N 0 0 54 550 -2 16 h\n.3008
      g 3443 1673 N 2 -16 120 340 -7 28 h\n.2179 g 3281 1383 N 7 -28 168 277
      -13 41 h\n.1515 g 3084 1141 N 13 -41 205 231 -21 52 h\n.0985 g 2862 942
      N 21 -52 232 187 -31 64 h\n.0579 g 2622 784 N 31 -64 250 146 -41 76
      h\n.0293 g 2374 669 N 41 -76 258 105 -51 86 h\n.0123 g 2127 595 N 51
      -86 257 65 -61 95 h\n.0065 g 1890 562 N 61 -95 247 24 -71 104 h\n.0112
      g 1671 570 N 71 -104 228 -14 -80 110 h\n.0258 g 1478 615 N 80 -110 201
      -50 -88 115 h\n.0493 g 1318 695 N 88 -115 166 -83 -94 118 h\n.0807 g
      1198 807 N 94 -118 125 -113 -99 119 h\n.1185 g 1123 946 N 99 -119 78
      -138 -102 118 h\n.1615 g 1099 1108 N 102 -118 26 -158 -104 114 h\n.208
      g 1128 1287 N 104 -114 -31 -173 -102 108 h\n.2564 g 1214 1477 N 102
      -108 -90 -183 -98 101 h\n.305 g 1359 1672 N 98 -101 -151 -186 -92 92
      h\n.3521 g 1565 1866 N 92 -92 -214 -183 -84 81 h\n.3958 g 1833 2053 N
      84 -81 -279 -174 -73 68 h\n.4343 g 2169 2227 N 73 -68 -349 -159 -60 53
      h\n.4659 g 2584 2382 N 60 -53 -433 -139 -42 37 h\n.4883 g 3131 2516 N
      42 -37 -569 -114 -20 17 h\n.5 g 3131 2540 N 20 -17 0 -22 -20 15
      h\n.5117 g 2584 2531 N 20 -15 569 -8 -42 32 h\n.5341 g 2169 2577 N 42
      -32 433 -58 -60 44 h\n.5657 g 1833 2662 N 60 -44 349 -94 -73 53
      h\n.6042 g 1565 2779 N 73 -53 279 -122 -84 58 h\n.6479 g 1359 2919 N 84
      -58 214 -143 -92 61 h\n.695 g 1214 3077 N 92 -61 151 -158 -98 61
      h\n.7436 g 1128 3244 N 98 -61 90 -166 -102 60 h\n.792 g 1099 3415 N 102
      -60 31 -167 -104 56 h\n.8385 g 1123 3583 N 104 -56 -26 -163 -102 51
      h\n.8815 g 1198 3742 N 102 -51 -78 -153 -99 45 h\n.9193 g 1318 3885 N
      99 -45 -125 -136 -94 38 h\n.9507 g 1478 4007 N 94 -38 -166 -114 -88 30
      h\n.9742 g 1671 4103 N 88 -30 -201 -88 -80 22 h\n.9888 g 1890 4168 N 80
      -22 -228 -56 -71 13 h\n.9935 g 2127 4198 N 71 -13 -247 -22 -61 5
      h\n.9877 g 2374 4189 N 61 -5 -257 16 -51 -2 h\n.9707 g 2622 4138 N 51 2
      -258 57 -41 -8 h\n.9421 g 2862 4044 N 41 8 -250 100 -31 -14 h\n.9015 g
      3084 3903 N 31 14 -232 144 -21 -17 h\n.8485 g 3281 3712 N 21 17 -205
      192 -13 -18 h\n.7821 g 3443 3465 N 13 18 -168 246 -7 -17 h\n.6992 g
      3558 3143 N 7 17 -120 317 -2 -12 h\n.5765 g 3610 2591 N 2 12 -54 540 0
      0 h\n.4274 g 3556 2041 N 0 0 52 506 2 44 h\n.3109 g 3436 1701 N -2 -44
      116 311 6 73 h\n.2321 g 3268 1424 N -6 -73 162 251 12 99 h\n.1691 g
      3063 1193 N -12 -99 198 207 19 123 h\n.1188 g 2831 1006 N -19 -123 224
      166 27 144 h\n.0803 g 2581 860 N -27 -144 241 128 36 162 h\n.0531 g
      2323 755 N -36 -162 249 89 45 178 h\n.037 g 2066 690 N -45 -178 248 52
      54 191 h\n.0314 g 1819 666 N -54 -191 239 16 62 199 h\n.0359 g 1591 680
      N -62 -199 220 -19 70 204 h\n.0498 g 1390 730 N -70 -204 194 -52 77 206
      h\n.0721 g 1224 813 N -77 -206 161 -82 82 205 h\n.1019 g 1099 926 N -82
      -205 120 -107 87 199 h\n.1378 g 1021 1064 N -87 -199 75 -130 90 191
      h\n.1786 g 995 1222 N -90 -191 25 -147 91 180 h\n.2228 g 1026 1395 N
      -91 -180 -30 -159 90 166 h\n.2688 g 1116 1578 N -90 -166 -86 -166 86
      149 h\n.3149 g 1267 1764 N -86 -149 -146 -167 81 130 h\n.3596 g 1481
      1947 N -81 -130 -206 -163 73 110 h\n.401 g 1760 2121 N -73 -110 -270
      -153 64 89 h\n.4376 g 2109 2280 N -64 -89 -337 -137 52 67 h\n.4676 g
      2542 2419 N -52 -67 -418 -116 37 44 h\n.4888 g 3111 2533 N -37 -44 -549
      -89 17 19 h\n.5 g 3111 2555 N -17 -19 0 -21 17 18 h\n.5112 g 2542 2563
      N -17 -18 549 -23 37 33 h\n.5324 g 2109 2621 N -37 -33 418 -66 52 41
      h\n.5624 g 1760 2715 N -52 -41 337 -97 64 44 h\n.599 g 1481 2837 N -64
      -44 270 -120 73 42 h\n.6404 g 1267 2980 N -73 -42 206 -138 81 37
      h\n.6851 g 1116 3138 N -81 -37 146 -150 86 29 h\n.7312 g 1026 3304 N
      -86 -29 86 -156 90 19 h\n.7772 g 995 3471 N -90 -19 30 -156 91 8
      h\n.8214 g 1021 3634 N -91 -8 -25 -149 90 -6 h\n.8622 g 1099 3787 N -90
      6 -75 -139 87 -20 h\n.8981 g 1224 3923 N -87 20 -120 -122 82 -34
      h\n.9279 g 1390 4037 N -82 34 -161 -101 77 -47 h\n.9502 g 1591 4125 N
      -77 47 -194 -75 70 -60 h\n.9641 g 1819 4181 N -70 60 -220 -45 62 -71
      h\n.9686 g 2066 4203 N -62 71 -239 -13 54 -80 h\n.963 g 2323 4187 N -54
      80 -248 22 45 -86 h\n.9469 g 2581 4130 N -45 86 -249 60 36 -89 h\n.9197
      g 2831 4030 N -36 89 -241 99 27 -88 h\n.8812 g 3063 3886 N -27 88 -224
      140 19 -84 h\n.8309 g 3268 3694 N -19 84 -198 183 12 -75 h\n.7679 g
      3436 3448 N -12 75 -162 232 6 -61 h\n.6891 g 3556 3131 N -6 61 -116 296
      2 -40 h\n.5726 g 3610 2591 N -2 40 -52 500 0 0 h\n.4351 g 3558 2085 N 0
      0 46 435 6 71 h\n.331 g 3442 1774 N -6 -71 103 264 19 118 h\n.2607 g
      3280 1523 N -19 -118 143 212 38 157 h\n.2043 g 3082 1316 N -38 -157 175
      173 61 191 h\n.1594 g 2858 1150 N -61 -191 198 137 87 220 h\n.125 g
      2617 1022 N -87 -220 213 104 115 244 h\n.1007 g 2368 933 N -115 -244
      220 71 144 262 h\n.0863 g 2120 881 N -144 -262 219 38 173 276 h\n.0813
      g 1881 865 N -173 -276 210 7 202 285 h\n.0853 g 1661 884 N -202 -285
      195 -23 227 289 h\n.0977 g 1467 936 N -227 -289 172 -49 249 286
      h\n.1177 g 1306 1018 N -249 -286 142 -75 268 279 h\n.1443 g 1186 1125 N
      -268 -279 106 -96 282 268 h\n.1764 g 1111 1255 N -282 -268 67 -114 290
      252 h\n.2129 g 1086 1402 N -290 -252 21 -127 294 232 h\n.2523 g 1116
      1561 N -294 -232 -26 -136 290 209 h\n.2934 g 1202 1727 N -290 -209 -76
      -141 280 184 h\n.3346 g 1348 1894 N -280 -184 -129 -140 263 157
      h\n.3745 g 1554 2057 N -263 -157 -183 -135 240 129 h\n.4116 g 1824 2210
      N -240 -129 -238 -124 208 100 h\n.4443 g 2161 2347 N -208 -100 -298
      -109 169 72 h\n.4711 g 2579 2463 N -169 -72 -369 -89 120 45 h\n.49 g
      3128 2552 N -120 -45 -485 -62 56 18 h\n.5 g 3128 2573 N -56 -18 0 -18
      56 15 h\n.51 g 2579 2596 N -56 -15 485 -35 120 27 h\n.5289 g 2161 2662
      N -120 -27 369 -67 169 28 h\n.5557 g 1824 2759 N -169 -28 298 -93 208
      24 h\n.5884 g 1554 2879 N -208 -24 238 -111 240 15 h\n.6255 g 1348 3017
      N -240 -15 183 -124 263 1 h\n.6654 g 1202 3167 N -263 -1 129 -133 280
      -16 h\n.7066 g 1116 3323 N -280 16 76 -137 290 -35 h\n.7477 g 1086 3479
      N -290 35 26 -134 294 -57 h\n.7871 g 1111 3628 N -294 57 -21 -129 290
      -77 h\n.8236 g 1186 3767 N -290 77 -67 -117 282 -99 h\n.8557 g 1306
      3889 N -282 99 -106 -102 268 -119 h\n.8823 g 1467 3990 N -268 119 -142
      -83 249 -137 h\n.9023 g 1661 4065 N -249 137 -172 -59 227 -153 h\n.9147
      g 1881 4110 N -227 153 -195 -34 202 -164 h\n.9187 g 2120 4123 N -202
      164 -210 -4 173 -173 h\n.9137 g 2368 4101 N -173 173 -219 25 144 -176
      h\n.8993 g 2617 4041 N -144 176 -220 59 115 -175 h\n.875 g 2858 3942 N
      -115 175 -213 91 87 -167 h\n.8406 g 3082 3802 N -87 167 -198 127 61
      -154 h\n.7957 g 3280 3619 N -61 154 -175 163 38 -134 h\n.7393 g 3442
      3387 N -38 134 -143 204 19 -106 h\n.669 g 3558 3091 N -19 106 -103 258
      6 -68 h\n.5649 g 3610 2591 N -6 68 -46 432 0 0 h\n.4468 g 3564 2156 N 0
      0 36 335 10 100 h\n.3614 g 3461 1892 N -10 -100 80 201 33 163 h\n.3037
      g 3318 1680 N -33 -163 111 161 65 214 h\n.2575 g 3143 1507 N -65 -214
      136 129 104 258 h\n.2207 g 2945 1370 N -104 -258 154 102 148 293
      h\n.1924 g 2732 1266 N -148 -293 166 75 195 322 h\n.1725 g 2512 1195 N
      -195 -322 171 49 244 344 h\n.1607 g 2293 1157 N -244 -344 170 24 293
      358 h\n.1566 g 2083 1150 N -293 -358 164 1 339 364 h\n.1599 g 1888 1173
      N -339 -364 152 -22 382 363 h\n.1701 g 1716 1222 N -382 -363 133 -43
      421 357 h\n.1864 g 1574 1297 N -421 -357 111 -61 452 343 h\n.2083 g
      1468 1393 N -452 -343 83 -76 475 323 h\n.2346 g 1401 1507 N -475 -323
      51 -90 491 299 h\n.2645 g 1380 1634 N -491 -299 17 -98 495 270 h\n.2969
      g 1406 1770 N -495 -270 -20 -105 489 239 h\n.3306 g 1482 1911 N -489
      -239 -60 -107 473 205 h\n.3644 g 1611 2051 N -473 -205 -100 -105 444
      170 h\n.3971 g 1794 2186 N -444 -170 -142 -100 403 135 h\n.4275 g 2032
      2310 N -403 -135 -185 -90 350 101 h\n.4543 g 2330 2419 N -350 -101 -232
      -77 284 69 h\n.4763 g 2699 2508 N -284 -69 -287 -60 202 40 h\n.4918 g
      3184 2570 N -202 -40 -378 -37 95 15 h\n.5 g 3184 2588 N -95 -15 0 -14
      95 11 h\n.5082 g 2699 2623 N -95 -11 378 -38 202 14 h\n.5237 g 2330
      2690 N -202 -14 287 -61 284 8 h\n.5457 g 2032 2783 N -284 -8 232 -78
      350 -7 h\n.5725 g 1794 2894 N -350 7 185 -92 403 -26 h\n.6029 g 1611
      3018 N -403 26 142 -100 444 -50 h\n.6356 g 1482 3151 N -444 50 100 -106
      473 -77 h\n.6694 g 1406 3288 N -473 77 60 -107 489 -107 h\n.7031 g 1380
      3422 N -489 107 20 -105 495 -136 h\n.7355 g 1401 3551 N -495 136 -17
      -98 491 -167 h\n.7654 g 1468 3668 N -491 167 -51 -89 475 -195 h\n.7917
      g 1574 3770 N -475 195 -83 -77 452 -220 h\n.8136 g 1716 3853 N -452 220
      -111 -60 421 -243 h\n.8299 g 1888 3912 N -421 243 -133 -42 382 -260
      h\n.8401 g 2083 3946 N -382 260 -152 -21 339 -273 h\n.8434 g 2293 3950
      N -339 273 -164 1 293 -278 h\n.8393 g 2512 3925 N -293 278 -170 25 244
      -278 h\n.8275 g 2732 3866 N -244 278 -171 50 195 -269 h\n.8076 g 2945
      3775 N -195 269 -166 76 148 -254 h\n.7793 g 3143 3648 N -148 254 -154
      102 104 -229 h\n.7425 g 3318 3485 N -104 229 -136 130 65 -196 h\n.6963
      g 3461 3281 N -65 196 -111 161 33 -153 h\n.6386 g 3564 3023 N -33 153
      -80 202 10 -97 h\n.5532 g 3610 2591 N -10 97 -36 335 0 0 h\n.4629 g
      3574 2256 N 0 0 21 200 15 135 h\n.4034 g 3494 2055 N -15 -135 48 120 47
      216 h\n.3631 g 3383 1894 N -47 -216 66 94 92 283 h\n.3309 g 3247 1765 N
      -92 -283 81 75 147 337 h\n.3052 g 3093 1663 N -147 -337 91 59 210 380
      h\n.2855 g 2927 1588 N -210 -380 98 42 278 413 h\n.2717 g 2756 1539 N
      -278 -413 102 26 347 436 h\n.2634 g 2586 1515 N -347 -436 101 12 416
      448 h\n.2606 g 2422 1514 N -416 -448 98 -3 482 452 h\n.2629 g 2270 1536
      N -482 -452 90 -16 544 446 h\n.2699 g 2137 1579 N -544 -446 79 -28 598
      431 h\n.2813 g 2026 1640 N -598 -431 66 -39 643 409 h\n.2966 g 1943
      1716 N -643 -409 49 -47 677 380 h\n.3149 g 1892 1806 N -677 -380 30 -55
      698 345 h\n.3358 g 1875 1904 N -698 -345 11 -59 704 306 h\n.3584 g 1895
      2009 N -704 -306 -13 -63 697 264 h\n.3818 g 1955 2116 N -697 -264 -35
      -63 672 220 h\n.4054 g 2055 2221 N -672 -220 -59 -61 631 176 h\n.4282 g
      2197 2321 N -631 -176 -85 -57 574 133 h\n.4494 g 2382 2411 N -574 -133
      -110 -51 499 94 h\n.4681 g 2614 2488 N -499 -94 -138 -42 405 59
      h\n.4834 g 2901 2548 N -405 -59 -170 -31 288 30 h\n.4943 g 3279 2585 N
      -288 -30 -224 -15 134 8 h\n.5 g 3279 2599 N -134 -8 0 -9 134 3 h\n.5057
      g 2901 2637 N -134 -3 224 -29 288 -6 h\n.5166 g 2614 2698 N -288 6 170
      -42 405 -25 h\n.5319 g 2382 2776 N -405 25 138 -51 499 -52 h\n.5506 g
      2197 2868 N -499 52 110 -59 574 -85 h\n.5718 g 2055 2968 N -574 85 85
      -62 631 -123 h\n.5946 g 1955 3074 N -631 123 59 -66 672 -163 h\n.6182 g
      1895 3181 N -672 163 35 -65 697 -205 h\n.6416 g 1875 3286 N -697 205 13
      -63 704 -247 h\n.6642 g 1892 3384 N -704 247 -11 -59 698 -286 h\n.6851
      g 1943 3473 N -698 286 -30 -53 677 -322 h\n.7034 g 2026 3550 N -677 322
      -49 -44 643 -355 h\n.7187 g 2137 3610 N -643 355 -66 -34 598 -381
      h\n.7301 g 2270 3652 N -598 381 -79 -23 544 -400 h\n.7371 g 2422 3673 N
      -544 400 -90 -10 482 -411 h\n.7394 g 2586 3672 N -482 411 -98 4 416
      -414 h\n.7366 g 2756 3647 N -416 414 -101 18 347 -407 h\n.7283 g 2927
      3597 N -347 407 -102 33 278 -390 h\n.7145 g 3093 3521 N -278 390 -98 48
      210 -362 h\n.6948 g 3247 3419 N -210 362 -91 65 147 -325 h\n.6691 g
      3383 3289 N -147 325 -81 80 92 -275 h\n.6369 g 3494 3128 N -92 275 -66
      99 47 -213 h\n.5966 g 3574 2926 N -47 213 -48 123 15 -134 h\n.5371 g
      3610 2591 N -15 134 -21 201 0 0 h\n.4825 g 3589 2391 N 0 0 5 52 16 148
      h\n.4544 g 3541 2271 N -16 -148 12 30 52 238 h\n.4354 g 3475 2177 N -52
      -238 17 24 101 308 h\n.4202 g 3394 2102 N -101 -308 20 19 162 364
      h\n.4081 g 3303 2043 N -162 -364 23 14 230 409 h\n.3988 g 3205 2001 N
      -230 -409 24 10 304 441 h\n.3923 g 3103 1975 N -304 -441 26 6 380 461
      h\n.3884 g 3002 1963 N -380 -461 25 2 456 471 h\n.387 g 2904 1966 N
      -456 -471 25 -1 529 469 h\n.3881 g 2814 1982 N -529 -469 22 -5 597 458
      h\n.3915 g 2735 2010 N -597 -458 20 -8 656 438 h\n.3968 g 2669 2049 N
      -656 -438 16 -10 706 409 h\n.404 g 2620 2096 N -706 -409 13 -13 742 375
      h\n.4127 g 2590 2151 N -742 -375 7 -14 765 334 h\n.4225 g 2579 2210 N
      -765 -334 3 -16 773 291 h\n.4332 g 2592 2273 N -773 -291 -3 -16 763 244
      h\n.4443 g 2627 2336 N -763 -244 -9 -16 737 197 h\n.4554 g 2686 2397 N
      -737 -197 -15 -15 693 151 h\n.4661 g 2771 2454 N -693 -151 -21 -14 629
      108 h\n.4761 g 2881 2505 N -629 -108 -28 -12 547 69 h\n.485 g 3019 2547
      N -547 -69 -34 -10 443 37 h\n.4922 g 3189 2578 N -443 -37 -43 -7 316 13
      h\n.4973 g 3413 2593 N -316 -13 -56 -2 148 0 h\n.5 g 3413 2602 N -148 0
      0 -2 148 -7 h\n.5027 g 3189 2631 N -148 7 56 -10 316 -26 h\n.5078 g
      3019 2673 N -316 26 43 -12 443 -56 h\n.515 g 2881 2724 N -443 56 34 -14
      547 -93 h\n.5239 g 2771 2783 N -547 93 28 -16 629 -136 h\n.5339 g 2686
      2845 N -629 136 21 -17 693 -181 h\n.5446 g 2627 2911 N -693 181 15 -17
      737 -230 h\n.5557 g 2592 2976 N -737 230 9 -17 763 -278 h\n.5668 g 2579
      3039 N -763 278 3 -16 773 -325 h\n.5775 g 2590 3098 N -773 325 -3 -16
      765 -368 h\n.5873 g 2620 3151 N -765 368 -7 -13 742 -408 h\n.596 g 2669
      3195 N -742 408 -13 -11 706 -441 h\n.6032 g 2735 3229 N -706 441 -16 -8
      656 -467 h\n.6085 g 2814 3252 N -656 467 -20 -5 597 -485 h\n.6119 g
      2904 3262 N -597 485 -22 -2 529 -493 h\n.613 g 3002 3258 N -529 493 -25
      1 456 -490 h\n.6116 g 3103 3240 N -456 490 -25 6 380 -478 h\n.6077 g
      3205 3207 N -380 478 -26 9 304 -454 h\n.6012 g 3303 3159 N -304 454 -24
      13 230 -419 h\n.5919 g 3394 3094 N -230 419 -23 18 162 -372 h\n.5798 g
      3475 3014 N -162 372 -20 21 101 -313 h\n.5646 g 3541 2915 N -101 313
      -17 26 52 -240 h\n.5456 g 3589 2792 N -52 240 -12 32 16 -149 h\n.5175 g
      3610 2591 N -16 149 -5 52 0 0 h\n.4799 g 3605 2539 N 0 0 23 236 -18
      -184 h\n.4476 g 3593 2509 N 18 184 52 139 -58 -293 h\n.4258 g 3576 2485
      N 58 293 73 107 -114 -376 h\n.4083 g 3556 2466 N 114 376 89 84 -183
      -441 h\n.3944 g 3533 2452 N 183 441 101 63 -261 -490 h\n.3837 g 3509
      2442 N 261 490 108 43 -345 -523 h\n.3762 g 3483 2436 N 345 523 111 24
      -430 -541 h\n.3717 g 3458 2434 N 430 541 112 7 -517 -546 h\n.3702 g
      3433 2435 N 517 546 107 -10 -599 -537 h\n.3714 g 3411 2440 N 599 537 99
      -26 -676 -516 h\n.3753 g 3391 2448 N 676 516 87 -38 -743 -486 h\n.3815
      g 3375 2458 N 743 486 72 -51 -799 -445 h\n.3897 g 3362 2471 N 799 445
      54 -60 -840 -398 h\n.3997 g 3355 2485 N 840 398 34 -66 -867 -346
      h\n.411 g 3352 2501 N 867 346 11 -72 -875 -290 h\n.4232 g 3355 2517 N
      875 290 -14 -73 -864 -233 h\n.4359 g 3364 2533 N 864 233 -38 -73 -835
      -176 h\n.4487 g 3379 2548 N 835 176 -66 -68 -784 -123 h\n.4611 g 3400
      2562 N 784 123 -93 -62 -712 -75 h\n.4726 g 3428 2574 N 712 75 -121 -53
      -619 -34 h\n.4827 g 3462 2584 N 619 34 -151 -41 -502 -3 h\n.491 g 3505
      2591 N 502 3 -187 -24 -358 14 h\n.4969 g 3561 2593 N 358 -14 -247 -2
      -167 14 h\n.5 g 3561 2595 N 167 -14 0 -10 -167 22 h\n.5031 g 3505 2605
      N 167 -22 247 -51 -358 63 h\n.509 g 3462 2617 N 358 -63 187 -62 -502
      113 h\n.5173 g 3428 2631 N 502 -113 151 -70 -619 169 h\n.5274 g 3400
      2647 N 619 -169 121 -77 -712 230 h\n.5389 g 3379 2664 N 712 -230 93 -81
      -784 294 h\n.5513 g 3364 2681 N 784 -294 66 -81 -835 358 h\n.5641 g
      3355 2698 N 835 -358 38 -80 -864 421 h\n.5768 g 3352 2714 N 864 -421 14
      -76 -875 481 h\n.589 g 3355 2730 N 875 -481 -11 -70 -867 535 h\n.6003 g
      3362 2743 N 867 -535 -34 -60 -840 582 h\n.6103 g 3375 2754 N 840 -582
      -54 -49 -799 620 h\n.6185 g 3391 2762 N 799 -620 -72 -36 -743 648
      h\n.6247 g 3411 2767 N 743 -648 -87 -22 -676 665 h\n.6286 g 3433 2769 N
      676 -665 -99 -5 -599 668 h\n.6298 g 3458 2768 N 599 -668 -107 11 -517
      658 h\n.6283 g 3483 2762 N 517 -658 -112 29 -430 635 h\n.6238 g 3509
      2753 N 430 -635 -111 46 -345 598 h\n.6163 g 3533 2740 N 345 -598 -108
      65 -261 546 h\n.6056 g 3556 2722 N 261 -546 -101 82 -183 482 h\n.5917 g
      3576 2701 N 183 -482 -89 102 -114 401 h\n.5742 g 3593 2675 N 114 -401
      -73 121 -58 306 h\n.5524 g 3605 2643 N 58 -306 -52 149 -18 189 h\n.5201
      g 3610 2591 N 18 -189 -23 241 0 0 h\n.4584 g 3587 2355 N 0 0 33 358 -10
      -122 h\n.3916 g 3535 2216 N 10 122 74 208 -32 -191 h\n.3465 g 3462 2109
      N 32 191 103 160 -62 -244 h\n.3103 g 3373 2025 N 62 244 126 123 -99
      -283 h\n.2815 g 3272 1962 N 99 283 142 90 -140 -310 h\n.2594 g 3164
      1919 N 140 310 153 61 -185 -328 h\n.2439 g 3053 1895 N 185 328 158 32
      -232 -336 h\n.2346 g 2941 1888 N 232 336 158 5 -278 -334 h\n.2314 g
      2834 1898 N 278 334 152 -20 -323 -324 h\n.234 g 2735 1924 N 323 324 140
      -43 -364 -307 h\n.2419 g 2648 1962 N 364 307 123 -62 -400 -283 h\n.2547
      g 2576 2013 N 400 283 102 -80 -430 -254 h\n.2718 g 2522 2073 N 430 254
      77 -93 -453 -221 h\n.2924 g 2488 2139 N 453 221 48 -103 -467 -184
      h\n.3158 g 2477 2211 N 467 184 15 -109 -471 -147 h\n.3411 g 2491 2284 N
      471 147 -19 -111 -466 -109 h\n.3675 g 2529 2357 N 466 109 -55 -108 -449
      -74 h\n.3939 g 2595 2425 N 449 74 -92 -102 -423 -40 h\n.4195 g 2688
      2487 N 423 40 -132 -90 -384 -12 h\n.4433 g 2809 2540 N 384 12 -171 -75
      -334 10 h\n.4643 g 2960 2581 N 334 -10 -214 -54 -271 23 h\n.4814 g 3147
      2605 N 271 -23 -266 -29 -192 28 h\n.4936 g 3394 2607 N 192 -28 -349 7
      -90 19 h\n.5 g 3394 2617 N 90 -19 0 -15 -90 24 h\n.5064 g 3147 2668 N
      90 -24 349 -88 -192 61 h\n.5186 g 2960 2730 N 192 -61 266 -102 -271 101
      h\n.5357 g 2809 2800 N 271 -101 214 -114 -334 145 h\n.5567 g 2688 2877
      N 334 -145 171 -122 -384 190 h\n.5805 g 2595 2958 N 384 -190 132 -126
      -423 235 h\n.6061 g 2529 3039 N 423 -235 92 -127 -449 281 h\n.6325 g
      2491 3119 N 449 -281 55 -124 -466 325 h\n.6589 g 2477 3195 N 466 -325
      19 -115 -471 364 h\n.6842 g 2488 3265 N 471 -364 -15 -105 -467 399
      h\n.7076 g 2522 3325 N 467 -399 -48 -90 -453 429 h\n.7282 g 2576 3374 N
      453 -429 -77 -72 -430 452 h\n.7453 g 2648 3410 N 430 -452 -102 -52 -400
      468 h\n.7581 g 2735 3432 N 400 -468 -123 -28 -364 474 h\n.766 g 2834
      3437 N 364 -474 -140 -5 -323 474 h\n.7686 g 2941 3426 N 323 -474 -152
      22 -278 463 h\n.7654 g 3053 3397 N 278 -463 -158 49 -232 443 h\n.7561 g
      3164 3351 N 232 -443 -158 75 -185 414 h\n.7406 g 3272 3286 N 185 -414
      -153 103 -140 376 h\n.7185 g 3373 3204 N 140 -376 -142 130 -99 328
      h\n.6897 g 3462 3102 N 99 -328 -126 158 -62 272 h\n.6535 g 3535 2981 N
      62 -272 -103 188 -32 205 h\n.6084 g 3587 2832 N 32 -205 -74 228 -10 126
      h\n.5416 g 3610 2591 N 10 -126 -33 367 0 0 h\n.4435 g 3577 2233 N 0 0
      38 446 -5 -88 h\n.3528 g 3503 2025 N 5 88 84 259 -15 -139 h\n.2915 g
      3400 1865 N 15 139 117 196 -29 -175 h\n.2425 g 3274 1742 N 29 175 143
      149 -46 -201 h\n.2033 g 3132 1652 N 46 201 163 109 -67 -220 h\n.1734 g
      2979 1591 N 67 220 174 70 -88 -229 h\n.1522 g 2821 1559 N 88 229 180 34
      -110 -231 h\n.1397 g 2663 1554 N 110 231 180 1 -132 -227 h\n.1353 g
      2511 1574 N 132 227 172 -31 -152 -216 h\n.1388 g 2371 1617 N 152 216
      160 -58 -172 -201 h\n.1496 g 2248 1679 N 172 201 140 -83 -189 -180
      h\n.167 g 2146 1759 N 189 180 117 -104 -204 -156 h\n.1902 g 2069 1852 N
      204 156 87 -119 -214 -130 h\n.2181 g 2021 1955 N 214 130 54 -131 -220
      -102 h\n.2499 g 2006 2064 N 220 102 18 -137 -223 -74 h\n.2843 g 2025
      2175 N 223 74 -21 -138 -221 -47 h\n.32 g 2080 2283 N 221 47 -63 -134
      -213 -21 h\n.356 g 2172 2385 N 213 21 -105 -123 -200 0 h\n.3907 g 2304
      2475 N 200 0 -150 -108 -182 18 h\n.423 g 2475 2550 N 182 -18 -195 -88
      -158 31 h\n.4515 g 2689 2604 N 158 -31 -244 -60 -128 37 h\n.4748 g 2955
      2633 N 128 -37 -303 -27 -91 35 h\n.4913 g 3304 2626 N 91 -35 -397 22
      -43 20 h\n.5 g 3304 2641 N 43 -20 0 -18 -43 23 h\n.5087 g 2955 2729 N
      43 -23 397 -124 -91 59 h\n.5252 g 2689 2831 N 91 -59 303 -137 -128 94
      h\n.5485 g 2475 2945 N 128 -94 244 -150 -158 130 h\n.577 g 2304 3067 N
      158 -130 195 -159 -182 167 h\n.6093 g 2172 3193 N 182 -167 150 -163
      -200 204 h\n.644 g 2080 3320 N 200 -204 105 -162 -213 239 h\n.68 g 2025
      3444 N 213 -239 63 -157 -221 272 h\n.7157 g 2006 3559 N 221 -272 21
      -146 -223 303 h\n.7501 g 2021 3664 N 223 -303 -18 -130 -220 328
      h\n.7819 g 2069 3754 N 220 -328 -54 -111 -214 349 h\n.8098 g 2146 3826
      N 214 -349 -87 -88 -204 365 h\n.833 g 2248 3878 N 204 -365 -117 -60
      -189 373 h\n.8504 g 2371 3906 N 189 -373 -140 -32 -172 377 h\n.8612 g
      2511 3911 N 172 -377 -160 0 -152 372 h\n.8647 g 2663 3889 N 152 -372
      -172 33 -132 361 h\n.8603 g 2821 3840 N 132 -361 -180 66 -110 344
      h\n.8478 g 2979 3765 N 110 -344 -180 101 -88 318 h\n.8266 g 3132 3662 N
      88 -318 -174 134 -67 287 h\n.7967 g 3274 3532 N 67 -287 -163 168 -46
      249 h\n.7575 g 3400 3374 N 46 -249 -143 202 -29 205 h\n.7085 g 3503
      3186 N 29 -205 -117 239 -15 154 h\n.6472 g 3577 2958 N 15 -154 -84 289
      -5 93 h\n.5565 g 3610 2591 N 5 -93 -38 460 0 0 h\n.4328 g 3572 2145 N 0
      0 38 507 0 -61 h\n.325 g 3488 1886 N 0 61 84 291 0 -93 h\n.2522 g 3371
      1690 N 0 93 119 220 -2 -117 h\n.1939 g 3228 1541 N 2 117 144 165 -3
      -133 h\n.1473 g 3065 1432 N 3 133 163 118 -3 -142 h\n.1117 g 2891 1362
      N 3 142 175 74 -4 -146 h\n.0866 g 2711 1328 N 4 146 181 33 -5 -145
      h\n.0716 g 2531 1327 N 5 145 181 -5 -6 -139 h\n.0665 g 2359 1358 N 6
      139 173 -40 -7 -130 h\n.0707 g 2199 1416 N 7 130 161 -72 -8 -116
      h\n.0835 g 2059 1499 N 8 116 141 -99 -9 -100 h\n.1041 g 1942 1603 N 9
      100 117 -122 -9 -82 h\n.1317 g 1855 1722 N 9 82 88 -138 -10 -63
      h\n.1649 g 1801 1853 N 10 63 54 -151 -10 -43 h\n.2027 g 1783 1990 N 10
      43 18 -157 -10 -23 h\n.2435 g 1804 2128 N 10 23 -21 -156 -10 -5
      h\n.2861 g 1867 2262 N 10 5 -63 -150 -10 11 h\n.3288 g 1972 2385 N 10
      -11 -106 -137 -9 25 h\n.3701 g 2122 2493 N 9 -25 -151 -119 -8 36
      h\n.4084 g 2317 2581 N 8 -36 -196 -93 -7 41 h\n.4423 g 2561 2641 N 7
      -41 -245 -60 -6 41 h\n.47 g 2864 2668 N 6 -41 -305 -20 -4 34 h\n.4897 g
      3261 2646 N 4 -34 -399 38 -2 18 h\n.5 g 3261 2664 N 2 -18 0 -22 -2 22
      h\n.5103 g 2864 2788 N 2 -22 399 -154 -4 52 h\n.53 g 2561 2925 N 4 -52
      305 -166 -6 81 h\n.5577 g 2317 3075 N 6 -81 245 -178 -7 109 h\n.5916 g
      2122 3234 N 7 -109 196 -188 -8 138 h\n.6299 g 1972 3397 N 8 -138 151
      -190 -9 165 h\n.6712 g 1867 3559 N 9 -165 106 -188 -10 191 h\n.7139 g
      1804 3716 N 10 -191 63 -181 -10 215 h\n.7565 g 1783 3862 N 10 -215 21
      -166 -10 235 h\n.7973 g 1801 3992 N 10 -235 -18 -148 -10 253 h\n.8351 g
      1855 4103 N 10 -253 -54 -125 -10 267 h\n.8683 g 1942 4191 N 10 -267 -88
      -96 -9 275 h\n.8959 g 2059 4251 N 9 -275 -117 -66 -9 281 h\n.9165 g
      2199 4283 N 9 -281 -141 -31 -8 280 h\n.9293 g 2359 4283 N 8 -280 -161 5
      -7 275 h\n.9335 g 2531 4250 N 7 -275 -173 43 -6 265 h\n.9284 g 2711
      4184 N 6 -265 -181 82 -5 249 h\n.9134 g 2891 4083 N 5 -249 -181 120 -4
      230 h\n.8883 g 3065 3949 N 4 -230 -175 158 -3 206 h\n.8527 g 3228 3781
      N 3 -206 -163 197 -3 177 h\n.8061 g 3371 3579 N 3 -177 -144 234 -2 145
      h\n.7478 g 3488 3340 N 2 -145 -119 276 0 108 h\n.675 g 3572 3051 N 0
      -108 -84 332 0 65 h\n.5672 g 3610 2591 N 0 -65 -38 525 0 0 h\n.426 g
      3572 2084 N 0 0 34 540 4 -33 h\n.3074 g 3488 1793 N -4 33 77 308 11 -50
      h\n.2272 g 3369 1573 N -11 50 107 231 23 -61 h\n.163 g 3225 1408 N -23
      61 131 172 36 -68 h\n.1118 g 3062 1290 N -36 68 148 122 51 -72 h\n.0726
      g 2887 1216 N -51 72 159 73 67 -71 h\n.045 g 2706 1183 N -67 71 164 30
      84 -68 h\n.0285 g 2525 1188 N -84 68 164 -11 101 -62 h\n.0228 g 2352
      1228 N -101 62 158 -48 116 -54 h\n.0274 g 2191 1300 N -116 54 145 -81
      132 -45 h\n.0415 g 2050 1399 N -132 45 128 -110 145 -34 h\n.0643 g 1933
      1521 N -145 34 106 -134 156 -22 h\n.0946 g 1845 1659 N -156 22 80 -151
      164 -9 h\n.1312 g 1791 1810 N -164 9 50 -162 168 2 h\n.1727 g 1773 1967
      N -168 -2 16 -168 170 13 h\n.2177 g 1794 2123 N -170 -13 -20 -166 169
      23 h\n.2645 g 1857 2273 N -169 -23 -57 -158 163 31 h\n.3115 g 1963 2410
      N -163 -31 -96 -143 153 37 h\n.357 g 2114 2529 N -153 -37 -136 -122 138
      40 h\n.3992 g 2310 2622 N -138 -40 -178 -94 120 41 h\n.4365 g 2555 2682
      N -120 -41 -223 -57 98 38 h\n.467 g 2860 2702 N -98 -38 -276 -13 69 31
      h\n.4886 g 3259 2664 N -69 -31 -363 53 33 16 h\n.5 g 3259 2686 N -33
      -16 0 -23 33 17 h\n.5114 g 2860 2840 N -33 -17 363 -176 69 39 h\n.533 g
      2555 3006 N -69 -39 276 -186 98 59 h\n.5635 g 2310 3184 N -98 -59 223
      -199 120 80 h\n.6008 g 2114 3372 N -120 -80 178 -205 138 97 h\n.643 g
      1963 3562 N -138 -97 136 -208 153 115 h\n.6885 g 1857 3750 N -153 -115
      96 -204 163 131 h\n.7355 g 1794 3931 N -163 -131 57 -195 169 145
      h\n.7823 g 1773 4097 N -169 -145 20 -178 170 157 h\n.8273 g 1791 4245 N
      -170 -157 -16 -158 168 167 h\n.8688 g 1845 4370 N -168 -167 -50 -131
      164 173 h\n.9054 g 1933 4466 N -164 -173 -80 -101 156 178 h\n.9357 g
      2050 4532 N -156 -178 -106 -66 145 178 h\n.9585 g 2191 4563 N -145 -178
      -128 -29 132 176 h\n.9726 g 2352 4558 N -132 -176 -145 10 116 171
      h\n.9772 g 2525 4515 N -116 -171 -158 51 101 163 h\n.9715 g 2706 4433 N
      -101 -163 -164 93 84 152 h\n.955 g 2887 4313 N -84 -152 -164 134 67 138
      h\n.9274 g 3062 4155 N -67 -138 -159 174 51 122 h\n.8882 g 3225 3958 N
      -51 -122 -148 214 36 105 h\n.837 g 3369 3724 N -36 -105 -131 255 23 84
      h\n.7728 g 3488 3448 N -23 -84 -107 299 11 61 h\n.6926 g 3572 3116 N
      -11 -61 -77 356 4 37 h\n.574 g 3610 2591 N -4 -37 -34 562 0 0 h\n.4231
      g 3576 2051 N 0 0 28 546 6 -6 h\n.2999 g 3499 1743 N -6 6 63 310 20 -8
      h\n.2165 g 3392 1512 N -20 8 87 231 40 -8 h\n.1498 g 3261 1340 N -40 8
      107 171 64 -7 h\n.0966 g 3113 1218 N -64 7 120 118 92 -3 h\n.0558 g
      2954 1145 N -92 3 130 71 121 -1 h\n.0271 g 2790 1115 N -121 1 134 25
      151 4 h\n.01 g 2626 1126 N -151 -4 134 -15 181 8 h\n.0041 g 2468 1174 N
      -181 -8 128 -54 211 14 h\n.0089 g 2323 1255 N -211 -14 119 -86 237 19
      h\n.0235 g 2195 1365 N -237 -19 105 -115 260 24 h\n.0472 g 2089 1499 N
      -260 -24 86 -138 280 28 h\n.0787 g 2009 1650 N -280 -28 65 -155 295 32
      h\n.1167 g 1959 1812 N -295 -32 41 -166 304 36 h\n.1599 g 1943 1980 N
      -304 -36 13 -170 307 38 h\n.2066 g 1963 2146 N -307 -38 -16 -168 303 40
      h\n.2553 g 2020 2304 N -303 -40 -47 -159 293 41 h\n.3041 g 2116 2447 N
      -293 -41 -78 -142 275 40 h\n.3514 g 2252 2569 N -275 -40 -112 -120 251
      38 h\n.3953 g 2430 2663 N -251 -38 -145 -90 218 34 h\n.434 g 2653 2720
      N -218 -34 -182 -52 177 29 h\n.4657 g 2929 2733 N -177 -29 -225 -4 126
      20 h\n.4882 g 3292 2680 N -126 -20 -295 63 58 10 h\n.5 g 3292 2703 N
      -58 -10 0 -23 58 10 h\n.5118 g 2929 2879 N -58 -10 295 -189 126 23
      h\n.5343 g 2653 3065 N -126 -23 225 -196 177 33 h\n.566 g 2430 3264 N
      -177 -33 182 -207 218 41 h\n.6047 g 2252 3469 N -218 -41 145 -213 251
      49 h\n.6486 g 2116 3677 N -251 -49 112 -215 275 56 h\n.6959 g 2020 3881
      N -275 -56 78 -209 293 61 h\n.7447 g 1963 4076 N -293 -61 47 -198 303
      64 h\n.7934 g 1943 4254 N -303 -64 16 -182 307 68 h\n.8401 g 1959 4412
      N -307 -68 -13 -159 304 69 h\n.8833 g 2009 4543 N -304 -69 -41 -131 295
      69 h\n.9213 g 2089 4644 N -295 -69 -65 -100 280 68 h\n.9528 g 2195 4710
      N -280 -68 -86 -64 260 66 h\n.9765 g 2323 4739 N -260 -66 -105 -26 237
      63 h\n.9911 g 2468 4729 N -237 -63 -119 14 211 59 h\n.9959 g 2626 4678
      N -211 -59 -128 57 181 53 h\n.99 g 2790 4585 N -181 -53 -134 98 151 48
      h\n.9729 g 2954 4451 N -151 -48 -134 140 121 42 h\n.9442 g 3113 4277 N
      -121 -42 -130 181 92 35 h\n.9034 g 3261 4063 N -92 -35 -120 221 64 28
      h\n.8502 g 3392 3808 N -64 -28 -107 262 40 21 h\n.7835 g 3499 3509 N
      -40 -21 -87 305 20 15 h\n.7001 g 3576 3153 N -20 -15 -63 363 6 8
      h\n.5769 g 3610 2591 N -6 -8 -28 570 0 0 h\n.4241 g 3582 2045 N 0 0 20
      525 8 21 h\n.3024 g 3519 1735 N -8 -21 45 297 26 34 h\n.2201 g 3432
      1504 N -26 -34 62 219 51 46 h\n.1542 g 3325 1333 N -51 -46 76 162 82 55
      h\n.1017 g 3205 1215 N -82 -55 86 111 116 62 h\n.0614 g 3075 1144 N
      -116 -62 92 65 154 68 h\n.0331 g 2941 1119 N -154 -68 96 21 192 72
      h\n.0162 g 2807 1134 N -192 -72 95 -19 231 76 h\n.0104 g 2679 1188 N
      -231 -76 92 -54 267 76 h\n.0151 g 2560 1274 N -267 -76 84 -86 302 76
      h\n.0295 g 2455 1389 N -302 -76 75 -114 332 75 h\n.0529 g 2369 1527 N
      -332 -75 62 -135 356 72 h\n.084 g 2304 1682 N -356 -72 46 -151 375 68
      h\n.1215 g 2263 1848 N -375 -68 29 -161 387 63 h\n.1642 g 2250 2018 N
      -387 -63 9 -164 391 57 h\n.2103 g 2266 2186 N -391 -57 -11 -161 386 50
      h\n.2584 g 2313 2345 N -386 -50 -33 -151 372 42 h\n.3066 g 2391 2487 N
      -372 -42 -56 -135 350 35 h\n.3532 g 2503 2607 N -350 -35 -79 -113 317
      28 h\n.3966 g 2648 2697 N -317 -28 -104 -82 276 20 h\n.4348 g 2830 2749
      N -276 -20 -130 -46 224 14 h\n.4661 g 3055 2753 N -224 -14 -160 2 159 8
      h\n.4883 g 3350 2690 N -159 -8 -211 68 75 3 h\n.5 g 3350 2713 N -75 -3
      0 -22 75 2 h\n.5117 g 3055 2902 N -75 -2 211 -189 159 2 h\n.5339 g 2830
      3098 N -159 -2 160 -195 224 1 h\n.5652 g 2648 3305 N -224 -1 130 -204
      276 -2 h\n.6034 g 2503 3518 N -276 2 104 -209 317 -6 h\n.6468 g 2391
      3733 N -317 6 79 -209 350 -12 h\n.6934 g 2313 3942 N -350 12 56 -204
      372 -17 h\n.7416 g 2266 4140 N -372 17 33 -192 386 -23 h\n.7897 g 2250
      4322 N -386 23 11 -175 391 -30 h\n.8358 g 2263 4481 N -391 30 -9 -152
      387 -37 h\n.8785 g 2304 4612 N -387 37 -29 -126 375 -42 h\n.916 g 2369
      4712 N -375 42 -46 -94 356 -48 h\n.9471 g 2455 4776 N -356 48 -62 -60
      332 -52 h\n.9705 g 2560 4802 N -332 52 -75 -22 302 -56 h\n.9849 g 2679
      4788 N -302 56 -84 17 267 -59 h\n.9896 g 2807 4731 N -267 59 -92 57 231
      -59 h\n.9838 g 2941 4633 N -231 59 -95 98 192 -59 h\n.9669 g 3075 4493
      N -192 59 -96 138 154 -57 h\n.9386 g 3205 4312 N -154 57 -92 178 116
      -54 h\n.8983 g 3325 4091 N -116 54 -86 216 82 -49 h\n.8458 g 3432 3829
      N -82 49 -76 255 51 -42 h\n.7799 g 3519 3524 N -51 42 -62 296 26 -33
      h\n.6976 g 3582 3161 N -26 33 -45 351 8 -21 h\n.5759 g 3610 2591 N -8
      21 -20 549 0 0 h\n.4289 g 3590 2066 N 0 0 11 477 9 48 h\n.315 g 3545
      1769 N -9 -48 26 268 28 77 h\n.2379 g 3483 1550 N -28 -77 36 199 54 97
      h\n.1762 g 3407 1388 N -54 -97 44 145 86 114 h\n.127 g 3321 1277 N -86
      -114 49 99 123 126 h\n.0894 g 3229 1212 N -123 -126 53 57 162 134
      h\n.0628 g 3133 1191 N -162 -134 55 17 203 138 h\n.047 g 3038 1210 N
      -203 -138 55 -19 243 138 h\n.0416 g 2946 1264 N -243 -138 52 -52 283
      136 h\n.046 g 2862 1350 N -283 -136 49 -80 318 130 h\n.0595 g 2787 1464
      N -318 -130 43 -105 350 121 h\n.0814 g 2725 1599 N -350 -121 35 -124
      377 110 h\n.1105 g 2679 1750 N -377 -110 27 -138 396 97 h\n.1457 g 2650
      1911 N -396 -97 17 -147 408 83 h\n.1856 g 2641 2075 N -408 -83 5 -150
      412 69 h\n.2288 g 2652 2236 N -412 -69 -6 -146 407 54 h\n.2738 g 2685
      2387 N -407 -54 -20 -137 394 40 h\n.3189 g 2741 2522 N -394 -40 -32
      -121 370 26 h\n.3626 g 2820 2635 N -370 -26 -45 -101 336 14 h\n.4032 g
      2924 2717 N -336 -14 -60 -72 292 4 h\n.439 g 3054 2763 N -292 -4 -74
      -39 236 -3 h\n.4683 g 3214 2761 N -236 3 -93 5 169 -6 h\n.4891 g 3425
      2693 N -169 6 -121 67 79 -5 h\n.5 g 3425 2715 N -79 5 0 -20 79 -7
      h\n.5109 g 3214 2904 N -79 7 121 -177 169 -19 h\n.5317 g 3054 3099 N
      -169 19 93 -180 236 -34 h\n.561 g 2924 3303 N -236 34 74 -189 292 -49
      h\n.5968 g 2820 3512 N -292 49 60 -192 336 -66 h\n.6374 g 2741 3721 N
      -336 66 45 -192 370 -83 h\n.6811 g 2685 3925 N -370 83 32 -186 394 -101
      h\n.7262 g 2652 4117 N -394 101 20 -176 407 -117 h\n.7712 g 2641 4292 N
      -407 117 6 -159 412 -133 h\n.8144 g 2650 4444 N -412 133 -5 -139 408
      -146 h\n.8543 g 2679 4570 N -408 146 -17 -113 396 -159 h\n.8895 g 2725
      4664 N -396 159 -27 -85 377 -168 h\n.9186 g 2787 4724 N -377 168 -35
      -53 350 -175 h\n.9405 g 2862 4746 N -350 175 -43 -18 318 -179 h\n.954 g
      2946 4729 N -318 179 -49 17 283 -179 h\n.9584 g 3038 4672 N -283 179
      -52 55 243 -177 h\n.953 g 3133 4574 N -243 177 -55 91 203 -170 h\n.9372
      g 3229 4436 N -203 170 -55 127 162 -159 h\n.9106 g 3321 4258 N -162 159
      -53 164 123 -145 h\n.873 g 3407 4042 N -123 145 -49 198 86 -127
      h\n.8238 g 3483 3787 N -86 127 -44 234 54 -106 h\n.7621 g 3545 3491 N
      -54 106 -36 270 28 -80 h\n.685 g 3590 3140 N -28 80 -26 320 9 -49
      h\n.5711 g 3610 2591 N -9 49 -11 500 0 0 h\n.4376 g 3599 2114 N 0 0 4
      401 7 76 h\n.3376 g 3573 1846 N -7 -76 8 226 25 118 h\n.27 g 3537 1647
      N -25 -118 12 167 49 150 h\n.2159 g 3493 1502 N -49 -150 15 122 78 173
      h\n.1727 g 3444 1403 N -78 -173 17 82 110 190 h\n.1397 g 3391 1346 N
      -110 -190 18 47 145 200 h\n.1164 g 3336 1329 N -145 -200 18 13 182 204
      h\n.1025 g 3281 1348 N -182 -204 19 -17 218 202 h\n.0977 g 3229 1400 N
      -218 -202 18 -44 252 194 h\n.1016 g 3180 1480 N -252 -194 16 -69 285
      183 h\n.1135 g 3137 1585 N -285 -183 14 -89 314 167 h\n.1327 g 3102
      1709 N -314 -167 12 -105 337 148 h\n.1582 g 3075 1847 N -337 -148 9
      -117 355 127 h\n.1891 g 3058 1994 N -355 -127 6 -124 366 104 h\n.2241 g
      3053 2144 N -366 -104 2 -126 369 80 h\n.262 g 3059 2290 N -369 -80 -2
      -123 365 57 h\n.3015 g 3079 2427 N -365 -57 -7 -115 352 35 h\n.3411 g
      3111 2548 N -352 -35 -11 -102 331 16 h\n.3794 g 3156 2649 N -331 -16
      -15 -84 301 -1 h\n.415 g 3216 2721 N -301 1 -20 -60 261 -13 h\n.4465 g
      3290 2760 N -261 13 -25 -31 212 -21 h\n.4722 g 3383 2755 N -212 21 -31
      6 150 -22 h\n.4904 g 3504 2688 N -150 22 -41 58 70 -13 h\n.5 g 3504
      2708 N -70 13 0 -17 70 -16 h\n.5096 g 3383 2885 N -70 16 41 -151 150
      -42 h\n.5278 g 3290 3065 N -150 42 31 -154 212 -68 h\n.5535 g 3216 3254
      N -212 68 25 -160 261 -97 h\n.585 g 3156 3446 N -261 97 20 -163 301
      -126 h\n.6206 g 3111 3638 N -301 126 15 -162 331 -156 h\n.6589 g 3079
      3824 N -331 156 11 -158 352 -184 h\n.6985 g 3059 4000 N -352 184 7 -148
      365 -212 h\n.738 g 3053 4159 N -365 212 2 -134 369 -237 h\n.7759 g 3058
      4298 N -369 237 -2 -117 366 -259 h\n.8109 g 3075 4411 N -366 259 -6 -95
      355 -277 h\n.8418 g 3102 4496 N -355 277 -9 -71 337 -291 h\n.8673 g
      3137 4549 N -337 291 -12 -44 314 -300 h\n.8865 g 3180 4567 N -314 300
      -14 -15 285 -303 h\n.8984 g 3229 4550 N -285 303 -16 16 252 -302
      h\n.9023 g 3281 4495 N -252 302 -18 46 218 -293 h\n.8975 g 3336 4404 N
      -218 293 -19 78 182 -280 h\n.8836 g 3391 4277 N -182 280 -18 109 145
      -262 h\n.8603 g 3444 4113 N -145 262 -18 138 110 -236 h\n.8273 g 3493
      3915 N -110 236 -17 168 78 -206 h\n.7841 g 3537 3681 N -78 206 -15 198
      49 -170 h\n.73 g 3573 3411 N -49 170 -12 228 25 -128 h\n.6624 g 3599
      3091 N -25 128 -8 271 7 -79 h\n.5624 g 3610 2591 N -7 79 -4 421 0 0
      h\n.4503 g 3606 2190 N 0 0 -2 298 6 103 h\n.3707 g 3598 1964 N -6 -103
      -3 167 17 162 h\n.3169 g 3586 1797 N -17 -162 -5 123 34 206 h\n.2738 g
      3571 1675 N -34 -206 -5 91 54 237 h\n.2394 g 3554 1593 N -54 -237 -7 61
      78 258 h\n.2131 g 3536 1546 N -78 -258 -6 34 102 271 h\n.1945 g 3518
      1533 N -102 -271 -8 10 128 274 h\n.1835 g 3499 1550 N -128 -274 -7 -13
      154 270 h\n.1797 g 3481 1594 N -154 -270 -6 -33 178 259 h\n.1827 g 3465
      1663 N -178 -259 -7 -51 201 241 h\n.1922 g 3451 1752 N -201 -241 -5 -66
      220 218 h\n.2075 g 3439 1857 N -220 -218 -5 -78 237 191 h\n.2278 g 3430
      1974 N -237 -191 -3 -87 249 161 h\n.2524 g 3424 2098 N -249 -161 -2 -92
      257 129 h\n.2803 g 3422 2224 N -257 -129 -1 -93 260 96 h\n.3105 g 3424
      2347 N -260 -96 1 -91 257 64 h\n.3419 g 3431 2462 N -257 -64 2 -86 248
      35 h\n.3735 g 3442 2564 N -248 -35 4 -75 233 8 h\n.404 g 3457 2648 N
      -233 -8 6 -62 212 -14 h\n.4323 g 3477 2708 N -212 14 8 -44 184 -30
      h\n.4574 g 3502 2739 N -184 30 10 -23 149 -38 h\n.4779 g 3533 2733 N
      -149 38 11 4 107 -36 h\n.4924 g 3574 2675 N -107 36 16 44 50 -22 h\n.5
      g 3574 2692 N -50 22 0 -13 50 -26 h\n.5076 g 3533 2843 N -50 26 -16
      -112 107 -65 h\n.5221 g 3502 2997 N -107 65 -11 -114 149 -105 h\n.5426
      g 3477 3157 N -149 105 -10 -119 184 -146 h\n.5677 g 3457 3320 N -184
      146 -8 -121 212 -188 h\n.596 g 3442 3482 N -212 188 -6 -121 233 -229
      h\n.6265 g 3431 3640 N -233 229 -4 -117 248 -270 h\n.6581 g 3424 3788 N
      -248 270 -2 -109 257 -309 h\n.6895 g 3422 3922 N -257 309 -1 -100 260
      -343 h\n.7197 g 3424 4039 N -260 343 1 -86 257 -374 h\n.7476 g 3430
      4134 N -257 374 2 -71 249 -398 h\n.7722 g 3439 4205 N -249 398 3 -53
      237 -416 h\n.7925 g 3451 4249 N -237 416 5 -32 220 -428 h\n.8078 g 3465
      4264 N -220 428 5 -11 201 -432 h\n.8173 g 3481 4248 N -201 432 7 12 178
      -428 h\n.8203 g 3499 4202 N -178 428 6 34 154 -416 h\n.8165 g 3518 4124
      N -154 416 7 58 128 -396 h\n.8055 g 3536 4015 N -128 396 8 81 102 -368
      h\n.7869 g 3554 3877 N -102 368 6 103 78 -333 h\n.7606 g 3571 3709 N
      -78 333 7 124 54 -289 h\n.7262 g 3586 3511 N -54 289 5 147 34 -238
      h\n.6831 g 3598 3283 N -34 238 5 169 17 -179 h\n.6293 g 3606 3012 N -17
      179 3 201 6 -109 h\n.5497 g 3610 2591 N -6 109 2 312 0 0 h\n.4678 g
      3612 2293 N 0 0 -3 155 1 143 h\n.4162 g 3615 2126 N -1 -143 -7 88 5 222
      h\n.3814 g 3620 2003 N -5 -222 -9 65 9 280 h\n.3534 g 3625 1912 N -9
      -280 -12 47 16 324 h\n.3311 g 3632 1851 N -16 -324 -13 32 22 353
      h\n.3141 g 3638 1817 N -22 -353 -14 18 30 369 h\n.3021 g 3646 1807 N
      -30 -369 -15 6 37 373 h\n.2949 g 3653 1820 N -37 -373 -14 -7 44 367
      h\n.2924 g 3659 1853 N -44 -367 -14 -17 52 351 h\n.2944 g 3666 1904 N
      -52 -351 -13 -26 58 326 h\n.3006 g 3671 1970 N -58 -326 -11 -34 64 294
      h\n.3105 g 3676 2048 N -64 -294 -9 -41 68 257 h\n.3236 g 3679 2135 N
      -68 -257 -7 -45 72 215 h\n.3396 g 3681 2227 N -72 -215 -5 -48 75 171
      h\n.3576 g 3682 2320 N -75 -171 -1 -49 75 127 h\n.3772 g 3681 2411 N
      -75 -127 1 -47 75 83 h\n.3976 g 3679 2497 N -75 -83 5 -45 72 42 h\n.418
      g 3675 2572 N -72 -42 9 -40 67 7 h\n.4378 g 3669 2634 N -67 -7 12 -32
      61 -23 h\n.4562 g 3661 2678 N -61 23 16 -24 53 -43 h\n.4724 g 3651 2701
      N -53 43 19 -12 44 -54 h\n.4856 g 3640 2697 N -44 54 25 2 30 -52
      h\n.4951 g 3624 2653 N -30 52 32 22 14 -30 h\n.5 g 3624 2666 N -14 30 0
      -6 14 -37 h\n.5049 g 3640 2778 N -14 37 -32 -58 30 -91 h\n.5144 g 3651
      2892 N -30 91 -25 -60 44 -145 h\n.5276 g 3661 3011 N -44 145 -19 -61 53
      -203 h\n.5438 g 3669 3132 N -53 203 -16 -63 61 -261 h\n.5622 g 3675
      3253 N -61 261 -12 -63 67 -319 h\n.582 g 3679 3370 N -67 319 -9 -61 72
      -375 h\n.6024 g 3681 3479 N -72 375 -5 -57 75 -427 h\n.6228 g 3682 3579
      N -75 427 -1 -52 75 -475 h\n.6424 g 3681 3665 N -75 475 1 -45 75 -516
      h\n.6604 g 3679 3736 N -75 516 5 -37 72 -550 h\n.6764 g 3676 3789 N -72
      550 7 -28 68 -575 h\n.6895 g 3671 3821 N -68 575 9 -17 64 -590 h\n.6994
      g 3666 3832 N -64 590 11 -6 58 -595 h\n.7056 g 3659 3820 N -58 595 13 6
      52 -589 h\n.7076 g 3653 3786 N -52 589 14 18 44 -573 h\n.7051 g 3646
      3728 N -44 573 14 30 37 -545 h\n.6979 g 3638 3647 N -37 545 15 42 30
      -506 h\n.6859 g 3632 3544 N -30 506 14 53 22 -456 h\n.6689 g 3625 3420
      N -22 456 13 65 16 -397 h\n.6466 g 3620 3273 N -16 397 12 76 9 -326
      h\n.6186 g 3615 3104 N -9 326 9 89 5 -246 h\n.5838 g 3612 2903 N -5 246
      7 104 1 -149 h\n.5322 g 3610 2591 N -1 149 3 163 0 0 h\n.4812 g 3613
      2436 N 0 0 -4 109 1 46 h\n.4511 g 3620 2348 N -1 -46 -8 62 2 72
      h\n.4308 g 3629 2283 N -2 -72 -11 45 4 92 h\n.4145 g 3641 2236 N -4 -92
      -14 34 6 105 h\n.4015 g 3654 2204 N -6 -105 -16 23 9 114 h\n.3915 g
      3668 2186 N -9 -114 -17 13 12 119 h\n.3845 g 3683 2180 N -12 -119 -18 4
      15 121 h\n.3803 g 3697 2187 N -15 -121 -17 -4 18 118 h\n.3789 g 3711
      2204 N -18 -118 -17 -12 21 113 h\n.3801 g 3724 2230 N -21 -113 -16 -18
      24 105 h\n.3837 g 3735 2264 N -24 -105 -13 -23 26 94 h\n.3894 g 3744
      2305 N -26 -94 -12 -29 29 82 h\n.3971 g 3751 2350 N -29 -82 -8 -31 30
      68 h\n.4064 g 3756 2398 N -30 -68 -5 -34 30 54 h\n.417 g 3757 2447 N
      -30 -54 -2 -34 31 39 h\n.4284 g 3756 2494 N -31 -39 2 -33 30 25
      h\n.4402 g 3751 2539 N -30 -25 6 -31 29 11 h\n.4522 g 3742 2579 N -29
      -11 10 -28 28 -1 h\n.4637 g 3730 2611 N -28 1 15 -24 25 -9 h\n.4744 g
      3714 2635 N -25 9 19 -17 22 -16 h\n.4839 g 3695 2647 N -22 16 24 -9 17
      -19 h\n.4916 g 3670 2645 N -17 19 29 1 13 -18 h\n.4971 g 3638 2623 N
      -13 18 39 15 6 -11 h\n.5 g 3638 2629 N -6 11 0 -5 6 -12 h\n.5029 g 3670
      2687 N -6 12 -39 -40 13 -30 h\n.5084 g 3695 2747 N -13 30 -29 -41 17
      -49 h\n.5161 g 3714 2808 N -17 49 -24 -42 22 -68 h\n.5256 g 3730 2871 N
      -22 68 -19 -44 25 -87 h\n.5363 g 3742 2934 N -25 87 -15 -44 28 -106
      h\n.5478 g 3751 2995 N -28 106 -10 -42 29 -125 h\n.5598 g 3756 3052 N
      -29 125 -6 -40 30 -142 h\n.5716 g 3757 3104 N -30 142 -2 -36 31 -158
      h\n.583 g 3756 3149 N -31 158 2 -32 30 -171 h\n.5936 g 3751 3186 N -30
      171 5 -26 30 -182 h\n.6029 g 3744 3214 N -30 182 8 -19 29 -191 h\n.6106
      g 3735 3231 N -29 191 12 -13 26 -195 h\n.6163 g 3724 3237 N -26 195 13
      -4 24 -197 h\n.6199 g 3711 3231 N -24 197 16 4 21 -195 h\n.6211 g 3697
      3213 N -21 195 17 12 18 -189 h\n.6197 g 3683 3183 N -18 189 17 20 15
      -179 h\n.6155 g 3668 3141 N -15 179 18 29 12 -166 h\n.6085 g 3654 3088
      N -12 166 17 37 9 -150 h\n.5985 g 3641 3023 N -9 150 16 45 6 -130
      h\n.5855 g 3629 2947 N -6 130 14 53 4 -107 h\n.5692 g 3620 2858 N -4
      107 11 62 2 -80 h\n.5489 g 3613 2754 N -2 80 8 73 1 -49 h\n.5188 g 3610
      2591 N -1 49 4 114 0 0 h\n.4733 g 3614 2482 N 0 0 -13 267 9 -158
      h\n.4306 g 3622 2420 N -9 158 -28 151 29 -247 h\n.4017 g 3633 2375 N
      -29 247 -39 113 57 -315 h\n.3785 g 3647 2341 N -57 315 -48 83 91 -364
      h\n.3601 g 3663 2318 N -91 364 -54 57 129 -398 h\n.346 g 3680 2305 N
      -129 398 -59 34 171 -419 h\n.336 g 3698 2301 N -171 419 -60 12 213 -427
      h\n.3301 g 3715 2305 N -213 427 -60 -8 256 -423 h\n.328 g 3732 2317 N
      -256 423 -58 -27 297 -408 h\n.3297 g 3748 2335 N -297 408 -53 -43 334
      -383 h\n.3348 g 3761 2358 N -334 383 -47 -57 368 -349 h\n.343 g 3773
      2387 N -368 349 -39 -68 395 -310 h\n.3539 g 3781 2418 N -395 310 -29
      -76 416 -265 h\n.3671 g 3786 2452 N -416 265 -19 -81 430 -218 h\n.382 g
      3788 2486 N -430 218 -6 -84 434 -168 h\n.3983 g 3786 2519 N -434 168 8
      -82 428 -119 h\n.4151 g 3780 2550 N -428 119 21 -77 413 -73 h\n.4321 g
      3770 2578 N -413 73 35 -69 388 -32 h\n.4485 g 3755 2602 N -388 32 50
      -58 353 2 h\n.4637 g 3736 2619 N -353 -2 65 -43 307 28 h\n.4771 g 3712
      2628 N -307 -28 82 -25 249 44 h\n.4881 g 3683 2627 N -249 -44 101 -1
      177 46 h\n.4959 g 3644 2612 N -177 -46 133 32 83 29 h\n.5 g 3644 2617 N
      -83 -29 0 -11 83 35 h\n.5041 g 3683 2657 N -83 -35 -133 -94 177 89
      h\n.5119 g 3712 2698 N -177 -89 -101 -97 249 145 h\n.5229 g 3736 2740 N
      -249 -145 -82 -102 307 205 h\n.5363 g 3755 2784 N -307 -205 -65 -105
      353 266 h\n.5515 g 3770 2828 N -353 -266 -50 -106 388 328 h\n.5679 g
      3780 2870 N -388 -328 -35 -103 413 389 h\n.5849 g 3786 2910 N -413 -389
      -21 -97 428 446 h\n.6017 g 3788 2946 N -428 -446 -8 -89 434 499 h\n.618
      g 3786 2978 N -434 -499 6 -77 430 544 h\n.6329 g 3781 3004 N -430 -544
      19 -64 416 582 h\n.6461 g 3773 3023 N -416 -582 29 -49 395 612 h\n.657
      g 3761 3036 N -395 -612 39 -31 368 630 h\n.6652 g 3748 3040 N -368 -630
      47 -12 334 638 h\n.6703 g 3732 3036 N -334 -638 53 8 297 634 h\n.672 g
      3715 3024 N -297 -634 58 28 256 618 h\n.6699 g 3698 3004 N -256 -618 60
      48 213 590 h\n.664 g 3680 2975 N -213 -590 60 70 171 549 h\n.654 g 3663
      2938 N -171 -549 59 89 129 497 h\n.6399 g 3647 2893 N -129 -497 54 109
      91 433 h\n.6215 g 3633 2840 N -91 -433 48 128 57 358 h\n.5983 g 3622
      2778 N -57 -358 39 150 29 270 h\n.5694 g 3614 2705 N -29 -270 28 178 9
      165 h\n.5267 g 3610 2591 N -9 -165 13 279 0 0 h\n.4542 g 3623 2324 N 0
      0 -23 380 10 -113 h\n.3807 g 3651 2173 N -10 113 -51 216 33 -178
      h\n.3311 g 3690 2060 N -33 178 -71 162 65 -227 h\n.2913 g 3738 1977 N
      -65 227 -86 120 103 -264 h\n.2596 g 3792 1920 N -103 264 -98 84 147
      -291 h\n.2354 g 3851 1886 N -147 291 -105 51 193 -308 h\n.2182 g 3911
      1874 N -193 308 -109 20 242 -316 h\n.208 g 3971 1882 N -242 316 -108 -9
      290 -315 h\n.2045 g 4029 1909 N -290 315 -104 -35 336 -307 h\n.2074 g
      4082 1952 N -336 307 -96 -58 379 -292 h\n.2161 g 4129 2009 N -379 292
      -85 -79 417 -270 h\n.2302 g 4168 2077 N -417 270 -70 -94 448 -244
      h\n.249 g 4197 2153 N -448 244 -53 -107 472 -213 h\n.2716 g 4216 2234 N
      -472 213 -33 -115 486 -179 h\n.2974 g 4222 2318 N -486 179 -10 -118 490
      -145 h\n.3252 g 4214 2400 N -490 145 12 -117 486 -110 h\n.3542 g 4193
      2477 N -486 110 38 -111 469 -76 h\n.3833 g 4158 2546 N -469 76 64 -100
      440 -45 h\n.4114 g 4108 2604 N -440 45 90 -84 400 -19 h\n.4376 g 4043
      2647 N -400 19 118 -65 347 3 h\n.4607 g 3961 2672 N -347 -3 147 -39 282
      17 h\n.4796 g 3860 2673 N -282 -17 183 -7 200 23 h\n.493 g 3727 2641 N
      -200 -23 239 40 94 15 h\n.5 g 3727 2652 N -94 -15 0 -16 94 20 h\n.507 g
      3860 2746 N -94 -20 -239 -127 200 53 h\n.5204 g 3961 2843 N -200 -53
      -183 -133 282 89 h\n.5393 g 4043 2945 N -282 -89 -147 -141 347 128
      h\n.5624 g 4108 3050 N -347 -128 -118 -146 400 169 h\n.5886 g 4158 3156
      N -400 -169 -90 -147 440 210 h\n.6167 g 4193 3259 N -440 -210 -64 -145
      469 252 h\n.6458 g 4214 3356 N -469 -252 -38 -137 486 292 h\n.6748 g
      4222 3445 N -486 -292 -12 -125 490 328 h\n.7026 g 4216 3522 N -490 -328
      10 -111 486 362 h\n.7284 g 4197 3586 N -486 -362 33 -92 472 390 h\n.751
      g 4168 3635 N -472 -390 53 -70 448 411 h\n.7698 g 4129 3666 N -448 -411
      70 -46 417 426 h\n.7839 g 4082 3678 N -417 -426 85 -20 379 434 h\n.7926
      g 4029 3670 N -379 -434 96 9 336 433 h\n.7955 g 3971 3642 N -336 -433
      104 37 290 424 h\n.792 g 3911 3594 N -290 -424 108 66 242 406 h\n.7818
      g 3851 3524 N -242 -406 109 95 193 381 h\n.7646 g 3792 3435 N -193 -381
      105 124 147 346 h\n.7404 g 3738 3326 N -147 -346 98 152 103 303
      h\n.7087 g 3690 3198 N -103 -303 86 180 65 251 h\n.6689 g 3651 3048 N
      -65 -251 71 211 33 190 h\n.6193 g 3623 2870 N -33 -190 51 252 10 116
      h\n.5458 g 3610 2591 N -10 -116 23 395 0 0 h\n.4404 g 3633 2211 N 0 0
      -33 463 10 -83 h\n.3449 g 3684 1995 N -10 83 -74 265 33 -132 h\n.2803 g
      3755 1833 N -33 132 -103 200 65 -170 h\n.2286 g 3841 1713 N -65 170
      -125 150 104 -200 h\n.1874 g 3939 1629 N -104 200 -143 106 149 -222
      h\n.1558 g 4044 1578 N -149 222 -152 66 196 -237 h\n.1335 g 4153 1558 N
      -196 237 -158 29 245 -246 h\n.1203 g 4261 1567 N -245 246 -158 -7 295
      -248 h\n.1157 g 4365 1602 N -295 248 -151 -38 342 -245 h\n.1194 g 4461
      1660 N -342 245 -140 -67 386 -236 h\n.1308 g 4546 1739 N -386 236 -123
      -92 424 -223 h\n.1491 g 4616 1833 N -424 223 -102 -112 456 -205
      h\n.1735 g 4669 1940 N -456 205 -77 -128 480 -184 h\n.203 g 4702 2055 N
      -480 184 -47 -138 494 -161 h\n.2364 g 4712 2173 N -494 161 -16 -144 500
      -135 h\n.2727 g 4700 2290 N -500 135 19 -142 493 -110 h\n.3104 g 4662
      2401 N -493 110 55 -137 476 -84 h\n.3482 g 4598 2501 N -476 84 92 -124
      448 -60 h\n.3848 g 4508 2585 N -448 60 131 -107 407 -37 h\n.4188 g 4390
      2650 N -407 37 171 -83 354 -19 h\n.4489 g 4243 2689 N -354 19 215 -54
      286 -4 h\n.4734 g 4060 2696 N -286 4 265 -15 204 4 h\n.4909 g 3821 2656
      N -204 -4 348 39 95 5 h\n.5 g 3821 2672 N -95 -5 0 -20 95 9 h\n.5091 g
      4060 2799 N -95 -9 -348 -144 204 26 h\n.5266 g 4243 2932 N -204 -26
      -265 -155 286 48 h\n.5511 g 4390 3073 N -286 -48 -215 -166 354 73
      h\n.5812 g 4508 3219 N -354 -73 -171 -173 407 100 h\n.6152 g 4598 3366
      N -407 -100 -131 -175 448 128 h\n.6518 g 4662 3511 N -448 -128 -92 -173
      476 156 h\n.6896 g 4700 3648 N -476 -156 -55 -165 493 184 h\n.7273 g
      4712 3773 N -493 -184 -19 -153 500 212 h\n.7636 g 4702 3884 N -500 -212
      16 -135 494 236 h\n.797 g 4669 3976 N -494 -236 47 -113 480 257
      h\n.8265 g 4616 4046 N -480 -257 77 -88 456 275 h\n.8509 g 4546 4092 N
      -456 -275 102 -58 424 287 h\n.8692 g 4461 4112 N -424 -287 123 -28 386
      295 h\n.8806 g 4365 4103 N -386 -295 140 7 342 297 h\n.8843 g 4261 4066
      N -342 -297 151 41 295 293 h\n.8797 g 4153 4000 N -295 -293 158 76 245
      283 h\n.8665 g 4044 3905 N -245 -283 158 111 196 267 h\n.8442 g 3939
      3781 N -196 -267 152 147 149 244 h\n.8126 g 3841 3629 N -149 -244 143
      181 104 215 h\n.7714 g 3755 3449 N -104 -215 125 215 65 180 h\n.7197 g
      3684 3238 N -65 -180 103 254 33 137 h\n.6551 g 3633 2986 N -33 -137 74
      304 10 85 h\n.5596 g 3610 2591 N -10 -85 33 480 0 0 h\n.4307 g 3643
      2128 N 0 0 -43 519 10 -56 h\n.3197 g 3717 1863 N -10 56 -94 299 30 -90
      h\n.2446 g 3820 1663 N -30 90 -132 227 59 -117 h\n.1845 g 3945 1513 N
      -59 117 -160 172 94 -139 h\n.1366 g 4088 1407 N -94 139 -182 124 133
      -157 h\n.0999 g 4240 1341 N -133 157 -196 80 177 -171 h\n.074 g 4398
      1312 N -177 171 -202 37 221 -179 h\n.0585 g 4556 1319 N -221 179 -202
      -1 265 -185 h\n.0532 g 4707 1357 N -265 185 -194 -37 308 -186 h\n.0575
      g 4847 1424 N -308 186 -178 -70 346 -183 h\n.0707 g 4970 1516 N -346
      183 -158 -99 381 -176 h\n.092 g 5072 1628 N -381 176 -131 -121 410 -167
      h\n.1204 g 5149 1756 N -410 167 -98 -141 431 -154 h\n.1547 g 5196 1894
      N -431 154 -61 -152 445 -140 h\n.1936 g 5212 2038 N -445 140 -20 -160
      449 -124 h\n.2357 g 5193 2180 N -449 124 24 -160 444 -106 h\n.2795 g
      5138 2317 N -444 106 71 -155 428 -88 h\n.3235 g 5046 2441 N -428 88 118
      -142 402 -70 h\n.3661 g 4915 2548 N -402 70 168 -124 365 -53 h\n.4056 g
      4744 2631 N -365 53 219 -100 317 -36 h\n.4405 g 4529 2685 N -317 36 274
      -67 258 -23 h\n.4691 g 4264 2700 N -258 23 339 -27 184 -11 h\n.4894 g
      3916 2661 N -184 11 446 30 86 -2 h\n.5 g 3916 2681 N -86 2 0 -21 86 -1
      h\n.5106 g 4264 2825 N -86 1 -446 -149 184 4 h\n.5309 g 4529 2980 N
      -184 -4 -339 -163 258 12 h\n.5595 g 4744 3146 N -258 -12 -274 -178 317
      24 h\n.5944 g 4915 3319 N -317 -24 -219 -187 365 38 h\n.6339 g 5046
      3494 N -365 -38 -168 -192 402 55 h\n.6765 g 5138 3667 N -402 -55 -118
      -190 428 72 h\n.7205 g 5193 3832 N -428 -72 -71 -182 444 89 h\n.7643 g
      5212 3985 N -444 -89 -24 -170 449 106 h\n.8064 g 5196 4120 N -449 -106
      20 -152 445 123 h\n.8453 g 5149 4233 N -445 -123 61 -128 431 138
      h\n.8796 g 5072 4321 N -431 -138 98 -101 410 151 h\n.908 g 4970 4379 N
      -410 -151 131 -69 381 162 h\n.9293 g 4847 4407 N -381 -162 158 -35 346
      169 h\n.9425 g 4707 4400 N -346 -169 178 2 308 174 h\n.9468 g 4556 4359
      N -308 -174 194 40 265 175 h\n.9415 g 4398 4283 N -265 -175 202 79 221
      172 h\n.926 g 4240 4172 N -221 -172 202 119 177 164 h\n.9001 g 4088
      4025 N -177 -164 196 158 133 153 h\n.8634 g 3945 3844 N -133 -153 182
      198 94 136 h\n.8155 g 3820 3629 N -94 -136 160 236 59 115 h\n.7554 g
      3717 3375 N -59 -115 132 280 30 89 h\n.6803 g 3643 3071 N -30 -89 94
      337 10 56 h\n.5693 g 3610 2591 N -10 -56 43 536 0 0 h\n.4249 g 3653
      2072 N 0 0 -50 548 7 -29 h\n.3046 g 3747 1773 N -7 29 -110 318 23 -48
      h\n.2232 g 3879 1546 N -23 48 -154 243 45 -64 h\n.1581 g 4039 1374 N
      -45 64 -187 187 72 -79 h\n.1061 g 4221 1250 N -72 79 -213 137 103 -92
      h\n.0663 g 4417 1170 N -103 92 -228 90 135 -102 h\n.0383 g 4619 1133 N
      -135 102 -236 47 169 -112 h\n.0216 g 4821 1134 N -169 112 -236 5 203
      -118 h\n.0158 g 5015 1171 N -203 118 -226 -33 235 -122 h\n.0205 g 5193
      1241 N -235 122 -209 -68 266 -124 h\n.0348 g 5351 1340 N -266 124 -184
      -98 292 -125 h\n.0579 g 5482 1461 N -292 125 -152 -124 313 -122
      h\n.0886 g 5580 1602 N -313 122 -115 -144 330 -119 h\n.1258 g 5641 1754
      N -330 119 -71 -159 340 -112 h\n.1679 g 5661 1914 N -340 112 -23 -167
      343 -105 h\n.2136 g 5637 2074 N -343 105 28 -170 339 -95 h\n.2611 g
      5566 2229 N -339 95 82 -165 328 -85 h\n.3087 g 5448 2371 N -328 85 138
      -154 308 -73 h\n.3549 g 5280 2495 N -308 73 196 -136 280 -61 h\n.3977 g
      5061 2595 N -280 61 256 -112 243 -49 h\n.4356 g 4787 2662 N -243 49 320
      -80 197 -36 h\n.4665 g 4448 2689 N -197 36 396 -40 140 -23 h\n.4885 g
      4002 2659 N -140 23 521 17 65 -10 h\n.5 g 4002 2680 N -65 10 0 -23 65
      -8 h\n.5115 g 4448 2829 N -65 8 -521 -142 140 -15 h\n.5335 g 4787 2992
      N -140 15 -396 -160 197 -18 h\n.5644 g 5061 3170 N -197 18 -320 -178
      243 -18 h\n.6023 g 5280 3357 N -243 18 -256 -189 280 -16 h\n.6451 g
      5448 3549 N -280 16 -196 -196 308 -12 h\n.6913 g 5566 3739 N -308 12
      -138 -197 328 -5 h\n.7389 g 5637 3921 N -328 5 -82 -190 339 3 h\n.7864
      g 5661 4091 N -339 -3 -28 -178 343 11 h\n.8321 g 5641 4243 N -343 -11
      23 -160 340 19 h\n.8742 g 5580 4371 N -340 -19 71 -137 330 28 h\n.9114
      g 5482 4472 N -330 -28 115 -110 313 37 h\n.9421 g 5351 4541 N -313 -37
      152 -77 292 45 h\n.9652 g 5193 4576 N -292 -45 184 -42 266 52 h\n.9795
      g 5015 4574 N -266 -52 209 -4 235 58 h\n.9842 g 4821 4534 N -235 -58
      226 36 203 62 h\n.9784 g 4619 4455 N -203 -62 236 77 169 64 h\n.9617 g
      4417 4336 N -169 -64 236 118 135 65 h\n.9337 g 4221 4178 N -135 -65 228
      160 103 63 h\n.8939 g 4039 3980 N -103 -63 213 202 72 59 h\n.8419 g
      3879 3744 N -72 -59 187 243 45 52 h\n.7768 g 3747 3464 N -45 -52 154
      290 23 42 h\n.6954 g 3653 3127 N -23 -42 110 352 7 27 h\n.5751 g 3610
      2591 N -7 -27 50 563 0 0 h\n.423 g 3660 2043 N 0 0 -54 549 4 -1
      h\n.2995 g 3770 1725 N -4 1 -119 322 13 -5 h\n.2161 g 3924 1482 N -13 5
      -166 248 25 -10 h\n.1493 g 4111 1295 N -25 10 -203 193 41 -16 h\n.0959
      g 4324 1158 N -41 16 -229 143 57 -22 h\n.0551 g 4552 1068 N -57 22 -247
      98 76 -30 h\n.0264 g 4788 1021 N -76 30 -255 54 95 -37 h\n.0092 g 5024
      1016 N -95 37 -254 13 113 -45 h\n.0033 g 5250 1049 N -113 45 -244 -26
      131 -52 h\n.0081 g 5459 1117 N -131 52 -226 -61 148 -59 h\n.0228 g 5643
      1215 N -148 59 -199 -93 163 -64 h\n.0465 g 5795 1339 N -163 64 -164
      -119 175 -69 h\n.078 g 5910 1483 N -175 69 -124 -140 184 -73 h\n.1161 g
      5981 1642 N -184 73 -77 -157 190 -75 h\n.1594 g 6004 1809 N -190 75 -25
      -167 192 -75 h\n.2062 g 5976 1979 N -192 75 30 -170 190 -75 h\n.2549 g
      5894 2144 N -190 75 89 -168 183 -72 h\n.3038 g 5756 2298 N -183 72 149
      -158 172 -68 h\n.3511 g 5560 2434 N -172 68 212 -143 156 -61 h\n.3951 g
      5304 2546 N -156 61 276 -120 136 -53 h\n.4339 g 4984 2626 N -136 53 345
      -90 111 -43 h\n.4657 g 4588 2666 N -111 43 429 -52 78 -31 h\n.4882 g
      4067 2649 N -78 31 562 0 37 -14 h\n.5 g 4067 2672 N -37 14 0 -23 37 -14
      h\n.5118 g 4588 2814 N -37 14 -562 -125 78 -31 h\n.5343 g 4984 2974 N
      -78 31 -429 -148 111 -43 h\n.5661 g 5304 3152 N -111 43 -345 -167 136
      -54 h\n.6049 g 5560 3341 N -136 54 -276 -182 156 -61 h\n.6489 g 5756
      3537 N -156 61 -212 -190 172 -67 h\n.6962 g 5894 3734 N -172 67 -149
      -191 183 -73 h\n.7451 g 5976 3924 N -183 73 -89 -188 190 -75 h\n.7938 g
      6004 4102 N -190 75 -30 -177 192 -76 h\n.8406 g 5981 4262 N -192 76 25
      -161 190 -75 h\n.8839 g 5910 4399 N -190 75 77 -140 184 -72 h\n.922 g
      5795 4509 N -184 72 124 -113 175 -69 h\n.9535 g 5643 4586 N -175 69 164
      -82 163 -64 h\n.9772 g 5459 4628 N -163 64 199 -48 148 -58 h\n.9919 g
      5250 4632 N -148 58 226 -10 131 -52 h\n.9967 g 5024 4596 N -131 52 244
      28 113 -44 h\n.9908 g 4788 4519 N -113 44 254 70 95 -37 h\n.9736 g 4552
      4401 N -95 37 255 111 76 -30 h\n.9449 g 4324 4241 N -76 30 247 153 57
      -23 h\n.9041 g 4111 4039 N -57 23 229 194 41 -15 h\n.8507 g 3924 3796 N
      -41 15 203 238 25 -10 h\n.7839 g 3770 3506 N -25 10 166 286 13 -6
      h\n.7005 g 3660 3154 N -13 6 119 348 4 -2 h\n.577 g 3610 2591 N -4 2 54
      561 0 0 h\n.4249 g 3664 2042 N 0 0 -54 523 0 26 h\n.3046 g 3783 1720 N
      0 -26 -119 309 0 39 h\n.2232 g 3949 1472 N 0 -39 -167 241 1 46 h\n.1581
      g 4152 1279 N -1 -46 -203 189 1 50 h\n.1061 g 4381 1136 N -1 -50 -231
      143 3 50 h\n.0663 g 4628 1038 N -3 -50 -247 100 3 48 h\n.0383 g 4883
      984 N -3 -48 -256 59 4 43 h\n.0216 g 5137 971 N -4 -43 -255 19 5 37
      h\n.0158 g 5381 997 N -5 -37 -245 -17 6 28 h\n.0205 g 5607 1058 N -6
      -28 -226 -51 6 18 h\n.0348 g 5806 1151 N -6 -18 -200 -82 7 7 h\n.0579 g
      5970 1270 N -7 -7 -165 -108 8 -4 h\n.0886 g 6094 1410 N -8 4 -124 -130
      8 -14 h\n.1258 g 6171 1567 N -8 14 -77 -146 8 -25 h\n.1679 g 6196 1734
      N -8 25 -26 -158 9 -34 h\n.2136 g 6166 1904 N -9 34 31 -163 8 -41
      h\n.2611 g 6077 2072 N -8 41 89 -162 8 -47 h\n.3087 g 5928 2230 N -8 47
      149 -154 8 -51 h\n.3549 g 5716 2373 N -8 51 213 -142 7 -52 h\n.3977 g
      5440 2493 N -7 52 277 -122 6 -50 h\n.4356 g 5095 2583 N -6 50 347 -96 4
      -44 h\n.4665 g 4666 2635 N -4 44 429 -63 4 -33 h\n.4885 g 4104 2635 N
      -4 33 564 -16 2 -17 h\n.5 g 4104 2658 N -2 17 0 -22 2 -18 h\n.5115 g
      4666 2783 N -2 18 -564 -102 4 -41 h\n.5335 g 5095 2931 N -4 41 -429
      -127 4 -62 h\n.5644 g 5440 3098 N -4 62 -347 -149 6 -80 h\n.6023 g 5716
      3280 N -6 80 -277 -165 7 -97 h\n.6451 g 5928 3470 N -7 97 -213 -174 8
      -113 h\n.6913 g 6077 3661 N -8 113 -149 -177 8 -127 h\n.7389 g 6166
      3849 N -8 127 -89 -176 8 -139 h\n.7864 g 6196 4026 N -8 139 -31 -167 9
      -149 h\n.8321 g 6171 4187 N -9 149 26 -154 8 -156 h\n.8742 g 6094 4327
      N -8 156 77 -135 8 -161 h\n.9114 g 5970 4440 N -8 161 124 -111 8 -163
      h\n.9421 g 5806 4522 N -8 163 165 -83 7 -162 h\n.9652 g 5607 4570 N -7
      162 200 -51 6 -159 h\n.9795 g 5381 4580 N -6 159 226 -17 6 -152
      h\n.9842 g 5137 4552 N -6 152 245 20 5 -144 h\n.9784 g 4883 4482 N -5
      144 255 59 4 -133 h\n.9617 g 4628 4371 N -4 133 256 98 3 -120 h\n.9337
      g 4381 4218 N -3 120 247 137 3 -104 h\n.8939 g 4152 4024 N -3 104 231
      178 1 -88 h\n.8419 g 3949 3786 N -1 88 203 220 1 -70 h\n.7768 g 3783
      3500 N -1 70 167 266 0 -50 h\n.6954 g 3664 3152 N 0 50 119 328 0 -30
      h\n.5751 g 3610 2591 N 0 30 54 531 0 0 h\n.4307 g 3664 2068 N 0 0 -50
      469 -4 54 h\n.3197 g 3783 1759 N 4 -54 -110 280 -13 83 h\n.2446 g 3950
      1518 N 13 -83 -155 220 -25 104 h\n.1845 g 4153 1329 N 25 -104 -188 175
      -40 118 h\n.1366 g 4384 1186 N 40 -118 -213 134 -58 127 h\n.0999 g 4631
      1086 N 58 -127 -230 96 -75 131 h\n.074 g 4887 1027 N 75 -131 -237 60
      -94 130 h\n.0585 g 5142 1008 N 94 -130 -236 24 -113 125 h\n.0532 g 5387
      1025 N 113 -125 -227 -8 -131 116 h\n.0575 g 5613 1076 N 131 -116 -209
      -40 -148 105 h\n.0707 g 5813 1158 N 148 -105 -185 -68 -163 91 h\n.092 g
      5978 1266 N 163 -91 -153 -92 -175 75 h\n.1204 g 6102 1396 N 175 -75
      -115 -112 -184 57 h\n.1547 g 6179 1542 N 184 -57 -71 -129 -190 40
      h\n.1936 g 6205 1700 N 190 -40 -24 -140 -192 22 h\n.2357 g 6174 1863 N
      192 -22 28 -147 -189 6 h\n.2795 g 6085 2025 N 189 -6 83 -147 -183 -9
      h\n.3235 g 5936 2179 N 183 9 138 -143 -172 -20 h\n.3661 g 5723 2321 N
      172 20 197 -132 -156 -30 h\n.4056 g 5446 2443 N 156 30 257 -117 -136
      -35 h\n.4405 g 5099 2539 N 136 35 321 -96 -110 -35 h\n.4691 g 4670 2602
      N 110 35 397 -67 -78 -31 h\n.4894 g 4106 2618 N 78 31 523 -30 -37 -17
      h\n.5 g 4106 2640 N 37 17 0 -20 -37 -19 h\n.5106 g 4670 2742 N 37 19
      -523 -75 -78 -46 h\n.5309 g 5099 2869 N 78 46 -397 -103 -110 -70
      h\n.5595 g 5446 3018 N 110 70 -321 -123 -136 -96 h\n.5944 g 5723 3183 N
      136 96 -257 -140 -156 -121 h\n.6339 g 5936 3357 N 156 121 -197 -149
      -172 -146 h\n.6765 g 6085 3534 N 172 146 -138 -155 -183 -168 h\n.7205 g
      6174 3710 N 183 168 -83 -155 -189 -189 h\n.7643 g 6205 3877 N 189 189
      -28 -148 -192 -208 h\n.8064 g 6179 4031 N 192 208 24 -139 -190 -223
      h\n.8453 g 6102 4166 N 190 223 71 -122 -184 -236 h\n.8796 g 5978 4277 N
      184 236 115 -103 -175 -244 h\n.908 g 5813 4360 N 175 244 153 -79 -163
      -248 h\n.9293 g 5613 4411 N 163 248 185 -51 -148 -248 h\n.9425 g 5387
      4428 N 148 248 209 -21 -131 -244 h\n.9468 g 5142 4408 N 131 244 227 11
      -113 -235 h\n.9415 g 4887 4349 N 113 235 236 45 -94 -221 h\n.926 g 4631
      4251 N 94 221 237 80 -75 -203 h\n.9001 g 4384 4114 N 75 203 230 117 -58
      -183 h\n.8634 g 4153 3936 N 58 183 213 153 -40 -158 h\n.8155 g 3950
      3716 N 40 158 188 191 -25 -129 h\n.7554 g 3783 3450 N 25 129 155 233
      -13 -96 h\n.6803 g 3664 3122 N 13 96 110 289 -4 -57 h\n.5693 g 3610
      2591 N 4 57 50 474 0 0 h\n.4404 g 3660 2122 N 0 0 -42 387 -8 82
      h\n.3449 g 3770 1842 N 8 -82 -92 233 -26 129 h\n.2803 g 3925 1622 N 26
      -129 -129 185 -52 164 h\n.2286 g 4113 1447 N 52 -164 -157 148 -83 191
      h\n.1874 g 4326 1313 N 83 -191 -179 116 -117 209 h\n.1558 g 4556 1217 N
      117 -209 -191 84 -156 221 h\n.1335 g 4793 1157 N 156 -221 -198 55 -195
      226 h\n.1203 g 5029 1133 N 195 -226 -198 27 -233 223 h\n.1157 g 5256
      1141 N 233 -223 -189 -2 -271 217 h\n.1194 g 5465 1181 N 271 -217 -175
      -27 -305 204 h\n.1308 g 5650 1249 N 305 -204 -155 -51 -335 187 h\n.1491
      g 5803 1341 N 335 -187 -128 -72 -360 167 h\n.1735 g 5918 1453 N 360
      -167 -96 -90 -379 145 h\n.203 g 5989 1582 N 379 -145 -59 -104 -391 120
      h\n.2364 g 6013 1722 N 391 -120 -20 -114 -395 94 h\n.2727 g 5985 1869 N
      395 -94 24 -121 -391 68 h\n.3104 g 5902 2016 N 391 -68 68 -124 -376 45
      h\n.3482 g 5764 2159 N 376 -45 116 -120 -354 22 h\n.3848 g 5567 2291 N
      354 -22 165 -114 -322 4 h\n.4188 g 5310 2408 N 322 -4 214 -103 -279 -10
      h\n.4489 g 4989 2504 N 279 10 268 -86 -226 -20 h\n.4734 g 4592 2571 N
      226 20 333 -66 -162 -21 h\n.4909 g 4069 2601 N 162 21 436 -38 -75 -13
      h\n.5 g 4069 2621 N 75 13 0 -16 -75 -17 h\n.5091 g 4592 2696 N 75 17
      -436 -49 -162 -43 h\n.5266 g 4989 2799 N 162 43 -333 -74 -226 -72
      h\n.5511 g 5310 2922 N 226 72 -268 -94 -279 -101 h\n.5812 g 5567 3062 N
      279 101 -214 -108 -322 -133 h\n.6152 g 5764 3211 N 322 133 -165 -118
      -354 -164 h\n.6518 g 5902 3366 N 354 164 -116 -124 -376 -195 h\n.6896 g
      5985 3521 N 376 195 -68 -124 -391 -226 h\n.7273 g 6013 3669 N 391 226
      -24 -122 -395 -252 h\n.7636 g 5989 3808 N 395 252 20 -114 -391 -277
      h\n.797 g 5918 3930 N 391 277 59 -103 -379 -296 h\n.8265 g 5803 4033 N
      379 296 96 -87 -360 -312 h\n.8509 g 5650 4112 N 360 312 128 -69 -335
      -322 h\n.8692 g 5465 4163 N 335 322 155 -47 -305 -326 h\n.8806 g 5256
      4184 N 305 326 175 -22 -271 -325 h\n.8843 g 5029 4173 N 271 325 189 3
      -233 -317 h\n.8797 g 4793 4128 N 233 317 198 31 -195 -303 h\n.8665 g
      4556 4048 N 195 303 198 60 -156 -283 h\n.8442 g 4326 3931 N 156 283 191
      90 -117 -256 h\n.8126 g 4113 3778 N 117 256 179 121 -83 -224 h\n.7714 g
      3925 3587 N 83 224 157 152 -52 -185 h\n.7197 g 3770 3354 N 52 185 129
      188 -26 -140 h\n.6551 g 3660 3065 N 26 140 92 235 -8 -86 h\n.5596 g
      3610 2591 N 8 86 42 388 0 0 h\n.4542 g 3652 2204 N 0 0 -29 274 -13 113
      h\n.3807 g 3744 1971 N 13 -113 -65 165 -40 181 h\n.3311 g 3873 1786 N
      40 -181 -91 133 -78 233 h\n.2913 g 4030 1638 N 78 -233 -111 108 -124
      273 h\n.2596 g 4209 1522 N 124 -273 -125 85 -178 304 h\n.2354 g 4400
      1438 N 178 -304 -135 64 -234 324 h\n.2182 g 4598 1383 N 234 -324 -139
      43 -293 336 h\n.208 g 4796 1356 N 293 -336 -139 23 -352 340 h\n.2045 g
      4985 1358 N 352 -340 -133 3 -408 335 h\n.2074 g 5160 1385 N 408 -335
      -123 -16 -460 324 h\n.2161 g 5315 1436 N 460 -324 -109 -32 -506 305
      h\n.2302 g 5443 1508 N 506 -305 -89 -48 -545 281 h\n.249 g 5539 1598 N
      545 -281 -68 -61 -573 252 h\n.2716 g 5598 1702 N 573 -252 -42 -72 -590
      220 h\n.2974 g 5618 1816 N 590 -220 -14 -81 -596 187 h\n.3252 g 5594
      1937 N 596 -187 17 -85 -589 151 h\n.3542 g 5526 2061 N 589 -151 48 -88
      -569 115 h\n.3833 g 5410 2181 N 569 -115 82 -88 -535 83 h\n.4114 g 5245
      2295 N 535 -83 115 -84 -485 53 h\n.4376 g 5031 2398 N 485 -53 151 -77
      -422 27 h\n.4607 g 4763 2484 N 422 -27 189 -66 -343 7 h\n.4796 g 4430
      2550 N 343 -7 233 -54 -243 -5 h\n.493 g 3994 2588 N 243 5 307 -36 -114
      -7 h\n.5 g 3994 2604 N 114 7 0 -11 -114 -12 h\n.507 g 4430 2653 N 114
      12 -307 -25 -243 -36 h\n.5204 g 4763 2727 N 243 36 -233 -45 -343 -65
      h\n.5393 g 5031 2821 N 343 65 -189 -60 -422 -99 h\n.5624 g 5245 2929 N
      422 99 -151 -72 -485 -135 h\n.5886 g 5410 3047 N 485 135 -115 -79 -535
      -174 h\n.6167 g 5526 3171 N 535 174 -82 -85 -569 -213 h\n.6458 g 5594
      3295 N 569 213 -48 -87 -589 -250 h\n.6748 g 5618 3417 N 589 250 -17 -85
      -596 -287 h\n.7026 g 5598 3531 N 596 287 14 -80 -590 -321 h\n.7284 g
      5539 3634 N 590 321 42 -74 -573 -350 h\n.751 g 5443 3721 N 573 350 68
      -64 -545 -373 h\n.7698 g 5315 3790 N 545 373 89 -51 -506 -391 h\n.7839
      g 5160 3837 N 506 391 109 -36 -460 -402 h\n.7926 g 4985 3859 N 460 402
      123 -20 -408 -404 h\n.7955 g 4796 3856 N 408 404 133 -1 -352 -400
      h\n.792 g 4598 3825 N 352 400 139 17 -293 -386 h\n.7818 g 4400 3765 N
      293 386 139 39 -234 -365 h\n.7646 g 4209 3675 N 234 365 135 59 -178
      -334 h\n.7404 g 4030 3554 N 178 334 125 81 -124 -294 h\n.7087 g 3873
      3402 N 124 294 111 104 -78 -246 h\n.6689 g 3744 3214 N 78 246 91 129
      -40 -187 h\n.6193 g 3652 2979 N 40 187 65 164 -13 -116 h\n.5458 g 3610
      2591 N 13 116 29 272 0 0 h\n.4733 g 3639 2317 N 0 0 -12 112 -17 162
      h\n.4306 g 3704 2152 N 17 -162 -26 69 -56 258 h\n.4017 g 3795 2019 N 56
      -258 -36 55 -111 336 h\n.3785 g 3906 1911 N 111 -336 -45 46 -177 398
      h\n.3601 g 4031 1826 N 177 -398 -50 36 -252 447 h\n.346 g 4166 1762 N
      252 -447 -54 28 -333 483 h\n.336 g 4305 1719 N 333 -483 -56 19 -416 507
      h\n.3301 g 4444 1696 N 416 -507 -55 11 -500 519 h\n.328 g 4577 1693 N
      500 -519 -54 3 -579 519 h\n.3297 g 4700 1709 N 579 -519 -49 -5 -653 508
      h\n.3348 g 4809 1741 N 653 -508 -43 -12 -719 488 h\n.343 g 4898 1789 N
      719 -488 -36 -18 -772 458 h\n.3539 g 4966 1850 N 772 -458 -27 -25 -813
      422 h\n.3671 g 5008 1922 N 813 -422 -17 -28 -838 378 h\n.382 g 5022
      2003 N 838 -378 -6 -33 -846 330 h\n.3983 g 5005 2088 N 846 -330 7 -35
      -836 280 h\n.4151 g 4957 2176 N 836 -280 19 -37 -807 229 h\n.4321 g
      4875 2264 N 807 -229 33 -37 -758 178 h\n.4485 g 4760 2348 N 758 -178 46
      -35 -689 129 h\n.4637 g 4609 2425 N 689 -129 61 -34 -599 86 h\n.4771 g
      4420 2491 N 599 -86 75 -29 -485 49 h\n.4881 g 4187 2545 N 485 -49 94
      -25 -346 20 h\n.4959 g 3880 2581 N 346 -20 123 -18 -162 2 h\n.5 g 3880
      2592 N 162 -2 0 -5 -162 -4 h\n.5041 g 4187 2617 N 162 4 -123 -6 -346
      -23 h\n.5119 g 4420 2662 N 346 23 -94 -16 -485 -52 h\n.5229 g 4609 2722
      N 485 52 -75 -22 -599 -90 h\n.5363 g 4760 2794 N 599 90 -61 -28 -689
      -134 h\n.5515 g 4875 2873 N 689 134 -46 -31 -758 -182 h\n.5679 g 4957
      2958 N 758 182 -33 -33 -807 -234 h\n.5849 g 5005 3045 N 807 234 -19 -35
      -836 -286 h\n.6017 g 5022 3130 N 836 286 -7 -35 -846 -336 h\n.618 g
      5008 3210 N 846 336 6 -33 -838 -383 h\n.6329 g 4966 3284 N 838 383 17
      -30 -813 -427 h\n.6461 g 4898 3348 N 813 427 27 -27 -772 -464 h\n.657 g
      4809 3399 N 772 464 36 -22 -719 -493 h\n.6652 g 4700 3435 N 719 493 43
      -16 -653 -513 h\n.6703 g 4577 3455 N 653 513 49 -10 -579 -523 h\n.672 g
      4444 3456 N 579 523 54 -2 -500 -522 h\n.6699 g 4305 3439 N 500 522 55 5
      -416 -510 h\n.664 g 4166 3400 N 416 510 56 14 -333 -485 h\n.654 g 4031
      3341 N 333 485 54 23 -252 -449 h\n.6399 g 3906 3260 N 252 449 50 31
      -177 -399 h\n.6215 g 3795 3156 N 177 399 45 41 -111 -336 h\n.5983 g
      3704 3027 N 111 336 36 52 -56 -259 h\n.5694 g 3639 2863 N 56 259 26 66
      -17 -161 h\n.5267 g 3610 2591 N 17 161 12 111 0 0 h\n.4812 g 3622 2479
      N 0 0 -16 161 4 -49 h\n.4511 g 3648 2410 N -4 49 -36 99 14 -79 h\n.4308
      g 3684 2355 N -14 79 -50 80 28 -104 h\n.4145 g 3729 2309 N -28 104 -61
      67 44 -125 h\n.4015 g 3779 2273 N -44 125 -69 54 63 -143 h\n.3915 g
      3833 2245 N -63 143 -74 42 83 -157 h\n.3845 g 3889 2226 N -83 157 -76
      30 103 -168 h\n.3803 g 3944 2215 N -103 168 -77 18 125 -175 h\n.3789 g
      3998 2212 N -125 175 -73 6 144 -178 h\n.3801 g 4047 2217 N -144 178 -68
      -5 163 -178 h\n.3837 g 4090 2229 N -163 178 -60 -15 180 -175 h\n.3894 g
      4126 2247 N -180 175 -49 -25 193 -168 h\n.3971 g 4153 2272 N -193 168
      -37 -33 203 -160 h\n.4064 g 4170 2300 N -203 160 -23 -41 209 -147
      h\n.417 g 4176 2333 N -209 147 -8 -46 211 -134 h\n.4284 g 4169 2368 N
      -211 134 9 -51 209 -118 h\n.4402 g 4150 2405 N -209 118 27 -53 201 -102
      h\n.4522 g 4117 2442 N -201 102 45 -53 189 -86 h\n.4637 g 4071 2477 N
      -189 86 63 -53 172 -68 h\n.4744 g 4010 2511 N -172 68 83 -50 150 -52
      h\n.4839 g 3935 2540 N -150 52 104 -46 121 -35 h\n.4916 g 3841 2565 N
      -121 35 129 -39 86 -21 h\n.4971 g 3718 2583 N -86 21 169 -32 40 -7
      h\n.5 g 3718 2588 N -40 7 0 -6 40 -6 h\n.5029 g 3841 2594 N -40 6 -169
      -4 86 -8 h\n.5084 g 3935 2610 N -86 8 -129 -18 121 -6 h\n.5161 g 4010
      2632 N -121 6 -104 -29 150 1 h\n.5256 g 4071 2660 N -150 -1 -83 -36 172
      9 h\n.5363 g 4117 2691 N -172 -9 -63 -43 189 21 h\n.5478 g 4150 2724 N
      -189 -21 -45 -46 201 34 h\n.5598 g 4169 2759 N -201 -34 -27 -49 209 48
      h\n.5716 g 4176 2794 N -209 -48 -9 -49 211 62 h\n.583 g 4170 2827 N
      -211 -62 8 -48 209 77 h\n.5936 g 4153 2857 N -209 -77 23 -44 203 91
      h\n.6029 g 4126 2884 N -203 -91 37 -40 193 104 h\n.6106 g 4090 2906 N
      -193 -104 49 -32 180 114 h\n.6163 g 4047 2922 N -180 -114 60 -25 163
      123 h\n.6199 g 3998 2932 N -163 -123 68 -16 144 129 h\n.6211 g 3944
      2934 N -144 -129 73 -6 125 133 h\n.6197 g 3889 2929 N -125 -133 77 6
      103 132 h\n.6155 g 3833 2915 N -103 -132 76 17 83 129 h\n.6085 g 3779
      2892 N -83 -129 74 30 63 122 h\n.5985 g 3729 2861 N -63 -122 69 43 44
      110 h\n.5855 g 3684 2820 N -44 -110 61 57 28 94 h\n.5692 g 3648 2768 N
      -28 -94 50 72 14 74 h\n.5489 g 3622 2702 N -14 -74 36 93 4 47 h\n.5188
      g 3610 2591 N -4 -47 16 158 0 0 h\n.4678 g 3626 2430 N 0 0 -29 308 13
      -147 h\n.4162 g 3662 2331 N -13 147 -65 192 42 -240 h\n.3814 g 3712
      2251 N -42 240 -90 157 82 -317 h\n.3534 g 3773 2184 N -82 317 -110 131
      131 -381 h\n.3311 g 3842 2130 N -131 381 -124 108 186 -435 h\n.3141 g
      3916 2088 N -186 435 -134 84 246 -477 h\n.3021 g 3992 2058 N -246 477
      -139 62 309 -509 h\n.2949 g 4069 2040 N -309 509 -137 39 369 -530
      h\n.2924 g 4142 2034 N -369 530 -133 16 429 -540 h\n.2944 g 4210 2039 N
      -429 540 -122 -5 483 -540 h\n.3006 g 4270 2054 N -483 540 -108 -26 531
      -529 h\n.3105 g 4319 2079 N -531 529 -90 -45 572 -509 h\n.3236 g 4356
      2112 N -572 509 -67 -62 602 -480 h\n.3396 g 4379 2153 N -602 480 -41
      -76 620 -445 h\n.3576 g 4387 2199 N -620 445 -14 -88 626 -403 h\n.3772
      g 4378 2250 N -626 403 16 -98 619 -356 h\n.3976 g 4351 2303 N -619 356
      49 -103 597 -306 h\n.418 g 4306 2356 N -597 306 80 -105 562 -254
      h\n.4378 g 4243 2409 N -562 254 115 -105 510 -202 h\n.4562 g 4160 2459
      N -510 202 150 -101 443 -151 h\n.4724 g 4056 2505 N -443 151 188 -93
      359 -104 h\n.4856 g 3927 2544 N -359 104 232 -82 256 -61 h\n.4951 g
      3758 2576 N -256 61 305 -70 120 -23 h\n.5 g 3758 2582 N -120 23 0 -13
      120 -16 h\n.5049 g 3927 2586 N -120 16 -305 2 256 -22 h\n.5144 g 4056
      2604 N -256 22 -232 -28 359 -12 h\n.5276 g 4160 2633 N -359 12 -188 -48
      443 7 h\n.5438 g 4243 2669 N -443 -7 -150 -65 510 36 h\n.5622 g 4306
      2712 N -510 -36 -115 -78 562 71 h\n.582 g 4351 2758 N -562 -71 -80 -87
      597 112 h\n.6024 g 4378 2807 N -597 -112 -49 -92 619 155 h\n.6228 g
      4387 2856 N -619 -155 -16 -93 626 199 h\n.6424 g 4379 2904 N -626 -199
      14 -92 620 243 h\n.6604 g 4356 2948 N -620 -243 41 -86 602 285 h\n.6764
      g 4319 2988 N -602 -285 67 -77 572 322 h\n.6895 g 4270 3020 N -572 -322
      90 -66 531 356 h\n.6994 g 4210 3045 N -531 -356 108 -51 483 382
      h\n.7056 g 4142 3061 N -483 -382 122 -35 429 401 h\n.7076 g 4069 3067 N
      -429 -401 133 -14 369 409 h\n.7051 g 3992 3061 N -369 -409 137 6 309
      409 h\n.6979 g 3916 3044 N -309 -409 139 29 246 397 h\n.6859 g 3842
      3014 N -246 -397 134 53 186 374 h\n.6689 g 3773 2971 N -186 -374 124 78
      131 339 h\n.6466 g 3712 2914 N -131 -339 110 105 82 291 h\n.6186 g 3662
      2842 N -82 -291 90 136 42 227 h\n.5838 g 3626 2749 N -42 -227 65 177 13
      143 h\n.5322 g 3610 2591 N -13 -143 29 301 0 0 h\n.4503 g 3639 2283 N 0
      0 -36 417 7 -109 h\n.3707 g 3704 2091 N -7 109 -80 261 22 -178 h\n.3169
      g 3794 1934 N -22 178 -113 216 45 -237 h\n.2738 g 3904 1803 N -45 237
      -136 181 71 -287 h\n.2394 g 4028 1695 N -71 287 -155 150 102 -329
      h\n.2131 g 4162 1611 N -102 329 -167 119 135 -364 h\n.1945 g 4301 1549
      N -135 364 -172 89 168 -391 h\n.1835 g 4438 1510 N -168 391 -171 57 202
      -409 h\n.1797 g 4571 1494 N -202 409 -165 28 234 -421 h\n.1827 g 4693
      1499 N -234 421 -152 -2 264 -424 h\n.1922 g 4801 1525 N -264 424 -134
      -31 290 -419 h\n.2075 g 4891 1570 N -290 419 -111 -57 311 -407 h\n.2278
      g 4958 1632 N -311 407 -84 -80 328 -389 h\n.2524 g 4999 1708 N -328 389
      -51 -102 338 -363 h\n.2803 g 5013 1796 N -338 363 -18 -119 342 -332
      h\n.3105 g 4997 1894 N -342 332 21 -132 337 -298 h\n.3419 g 4948 1997 N
      -337 298 60 -141 326 -260 h\n.3735 g 4868 2102 N -326 260 100 -145 306
      -220 h\n.404 g 4753 2207 N -306 220 143 -146 278 -179 h\n.4323 g 4603
      2308 N -278 179 186 -142 242 -138 h\n.4574 g 4415 2401 N -242 138 234
      -132 196 -99 h\n.4779 g 4183 2483 N -196 99 288 -121 140 -60 h\n.4924 g
      3878 2553 N -140 60 380 -106 65 -24 h\n.5 g 3878 2566 N -65 24 0 -17 65
      -20 h\n.5076 g 4183 2564 N -65 20 -380 14 140 -32 h\n.5221 g 4415 2592
      N -140 32 -288 -28 196 -32 h\n.5426 g 4603 2640 N -196 32 -234 -58 242
      -22 h\n.5677 g 4753 2705 N -242 22 -186 -82 278 -5 h\n.596 g 4868 2783
      N -278 5 -143 -101 306 18 h\n.6265 g 4948 2870 N -306 -18 -100 -113 326
      44 h\n.6581 g 4997 2962 N -326 -44 -60 -122 337 74 h\n.6895 g 5013 3055
      N -337 -74 -21 -126 342 107 h\n.7197 g 4999 3147 N -342 -107 18 -124
      338 139 h\n.7476 g 4958 3233 N -338 -139 51 -118 328 171 h\n.7722 g
      4891 3310 N -328 -171 84 -107 311 201 h\n.7925 g 4801 3376 N -311 -201
      111 -92 290 227 h\n.8078 g 4693 3427 N -290 -227 134 -74 264 250
      h\n.8173 g 4571 3462 N -264 -250 152 -51 234 266 h\n.8203 g 4438 3476 N
      -234 -266 165 -25 202 277 h\n.8165 g 4301 3470 N -202 -277 171 3 168
      280 h\n.8055 g 4162 3441 N -168 -280 172 34 135 275 h\n.7869 g 4028
      3388 N -135 -275 167 66 102 262 h\n.7606 g 3904 3310 N -102 -262 155
      101 71 239 h\n.7262 g 3794 3205 N -71 -239 136 137 45 207 h\n.6831 g
      3704 3069 N -45 -207 113 180 22 163 h\n.6293 g 3639 2892 N -22 -163 80
      236 7 104 h\n.5497 g 3610 2591 N -7 -104 36 405 0 0 h\n.4376 g 3646
      2174 N 0 0 -39 496 3 -79 h\n.3376 g 3726 1913 N -3 79 -85 313 8 -131
      h\n.27 g 3839 1697 N -8 131 -119 259 14 -174 h\n.2159 g 3975 1516 N -14
      174 -146 220 24 -213 h\n.1727 g 4130 1366 N -24 213 -165 183 34 -246
      h\n.1397 g 4297 1247 N -34 246 -177 148 44 -275 h\n.1164 g 4469 1158 N
      -44 275 -183 111 55 -297 h\n.1025 g 4640 1101 N -55 297 -183 74 67 -314
      h\n.0977 g 4805 1073 N -67 314 -175 38 77 -324 h\n.1016 g 4957 1075 N
      -77 324 -162 3 87 -329 h\n.1135 g 5091 1106 N -87 329 -143 -32 96 -328
      h\n.1327 g 5202 1163 N -96 328 -118 -64 103 -321 h\n.1582 g 5286 1243 N
      -103 321 -89 -93 108 -308 h\n.1891 g 5337 1345 N -108 308 -55 -118 112
      -292 h\n.2241 g 5355 1464 N -112 292 -18 -140 112 -271 h\n.262 g 5334
      1596 N -112 271 21 -158 112 -245 h\n.3015 g 5274 1737 N -112 245 64
      -169 108 -217 h\n.3411 g 5174 1882 N -108 217 107 -177 101 -185
      h\n.3794 g 5031 2028 N -101 185 152 -178 92 -153 h\n.415 g 4845 2170 N
      -92 153 199 -174 79 -121 h\n.4465 g 4611 2302 N -79 121 248 -165 65 -88
      h\n.4722 g 4323 2423 N -65 88 307 -153 46 -56 h\n.4904 g 3943 2529 N
      -46 56 404 -139 22 -23 h\n.5 g 3943 2546 N -22 23 0 -21 22 -19 h\n.5096
      g 4323 2532 N -22 19 -404 30 46 -35 h\n.5278 g 4611 2560 N -46 35 -307
      -23 65 -40 h\n.5535 g 4845 2618 N -65 40 -248 -61 79 -37 h\n.585 g 5031
      2700 N -79 37 -199 -91 92 -28 h\n.6206 g 5174 2801 N -92 28 -152 -114
      101 -15 h\n.6589 g 5274 2914 N -101 15 -107 -132 108 4 h\n.6985 g 5334
      3036 N -108 -4 -64 -143 112 25 h\n.738 g 5355 3162 N -112 -25 -21 -148
      112 47 h\n.7759 g 5337 3286 N -112 -47 18 -148 112 71 h\n.8109 g 5286
      3404 N -112 -71 55 -141 108 94 h\n.8418 g 5202 3511 N -108 -94 89 -130
      103 117 h\n.8673 g 5091 3603 N -103 -117 118 -114 96 139 h\n.8865 g
      4957 3677 N -96 -139 143 -91 87 156 h\n.8984 g 4805 3728 N -87 -156 162
      -66 77 171 h\n.9023 g 4640 3753 N -77 -171 175 -35 67 181 h\n.8975 g
      4469 3750 N -67 -181 183 -3 55 187 h\n.8836 g 4297 3716 N -55 -187 183
      34 44 187 h\n.8603 g 4130 3650 N -44 -187 177 73 34 180 h\n.8273 g 3975
      3549 N -34 -180 165 114 24 167 h\n.7841 g 3839 3412 N -24 -167 146 159
      14 145 h\n.73 g 3726 3232 N -14 -145 119 209 8 116 h\n.6624 g 3646 2996
      N -8 -116 85 277 3 75 h\n.5624 g 3610 2591 N -3 -75 39 480 0 0 h\n.4289
      g 3649 2095 N 0 0 -37 547 -2 -51 h\n.315 g 3734 1782 N 2 51 -81 346 -6
      -84 h\n.2379 g 3853 1523 N 6 84 -114 290 -11 -115 h\n.1762 g 3999 1303
      N 11 115 -139 246 -18 -141 h\n.127 g 4164 1120 N 18 141 -157 207 -26
      -165 h\n.0894 g 4341 972 N 26 165 -170 167 -33 -184 h\n.0628 g 4524 861
      N 33 184 -174 128 -42 -201 h\n.047 g 4707 787 N 42 201 -175 88 -50 -215
      h\n.0416 g 4882 749 N 50 215 -167 47 -58 -224 h\n.046 g 5044 746 N 58
      224 -155 8 -65 -229 h\n.0595 g 5187 778 N 65 229 -136 -31 -72 -230
      h\n.0814 g 5305 842 N 72 230 -113 -66 -77 -228 h\n.1105 g 5394 935 N 77
      228 -84 -99 -82 -222 h\n.1457 g 5449 1053 N 82 222 -53 -129 -84 -211
      h\n.1856 g 5467 1193 N 84 211 -17 -154 -85 -197 h\n.2288 g 5446 1351 N
      85 197 20 -173 -84 -182 h\n.2738 g 5382 1520 N 84 182 61 -189 -81 -162
      h\n.3189 g 5275 1697 N 81 162 102 -197 -76 -142 h\n.3626 g 5123 1875 N
      76 142 145 -201 -69 -119 h\n.4032 g 4924 2049 N 69 119 190 -198 -60 -95
      h\n.439 g 4676 2214 N 60 95 237 -189 -49 -71 h\n.4683 g 4369 2367 N 49
      71 293 -178 -35 -46 h\n.4891 g 3965 2506 N 35 46 385 -166 -16 -19 h\n.5
      g 3965 2527 N 16 19 0 -22 -16 -18 h\n.5109 g 4369 2497 N 16 18 -385 46
      -35 -34 h\n.5317 g 4676 2520 N 35 34 -293 -17 -49 -40 h\n.561 g 4924
      2581 N 49 40 -237 -59 -60 -42 h\n.5968 g 5123 2672 N 60 42 -190 -94 -69
      -39 h\n.6374 g 5275 2786 N 69 39 -145 -121 -76 -32 h\n.6811 g 5382 2918
      N 76 32 -102 -141 -81 -23 h\n.7262 g 5446 3061 N 81 23 -61 -155 -84 -11
      h\n.7712 g 5467 3209 N 84 11 -20 -162 -85 3 h\n.8144 g 5449 3357 N 85
      -3 17 -164 -84 19 h\n.8543 g 5394 3498 N 84 -19 53 -157 -82 35 h\n.8895
      g 5305 3628 N 82 -35 84 -146 -77 51 h\n.9186 g 5187 3742 N 77 -51 113
      -128 -72 65 h\n.9405 g 5044 3833 N 72 -65 136 -106 -65 80 h\n.954 g
      4882 3899 N 65 -80 155 -77 -58 91 h\n.9584 g 4707 3934 N 58 -91 167 -44
      -50 100 h\n.953 g 4524 3937 N 50 -100 175 -8 -42 105 h\n.9372 g 4341
      3903 N 42 -105 174 31 -33 108 h\n.9106 g 4164 3830 N 33 -108 170 75 -26
      106 h\n.873 g 3999 3716 N 26 -106 157 120 -18 100 h\n.8238 g 3853 3557
      N 18 -100 139 170 -11 89 h\n.7621 g 3734 3348 N 11 -89 114 227 -6 71
      h\n.685 g 3649 3071 N 6 -71 81 301 -2 47 h\n.5711 g 3610 2591 N 2 -47
      37 527 0 0 h\n.4241 g 3647 2044 N 0 0 -32 569 -5 -22 h\n.3024 g 3728
      1698 N 5 22 -70 363 -16 -39 h\n.2201 g 3842 1408 N 16 39 -98 304 -32
      -53 h\n.1542 g 3981 1162 N 32 53 -120 260 -51 -67 h\n.1017 g 4138 955 N
      51 67 -135 219 -73 -79 h\n.0614 g 4308 788 N 73 79 -146 179 -97 -91
      h\n.0331 g 4482 660 N 97 91 -151 138 -120 -101 h\n.0162 g 4657 572 N
      120 101 -150 96 -145 -109 h\n.0104 g 4824 525 N 145 109 -144 54 -168
      -116 h\n.0151 g 4979 517 N 168 116 -134 12 -189 -120 h\n.0295 g 5115
      548 N 189 120 -117 -27 -208 -124 h\n.0529 g 5228 614 N 208 124 -97 -66
      -224 -124 h\n.084 g 5312 713 N 224 124 -73 -101 -235 -122 h\n.1215 g
      5365 842 N 235 122 -46 -132 -242 -119 h\n.1642 g 5382 996 N 242 119 -15
      -159 -244 -114 h\n.2103 g 5362 1169 N 244 114 18 -181 -242 -106
      h\n.2584 g 5301 1358 N 242 106 53 -198 -234 -97 h\n.3066 g 5199 1555 N
      234 97 88 -208 -220 -86 h\n.3532 g 5054 1756 N 220 86 125 -212 -200 -75
      h\n.3966 g 4864 1954 N 200 75 163 -211 -173 -62 h\n.4348 g 4627 2143 N
      173 62 204 -204 -140 -47 h\n.4661 g 4334 2321 N 140 47 253 -193 -100
      -32 h\n.4883 g 3949 2487 N 100 32 332 -184 -47 -14 h\n.5 g 3949 2509 N
      47 14 0 -23 -47 -13 h\n.5117 g 4334 2463 N 47 13 -332 59 -100 -26
      h\n.5339 g 4627 2480 N 100 26 -253 -9 -140 -34 h\n.5652 g 4864 2539 N
      140 34 -204 -55 -173 -38 h\n.6034 g 5054 2633 N 173 38 -163 -92 -200
      -40 h\n.6468 g 5199 2754 N 200 40 -125 -121 -220 -40 h\n.6934 g 5301
      2895 N 220 40 -88 -144 -234 -37 h\n.7416 g 5362 3050 N 234 37 -53 -159
      -242 -33 h\n.7897 g 5382 3212 N 242 33 -18 -168 -244 -27 h\n.8358 g
      5365 3376 N 244 27 15 -170 -242 -21 h\n.8785 g 5312 3533 N 242 21 46
      -166 -235 -12 h\n.916 g 5228 3679 N 235 12 73 -154 -224 -4 h\n.9471 g
      5115 3807 N 224 4 97 -136 -208 4 h\n.9705 g 4979 3913 N 208 -4 117 -114
      -189 12 h\n.9849 g 4824 3990 N 189 -12 134 -84 -168 19 h\n.9896 g 4657
      4034 N 168 -19 144 -51 -145 26 h\n.9838 g 4482 4042 N 145 -26 150 -14
      -120 32 h\n.9669 g 4308 4011 N 120 -32 151 28 -97 35 h\n.9386 g 4138
      3936 N 97 -35 146 73 -73 37 h\n.8983 g 3981 3816 N 73 -37 135 120 -51
      37 h\n.8458 g 3842 3646 N 51 -37 120 173 -32 34 h\n.7799 g 3728 3419 N
      32 -34 98 232 -16 29 h\n.6976 g 3647 3118 N 16 -29 70 311 -5 19
      h\n.5759 g 3610 2591 N 5 -19 32 546 0 0 h\n.4231 g 3642 2022 N 0 0 -24
      563 -8 6 h\n.2999 g 3712 1659 N 8 -6 -54 360 -24 9 h\n.2165 g 3810 1355
      N 24 -9 -76 302 -46 11 h\n.1498 g 3930 1095 N 46 -11 -91 260 -75 11
      h\n.0966 g 4065 876 N 75 -11 -104 221 -106 9 h\n.0558 g 4211 697 N 106
      -9 -112 180 -140 8 h\n.0271 g 4362 559 N 140 -8 -116 140 -175 6 h\n.01
      g 4512 463 N 175 -6 -115 99 -210 3 h\n.0041 g 4656 409 N 210 -3 -110 57
      -244 0 h\n.0089 g 4790 397 N 244 0 -103 16 -275 -4 h\n.0235 g 4907 424
      N 275 4 -90 -24 -302 -7 h\n.0472 g 5004 490 N 302 7 -74 -62 -325 -11
      h\n.0787 g 5077 591 N 325 11 -56 -97 -342 -15 h\n.1167 g 5123 723 N 342
      15 -35 -130 -353 -17 h\n.1599 g 5138 882 N 353 17 -12 -156 -356 -20
      h\n.2066 g 5120 1063 N 356 20 14 -180 -352 -21 h\n.2553 g 5067 1261 N
      352 21 40 -196 -339 -23 h\n.3041 g 4979 1469 N 339 23 68 -208 -319 -23
      h\n.3514 g 4854 1681 N 319 23 96 -213 -290 -22 h\n.3953 g 4691 1892 N
      290 22 125 -213 -252 -20 h\n.434 g 4487 2096 N 252 20 156 -207 -204 -17
      h\n.4657 g 4234 2289 N 204 17 194 -197 -145 -13 h\n.4882 g 3902 2473 N
      145 13 255 -191 -68 -6 h\n.5 g 3902 2496 N 68 6 0 -22 -68 -7 h\n.5118 g
      4234 2437 N 68 7 -255 66 -145 -14 h\n.5343 g 4487 2446 N 145 14 -194 -1
      -204 -22 h\n.566 g 4691 2501 N 204 22 -156 -49 -252 -28 h\n.6047 g 4854
      2593 N 252 28 -125 -87 -290 -33 h\n.6486 g 4979 2714 N 290 33 -96 -116
      -319 -38 h\n.6959 g 5067 2858 N 319 38 -68 -140 -339 -42 h\n.7447 g
      5120 3017 N 339 42 -40 -156 -352 -45 h\n.7934 g 5138 3185 N 352 45 -14
      -165 -356 -48 h\n.8401 g 5123 3355 N 356 48 12 -168 -353 -50 h\n.8833 g
      5077 3521 N 353 50 35 -165 -342 -51 h\n.9213 g 5004 3675 N 342 51 56
      -154 -325 -51 h\n.9528 g 4907 3811 N 325 51 74 -137 -302 -50 h\n.9765 g
      4790 3925 N 302 50 90 -115 -275 -49 h\n.9911 g 4656 4009 N 275 49 103
      -87 -244 -46 h\n.9959 g 4512 4060 N 244 46 110 -55 -210 -42 h\n.99 g
      4362 4074 N 210 42 115 -17 -175 -39 h\n.9729 g 4211 4046 N 175 39 116
      23 -140 -34 h\n.9442 g 4065 3973 N 140 34 112 68 -106 -29 h\n.9034 g
      3930 3853 N 106 29 104 115 -75 -24 h\n.8502 g 3810 3680 N 75 24 91 168
      -46 -19 h\n.7835 g 3712 3448 N 46 19 76 226 -24 -13 h\n.7001 g 3642
      3137 N 24 13 54 305 -8 -7 h\n.5769 g 3610 2591 N 8 7 24 539 0 0 h\n.426
      g 3634 2028 N 0 0 -16 528 -8 35 h\n.3074 g 3688 1668 N 8 -35 -35 338
      -27 57 h\n.2272 g 3764 1366 N 27 -57 -49 286 -54 73 h\n.163 g 3855 1106
      N 54 -73 -60 245 -85 88 h\n.1118 g 3959 885 N 85 -88 -67 209 -122 100
      h\n.0726 g 4071 705 N 122 -100 -73 172 -161 108 h\n.045 g 4187 565 N
      161 -108 -75 134 -202 114 h\n.0285 g 4302 466 N 202 -114 -75 95 -242
      118 h\n.0228 g 4412 409 N 242 -118 -72 57 -280 118 h\n.0274 g 4515 393
      N 280 -118 -67 17 -316 117 h\n.0415 g 4605 417 N 316 -117 -58 -20 -348
      113 h\n.0643 g 4679 479 N 348 -113 -49 -57 -373 108 h\n.0946 g 4735 576
      N 373 -108 -36 -90 -393 101 h\n.1312 g 4770 706 N 393 -101 -23 -120
      -405 91 h\n.1727 g 4782 862 N 405 -91 -7 -147 -410 82 h\n.2177 g 4768
      1042 N 410 -82 9 -168 -405 70 h\n.2645 g 4728 1238 N 405 -70 26 -185
      -391 59 h\n.3115 g 4660 1446 N 391 -59 44 -196 -367 47 h\n.357 g 4564
      1659 N 367 -47 62 -202 -333 36 h\n.3992 g 4439 1872 N 333 -36 82 -203
      -290 26 h\n.4365 g 4283 2079 N 290 -26 101 -197 -235 16 h\n.467 g 4089
      2276 N 235 -16 127 -190 -168 9 h\n.4886 g 3834 2467 N 168 -9 165 -184
      -78 2 h\n.5 g 3834 2489 N 78 -2 0 -21 -78 1 h\n.5114 g 4089 2423 N 78
      -1 -165 68 -168 -1 h\n.533 g 4283 2424 N 168 1 -127 4 -235 -6 h\n.5635
      g 4439 2473 N 235 6 -101 -42 -290 -13 h\n.6008 g 4564 2560 N 290 13 -82
      -78 -333 -22 h\n.643 g 4660 2676 N 333 22 -62 -107 -367 -31 h\n.6885 g
      4728 2816 N 367 31 -44 -129 -391 -42 h\n.7355 g 4768 2972 N 391 42 -26
      -145 -405 -53 h\n.7823 g 4782 3137 N 405 53 -9 -155 -410 -63 h\n.8273 g
      4770 3305 N 410 63 7 -158 -405 -73 h\n.8688 g 4735 3470 N 405 73 23
      -155 -393 -83 h\n.9054 g 4679 3624 N 393 83 36 -146 -373 -91 h\n.9357 g
      4605 3761 N 373 91 49 -130 -348 -98 h\n.9585 g 4515 3876 N 348 98 58
      -110 -316 -103 h\n.9726 g 4412 3963 N 316 103 67 -84 -280 -106 h\n.9772
      g 4302 4018 N 280 106 72 -54 -242 -107 h\n.9715 g 4187 4035 N 242 107
      75 -19 -202 -105 h\n.955 g 4071 4012 N 202 105 75 19 -161 -101 h\n.9274
      g 3959 3944 N 161 101 73 61 -122 -94 h\n.8882 g 3855 3829 N 122 94 67
      106 -85 -85 h\n.837 g 3764 3661 N 85 85 60 154 -54 -71 h\n.7728 g 3688
      3435 N 54 71 49 211 -27 -56 h\n.6926 g 3634 3130 N 27 56 35 284 -8 -35
      h\n.574 g 3610 2591 N 8 35 16 504 0 0 h\n.4328 g 3626 2063 N 0 0 -8 464
      -8 64 h\n.325 g 3661 1725 N 8 -64 -16 298 -27 104 h\n.2522 g 3710 1439
      N 27 -104 -24 252 -52 138 h\n.1939 g 3770 1194 N 52 -138 -28 217 -84
      166 h\n.1473 g 3837 985 N 84 -166 -32 185 -119 190 h\n.1117 g 3910 813
      N 119 -190 -35 152 -157 210 h\n.0866 g 3985 679 N 157 -210 -36 119 -196
      225 h\n.0716 g 4060 584 N 196 -225 -36 86 -235 234 h\n.0665 g 4132 527
      N 235 -234 -34 51 -273 240 h\n.0707 g 4199 510 N 273 -240 -31 16 -309
      241 h\n.0835 g 4257 530 N 309 -241 -28 -16 -339 237 h\n.1041 g 4306 587
      N 339 -237 -24 -49 -364 229 h\n.1317 g 4342 677 N 364 -229 -17 -78 -383
      217 h\n.1649 g 4365 797 N 383 -217 -11 -105 -395 202 h\n.2027 g 4372
      944 N 395 -202 -3 -129 -399 184 h\n.2435 g 4363 1112 N 399 -184 4 -148
      -394 164 h\n.2861 g 4337 1297 N 394 -164 12 -163 -380 142 h\n.3288 g
      4293 1493 N 380 -142 21 -173 -357 119 h\n.3701 g 4231 1695 N 357 -119
      30 -179 -325 96 h\n.4084 g 4149 1898 N 325 -96 39 -180 -282 73 h\n.4423
      g 4048 2095 N 282 -73 48 -175 -229 51 h\n.47 g 3921 2285 N 229 -51 61
      -169 -163 30 h\n.4897 g 3756 2469 N 163 -30 79 -166 -77 12 h\n.5 g 3756
      2490 N 77 -12 0 -19 -77 10 h\n.5103 g 3921 2422 N 77 -10 -79 64 -163 14
      h\n.53 g 4048 2418 N 163 -14 -61 6 -229 12 h\n.5577 g 4149 2460 N 229
      -12 -48 -35 -282 5 h\n.5916 g 4231 2538 N 282 -5 -39 -67 -325 -6
      h\n.6299 g 4293 2645 N 325 6 -30 -92 -357 -21 h\n.6712 g 4337 2774 N
      357 21 -21 -113 -380 -37 h\n.7139 g 4363 2919 N 380 37 -12 -127 -394
      -55 h\n.7565 g 4372 3074 N 394 55 -4 -135 -399 -75 h\n.7973 g 4365 3232
      N 399 75 3 -139 -395 -94 h\n.8351 g 4342 3387 N 395 94 11 -137 -383
      -112 h\n.8683 g 4306 3533 N 383 112 17 -129 -364 -129 h\n.8959 g 4257
      3663 N 364 129 24 -115 -339 -144 h\n.9165 g 4199 3773 N 339 144 28 -98
      -309 -156 h\n.9293 g 4132 3857 N 309 156 31 -75 -273 -165 h\n.9335 g
      4060 3911 N 273 165 34 -49 -235 -170 h\n.9284 g 3985 3930 N 235 170 36
      -18 -196 -171 h\n.9134 g 3910 3911 N 196 171 36 15 -157 -167 h\n.8883 g
      3837 3850 N 157 167 35 52 -119 -158 h\n.8527 g 3770 3744 N 119 158 32
      91 -84 -143 h\n.8061 g 3710 3590 N 84 143 28 135 -52 -124 h\n.7478 g
      3661 3379 N 52 124 24 183 -27 -96 h\n.675 g 3626 3095 N 27 96 16 250 -8
      -62 h\n.5672 g 3610 2591 N 8 62 8 442 0 0 h\n.4435 g 3618 2127 N 0 0 -1
      371 -7 93 h\n.3528 g 3634 1829 N 7 -93 -2 238 -21 153 h\n.2915 g 3658
      1577 N 21 -153 -2 201 -43 204 h\n.2425 g 3686 1360 N 43 -204 -4 174 -67
      247 h\n.2033 g 3718 1175 N 67 -247 -3 148 -96 284 h\n.1734 g 3753 1023
      N 96 -284 -4 123 -127 313 h\n.1522 g 3789 904 N 127 -313 -4 95 -159 337
      h\n.1397 g 3825 818 N 159 -337 -4 69 -191 354 h\n.1353 g 3859 767 N 191
      -354 -4 41 -221 364 h\n.1388 g 3890 751 N 221 -364 -3 14 -249 366
      h\n.1496 g 3918 767 N 249 -366 -3 -13 -274 363 h\n.167 g 3942 816 N 274
      -363 -3 -38 -295 352 h\n.1902 g 3959 894 N 295 -352 -2 -63 -310 337
      h\n.2181 g 3970 999 N 310 -337 -1 -83 -320 315 h\n.2499 g 3973 1128 N
      320 -315 0 -103 -323 289 h\n.2843 g 3969 1276 N 323 -289 0 -118 -319
      259 h\n.32 g 3957 1439 N 319 -259 2 -131 -309 227 h\n.356 g 3936 1612 N
      309 -227 2 -139 -290 193 h\n.3907 g 3906 1791 N 290 -193 3 -143 -263
      157 h\n.423 g 3867 1971 N 263 -157 4 -144 -228 121 h\n.4515 g 3819 2146
      N 228 -121 6 -141 -186 87 h\n.4748 g 3758 2315 N 186 -87 6 -136 -131 54
      h\n.4913 g 3679 2481 N 131 -54 9 -133 -61 21 h\n.5 g 3679 2500 N 61 -21
      0 -15 -61 17 h\n.5087 g 3758 2436 N 61 -17 -9 52 -131 29 h\n.5252 g
      3819 2430 N 131 -29 -6 5 -186 30 h\n.5485 g 3867 2465 N 186 -30 -6 -27
      -228 22 h\n.577 g 3906 2532 N 228 -22 -4 -53 -263 8 h\n.6093 g 3936
      2624 N 263 -8 -3 -73 -290 -11 h\n.644 g 3957 2737 N 290 11 -2 -90 -309
      -34 h\n.68 g 3969 2864 N 309 34 -2 -101 -319 -60 h\n.7157 g 3973 2999 N
      319 60 0 -108 -323 -87 h\n.7501 g 3970 3138 N 323 87 0 -111 -320 -115
      h\n.7819 g 3959 3275 N 320 115 1 -109 -310 -143 h\n.8098 g 3942 3404 N
      310 143 2 -103 -295 -169 h\n.833 g 3918 3519 N 295 169 3 -93 -274 -191
      h\n.8504 g 3890 3617 N 274 191 3 -79 -249 -210 h\n.8612 g 3859 3692 N
      249 210 3 -60 -221 -225 h\n.8647 g 3825 3741 N 221 225 4 -40 -191 -234
      h\n.8603 g 3789 3759 N 191 234 4 -15 -159 -237 h\n.8478 g 3753 3744 N
      159 237 4 12 -127 -234 h\n.8266 g 3718 3692 N 127 234 4 41 -96 -223
      h\n.7967 g 3686 3601 N 96 223 3 72 -67 -204 h\n.7575 g 3658 3466 N 67
      204 4 107 -43 -176 h\n.7085 g 3634 3283 N 43 176 2 147 -21 -140
      h\n.6472 g 3618 3033 N 21 140 2 199 -7 -89 h\n.5565 g 3610 2591 N 7 89
      1 353 0 0 h\n.4584 g 3611 2220 N 0 0 3 244 -4 127 h\n.3916 g 3613 1982
      N 4 -127 6 157 -12 208 h\n.3465 g 3615 1781 N 12 -208 9 133 -23 276
      h\n.3103 g 3619 1607 N 23 -276 11 114 -38 336 h\n.2815 g 3622 1459 N 38
      -336 12 97 -53 387 h\n.2594 g 3626 1336 N 53 -387 13 81 -70 429
      h\n.2439 g 3630 1241 N 70 -429 14 63 -88 461 h\n.2346 g 3634 1172 N 88
      -461 14 45 -106 485 h\n.2314 g 3638 1131 N 106 -485 13 27 -123 499
      h\n.234 g 3641 1117 N 123 -499 12 9 -138 504 h\n.2419 g 3644 1130 N 138
      -504 11 -9 -152 500 h\n.2547 g 3647 1168 N 152 -500 8 -26 -163 488
      h\n.2718 g 3649 1231 N 163 -488 7 -41 -172 466 h\n.2924 g 3650 1314 N
      172 -466 4 -55 -177 438 h\n.3158 g 3650 1417 N 177 -438 1 -68 -178 403
      h\n.3411 g 3650 1535 N 178 -403 -1 -77 -177 362 h\n.3675 g 3648 1666 N
      177 -362 -5 -86 -170 317 h\n.3939 g 3646 1805 N 170 -317 -8 -92 -160
      270 h\n.4195 g 3643 1948 N 160 -270 -11 -94 -146 221 h\n.4433 g 3639
      2092 N 146 -221 -15 -94 -127 171 h\n.4643 g 3633 2233 N 127 -171 -19
      -93 -102 123 h\n.4814 g 3627 2369 N 102 -123 -23 -89 -73 76 h\n.4936 g
      3618 2502 N 73 -76 -30 -88 -34 31 h\n.5 g 3618 2517 N 34 -31 0 -10 -34
      26 h\n.5064 g 3627 2465 N 34 -26 30 34 -73 44 h\n.5186 g 3633 2460 N 73
      -44 23 4 -102 45 h\n.5357 g 3639 2487 N 102 -45 19 -18 -127 36 h\n.5567
      g 3643 2540 N 127 -36 15 -35 -146 18 h\n.5805 g 3646 2613 N 146 -18 11
      -49 -160 -6 h\n.6061 g 3648 2703 N 160 6 8 -59 -170 -37 h\n.6325 g 3650
      2804 N 170 37 5 -67 -177 -71 h\n.6589 g 3650 2912 N 177 71 1 -71 -178
      -108 h\n.6842 g 3650 3023 N 178 108 -1 -73 -177 -146 h\n.7076 g 3649
      3132 N 177 146 -4 -72 -172 -183 h\n.7282 g 3647 3235 N 172 183 -7 -68
      -163 -218 h\n.7453 g 3644 3328 N 163 218 -8 -61 -152 -250 h\n.7581 g
      3641 3407 N 152 250 -11 -51 -138 -278 h\n.766 g 3638 3467 N 138 278 -12
      -40 -123 -298 h\n.7686 g 3634 3507 N 123 298 -13 -26 -106 -312 h\n.7654
      g 3630 3522 N 106 312 -14 -10 -88 -317 h\n.7561 g 3626 3510 N 88 317
      -14 8 -70 -313 h\n.7406 g 3622 3469 N 70 313 -13 27 -53 -299 h\n.7185 g
      3619 3397 N 53 299 -12 48 -38 -275 h\n.6897 g 3615 3290 N 38 275 -11 71
      -23 -239 h\n.6535 g 3613 3143 N 23 239 -9 96 -12 -188 h\n.6084 g 3611
      2944 N 12 188 -6 131 -4 -120 h\n.5416 g 3610 2591 N 4 120 -3 233 0 0
      h\n.4799 g 3607 2347 N 0 0 1 53 2 191 h\n.4476 g 3601 2190 N -2 -191 3
      34 5 314 h\n.4258 g 3592 2057 N -5 -314 4 29 10 418 h\n.4083 g 3581
      1943 N -10 -418 6 24 15 508 h\n.3944 g 3569 1846 N -15 -508 5 21 22 584
      h\n.3837 g 3556 1765 N -22 -584 7 18 28 647 h\n.3762 g 3542 1702 N -28
      -647 6 13 36 697 h\n.3717 g 3528 1657 N -36 -697 6 10 44 732 h\n.3702 g
      3515 1630 N -44 -732 7 6 50 753 h\n.3714 g 3503 1621 N -50 -753 5 1 57
      761 h\n.3753 g 3492 1630 N -57 -761 5 -2 63 754 h\n.3815 g 3484 1656 N
      -63 -754 5 -5 66 733 h\n.3897 g 3477 1697 N -66 -733 3 -9 70 701
      h\n.3997 g 3473 1752 N -70 -701 2 -12 72 658 h\n.411 g 3472 1820 N -72
      -658 0 -15 73 605 h\n.4232 g 3473 1897 N -73 -605 -1 -17 73 545
      h\n.4359 g 3478 1983 N -73 -545 -2 -18 70 477 h\n.4487 g 3486 2075 N
      -70 -477 -4 -20 66 405 h\n.4611 g 3497 2169 N -66 -405 -5 -20 60 331
      h\n.4726 g 3512 2263 N -60 -331 -7 -21 52 258 h\n.4827 g 3531 2356 N
      -52 -258 -9 -20 42 185 h\n.491 g 3554 2445 N -42 -185 -10 -19 29 115
      h\n.4969 g 3584 2533 N -29 -115 -15 -19 14 46 h\n.5 g 3584 2543 N -14
      -46 0 -2 14 38 h\n.5031 g 3554 2509 N -14 -38 15 7 29 65 h\n.509 g 3531
      2505 N -29 -65 10 1 42 68 h\n.5173 g 3512 2523 N -42 -68 9 -4 52 54
      h\n.5274 g 3497 2558 N -52 -54 7 -8 60 27 h\n.5389 g 3486 2607 N -60
      -27 5 -11 66 -11 h\n.5513 g 3478 2666 N -66 11 4 -13 70 -57 h\n.5641 g
      3473 2733 N -70 57 2 -14 73 -110 h\n.5768 g 3472 2804 N -73 110 1 -16
      73 -165 h\n.589 g 3473 2877 N -73 165 0 -15 72 -223 h\n.6003 g 3477
      2949 N -72 223 -2 -16 70 -279 h\n.6103 g 3484 3017 N -70 279 -3 -15 66
      -332 h\n.6185 g 3492 3078 N -66 332 -5 -13 63 -380 h\n.6247 g 3503 3129
      N -63 380 -5 -11 57 -420 h\n.6286 g 3515 3169 N -57 420 -5 -8 50 -452
      h\n.6298 g 3528 3195 N -50 452 -7 -6 44 -472 h\n.6283 g 3542 3205 N -44
      472 -6 -2 36 -480 h\n.6238 g 3556 3197 N -36 480 -6 2 28 -474 h\n.6163
      g 3569 3170 N -28 474 -7 6 22 -453 h\n.6056 g 3581 3122 N -22 453 -5 11
      15 -416 h\n.5917 g 3592 3051 N -15 416 -6 15 10 -360 h\n.5742 g 3601
      2955 N -10 360 -4 21 5 -285 h\n.5524 g 3607 2824 N -5 285 -3 29 2 -183
      h\n.5201 g 3610 2591 N -2 183 -1 50 0 0 h\n.4825 g 3609 2538 N 0 0 8
      205 -7 -152 h\n.4544 g 3606 2504 N 7 152 18 132 -22 -250 h\n.4354 g
      3602 2475 N 22 250 24 110 -42 -331 h\n.4202 g 3596 2451 N 42 331 31 95
      -67 -402 h\n.4081 g 3591 2430 N 67 402 34 81 -96 -462 h\n.3988 g 3584
      2412 N 96 462 37 66 -126 -510 h\n.3923 g 3578 2399 N 126 510 38 52 -158
      -549 h\n.3884 g 3572 2389 N 158 549 38 36 -190 -575 h\n.387 g 3565 2383
      N 190 575 36 22 -219 -591 h\n.3881 g 3560 2382 N 219 591 34 6 -248 -596
      h\n.3915 g 3555 2384 N 248 596 30 -9 -273 -589 h\n.3968 g 3550 2389 N
      273 589 24 -22 -292 -572 h\n.404 g 3547 2398 N 292 572 19 -35 -308 -546
      h\n.4127 g 3545 2410 N 308 546 11 -47 -317 -511 h\n.4225 g 3545 2425 N
      317 511 4 -58 -321 -468 h\n.4332 g 3546 2442 N 321 468 -5 -65 -317 -420
      h\n.4443 g 3548 2460 N 317 420 -13 -72 -306 -366 h\n.4554 g 3552 2480 N
      306 366 -22 -76 -288 -310 h\n.4661 g 3557 2500 N 288 310 -32 -78 -261
      -252 h\n.4761 g 3564 2521 N 261 252 -41 -78 -227 -195 h\n.485 g 3573
      2541 N 227 195 -52 -76 -184 -139 h\n.4922 g 3583 2560 N 184 139 -63 -72
      -131 -86 h\n.4973 g 3598 2579 N 131 86 -84 -71 -62 -34 h\n.5 g 3598
      2581 N 62 34 0 -8 -62 -28 h\n.5027 g 3583 2574 N 62 28 84 25 -131 -46
      h\n.5078 g 3573 2573 N 131 46 63 0 -184 -45 h\n.515 g 3564 2577 N 184
      45 52 -17 -227 -32 h\n.5239 g 3557 2585 N 227 32 41 -31 -261 -9
      h\n.5339 g 3552 2596 N 261 9 32 -42 -288 22 h\n.5446 g 3548 2609 N 288
      -22 22 -51 -306 60 h\n.5557 g 3546 2623 N 306 -60 13 -56 -317 102
      h\n.5668 g 3545 2639 N 317 -102 5 -61 -321 147 h\n.5775 g 3545 2654 N
      321 -147 -4 -61 -317 193 h\n.5873 g 3547 2670 N 317 -193 -11 -60 -308
      237 h\n.596 g 3550 2685 N 308 -237 -19 -57 -292 279 h\n.6032 g 3555
      2698 N 292 -279 -24 -50 -273 316 h\n.6085 g 3560 2709 N 273 -316 -30
      -42 -248 347 h\n.6119 g 3565 2717 N 248 -347 -34 -32 -219 371 h\n.613 g
      3572 2723 N 219 -371 -36 -21 -190 386 h\n.6116 g 3578 2725 N 190 -386
      -38 -6 -158 390 h\n.6077 g 3584 2723 N 158 -390 -38 8 -126 384 h\n.6012
      g 3591 2717 N 126 -384 -37 24 -96 366 h\n.5919 g 3596 2706 N 96 -366
      -34 42 -67 335 h\n.5798 g 3602 2691 N 67 -335 -31 60 -42 290 h\n.5646 g
      3606 2670 N 42 -290 -24 83 -22 228 h\n.5456 g 3609 2641 N 22 -228 -18
      111 -7 146 h\n.5175 g 3610 2591 N 7 -146 -8 196 0 0 h\n.4629 g 3602
      2386 N 0 0 18 342 -10 -137 h\n.4034 g 3584 2254 N 10 137 39 217 -31
      -222 h\n.3631 g 3560 2144 N 31 222 54 183 -61 -295 h\n.3309 g 3529 2049
      N 61 295 67 157 -97 -357 h\n.3052 g 3495 1968 N 97 357 76 132 -139 -408
      h\n.2855 g 3458 1902 N 139 408 81 108 -183 -450 h\n.2717 g 3420 1850 N
      183 450 84 84 -229 -482 h\n.2634 g 3382 1814 N 229 482 84 58 -275 -504
      h\n.2606 g 3346 1792 N 275 504 81 34 -320 -516 h\n.2629 g 3312 1786 N
      320 516 74 8 -360 -518 h\n.2699 g 3282 1795 N 360 518 65 -16 -395 -511
      h\n.2813 g 3258 1817 N 395 511 55 -38 -426 -495 h\n.2966 g 3239 1852 N
      426 495 40 -60 -447 -470 h\n.3149 g 3228 1899 N 447 470 26 -79 -462
      -438 h\n.3358 g 3224 1957 N 462 438 8 -96 -466 -400 h\n.3584 g 3229
      2022 N 466 400 -10 -108 -461 -357 h\n.3818 g 3242 2094 N 461 357 -29
      -119 -445 -310 h\n.4054 g 3264 2170 N 445 310 -49 -126 -418 -260
      h\n.4282 g 3296 2248 N 418 260 -70 -128 -380 -210 h\n.4494 g 3337 2326
      N 380 210 -91 -127 -330 -161 h\n.4681 g 3389 2402 N 330 161 -114 -124
      -268 -113 h\n.4834 g 3452 2474 N 268 113 -141 -117 -190 -68 h\n.4943 g
      3536 2545 N 190 68 -185 -112 -89 -27 h\n.5 g 3536 2553 N 89 27 0 -14
      -89 -21 h\n.5057 g 3452 2528 N 89 21 185 37 -190 -33 h\n.5166 g 3389
      2528 N 190 33 141 -3 -268 -30 h\n.5319 g 3337 2545 N 268 30 114 -32
      -330 -15 h\n.5506 g 3296 2576 N 330 15 91 -54 -380 8 h\n.5718 g 3264
      2618 N 380 -8 70 -72 -418 38 h\n.5946 g 3242 2669 N 418 -38 49 -86 -445
      73 h\n.6182 g 3229 2725 N 445 -73 29 -95 -461 112 h\n.6416 g 3224 2786
      N 461 -112 10 -101 -466 152 h\n.6642 g 3228 2847 N 466 -152 -8 -102
      -462 193 h\n.6851 g 3239 2907 N 462 -193 -26 -100 -447 233 h\n.7034 g
      3258 2964 N 447 -233 -40 -92 -426 268 h\n.7187 g 3282 3014 N 426 -268
      -55 -83 -395 301 h\n.7301 g 3312 3056 N 395 -301 -65 -68 -360 327
      h\n.7371 g 3346 3088 N 360 -327 -74 -52 -320 347 h\n.7394 g 3382 3109 N
      320 -347 -81 -32 -275 358 h\n.7366 g 3420 3115 N 275 -358 -84 -9 -229
      361 h\n.7283 g 3458 3107 N 229 -361 -84 16 -183 353 h\n.7145 g 3495
      3083 N 183 -353 -81 43 -139 334 h\n.6948 g 3529 3041 N 139 -334 -76 71
      -97 305 h\n.6691 g 3560 2981 N 97 -305 -67 103 -61 262 h\n.6369 g 3584
      2898 N 61 -262 -54 139 -31 206 h\n.5966 g 3602 2787 N 31 -206 -39 186
      -10 131 h\n.5371 g 3610 2591 N 10 -131 -18 327 0 0 h\n.4468 g 3592 2249
      N 0 0 28 442 -10 -100 h\n.3614 g 3553 2032 N 10 100 62 280 -33 -163
      h\n.3037 g 3499 1849 N 33 163 87 234 -66 -214 h\n.2575 g 3432 1692 N 66
      214 106 200 -105 -257 h\n.2207 g 3356 1560 N 105 257 121 168 -150 -293
      h\n.1924 g 3275 1452 N 150 293 129 137 -198 -322 h\n.1725 g 3191 1368 N
      198 322 134 104 -248 -342 h\n.1607 g 3107 1310 N 248 342 133 72 -297
      -356 h\n.1566 g 3026 1276 N 297 356 128 40 -344 -362 h\n.1599 g 2952
      1268 N 344 362 118 8 -388 -362 h\n.1701 g 2887 1284 N 388 362 104 -24
      -427 -354 h\n.1864 g 2832 1322 N 427 354 86 -52 -458 -340 h\n.2083 g
      2792 1382 N 458 340 65 -80 -483 -320 h\n.2346 g 2766 1461 N 483 320 40
      -103 -497 -296 h\n.2645 g 2758 1557 N 497 296 13 -124 -502 -268
      h\n.2969 g 2768 1665 N 502 268 -15 -140 -497 -236 h\n.3306 g 2797 1784
      N 497 236 -47 -153 -479 -202 h\n.3644 g 2846 1910 N 479 202 -78 -160
      -450 -168 h\n.3971 g 2916 2038 N 450 168 -111 -163 -409 -133 h\n.4275 g
      3007 2165 N 409 133 -145 -161 -355 -99 h\n.4543 g 3121 2289 N 355 99
      -181 -155 -288 -68 h\n.4763 g 3262 2406 N 288 68 -224 -146 -205 -39
      h\n.4918 g 3447 2518 N 205 39 -294 -137 -96 -14 h\n.5 g 3447 2532 N 96
      14 0 -18 -96 -10 h\n.5082 g 3262 2495 N 96 10 294 40 -205 -13 h\n.5237
      g 3121 2498 N 205 13 224 -11 -288 -5 h\n.5457 g 3007 2530 N 288 5 181
      -46 -355 9 h\n.5725 g 2916 2584 N 355 -9 145 -74 -409 29 h\n.6029 g
      2846 2656 N 409 -29 111 -96 -450 53 h\n.6356 g 2797 2742 N 450 -53 78
      -113 -479 80 h\n.6694 g 2768 2837 N 479 -80 47 -125 -497 110 h\n.7031 g
      2758 2938 N 497 -110 15 -131 -502 140 h\n.7355 g 2766 3040 N 502 -140
      -13 -131 -497 169 h\n.7654 g 2792 3140 N 497 -169 -40 -128 -483 197
      h\n.7917 g 2832 3232 N 483 -197 -65 -119 -458 224 h\n.8136 g 2887 3315
      N 458 -224 -86 -104 -427 245 h\n.8299 g 2952 3383 N 427 -245 -104 -86
      -388 263 h\n.8401 g 3026 3435 N 388 -263 -118 -63 -344 274 h\n.8434 g
      3107 3467 N 344 -274 -128 -38 -297 280 h\n.8393 g 3191 3476 N 297 -280
      -133 -8 -248 279 h\n.8275 g 3275 3460 N 248 -279 -134 24 -198 271
      h\n.8076 g 3356 3417 N 198 -271 -129 59 -150 255 h\n.7793 g 3432 3346 N
      150 -255 -121 96 -105 230 h\n.7425 g 3499 3243 N 105 -230 -106 136 -66
      197 h\n.6963 g 3553 3104 N 66 -197 -87 182 -33 154 h\n.6386 g 3592 2918
      N 33 -154 -62 242 -10 98 h\n.5532 g 3610 2591 N 10 -98 -28 425 0 0
      h\n.4351 g 3582 2149 N 0 0 38 512 -10 -70 h\n.331 g 3520 1869 N 10 70
      84 323 -32 -113 h\n.2607 g 3433 1635 N 32 113 118 268 -63 -147 h\n.2043
      g 3327 1435 N 63 147 144 228 -101 -175 h\n.1594 g 3206 1267 N 101 175
      163 191 -143 -198 h\n.125 g 3077 1130 N 143 198 175 153 -189 -214
      h\n.1007 g 2943 1026 N 189 214 182 117 -237 -227 h\n.0863 g 2810 954 N
      237 227 180 78 -284 -233 h\n.0813 g 2682 914 N 284 233 173 41 -329 -234
      h\n.0853 g 2564 906 N 329 234 161 5 -372 -231 h\n.0977 g 2460 930 N 372
      231 141 -31 -409 -224 h\n.1177 g 2374 982 N 409 224 117 -65 -440 -211
      h\n.1443 g 2309 1062 N 440 211 87 -94 -462 -197 h\n.1764 g 2269 1165 N
      462 197 55 -122 -477 -178 h\n.2129 g 2256 1289 N 477 178 18 -144 -482
      -158 h\n.2523 g 2271 1429 N 482 158 -22 -163 -475 -135 h\n.2934 g 2318
      1582 N 475 135 -63 -175 -459 -113 h\n.3346 g 2396 1742 N 459 113 -106
      -183 -431 -90 h\n.3745 g 2507 1905 N 431 90 -150 -185 -392 -68 h\n.4116
      g 2652 2066 N 392 68 -196 -181 -341 -48 h\n.4443 g 2833 2221 N 341 48
      -245 -174 -277 -29 h\n.4711 g 3057 2367 N 277 29 -304 -160 -197 -15
      h\n.49 g 3351 2504 N 197 15 -400 -148 -91 -4 h\n.5 g 3351 2522 N 91 4 0
      -21 -91 -1 h\n.51 g 3057 2482 N 91 1 400 35 -197 4 h\n.5289 g 2833 2493
      N 197 -4 304 -20 -277 13 h\n.5557 g 2652 2539 N 277 -13 245 -61 -341 28
      h\n.5884 g 2507 2613 N 341 -28 196 -92 -392 46 h\n.6255 g 2396 2709 N
      392 -46 150 -116 -431 66 h\n.6654 g 2318 2822 N 431 -66 106 -134 -459
      87 h\n.7066 g 2271 2947 N 459 -87 63 -146 -475 108 h\n.7477 g 2256 3078
      N 475 -108 22 -153 -482 130 h\n.7871 g 2269 3209 N 482 -130 -18 -152
      -477 151 h\n.8236 g 2309 3337 N 477 -151 -55 -147 -462 170 h\n.8557 g
      2374 3456 N 462 -170 -87 -135 -440 186 h\n.8823 g 2460 3560 N 440 -186
      -117 -118 -409 200 h\n.9023 g 2564 3646 N 409 -200 -141 -96 -372 210
      h\n.9147 g 2682 3709 N 372 -210 -161 -69 -329 216 h\n.9187 g 2810 3747
      N 329 -216 -173 -38 -284 216 h\n.9137 g 2943 3755 N 284 -216 -180 -5
      -237 213 h\n.8993 g 3077 3731 N 237 -213 -182 33 -189 204 h\n.875 g
      3206 3672 N 189 -204 -175 74 -143 189 h\n.8406 g 3327 3576 N 143 -189
      -163 115 -101 170 h\n.7957 g 3433 3440 N 101 -170 -144 162 -63 144
      h\n.7393 g 3520 3258 N 63 -144 -118 215 -32 111 h\n.669 g 3582 3016 N
      32 -111 -84 284 -10 69 h\n.5649 g 3610 2591 N 10 -69 -38 494 0 0
      h\n.4274 g 3572 2079 N 0 0 46 553 -8 -41 h\n.3109 g 3488 1756 N 8 41
      103 347 -27 -65 h\n.2321 g 3370 1488 N 27 65 144 287 -53 -84 h\n.1691 g
      3226 1260 N 53 84 176 242 -85 -98 h\n.1188 g 3063 1069 N 85 98 198 200
      -120 -107 h\n.0803 g 2888 916 N 120 107 214 161 -159 -115 h\n.0531 g
      2706 799 N 159 115 221 119 -198 -117 h\n.037 g 2526 721 N 198 117 220
      79 -238 -118 h\n.0314 g 2353 680 N 238 118 211 39 -276 -116 h\n.0359 g
      2192 675 N 276 116 195 -1 -310 -110 h\n.0498 g 2051 706 N 310 110 173
      -39 -342 -102 h\n.0721 g 1934 771 N 342 102 142 -74 -367 -93 h\n.1019 g
      1847 865 N 367 93 107 -105 -387 -82 h\n.1378 g 1792 987 N 387 82 67
      -134 -399 -70 h\n.1786 g 1774 1131 N 399 70 21 -157 -402 -57 h\n.2228 g
      1796 1294 N 402 57 -26 -175 -398 -45 h\n.2688 g 1859 1469 N 398 45 -76
      -188 -385 -32 h\n.3149 g 1965 1652 N 385 32 -130 -194 -361 -21 h\n.3596
      g 2115 1837 N 361 21 -183 -195 -328 -11 h\n.401 g 2311 2018 N 328 11
      -239 -190 -285 -2 h\n.4376 g 2556 2192 N 285 2 -299 -179 -231 3
      h\n.4676 g 2860 2352 N 231 -3 -371 -163 -164 6 h\n.4888 g 3260 2500 N
      164 -6 -487 -147 -77 5 h\n.5 g 3260 2521 N 77 -5 0 -22 -77 6 h\n.5112 g
      2860 2486 N 77 -6 487 24 -164 17 h\n.5324 g 2556 2506 N 164 -17 371 -33
      -231 30 h\n.5624 g 2311 2567 N 231 -30 299 -74 -285 43 h\n.599 g 2115
      2659 N 285 -43 239 -106 -328 57 h\n.6404 g 1965 2775 N 328 -57 183 -131
      -361 72 h\n.6851 g 1859 2909 N 361 -72 130 -149 -385 87 h\n.7312 g 1796
      3055 N 385 -87 76 -161 -398 102 h\n.7772 g 1774 3208 N 398 -102 26 -166
      -402 115 h\n.8214 g 1792 3360 N 402 -115 -21 -165 -399 128 h\n.8622 g
      1847 3507 N 399 -128 -67 -157 -387 138 h\n.8981 g 1934 3642 N 387 -138
      -107 -143 -367 146 h\n.9279 g 2051 3760 N 367 -146 -142 -124 -342 152
      h\n.9502 g 2192 3856 N 342 -152 -173 -98 -310 154 h\n.9641 g 2353 3925
      N 310 -154 -195 -70 -276 155 h\n.9686 g 2526 3963 N 276 -155 -211 -36
      -238 153 h\n.963 g 2706 3968 N 238 -153 -220 2 -198 146 h\n.9469 g 2888
      3935 N 198 -146 -221 42 -159 137 h\n.9197 g 3063 3861 N 159 -137 -214
      86 -120 125 h\n.8812 g 3226 3746 N 120 -125 -198 131 -85 109 h\n.8309 g
      3370 3584 N 85 -109 -176 180 -53 91 h\n.7679 g 3488 3369 N 53 -91 -144
      237 -27 69 h\n.6891 g 3572 3085 N 27 -69 -103 310 -8 43 h\n.5726 g 3610
      2591 N 8 -43 -46 537 0 0 h\n.4235 g 3564 2038 N 0 0 52 566 -6 -13
      h\n.3008 g 3461 1691 N 6 13 115 352 -18 -18 h\n.2179 g 3317 1404 N 18
      18 162 290 -36 -21 h\n.1515 g 3141 1162 N 36 21 197 242 -57 -21
      h\n.0985 g 2943 962 N 57 21 222 199 -81 -20 h\n.0579 g 2729 801 N 81 20
      240 158 -107 -17 h\n.0293 g 2508 682 N 107 17 248 115 -134 -13 h\n.0123
      g 2288 603 N 134 13 247 74 -161 -8 h\n.0065 g 2077 564 N 161 8 237 33
      -187 -2 h\n.0112 g 1882 565 N 187 2 219 -8 -211 5 h\n.0258 g 1709 604 N
      211 -5 193 -45 -231 11 h\n.0493 g 1567 678 N 231 -11 160 -80 -249 17
      h\n.0807 g 1460 783 N 249 -17 120 -112 -262 24 h\n.1185 g 1393 917 N
      262 -24 75 -139 -270 29 h\n.1615 g 1372 1074 N 270 -29 24 -162 -273 34
      h\n.208 g 1398 1249 N 273 -34 -29 -179 -270 38 h\n.2564 g 1474 1437 N
      270 -38 -86 -190 -260 40 h\n.305 g 1604 1631 N 260 -40 -145 -195 -245
      41 h\n.3521 g 1787 1826 N 245 -41 -206 -194 -222 40 h\n.3958 g 2026
      2016 N 222 -40 -268 -187 -193 37 h\n.4343 g 2325 2195 N 193 -37 -336
      -174 -156 32 h\n.4659 g 2696 2358 N 156 -32 -415 -155 -112 24 h\n.4883
      g 3183 2505 N 112 -24 -547 -134 -52 11 h\n.5 g 3183 2527 N 52 -11 0 -24
      -52 13 h\n.5117 g 2696 2503 N 52 -13 547 9 -112 28 h\n.5341 g 2325 2536
      N 112 -28 415 -46 -156 41 h\n.5657 g 2026 2610 N 156 -41 336 -85 -193
      52 h\n.6042 g 1787 2716 N 193 -52 268 -117 -222 63 h\n.6479 g 1604 2847
      N 222 -63 206 -140 -245 72 h\n.695 g 1474 2996 N 245 -72 145 -158 -260
      81 h\n.7436 g 1398 3157 N 260 -81 86 -167 -270 87 h\n.792 g 1372 3323 N
      270 -87 29 -171 -273 92 h\n.8385 g 1393 3488 N 273 -92 -24 -168 -270 95
      h\n.8815 g 1460 3645 N 270 -95 -75 -159 -262 97 h\n.9193 g 1567 3788 N
      262 -97 -120 -143 -249 97 h\n.9507 g 1709 3912 N 249 -97 -160 -122 -231
      95 h\n.9742 g 1882 4010 N 231 -95 -193 -96 -211 93 h\n.9888 g 2077 4080
      N 211 -93 -219 -65 -187 88 h\n.9935 g 2288 4116 N 187 -88 -237 -30 -161
      82 h\n.9877 g 2508 4114 N 161 -82 -247 9 -134 75 h\n.9707 g 2729 4072 N
      134 -75 -248 51 -107 66 h\n.9421 g 2943 3986 N 107 -66 -240 94 -81 58
      h\n.9015 g 3141 3855 N 81 -58 -222 141 -57 48 h\n.8485 g 3317 3675 N 57
      -48 -197 191 -36 37 h\n.7821 g 3461 3438 N 36 -37 -162 247 -18 27
      h\n.6992 g 3564 3128 N 18 -27 -115 322 -6 15 h\n.5765 g 3610 2591 N 6
      -15 -52 552 0 0 h\n%pm3d_map_end\ngrestore % colour palette end\n1.000
      UP\n1.000 UL\nLT5\nLT5\n1858 2274 M\n-24 -59 V\n1.000
      UL\nLT5\nLT6\n3552 2480 M\n-1 0 V\n1.000 UL\nLT5\nLT5\n1964 2411
      M\n1858 2274 L\n1.000 UL\nLT5\nLT5\n1868 2263 M\n-10 11 V\n1.000
      UL\nLT5\nLT5\n2115 2530 M\n1964 2411 L\n1.000 UL\nLT5\nLT5\n1973 2386
      M\n-9 25 V\n1.000 UL\nLT5\nLT5\n5813 1159 M\n-7 -7 V\n1.000
      UL\nLT5\nLT5\n5978 1267 M\n5806 1152 L\n1.000 UL\nLT5\nLT5\n5607 1059
      M\n199 93 V\n1.000 UL\nLT5\nLT5\n5613 1077 M\n-6 -18 V\n1.000
      UL\nLT5\nLT5\n5432 1012 M\n175 47 V\n1.000 UL\nLT5\nLT5\n3230 1213
      M\n-70 -30 V\n1.000 UL\nLT5\nLT5\n3206 1216 M\n-33 -18 V\n1.000
      UL\nLT5\nLT5\n3322 1278 M\n-92 -65 V\n1.000 UL\nLT5\nLT5\n1868 2263
      M\n-19 -40 V\n1.000 UL\nLT5\nLT5\n2198 2569 M\n-83 -39 V\n1.000
      UL\nLT5\nLT5\n2123 2494 M\n-8 36 V\n1.000 UL\nLT5\nLT5\n3445 1404
      M\n-53 -57 V\n1.000 UL\nLT5\nLT5\n3322 1278 M\n70 69 V\n1.000
      UL\nLT5\nLT5\n6077 2073 M\n89 -168 V\n1.000 UL\nLT5\nLT5\n6174 1864
      M\n-8 41 V\n1.000 UL\nLT5\nLT5\n1973 2386 M\n1868 2263 L\n1.000
      UL\nLT5\nLT5\n1949 2271 M\n-81 -8 V\n1.000 UL\nLT5\nLT5\n5928 2231
      M\n149 -158 V\n1.000 UL\nLT5\nLT5\n6085 2026 M\n-8 47 V\n1.000
      UL\nLT5\nLT5\n5978 1267 M\n5813 1159 L\n1.000 UL\nLT5\nLT5\n5650 1250
      M\n163 -91 V\n1.000 UL\nLT5\nLT5\n5613 1077 M\n200 82 V\n1.000
      UL\nLT5\nLT5\n6102 1397 M\n5978 1267 L\n1.000 UL\nLT5\nLT5\n5803 1342
      M\n175 -75 V\n1.000 UL\nLT5\nLT5\n3322 1278 M\n-116 -62 V\n1.000
      UL\nLT5\nLT5\n3326 1334 M\n3206 1216 L\n1.000 UL\nLT5\nLT5\n3189 1217
      M\n17 -1 V\n1.000 UL\nLT5\nLT5\n3445 1404 M\n3322 1278 L\n1.000
      UL\nLT5\nLT5\n3408 1389 M\n-86 -111 V\n1.000 UL\nLT5\nLT5\n5465 1182
      M\n148 -105 V\n1.000 UL\nLT5\nLT5\n5443 1038 M\n170 39 V\n1.000
      UL\nLT5\nLT5\n6179 1543 M\n-77 -146 V\n1.000 UL\nLT5\nLT5\n5918 1454
      M\n184 -57 V\n1.000 UL\nLT5\nLT5\n2123 2494 M\n1973 2386 L\n1.000
      UL\nLT5\nLT5\n2173 2386 M\n-200 0 V\n1.000 UL\nLT5\nLT5\n6205 1701
      M\n-26 -158 V\n1.000 UL\nLT5\nLT5\n5989 1583 M\n190 -40 V\n1.000
      UL\nLT5\nLT5\n3445 1404 M\n79 122 V\n1.000 UL\nLT5\nLT5\n3521 1535
      M\n-76 -131 V\n1.000 UL\nLT5\nLT5\n3494 1503 M\n-49 -99 V\n1.000
      UL\nLT5\nLT5\n6174 1864 M\n31 -163 V\n1.000 UL\nLT5\nLT5\n6013 1723
      M\n192 -22 V\n1.000 UL\nLT5\nLT5\n5716 2374 M\n212 -143 V\n1.000
      UL\nLT5\nLT5\n5936 2180 M\n-8 51 V\n1.000 UL\nLT5\nLT5\n2257 2554
      M\n-134 -60 V\n1.000 UL\nLT5\nLT5\n2305 2476 M\n-182 18 V\n1.000
      UL\nLT5\nLT5\n6085 2026 M\n89 -162 V\n1.000 UL\nLT5\nLT5\n5985 1870
      M\n189 -6 V\n1.000 UL\nLT5\nLT5\n3408 1389 M\n-82 -55 V\n1.000
      UL\nLT5\nLT5\n3433 1505 M\n3326 1334 L\n1.000 UL\nLT5\nLT5\n3276 1339
      M\n50 -5 V\n1.000 UL\nLT5\nLT5\n1792 4245 M\n-9 -73 V\n1.000
      UL\nLT5\nLT5\n3494 1503 M\n-86 -114 V\n1.000 UL\nLT5\nLT5\n3484 1551
      M\n-76 -162 V\n1.000 UL\nLT5\nLT5\n5021 2617 M\n283 -70 V\n1.000
      UL\nLT5\nLT5\n5440 2494 M\n-136 53 V\n1.000 UL\nLT5\nLT5\n5440 2494
      M\n276 -120 V\n1.000 UL\nLT5\nLT5\n5723 2322 M\n-7 52 V\n1.000
      UL\nLT5\nLT5\n3393 1513 M\n-41 -54 V\n1.000 UL\nLT5\nLT5\n5936 2180
      M\n149 -154 V\n1.000 UL\nLT5\nLT5\n5902 2017 M\n183 9 V\n1.000
      UL\nLT5\nLT5\n2173 2386 M\n-32 -35 V\n1.000 UL\nLT5\nLT5\n5803 1342
      M\n-153 -92 V\n1.000 UL\nLT5\nLT5\n5440 1367 M\n210 -117 V\n1.000
      UL\nLT5\nLT5\n5465 1182 M\n185 68 V\n1.000 UL\nLT5\nLT5\n3516 1552
      M\n-22 -49 V\n1.000 UL\nLT5\nLT5\n3513 1564 M\n-19 -61 V\n1.000
      UL\nLT5\nLT5\n1846 4370 M\n-54 -125 V\n1.000 UL\nLT5\nLT5\n1794 4175
      M\n-2 70 V\n1.000 UL\nLT5\nLT5\n5918 1454 M\n5803 1342 L\n1.000
      UL\nLT5\nLT5\n5443 1509 M\n360 -167 V\n1.000 UL\nLT5\nLT5\n2196 4710
      M\n-106 -66 V\n1.000 UL\nLT5\nLT5\n1934 4466 M\n156 178 V\n1.000
      UL\nLT5\nLT5\n1846 4370 M\n244 274 V\n1.000 UL\nLT5\nLT5\n2561 4802
      M\n-105 -26 V\n1.000 UL\nLT5\nLT5\n2196 4710 M\n260 66 V\n1.000
      UL\nLT5\nLT5\n5989 1583 M\n-71 -129 V\n1.000 UL\nLT5\nLT5\n5539 1599
      M\n379 -145 V\n1.000 UL\nLT5\nLT5\n5723 2322 M\n213 -142 V\n1.000
      UL\nLT5\nLT5\n5764 2160 M\n172 20 V\n1.000 UL\nLT5\nLT5\n2305 2476
      M\n-132 -90 V\n1.000 UL\nLT5\nLT5\n2259 2394 M\n-86 -8 V\n1.000
      UL\nLT5\nLT5\n6013 1723 M\n-24 -140 V\n1.000 UL\nLT5\nLT5\n5598 1703
      M\n391 -120 V\n1.000 UL\nLT5\nLT5\n5095 2584 M\n345 -90 V\n1.000
      UL\nLT5\nLT5\n5446 2444 M\n-6 50 V\n1.000 UL\nLT5\nLT5\n1934 4466
      M\n-88 -96 V\n1.000 UL\nLT5\nLT5\n1853 4184 M\n-7 186 V\n1.000
      UL\nLT5\nLT5\n5985 1870 M\n28 -147 V\n1.000 UL\nLT5\nLT5\n5618 1817
      M\n395 -94 V\n1.000 UL\nLT5\nLT5\n5095 2584 M\n-80 30 V\n1.000
      UL\nLT5\nLT5\n3484 1551 M\n-51 -46 V\n1.000 UL\nLT5\nLT5\n3487 1648
      M\n-54 -143 V\n1.000 UL\nLT5\nLT5\n3393 1513 M\n40 -8 V\n1.000
      UL\nLT5\nLT5\n3505 1589 M\n-21 -38 V\n1.000 UL\nLT5\nLT5\n3500 1606
      M\n-16 -55 V\n1.000 UL\nLT5\nLT5\n2324 4739 M\n-128 -29 V\n1.000
      UL\nLT5\nLT5\n2051 4532 M\n145 178 V\n1.000 UL\nLT5\nLT5\n3478 1697
      M\n-85 -184 V\n1.000 UL\nLT5\nLT5\n3388 1527 M\n5 -14 V\n1.000
      UL\nLT5\nLT5\n2418 2525 M\n-113 -49 V\n1.000 UL\nLT5\nLT5\n2599 2486
      M\n-294 -10 V\n1.000 UL\nLT5\nLT5\n5446 2444 M\n277 -122 V\n1.000
      UL\nLT5\nLT5\n5567 2292 M\n156 30 V\n1.000 UL\nLT5\nLT5\n2680 4788
      M\n-119 14 V\n1.000 UL\nLT5\nLT5\n2324 4739 M\n237 63 V\n1.000
      UL\nLT5\nLT5\n5902 2017 M\n83 -147 V\n1.000 UL\nLT5\nLT5\n5594 1938
      M\n391 -68 V\n1.000 UL\nLT5\nLT5\n3671 3821 M\n5 -32 V\n1.000
      UL\nLT5\nLT5\n3694 3636 M\n-18 153 V\n1.000 UL\nLT5\nLT5\n2051 4532
      M\n-117 -66 V\n1.000 UL\nLT5\nLT5\n1943 4192 M\n-9 274 V\n1.000
      UL\nLT5\nLT5\n3666 3832 M\n-105 228 V\n1.000 UL\nLT5\nLT5\n5764 2160
      M\n138 -143 V\n1.000 UL\nLT5\nLT5\n5526 2062 M\n376 -45 V\n1.000
      UL\nLT5\nLT5\n4981 2597 M\n114 -13 V\n1.000 UL\nLT5\nLT5\n5099 2540
      M\n-4 44 V\n1.000 UL\nLT5\nLT5\n3666 3832 M\n5 -11 V\n1.000
      UL\nLT5\nLT5\n3692 3631 M\n-21 190 V\n1.000 UL\nLT5\nLT5\n5099 2540
      M\n347 -96 V\n1.000 UL\nLT5\nLT5\n5310 2409 M\n136 35 V\n1.000
      UL\nLT5\nLT5\n5443 1509 M\n-47 -26 V\n1.000 UL\nLT5\nLT5\n3039 4672
      M\n-92 57 V\n1.000 UL\nLT5\nLT5\n3230 4550 M\n-183 115 V\n1.000
      UL\nLT5\nLT5\n2680 4788 M\n267 -59 V\n1.000 UL\nLT5\nLT5\n2469 4729
      M\n-145 10 V\n1.000 UL\nLT5\nLT5\n2192 4563 M\n132 176 V\n1.000
      UL\nLT5\nLT5\n3282 4495 M\n-52 55 V\n1.000 UL\nLT5\nLT5\n3482 4248
      M\n-146 174 V\n1.000 UL\nLT5\nLT5\n5539 1599 M\n-96 -90 V\n1.000
      UL\nLT5\nLT5\n5369 1547 M\n74 -38 V\n1.000 UL\nLT5\nLT5\n2192 4563
      M\n-141 -31 V\n1.000 UL\nLT5\nLT5\n2060 4251 M\n-9 281 V\n1.000
      UL\nLT5\nLT5\n5567 2292 M\n197 -132 V\n1.000 UL\nLT5\nLT5\n5410 2182
      M\n354 -22 V\n1.000 UL\nLT5\nLT5\n5598 1703 M\n-59 -104 V\n1.000
      UL\nLT5\nLT5\n5289 1709 M\n250 -110 V\n1.000 UL\nLT5\nLT5\n2808 4731
      M\n-128 57 V\n1.000 UL\nLT5\nLT5\n2469 4729 M\n211 59 V\n1.000
      UL\nLT5\nLT5\n3500 4202 M\n-18 46 V\n1.000 UL\nLT5\nLT5\n3659 3820
      M\n-177 428 V\n1.000 UL\nLT5\nLT5\n3659 3820 M\n7 12 V\n1.000
      UL\nLT5\nLT5\n3686 3621 M\n-20 211 V\n1.000 UL\nLT5\nLT5\n5618 1817
      M\n-20 -114 V\n1.000 UL\nLT5\nLT5\n5194 1854 M\n404 -151 V\n1.000
      UL\nLT5\nLT5\n6171 4187 M\n25 -161 V\n1.000 UL\nLT5\nLT5\n6205 3877
      M\n-9 149 V\n1.000 UL\nLT5\nLT5\n5310 2409 M\n257 -117 V\n1.000
      UL\nLT5\nLT5\n5245 2296 M\n322 -4 V\n1.000 UL\nLT5\nLT5\n4918 2567
      M\n181 -27 V\n1.000 UL\nLT5\nLT5\n4989 2505 M\n110 35 V\n1.000
      UL\nLT5\nLT5\n2060 4251 M\n-113 -59 V\n1.000 UL\nLT5\nLT5\n5594 1938
      M\n24 -121 V\n1.000 UL\nLT5\nLT5\n5071 1988 M\n547 -171 V\n1.000
      UL\nLT5\nLT5\n2627 4678 M\n-158 51 V\n1.000 UL\nLT5\nLT5\n2353 4558
      M\n116 171 V\n1.000 UL\nLT5\nLT5\n2353 4558 M\n-161 5 V\n1.000
      UL\nLT5\nLT5\n2200 4283 M\n-8 280 V\n1.000 UL\nLT5\nLT5\n3337 4404
      M\n-55 91 V\n1.000 UL\nLT5\nLT5\n3500 4202 M\n-218 293 V\n1.000
      UL\nLT5\nLT5\n3039 4672 M\n243 -177 V\n1.000 UL\nLT5\nLT5\n3134 4574
      M\n-95 98 V\n1.000 UL\nLT5\nLT5\n2808 4731 M\n231 -59 V\n1.000
      UL\nLT5\nLT5\n5526 2062 M\n68 -124 V\n1.000 UL\nLT5\nLT5\n5005 2089
      M\n589 -151 V\n1.000 UL\nLT5\nLT5\n3653 3786 M\n6 34 V\n1.000
      UL\nLT5\nLT5\n3678 3606 M\n-19 214 V\n1.000 UL\nLT5\nLT5\n6094 4327
      M\n77 -140 V\n1.000 UL\nLT5\nLT5\n6179 4031 M\n-8 156 V\n1.000
      UL\nLT5\nLT5\n3519 4124 M\n-19 78 V\n1.000 UL\nLT5\nLT5\n3653 3786
      M\n-153 416 V\n1.000 UL\nLT5\nLT5\n4989 2505 M\n321 -96 V\n1.000
      UL\nLT5\nLT5\n5031 2399 M\n279 10 V\n1.000 UL\nLT5\nLT5\n2942 4633
      M\n-134 98 V\n1.000 UL\nLT5\nLT5\n2627 4678 M\n181 53 V\n1.000
      UL\nLT5\nLT5\n2200 4283 M\n-140 -32 V\n1.000 UL\nLT5\nLT5\n2085 4202
      M\n-25 49 V\n1.000 UL\nLT5\nLT5\n6085 3534 M\n5936 3357 L\n1.000
      UL\nLT5\nLT5\n5764 3211 M\n172 146 V\n1.000 UL\nLT5\nLT5\n3462 1692
      M\n-14 -28 V\n1.000 UL\nLT5\nLT5\n5410 2182 M\n116 -120 V\n1.000
      UL\nLT5\nLT5\n4957 2177 M\n569 -115 V\n1.000 UL\nLT5\nLT5\n3476 1726
      M\n-14 -34 V\n1.000 UL\nLT5\nLT5\n6174 3710 M\n-89 -176 V\n1.000
      UL\nLT5\nLT5\n5902 3366 M\n183 168 V\n1.000 UL\nLT5\nLT5\n5459 4628
      M\n184 -42 V\n1.000 UL\nLT5\nLT5\n5806 4522 M\n-163 64 V\n1.000
      UL\nLT5\nLT5\n5970 4440 M\n124 -113 V\n1.000 UL\nLT5\nLT5\n6102 4166
      M\n-8 161 V\n1.000 UL\nLT5\nLT5\n3229 1264 M\n142 225 V\n1.000
      UL\nLT5\nLT5\n3476 1728 M\n3371 1489 L\n1.000 UL\nLT5\nLT5\n3434 1636
      M\n-63 -147 V\n1.000 UL\nLT5\nLT5\n2925 949 M\n19 14 V\n1.000
      UL\nLT5\nLT5\n3064 1070 M\n2944 963 L\n1.000 UL\nLT5\nLT5\n3646 3728
      M\n7 58 V\n1.000 UL\nLT5\nLT5\n3668 3587 M\n-15 199 V\n1.000
      UL\nLT5\nLT5\n2526 4515 M\n-173 43 V\n1.000 UL\nLT5\nLT5\n2360 4283
      M\n-7 275 V\n1.000 UL\nLT5\nLT5\n5245 2296 M\n165 -114 V\n1.000
      UL\nLT5\nLT5\n4875 2265 M\n535 -83 V\n1.000 UL\nLT5\nLT5\n4830 2532
      M\n159 -27 V\n1.000 UL\nLT5\nLT5\n4763 2485 M\n226 20 V\n1.000
      UL\nLT5\nLT5\n3064 1070 M\n163 191 V\n1.000 UL\nLT5\nLT5\n3328 1436
      M\n3227 1261 L\n1.000 UL\nLT5\nLT5\n2791 4585 M\n-164 93 V\n1.000
      UL\nLT5\nLT5\n2526 4515 M\n101 163 V\n1.000 UL\nLT5\nLT5\n6205 3877
      M\n-31 -167 V\n1.000 UL\nLT5\nLT5\n5985 3521 M\n189 189 V\n1.000
      UL\nLT5\nLT5\n3392 4277 M\n-55 127 V\n1.000 UL\nLT5\nLT5\n3519 4124
      M\n-182 280 V\n1.000 UL\nLT5\nLT5\n3134 4574 M\n203 -170 V\n1.000
      UL\nLT5\nLT5\n2360 4283 M\n-160 0 V\n1.000 UL\nLT5\nLT5\n2241 4194
      M\n-41 89 V\n1.000 UL\nLT5\nLT5\n3230 4436 M\n-96 138 V\n1.000
      UL\nLT5\nLT5\n2942 4633 M\n192 -59 V\n1.000 UL\nLT5\nLT5\n3328 1436
      M\n106 200 V\n1.000 UL\nLT5\nLT5\n3474 1745 M\n-40 -109 V\n1.000
      UL\nLT5\nLT5\n3474 1766 M\n-40 -130 V\n1.000 UL\nLT5\nLT5\n3537 4015
      M\n-18 109 V\n1.000 UL\nLT5\nLT5\n3646 3728 M\n-127 396 V\n1.000
      UL\nLT5\nLT5\n5031 2399 M\n214 -103 V\n1.000 UL\nLT5\nLT5\n4760 2349
      M\n485 -53 V\n1.000 UL\nLT5\nLT5\n2509 683 M\n221 119 V\n1.000
      UL\nLT5\nLT5\n2889 917 M\n2730 802 L\n1.000 UL\nLT5\nLT5\n2889 917
      M\n175 153 V\n1.000 UL\nLT5\nLT5\n3207 1268 M\n3064 1070 L\n1.000
      UL\nLT5\nLT5\n3207 1268 M\n121 168 V\n1.000 UL\nLT5\nLT5\n3433 1693
      M\n3328 1436 L\n1.000 UL\nLT5\nLT5\n5806 4522 M\n164 -82 V\n1.000
      UL\nLT5\nLT5\n5978 4277 M\n-8 163 V\n1.000 UL\nLT5\nLT5\n6179 4031
      M\n26 -154 V\n1.000 UL\nLT5\nLT5\n6013 3669 M\n192 208 V\n1.000
      UL\nLT5\nLT5\n3076 4493 M\n-134 140 V\n1.000 UL\nLT5\nLT5\n2791 4585
      M\n151 48 V\n1.000 UL\nLT5\nLT5\n5005 2089 M\n9 -47 V\n1.000
      UL\nLT5\nLT5\n3638 3647 M\n8 81 V\n1.000 UL\nLT5\nLT5\n3657 3566 M\n-11
      162 V\n1.000 UL\nLT5\nLT5\n5250 4632 M\n209 -4 V\n1.000
      UL\nLT5\nLT5\n5607 4570 M\n-148 58 V\n1.000 UL\nLT5\nLT5\n3433 1693
      M\n40 95 V\n1.000 UL\nLT5\nLT5\n4763 2485 M\n268 -86 V\n1.000
      UL\nLT5\nLT5\n4609 2426 M\n422 -27 V\n1.000 UL\nLT5\nLT5\n5567 3062
      M\n-160 -87 V\n1.000 UL\nLT5\nLT5\n2707 4433 M\n-181 82 V\n1.000
      UL\nLT5\nLT5\n2532 4250 M\n-6 265 V\n1.000 UL\nLT5\nLT5\n4957 2177
      M\n48 -88 V\n1.000 UL\nLT5\nLT5\n4910 2121 M\n95 -32 V\n1.000
      UL\nLT5\nLT5\n3078 1131 M\n129 137 V\n1.000 UL\nLT5\nLT5\n3357 1561
      M\n3207 1268 L\n1.000 UL\nLT5\nLT5\n3357 1561 M\n76 132 V\n1.000
      UL\nLT5\nLT5\n3473 1840 M\n-40 -147 V\n1.000 UL\nLT5\nLT5\n2532 4250
      M\n-172 33 V\n1.000 UL\nLT5\nLT5\n2400 4184 M\n-40 99 V\n1.000
      UL\nLT5\nLT5\n5764 3211 M\n5567 3062 L\n1.000 UL\nLT5\nLT5\n5419 3000
      M\n148 62 V\n1.000 UL\nLT5\nLT5\n2289 604 M\n220 79 V\n1.000
      UL\nLT5\nLT5\n2707 800 M\n2509 683 L\n1.000 UL\nLT5\nLT5\n2707 800
      M\n182 117 V\n1.000 UL\nLT5\nLT5\n3078 1131 M\n2889 917 L\n1.000
      UL\nLT5\nLT5\n4698 2498 M\n65 -13 V\n1.000 UL\nLT5\nLT5\n4655 2488
      M\n108 -3 V\n1.000 UL\nLT5\nLT5\n6102 4166 M\n77 -135 V\n1.000
      UL\nLT5\nLT5\n5989 3808 M\n190 223 V\n1.000 UL\nLT5\nLT5\n2955 4451
      M\n-164 134 V\n1.000 UL\nLT5\nLT5\n2707 4433 M\n84 152 V\n1.000
      UL\nLT5\nLT5\n4875 2265 M\n82 -88 V\n1.000 UL\nLT5\nLT5\n4711 2247
      M\n246 -70 V\n1.000 UL\nLT5\nLT5\n3445 4113 M\n-53 164 V\n1.000
      UL\nLT5\nLT5\n3537 4015 M\n-145 262 V\n1.000 UL\nLT5\nLT5\n3230 4436
      M\n162 -159 V\n1.000 UL\nLT5\nLT5\n3555 3877 M\n-18 138 V\n1.000
      UL\nLT5\nLT5\n3638 3647 M\n-101 368 V\n1.000 UL\nLT5\nLT5\n5902 3366
      M\n5764 3211 L\n1.000 UL\nLT5\nLT5\n5446 3064 M\n318 147 V\n1.000
      UL\nLT5\nLT5\n5607 4570 M\n199 -48 V\n1.000 UL\nLT5\nLT5\n5813 4360
      M\n-7 162 V\n1.000 UL\nLT5\nLT5\n3276 1453 M\n81 108 V\n1.000
      UL\nLT5\nLT5\n3475 1908 M\n3357 1561 L\n1.000 UL\nLT5\nLT5\n3632 3544
      M\n6 103 V\n1.000 UL\nLT5\nLT5\n3644 3544 M\n-6 103 V\n1.000
      UL\nLT5\nLT5\n3322 4258 M\n-92 178 V\n1.000 UL\nLT5\nLT5\n3076 4493
      M\n154 -57 V\n1.000 UL\nLT5\nLT5\n4760 2349 M\n115 -84 V\n1.000
      UL\nLT5\nLT5\n4526 2347 M\n349 -82 V\n1.000 UL\nLT5\nLT5\n4619 4455
      M\n202 79 V\n1.000 UL\nLT5\nLT5\n5024 4596 M\n-203 -62 V\n1.000
      UL\nLT5\nLT5\n2651 2497 M\n-36 -8 V\n1.000 UL\nLT5\nLT5\n2331 2420
      M\n284 69 V\n1.000 UL\nLT5\nLT5\n2078 565 M\n-187 -2 V\n1.000
      UL\nLT5\nLT5\n5024 4596 M\n226 36 V\n1.000 UL\nLT5\nLT5\n5381 4580
      M\n-131 52 V\n1.000 UL\nLT5\nLT5\n2944 1027 M\n134 104 V\n1.000
      UL\nLT5\nLT5\n3276 1453 M\n3078 1131 L\n1.000 UL\nLT5\nLT5\n5985 3521
      M\n-83 -155 V\n1.000 UL\nLT5\nLT5\n5526 3171 M\n376 195 V\n1.000
      UL\nLT5\nLT5\n4609 2426 M\n151 -77 V\n1.000 UL\nLT5\nLT5\n4344 2427
      M\n416 -78 V\n1.000 UL\nLT5\nLT5\n3459 1903 M\n17 30 V\n1.000
      UL\nLT5\nLT5\n5978 4277 M\n124 -111 V\n1.000 UL\nLT5\nLT5\n5918 3930
      M\n184 236 V\n1.000 UL\nLT5\nLT5\n3206 4312 M\n-130 181 V\n1.000
      UL\nLT5\nLT5\n2955 4451 M\n121 42 V\n1.000 UL\nLT5\nLT5\n2712 4184
      M\n-180 66 V\n1.000 UL\nLT5\nLT5\n2569 4149 M\n-37 101 V\n1.000
      UL\nLT5\nLT5\n2527 722 M\n180 78 V\n1.000 UL\nLT5\nLT5\n2944 1027
      M\n2707 800 L\n1.000 UL\nLT5\nLT5\n4524 2456 M\n85 -30 V\n1.000
      UL\nLT5\nLT5\n4472 2445 M\n137 -19 V\n1.000 UL\nLT5\nLT5\n2888 4313
      M\n-181 120 V\n1.000 UL\nLT5\nLT5\n2712 4184 M\n-5 249 V\n1.000
      UL\nLT5\nLT5\n2078 565 M\n211 39 V\n1.000 UL\nLT5\nLT5\n2527 722
      M\n2289 604 L\n1.000 UL\nLT5\nLT5\n3192 1369 M\n84 84 V\n1.000
      UL\nLT5\nLT5\n3459 1903 M\n3276 1453 L\n1.000 UL\nLT5\nLT5\n3459 1903
      M\n20 79 V\n1.000 UL\nLT5\nLT5\n3632 3544 M\n0 -18 V\n1.000
      UL\nLT5\nLT5\n3630 3522 M\n2 22 V\n1.000 UL\nLT5\nLT5\n3555 3877 M\n77
      -333 V\n1.000 UL\nLT5\nLT5\n6013 3669 M\n-28 -148 V\n1.000
      UL\nLT5\nLT5\n5594 3295 M\n391 226 V\n1.000 UL\nLT5\nLT5\n3421 1851
      M\n38 52 V\n1.000 UL\nLT5\nLT5\n3572 3709 M\n-17 168 V\n1.000
      UL\nLT5\nLT5\n3445 4113 M\n110 -236 V\n1.000 UL\nLT5\nLT5\n3421 1851
      M\n67 232 V\n1.000 UL\nLT5\nLT5\n5381 4580 M\n226 -10 V\n1.000
      UL\nLT5\nLT5\n5613 4411 M\n-6 159 V\n1.000 UL\nLT5\nLT5\n3114 4277
      M\n-159 174 V\n1.000 UL\nLT5\nLT5\n2888 4313 M\n67 138 V\n1.000
      UL\nLT5\nLT5\n3494 3915 M\n-49 198 V\n1.000 UL\nLT5\nLT5\n3322 4258
      M\n123 -145 V\n1.000 UL\nLT5\nLT5\n3383 1815 M\n114 346 V\n1.000
      UL\nLT5\nLT5\n2331 2420 M\n2033 2311 L\n1.000 UL\nLT5\nLT5\n1825 2211
      M\n208 100 V\n1.000 UL\nLT5\nLT5\n4417 4336 M\n202 119 V\n1.000
      UL\nLT5\nLT5\n4788 4519 M\n-169 -64 V\n1.000 UL\nLT5\nLT5\n2331 2420
      M\n333 80 V\n1.000 UL\nLT5\nLT5\n2580 2464 M\n95 35 V\n1.000
      UL\nLT5\nLT5\n2162 2348 M\n169 72 V\n1.000 UL\nLT5\nLT5\n3347 1793
      M\n160 431 V\n1.000 UL\nLT5\nLT5\n5813 4360 M\n165 -83 V\n1.000
      UL\nLT5\nLT5\n5803 4033 M\n175 244 V\n1.000 UL\nLT5\nLT5\n2811 955
      M\n133 72 V\n1.000 UL\nLT5\nLT5\n3192 1369 M\n2944 1027 L\n1.000
      UL\nLT5\nLT5\n1883 566 M\n-211 5 V\n1.000 UL\nLT5\nLT5\n3408 4042
      M\n-86 216 V\n1.000 UL\nLT5\nLT5\n3206 4312 M\n116 -54 V\n1.000
      UL\nLT5\nLT5\n4788 4519 M\n236 77 V\n1.000 UL\nLT5\nLT5\n5137 4552
      M\n-113 44 V\n1.000 UL\nLT5\nLT5\n3453 2475 M\n66 43 V\n1.000
      UL\nLT5\nLT5\n3555 2446 M\n11 46 V\n1.000 UL\nLT5\nLT5\n5989 3808 M\n24
      -139 V\n1.000 UL\nLT5\nLT5\n5618 3417 M\n395 252 V\n1.000
      UL\nLT5\nLT5\n3313 1787 M\n201 485 V\n1.000 UL\nLT5\nLT5\n2892 4083
      M\n-180 101 V\n1.000 UL\nLT5\nLT5\n2741 4092 M\n-29 92 V\n1.000
      UL\nLT5\nLT5\n3383 1815 M\n38 36 V\n1.000 UL\nLT5\nLT5\n3192 1369
      M\n229 482 V\n1.000 UL\nLT5\nLT5\n3572 3709 M\n44 -239 V\n1.000
      UL\nLT5\nLT5\n3453 2529 M\n51 17 V\n1.000 UL\nLT5\nLT5\n2580 2464
      M\n183 29 V\n1.000 UL\nLT5\nLT5\n3283 1796 M\n240 518 V\n1.000
      UL\nLT5\nLT5\n3108 1311 M\n84 58 V\n1.000 UL\nLT5\nLT5\n3063 4155
      M\n-175 158 V\n1.000 UL\nLT5\nLT5\n2892 4083 M\n-4 230 V\n1.000
      UL\nLT5\nLT5\n3390 2403 M\n139 105 V\n1.000 UL\nLT5\nLT5\n3532 2357
      M\n31 136 V\n1.000 UL\nLT5\nLT5\n3326 4091 M\n-120 221 V\n1.000
      UL\nLT5\nLT5\n3114 4277 M\n92 35 V\n1.000 UL\nLT5\nLT5\n3587 3511
      M\n-15 198 V\n1.000 UL\nLT5\nLT5\n3494 3915 M\n78 -206 V\n1.000
      UL\nLT5\nLT5\n2354 681 M\n173 41 V\n1.000 UL\nLT5\nLT5\n2811 955
      M\n2527 722 L\n1.000 UL\nLT5\nLT5\n5526 3171 M\n-76 -81 V\n1.000
      UL\nLT5\nLT5\n3259 1818 M\n271 530 V\n1.000 UL\nLT5\nLT5\n1883 566
      M\n195 -1 V\n1.000 UL\nLT5\nLT5\n2354 681 M\n2078 565 L\n1.000
      UL\nLT5\nLT5\n3390 2529 M\n110 27 V\n1.000 UL\nLT5\nLT5\n3587 3511
      M\n13 -98 V\n1.000 UL\nLT5\nLT5\n3338 2327 M\n204 175 V\n1.000
      UL\nLT5\nLT5\n3532 2359 M\n27 136 V\n1.000 UL\nLT5\nLT5\n3240 1853
      M\n296 524 V\n1.000 UL\nLT5\nLT5\n5137 4552 M\n244 28 V\n1.000
      UL\nLT5\nLT5\n5387 4428 M\n-6 152 V\n1.000 UL\nLT5\nLT5\n3448 2519
      M\n60 18 V\n1.000 UL\nLT5\nLT5\n3453 2475 M\n19 16 V\n1.000
      UL\nLT5\nLT5\n3229 1900 M\n311 500 V\n1.000 UL\nLT5\nLT5\n3538 3681
      M\n-44 234 V\n1.000 UL\nLT5\nLT5\n3408 4042 M\n86 -127 V\n1.000
      UL\nLT5\nLT5\n3453 2529 M\n52 15 V\n1.000 UL\nLT5\nLT5\n3297 2249
      M\n256 248 V\n1.000 UL\nLT5\nLT5\n3553 2481 M\n3 15 V\n1.000
      UL\nLT5\nLT5\n3533 2362 M\n24 134 V\n1.000 UL\nLT5\nLT5\n5918 3930
      M\n71 -122 V\n1.000 UL\nLT5\nLT5\n5598 3531 M\n391 277 V\n1.000
      UL\nLT5\nLT5\n3459 3107 M\n27 -81 V\n1.000 UL\nLT5\nLT5\n3347 1793
      M\n36 22 V\n1.000 UL\nLT5\nLT5\n3108 1311 M\n275 504 V\n1.000
      UL\nLT5\nLT5\n5613 4411 M\n200 -51 V\n1.000 UL\nLT5\nLT5\n5650 4112
      M\n163 248 V\n1.000 UL\nLT5\nLT5\n3225 1958 M\n318 464 V\n1.000
      UL\nLT5\nLT5\n2543 2420 M\n332 66 V\n1.000 UL\nLT5\nLT5\n1022 1065
      M\n78 -138 V\n1.000 UL\nLT5\nLT5\n1199 808 M\n-99 119 V\n1.000
      UL\nLT5\nLT5\n3265 2171 M\n288 310 V\n1.000 UL\nLT5\nLT5\n3549 2461
      M\n4 20 V\n1.000 UL\nLT5\nLT5\n3536 2376 M\n16 102 V\n1.000
      UL\nLT5\nLT5\n3338 2546 M\n158 22 V\n1.000 UL\nLT5\nLT5\n3262 4063
      M\n-148 214 V\n1.000 UL\nLT5\nLT5\n3063 4155 M\n51 122 V\n1.000
      UL\nLT5\nLT5\n3230 2023 M\n316 419 V\n1.000 UL\nLT5\nLT5\n3243 2095
      M\n306 366 V\n1.000 UL\nLT5\nLT5\n3543 2424 M\n6 37 V\n1.000
      UL\nLT5\nLT5\n4221 4178 M\n196 158 V\n1.000 UL\nLT5\nLT5\n4552 4401
      M\n-135 -65 V\n1.000 UL\nLT5\nLT5\n1349 1895 M\n1203 1728 L\n1.000
      UL\nLT5\nLT5\n1117 1579 M\n86 149 V\n1.000 UL\nLT5\nLT5\n3066 3949
      M\n-174 134 V\n1.000 UL\nLT5\nLT5\n2911 4013 M\n-19 70 V\n1.000
      UL\nLT5\nLT5\n5594 3295 M\n-68 -124 V\n1.000 UL\nLT5\nLT5\n5458 3145
      M\n68 26 V\n1.000 UL\nLT5\nLT5\n3593 3386 M\n-6 125 V\n1.000
      UL\nLT5\nLT5\n3538 3681 M\n49 -170 V\n1.000 UL\nLT5\nLT5\n3421 3115
      M\n59 -145 V\n1.000 UL\nLT5\nLT5\n3484 3787 M\n-76 255 V\n1.000
      UL\nLT5\nLT5\n3326 4091 M\n82 -49 V\n1.000 UL\nLT5\nLT5\n4323 2424
      M\n-15 4 V\n1.000 UL\nLT5\nLT5\n4552 4401 M\n236 118 V\n1.000
      UL\nLT5\nLT5\n4883 4482 M\n-95 37 V\n1.000 UL\nLT5\nLT5\n3555 2446
      M\n15 44 V\n1.000 UL\nLT5\nLT5\n2162 2348 M\n418 116 V\n1.000
      UL\nLT5\nLT5\n2543 2420 M\n37 44 V\n1.000 UL\nLT5\nLT5\n3574 3411 M\n5
      -68 V\n1.000 UL\nLT5\nLT5\n3297 2577 M\n196 7 V\n1.000
      UL\nLT5\nLT5\n1710 605 M\n-231 11 V\n1.000 UL\nLT5\nLT5\n3574 3411
      M\n10 -54 V\n1.000 UL\nLT5\nLT5\n2683 915 M\n128 40 V\n1.000
      UL\nLT5\nLT5\n3108 1311 M\n2811 955 L\n1.000 UL\nLT5\nLT5\n3383 3109
      M\n93 -190 V\n1.000 UL\nLT5\nLT5\n3226 3958 M\n-163 197 V\n1.000
      UL\nLT5\nLT5\n3066 3949 M\n-3 206 V\n1.000 UL\nLT5\nLT5\n3546 3491
      M\n23 -178 V\n1.000 UL\nLT5\nLT5\n3489 3448 M\n54 -213 V\n1.000
      UL\nLT5\nLT5\n3027 1277 M\n81 34 V\n1.000 UL\nLT5\nLT5\n1555 2058
      M\n1349 1895 L\n1.000 UL\nLT5\nLT5\n1268 1765 M\n81 130 V\n1.000
      UL\nLT5\nLT5\n3265 2618 M\n223 -17 V\n1.000 UL\nLT5\nLT5\n3574 3411
      M\n-36 270 V\n1.000 UL\nLT5\nLT5\n3484 3787 M\n54 -106 V\n1.000
      UL\nLT5\nLT5\n3433 3829 M\n-107 262 V\n1.000 UL\nLT5\nLT5\n3262 4063
      M\n64 28 V\n1.000 UL\nLT5\nLT5\n3520 3524 M\n41 -235 V\n1.000
      UL\nLT5\nLT5\n3500 3509 M\n53 -245 V\n1.000 UL\nLT5\nLT5\n4323 2424
      M\n-11 4 V\n1.000 UL\nLT5\nLT5\n4415 2402 M\n-81 28 V\n1.000
      UL\nLT5\nLT5\n3347 3088 M\n127 -214 V\n1.000 UL\nLT5\nLT5\n5803 4033
      M\n115 -103 V\n1.000 UL\nLT5\nLT5\n5539 3634 M\n379 296 V\n1.000
      UL\nLT5\nLT5\n5618 3417 M\n-24 -122 V\n1.000 UL\nLT5\nLT5\n5464 3240
      M\n130 55 V\n1.000 UL\nLT5\nLT5\n3448 2528 M\n0 -9 V\n1.000
      UL\nLT5\nLT5\n3352 2505 M\n96 14 V\n1.000 UL\nLT5\nLT5\n3263 2407
      M\n185 112 V\n1.000 UL\nLT5\nLT5\n3313 1787 M\n34 6 V\n1.000
      UL\nLT5\nLT5\n3027 1277 M\n320 516 V\n1.000 UL\nLT5\nLT5\n1825 2211
      M\n337 137 V\n1.000 UL\nLT5\nLT5\n2110 2281 M\n52 67 V\n1.000
      UL\nLT5\nLT5\n3521 3258 M\n12 -48 V\n1.000 UL\nLT5\nLT5\n3243 2669
      M\n242 -48 V\n1.000 UL\nLT5\nLT5\n3546 3491 M\n28 -80 V\n1.000
      UL\nLT5\nLT5\n4883 4482 M\n254 70 V\n1.000 UL\nLT5\nLT5\n5142 4408
      M\n-5 144 V\n1.000 UL\nLT5\nLT5\n3229 3781 M\n-163 168 V\n1.000
      UL\nLT5\nLT5\n3076 3909 M\n-10 40 V\n1.000 UL\nLT5\nLT5\n3313 3056
      M\n160 -224 V\n1.000 UL\nLT5\nLT5\n1825 2211 M\n1555 2058 L\n1.000
      UL\nLT5\nLT5\n1482 1948 M\n73 110 V\n1.000 UL\nLT5\nLT5\n5387 4428
      M\n226 -17 V\n1.000 UL\nLT5\nLT5\n5465 4163 M\n148 248 V\n1.000
      UL\nLT5\nLT5\n3393 3808 M\n-131 255 V\n1.000 UL\nLT5\nLT5\n3226 3958
      M\n36 105 V\n1.000 UL\nLT5\nLT5\n1761 2122 M\n64 89 V\n1.000
      UL\nLT5\nLT5\n3230 2725 M\n252 -81 V\n1.000 UL\nLT5\nLT5\n3546 3491
      M\n-62 296 V\n1.000 UL\nLT5\nLT5\n3433 3829 M\n51 -42 V\n1.000
      UL\nLT5\nLT5\n3283 3014 M\n190 -220 V\n1.000 UL\nLT5\nLT5\n4065 4008
      M\n156 170 V\n1.000 UL\nLT5\nLT5\n4324 4241 M\n-103 -63 V\n1.000
      UL\nLT5\nLT5\n996 1223 M\n26 -158 V\n1.000 UL\nLT5\nLT5\n1124 947
      M\n-102 118 V\n1.000 UL\nLT5\nLT5\n3229 3781 M\n3 -17 V\n1.000
      UL\nLT5\nLT5\n4369 2368 M\n-161 55 V\n1.000 UL\nLT5\nLT5\n3225 2786
      M\n254 -117 V\n1.000 UL\nLT5\nLT5\n2697 2359 M\n425 128 V\n1.000
      UL\nLT5\nLT5\n3259 2964 M\n215 -205 V\n1.000 UL\nLT5\nLT5\n2193 676
      M\n161 5 V\n1.000 UL\nLT5\nLT5\n2683 915 M\n2354 681 L\n1.000
      UL\nLT5\nLT5\n3489 3448 M\n0 -80 V\n1.000 UL\nLT5\nLT5\n3520 3524 M\n26
      -33 V\n1.000 UL\nLT5\nLT5\n3229 2847 M\n248 -150 V\n1.000
      UL\nLT5\nLT5\n1710 605 M\n173 -39 V\n1.000 UL\nLT5\nLT5\n2193 676
      M\n1883 566 L\n1.000 UL\nLT5\nLT5\n3240 2907 M\n235 -180 V\n1.000
      UL\nLT5\nLT5\n3489 3369 M\n46 -155 V\n1.000 UL\nLT5\nLT5\n3370 3724
      M\n-144 234 V\n1.000 UL\nLT5\nLT5\n3229 3781 M\n-3 177 V\n1.000
      UL\nLT5\nLT5\n3352 2511 M\n0 -6 V\n1.000 UL\nLT5\nLT5\n3303 2503 M\n49
      2 V\n1.000 UL\nLT5\nLT5\n3058 2368 M\n294 137 V\n1.000
      UL\nLT5\nLT5\n4324 4241 M\n228 160 V\n1.000 UL\nLT5\nLT5\n4628 4371
      M\n-76 30 V\n1.000 UL\nLT5\nLT5\n3520 3524 M\n-87 305 V\n1.000
      UL\nLT5\nLT5\n3393 3808 M\n40 21 V\n1.000 UL\nLT5\nLT5\n3266 3729
      M\n-37 52 V\n1.000 UL\nLT5\nLT5\n2861 2353 M\n383 142 V\n1.000
      UL\nLT5\nLT5\n3500 3509 M\n20 15 V\n1.000 UL\nLT5\nLT5\n5598 3531 M\n20
      -114 V\n1.000 UL\nLT5\nLT5\n5452 3337 M\n166 80 V\n1.000
      UL\nLT5\nLT5\n3500 3509 M\n-11 -61 V\n1.000 UL\nLT5\nLT5\n3370 3724
      M\n119 -276 V\n1.000 UL\nLT5\nLT5\n3489 3369 M\n47 -151 V\n1.000
      UL\nLT5\nLT5\n3627 2370 M\n-7 96 V\n1.000 UL\nLT5\nLT5\n3370 3724 M\n2
      -138 V\n1.000 UL\nLT5\nLT5\n3393 3808 M\n107 -299 V\n1.000
      UL\nLT5\nLT5\n4611 2303 M\n-196 99 V\n1.000 UL\nLT5\nLT5\n4603 2309
      M\n-188 93 V\n1.000 UL\nLT5\nLT5\n5650 4112 M\n153 -79 V\n1.000
      UL\nLT5\nLT5\n5443 3721 M\n360 312 V\n1.000 UL\nLT5\nLT5\n3370 3724
      M\n23 84 V\n1.000 UL\nLT5\nLT5\n3500 3243 M\n17 -73 V\n1.000
      UL\nLT5\nLT5\n3283 1796 M\n30 -9 V\n1.000 UL\nLT5\nLT5\n2953 1269
      M\n360 518 V\n1.000 UL\nLT5\nLT5\n3263 2407 M\n190 68 V\n1.000
      UL\nLT5\nLT5\n3390 2403 M\n63 72 V\n1.000 UL\nLT5\nLT5\n4111 4039
      M\n-31 -25 V\n1.000 UL\nLT5\nLT5\n1568 679 M\n-249 17 V\n1.000
      UL\nLT5\nLT5\n4628 4371 M\n255 111 V\n1.000 UL\nLT5\nLT5\n4887 4349
      M\n-4 133 V\n1.000 UL\nLT5\nLT5\n5142 4408 M\n245 20 V\n1.000
      UL\nLT5\nLT5\n5256 4184 M\n131 244 V\n1.000 UL\nLT5\nLT5\n2110 2281
      M\n433 139 V\n1.000 UL\nLT5\nLT5\n2585 2383 M\n-42 37 V\n1.000
      UL\nLT5\nLT5\n4334 2322 M\n-230 99 V\n1.000 UL\nLT5\nLT5\n2953 1269
      M\n74 8 V\n1.000 UL\nLT5\nLT5\n2683 915 M\n344 362 V\n1.000
      UL\nLT5\nLT5\n3390 2529 M\n63 0 V\n1.000 UL\nLT5\nLT5\n3263 2496 M\n190
      33 V\n1.000 UL\nLT5\nLT5\n2565 907 M\n118 8 V\n1.000 UL\nLT5\nLT5\n3521
      3258 M\n11 -51 V\n1.000 UL\nLT5\nLT5\n3500 3243 M\n23 -58 V\n1.000
      UL\nLT5\nLT5\n4845 2171 M\n-242 138 V\n1.000 UL\nLT5\nLT5\n1027 1396
      M\n996 1223 L\n1.000 UL\nLT5\nLT5\n1100 1109 M\n996 1223 L\n1.000
      UL\nLT5\nLT5\n4111 4039 M\n213 202 V\n1.000 UL\nLT5\nLT5\n4381 4218
      M\n-57 23 V\n1.000 UL\nLT5\nLT5\n5539 3634 M\n59 -103 V\n1.000
      UL\nLT5\nLT5\n5419 3434 M\n179 97 V\n1.000 UL\nLT5\nLT5\n3758 2316
      M\n-63 133 V\n1.000 UL\nLT5\nLT5\n5465 4163 M\n185 -51 V\n1.000
      UL\nLT5\nLT5\n5315 3790 M\n335 322 V\n1.000 UL\nLT5\nLT5\n4234 2290
      M\n-236 131 V\n1.000 UL\nLT5\nLT5\n4094 4017 M\n17 22 V\n1.000
      UL\nLT5\nLT5\n4139 4028 M\n-28 11 V\n1.000 UL\nLT5\nLT5\n3259 1818
      M\n24 -22 V\n1.000 UL\nLT5\nLT5\n2888 1285 M\n395 511 V\n1.000
      UL\nLT5\nLT5\n4369 2368 M\n-46 56 V\n1.000 UL\nLT5\nLT5\n4611 2303
      M\n-288 121 V\n1.000 UL\nLT5\nLT5\n4381 4218 M\n247 153 V\n1.000
      UL\nLT5\nLT5\n4631 4251 M\n-3 120 V\n1.000 UL\nLT5\nLT5\n4887 4349
      M\n255 59 V\n1.000 UL\nLT5\nLT5\n5029 4173 M\n113 235 V\n1.000
      UL\nLT5\nLT5\n3921 2286 M\n-133 148 V\n1.000 UL\nLT5\nLT5\n3532 2357
      M\n23 89 V\n1.000 UL\nLT5\nLT5\n3627 2370 M\n-72 76 V\n1.000
      UL\nLT5\nLT5\n5443 3721 M\n96 -87 V\n1.000 UL\nLT5\nLT5\n5371 3532
      M\n168 102 V\n1.000 UL\nLT5\nLT5\n4089 2277 M\n-199 148 V\n1.000
      UL\nLT5\nLT5\n3433 3346 M\n70 -220 V\n1.000 UL\nLT5\nLT5\n1568 679
      M\n142 -74 V\n1.000 UL\nLT5\nLT5\n2052 707 M\n1710 605 L\n1.000
      UL\nLT5\nLT5\n2052 707 M\n141 -31 V\n1.000 UL\nLT5\nLT5\n2565 907
      M\n2193 676 L\n1.000 UL\nLT5\nLT5\n1117 1579 M\n-90 -183 V\n1.000
      UL\nLT5\nLT5\n1129 1288 M\n-102 108 V\n1.000 UL\nLT5\nLT5\n5256 4184
      M\n209 -21 V\n1.000 UL\nLT5\nLT5\n5160 3837 M\n305 326 V\n1.000
      UL\nLT5\nLT5\n1761 2122 M\n349 159 V\n1.000 UL\nLT5\nLT5\n2170 2228
      M\n-60 53 V\n1.000 UL\nLT5\nLT5\n3859 768 M\n-34 51 V\n1.000
      UL\nLT5\nLT5\n3762 923 M\n63 -104 V\n1.000 UL\nLT5\nLT5\n3122 2290
      M\n268 113 V\n1.000 UL\nLT5\nLT5\n3338 2327 M\n52 76 V\n1.000
      UL\nLT5\nLT5\n4164 4034 M\n217 184 V\n1.000 UL\nLT5\nLT5\n4384 4114
      M\n-3 104 V\n1.000 UL\nLT5\nLT5\n3489 3369 M\n32 -111 V\n1.000
      UL\nLT5\nLT5\n3434 3440 M\n87 -182 V\n1.000 UL\nLT5\nLT5\n1461 784
      M\n-262 24 V\n1.000 UL\nLT5\nLT5\n4631 4251 M\n256 98 V\n1.000
      UL\nLT5\nLT5\n4793 4128 M\n94 221 V\n1.000 UL\nLT5\nLT5\n5315 3790
      M\n128 -69 V\n1.000 UL\nLT5\nLT5\n5306 3627 M\n137 94 V\n1.000
      UL\nLT5\nLT5\n4132 528 M\n-72 57 V\n1.000 UL\nLT5\nLT5\n3859 768
      M\n4060 585 L\n1.000 UL\nLT5\nLT5\n3240 1853 M\n19 -35 V\n1.000
      UL\nLT5\nLT5\n2833 1323 M\n426 495 V\n1.000 UL\nLT5\nLT5\n2697 2359
      M\n-112 24 V\n1.000 UL\nLT5\nLT5\n2888 1285 M\n65 -16 V\n1.000
      UL\nLT5\nLT5\n2565 907 M\n388 362 V\n1.000 UL\nLT5\nLT5\n5029 4173
      M\n227 11 V\n1.000 UL\nLT5\nLT5\n5010 3889 M\n246 295 V\n1.000
      UL\nLT5\nLT5\n1268 1765 M\n1117 1579 L\n1.000 UL\nLT5\nLT5\n1215 1478
      M\n-98 101 V\n1.000 UL\nLT5\nLT5\n5315 3790 M\n-99 -76 V\n1.000
      UL\nLT5\nLT5\n4384 4114 M\n-61 -47 V\n1.000 UL\nLT5\nLT5\n4384 4114
      M\n247 137 V\n1.000 UL\nLT5\nLT5\n4557 4052 M\n74 199 V\n1.000
      UL\nLT5\nLT5\n2461 931 M\n104 -24 V\n1.000 UL\nLT5\nLT5\n5160 3837
      M\n-39 -35 V\n1.000 UL\nLT5\nLT5\n1482 1948 M\n279 174 V\n1.000
      UL\nLT5\nLT5\n1834 2054 M\n-73 68 V\n1.000 UL\nLT5\nLT5\n5160 3837
      M\n155 -47 V\n1.000 UL\nLT5\nLT5\n3058 2368 M\n205 39 V\n1.000
      UL\nLT5\nLT5\n3122 2290 M\n141 117 V\n1.000 UL\nLT5\nLT5\n3338 2546
      M\n52 -17 V\n1.000 UL\nLT5\nLT5\n3122 2499 M\n268 30 V\n1.000
      UL\nLT5\nLT5\n3462 3438 M\n27 -69 V\n1.000 UL\nLT5\nLT5\n3371 3584
      M\n118 -215 V\n1.000 UL\nLT5\nLT5\n4371 4073 M\n13 41 V\n1.000
      UL\nLT5\nLT5\n3434 3440 M\n66 -197 V\n1.000 UL\nLT5\nLT5\n3433 3346
      M\n67 -103 V\n1.000 UL\nLT5\nLT5\n1482 1948 M\n1268 1765 L\n1.000
      UL\nLT5\nLT5\n1360 1673 M\n-92 92 V\n1.000 UL\nLT5\nLT5\n3357 3417
      M\n139 -334 V\n1.000 UL\nLT5\nLT5\n3459 3107 M\n37 -24 V\n1.000
      UL\nLT5\nLT5\n4793 4128 M\n236 45 V\n1.000 UL\nLT5\nLT5\n4875 3964
      M\n154 209 V\n1.000 UL\nLT5\nLT5\n1566 1867 M\n-84 81 V\n1.000
      UL\nLT5\nLT5\n3008 2166 M\n330 161 V\n1.000 UL\nLT5\nLT5\n3297 2249
      M\n41 78 V\n1.000 UL\nLT5\nLT5\n3641 1118 M\n-128 446 V\n1.000
      UL\nLT5\nLT5\n3229 1900 M\n11 -47 V\n1.000 UL\nLT5\nLT5\n2793 1383
      M\n447 470 V\n1.000 UL\nLT5\nLT5\n3318 3675 M\n144 -237 V\n1.000
      UL\nLT5\nLT5\n5060 3850 M\n100 -13 V\n1.000 UL\nLT5\nLT5\n4676 2215
      M\n-65 88 V\n1.000 UL\nLT5\nLT5\n4845 2171 M\n-234 132 V\n1.000
      UL\nLT5\nLT5\n4565 4051 M\n228 77 V\n1.000 UL\nLT5\nLT5\n4722 4017
      M\n71 111 V\n1.000 UL\nLT5\nLT5\n3122 2499 M\n141 -3 V\n1.000
      UL\nLT5\nLT5\n3058 2483 M\n205 13 V\n1.000 UL\nLT5\nLT5\n3513 2264
      M\n19 93 V\n1.000 UL\nLT5\nLT5\n3633 2234 M\n-101 123 V\n1.000
      UL\nLT5\nLT5\n4334 2322 M\n35 46 V\n1.000 UL\nLT5\nLT5\n4676 2215
      M\n-307 153 V\n1.000 UL\nLT5\nLT5\n2326 2196 M\n371 163 V\n1.000
      UL\nLT5\nLT5\n2861 2353 M\n-164 6 V\n1.000 UL\nLT5\nLT5\n1394 918
      M\n-270 29 V\n1.000 UL\nLT5\nLT5\n1461 784 M\n1568 679 L\n1.000
      UL\nLT5\nLT5\n1935 772 M\n1568 679 L\n1.000 UL\nLT5\nLT5\n3225 1958
      M\n4 -58 V\n1.000 UL\nLT5\nLT5\n2767 1462 M\n462 438 V\n1.000
      UL\nLT5\nLT5\n1935 772 M\n117 -65 V\n1.000 UL\nLT5\nLT5\n2461 931
      M\n2052 707 L\n1.000 UL\nLT5\nLT5\n2833 1323 M\n55 -38 V\n1.000
      UL\nLT5\nLT5\n2461 931 M\n427 354 V\n1.000 UL\nLT5\nLT5\n2917 2039
      M\n380 210 V\n1.000 UL\nLT5\nLT5\n3265 2171 M\n32 78 V\n1.000
      UL\nLT5\nLT5\n2861 2353 M\n197 15 V\n1.000 UL\nLT5\nLT5\n2834 2222
      M\n224 146 V\n1.000 UL\nLT5\nLT5\n2557 2193 M\n304 160 V\n1.000
      UL\nLT5\nLT5\n3478 1698 M\n7 -41 V\n1.000 UL\nLT5\nLT5\n3647 1169
      M\n-162 488 V\n1.000 UL\nLT5\nLT5\n3644 1131 M\n-159 526 V\n1.000
      UL\nLT5\nLT5\n3230 2023 M\n-5 -65 V\n1.000 UL\nLT5\nLT5\n2759 1558
      M\n466 400 V\n1.000 UL\nLT5\nLT5\n2326 2196 M\n-156 32 V\n1.000
      UL\nLT5\nLT5\n3276 3460 M\n183 -353 V\n1.000 UL\nLT5\nLT5\n3421 3115
      M\n38 -8 V\n1.000 UL\nLT5\nLT5\n4924 2050 M\n-79 121 V\n1.000
      UL\nLT5\nLT5\n5031 2029 M\n-186 142 V\n1.000 UL\nLT5\nLT5\n2847 1911
      M\n418 260 V\n1.000 UL\nLT5\nLT5\n3243 2095 M\n22 76 V\n1.000
      UL\nLT5\nLT5\n3890 752 M\n-31 16 V\n1.000 UL\nLT5\nLT5\n3641 1118
      M\n3859 768 L\n1.000 UL\nLT5\nLT5\n4132 528 M\n3859 768 L\n1.000
      UL\nLT5\nLT5\n3633 2234 M\n-6 136 V\n1.000 UL\nLT5\nLT5\n3758 2316
      M\n-131 54 V\n1.000 UL\nLT5\nLT5\n4515 394 M\n-103 16 V\n1.000
      UL\nLT5\nLT5\n4132 528 M\n4412 410 L\n1.000 UL\nLT5\nLT5\n3297 2577
      M\n41 -31 V\n1.000 UL\nLT5\nLT5\n3008 2531 M\n330 15 V\n1.000
      UL\nLT5\nLT5\n3513 2524 M\n19 -18 V\n1.000 UL\nLT5\nLT5\n3633 2461
      M\n-101 45 V\n1.000 UL\nLT5\nLT5\n3243 2095 M\n-13 -72 V\n1.000
      UL\nLT5\nLT5\n2769 1666 M\n461 357 V\n1.000 UL\nLT5\nLT5\n2798 1785
      M\n445 310 V\n1.000 UL\nLT5\nLT5\n2375 983 M\n86 -52 V\n1.000
      UL\nLT5\nLT5\n3371 3584 M\n63 -144 V\n1.000 UL\nLT5\nLT5\n3328 3576
      M\n106 -136 V\n1.000 UL\nLT5\nLT5\n2834 2494 M\n224 -11 V\n1.000
      UL\nLT5\nLT5\n2861 2487 M\n197 -4 V\n1.000 UL\nLT5\nLT5\n1373 1075
      M\n-273 34 V\n1.000 UL\nLT5\nLT5\n3644 1131 M\n-3 -13 V\n1.000
      UL\nLT5\nLT5\n3890 752 M\n-249 366 V\n1.000 UL\nLT5\nLT5\n4199 511
      M\n-67 17 V\n1.000 UL\nLT5\nLT5\n3498 2170 M\n15 94 V\n1.000
      UL\nLT5\nLT5\n3639 2093 M\n-126 171 V\n1.000 UL\nLT5\nLT5\n2557 2507
      M\n304 -20 V\n1.000 UL\nLT5\nLT5\n3328 3576 M\n105 -230 V\n1.000
      UL\nLT5\nLT5\n3357 3417 M\n76 -71 V\n1.000 UL\nLT5\nLT5\n5123 1876
      M\n-92 153 V\n1.000 UL\nLT5\nLT5\n5174 1883 M\n-143 146 V\n1.000
      UL\nLT5\nLT5\n2834 2222 M\n288 68 V\n1.000 UL\nLT5\nLT5\n3008 2166
      M\n114 124 V\n1.000 UL\nLT5\nLT5\n3474 1753 M\n4 -55 V\n1.000
      UL\nLT5\nLT5\n3649 1232 M\n-171 466 V\n1.000 UL\nLT5\nLT5\n2793 1383
      M\n40 -60 V\n1.000 UL\nLT5\nLT5\n2375 983 M\n458 340 V\n1.000
      UL\nLT5\nLT5\n1394 918 M\n67 -134 V\n1.000 UL\nLT5\nLT5\n1848 866
      M\n1461 784 L\n1.000 UL\nLT5\nLT5\n5174 1883 M\n100 -145 V\n1.000
      UL\nLT5\nLT5\n5382 1521 M\n-108 217 V\n1.000 UL\nLT5\nLT5\n5275 1698
      M\n-101 185 V\n1.000 UL\nLT5\nLT5\n4234 2290 M\n100 32 V\n1.000
      UL\nLT5\nLT5\n4627 2144 M\n-293 178 V\n1.000 UL\nLT5\nLT5\n3192 3476
      M\n229 -361 V\n1.000 UL\nLT5\nLT5\n3383 3109 M\n38 6 V\n1.000
      UL\nLT5\nLT5\n2027 2017 M\n-193 37 V\n1.000 UL\nLT5\nLT5\n3318 3675
      M\n53 -91 V\n1.000 UL\nLT5\nLT5\n3227 3746 M\n144 -162 V\n1.000
      UL\nLT5\nLT5\n1848 866 M\n87 -94 V\n1.000 UL\nLT5\nLT5\n2375 983
      M\n1935 772 L\n1.000 UL\nLT5\nLT5\n1399 1250 M\n-270 38 V\n1.000
      UL\nLT5\nLT5\n4907 425 M\n4790 398 L\n1.000 UL\nLT5\nLT5\n4515 394
      M\n275 4 V\n1.000 UL\nLT5\nLT5\n3318 3675 M\n-36 37 V\n1.000
      UL\nLT5\nLT5\n3142 3855 M\n140 -143 V\n1.000 UL\nLT5\nLT5\n5228 615
      M\n5115 549 L\n1.000 UL\nLT5\nLT5\n4907 425 M\n208 124 V\n1.000
      UL\nLT5\nLT5\n3265 2618 M\n32 -41 V\n1.000 UL\nLT5\nLT5\n2917 2585
      M\n380 -8 V\n1.000 UL\nLT5\nLT5\n3487 2076 M\n11 94 V\n1.000
      UL\nLT5\nLT5\n3643 1949 M\n-145 221 V\n1.000 UL\nLT5\nLT5\n3142 3855
      M\n176 -180 V\n1.000 UL\nLT5\nLT5\n3473 1821 M\n1 -68 V\n1.000
      UL\nLT5\nLT5\n3650 1315 M\n-176 438 V\n1.000 UL\nLT5\nLT5\n2027 2017
      M\n299 179 V\n1.000 UL\nLT5\nLT5\n2557 2193 M\n-231 3 V\n1.000
      UL\nLT5\nLT5\n4627 2144 M\n49 71 V\n1.000 UL\nLT5\nLT5\n4924 2050
      M\n-248 165 V\n1.000 UL\nLT5\nLT5\n3626 3510 M\n-3 -13 V\n1.000
      UL\nLT5\nLT5\n3819 2147 M\n-61 169 V\n1.000 UL\nLT5\nLT5\n3921 2286
      M\n-163 30 V\n1.000 UL\nLT5\nLT5\n1788 1827 M\n-222 40 V\n1.000
      UL\nLT5\nLT5\n2310 1063 M\n65 -80 V\n1.000 UL\nLT5\nLT5\n1475 1438
      M\n-260 40 V\n1.000 UL\nLT5\nLT5\n3008 2531 M\n114 -32 V\n1.000
      UL\nLT5\nLT5\n2834 2494 M\n288 5 V\n1.000 UL\nLT5\nLT5\n1605 1632
      M\n-245 41 V\n1.000 UL\nLT5\nLT5\n2767 1462 M\n26 -79 V\n1.000
      UL\nLT5\nLT5\n2310 1063 M\n483 320 V\n1.000 UL\nLT5\nLT5\n3474 1898
      M\n-1 -77 V\n1.000 UL\nLT5\nLT5\n3650 1418 M\n-177 403 V\n1.000
      UL\nLT5\nLT5\n3498 2559 M\n15 -35 V\n1.000 UL\nLT5\nLT5\n3639 2488
      M\n-126 36 V\n1.000 UL\nLT5\nLT5\n3479 1984 M\n8 92 V\n1.000
      UL\nLT5\nLT5\n3646 1806 M\n-159 270 V\n1.000 UL\nLT5\nLT5\n3108 3467
      M\n275 -358 V\n1.000 UL\nLT5\nLT5\n3347 3088 M\n36 21 V\n1.000
      UL\nLT5\nLT5\n2557 2193 M\n277 29 V\n1.000 UL\nLT5\nLT5\n2653 2067
      M\n181 155 V\n1.000 UL\nLT5\nLT5\n3647 1169 M\n-3 -38 V\n1.000
      UL\nLT5\nLT5\n3918 768 M\n-274 363 V\n1.000 UL\nLT5\nLT5\n3918 768
      M\n-28 -16 V\n1.000 UL\nLT5\nLT5\n4199 511 M\n3890 752 L\n1.000
      UL\nLT5\nLT5\n4089 2277 M\n145 13 V\n1.000 UL\nLT5\nLT5\n4487 2097
      M\n-253 193 V\n1.000 UL\nLT5\nLT5\n1373 1075 M\n21 -157 V\n1.000
      UL\nLT5\nLT5\n1793 988 M\n1394 918 L\n1.000 UL\nLT5\nLT5\n2653 2067
      M\n355 99 V\n1.000 UL\nLT5\nLT5\n2917 2039 M\n91 127 V\n1.000
      UL\nLT5\nLT5\n3479 1984 M\n-5 -86 V\n1.000 UL\nLT5\nLT5\n3650 1536
      M\n-176 362 V\n1.000 UL\nLT5\nLT5\n3648 1667 M\n-169 317 V\n1.000
      UL\nLT5\nLT5\n2312 2019 M\n245 174 V\n1.000 UL\nLT5\nLT5\n3819 2431
      M\n-61 6 V\n1.000 UL\nLT5\nLT5\n3633 2461 M\n125 -24 V\n1.000
      UL\nLT5\nLT5\n3207 3672 M\n150 -255 V\n1.000 UL\nLT5\nLT5\n3276 3460
      M\n81 -43 V\n1.000 UL\nLT5\nLT5\n4605 418 M\n-90 -24 V\n1.000
      UL\nLT5\nLT5\n4199 511 M\n4515 394 L\n1.000 UL\nLT5\nLT5\n3243 2669
      M\n22 -51 V\n1.000 UL\nLT5\nLT5\n2847 2656 M\n418 -38 V\n1.000
      UL\nLT5\nLT5\n3227 3746 M\n101 -170 V\n1.000 UL\nLT5\nLT5\n3207 3672
      M\n121 -96 V\n1.000 UL\nLT5\nLT5\n4048 2096 M\n-127 190 V\n1.000
      UL\nLT5\nLT5\n4089 2277 M\n-168 9 V\n1.000 UL\nLT5\nLT5\n3639 2093
      M\n-6 141 V\n1.000 UL\nLT5\nLT5\n3819 2147 M\n-186 87 V\n1.000
      UL\nLT5\nLT5\n1793 988 M\n55 -122 V\n1.000 UL\nLT5\nLT5\n2310 1063
      M\n1848 866 L\n1.000 UL\nLT5\nLT5\n4283 2080 M\n-194 197 V\n1.000
      UL\nLT5\nLT5\n4257 531 M\n-58 -20 V\n1.000 UL\nLT5\nLT5\n5467 1194
      M\n-18 -140 V\n1.000 UL\nLT5\nLT5\n5365 843 M\n84 211 V\n1.000
      UL\nLT5\nLT5\n2759 1558 M\n8 -96 V\n1.000 UL\nLT5\nLT5\n2270 1166
      M\n497 296 V\n1.000 UL\nLT5\nLT5\n3027 3435 M\n320 -347 V\n1.000
      UL\nLT5\nLT5\n3313 3056 M\n34 32 V\n1.000 UL\nLT5\nLT5\n3630 3522
      M\n-40 -149 V\n1.000 UL\nLT5\nLT5\n1788 1827 M\n239 190 V\n1.000
      UL\nLT5\nLT5\n2312 2019 M\n-285 -2 V\n1.000 UL\nLT5\nLT5\n4864 1955
      M\n60 95 V\n1.000 UL\nLT5\nLT5\n5123 1876 M\n-199 174 V\n1.000
      UL\nLT5\nLT5\n2270 1166 M\n40 -103 V\n1.000 UL\nLT5\nLT5\n5312 714
      M\n-84 -99 V\n1.000 UL\nLT5\nLT5\n5004 491 M\n224 124 V\n1.000
      UL\nLT5\nLT5\n1399 1250 M\n-26 -175 V\n1.000 UL\nLT5\nLT5\n1775 1132
      M\n-402 -57 V\n1.000 UL\nLT5\nLT5\n2508 1906 M\n409 133 V\n1.000
      UL\nLT5\nLT5\n2847 1911 M\n70 128 V\n1.000 UL\nLT5\nLT5\n4048 2419
      M\n-127 4 V\n1.000 UL\nLT5\nLT5\n3819 2431 M\n102 -8 V\n1.000
      UL\nLT5\nLT5\n3230 2725 M\n13 -56 V\n1.000 UL\nLT5\nLT5\n2798 2742
      M\n445 -73 V\n1.000 UL\nLT5\nLT5\n2027 2610 M\n299 -73 V\n1.000
      UL\nLT5\nLT5\n2557 2507 M\n-231 30 V\n1.000 UL\nLT5\nLT5\n5004 491
      M\n-97 -66 V\n1.000 UL\nLT5\nLT5\n4605 418 M\n302 7 V\n1.000
      UL\nLT5\nLT5\n2653 2540 M\n181 -46 V\n1.000 UL\nLT5\nLT5\n2557 2507
      M\n277 -13 V\n1.000 UL\nLT5\nLT5\n3142 3855 M\n-57 48 V\n1.000
      UL\nLT5\nLT5\n2769 1666 M\n-10 -108 V\n1.000 UL\nLT5\nLT5\n2257 1290
      M\n502 268 V\n1.000 UL\nLT5\nLT5\n3649 1232 M\n-2 -63 V\n1.000
      UL\nLT5\nLT5\n3942 817 M\n-295 352 V\n1.000 UL\nLT5\nLT5\n3142 3855
      M\n85 -109 V\n1.000 UL\nLT5\nLT5\n3064 3861 M\n163 -115 V\n1.000
      UL\nLT5\nLT5\n3487 2607 M\n11 -48 V\n1.000 UL\nLT5\nLT5\n3643 2541
      M\n-145 18 V\n1.000 UL\nLT5\nLT5\n2953 3383 M\n360 -327 V\n1.000
      UL\nLT5\nLT5\n3283 3014 M\n30 42 V\n1.000 UL\nLT5\nLT5\n5446 1352 M\n21
      -158 V\n1.000 UL\nLT5\nLT5\n5382 997 M\n85 197 V\n1.000
      UL\nLT5\nLT5\n2312 2019 M\n341 48 V\n1.000 UL\nLT5\nLT5\n2508 1906
      M\n145 161 V\n1.000 UL\nLT5\nLT5\n4487 2097 M\n140 47 V\n1.000
      UL\nLT5\nLT5\n4864 1955 M\n-237 189 V\n1.000 UL\nLT5\nLT5\n2397 1743
      M\n450 168 V\n1.000 UL\nLT5\nLT5\n2798 1785 M\n49 126 V\n1.000
      UL\nLT5\nLT5\n3639 2488 M\n-6 -27 V\n1.000 UL\nLT5\nLT5\n3819 2431
      M\n-186 30 V\n1.000 UL\nLT5\nLT5\n1775 1132 M\n18 -144 V\n1.000
      UL\nLT5\nLT5\n2270 1166 M\n1793 988 L\n1.000 UL\nLT5\nLT5\n3718 3692
      M\n-25 -58 V\n1.000 UL\nLT5\nLT5\n2944 3986 M\n198 -131 V\n1.000
      UL\nLT5\nLT5\n1605 1632 M\n183 195 V\n1.000 UL\nLT5\nLT5\n2116 1838
      M\n-328 -11 V\n1.000 UL\nLT5\nLT5\n1475 1438 M\n-76 -188 V\n1.000
      UL\nLT5\nLT5\n1797 1295 M\n-398 -45 V\n1.000 UL\nLT5\nLT5\n2798 1785
      M\n-29 -119 V\n1.000 UL\nLT5\nLT5\n2272 1430 M\n497 236 V\n1.000
      UL\nLT5\nLT5\n2116 1838 M\n196 181 V\n1.000 UL\nLT5\nLT5\n2312 2568
      M\n245 -61 V\n1.000 UL\nLT5\nLT5\n3225 2786 M\n5 -61 V\n1.000
      UL\nLT5\nLT5\n2769 2837 M\n461 -112 V\n1.000 UL\nLT5\nLT5\n2319 1583
      M\n479 202 V\n1.000 UL\nLT5\nLT5\n5054 1757 M\n69 119 V\n1.000
      UL\nLT5\nLT5\n5275 1698 M\n-152 178 V\n1.000 UL\nLT5\nLT5\n3942 817
      M\n-24 -49 V\n1.000 UL\nLT5\nLT5\n4257 531 M\n3918 768 L\n1.000
      UL\nLT5\nLT5\n3634 3507 M\n-93 -277 V\n1.000 UL\nLT5\nLT5\n2917 2585
      M\n91 -54 V\n1.000 UL\nLT5\nLT5\n2653 2540 M\n355 -9 V\n1.000
      UL\nLT5\nLT5\n2888 3315 M\n395 -301 V\n1.000 UL\nLT5\nLT5\n3259 2964
      M\n24 50 V\n1.000 UL\nLT5\nLT5\n2257 1290 M\n13 -124 V\n1.000
      UL\nLT5\nLT5\n3078 3731 M\n198 -271 V\n1.000 UL\nLT5\nLT5\n3192 3476
      M\n84 -16 V\n1.000 UL\nLT5\nLT5\n1605 1632 M\n1475 1438 L\n1.000
      UL\nLT5\nLT5\n1860 1470 M\n-385 -32 V\n1.000 UL\nLT5\nLT5\n1966 1653
      M\n-361 -21 V\n1.000 UL\nLT5\nLT5\n5382 1521 M\n64 -169 V\n1.000
      UL\nLT5\nLT5\n5362 1170 M\n84 182 V\n1.000 UL\nLT5\nLT5\n2027 2610
      M\n-193 52 V\n1.000 UL\nLT5\nLT5\n3229 2847 M\n-4 -61 V\n1.000
      UL\nLT5\nLT5\n2759 2938 M\n466 -152 V\n1.000 UL\nLT5\nLT5\n3643 1949
      M\n-4 144 V\n1.000 UL\nLT5\nLT5\n3867 1972 M\n-228 121 V\n1.000
      UL\nLT5\nLT5\n2833 3232 M\n426 -268 V\n1.000 UL\nLT5\nLT5\n3240 2907
      M\n19 57 V\n1.000 UL\nLT5\nLT5\n5199 1556 M\n76 142 V\n1.000
      UL\nLT5\nLT5\n5382 1521 M\n-107 177 V\n1.000 UL\nLT5\nLT5\n5301 1359
      M\n81 162 V\n1.000 UL\nLT5\nLT5\n4679 480 M\n-74 -62 V\n1.000
      UL\nLT5\nLT5\n4257 531 M\n4605 418 L\n1.000 UL\nLT5\nLT5\n3240 2907
      M\n-11 -60 V\n1.000 UL\nLT5\nLT5\n2767 3040 M\n462 -193 V\n1.000
      UL\nLT5\nLT5\n3064 3861 M\n143 -189 V\n1.000 UL\nLT5\nLT5\n3078 3731
      M\n129 -59 V\n1.000 UL\nLT5\nLT5\n5365 843 M\n5312 714 L\n1.000
      UL\nLT5\nLT5\n5077 592 M\n235 122 V\n1.000 UL\nLT5\nLT5\n2793 3140
      M\n447 -233 V\n1.000 UL\nLT5\nLT5\n3650 1315 M\n-1 -83 V\n1.000
      UL\nLT5\nLT5\n3959 895 M\n-310 337 V\n1.000 UL\nLT5\nLT5\n3867 1972
      M\n-48 175 V\n1.000 UL\nLT5\nLT5\n4048 2096 M\n-229 51 V\n1.000
      UL\nLT5\nLT5\n1797 1295 M\n-22 -163 V\n1.000 UL\nLT5\nLT5\n2257 1290
      M\n1775 1132 L\n1.000 UL\nLT5\nLT5\n2116 1838 M\n392 68 V\n1.000
      UL\nLT5\nLT5\n2397 1743 M\n111 163 V\n1.000 UL\nLT5\nLT5\n3479 2666
      M\n8 -59 V\n1.000 UL\nLT5\nLT5\n3646 2613 M\n-159 -6 V\n1.000
      UL\nLT5\nLT5\n4306 588 M\n-49 -57 V\n1.000 UL\nLT5\nLT5\n1966 1653
      M\n150 185 V\n1.000 UL\nLT5\nLT5\n2272 1430 M\n-15 -140 V\n1.000
      UL\nLT5\nLT5\n3504 3129 M\n12 40 V\n1.000 UL\nLT5\nLT5\n3638 3467
      M\n3516 3169 L\n1.000 UL\nLT5\nLT5\n4283 2080 M\n204 17 V\n1.000
      UL\nLT5\nLT5\n4691 1893 M\n-204 204 V\n1.000 UL\nLT5\nLT5\n5077 592
      M\n5004 491 L\n1.000 UL\nLT5\nLT5\n4679 480 M\n325 11 V\n1.000
      UL\nLT5\nLT5\n1117 3138 M\n151 -158 V\n1.000 UL\nLT5\nLT5\n1360 2919
      M\n-92 61 V\n1.000 UL\nLT5\nLT5\n1566 2779 M\n-298 201 V\n1.000
      UL\nLT5\nLT5\n1860 1470 M\n-63 -175 V\n1.000 UL\nLT5\nLT5\n2272 1430
      M\n1797 1295 L\n1.000 UL\nLT5\nLT5\n1966 1653 M\n431 90 V\n1.000
      UL\nLT5\nLT5\n2319 1583 M\n78 160 V\n1.000 UL\nLT5\nLT5\n4864 2540
      M\n-237 -59 V\n1.000 UL\nLT5\nLT5\n4487 2447 M\n140 34 V\n1.000
      UL\nLT5\nLT5\n2319 1583 M\n-47 -153 V\n1.000 UL\nLT5\nLT5\n1860 1470
      M\n106 183 V\n1.000 UL\nLT5\nLT5\n2944 3986 M\n-81 58 V\n1.000
      UL\nLT5\nLT5\n4691 1893 M\n173 62 V\n1.000 UL\nLT5\nLT5\n5054 1757
      M\n-190 198 V\n1.000 UL\nLT5\nLT5\n1860 1470 M\n459 113 V\n1.000
      UL\nLT5\nLT5\n3646 1806 M\n-3 143 V\n1.000 UL\nLT5\nLT5\n3906 1792
      M\n-263 157 V\n1.000 UL\nLT5\nLT5\n2944 3755 M\n248 -279 V\n1.000
      UL\nLT5\nLT5\n3108 3467 M\n84 9 V\n1.000 UL\nLT5\nLT5\n3650 1418 M\n0
      -103 V\n1.000 UL\nLT5\nLT5\n3970 1000 M\n-320 315 V\n1.000
      UL\nLT5\nLT5\n3959 895 M\n-17 -78 V\n1.000 UL\nLT5\nLT5\n4306 588
      M\n3942 817 L\n1.000 UL\nLT5\nLT5\n2944 3986 M\n120 -125 V\n1.000
      UL\nLT5\nLT5\n2889 3935 M\n175 -74 V\n1.000 UL\nLT5\nLT5\n3474 2733
      M\n5 -67 V\n1.000 UL\nLT5\nLT5\n3648 2703 M\n-169 -37 V\n1.000
      UL\nLT5\nLT5\n3630 3522 M\n-4 -12 V\n1.000 UL\nLT5\nLT5\n3753 3744
      M\n3643 3541 L\n1.000 UL\nLT5\nLT5\n4149 1899 M\n-101 197 V\n1.000
      UL\nLT5\nLT5\n4283 2080 M\n-235 16 V\n1.000 UL\nLT5\nLT5\n5382 997
      M\n5365 843 L\n1.000 UL\nLT5\nLT5\n5123 724 M\n242 119 V\n1.000
      UL\nLT5\nLT5\n3493 3078 M\n11 51 V\n1.000 UL\nLT5\nLT5\n3641 3407
      M\n3504 3129 L\n1.000 UL\nLT5\nLT5\n2847 2656 M\n70 -71 V\n1.000
      UL\nLT5\nLT5\n2508 2613 M\n409 -28 V\n1.000 UL\nLT5\nLT5\n4439 1873
      M\n-156 207 V\n1.000 UL\nLT5\nLT5\n1788 2716 M\n239 -106 V\n1.000
      UL\nLT5\nLT5\n2312 2568 M\n-285 42 V\n1.000 UL\nLT5\nLT5\n2730 4072
      M\n214 -86 V\n1.000 UL\nLT5\nLT5\n2508 2613 M\n145 -73 V\n1.000
      UL\nLT5\nLT5\n2312 2568 M\n341 -28 V\n1.000 UL\nLT5\nLT5\n3867 2466
      M\n-48 -35 V\n1.000 UL\nLT5\nLT5\n4048 2419 M\n-229 12 V\n1.000
      UL\nLT5\nLT5\n3753 3744 M\n-35 -52 V\n1.000 UL\nLT5\nLT5\n3837 3850
      M\n-62 -83 V\n1.000 UL\nLT5\nLT5\n3650 1536 M\n0 -118 V\n1.000
      UL\nLT5\nLT5\n3973 1129 M\n-323 289 V\n1.000 UL\nLT5\nLT5\n3643 2541
      M\n-4 -53 V\n1.000 UL\nLT5\nLT5\n3867 2466 M\n-228 22 V\n1.000
      UL\nLT5\nLT5\n3648 1667 M\n-2 139 V\n1.000 UL\nLT5\nLT5\n3936 1613
      M\n-290 193 V\n1.000 UL\nLT5\nLT5\n1788 2716 M\n-222 63 V\n1.000
      UL\nLT5\nLT5\n3473 2804 M\n1 -71 V\n1.000 UL\nLT5\nLT5\n3650 2804
      M\n-176 -71 V\n1.000 UL\nLT5\nLT5\n4735 577 M\n-56 -97 V\n1.000
      UL\nLT5\nLT5\n4306 588 M\n4679 480 L\n1.000 UL\nLT5\nLT5\n2889 3935
      M\n189 -204 V\n1.000 UL\nLT5\nLT5\n2944 3755 M\n134 -24 V\n1.000
      UL\nLT5\nLT5\n3485 3017 M\n8 61 V\n1.000 UL\nLT5\nLT5\n3644 3328
      M\n3493 3078 L\n1.000 UL\nLT5\nLT5\n2116 2659 M\n196 -91 V\n1.000
      UL\nLT5\nLT5\n4342 678 M\n-36 -90 V\n1.000 UL\nLT5\nLT5\n1027 3304
      M\n90 -166 V\n1.000 UL\nLT5\nLT5\n1215 3077 M\n-98 61 V\n1.000
      UL\nLT5\nLT5\n3648 1667 M\n2 -131 V\n1.000 UL\nLT5\nLT5\n3969 1277
      M\n-319 259 V\n1.000 UL\nLT5\nLT5\n3957 1440 M\n-309 227 V\n1.000
      UL\nLT5\nLT5\n4854 1682 M\n200 75 V\n1.000 UL\nLT5\nLT5\n5199 1556
      M\n-145 201 V\n1.000 UL\nLT5\nLT5\n5362 1170 M\n20 -173 V\n1.000
      UL\nLT5\nLT5\n5138 883 M\n244 114 V\n1.000 UL\nLT5\nLT5\n3906 1792
      M\n-39 180 V\n1.000 UL\nLT5\nLT5\n4149 1899 M\n-282 73 V\n1.000
      UL\nLT5\nLT5\n5123 724 M\n5077 592 L\n1.000 UL\nLT5\nLT5\n4735 577
      M\n342 15 V\n1.000 UL\nLT5\nLT5\n4691 2502 M\n-204 -55 V\n1.000
      UL\nLT5\nLT5\n4283 2425 M\n204 22 V\n1.000 UL\nLT5\nLT5\n3474 2877
      M\n-1 -73 V\n1.000 UL\nLT5\nLT5\n3650 2912 M\n3473 2804 L\n1.000
      UL\nLT5\nLT5\n3478 2949 M\n7 68 V\n1.000 UL\nLT5\nLT5\n3647 3235
      M\n3485 3017 L\n1.000 UL\nLT5\nLT5\n2811 3747 M\n297 -280 V\n1.000
      UL\nLT5\nLT5\n3027 3435 M\n81 32 V\n1.000 UL\nLT5\nLT5\n2067 4203
      M\n111 -7 V\n1.000 UL\nLT5\nLT5\n3970 1000 M\n3959 895 L\n1.000
      UL\nLT5\nLT5\n4342 678 M\n3959 895 L\n1.000 UL\nLT5\nLT5\n3478 2949
      M\n-4 -72 V\n1.000 UL\nLT5\nLT5\n3650 3023 M\n3474 2877 L\n1.000
      UL\nLT5\nLT5\n3649 3132 M\n3478 2949 L\n1.000 UL\nLT5\nLT5\n2730 4072
      M\n-107 66 V\n1.000 UL\nLT5\nLT5\n4439 1873 M\n252 20 V\n1.000
      UL\nLT5\nLT5\n4854 1682 M\n-163 211 V\n1.000 UL\nLT5\nLT5\n4149 2461
      M\n-101 -42 V\n1.000 UL\nLT5\nLT5\n4283 2425 M\n-235 -6 V\n1.000
      UL\nLT5\nLT5\n5301 1359 M\n61 -189 V\n1.000 UL\nLT5\nLT5\n5120 1064
      M\n242 106 V\n1.000 UL\nLT5\nLT5\n4979 1470 M\n220 86 V\n1.000
      UL\nLT5\nLT5\n5301 1359 M\n-102 197 V\n1.000 UL\nLT5\nLT5\n2798 2742
      M\n49 -86 V\n1.000 UL\nLT5\nLT5\n2397 2709 M\n450 -53 V\n1.000
      UL\nLT5\nLT5\n3634 3507 M\n-4 15 V\n1.000 UL\nLT5\nLT5\n3789 3759
      M\n3630 3522 L\n1.000 UL\nLT5\nLT5\n4439 2474 M\n-156 -49 V\n1.000
      UL\nLT5\nLT5\n5067 1262 M\n234 97 V\n1.000 UL\nLT5\nLT5\n3910 3911
      M\n-73 -61 V\n1.000 UL\nLT5\nLT5\n3959 3944 M\n-17 -14 V\n1.000
      UL\nLT5\nLT5\n2730 4072 M\n159 -137 V\n1.000 UL\nLT5\nLT5\n2707 3968
      M\n182 -33 V\n1.000 UL\nLT5\nLT5\n996 3471 M\n31 -167 V\n1.000
      UL\nLT5\nLT5\n1129 3244 M\n-102 60 V\n1.000 UL\nLT5\nLT5\n5275 2786
      M\n5123 2672 L\n1.000 UL\nLT5\nLT5\n5054 2633 M\n69 39 V\n1.000
      UL\nLT5\nLT5\n2509 4114 M\n221 -42 V\n1.000 UL\nLT5\nLT5\n4231 1696
      M\n-82 203 V\n1.000 UL\nLT5\nLT5\n4439 1873 M\n-290 26 V\n1.000
      UL\nLT5\nLT5\n4770 707 M\n4735 577 L\n1.000 UL\nLT5\nLT5\n4342 678
      M\n4735 577 L\n1.000 UL\nLT5\nLT5\n1820 4181 M\n247 22 V\n1.000
      UL\nLT5\nLT5\n2128 4198 M\n-61 5 V\n1.000 UL\nLT5\nLT5\n5138 883
      M\n5123 724 L\n1.000 UL\nLT5\nLT5\n4770 707 M\n353 17 V\n1.000
      UL\nLT5\nLT5\n1605 2847 M\n-245 72 V\n1.000 UL\nLT5\nLT5\n2683 3709
      M\n344 -274 V\n1.000 UL\nLT5\nLT5\n2953 3383 M\n74 52 V\n1.000
      UL\nLT5\nLT5\n4564 1660 M\n-125 213 V\n1.000 UL\nLT5\nLT5\n1605 2847
      M\n183 -131 V\n1.000 UL\nLT5\nLT5\n2116 2659 M\n-328 57 V\n1.000
      UL\nLT5\nLT5\n2397 2709 M\n111 -96 V\n1.000 UL\nLT5\nLT5\n2116 2659
      M\n392 -46 V\n1.000 UL\nLT5\nLT5\n4071 4012 M\n-112 -68 V\n1.000
      UL\nLT5\nLT5\n4365 798 M\n4342 678 L\n1.000 UL\nLT5\nLT5\n3936 1613
      M\n-30 179 V\n1.000 UL\nLT5\nLT5\n4231 1696 M\n-325 96 V\n1.000
      UL\nLT5\nLT5\n3973 1129 M\n-3 -129 V\n1.000 UL\nLT5\nLT5\n4365 798
      M\n-395 202 V\n1.000 UL\nLT5\nLT5\n2707 3968 M\n237 -213 V\n1.000
      UL\nLT5\nLT5\n2811 3747 M\n133 8 V\n1.000 UL\nLT5\nLT5\n5054 2633
      M\n-190 -93 V\n1.000 UL\nLT5\nLT5\n4691 2502 M\n173 38 V\n1.000
      UL\nLT5\nLT5\n3646 2613 M\n-3 -72 V\n1.000 UL\nLT5\nLT5\n3906 2533
      M\n-263 8 V\n1.000 UL\nLT5\nLT5\n3789 3759 M\n-36 -15 V\n1.000
      UL\nLT5\nLT5\n3910 3911 M\n3753 3744 L\n1.000 UL\nLT5\nLT5\n2769 2837
      M\n29 -95 V\n1.000 UL\nLT5\nLT5\n2319 2822 M\n479 -80 V\n1.000
      UL\nLT5\nLT5\n1022 3634 M\n996 3471 L\n1.000 UL\nLT5\nLT5\n1100 3415
      M\n-104 56 V\n1.000 UL\nLT5\nLT5\n4564 1660 M\n290 22 V\n1.000
      UL\nLT5\nLT5\n4979 1470 M\n-125 212 V\n1.000 UL\nLT5\nLT5\n2509 4114
      M\n-134 75 V\n1.000 UL\nLT5\nLT5\n1966 2775 M\n150 -116 V\n1.000
      UL\nLT5\nLT5\n1592 4125 M\n228 56 V\n1.000 UL\nLT5\nLT5\n1891 4168
      M\n-71 13 V\n1.000 UL\nLT5\nLT5\n3969 1277 M\n4 -148 V\n1.000
      UL\nLT5\nLT5\n4372 945 M\n-399 184 V\n1.000 UL\nLT5\nLT5\n5120 1064
      M\n18 -181 V\n1.000 UL\nLT5\nLT5\n4782 863 M\n356 20 V\n1.000
      UL\nLT5\nLT5\n2565 3646 M\n388 -263 V\n1.000 UL\nLT5\nLT5\n2888 3315
      M\n65 68 V\n1.000 UL\nLT5\nLT5\n3957 1440 M\n-21 173 V\n1.000
      UL\nLT5\nLT5\n4293 1494 M\n-357 119 V\n1.000 UL\nLT5\nLT5\n3906 2533
      M\n-39 -67 V\n1.000 UL\nLT5\nLT5\n4149 2461 M\n-282 5 V\n1.000
      UL\nLT5\nLT5\n3638 3467 M\n-4 40 V\n1.000 UL\nLT5\nLT5\n3825 3741
      M\n3634 3507 L\n1.000 UL\nLT5\nLT5\n1100 3787 M\n-78 -153 V\n1.000
      UL\nLT5\nLT5\n1124 3583 M\n-102 51 V\n1.000 UL\nLT5\nLT5\n4782 863
      M\n4770 707 L\n1.000 UL\nLT5\nLT5\n4365 798 M\n405 -91 V\n1.000
      UL\nLT5\nLT5\n4372 945 M\n-7 -147 V\n1.000 UL\nLT5\nLT5\n3957 1440
      M\n12 -163 V\n1.000 UL\nLT5\nLT5\n4363 1113 M\n-394 164 V\n1.000
      UL\nLT5\nLT5\n1391 4037 M\n201 88 V\n1.000 UL\nLT5\nLT5\n1672 4103
      M\n-80 22 V\n1.000 UL\nLT5\nLT5\n4337 1298 M\n-380 142 V\n1.000
      UL\nLT5\nLT5\n4660 1447 M\n319 23 V\n1.000 UL\nLT5\nLT5\n5067 1262
      M\n-88 208 V\n1.000 UL\nLT5\nLT5\n2759 2938 M\n10 -101 V\n1.000
      UL\nLT5\nLT5\n2272 2947 M\n497 -110 V\n1.000 UL\nLT5\nLT5\n2509 4114
      M\n198 -146 V\n1.000 UL\nLT5\nLT5\n2527 3963 M\n180 5 V\n1.000
      UL\nLT5\nLT5\n4293 1494 M\n-62 202 V\n1.000 UL\nLT5\nLT5\n4564 1660
      M\n-333 36 V\n1.000 UL\nLT5\nLT5\n1475 2996 M\n-260 81 V\n1.000
      UL\nLT5\nLT5\n2289 4116 M\n220 -2 V\n1.000 UL\nLT5\nLT5\n5067 1262
      M\n53 -198 V\n1.000 UL\nLT5\nLT5\n4768 1043 M\n352 21 V\n1.000
      UL\nLT5\nLT5\n5382 2918 M\n5275 2786 L\n1.000 UL\nLT5\nLT5\n5199 2754
      M\n76 32 V\n1.000 UL\nLT5\nLT5\n4660 1447 M\n-96 213 V\n1.000
      UL\nLT5\nLT5\n1225 3923 M\n1100 3787 L\n1.000 UL\nLT5\nLT5\n1199 3742
      M\n-99 45 V\n1.000 UL\nLT5\nLT5\n2527 3963 M\n284 -216 V\n1.000
      UL\nLT5\nLT5\n2683 3709 M\n128 38 V\n1.000 UL\nLT5\nLT5\n4728 1239
      M\n339 23 V\n1.000 UL\nLT5\nLT5\n2461 3560 M\n427 -245 V\n1.000
      UL\nLT5\nLT5\n2833 3232 M\n55 83 V\n1.000 UL\nLT5\nLT5\n1225 3923
      M\n166 114 V\n1.000 UL\nLT5\nLT5\n1479 4007 M\n-88 30 V\n1.000
      UL\nLT5\nLT5\n1319 3885 M\n-94 38 V\n1.000 UL\nLT5\nLT5\n2319 2822
      M\n78 -113 V\n1.000 UL\nLT5\nLT5\n1966 2775 M\n431 -66 V\n1.000
      UL\nLT5\nLT5\n1475 2996 M\n130 -149 V\n1.000 UL\nLT5\nLT5\n1966 2775
      M\n-361 72 V\n1.000 UL\nLT5\nLT5\n2289 4116 M\n-161 82 V\n1.000
      UL\nLT5\nLT5\n3985 3930 M\n-75 -19 V\n1.000 UL\nLT5\nLT5\n4071 4012
      M\n3910 3911 L\n1.000 UL\nLT5\nLT5\n4854 2593 M\n-163 -91 V\n1.000
      UL\nLT5\nLT5\n4439 2474 M\n252 28 V\n1.000 UL\nLT5\nLT5\n2767 3040
      M\n-8 -102 V\n1.000 UL\nLT5\nLT5\n2257 3078 M\n502 -140 V\n1.000
      UL\nLT5\nLT5\n3648 2703 M\n-2 -90 V\n1.000 UL\nLT5\nLT5\n3936 2624
      M\n-290 -11 V\n1.000 UL\nLT5\nLT5\n2375 3456 M\n458 -224 V\n1.000
      UL\nLT5\nLT5\n2793 3140 M\n40 92 V\n1.000 UL\nLT5\nLT5\n4768 1043 M\n14
      -180 V\n1.000 UL\nLT5\nLT5\n4372 945 M\n410 -82 V\n1.000
      UL\nLT5\nLT5\n4363 1113 M\n9 -168 V\n1.000 UL\nLT5\nLT5\n4071 4012
      M\n140 34 V\n1.000 UL\nLT5\nLT5\n4362 4074 M\n-151 -28 V\n1.000
      UL\nLT5\nLT5\n2793 3140 M\n-26 -100 V\n1.000 UL\nLT5\nLT5\n2270 3209
      M\n497 -169 V\n1.000 UL\nLT5\nLT5\n4337 1298 M\n-44 196 V\n1.000
      UL\nLT5\nLT5\n4660 1447 M\n-367 47 V\n1.000 UL\nLT5\nLT5\n2310 3337
      M\n483 -197 V\n1.000 UL\nLT5\nLT5\n3641 3407 M\n-3 60 V\n1.000
      UL\nLT5\nLT5\n3859 3692 M\n3638 3467 L\n1.000 UL\nLT5\nLT5\n4728 1239
      M\n-68 208 V\n1.000 UL\nLT5\nLT5\n3825 3741 M\n-36 18 V\n1.000
      UL\nLT5\nLT5\n3985 3930 M\n3789 3759 L\n1.000 UL\nLT5\nLT5\n4231 2539
      M\n-82 -78 V\n1.000 UL\nLT5\nLT5\n4439 2474 M\n-290 -13 V\n1.000
      UL\nLT5\nLT5\n4187 4035 M\n-116 -23 V\n1.000 UL\nLT5\nLT5\n1860 2909
      M\n106 -134 V\n1.000 UL\nLT5\nLT5\n5199 2754 M\n5054 2633 L\n1.000
      UL\nLT5\nLT5\n4854 2593 M\n200 40 V\n1.000 UL\nLT5\nLT5\n1399 3157
      M\n-270 87 V\n1.000 UL\nLT5\nLT5\n4337 1298 M\n26 -185 V\n1.000
      UL\nLT5\nLT5\n4768 1043 M\n-405 70 V\n1.000 UL\nLT5\nLT5\n4728 1239
      M\n40 -196 V\n1.000 UL\nLT5\nLT5\n4728 1239 M\n-391 59 V\n1.000
      UL\nLT5\nLT5\n4564 2561 M\n-125 -87 V\n1.000 UL\nLT5\nLT5\n2289 4116
      M\n238 -153 V\n1.000 UL\nLT5\nLT5\n2354 3925 M\n173 38 V\n1.000
      UL\nLT5\nLT5\n2354 3925 M\n329 -216 V\n1.000 UL\nLT5\nLT5\n2565 3646
      M\n118 63 V\n1.000 UL\nLT5\nLT5\n2078 4080 M\n211 36 V\n1.000
      UL\nLT5\nLT5\n2078 4080 M\n-187 88 V\n1.000 UL\nLT5\nLT5\n5446 3061
      M\n-64 -143 V\n1.000 UL\nLT5\nLT5\n5301 2895 M\n81 23 V\n1.000
      UL\nLT5\nLT5\n2272 2947 M\n47 -125 V\n1.000 UL\nLT5\nLT5\n1860 2909
      M\n459 -87 V\n1.000 UL\nLT5\nLT5\n3650 2804 M\n-2 -101 V\n1.000
      UL\nLT5\nLT5\n3957 2737 M\n-309 -34 V\n1.000 UL\nLT5\nLT5\n1399 3157
      M\n76 -161 V\n1.000 UL\nLT5\nLT5\n1860 2909 M\n-385 87 V\n1.000
      UL\nLT5\nLT5\n3936 2624 M\n-30 -91 V\n1.000 UL\nLT5\nLT5\n4231 2539
      M\n-325 -6 V\n1.000 UL\nLT5\nLT5\n3644 3328 M\n-3 79 V\n1.000
      UL\nLT5\nLT5\n3890 3617 M\n3641 3407 L\n1.000 UL\nLT5\nLT5\n1373 3323
      M\n-273 92 V\n1.000 UL\nLT5\nLT5\n1883 4010 M\n-211 93 V\n1.000
      UL\nLT5\nLT5\n2193 3856 M\n372 -210 V\n1.000 UL\nLT5\nLT5\n2461 3560
      M\n104 86 V\n1.000 UL\nLT5\nLT5\n1797 3055 M\n63 -146 V\n1.000
      UL\nLT5\nLT5\n5467 3209 M\n-21 -148 V\n1.000 UL\nLT5\nLT5\n5362 3050
      M\n84 11 V\n1.000 UL\nLT5\nLT5\n1394 3488 M\n-270 95 V\n1.000
      UL\nLT5\nLT5\n1883 4010 M\n195 70 V\n1.000 UL\nLT5\nLT5\n2354 3925
      M\n-276 155 V\n1.000 UL\nLT5\nLT5\n4060 3911 M\n-75 19 V\n1.000
      UL\nLT5\nLT5\n4187 4035 M\n3985 3930 L\n1.000 UL\nLT5\nLT5\n2257 3078
      M\n15 -131 V\n1.000 UL\nLT5\nLT5\n1797 3055 M\n475 -108 V\n1.000
      UL\nLT5\nLT5\n2193 3856 M\n161 69 V\n1.000 UL\nLT5\nLT5\n1710 3912
      M\n-231 95 V\n1.000 UL\nLT5\nLT5\n3859 3692 M\n-34 49 V\n1.000
      UL\nLT5\nLT5\n4060 3911 M\n3825 3741 L\n1.000 UL\nLT5\nLT5\n3650 2912
      M\n0 -108 V\n1.000 UL\nLT5\nLT5\n3969 2864 M\n-319 -60 V\n1.000
      UL\nLT5\nLT5\n4187 4035 M\n175 39 V\n1.000 UL\nLT5\nLT5\n4512 4060
      M\n-150 14 V\n1.000 UL\nLT5\nLT5\n3647 3235 M\n-3 93 V\n1.000
      UL\nLT5\nLT5\n3918 3519 M\n3644 3328 L\n1.000 UL\nLT5\nLT5\n1461 3645
      M\n-262 97 V\n1.000 UL\nLT5\nLT5\n1568 3788 M\n-249 97 V\n1.000
      UL\nLT5\nLT5\n1373 3323 M\n26 -166 V\n1.000 UL\nLT5\nLT5\n1797 3055
      M\n-398 102 V\n1.000 UL\nLT5\nLT5\n4979 2714 M\n4854 2593 L\n1.000
      UL\nLT5\nLT5\n4564 2561 M\n290 32 V\n1.000 UL\nLT5\nLT5\n5301 2895
      M\n5199 2754 L\n1.000 UL\nLT5\nLT5\n4979 2714 M\n220 40 V\n1.000
      UL\nLT5\nLT5\n4512 4060 M\n145 -26 V\n1.000 UL\nLT5\nLT5\n4824 3990
      M\n-167 44 V\n1.000 UL\nLT5\nLT5\n2052 3760 M\n409 -200 V\n1.000
      UL\nLT5\nLT5\n2375 3456 M\n86 104 V\n1.000 UL\nLT5\nLT5\n4302 4018
      M\n-115 17 V\n1.000 UL\nLT5\nLT5\n5449 3357 M\n18 -148 V\n1.000
      UL\nLT5\nLT5\n5382 3212 M\n85 -3 V\n1.000 UL\nLT5\nLT5\n3650 3023 M\n0
      -111 V\n1.000 UL\nLT5\nLT5\n3973 2999 M\n-323 -87 V\n1.000
      UL\nLT5\nLT5\n3649 3132 M\n-2 103 V\n1.000 UL\nLT5\nLT5\n3942 3404
      M\n3647 3235 L\n1.000 UL\nLT5\nLT5\n2270 3209 M\n-13 -131 V\n1.000
      UL\nLT5\nLT5\n1775 3208 M\n482 -130 V\n1.000 UL\nLT5\nLT5\n5115 3807
      M\n72 -65 V\n1.000 UL\nLT5\nLT5\n5305 3628 M\n-118 114 V\n1.000
      UL\nLT5\nLT5\n4293 2645 M\n-62 -106 V\n1.000 UL\nLT5\nLT5\n4564 2561
      M\n-333 -22 V\n1.000 UL\nLT5\nLT5\n1710 3912 M\n173 98 V\n1.000
      UL\nLT5\nLT5\n2193 3856 M\n-310 154 V\n1.000 UL\nLT5\nLT5\n1775 3208
      M\n22 -153 V\n1.000 UL\nLT5\nLT5\n3649 3132 M\n1 -109 V\n1.000
      UL\nLT5\nLT5\n3970 3138 M\n3650 3023 L\n1.000 UL\nLT5\nLT5\n3959 3275
      M\n3649 3132 L\n1.000 UL\nLT5\nLT5\n1935 3642 M\n440 -186 V\n1.000
      UL\nLT5\nLT5\n2310 3337 M\n65 119 V\n1.000 UL\nLT5\nLT5\n2052 3760
      M\n141 96 V\n1.000 UL\nLT5\nLT5\n5394 3498 M\n55 -141 V\n1.000
      UL\nLT5\nLT5\n5365 3376 M\n84 -19 V\n1.000 UL\nLT5\nLT5\n2310 3337
      M\n-40 -128 V\n1.000 UL\nLT5\nLT5\n1793 3360 M\n477 -151 V\n1.000
      UL\nLT5\nLT5\n3957 2737 M\n-21 -113 V\n1.000 UL\nLT5\nLT5\n4293 2645
      M\n-357 -21 V\n1.000 UL\nLT5\nLT5\n5228 3679 M\n77 -51 V\n1.000
      UL\nLT5\nLT5\n5394 3498 M\n-89 130 V\n1.000 UL\nLT5\nLT5\n4660 2676
      M\n-96 -115 V\n1.000 UL\nLT5\nLT5\n1394 3488 M\n-21 -165 V\n1.000
      UL\nLT5\nLT5\n1775 3208 M\n-402 115 V\n1.000 UL\nLT5\nLT5\n1848 3507
      M\n462 -170 V\n1.000 UL\nLT5\nLT5\n5312 3533 M\n82 -35 V\n1.000
      UL\nLT5\nLT5\n1568 3788 M\n142 124 V\n1.000 UL\nLT5\nLT5\n2052 3760
      M\n-342 152 V\n1.000 UL\nLT5\nLT5\n3890 3617 M\n-31 75 V\n1.000
      UL\nLT5\nLT5\n4132 3857 M\n3859 3692 L\n1.000 UL\nLT5\nLT5\n1461 3645
      M\n-67 -157 V\n1.000 UL\nLT5\nLT5\n1793 3360 M\n-399 128 V\n1.000
      UL\nLT5\nLT5\n1793 3360 M\n-18 -152 V\n1.000 UL\nLT5\nLT5\n1935 3642
      M\n117 118 V\n1.000 UL\nLT5\nLT5\n4656 4009 M\n168 -19 V\n1.000
      UL\nLT5\nLT5\n4979 3913 M\n-155 77 V\n1.000 UL\nLT5\nLT5\n4132 3857
      M\n-72 54 V\n1.000 UL\nLT5\nLT5\n4302 4018 M\n4060 3911 L\n1.000
      UL\nLT5\nLT5\n1461 3645 M\n107 143 V\n1.000 UL\nLT5\nLT5\n1935 3642
      M\n-367 146 V\n1.000 UL\nLT5\nLT5\n5362 3050 M\n-61 -155 V\n1.000
      UL\nLT5\nLT5\n5067 2858 M\n234 37 V\n1.000 UL\nLT5\nLT5\n1848 3507
      M\n-387 138 V\n1.000 UL\nLT5\nLT5\n4302 4018 M\n210 42 V\n1.000
      UL\nLT5\nLT5\n4656 4009 M\n-144 51 V\n1.000 UL\nLT5\nLT5\n1848 3507
      M\n-55 -147 V\n1.000 UL\nLT5\nLT5\n1848 3507 M\n87 135 V\n1.000
      UL\nLT5\nLT5\n5067 2858 M\n-88 -144 V\n1.000 UL\nLT5\nLT5\n4660 2676
      M\n319 38 V\n1.000 UL\nLT5\nLT5\n4412 3963 M\n-110 55 V\n1.000
      UL\nLT5\nLT5\n3969 2864 M\n-12 -127 V\n1.000 UL\nLT5\nLT5\n4337 2774
      M\n-380 -37 V\n1.000 UL\nLT5\nLT5\n3918 3519 M\n-28 98 V\n1.000
      UL\nLT5\nLT5\n4199 3773 M\n3890 3617 L\n1.000 UL\nLT5\nLT5\n4337 2774
      M\n-44 -129 V\n1.000 UL\nLT5\nLT5\n4660 2676 M\n-367 -31 V\n1.000
      UL\nLT5\nLT5\n4790 3925 M\n189 -12 V\n1.000 UL\nLT5\nLT5\n5115 3807
      M\n-136 106 V\n1.000 UL\nLT5\nLT5\n5382 3212 M\n-20 -162 V\n1.000
      UL\nLT5\nLT5\n5120 3017 M\n242 33 V\n1.000 UL\nLT5\nLT5\n4728 2816
      M\n-68 -140 V\n1.000 UL\nLT5\nLT5\n4199 3773 M\n-67 84 V\n1.000
      UL\nLT5\nLT5\n4412 3963 M\n4132 3857 L\n1.000 UL\nLT5\nLT5\n4412 3963
      M\n244 46 V\n1.000 UL\nLT5\nLT5\n4790 3925 M\n-134 84 V\n1.000
      UL\nLT5\nLT5\n3973 2999 M\n-4 -135 V\n1.000 UL\nLT5\nLT5\n4363 2919
      M\n-394 -55 V\n1.000 UL\nLT5\nLT5\n4907 3811 M\n208 -4 V\n1.000
      UL\nLT5\nLT5\n5228 3679 M\n-113 128 V\n1.000 UL\nLT5\nLT5\n3942 3404
      M\n-24 115 V\n1.000 UL\nLT5\nLT5\n4257 3663 M\n3918 3519 L\n1.000
      UL\nLT5\nLT5\n5365 3376 M\n17 -164 V\n1.000 UL\nLT5\nLT5\n5138 3185
      M\n244 27 V\n1.000 UL\nLT5\nLT5\n5120 3017 M\n-53 -159 V\n1.000
      UL\nLT5\nLT5\n4728 2816 M\n339 42 V\n1.000 UL\nLT5\nLT5\n4515 3876
      M\n-103 87 V\n1.000 UL\nLT5\nLT5\n5004 3675 M\n224 4 V\n1.000
      UL\nLT5\nLT5\n5312 3533 M\n-84 146 V\n1.000 UL\nLT5\nLT5\n5312 3533
      M\n53 -157 V\n1.000 UL\nLT5\nLT5\n5123 3355 M\n242 21 V\n1.000
      UL\nLT5\nLT5\n3970 3138 M\n3 -139 V\n1.000 UL\nLT5\nLT5\n4372 3074
      M\n-399 -75 V\n1.000 UL\nLT5\nLT5\n3959 3275 M\n-17 129 V\n1.000
      UL\nLT5\nLT5\n4306 3533 M\n3942 3404 L\n1.000 UL\nLT5\nLT5\n4363 2919
      M\n-26 -145 V\n1.000 UL\nLT5\nLT5\n4728 2816 M\n-391 -42 V\n1.000
      UL\nLT5\nLT5\n5077 3521 M\n235 12 V\n1.000 UL\nLT5\nLT5\n3959 3275
      M\n11 -137 V\n1.000 UL\nLT5\nLT5\n4365 3232 M\n-395 -94 V\n1.000
      UL\nLT5\nLT5\n4515 3876 M\n275 49 V\n1.000 UL\nLT5\nLT5\n4907 3811
      M\n-117 114 V\n1.000 UL\nLT5\nLT5\n4342 3387 M\n3959 3275 L\n1.000
      UL\nLT5\nLT5\n4257 3663 M\n-58 110 V\n1.000 UL\nLT5\nLT5\n4515 3876
      M\n4199 3773 L\n1.000 UL\nLT5\nLT5\n4768 2972 M\n-40 -156 V\n1.000
      UL\nLT5\nLT5\n5138 3185 M\n-18 -168 V\n1.000 UL\nLT5\nLT5\n4768 2972
      M\n352 45 V\n1.000 UL\nLT5\nLT5\n4605 3761 M\n-90 115 V\n1.000
      UL\nLT5\nLT5\n4372 3074 M\n-9 -155 V\n1.000 UL\nLT5\nLT5\n4768 2972
      M\n-405 -53 V\n1.000 UL\nLT5\nLT5\n4605 3761 M\n302 50 V\n1.000
      UL\nLT5\nLT5\n5004 3675 M\n-97 136 V\n1.000 UL\nLT5\nLT5\n4306 3533
      M\n-49 130 V\n1.000 UL\nLT5\nLT5\n4605 3761 M\n-348 -98 V\n1.000
      UL\nLT5\nLT5\n5123 3355 M\n15 -170 V\n1.000 UL\nLT5\nLT5\n4782 3137
      M\n356 48 V\n1.000 UL\nLT5\nLT5\n4782 3137 M\n-14 -165 V\n1.000
      UL\nLT5\nLT5\n4679 3624 M\n325 51 V\n1.000 UL\nLT5\nLT5\n5077 3521
      M\n-73 154 V\n1.000 UL\nLT5\nLT5\n4365 3232 M\n7 -158 V\n1.000
      UL\nLT5\nLT5\n4782 3137 M\n-410 -63 V\n1.000 UL\nLT5\nLT5\n4679 3624
      M\n-74 137 V\n1.000 UL\nLT5\nLT5\n5077 3521 M\n46 -166 V\n1.000
      UL\nLT5\nLT5\n4770 3305 M\n353 50 V\n1.000 UL\nLT5\nLT5\n4342 3387
      M\n-36 146 V\n1.000 UL\nLT5\nLT5\n4679 3624 M\n-373 -91 V\n1.000
      UL\nLT5\nLT5\n4735 3470 M\n342 51 V\n1.000 UL\nLT5\nLT5\n4342 3387
      M\n23 -155 V\n1.000 UL\nLT5\nLT5\n4770 3305 M\n-405 -73 V\n1.000
      UL\nLT5\nLT5\n4735 3470 M\n-393 -83 V\n1.000 UL\nLT5\nLT5\n4770 3305
      M\n12 -168 V\n1.000 UL\nLT5\nLT5\n4735 3470 M\n-56 154 V\n1.000
      UL\nLT5\nLT5\n4735 3470 M\n35 -165 V\n1.000 UL\nLT5\n1.000
      UP\nstroke\ngrestore\nend\nshowpage\n%%Trailer\n%%DocumentFonts:
      Helvetica\n>|ps>||||||>

      \;
    </output>

    <\input|GNUplot] >
      \;
    </input>
  </session>

  <section| Conclusions>

  From user's view, plenty of packages can be used is a good news. But in
  practical, users are not necessary to learn all the syntaxes of different
  tools. Just focus on how to solve the problems. For example, there are
  maxima, octave and Scilab etc. many CAS softwares famous for their
  facilities to solve mathematical problems. Maxima and Yacas are known due
  to symbolic computing ability but only supports few basic function, and
  others are famous for their portable syntaxes (like propriety software,
  Matlab or Maple) and many, many functions but without symbolic ability.
  \ With the help of <TeXmacs>, we can solve right problems by using suitable
  tools. We will introduce other softwares in the latter chapters.

  \;

  Among the tools packages in Linux we introduce in <TeXmacs> environment
  here, some experiences have to be kept in mind:

  <\expand|enumerate-roman>
    <item>Maxima and Yacas are the powerful softwares for symbolic
    calculation;

    <item>Gnuplot and other CAS's can used to plot the graphs in 2D, 3D and
    scientific data plots. But the Gnuplot is the best recommended software
    since the graph that it generates can be directly embedded into the
    worksheet in <TeXmacs>.

    <item>Also there are many powerful softwares with numerical abilities in
    Linux world, for example: Octave, Lab, Scilab and R (check your "session
    options" or the <TeXmacs>_INSTALL/lib exec). But Scilab owns its
    "terminal session" which is not easily embedded into the <TeXmacs>,
    Octave is the best choice due to its full accessibility.

    <item>Output format: Postscript format is the best choice as above
    mentioned. For the Windows user and not heard about this format, HTML
    format may be the suitable one. But for mathematical document, it is may
    be a bad news that directly output the HTML from <TeXmacs> is generally
    non-satisfied. If you want to generate HTML files, <LaTeX>2html maybe
    have some help. Consider to export <LaTeX> format from <TeXmacs> and use
    the following latex2html command to translate <TeX> file into HTML and
    picture files:

    <\code>
      \<gtr\> latex2html -nonavigation -split 0 filename.tex
    </code>

    if you want only one HTML file with picture files without navigation
    icons. Suppose that there are plenty of pictures generated by CAS's in
    your <TeXmacs> file, some modifications have to be made by your hand. The
    reason is that no PS Tricks implement yet in latex2html and this is just
    the <TeX> package used by <TeXmacs> to make in-line Postscript graphs.
    First capture the pictures by picture capture program, e.g. ksnapshot or
    GIMP, by CAS's in another xterm and save it as eps format. Then edit the
    <LaTeX> file, removing all lines including "cat code
    <with|mode|math|\<cdots\>>" in presume part and adding the eps graphs as
    follows : \ 

    <\verbatim>
      <with|mode|math|\<backslash\>>document[12pt]{article}

      <with|mode|math|\<backslash\>>package[dvips]{graphics}

      \ \ \ <with|mode|math|\<cdots\>>

      % remove all the line beginning with "catcode"

      \ \ \ <with|mode|math|\<cdots\>>\ 

      <with|mode|math|\<backslash\>>begin{document}

      \ \ \ <with|mode|math|\<cdots\>>

      <with|mode|math|\<backslash\>>begin{center}

      \ \ <with|mode|math|\<backslash\>>resizebox{150mm}{!}{<with|mode|math|\<backslash\>>includegraphics{picture.eps}}

      <with|mode|math|\<backslash\>>end{center}

      \ \ \ <with|mode|math|\<cdots\>>

      <with|mode|math|\<backslash\>>end{document}
    </verbatim>

    Mainly, add the graphics package and use
    <with|mode|math|\<backslash\>>include graphics{} to put the graph. And
    use above latex2html commands to translate the contents. The directory
    named by its filename will be created with HTML file, and png files.
  </expand>

  Hope this mini introduction help everybody. Any question or comment email:

  <hlink|cchuang@mail.cgu.edu.tw|>

  <\strong>
    Resources:<strong|>
  </strong>

  <\expand|enumerate-numeric>
    <item><TeXmacs>: There is a excellent on-line document in
    <with|color|red|[Help]> <with|mode|math|option>.

    <item>Maxima: After installing maxima, <em|maxima> with text-based
    interface and Maxima with graphical user interface will be installed. And
    the full documents and demo's will be put in the directory,
    /usr/local/share/maxima/.

    <item>Gnuplot: No document has been installed after installing this
    package. Reference the official web-site:
    <hlink|HTTP://www.gnuplot.info|> for more relative topics and also visit
    the graph gallary: <hlink|http://ayapin.firm.s.dendai.ac.jp/~matuda/Gnuplot/pm3d.html|>

    <item>Octave: download site at <hlink|http://octave.sf.net|>

    <item><LaTeX>2html: download site at <hlink|http://www.latex2html.org|>
  </expand>

  <\note>
    \ Solutions for the exercises:

    <\session|gnuplot|default>
      <\output>
        This is a TeXmacs interface for GNUplot.

        \;
      </output>

      <\input|GNUplot] >
        plot x**2+3*x-2
      </input>

      <\output>
        <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
        temp.eps\n%%Creator: gnuplot 3.8h patchlevel 0\n%%CreationDate: Sat
        Apr \ 5 19:52:55 2003\n%%DocumentFonts: (atend)\n%%BoundingBox: 50 50
        410 302\n%%Orientation: Portrait\n%%EndComments\n/gnudict 256 dict
        def\ngnudict begin\n/Color false def\n/Solid false def\n/gnulinewidth
        5.000 def\n/userlinewidth gnulinewidth def\n/vshift -46 def\n/dl
        {10.0 mul} def\n/hpt_ 31.5 def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt
        vpt_ def\n/M {moveto} bind def\n/L {lineto} bind def\n/R {rmoveto}
        bind def\n/V {rlineto} bind def\n/N {newpath moveto} bind def\n/f
        {rlineto fill} bind def\n/vpt2 vpt 2 mul def\n/hpt2 hpt 2 mul
        def\n/Lshow { currentpoint stroke M\n \ 0 vshift R show } def\n/Rshow
        { currentpoint stroke M\n \ dup stringwidth pop neg vshift R show }
        def\n/Cshow { currentpoint stroke M\n \ dup stringwidth pop -2 div
        vshift R show } def\n/UP { dup vpt_ mul /vpt exch def hpt_ mul /hpt
        exch def\n \ /hpt2 hpt 2 mul def /vpt2 vpt 2 mul def } def\n/DL {
        Color {setrgbcolor Solid {pop []} if 0 setdash }\n {pop pop pop Solid
        {pop []} if 0 setdash} ifelse } def\n/BL { stroke userlinewidth 2 mul
        setlinewidth } def\n/AL { stroke userlinewidth 2 div setlinewidth }
        def\n/UL { dup gnulinewidth mul /userlinewidth exch def\n
        \ \ \ \ \ dup 1 lt {pop 1} if 10 mul /udl exch def } def\n/PL {
        stroke userlinewidth setlinewidth } def\n/LTb { BL [] 0 0 0 DL }
        def\n/LTa { AL [1 udl mul 2 udl mul] 0 setdash 0 0 0 setrgbcolor }
        def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 { PL [4 dl 2 dl] 0 1 0 DL }
        def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL } def\n/LT3 { PL [1 dl 1.5 dl] 1
        0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl 2 dl] 0 1 1 DL } def\n/LT5 {
        PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL } def\n/LT6 { PL [2 dl 2 dl 2 dl 4
        dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 4 dl] 1 0.3 0
        DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 4 dl] 0.5 0.5
        0.5 DL } def\n/Pnt { stroke [] 0 setdash\n \ \ gsave 1 setlinecap M 0
        0 V stroke grestore } def\n/Dia { stroke [] 0 setdash 2 copy vpt add
        M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V
        closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0 setdash vpt sub M
        0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg R hpt2 0 V
        stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt sub exch
        vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
        closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt
        sub exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2
        neg 0 R hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy
        vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n
        \ hpt neg vpt 1.62 mul V closepath stroke\n \ Pnt \ } def\n/Star { 2
        copy Pls Crs } def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt
        add M\n \ 0 vpt2 neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V
        \ closepath fill } def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add
        M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62
        mul V closepath fill } def\n/TriD { stroke [] 0 setdash 2 copy vpt
        1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt
        neg vpt -1.62 mul V closepath stroke\n \ Pnt \ } def\n/TriDF { stroke
        [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2
        mul 0 V\n \ hpt neg vpt -1.62 mul V closepath fill} def\n/DiaF {
        stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n
        \ hpt vpt V hpt neg vpt V closepath fill } def\n/Pent { stroke [] 0
        setdash 2 copy gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
        repeat\n \ closepath stroke grestore Pnt } def\n/PentF { stroke [] 0
        setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ closepath fill grestore } def\n/Circle { stroke [] 0 setdash 2
        copy\n \ hpt 0 360 arc stroke Pnt } def\n/CircleF { stroke [] 0
        setdash hpt 0 360 arc fill } def\n/C0 { BL [] 0 setdash 2 copy moveto
        vpt 90 450 \ arc } bind def\n/C1 { BL [] 0 setdash 2 copy
        \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc closepath
        fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
        def\n/C2 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        90 180 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
        closepath } bind def\n/C3 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 0 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C4 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 180 270 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
        } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
        \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc } bind def\n/C6 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
        copy \ vpt 90 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt
        0 360 arc closepath } bind def\n/C7 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ 2 copy \ vpt 0 270 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C8 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt 270 360 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
        bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy
        \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
        360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
        moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
        \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11
        { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13
        { BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
        setdash 2 copy vpt 0 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
        \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
        \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
        bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
        def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
        bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
        def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
        Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch
        vpt2 vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy
        exch vpt sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 {
        BL [] 0 setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt
        sub exch vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare }
        bind def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt
        vpt2 Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub
        vpt Square fill Bsquare } bind def\n/S9 { BL [] 0 setdash 2 copy vpt
        sub vpt vpt2 Rec fill Bsquare } bind def\n/S10 { BL [] 0 setdash 2
        copy vpt sub vpt Square fill 2 copy exch vpt sub exch vpt Square
        fill\n \ \ \ \ \ \ Bsquare } bind def\n/S11 { BL [] 0 setdash 2 copy
        vpt sub vpt Square fill 2 copy exch vpt sub exch vpt2 vpt Rec fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S12 { BL [] 0 setdash 2 copy exch
        vpt sub exch vpt sub vpt2 vpt Rec fill Bsquare } bind def\n/S13 { BL
        [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy vpt Square fill Bsquare } bind def\n/S14 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square fill Bsquare } bind
        def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill Bsquare } bind
        def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke grestore } bind
        def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke grestore } bind
        def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke grestore } bind
        def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke grestore } bind
        def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke grestore } bind
        def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke grestore } bind
        def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke grestore } bind
        def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke grestore } bind
        def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke grestore } bind
        def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke grestore } bind
        def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke grestore } bind
        def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke grestore } bind
        def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke grestore } bind
        def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke grestore } bind
        def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke grestore } bind
        def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke grestore } bind
        def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt
        vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke } def\n/BoxE {
        stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2
        0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE { stroke
        [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2
        mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke } def\n/TriDE {
        stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
        \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath stroke }
        def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72
        rotate 0 hpt L} repeat\n \ closepath stroke grestore } def\n/CircE {
        stroke [] 0 setdash \n \ hpt 0 360 arc stroke } def\n/Opaque { gsave
        closepath 1 setgray fill grestore 0 setgray closepath } def\n/DiaW {
        stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n
        \ hpt vpt V hpt neg vpt V Opaque stroke } def\n/BoxW { stroke [] 0
        setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2
        V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW { stroke [] 0 setdash
        vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n
        \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW { stroke [] 0
        setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0
        V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW { stroke []
        0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash \n \ hpt
        0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray fill
        grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
        makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
        ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0
        get findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ]
        exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch
        4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n
        \ \ \ \ {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse}
        {dup 5\n \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get
        stringwidth pop -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop
        -2 div 0 R 6 get\n \ \ \ \ show 2 index {aload pop M neg 3 -1 roll
        neg R pop pop} {pop pop pop\n \ \ \ \ pop aload pop M} ifelse }ifelse
        }ifelse } forall} bind def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get
        findfont exch 1 get scalefont\n \ \ \ \ setfont 6 get stringwidth pop
        add} {pop} ifelse} forall} bind def\n/MLshow { currentpoint stroke
        M\n \ 0 exch R MFshow } bind def\n/MRshow { currentpoint stroke M\n
        \ exch dup MFwidth neg 3 -1 roll R MFshow } def\n/MCshow {
        currentpoint stroke M\n \ exch dup MFwidth -2 div 3 -1 roll R MFshow
        } def\nend\n%%EndProlog\ngnudict begin\ngsave\n50 50 translate\n0.050
        0.050 scale\n0 setgray\nnewpath\n(Helvetica) findfont 140 scalefont
        setfont\n1.000 UL\nLTb\n574 280 M\n63 0 V\n6325 0 R\n-63 0 V\n
        stroke\n490 280 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
        true 0 (-20)]\n] -46.7 MRshow\ngrestore\n574 854 M\n63 0 V\n6325 0
        R\n-63 0 V\n stroke\n490 854 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
        0.0 true true 0 ( 0)]\n] -46.7 MRshow\ngrestore\n574 1428 M\n63 0
        V\n6325 0 R\n-63 0 V\n stroke\n490 1428 M\ngsave 0 setgray\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 20)]\n] -46.7
        MRshow\ngrestore\n574 2002 M\n63 0 V\n6325 0 R\n-63 0 V\n stroke\n490
        2002 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (
        40)]\n] -46.7 MRshow\ngrestore\n574 2576 M\n63 0 V\n6325 0 R\n-63 0
        V\n stroke\n490 2576 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0
        true true 0 ( 60)]\n] -46.7 MRshow\ngrestore\n574 3150 M\n63 0
        V\n6325 0 R\n-63 0 V\n stroke\n490 3150 M\ngsave 0 setgray\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 80)]\n] -46.7
        MRshow\ngrestore\n574 3724 M\n63 0 V\n6325 0 R\n-63 0 V\n stroke\n490
        3724 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (
        100)]\n] -46.7 MRshow\ngrestore\n574 4298 M\n63 0 V\n6325 0 R\n-63 0
        V\n stroke\n490 4298 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0
        true true 0 ( 120)]\n] -46.7 MRshow\ngrestore\n574 4872 M\n63 0
        V\n6325 0 R\n-63 0 V\n stroke\n490 4872 M\ngsave 0 setgray\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 140)]\n] -46.7
        MRshow\ngrestore\n574 280 M\n0 63 V\n0 4529 R\n0 -63 V\n stroke\n574
        140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0
        (-10)]\n] -46.7 MCshow\ngrestore\n2171 280 M\n0 63 V\n0 4529 R\n0 -63
        V\n stroke\n2171 140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0
        true true 0 (-5)]\n] -46.7 MCshow\ngrestore\n3768 280 M\n0 63 V\n0
        4529 R\n0 -63 V\n stroke\n3768 140 M\ngsave 0 setgray\n[ [(Helvetica)
        140.0 0.0 true true 0 ( 0)]\n] -46.7 MCshow\ngrestore\n5365 280 M\n0
        63 V\n0 4529 R\n0 -63 V\n stroke\n5365 140 M\ngsave 0 setgray\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 5)]\n] -46.7
        MCshow\ngrestore\n6962 280 M\n0 63 V\n0 4529 R\n0 -63 V\n
        stroke\n6962 140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
        true 0 ( 10)]\n] -46.7 MCshow\ngrestore\n1.000 UL\nLTb\n574 280
        M\n6388 0 V\n0 4592 V\n-6388 0 V\n574 280 L\n1.000 UP\n1.000
        UL\nLT0\n6311 4739 M\ngsave 0 setgray\n(x**2+3*x-2)
        Rshow\ngrestore\n6395 4739 M\n399 0 V\n574 2806 M\n65 -98 V\n64 -95
        V\n65 -93 V\n64 -90 V\n65 -88 V\n64 -86 V\n65 -83 V\n64 -81 V\n65 -79
        V\n64 -76 V\n65 -74 V\n64 -72 V\n65 -69 V\n64 -67 V\n65 -64 V\n64 -63
        V\n65 -60 V\n64 -57 V\n65 -55 V\n65 -53 V\n64 -51 V\n65 -48 V\n64 -46
        V\n65 -43 V\n64 -41 V\n65 -39 V\n64 -37 V\n65 -34 V\n64 -32 V\n65 -29
        V\n64 -27 V\n65 -25 V\n64 -23 V\n65 -20 V\n64 -17 V\n65 -16 V\n64 -13
        V\n65 -11 V\n64 -8 V\n65 -6 V\n65 -4 V\n64 -1 V\n65 1 V\n64 3 V\n65 6
        V\n64 8 V\n65 10 V\n64 13 V\n65 15 V\n64 18 V\n65 19 V\n64 22 V\n65
        25 V\n64 27 V\n65 29 V\n64 31 V\n65 34 V\n64 36 V\n65 39 V\n65 40
        V\n64 44 V\n65 45 V\n64 48 V\n65 50 V\n64 53 V\n65 54 V\n64 58 V\n65
        59 V\n64 62 V\n65 64 V\n64 67 V\n65 69 V\n64 71 V\n65 74 V\n64 76
        V\n65 78 V\n64 81 V\n65 83 V\n64 85 V\n65 88 V\n65 90 V\n64 92 V\n65
        95 V\n64 97 V\n65 99 V\n64 102 V\n65 104 V\n64 106 V\n65 109 V\n64
        111 V\n65 114 V\n64 116 V\n65 118 V\n64 120 V\n65 123 V\n64 125 V\n65
        128 V\n64 129 V\n65 133 V\n1.000 UP\nstroke\ngrestore\nend\nshowpage\n%%Trailer\n%%DocumentFonts:
        Helvetica\n>|ps>||||||>

        \;
      </output>

      <\input|GNUplot] >
        plot (x**2+1)/(x**4+x**2+1)
      </input>

      <\output>
        <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
        temp.eps\n%%Creator: gnuplot 3.8h patchlevel 0\n%%CreationDate: Sat
        Apr \ 5 19:52:58 2003\n%%DocumentFonts: (atend)\n%%BoundingBox: 50 50
        410 302\n%%Orientation: Portrait\n%%EndComments\n/gnudict 256 dict
        def\ngnudict begin\n/Color false def\n/Solid false def\n/gnulinewidth
        5.000 def\n/userlinewidth gnulinewidth def\n/vshift -46 def\n/dl
        {10.0 mul} def\n/hpt_ 31.5 def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt
        vpt_ def\n/M {moveto} bind def\n/L {lineto} bind def\n/R {rmoveto}
        bind def\n/V {rlineto} bind def\n/N {newpath moveto} bind def\n/f
        {rlineto fill} bind def\n/vpt2 vpt 2 mul def\n/hpt2 hpt 2 mul
        def\n/Lshow { currentpoint stroke M\n \ 0 vshift R show } def\n/Rshow
        { currentpoint stroke M\n \ dup stringwidth pop neg vshift R show }
        def\n/Cshow { currentpoint stroke M\n \ dup stringwidth pop -2 div
        vshift R show } def\n/UP { dup vpt_ mul /vpt exch def hpt_ mul /hpt
        exch def\n \ /hpt2 hpt 2 mul def /vpt2 vpt 2 mul def } def\n/DL {
        Color {setrgbcolor Solid {pop []} if 0 setdash }\n {pop pop pop Solid
        {pop []} if 0 setdash} ifelse } def\n/BL { stroke userlinewidth 2 mul
        setlinewidth } def\n/AL { stroke userlinewidth 2 div setlinewidth }
        def\n/UL { dup gnulinewidth mul /userlinewidth exch def\n
        \ \ \ \ \ dup 1 lt {pop 1} if 10 mul /udl exch def } def\n/PL {
        stroke userlinewidth setlinewidth } def\n/LTb { BL [] 0 0 0 DL }
        def\n/LTa { AL [1 udl mul 2 udl mul] 0 setdash 0 0 0 setrgbcolor }
        def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 { PL [4 dl 2 dl] 0 1 0 DL }
        def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL } def\n/LT3 { PL [1 dl 1.5 dl] 1
        0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl 2 dl] 0 1 1 DL } def\n/LT5 {
        PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL } def\n/LT6 { PL [2 dl 2 dl 2 dl 4
        dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 4 dl] 1 0.3 0
        DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 4 dl] 0.5 0.5
        0.5 DL } def\n/Pnt { stroke [] 0 setdash\n \ \ gsave 1 setlinecap M 0
        0 V stroke grestore } def\n/Dia { stroke [] 0 setdash 2 copy vpt add
        M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V
        closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0 setdash vpt sub M
        0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg R hpt2 0 V
        stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt sub exch
        vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
        closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt
        sub exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2
        neg 0 R hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy
        vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n
        \ hpt neg vpt 1.62 mul V closepath stroke\n \ Pnt \ } def\n/Star { 2
        copy Pls Crs } def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt
        add M\n \ 0 vpt2 neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V
        \ closepath fill } def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add
        M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62
        mul V closepath fill } def\n/TriD { stroke [] 0 setdash 2 copy vpt
        1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt
        neg vpt -1.62 mul V closepath stroke\n \ Pnt \ } def\n/TriDF { stroke
        [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2
        mul 0 V\n \ hpt neg vpt -1.62 mul V closepath fill} def\n/DiaF {
        stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n
        \ hpt vpt V hpt neg vpt V closepath fill } def\n/Pent { stroke [] 0
        setdash 2 copy gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
        repeat\n \ closepath stroke grestore Pnt } def\n/PentF { stroke [] 0
        setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ closepath fill grestore } def\n/Circle { stroke [] 0 setdash 2
        copy\n \ hpt 0 360 arc stroke Pnt } def\n/CircleF { stroke [] 0
        setdash hpt 0 360 arc fill } def\n/C0 { BL [] 0 setdash 2 copy moveto
        vpt 90 450 \ arc } bind def\n/C1 { BL [] 0 setdash 2 copy
        \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc closepath
        fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
        def\n/C2 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        90 180 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
        closepath } bind def\n/C3 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 0 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C4 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 180 270 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
        } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
        \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc } bind def\n/C6 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
        copy \ vpt 90 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt
        0 360 arc closepath } bind def\n/C7 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ 2 copy \ vpt 0 270 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C8 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt 270 360 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
        bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy
        \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
        360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
        moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
        \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11
        { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13
        { BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
        setdash 2 copy vpt 0 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
        \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
        \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
        bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
        def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
        bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
        def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
        Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch
        vpt2 vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy
        exch vpt sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 {
        BL [] 0 setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt
        sub exch vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare }
        bind def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt
        vpt2 Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub
        vpt Square fill Bsquare } bind def\n/S9 { BL [] 0 setdash 2 copy vpt
        sub vpt vpt2 Rec fill Bsquare } bind def\n/S10 { BL [] 0 setdash 2
        copy vpt sub vpt Square fill 2 copy exch vpt sub exch vpt Square
        fill\n \ \ \ \ \ \ Bsquare } bind def\n/S11 { BL [] 0 setdash 2 copy
        vpt sub vpt Square fill 2 copy exch vpt sub exch vpt2 vpt Rec fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S12 { BL [] 0 setdash 2 copy exch
        vpt sub exch vpt sub vpt2 vpt Rec fill Bsquare } bind def\n/S13 { BL
        [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy vpt Square fill Bsquare } bind def\n/S14 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square fill Bsquare } bind
        def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill Bsquare } bind
        def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke grestore } bind
        def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke grestore } bind
        def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke grestore } bind
        def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke grestore } bind
        def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke grestore } bind
        def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke grestore } bind
        def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke grestore } bind
        def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke grestore } bind
        def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke grestore } bind
        def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke grestore } bind
        def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke grestore } bind
        def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke grestore } bind
        def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke grestore } bind
        def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke grestore } bind
        def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke grestore } bind
        def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke grestore } bind
        def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt
        vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke } def\n/BoxE {
        stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2
        0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE { stroke
        [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2
        mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke } def\n/TriDE {
        stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
        \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath stroke }
        def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72
        rotate 0 hpt L} repeat\n \ closepath stroke grestore } def\n/CircE {
        stroke [] 0 setdash \n \ hpt 0 360 arc stroke } def\n/Opaque { gsave
        closepath 1 setgray fill grestore 0 setgray closepath } def\n/DiaW {
        stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n
        \ hpt vpt V hpt neg vpt V Opaque stroke } def\n/BoxW { stroke [] 0
        setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2
        V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW { stroke [] 0 setdash
        vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n
        \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW { stroke [] 0
        setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0
        V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW { stroke []
        0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash \n \ hpt
        0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray fill
        grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
        makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
        ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0
        get findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ]
        exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch
        4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n
        \ \ \ \ {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse}
        {dup 5\n \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get
        stringwidth pop -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop
        -2 div 0 R 6 get\n \ \ \ \ show 2 index {aload pop M neg 3 -1 roll
        neg R pop pop} {pop pop pop\n \ \ \ \ pop aload pop M} ifelse }ifelse
        }ifelse } forall} bind def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get
        findfont exch 1 get scalefont\n \ \ \ \ setfont 6 get stringwidth pop
        add} {pop} ifelse} forall} bind def\n/MLshow { currentpoint stroke
        M\n \ 0 exch R MFshow } bind def\n/MRshow { currentpoint stroke M\n
        \ exch dup MFwidth neg 3 -1 roll R MFshow } def\n/MCshow {
        currentpoint stroke M\n \ exch dup MFwidth -2 div 3 -1 roll R MFshow
        } def\nend\n%%EndProlog\ngnudict begin\ngsave\n50 50 translate\n0.050
        0.050 scale\n0 setgray\nnewpath\n(Helvetica) findfont 140 scalefont
        setfont\n1.000 UL\nLTb\n574 280 M\n63 0 V\n6325 0 R\n-63 0 V\n
        stroke\n490 280 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
        true 0 ( 0)]\n] -46.7 MRshow\ngrestore\n574 739 M\n63 0 V\n6325 0
        R\n-63 0 V\n stroke\n490 739 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
        0.0 true true 0 ( 0.1)]\n] -46.7 MRshow\ngrestore\n574 1198 M\n63 0
        V\n6325 0 R\n-63 0 V\n stroke\n490 1198 M\ngsave 0 setgray\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 0.2)]\n] -46.7
        MRshow\ngrestore\n574 1658 M\n63 0 V\n6325 0 R\n-63 0 V\n stroke\n490
        1658 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (
        0.3)]\n] -46.7 MRshow\ngrestore\n574 2117 M\n63 0 V\n6325 0 R\n-63 0
        V\n stroke\n490 2117 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0
        true true 0 ( 0.4)]\n] -46.7 MRshow\ngrestore\n574 2576 M\n63 0
        V\n6325 0 R\n-63 0 V\n stroke\n490 2576 M\ngsave 0 setgray\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 0.5)]\n] -46.7
        MRshow\ngrestore\n574 3035 M\n63 0 V\n6325 0 R\n-63 0 V\n stroke\n490
        3035 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (
        0.6)]\n] -46.7 MRshow\ngrestore\n574 3494 M\n63 0 V\n6325 0 R\n-63 0
        V\n stroke\n490 3494 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0
        true true 0 ( 0.7)]\n] -46.7 MRshow\ngrestore\n574 3954 M\n63 0
        V\n6325 0 R\n-63 0 V\n stroke\n490 3954 M\ngsave 0 setgray\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 0.8)]\n] -46.7
        MRshow\ngrestore\n574 4413 M\n63 0 V\n6325 0 R\n-63 0 V\n stroke\n490
        4413 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (
        0.9)]\n] -46.7 MRshow\ngrestore\n574 4872 M\n63 0 V\n6325 0 R\n-63 0
        V\n stroke\n490 4872 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0
        true true 0 ( 1)]\n] -46.7 MRshow\ngrestore\n574 280 M\n0 63 V\n0
        4529 R\n0 -63 V\n stroke\n574 140 M\ngsave 0 setgray\n[ [(Helvetica)
        140.0 0.0 true true 0 (-10)]\n] -46.7 MCshow\ngrestore\n2171 280 M\n0
        63 V\n0 4529 R\n0 -63 V\n stroke\n2171 140 M\ngsave 0 setgray\n[
        [(Helvetica) 140.0 0.0 true true 0 (-5)]\n] -46.7
        MCshow\ngrestore\n3768 280 M\n0 63 V\n0 4529 R\n0 -63 V\n
        stroke\n3768 140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
        true 0 ( 0)]\n] -46.7 MCshow\ngrestore\n5365 280 M\n0 63 V\n0 4529
        R\n0 -63 V\n stroke\n5365 140 M\ngsave 0 setgray\n[ [(Helvetica)
        140.0 0.0 true true 0 ( 5)]\n] -46.7 MCshow\ngrestore\n6962 280 M\n0
        63 V\n0 4529 R\n0 -63 V\n stroke\n6962 140 M\ngsave 0 setgray\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 10)]\n] -46.7
        MCshow\ngrestore\n1.000 UL\nLTb\n574 280 M\n6388 0 V\n0 4592 V\n-6388
        0 V\n574 280 L\n1.000 UP\n1.000 UL\nLT0\n6311 4739 M\ngsave 0
        setgray\n(\\(x**2+1\\)/\\(x**4+x**2+1\\)) Rshow\ngrestore\n6395 4739
        M\n399 0 V\n574 326 M\n65 2 V\n64 2 V\n65 2 V\n64 2 V\n65 3 V\n64 2
        V\n65 3 V\n64 3 V\n65 4 V\n64 3 V\n65 4 V\n64 4 V\n65 4 V\n64 5 V\n65
        5 V\n64 6 V\n65 6 V\n64 7 V\n65 8 V\n65 8 V\n64 9 V\n65 11 V\n64 11
        V\n65 13 V\n64 14 V\n65 16 V\n64 19 V\n65 21 V\n64 24 V\n65 28 V\n64
        32 V\n65 38 V\n64 45 V\n65 54 V\n64 65 V\n65 79 V\n64 97 V\n65 122
        V\n64 154 V\n65 197 V\n65 256 V\n64 333 V\n65 429 V\n64 534 V\n65 612
        V\n64 594 V\n65 430 V\n64 191 V\n65 35 V\n64 0 V\n65 -35 V\n64 -191
        V\n65 -430 V\n64 -594 V\n65 -612 V\n64 -534 V\n65 -429 V\n64 -333
        V\n65 -256 V\n65 -197 V\n64 -154 V\n65 -122 V\n64 -97 V\n65 -79 V\n64
        -65 V\n65 -54 V\n64 -45 V\n65 -38 V\n64 -32 V\n65 -28 V\n64 -24 V\n65
        -21 V\n64 -19 V\n65 -16 V\n64 -14 V\n65 -13 V\n64 -11 V\n65 -11 V\n64
        -9 V\n65 -8 V\n65 -8 V\n64 -7 V\n65 -6 V\n64 -6 V\n65 -5 V\n64 -5
        V\n65 -4 V\n64 -4 V\n65 -4 V\n64 -3 V\n65 -4 V\n64 -3 V\n65 -3 V\n64
        -2 V\n65 -3 V\n64 -2 V\n65 -2 V\n64 -2 V\n65 -2 V\n1.000
        UP\nstroke\ngrestore\nend\nshowpage\n%%Trailer\n%%DocumentFonts:
        Helvetica\n>|ps>||||||>

        \;
      </output>

      <\input|GNUplot] >
        plot sqrt(x**2+1)
      </input>

      <\output>
        <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
        temp.eps\n%%Creator: gnuplot 3.8h patchlevel 0\n%%CreationDate: Sat
        Apr \ 5 19:53:01 2003\n%%DocumentFonts: (atend)\n%%BoundingBox: 50 50
        410 302\n%%Orientation: Portrait\n%%EndComments\n/gnudict 256 dict
        def\ngnudict begin\n/Color false def\n/Solid false def\n/gnulinewidth
        5.000 def\n/userlinewidth gnulinewidth def\n/vshift -46 def\n/dl
        {10.0 mul} def\n/hpt_ 31.5 def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt
        vpt_ def\n/M {moveto} bind def\n/L {lineto} bind def\n/R {rmoveto}
        bind def\n/V {rlineto} bind def\n/N {newpath moveto} bind def\n/f
        {rlineto fill} bind def\n/vpt2 vpt 2 mul def\n/hpt2 hpt 2 mul
        def\n/Lshow { currentpoint stroke M\n \ 0 vshift R show } def\n/Rshow
        { currentpoint stroke M\n \ dup stringwidth pop neg vshift R show }
        def\n/Cshow { currentpoint stroke M\n \ dup stringwidth pop -2 div
        vshift R show } def\n/UP { dup vpt_ mul /vpt exch def hpt_ mul /hpt
        exch def\n \ /hpt2 hpt 2 mul def /vpt2 vpt 2 mul def } def\n/DL {
        Color {setrgbcolor Solid {pop []} if 0 setdash }\n {pop pop pop Solid
        {pop []} if 0 setdash} ifelse } def\n/BL { stroke userlinewidth 2 mul
        setlinewidth } def\n/AL { stroke userlinewidth 2 div setlinewidth }
        def\n/UL { dup gnulinewidth mul /userlinewidth exch def\n
        \ \ \ \ \ dup 1 lt {pop 1} if 10 mul /udl exch def } def\n/PL {
        stroke userlinewidth setlinewidth } def\n/LTb { BL [] 0 0 0 DL }
        def\n/LTa { AL [1 udl mul 2 udl mul] 0 setdash 0 0 0 setrgbcolor }
        def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 { PL [4 dl 2 dl] 0 1 0 DL }
        def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL } def\n/LT3 { PL [1 dl 1.5 dl] 1
        0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl 2 dl] 0 1 1 DL } def\n/LT5 {
        PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL } def\n/LT6 { PL [2 dl 2 dl 2 dl 4
        dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 4 dl] 1 0.3 0
        DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 4 dl] 0.5 0.5
        0.5 DL } def\n/Pnt { stroke [] 0 setdash\n \ \ gsave 1 setlinecap M 0
        0 V stroke grestore } def\n/Dia { stroke [] 0 setdash 2 copy vpt add
        M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V
        closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0 setdash vpt sub M
        0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg R hpt2 0 V
        stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt sub exch
        vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
        closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt
        sub exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2
        neg 0 R hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy
        vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n
        \ hpt neg vpt 1.62 mul V closepath stroke\n \ Pnt \ } def\n/Star { 2
        copy Pls Crs } def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt
        add M\n \ 0 vpt2 neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V
        \ closepath fill } def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add
        M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62
        mul V closepath fill } def\n/TriD { stroke [] 0 setdash 2 copy vpt
        1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt
        neg vpt -1.62 mul V closepath stroke\n \ Pnt \ } def\n/TriDF { stroke
        [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2
        mul 0 V\n \ hpt neg vpt -1.62 mul V closepath fill} def\n/DiaF {
        stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n
        \ hpt vpt V hpt neg vpt V closepath fill } def\n/Pent { stroke [] 0
        setdash 2 copy gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
        repeat\n \ closepath stroke grestore Pnt } def\n/PentF { stroke [] 0
        setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ closepath fill grestore } def\n/Circle { stroke [] 0 setdash 2
        copy\n \ hpt 0 360 arc stroke Pnt } def\n/CircleF { stroke [] 0
        setdash hpt 0 360 arc fill } def\n/C0 { BL [] 0 setdash 2 copy moveto
        vpt 90 450 \ arc } bind def\n/C1 { BL [] 0 setdash 2 copy
        \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc closepath
        fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
        def\n/C2 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        90 180 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
        closepath } bind def\n/C3 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 0 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C4 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 180 270 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
        } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
        \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc } bind def\n/C6 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
        copy \ vpt 90 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt
        0 360 arc closepath } bind def\n/C7 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ 2 copy \ vpt 0 270 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C8 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt 270 360 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
        bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy
        \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
        360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
        moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
        \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11
        { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13
        { BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
        setdash 2 copy vpt 0 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
        \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
        \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
        bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
        def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
        bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
        def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
        Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch
        vpt2 vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy
        exch vpt sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 {
        BL [] 0 setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt
        sub exch vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare }
        bind def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt
        vpt2 Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub
        vpt Square fill Bsquare } bind def\n/S9 { BL [] 0 setdash 2 copy vpt
        sub vpt vpt2 Rec fill Bsquare } bind def\n/S10 { BL [] 0 setdash 2
        copy vpt sub vpt Square fill 2 copy exch vpt sub exch vpt Square
        fill\n \ \ \ \ \ \ Bsquare } bind def\n/S11 { BL [] 0 setdash 2 copy
        vpt sub vpt Square fill 2 copy exch vpt sub exch vpt2 vpt Rec fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S12 { BL [] 0 setdash 2 copy exch
        vpt sub exch vpt sub vpt2 vpt Rec fill Bsquare } bind def\n/S13 { BL
        [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy vpt Square fill Bsquare } bind def\n/S14 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square fill Bsquare } bind
        def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill Bsquare } bind
        def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke grestore } bind
        def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke grestore } bind
        def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke grestore } bind
        def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke grestore } bind
        def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke grestore } bind
        def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke grestore } bind
        def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke grestore } bind
        def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke grestore } bind
        def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke grestore } bind
        def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke grestore } bind
        def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke grestore } bind
        def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke grestore } bind
        def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke grestore } bind
        def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke grestore } bind
        def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke grestore } bind
        def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke grestore } bind
        def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt
        vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke } def\n/BoxE {
        stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2
        0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE { stroke
        [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2
        mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke } def\n/TriDE {
        stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
        \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath stroke }
        def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72
        rotate 0 hpt L} repeat\n \ closepath stroke grestore } def\n/CircE {
        stroke [] 0 setdash \n \ hpt 0 360 arc stroke } def\n/Opaque { gsave
        closepath 1 setgray fill grestore 0 setgray closepath } def\n/DiaW {
        stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n
        \ hpt vpt V hpt neg vpt V Opaque stroke } def\n/BoxW { stroke [] 0
        setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2
        V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW { stroke [] 0 setdash
        vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n
        \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW { stroke [] 0
        setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0
        V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW { stroke []
        0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash \n \ hpt
        0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray fill
        grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
        makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
        ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0
        get findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ]
        exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch
        4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n
        \ \ \ \ {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse}
        {dup 5\n \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get
        stringwidth pop -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop
        -2 div 0 R 6 get\n \ \ \ \ show 2 index {aload pop M neg 3 -1 roll
        neg R pop pop} {pop pop pop\n \ \ \ \ pop aload pop M} ifelse }ifelse
        }ifelse } forall} bind def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get
        findfont exch 1 get scalefont\n \ \ \ \ setfont 6 get stringwidth pop
        add} {pop} ifelse} forall} bind def\n/MLshow { currentpoint stroke
        M\n \ 0 exch R MFshow } bind def\n/MRshow { currentpoint stroke M\n
        \ exch dup MFwidth neg 3 -1 roll R MFshow } def\n/MCshow {
        currentpoint stroke M\n \ exch dup MFwidth -2 div 3 -1 roll R MFshow
        } def\nend\n%%EndProlog\ngnudict begin\ngsave\n50 50 translate\n0.050
        0.050 scale\n0 setgray\nnewpath\n(Helvetica) findfont 140 scalefont
        setfont\n1.000 UL\nLTb\n490 280 M\n63 0 V\n6409 0 R\n-63 0 V\n
        stroke\n406 280 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
        true 0 ( 1)]\n] -46.7 MRshow\ngrestore\n490 739 M\n63 0 V\n6409 0
        R\n-63 0 V\n stroke\n406 739 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
        0.0 true true 0 ( 2)]\n] -46.7 MRshow\ngrestore\n490 1198 M\n63 0
        V\n6409 0 R\n-63 0 V\n stroke\n406 1198 M\ngsave 0 setgray\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 3)]\n] -46.7
        MRshow\ngrestore\n490 1658 M\n63 0 V\n6409 0 R\n-63 0 V\n stroke\n406
        1658 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (
        4)]\n] -46.7 MRshow\ngrestore\n490 2117 M\n63 0 V\n6409 0 R\n-63 0
        V\n stroke\n406 2117 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0
        true true 0 ( 5)]\n] -46.7 MRshow\ngrestore\n490 2576 M\n63 0 V\n6409
        0 R\n-63 0 V\n stroke\n406 2576 M\ngsave 0 setgray\n[ [(Helvetica)
        140.0 0.0 true true 0 ( 6)]\n] -46.7 MRshow\ngrestore\n490 3035 M\n63
        0 V\n6409 0 R\n-63 0 V\n stroke\n406 3035 M\ngsave 0 setgray\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 7)]\n] -46.7
        MRshow\ngrestore\n490 3494 M\n63 0 V\n6409 0 R\n-63 0 V\n stroke\n406
        3494 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (
        8)]\n] -46.7 MRshow\ngrestore\n490 3954 M\n63 0 V\n6409 0 R\n-63 0
        V\n stroke\n406 3954 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0
        true true 0 ( 9)]\n] -46.7 MRshow\ngrestore\n490 4413 M\n63 0 V\n6409
        0 R\n-63 0 V\n stroke\n406 4413 M\ngsave 0 setgray\n[ [(Helvetica)
        140.0 0.0 true true 0 ( 10)]\n] -46.7 MRshow\ngrestore\n490 4872
        M\n63 0 V\n6409 0 R\n-63 0 V\n stroke\n406 4872 M\ngsave 0 setgray\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 11)]\n] -46.7
        MRshow\ngrestore\n490 280 M\n0 63 V\n0 4529 R\n0 -63 V\n stroke\n490
        140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0
        (-10)]\n] -46.7 MCshow\ngrestore\n2108 280 M\n0 63 V\n0 4529 R\n0 -63
        V\n stroke\n2108 140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0
        true true 0 (-5)]\n] -46.7 MCshow\ngrestore\n3726 280 M\n0 63 V\n0
        4529 R\n0 -63 V\n stroke\n3726 140 M\ngsave 0 setgray\n[ [(Helvetica)
        140.0 0.0 true true 0 ( 0)]\n] -46.7 MCshow\ngrestore\n5344 280 M\n0
        63 V\n0 4529 R\n0 -63 V\n stroke\n5344 140 M\ngsave 0 setgray\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 5)]\n] -46.7
        MCshow\ngrestore\n6962 280 M\n0 63 V\n0 4529 R\n0 -63 V\n
        stroke\n6962 140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
        true 0 ( 10)]\n] -46.7 MCshow\ngrestore\n1.000 UL\nLTb\n490 280
        M\n6472 0 V\n0 4592 V\n-6472 0 V\n490 280 L\n1.000 UP\n1.000
        UL\nLT0\n6311 4739 M\ngsave 0 setgray\n(sqrt\\(x**2+1\\))
        Rshow\ngrestore\n6395 4739 M\n399 0 V\n490 4436 M\n65 -93 V\n66 -92
        V\n65 -92 V\n65 -92 V\n66 -93 V\n65 -92 V\n66 -92 V\n65 -92 V\n65 -92
        V\n66 -92 V\n65 -92 V\n65 -92 V\n66 -92 V\n65 -92 V\n66 -92 V\n65 -92
        V\n65 -91 V\n66 -92 V\n65 -92 V\n65 -91 V\n66 -92 V\n65 -91 V\n66 -91
        V\n65 -91 V\n65 -91 V\n66 -91 V\n65 -91 V\n65 -91 V\n66 -90 V\n65 -90
        V\n66 -90 V\n65 -89 V\n65 -89 V\n66 -89 V\n65 -88 V\n65 -87 V\n66 -87
        V\n65 -86 V\n66 -84 V\n65 -83 V\n65 -82 V\n66 -79 V\n65 -75 V\n65 -72
        V\n66 -66 V\n65 -58 V\n66 -48 V\n65 -34 V\n65 -19 V\n66 0 V\n65 19
        V\n65 34 V\n66 48 V\n65 58 V\n66 66 V\n65 72 V\n65 75 V\n66 79 V\n65
        82 V\n65 83 V\n66 84 V\n65 86 V\n66 87 V\n65 87 V\n65 88 V\n66 89
        V\n65 89 V\n65 89 V\n66 90 V\n65 90 V\n66 90 V\n65 91 V\n65 91 V\n66
        91 V\n65 91 V\n65 91 V\n66 91 V\n65 91 V\n66 92 V\n65 91 V\n65 92
        V\n66 92 V\n65 91 V\n65 92 V\n66 92 V\n65 92 V\n66 92 V\n65 92 V\n65
        92 V\n66 92 V\n65 92 V\n65 92 V\n66 92 V\n65 92 V\n66 93 V\n65 92
        V\n65 92 V\n66 92 V\n65 93 V\n1.000
        UP\nstroke\ngrestore\nend\nshowpage\n%%Trailer\n%%DocumentFonts:
        Helvetica\n>|ps>||||||>

        \;
      </output>

      <\input|GNUplot] >
        set xrange[-5:5] ~set yrange[-5:5] ~set grid ~set xtics 1 ~set ytics
        1 ~plot (sin(x*pi/2)-1)/(x**2-1)
      </input>

      <\output>
        <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
        temp.eps\n%%Creator: gnuplot 3.8h patchlevel 0\n%%CreationDate: Sat
        Apr \ 5 22:19:06 2003\n%%DocumentFonts: (atend)\n%%BoundingBox: 50 50
        410 302\n%%Orientation: Portrait\n%%EndComments\n/gnudict 256 dict
        def\ngnudict begin\n/Color false def\n/Solid false def\n/gnulinewidth
        5.000 def\n/userlinewidth gnulinewidth def\n/vshift -46 def\n/dl
        {10.0 mul} def\n/hpt_ 31.5 def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt
        vpt_ def\n/M {moveto} bind def\n/L {lineto} bind def\n/R {rmoveto}
        bind def\n/V {rlineto} bind def\n/N {newpath moveto} bind def\n/f
        {rlineto fill} bind def\n/vpt2 vpt 2 mul def\n/hpt2 hpt 2 mul
        def\n/Lshow { currentpoint stroke M\n \ 0 vshift R show } def\n/Rshow
        { currentpoint stroke M\n \ dup stringwidth pop neg vshift R show }
        def\n/Cshow { currentpoint stroke M\n \ dup stringwidth pop -2 div
        vshift R show } def\n/UP { dup vpt_ mul /vpt exch def hpt_ mul /hpt
        exch def\n \ /hpt2 hpt 2 mul def /vpt2 vpt 2 mul def } def\n/DL {
        Color {setrgbcolor Solid {pop []} if 0 setdash }\n {pop pop pop Solid
        {pop []} if 0 setdash} ifelse } def\n/BL { stroke userlinewidth 2 mul
        setlinewidth } def\n/AL { stroke userlinewidth 2 div setlinewidth }
        def\n/UL { dup gnulinewidth mul /userlinewidth exch def\n
        \ \ \ \ \ dup 1 lt {pop 1} if 10 mul /udl exch def } def\n/PL {
        stroke userlinewidth setlinewidth } def\n/LTb { BL [] 0 0 0 DL }
        def\n/LTa { AL [1 udl mul 2 udl mul] 0 setdash 0 0 0 setrgbcolor }
        def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 { PL [4 dl 2 dl] 0 1 0 DL }
        def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL } def\n/LT3 { PL [1 dl 1.5 dl] 1
        0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl 2 dl] 0 1 1 DL } def\n/LT5 {
        PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL } def\n/LT6 { PL [2 dl 2 dl 2 dl 4
        dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 4 dl] 1 0.3 0
        DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 4 dl] 0.5 0.5
        0.5 DL } def\n/Pnt { stroke [] 0 setdash\n \ \ gsave 1 setlinecap M 0
        0 V stroke grestore } def\n/Dia { stroke [] 0 setdash 2 copy vpt add
        M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V
        closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0 setdash vpt sub M
        0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg R hpt2 0 V
        stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt sub exch
        vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
        closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt
        sub exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2
        neg 0 R hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy
        vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n
        \ hpt neg vpt 1.62 mul V closepath stroke\n \ Pnt \ } def\n/Star { 2
        copy Pls Crs } def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt
        add M\n \ 0 vpt2 neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V
        \ closepath fill } def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add
        M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62
        mul V closepath fill } def\n/TriD { stroke [] 0 setdash 2 copy vpt
        1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt
        neg vpt -1.62 mul V closepath stroke\n \ Pnt \ } def\n/TriDF { stroke
        [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2
        mul 0 V\n \ hpt neg vpt -1.62 mul V closepath fill} def\n/DiaF {
        stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n
        \ hpt vpt V hpt neg vpt V closepath fill } def\n/Pent { stroke [] 0
        setdash 2 copy gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
        repeat\n \ closepath stroke grestore Pnt } def\n/PentF { stroke [] 0
        setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ closepath fill grestore } def\n/Circle { stroke [] 0 setdash 2
        copy\n \ hpt 0 360 arc stroke Pnt } def\n/CircleF { stroke [] 0
        setdash hpt 0 360 arc fill } def\n/C0 { BL [] 0 setdash 2 copy moveto
        vpt 90 450 \ arc } bind def\n/C1 { BL [] 0 setdash 2 copy
        \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc closepath
        fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
        def\n/C2 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        90 180 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
        closepath } bind def\n/C3 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 0 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C4 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 180 270 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
        } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
        \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc } bind def\n/C6 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
        copy \ vpt 90 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt
        0 360 arc closepath } bind def\n/C7 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ 2 copy \ vpt 0 270 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C8 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt 270 360 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
        bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy
        \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
        360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
        moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
        \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11
        { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13
        { BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
        setdash 2 copy vpt 0 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
        \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
        \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
        bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
        def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
        bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
        def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
        Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch
        vpt2 vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy
        exch vpt sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 {
        BL [] 0 setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt
        sub exch vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare }
        bind def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt
        vpt2 Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub
        vpt Square fill Bsquare } bind def\n/S9 { BL [] 0 setdash 2 copy vpt
        sub vpt vpt2 Rec fill Bsquare } bind def\n/S10 { BL [] 0 setdash 2
        copy vpt sub vpt Square fill 2 copy exch vpt sub exch vpt Square
        fill\n \ \ \ \ \ \ Bsquare } bind def\n/S11 { BL [] 0 setdash 2 copy
        vpt sub vpt Square fill 2 copy exch vpt sub exch vpt2 vpt Rec fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S12 { BL [] 0 setdash 2 copy exch
        vpt sub exch vpt sub vpt2 vpt Rec fill Bsquare } bind def\n/S13 { BL
        [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy vpt Square fill Bsquare } bind def\n/S14 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square fill Bsquare } bind
        def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill Bsquare } bind
        def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke grestore } bind
        def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke grestore } bind
        def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke grestore } bind
        def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke grestore } bind
        def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke grestore } bind
        def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke grestore } bind
        def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke grestore } bind
        def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke grestore } bind
        def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke grestore } bind
        def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke grestore } bind
        def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke grestore } bind
        def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke grestore } bind
        def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke grestore } bind
        def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke grestore } bind
        def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke grestore } bind
        def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke grestore } bind
        def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt
        vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke } def\n/BoxE {
        stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2
        0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE { stroke
        [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2
        mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke } def\n/TriDE {
        stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
        \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath stroke }
        def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72
        rotate 0 hpt L} repeat\n \ closepath stroke grestore } def\n/CircE {
        stroke [] 0 setdash \n \ hpt 0 360 arc stroke } def\n/Opaque { gsave
        closepath 1 setgray fill grestore 0 setgray closepath } def\n/DiaW {
        stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n
        \ hpt vpt V hpt neg vpt V Opaque stroke } def\n/BoxW { stroke [] 0
        setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2
        V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW { stroke [] 0 setdash
        vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n
        \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW { stroke [] 0
        setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0
        V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW { stroke []
        0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash \n \ hpt
        0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray fill
        grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
        makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
        ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0
        get findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ]
        exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch
        4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n
        \ \ \ \ {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse}
        {dup 5\n \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get
        stringwidth pop -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop
        -2 div 0 R 6 get\n \ \ \ \ show 2 index {aload pop M neg 3 -1 roll
        neg R pop pop} {pop pop pop\n \ \ \ \ pop aload pop M} ifelse }ifelse
        }ifelse } forall} bind def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get
        findfont exch 1 get scalefont\n \ \ \ \ setfont 6 get stringwidth pop
        add} {pop} ifelse} forall} bind def\n/MLshow { currentpoint stroke
        M\n \ 0 exch R MFshow } bind def\n/MRshow { currentpoint stroke M\n
        \ exch dup MFwidth neg 3 -1 roll R MFshow } def\n/MCshow {
        currentpoint stroke M\n \ exch dup MFwidth -2 div 3 -1 roll R MFshow
        } def\nend\n%%EndProlog\ngnudict begin\ngsave\n50 50 translate\n0.050
        0.050 scale\n0 setgray\nnewpath\n(Helvetica) findfont 140 scalefont
        setfont\n1.000 UL\nLTb\n1.000 UL\nLTa\n406 280 M\n6556 0 V\n1.000
        UL\nLTb\n406 280 M\n63 0 V\n6493 0 R\n-63 0 V\n stroke\n322 280
        M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-5)]\n]
        -46.7 MRshow\ngrestore\n1.000 UL\nLTa\n406 739 M\n6556 0 V\n1.000
        UL\nLTb\n406 739 M\n63 0 V\n6493 0 R\n-63 0 V\n stroke\n322 739
        M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-4)]\n]
        -46.7 MRshow\ngrestore\n1.000 UL\nLTa\n406 1198 M\n6556 0 V\n1.000
        UL\nLTb\n406 1198 M\n63 0 V\n6493 0 R\n-63 0 V\n stroke\n322 1198
        M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-3)]\n]
        -46.7 MRshow\ngrestore\n1.000 UL\nLTa\n406 1658 M\n6556 0 V\n1.000
        UL\nLTb\n406 1658 M\n63 0 V\n6493 0 R\n-63 0 V\n stroke\n322 1658
        M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-2)]\n]
        -46.7 MRshow\ngrestore\n1.000 UL\nLTa\n406 2117 M\n6556 0 V\n1.000
        UL\nLTb\n406 2117 M\n63 0 V\n6493 0 R\n-63 0 V\n stroke\n322 2117
        M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-1)]\n]
        -46.7 MRshow\ngrestore\n1.000 UL\nLTa\n406 2576 M\n6556 0 V\n1.000
        UL\nLTb\n406 2576 M\n63 0 V\n6493 0 R\n-63 0 V\n stroke\n322 2576
        M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 0)]\n]
        -46.7 MRshow\ngrestore\n1.000 UL\nLTa\n406 3035 M\n6556 0 V\n1.000
        UL\nLTb\n406 3035 M\n63 0 V\n6493 0 R\n-63 0 V\n stroke\n322 3035
        M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 1)]\n]
        -46.7 MRshow\ngrestore\n1.000 UL\nLTa\n406 3494 M\n6556 0 V\n1.000
        UL\nLTb\n406 3494 M\n63 0 V\n6493 0 R\n-63 0 V\n stroke\n322 3494
        M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 2)]\n]
        -46.7 MRshow\ngrestore\n1.000 UL\nLTa\n406 3954 M\n6556 0 V\n1.000
        UL\nLTb\n406 3954 M\n63 0 V\n6493 0 R\n-63 0 V\n stroke\n322 3954
        M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 3)]\n]
        -46.7 MRshow\ngrestore\n1.000 UL\nLTa\n406 4413 M\n6556 0 V\n1.000
        UL\nLTb\n406 4413 M\n63 0 V\n6493 0 R\n-63 0 V\n stroke\n322 4413
        M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 4)]\n]
        -46.7 MRshow\ngrestore\n1.000 UL\nLTa\n406 4872 M\n6556 0 V\n1.000
        UL\nLTb\n406 4872 M\n63 0 V\n6493 0 R\n-63 0 V\n stroke\n322 4872
        M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 5)]\n]
        -46.7 MRshow\ngrestore\n1.000 UL\nLTa\n406 280 M\n0 4592 V\n1.000
        UL\nLTb\n406 280 M\n0 63 V\n0 4529 R\n0 -63 V\n stroke\n406 140
        M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-5)]\n]
        -46.7 MCshow\ngrestore\n1.000 UL\nLTa\n1062 280 M\n0 4592 V\n1.000
        UL\nLTb\n1062 280 M\n0 63 V\n0 4529 R\n0 -63 V\n stroke\n1062 140
        M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-4)]\n]
        -46.7 MCshow\ngrestore\n1.000 UL\nLTa\n1717 280 M\n0 4592 V\n1.000
        UL\nLTb\n1717 280 M\n0 63 V\n0 4529 R\n0 -63 V\n stroke\n1717 140
        M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-3)]\n]
        -46.7 MCshow\ngrestore\n1.000 UL\nLTa\n2373 280 M\n0 4592 V\n1.000
        UL\nLTb\n2373 280 M\n0 63 V\n0 4529 R\n0 -63 V\n stroke\n2373 140
        M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-2)]\n]
        -46.7 MCshow\ngrestore\n1.000 UL\nLTa\n3028 280 M\n0 4592 V\n1.000
        UL\nLTb\n3028 280 M\n0 63 V\n0 4529 R\n0 -63 V\n stroke\n3028 140
        M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-1)]\n]
        -46.7 MCshow\ngrestore\n1.000 UL\nLTa\n3684 280 M\n0 4592 V\n1.000
        UL\nLTb\n3684 280 M\n0 63 V\n0 4529 R\n0 -63 V\n stroke\n3684 140
        M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 0)]\n]
        -46.7 MCshow\ngrestore\n1.000 UL\nLTa\n4340 280 M\n0 4389 V\n0 140
        R\n0 63 V\n1.000 UL\nLTb\n4340 280 M\n0 63 V\n0 4529 R\n0 -63 V\n
        stroke\n4340 140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
        true 0 ( 1)]\n] -46.7 MCshow\ngrestore\n1.000 UL\nLTa\n4995 280 M\n0
        4389 V\n0 140 R\n0 63 V\n1.000 UL\nLTb\n4995 280 M\n0 63 V\n0 4529
        R\n0 -63 V\n stroke\n4995 140 M\ngsave 0 setgray\n[ [(Helvetica)
        140.0 0.0 true true 0 ( 2)]\n] -46.7 MCshow\ngrestore\n1.000
        UL\nLTa\n5651 280 M\n0 4389 V\n0 140 R\n0 63 V\n1.000 UL\nLTb\n5651
        280 M\n0 63 V\n0 4529 R\n0 -63 V\n stroke\n5651 140 M\ngsave 0
        setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 3)]\n] -46.7
        MCshow\ngrestore\n1.000 UL\nLTa\n6306 280 M\n0 4389 V\n0 140 R\n0 63
        V\n1.000 UL\nLTb\n6306 280 M\n0 63 V\n0 4529 R\n0 -63 V\n
        stroke\n6306 140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
        true 0 ( 4)]\n] -46.7 MCshow\ngrestore\n1.000 UL\nLTa\n6962 280 M\n0
        4592 V\n1.000 UL\nLTb\n6962 280 M\n0 63 V\n0 4529 R\n0 -63 V\n
        stroke\n6962 140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
        true 0 ( 5)]\n] -46.7 MCshow\ngrestore\n1.000 UL\nLTb\n406 280
        M\n6556 0 V\n0 4592 V\n-6556 0 V\n406 280 L\n1.000 UP\n1.000
        UL\nLT0\n6311 4739 M\ngsave 0 setgray\n(\\(sin\\(x*pi/2\\)-1\\)/\\(x**2-1\\))
        Rshow\ngrestore\n6395 4739 M\n399 0 V\n406 2538 M\n66 -2 V\n66 -1
        V\n67 0 V\n66 0 V\n66 0 V\n66 1 V\n67 2 V\n66 2 V\n66 3 V\n66 3 V\n66
        3 V\n67 4 V\n66 4 V\n66 4 V\n66 4 V\n67 3 V\n66 3 V\n66 3 V\n66 2
        V\n66 0 V\n67 -1 V\n66 -3 V\n66 -5 V\n66 -8 V\n67 -12 V\n66 -15 V\n66
        -20 V\n66 -27 V\n66 -33 V\n67 -43 V\n66 -55 V\n66 -71 V\n66 -94 V\n67
        -129 V\n66 -184 V\n66 -284 V\n66 -497 V\n49 -815 V\n272 4592 R\n10
        -218 V\n67 -578 V\n66 -327 V\n66 -215 V\n66 -157 V\n66 -121 V\n67 -99
        V\n66 -84 V\n66 -73 V\n66 -65 V\n67 -58 V\n66 -53 V\n66 -48 V\n66 -45
        V\n66 -40 V\n67 -38 V\n66 -34 V\n66 -31 V\n66 -29 V\n67 -25 V\n66 -23
        V\n66 -20 V\n66 -17 V\n66 -15 V\n67 -12 V\n66 -10 V\n66 -8 V\n66 -5
        V\n67 -3 V\n66 -1 V\n66 0 V\n66 2 V\n66 4 V\n67 4 V\n66 6 V\n66 7
        V\n66 8 V\n67 8 V\n66 9 V\n66 9 V\n66 10 V\n66 9 V\n67 9 V\n66 9
        V\n66 8 V\n66 8 V\n67 8 V\n66 7 V\n66 6 V\n66 6 V\n66 4 V\n67 4 V\n66
        4 V\n66 3 V\n66 2 V\n67 1 V\n66 1 V\n66 0 V\n1.000
        UP\nstroke\ngrestore\nend\nshowpage\n%%Trailer\n%%DocumentFonts:
        Helvetica\n>|ps>||||||>

        \;
      </output>

      <\input|GNUplot] >
        set xrange[-5:5] \ ~set yrange[-100:100] ~set noclip ~plot
        x**3+3/x**2
      </input>

      <\output>
        <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
        temp.eps\n%%Creator: gnuplot 3.8h patchlevel 0\n%%CreationDate: Sat
        Apr \ 5 22:22:35 2003\n%%DocumentFonts: (atend)\n%%BoundingBox: 50 50
        410 302\n%%Orientation: Portrait\n%%EndComments\n/gnudict 256 dict
        def\ngnudict begin\n/Color false def\n/Solid false def\n/gnulinewidth
        5.000 def\n/userlinewidth gnulinewidth def\n/vshift -46 def\n/dl
        {10.0 mul} def\n/hpt_ 31.5 def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt
        vpt_ def\n/M {moveto} bind def\n/L {lineto} bind def\n/R {rmoveto}
        bind def\n/V {rlineto} bind def\n/N {newpath moveto} bind def\n/f
        {rlineto fill} bind def\n/vpt2 vpt 2 mul def\n/hpt2 hpt 2 mul
        def\n/Lshow { currentpoint stroke M\n \ 0 vshift R show } def\n/Rshow
        { currentpoint stroke M\n \ dup stringwidth pop neg vshift R show }
        def\n/Cshow { currentpoint stroke M\n \ dup stringwidth pop -2 div
        vshift R show } def\n/UP { dup vpt_ mul /vpt exch def hpt_ mul /hpt
        exch def\n \ /hpt2 hpt 2 mul def /vpt2 vpt 2 mul def } def\n/DL {
        Color {setrgbcolor Solid {pop []} if 0 setdash }\n {pop pop pop Solid
        {pop []} if 0 setdash} ifelse } def\n/BL { stroke userlinewidth 2 mul
        setlinewidth } def\n/AL { stroke userlinewidth 2 div setlinewidth }
        def\n/UL { dup gnulinewidth mul /userlinewidth exch def\n
        \ \ \ \ \ dup 1 lt {pop 1} if 10 mul /udl exch def } def\n/PL {
        stroke userlinewidth setlinewidth } def\n/LTb { BL [] 0 0 0 DL }
        def\n/LTa { AL [1 udl mul 2 udl mul] 0 setdash 0 0 0 setrgbcolor }
        def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 { PL [4 dl 2 dl] 0 1 0 DL }
        def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL } def\n/LT3 { PL [1 dl 1.5 dl] 1
        0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl 2 dl] 0 1 1 DL } def\n/LT5 {
        PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL } def\n/LT6 { PL [2 dl 2 dl 2 dl 4
        dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 4 dl] 1 0.3 0
        DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 4 dl] 0.5 0.5
        0.5 DL } def\n/Pnt { stroke [] 0 setdash\n \ \ gsave 1 setlinecap M 0
        0 V stroke grestore } def\n/Dia { stroke [] 0 setdash 2 copy vpt add
        M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V
        closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0 setdash vpt sub M
        0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg R hpt2 0 V
        stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt sub exch
        vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
        closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt
        sub exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2
        neg 0 R hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy
        vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n
        \ hpt neg vpt 1.62 mul V closepath stroke\n \ Pnt \ } def\n/Star { 2
        copy Pls Crs } def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt
        add M\n \ 0 vpt2 neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V
        \ closepath fill } def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add
        M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62
        mul V closepath fill } def\n/TriD { stroke [] 0 setdash 2 copy vpt
        1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt
        neg vpt -1.62 mul V closepath stroke\n \ Pnt \ } def\n/TriDF { stroke
        [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2
        mul 0 V\n \ hpt neg vpt -1.62 mul V closepath fill} def\n/DiaF {
        stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n
        \ hpt vpt V hpt neg vpt V closepath fill } def\n/Pent { stroke [] 0
        setdash 2 copy gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
        repeat\n \ closepath stroke grestore Pnt } def\n/PentF { stroke [] 0
        setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ closepath fill grestore } def\n/Circle { stroke [] 0 setdash 2
        copy\n \ hpt 0 360 arc stroke Pnt } def\n/CircleF { stroke [] 0
        setdash hpt 0 360 arc fill } def\n/C0 { BL [] 0 setdash 2 copy moveto
        vpt 90 450 \ arc } bind def\n/C1 { BL [] 0 setdash 2 copy
        \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc closepath
        fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
        def\n/C2 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        90 180 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
        closepath } bind def\n/C3 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 0 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C4 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 180 270 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
        } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
        \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc } bind def\n/C6 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
        copy \ vpt 90 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt
        0 360 arc closepath } bind def\n/C7 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ 2 copy \ vpt 0 270 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C8 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt 270 360 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
        bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy
        \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
        360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
        moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
        \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11
        { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13
        { BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
        setdash 2 copy vpt 0 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
        \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
        \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
        bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
        def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
        bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
        def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
        Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch
        vpt2 vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy
        exch vpt sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 {
        BL [] 0 setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt
        sub exch vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare }
        bind def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt
        vpt2 Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub
        vpt Square fill Bsquare } bind def\n/S9 { BL [] 0 setdash 2 copy vpt
        sub vpt vpt2 Rec fill Bsquare } bind def\n/S10 { BL [] 0 setdash 2
        copy vpt sub vpt Square fill 2 copy exch vpt sub exch vpt Square
        fill\n \ \ \ \ \ \ Bsquare } bind def\n/S11 { BL [] 0 setdash 2 copy
        vpt sub vpt Square fill 2 copy exch vpt sub exch vpt2 vpt Rec fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S12 { BL [] 0 setdash 2 copy exch
        vpt sub exch vpt sub vpt2 vpt Rec fill Bsquare } bind def\n/S13 { BL
        [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy vpt Square fill Bsquare } bind def\n/S14 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square fill Bsquare } bind
        def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill Bsquare } bind
        def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke grestore } bind
        def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke grestore } bind
        def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke grestore } bind
        def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke grestore } bind
        def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke grestore } bind
        def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke grestore } bind
        def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke grestore } bind
        def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke grestore } bind
        def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke grestore } bind
        def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke grestore } bind
        def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke grestore } bind
        def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke grestore } bind
        def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke grestore } bind
        def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke grestore } bind
        def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke grestore } bind
        def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke grestore } bind
        def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt
        vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke } def\n/BoxE {
        stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2
        0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE { stroke
        [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2
        mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke } def\n/TriDE {
        stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
        \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath stroke }
        def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72
        rotate 0 hpt L} repeat\n \ closepath stroke grestore } def\n/CircE {
        stroke [] 0 setdash \n \ hpt 0 360 arc stroke } def\n/Opaque { gsave
        closepath 1 setgray fill grestore 0 setgray closepath } def\n/DiaW {
        stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n
        \ hpt vpt V hpt neg vpt V Opaque stroke } def\n/BoxW { stroke [] 0
        setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2
        V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW { stroke [] 0 setdash
        vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n
        \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW { stroke [] 0
        setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0
        V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW { stroke []
        0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash \n \ hpt
        0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray fill
        grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
        makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
        ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0
        get findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ]
        exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch
        4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n
        \ \ \ \ {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse}
        {dup 5\n \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get
        stringwidth pop -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop
        -2 div 0 R 6 get\n \ \ \ \ show 2 index {aload pop M neg 3 -1 roll
        neg R pop pop} {pop pop pop\n \ \ \ \ pop aload pop M} ifelse }ifelse
        }ifelse } forall} bind def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get
        findfont exch 1 get scalefont\n \ \ \ \ setfont 6 get stringwidth pop
        add} {pop} ifelse} forall} bind def\n/MLshow { currentpoint stroke
        M\n \ 0 exch R MFshow } bind def\n/MRshow { currentpoint stroke M\n
        \ exch dup MFwidth neg 3 -1 roll R MFshow } def\n/MCshow {
        currentpoint stroke M\n \ exch dup MFwidth -2 div 3 -1 roll R MFshow
        } def\nend\n%%EndProlog\ngnudict begin\ngsave\n50 50 translate\n0.050
        0.050 scale\n0 setgray\nnewpath\n(Helvetica) findfont 140 scalefont
        setfont\n1.000 UL\nLTb\n574 280 M\n63 0 V\n6325 0 R\n-63 0 V\n
        stroke\n490 280 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
        true 0 (-100)]\n] -46.7 MRshow\ngrestore\n574 1428 M\n63 0 V\n6325 0
        R\n-63 0 V\n stroke\n490 1428 M\ngsave 0 setgray\n[ [(Helvetica)
        140.0 0.0 true true 0 (-50)]\n] -46.7 MRshow\ngrestore\n574 2576
        M\n63 0 V\n6325 0 R\n-63 0 V\n stroke\n490 2576 M\ngsave 0 setgray\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 0)]\n] -46.7
        MRshow\ngrestore\n574 3724 M\n63 0 V\n6325 0 R\n-63 0 V\n stroke\n490
        3724 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (
        50)]\n] -46.7 MRshow\ngrestore\n574 4872 M\n63 0 V\n6325 0 R\n-63 0
        V\n stroke\n490 4872 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0
        true true 0 ( 100)]\n] -46.7 MRshow\ngrestore\n1213 280 M\n0 63 V\n0
        4529 R\n0 -63 V\n stroke\n1213 140 M\ngsave 0 setgray\n[ [(Helvetica)
        140.0 0.0 true true 0 (-4)]\n] -46.7 MCshow\ngrestore\n2490 280 M\n0
        63 V\n0 4529 R\n0 -63 V\n stroke\n2490 140 M\ngsave 0 setgray\n[
        [(Helvetica) 140.0 0.0 true true 0 (-2)]\n] -46.7
        MCshow\ngrestore\n3768 280 M\n0 63 V\n0 4529 R\n0 -63 V\n
        stroke\n3768 140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
        true 0 ( 0)]\n] -46.7 MCshow\ngrestore\n5046 280 M\n0 63 V\n0 4529
        R\n0 -63 V\n stroke\n5046 140 M\ngsave 0 setgray\n[ [(Helvetica)
        140.0 0.0 true true 0 ( 2)]\n] -46.7 MCshow\ngrestore\n6323 280 M\n0
        63 V\n0 4529 R\n0 -63 V\n stroke\n6323 140 M\ngsave 0 setgray\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 4)]\n] -46.7
        MCshow\ngrestore\n1.000 UL\nLTb\n574 280 M\n6388 0 V\n0 4592 V\n-6388
        0 V\n574 280 L\n1.000 UP\n1.000 UL\nLT0\n6311 4739 M\ngsave 0
        setgray\n(x**3+3/x**2) Rshow\ngrestore\n6395 4739 M\n399 0 V\n832 350
        M\n65 144 V\n64 138 V\n65 131 V\n64 126 V\n65 119 V\n64 114 V\n65 108
        V\n64 103 V\n65 97 V\n64 93 V\n65 87 V\n64 82 V\n65 78 V\n64 73 V\n65
        69 V\n65 64 V\n64 61 V\n65 56 V\n64 52 V\n65 49 V\n64 45 V\n65 42
        V\n64 39 V\n65 35 V\n64 33 V\n65 30 V\n64 28 V\n65 25 V\n64 24 V\n65
        21 V\n64 20 V\n65 19 V\n64 18 V\n65 18 V\n64 19 V\n65 21 V\n65 24
        V\n64 31 V\n65 43 V\n64 66 V\n65 112 V\n64 219 V\n65 530 V\n322 1
        R\n65 -529 V\n64 -216 V\n65 -109 V\n64 -61 V\n65 -36 V\n64 -22 V\n65
        -13 V\n65 -6 V\n64 -2 V\n65 2 V\n64 6 V\n65 9 V\n64 12 V\n65 15 V\n64
        18 V\n65 21 V\n64 23 V\n65 27 V\n64 30 V\n65 33 V\n64 36 V\n65 40
        V\n64 44 V\n65 47 V\n64 51 V\n65 55 V\n64 59 V\n65 64 V\n65 67 V\n64
        73 V\n65 77 V\n64 81 V\n65 87 V\n64 92 V\n65 97 V\n64 102 V\n65 108
        V\n64 113 V\n65 119 V\n64 125 V\n65 131 V\n64 138 V\n65 143 V\n1.000
        UP\nstroke\ngrestore\nend\nshowpage\n%%Trailer\n%%DocumentFonts:
        Helvetica\n>|ps>||||||>

        \;
      </output>

      <\input|GNUplot] >
        \ plot (x+1)**(1./3.)
      </input>

      <\output>
        <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
        temp.eps\n%%Creator: gnuplot 3.8h patchlevel 0\n%%CreationDate: Sun
        Apr \ 6 10:08:14 2003\n%%DocumentFonts: (atend)\n%%BoundingBox: 50 50
        410 302\n%%Orientation: Portrait\n%%EndComments\n/gnudict 256 dict
        def\ngnudict begin\n/Color false def\n/Solid false def\n/gnulinewidth
        5.000 def\n/userlinewidth gnulinewidth def\n/vshift -46 def\n/dl
        {10.0 mul} def\n/hpt_ 31.5 def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt
        vpt_ def\n/M {moveto} bind def\n/L {lineto} bind def\n/R {rmoveto}
        bind def\n/V {rlineto} bind def\n/N {newpath moveto} bind def\n/f
        {rlineto fill} bind def\n/vpt2 vpt 2 mul def\n/hpt2 hpt 2 mul
        def\n/Lshow { currentpoint stroke M\n \ 0 vshift R show } def\n/Rshow
        { currentpoint stroke M\n \ dup stringwidth pop neg vshift R show }
        def\n/Cshow { currentpoint stroke M\n \ dup stringwidth pop -2 div
        vshift R show } def\n/UP { dup vpt_ mul /vpt exch def hpt_ mul /hpt
        exch def\n \ /hpt2 hpt 2 mul def /vpt2 vpt 2 mul def } def\n/DL {
        Color {setrgbcolor Solid {pop []} if 0 setdash }\n {pop pop pop Solid
        {pop []} if 0 setdash} ifelse } def\n/BL { stroke userlinewidth 2 mul
        setlinewidth } def\n/AL { stroke userlinewidth 2 div setlinewidth }
        def\n/UL { dup gnulinewidth mul /userlinewidth exch def\n
        \ \ \ \ \ dup 1 lt {pop 1} if 10 mul /udl exch def } def\n/PL {
        stroke userlinewidth setlinewidth } def\n/LTb { BL [] 0 0 0 DL }
        def\n/LTa { AL [1 udl mul 2 udl mul] 0 setdash 0 0 0 setrgbcolor }
        def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 { PL [4 dl 2 dl] 0 1 0 DL }
        def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL } def\n/LT3 { PL [1 dl 1.5 dl] 1
        0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl 2 dl] 0 1 1 DL } def\n/LT5 {
        PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL } def\n/LT6 { PL [2 dl 2 dl 2 dl 4
        dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 4 dl] 1 0.3 0
        DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 4 dl] 0.5 0.5
        0.5 DL } def\n/Pnt { stroke [] 0 setdash\n \ \ gsave 1 setlinecap M 0
        0 V stroke grestore } def\n/Dia { stroke [] 0 setdash 2 copy vpt add
        M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V
        closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0 setdash vpt sub M
        0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg R hpt2 0 V
        stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt sub exch
        vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
        closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt
        sub exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2
        neg 0 R hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy
        vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n
        \ hpt neg vpt 1.62 mul V closepath stroke\n \ Pnt \ } def\n/Star { 2
        copy Pls Crs } def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt
        add M\n \ 0 vpt2 neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V
        \ closepath fill } def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add
        M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62
        mul V closepath fill } def\n/TriD { stroke [] 0 setdash 2 copy vpt
        1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt
        neg vpt -1.62 mul V closepath stroke\n \ Pnt \ } def\n/TriDF { stroke
        [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2
        mul 0 V\n \ hpt neg vpt -1.62 mul V closepath fill} def\n/DiaF {
        stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n
        \ hpt vpt V hpt neg vpt V closepath fill } def\n/Pent { stroke [] 0
        setdash 2 copy gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
        repeat\n \ closepath stroke grestore Pnt } def\n/PentF { stroke [] 0
        setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ closepath fill grestore } def\n/Circle { stroke [] 0 setdash 2
        copy\n \ hpt 0 360 arc stroke Pnt } def\n/CircleF { stroke [] 0
        setdash hpt 0 360 arc fill } def\n/C0 { BL [] 0 setdash 2 copy moveto
        vpt 90 450 \ arc } bind def\n/C1 { BL [] 0 setdash 2 copy
        \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc closepath
        fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
        def\n/C2 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        90 180 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
        closepath } bind def\n/C3 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 0 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C4 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 180 270 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
        } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
        \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc } bind def\n/C6 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
        copy \ vpt 90 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt
        0 360 arc closepath } bind def\n/C7 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ 2 copy \ vpt 0 270 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C8 {
        BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt 270 360 arc
        closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
        bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy
        \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
        360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
        moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
        \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11
        { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13
        { BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
        closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
        180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360
        arc closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
        \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
        setdash 2 copy vpt 0 360 arc closepath fill\n
        \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
        \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
        \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
        bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
        def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
        bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
        def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
        Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch
        vpt2 vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy
        exch vpt sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 {
        BL [] 0 setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt
        sub exch vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare }
        bind def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt
        vpt2 Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub
        vpt Square fill Bsquare } bind def\n/S9 { BL [] 0 setdash 2 copy vpt
        sub vpt vpt2 Rec fill Bsquare } bind def\n/S10 { BL [] 0 setdash 2
        copy vpt sub vpt Square fill 2 copy exch vpt sub exch vpt Square
        fill\n \ \ \ \ \ \ Bsquare } bind def\n/S11 { BL [] 0 setdash 2 copy
        vpt sub vpt Square fill 2 copy exch vpt sub exch vpt2 vpt Rec fill\n
        \ \ \ \ \ \ Bsquare } bind def\n/S12 { BL [] 0 setdash 2 copy exch
        vpt sub exch vpt sub vpt2 vpt Rec fill Bsquare } bind def\n/S13 { BL
        [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy vpt Square fill Bsquare } bind def\n/S14 { BL [] 0
        setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt Rec fill\n
        \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square fill Bsquare } bind
        def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill Bsquare } bind
        def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke grestore } bind
        def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke grestore } bind
        def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke grestore } bind
        def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke grestore } bind
        def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke grestore } bind
        def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke grestore } bind
        def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke grestore } bind
        def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke grestore } bind
        def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke grestore } bind
        def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke grestore } bind
        def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke grestore } bind
        def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke grestore } bind
        def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke grestore } bind
        def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke grestore } bind
        def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke grestore } bind
        def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke grestore } bind
        def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt
        vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke } def\n/BoxE {
        stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2
        0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE { stroke
        [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2
        mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke } def\n/TriDE {
        stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
        \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath stroke }
        def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72
        rotate 0 hpt L} repeat\n \ closepath stroke grestore } def\n/CircE {
        stroke [] 0 setdash \n \ hpt 0 360 arc stroke } def\n/Opaque { gsave
        closepath 1 setgray fill grestore 0 setgray closepath } def\n/DiaW {
        stroke [] 0 setdash vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n
        \ hpt vpt V hpt neg vpt V Opaque stroke } def\n/BoxW { stroke [] 0
        setdash exch hpt sub exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2
        V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW { stroke [] 0 setdash
        vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n
        \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW { stroke [] 0
        setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0
        V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW { stroke []
        0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n
        \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash \n \ hpt
        0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray fill
        grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
        makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
        ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0
        get findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ]
        exch dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch
        4 get {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n
        \ \ \ \ {dup 3 get {2 get neg 0 exch R pop} {pop aload pop M} ifelse}
        {dup 5\n \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get
        stringwidth pop -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop
        -2 div 0 R 6 get\n \ \ \ \ show 2 index {aload pop M neg 3 -1 roll
        neg R pop pop} {pop pop pop\n \ \ \ \ pop aload pop M} ifelse }ifelse
        }ifelse } forall} bind def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get
        findfont exch 1 get scalefont\n \ \ \ \ setfont 6 get stringwidth pop
        add} {pop} ifelse} forall} bind def\n/MLshow { currentpoint stroke
        M\n \ 0 exch R MFshow } bind def\n/MRshow { currentpoint stroke M\n
        \ exch dup MFwidth neg 3 -1 roll R MFshow } def\n/MCshow {
        currentpoint stroke M\n \ exch dup MFwidth -2 div 3 -1 roll R MFshow
        } def\nend\n%%EndProlog\ngnudict begin\ngsave\n50 50 translate\n0.050
        0.050 scale\n0 setgray\nnewpath\n(Helvetica) findfont 140 scalefont
        setfont\n1.000 UL\nLTb\n574 280 M\n63 0 V\n6325 0 R\n-63 0 V\n
        stroke\n490 280 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
        true 0 ( 0.4)]\n] -46.7 MRshow\ngrestore\n574 739 M\n63 0 V\n6325 0
        R\n-63 0 V\n stroke\n490 739 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
        0.0 true true 0 ( 0.6)]\n] -46.7 MRshow\ngrestore\n574 1198 M\n63 0
        V\n6325 0 R\n-63 0 V\n stroke\n490 1198 M\ngsave 0 setgray\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 0.8)]\n] -46.7
        MRshow\ngrestore\n574 1658 M\n63 0 V\n6325 0 R\n-63 0 V\n stroke\n490
        1658 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (
        1)]\n] -46.7 MRshow\ngrestore\n574 2117 M\n63 0 V\n6325 0 R\n-63 0
        V\n stroke\n490 2117 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0
        true true 0 ( 1.2)]\n] -46.7 MRshow\ngrestore\n574 2576 M\n63 0
        V\n6325 0 R\n-63 0 V\n stroke\n490 2576 M\ngsave 0 setgray\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 1.4)]\n] -46.7
        MRshow\ngrestore\n574 3035 M\n63 0 V\n6325 0 R\n-63 0 V\n stroke\n490
        3035 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (
        1.6)]\n] -46.7 MRshow\ngrestore\n574 3494 M\n63 0 V\n6325 0 R\n-63 0
        V\n stroke\n490 3494 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0
        true true 0 ( 1.8)]\n] -46.7 MRshow\ngrestore\n574 3954 M\n63 0
        V\n6325 0 R\n-63 0 V\n stroke\n490 3954 M\ngsave 0 setgray\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 2)]\n] -46.7
        MRshow\ngrestore\n574 4413 M\n63 0 V\n6325 0 R\n-63 0 V\n stroke\n490
        4413 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (
        2.2)]\n] -46.7 MRshow\ngrestore\n574 4872 M\n63 0 V\n6325 0 R\n-63 0
        V\n stroke\n490 4872 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0
        true true 0 ( 2.4)]\n] -46.7 MRshow\ngrestore\n574 280 M\n0 63 V\n0
        4529 R\n0 -63 V\n stroke\n574 140 M\ngsave 0 setgray\n[ [(Helvetica)
        140.0 0.0 true true 0 (-10)]\n] -46.7 MCshow\ngrestore\n2171 280 M\n0
        63 V\n0 4529 R\n0 -63 V\n stroke\n2171 140 M\ngsave 0 setgray\n[
        [(Helvetica) 140.0 0.0 true true 0 (-5)]\n] -46.7
        MCshow\ngrestore\n3768 280 M\n0 63 V\n0 4529 R\n0 -63 V\n
        stroke\n3768 140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
        true 0 ( 0)]\n] -46.7 MCshow\ngrestore\n5365 280 M\n0 63 V\n0 4529
        R\n0 -63 V\n stroke\n5365 140 M\ngsave 0 setgray\n[ [(Helvetica)
        140.0 0.0 true true 0 ( 5)]\n] -46.7 MCshow\ngrestore\n6962 280 M\n0
        63 V\n0 4529 R\n0 -63 V\n stroke\n6962 140 M\ngsave 0 setgray\n[
        [(Helvetica) 140.0 0.0 true true 0 ( 10)]\n] -46.7
        MCshow\ngrestore\n1.000 UL\nLTb\n574 280 M\n6388 0 V\n0 4592 V\n-6388
        0 V\n574 280 L\n1.000 UP\n1.000 UL\nLT0\n6311 4739 M\ngsave 0
        setgray\n(\\(x+1\\)**\\(1./3.\\)) Rshow\ngrestore\n6395 4739 M\n399 0
        V\n3478 394 M\n64 492 V\n65 292 V\n64 219 V\n65 181 V\n64 154 V\n65
        137 V\n64 124 V\n65 113 V\n64 104 V\n65 97 V\n64 91 V\n65 86 V\n64 81
        V\n65 78 V\n65 74 V\n64 71 V\n65 68 V\n64 65 V\n65 64 V\n64 61 V\n65
        59 V\n64 57 V\n65 56 V\n64 54 V\n65 52 V\n64 52 V\n65 50 V\n64 48
        V\n65 48 V\n64 47 V\n65 45 V\n64 45 V\n65 43 V\n64 43 V\n65 42 V\n65
        41 V\n64 41 V\n65 40 V\n64 39 V\n65 38 V\n64 38 V\n65 37 V\n64 37
        V\n65 36 V\n64 35 V\n65 35 V\n64 35 V\n65 34 V\n64 34 V\n65 33 V\n64
        32 V\n65 33 V\n64 31 V\n65 32 V\n1.000
        UP\nstroke\ngrestore\nend\nshowpage\n%%Trailer\n%%DocumentFonts:
        Helvetica\n>|ps>||||||>

        \;
      </output>

      <\input|GNUplot] >
        \;
      </input>
    </session>
  </note>

  Note that gnuplot is sensible for the type of number, integer or real
  number. If the square is written as <with|mode|math|1/2>, quotient of
  integers, instead of the original <with|mode|math|1./2.>, quotient of real
  numbers, an error will occur due to the rational power. Turn to the Maxima
  session:

  <\session|maxima|default>
    <\output>
      GCL (GNU Common Lisp) \ Version(2.4.4) g@ \ 2 17 15:25:31 CST 2003

      Licensed under GNU Library General Public License

      Contains Enhancements by W. Schelter

      Maxima 5.9.0 http://maxima.sourceforge.net

      Distributed under the GNU Public License. See the file COPYING.

      Dedicated to the memory of William Schelter.

      This is a development version of Maxima. The function bug_report()

      provides bug reporting information.

      \;
    </output>

    <\input|<\with|color|red>
      (C1) <with|color|black|>
    </with>>
      plot2d((1+x)^(1/3),[x,-5,4]);
    </input>

    <\output>
      <\with|mode|math>
        <with|formula style|true|<with|mode|text|font
        family|tt|color|red|(D1) <with|color|black|>>0>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C2) <with|color|black|>
    </with>>
      \;
    </input>
  </session>

  The result is:

  <postscript|<tuple|<raw_data|PNG
\n\n\0\0\0
IHDR\0\0\0\0\0\0\0\0\0IDATxh4U̶xĦTvZ"-kV%p7m-4q[qI[vݥn#=n{vic+l6R8C#Ha"1h41?gFL\|#9
Dĭ[}\0t']?
\0]'~w={zZGmtgíggiᑴZ\|A\>DK.X{ݰ%vrgN/ckC_ҖaݩN\\*KRfT,bX*ooBP,\\+_};vl'9ɝ_3.lOg\<ڂ17}caqcx{H\\5^+\naUC_ҖT*T*ߥxϞRT*G?0Z^*GDR,V˅kbF[6?߻/MΝ=v'~x{ؽ{hpwnV}T-E,?DDx=tsgc\|{wo_ɱsgW\>~xoaݑ=C\>๳jMfEDeO;}dupy0XrR\0xtϞ=+73gXXYa698W5.\n,UcOD}+bthD߷~aXl\|~F6jN\|i::󳫅B1vE}#\<}8vşfv^\\,Ews݃\>WG&NWnލϝO\>OűmM녉oE#1\>qp\<?/XyiyZՁ=ϿoᮼT+`5cl,]o={_7-7w47[\\Zn[QVՕWbvb%P+￪޽Zbxx("^zrrD\\ڗ=\<1Pś_?{XXݹc\<}{GJ/oT.q;3;wf"ҫ{/Jnyllg{G(ʧ~p啃\<KՍ7燪/r\>ԟ+/E.rR#~s^Cͭ춴\|COL?\|p\\f+_zjD4\<זϞ]}0EľĻ\\nS?_8{\<"\>B9##y驏;3׊O}p}^&lG]vCb)\\JMK#dy\\?Xof,mz+s}\\Rs9".\nܸ\>#xkMurZt6{ѾzsG?zǦM\<:9TD\<O/\\műN]zu!#ёݻL8ᑡrrĻq,.V\<\<\<MW7nS\<}#'{gNBF)jD}0/G\>up}/ǟ:6Ŋ{rxD/4^}቙Ǧ\noʙ3MzxݸrHR\<@\>w{rc]qB÷\>t̽YD[ky*߉GDRܵ`chuhFx?0q`3czwH7yUM2P]fZ^NrժF\\Z\\fla\|_Kب8NX~x=77W^L?4'_]pg7\\ٓ;_.ݹRerq׋~;cv./U7KQ^Ba
vWgO\|V?p\<_Y\\s\n
TzKӥo}gd,"µByT""s/ǎ,]:iy28W\n\|DL?\<JRνVbޡ
_~pBD\|PWSCXxe,ݹr
ͽ3:쿍:Ur[۳
4KciﰪɢЪVf.?~;pҕ_c6ڷb)^\|ҋ\\P#?_85to."\n~H\\RTE'?\|ȽCkoxǝ(b83'&\>kS~ڪooYΔJ7z7?s&"Jn`G;b)"C\\a}\|
  \n7gbrC#dSCXxKfqq47\nڧ4׍&n/D~fPt,}hK#bczwxڬeswn
  jVrDJ&,oDā.b
JKܮyvuP\<
EDfyX~da:IAKˣҋ\\=t
ι][عP(3CyG&}#'k_Gsrr1tP\\:R\\mɪȽCb_,Q˯]OͽzX*Ż1CCK
\>
g_\n&bW\>ocW_+9Gree?-\<.Ub)JKt,+RB.^XXl\<n\<87MbiF'hVu\>\|IvlڡNN}\<?=kXx?~hlb\|d##J/\\T\>gG?59Cc
;/.⮘h~;\\1GXt.NG'{m\>"\>qW4ߔf+":#W.5\<{VIfvih(W\|TY\\B7n68P\>?4727eu؏+W8pcLXiciu⟦ci;\\ksw\|RXni⥋+^p^\n6ڴQop0w葃'v׎ߟ?OW$/\|U*qc#_+/w*_Kyto_jpN٧=tǝyˇfw/³Ϭt1gf\>35t~\|X,??/\<{˧NS9;2s/\|
aUW_]K-_4z!".99a{n,\\+.\\+T*Wuoy⥋W.]wճkO7.xW7:f,mzW~sx~q/\\fj7VD;~#Ʈ;,d`I:ɕ0ZZS\t&sJN\>wrmv+@۵iT̈'ducl\<ߍ?qJ!\0!\0Ihʃv\0@d\0
  i2\04\0H\0$M\0&\0I\0@d\0 i2\04\0H\0$M\0&\0I\0@d\0
  i2\04\0H\0$M\0&\0I\0@d\0 i2\04\0H\0$M\0&\0I\0@d\0
  i2\04\0Hڮn\0\010qVu30P{փ
~D֐օ!9Ց,frn~pmW7z-\0
\|ܺD
a"X2~
@/¢&޹,5?۳lm\<\0;Col'm}.zEr֭[\06\02V~6lpbkoyAVf\0՗\0+;?\>2\0J_K\0"kd\0H]?]
2\0$*ٷ
d\0Hѿ\0HᲟmyG2\0!\0Wgd\0=2\0\<\t\0z\0-!@/1\0O\0uV2\0-0{z~{.L?hڸ"\0#@?&@d\0\0CC
  d\0h;2\0՟'@yCd\0h%92\0\0(\0vJ\0z\0'\0}@p\tPߐ`?2\0l\0+\0@\0\0\0Є\0CU
  52\0phd\0\0N\0'. d\0\<052\0i\0\0B\0hJ
  \tN\>'\0lLo\t\0!Ї͓+U2\0$mA\0)
`'
\0;"ЫLh\tBГ4V1#\0@\0A\0#i@9E٥t\0d3d\02$N(٢t\0d
  :O L.\0KuNCh\0Y @F\0t2\0dS9.\n"C4l2NDf
@i\0Y&^@\0}2\0\\D1\0z\0_Lh\0=Efg+,\nAk8!Lh
w\0d\0vDu2\0ۧm\0vh\0}C`4~"5@
\0lЗd\06EW2\0w1;\0F1uwHF4'МS$B\t
  2\0&)2\08-Ljd\0i\0IX\0\tX\0iXa*@d\0",0\0H\0IR00
  i2@,.A2@L@H Rd9jdD\n@APOH h
  $T\0\0\t1d\n@ ДSXKH\0GH\04%\0I
\0@d\0
  i2@"\0T\0H\0&\0I!\0H\0$MOV`vu\0
%׷6߅B2\0m400P뷛2CV`d\0
  i +6yZK7]Y==[=V~Yh!k\0ts}
WB'
WvЭ[7,
Y2\0tL_IC?bQ
  i2\04\0H?v~z\0$M\0&\0I\0@d\0
  i2@p(l\0$M\0&\0I\0@d\0 i2@?O¶\0}
\0@d\0
  i2\04\0H\0$M\0&\<?4\0;!?4\0&\0I\0@d\0
  i2\04\0H\0$M\0&\0I\0@d\0 i2\04\0H\0$M\0&\0I\00pߊ\0n``6o\0&\0Ie\0$@'h@f\0v
W\nu`hQz@x%@Y2B\0I\0@d\0
  i2nBvyr
tɑ5`TÓ,=93Y:l=9@g~yӳd˿5SONxr6'Ǣ@d9Y6a{r6'G\0&\0I\0@d\0
  i2\04\0H\0$M\0&\0I\0@d\0 i2\04\0H\0$M\0&\0I\0@d\0
  i2\04\0H\0$M\0&\0I\0@d\0 i2\04\0H֭n8\0H\0$M\0&\0I\0@d\0
  i2\04\0H\0$MU~\0$M\0&\0I\0@d\0
  i2@Or(\0$M\0&+BB2\04\0H\0$M1N@k\0@d\0
  i2\04\0Hڮn\0lAfϞߞy\|["q_9\0&\0IzFfO@O\0@d`ED\0&\0Iz!h\0H\0$M:+BV2\04\0HiVd\0
  i2@v\n@\0@d2ΐ\0Yd*\0#\0I2T\0:I\0&d\0t!\>H-a2@VX\0`*\0"t3E2@&\n@\0]f9K\0&t\0t5C\0d*\0]'t
  \0H2@i\0d\0$M(Ss4\02H
l:A
  d\024\02Nh#
/ E}2@h\0"@oZia92@8-Hh%
#SУd\0]2Ni\04`G4\0z}\0}`WPfl@?1`k4ӳ3t``Kd-p2`=q_9,
$l@L\0wߜ"f].\n
М@"hBCX$\0R#,\0Ha1\0Ii\0$NKp8M.\nj@=X@*L,\n%A
?Ad\0w$I\0M~#\0@
  4\0\n&@\0`'@o\0`z\0\0-!G\0^"\0@@o\0M"\0@\t\0n2Q~$"\0cd
  [\003D3\0EL\0p!2i\0dt\0\0$
  \0@f@{\t\0q2..z\0\0=DZI\0I\0l\0]2#.zl\0\0AL\0~"UC\0\>"1}O$B\t\0X!\0@d
  B\0\0n\0 ̀_PPX+\0z9~==[=L3`js*lU?d?v\0`z2VZ2`hȀ6theIʀJ@Wd%\0\0d\0
  i2\04\0H\0$M\0&\0I\0@d\0 i2\04\0H\0$M\0&\0I\0@d\0
  i2\04\0H\0$M\0&\0I\0@d\0 i2\04\0H\0$M\0&J3t`kd\0
  i2\0]8n\0]Vo\|۸\0qx9~yawQ,wr\0Np\0&\0I
Dē_zۇ@n\0]$'\0\0\0\0IENDB`>|png>|*5/8|*5/8||||>

  <\session|gnuplot|default>
    <\output>
      This is a TeXmacs interface for GNUplot.

      \;
    </output>

    <\input|GNUplot] >
      set key left ~set xrange[-5:5] ~f(x)=x\<gtr\>-1?(x+1)**2:x+1 ~plot f(x)
    </input>

    <\output>
      <postscript|<tuple|<raw_data|%!PS-Adobe-2.0 EPSF-2.0\n%%Title:
      temp.eps\n%%Creator: gnuplot 3.8h patchlevel 0\n%%CreationDate: Sun Apr
      \ 6 09:49:16 2003\n%%DocumentFonts: (atend)\n%%BoundingBox: 50 50 410
      302\n%%Orientation: Portrait\n%%EndComments\n/gnudict 256 dict
      def\ngnudict begin\n/Color false def\n/Solid false def\n/gnulinewidth
      5.000 def\n/userlinewidth gnulinewidth def\n/vshift -46 def\n/dl {10.0
      mul} def\n/hpt_ 31.5 def\n/vpt_ 31.5 def\n/hpt hpt_ def\n/vpt vpt_
      def\n/M {moveto} bind def\n/L {lineto} bind def\n/R {rmoveto} bind
      def\n/V {rlineto} bind def\n/N {newpath moveto} bind def\n/f {rlineto
      fill} bind def\n/vpt2 vpt 2 mul def\n/hpt2 hpt 2 mul def\n/Lshow {
      currentpoint stroke M\n \ 0 vshift R show } def\n/Rshow { currentpoint
      stroke M\n \ dup stringwidth pop neg vshift R show } def\n/Cshow {
      currentpoint stroke M\n \ dup stringwidth pop -2 div vshift R show }
      def\n/UP { dup vpt_ mul /vpt exch def hpt_ mul /hpt exch def\n \ /hpt2
      hpt 2 mul def /vpt2 vpt 2 mul def } def\n/DL { Color {setrgbcolor Solid
      {pop []} if 0 setdash }\n {pop pop pop Solid {pop []} if 0 setdash}
      ifelse } def\n/BL { stroke userlinewidth 2 mul setlinewidth } def\n/AL
      { stroke userlinewidth 2 div setlinewidth } def\n/UL { dup gnulinewidth
      mul /userlinewidth exch def\n \ \ \ \ \ dup 1 lt {pop 1} if 10 mul /udl
      exch def } def\n/PL { stroke userlinewidth setlinewidth } def\n/LTb {
      BL [] 0 0 0 DL } def\n/LTa { AL [1 udl mul 2 udl mul] 0 setdash 0 0 0
      setrgbcolor } def\n/LT0 { PL [] 1 0 0 DL } def\n/LT1 { PL [4 dl 2 dl] 0
      1 0 DL } def\n/LT2 { PL [2 dl 3 dl] 0 0 1 DL } def\n/LT3 { PL [1 dl 1.5
      dl] 1 0 1 DL } def\n/LT4 { PL [5 dl 2 dl 1 dl 2 dl] 0 1 1 DL }
      def\n/LT5 { PL [4 dl 3 dl 1 dl 3 dl] 1 1 0 DL } def\n/LT6 { PL [2 dl 2
      dl 2 dl 4 dl] 0 0 0 DL } def\n/LT7 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      1 0.3 0 DL } def\n/LT8 { PL [2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 2 dl 4 dl]
      0.5 0.5 0.5 DL } def\n/Pnt { stroke [] 0 setdash\n \ \ gsave 1
      setlinecap M 0 0 V stroke grestore } def\n/Dia { stroke [] 0 setdash 2
      copy vpt add M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt
      neg vpt V closepath stroke\n \ Pnt } def\n/Pls { stroke [] 0 setdash
      vpt sub M 0 vpt2 V\n \ currentpoint stroke M\n \ hpt neg vpt neg R hpt2
      0 V stroke\n \ } def\n/Box { stroke [] 0 setdash 2 copy exch hpt sub
      exch vpt add M\n \ 0 vpt2 neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V
      closepath stroke\n \ Pnt } def\n/Crs { stroke [] 0 setdash exch hpt sub
      exch vpt add M\n \ hpt2 vpt2 neg V currentpoint stroke M\n \ hpt2 neg 0
      R hpt2 vpt2 V stroke } def\n/TriU { stroke [] 0 setdash 2 copy vpt 1.12
      mul add M\n \ hpt neg vpt -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      1.62 mul V closepath stroke\n \ Pnt \ } def\n/Star { 2 copy Pls Crs }
      def\n/BoxF { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V \ hpt2 0 V \ 0 vpt2 V\n \ hpt2 neg 0 V \ closepath fill }
      def\n/TriUF { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt
      -1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath fill
      } def\n/TriD { stroke [] 0 setdash 2 copy vpt 1.12 mul sub M\n \ hpt
      neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V
      closepath stroke\n \ Pnt \ } def\n/TriDF { stroke [] 0 setdash vpt 1.12
      mul sub M\n \ hpt neg vpt 1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt
      -1.62 mul V closepath fill} def\n/DiaF { stroke [] 0 setdash vpt add
      M\n \ hpt neg vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V
      closepath fill } def\n/Pent { stroke [] 0 setdash 2 copy gsave\n
      \ translate 0 hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath stroke
      grestore Pnt } def\n/PentF { stroke [] 0 setdash gsave\n \ translate 0
      hpt M 4 {72 rotate 0 hpt L} repeat\n \ closepath fill grestore }
      def\n/Circle { stroke [] 0 setdash 2 copy\n \ hpt 0 360 arc stroke Pnt
      } def\n/CircleF { stroke [] 0 setdash hpt 0 360 arc fill } def\n/C0 {
      BL [] 0 setdash 2 copy moveto vpt 90 450 \ arc } bind def\n/C1 { BL []
      0 setdash 2 copy \ \ \ \ \ \ \ moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C2 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C3 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath }
      bind def\n/C4 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy
      \ vpt 180 270 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C5 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 0 90 arc\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 270 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C6 { BL [] 0
      setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 90 270 arc closepath
      fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind
      def\n/C7 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy \ vpt 0 270
      arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath
      } bind def\n/C8 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2 copy vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C9 { BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ 2
      copy \ vpt 270 450 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0
      360 arc closepath } bind def\n/C10 { BL [] 0 setdash 2 copy 2 copy
      moveto vpt 270 360 arc closepath fill\n \ \ \ \ \ \ 2 copy moveto\n
      \ \ \ \ \ \ 2 copy vpt 90 180 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C11 {
      BL [] 0 setdash 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 180 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      270 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C12 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 180 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/C13 {
      BL [] 0 setdash \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt 0 90 arc
      closepath fill\n \ \ \ \ \ \ 2 copy moveto\n \ \ \ \ \ \ 2 copy \ vpt
      180 360 arc closepath fill\n \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc
      closepath } bind def\n/C14 { BL [] 0 setdash 2 copy moveto\n
      \ \ \ \ \ \ 2 copy \ vpt 90 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc } bind def\n/C15 { BL [] 0
      setdash 2 copy vpt 0 360 arc closepath fill\n
      \ \ \ \ \ \ \ \ \ \ \ \ \ \ vpt 0 360 arc closepath } bind def\n/Rec
      \ \ { newpath 4 2 roll moveto 1 index 0 rlineto 0 exch rlineto\n
      \ \ \ \ \ \ neg 0 rlineto closepath } bind def\n/Square { dup Rec }
      bind def\n/Bsquare { vpt sub exch vpt sub exch vpt2 Square } bind
      def\n/S0 { BL [] 0 setdash 2 copy moveto 0 vpt rlineto BL Bsquare }
      bind def\n/S1 { BL [] 0 setdash 2 copy vpt Square fill Bsquare } bind
      def\n/S2 { BL [] 0 setdash 2 copy exch vpt sub exch vpt Square fill
      Bsquare } bind def\n/S3 { BL [] 0 setdash 2 copy exch vpt sub exch vpt2
      vpt Rec fill Bsquare } bind def\n/S4 { BL [] 0 setdash 2 copy exch vpt
      sub exch vpt sub vpt Square fill Bsquare } bind def\n/S5 { BL [] 0
      setdash 2 copy 2 copy vpt Square fill\n \ \ \ \ \ \ exch vpt sub exch
      vpt sub vpt Square fill Bsquare } bind def\n/S6 { BL [] 0 setdash 2
      copy exch vpt sub exch vpt sub vpt vpt2 Rec fill Bsquare } bind
      def\n/S7 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt vpt2
      Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S8 { BL [] 0 setdash 2 copy vpt sub vpt Square fill Bsquare
      } bind def\n/S9 { BL [] 0 setdash 2 copy vpt sub vpt vpt2 Rec fill
      Bsquare } bind def\n/S10 { BL [] 0 setdash 2 copy vpt sub vpt Square
      fill 2 copy exch vpt sub exch vpt Square fill\n \ \ \ \ \ \ Bsquare }
      bind def\n/S11 { BL [] 0 setdash 2 copy vpt sub vpt Square fill 2 copy
      exch vpt sub exch vpt2 vpt Rec fill\n \ \ \ \ \ \ Bsquare } bind
      def\n/S12 { BL [] 0 setdash 2 copy exch vpt sub exch vpt sub vpt2 vpt
      Rec fill Bsquare } bind def\n/S13 { BL [] 0 setdash 2 copy exch vpt sub
      exch vpt sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy vpt Square fill
      Bsquare } bind def\n/S14 { BL [] 0 setdash 2 copy exch vpt sub exch vpt
      sub vpt2 vpt Rec fill\n \ \ \ \ \ \ 2 copy exch vpt sub exch vpt Square
      fill Bsquare } bind def\n/S15 { BL [] 0 setdash 2 copy Bsquare fill
      Bsquare } bind def\n/D0 { gsave translate 45 rotate 0 0 S0 stroke
      grestore } bind def\n/D1 { gsave translate 45 rotate 0 0 S1 stroke
      grestore } bind def\n/D2 { gsave translate 45 rotate 0 0 S2 stroke
      grestore } bind def\n/D3 { gsave translate 45 rotate 0 0 S3 stroke
      grestore } bind def\n/D4 { gsave translate 45 rotate 0 0 S4 stroke
      grestore } bind def\n/D5 { gsave translate 45 rotate 0 0 S5 stroke
      grestore } bind def\n/D6 { gsave translate 45 rotate 0 0 S6 stroke
      grestore } bind def\n/D7 { gsave translate 45 rotate 0 0 S7 stroke
      grestore } bind def\n/D8 { gsave translate 45 rotate 0 0 S8 stroke
      grestore } bind def\n/D9 { gsave translate 45 rotate 0 0 S9 stroke
      grestore } bind def\n/D10 { gsave translate 45 rotate 0 0 S10 stroke
      grestore } bind def\n/D11 { gsave translate 45 rotate 0 0 S11 stroke
      grestore } bind def\n/D12 { gsave translate 45 rotate 0 0 S12 stroke
      grestore } bind def\n/D13 { gsave translate 45 rotate 0 0 S13 stroke
      grestore } bind def\n/D14 { gsave translate 45 rotate 0 0 S14 stroke
      grestore } bind def\n/D15 { gsave translate 45 rotate 0 0 S15 stroke
      grestore } bind def\n/DiaE { stroke [] 0 setdash vpt add M\n \ hpt neg
      vpt neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V closepath stroke }
      def\n/BoxE { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V closepath stroke } def\n/TriUE
      { stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V closepath stroke }
      def\n/TriDE { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt
      1.62 mul V\n \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V closepath
      stroke } def\n/PentE { stroke [] 0 setdash gsave\n \ translate 0 hpt M
      4 {72 rotate 0 hpt L} repeat\n \ closepath stroke grestore }
      def\n/CircE { stroke [] 0 setdash \n \ hpt 0 360 arc stroke }
      def\n/Opaque { gsave closepath 1 setgray fill grestore 0 setgray
      closepath } def\n/DiaW { stroke [] 0 setdash vpt add M\n \ hpt neg vpt
      neg V hpt vpt neg V\n \ hpt vpt V hpt neg vpt V Opaque stroke }
      def\n/BoxW { stroke [] 0 setdash exch hpt sub exch vpt add M\n \ 0 vpt2
      neg V hpt2 0 V 0 vpt2 V\n \ hpt2 neg 0 V Opaque stroke } def\n/TriUW {
      stroke [] 0 setdash vpt 1.12 mul add M\n \ hpt neg vpt -1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt 1.62 mul V Opaque stroke } def\n/TriDW
      { stroke [] 0 setdash vpt 1.12 mul sub M\n \ hpt neg vpt 1.62 mul V\n
      \ hpt 2 mul 0 V\n \ hpt neg vpt -1.62 mul V Opaque stroke } def\n/PentW
      { stroke [] 0 setdash gsave\n \ translate 0 hpt M 4 {72 rotate 0 hpt L}
      repeat\n \ Opaque stroke grestore } def\n/CircW { stroke [] 0 setdash
      \n \ hpt 0 360 arc Opaque stroke } def\n/BoxFill { gsave Rec 1 setgray
      fill grestore } def\n/Symbol-Oblique /Symbol findfont [1 0 .167 1 0 0]
      makefont\ndup length dict begin {1 index /FID eq {pop pop} {def}
      ifelse} forall\ncurrentdict end definefont pop\n/MFshow {{dup dup 0 get
      findfont exch 1 get scalefont setfont\n \ \ \ \ [ currentpoint ] exch
      dup 2 get 0 exch R dup 5 get 2 ne {dup dup 6\n \ \ \ \ get exch 4 get
      {show} {stringwidth pop 0 R} ifelse }if dup 5 get 0 eq\n \ \ \ \ {dup 3
      get {2 get neg 0 exch R pop} {pop aload pop M} ifelse} {dup 5\n
      \ \ \ \ get 1 eq {dup 2 get exch dup 3 get exch 6 get stringwidth pop
      -2 div\n \ \ \ \ dup 0 R} {dup 6 get stringwidth pop -2 div 0 R 6 get\n
      \ \ \ \ show 2 index {aload pop M neg 3 -1 roll neg R pop pop} {pop pop
      pop\n \ \ \ \ pop aload pop M} ifelse }ifelse }ifelse } forall} bind
      def\n/MFwidth {0 exch {dup 3 get{dup dup 0 get findfont exch 1 get
      scalefont\n \ \ \ \ setfont 6 get stringwidth pop add} {pop} ifelse}
      forall} bind def\n/MLshow { currentpoint stroke M\n \ 0 exch R MFshow }
      bind def\n/MRshow { currentpoint stroke M\n \ exch dup MFwidth neg 3 -1
      roll R MFshow } def\n/MCshow { currentpoint stroke M\n \ exch dup
      MFwidth -2 div 3 -1 roll R MFshow } def\nend\n%%EndProlog\ngnudict
      begin\ngsave\n50 50 translate\n0.050 0.050 scale\n0
      setgray\nnewpath\n(Helvetica) findfont 140 scalefont setfont\n1.000
      UL\nLTb\n490 280 M\n63 0 V\n6409 0 R\n-63 0 V\n stroke\n406 280
      M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 (-5)]\n] -46.7
      MRshow\ngrestore\n490 790 M\n63 0 V\n6409 0 R\n-63 0 V\n stroke\n406
      790 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 0)]\n]
      -46.7 MRshow\ngrestore\n490 1300 M\n63 0 V\n6409 0 R\n-63 0 V\n
      stroke\n406 1300 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true
      0 ( 5)]\n] -46.7 MRshow\ngrestore\n490 1811 M\n63 0 V\n6409 0 R\n-63 0
      V\n stroke\n406 1811 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 ( 10)]\n] -46.7 MRshow\ngrestore\n490 2321 M\n63 0 V\n6409 0
      R\n-63 0 V\n stroke\n406 2321 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 ( 15)]\n] -46.7 MRshow\ngrestore\n490 2831 M\n63 0
      V\n6409 0 R\n-63 0 V\n stroke\n406 2831 M\ngsave 0 setgray\n[
      [(Helvetica) 140.0 0.0 true true 0 ( 20)]\n] -46.7
      MRshow\ngrestore\n490 3341 M\n63 0 V\n6409 0 R\n-63 0 V\n stroke\n406
      3341 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 25)]\n]
      -46.7 MRshow\ngrestore\n490 3852 M\n63 0 V\n6409 0 R\n-63 0 V\n
      stroke\n406 3852 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true
      0 ( 30)]\n] -46.7 MRshow\ngrestore\n490 4362 M\n63 0 V\n6409 0 R\n-63 0
      V\n stroke\n406 4362 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 ( 35)]\n] -46.7 MRshow\ngrestore\n490 4872 M\n63 0 V\n6409 0
      R\n-63 0 V\n stroke\n406 4872 M\ngsave 0 setgray\n[ [(Helvetica) 140.0
      0.0 true true 0 ( 40)]\n] -46.7 MRshow\ngrestore\n1137 280 M\n0 63 V\n0
      4529 R\n0 -63 V\n stroke\n1137 140 M\ngsave 0 setgray\n[ [(Helvetica)
      140.0 0.0 true true 0 (-4)]\n] -46.7 MCshow\ngrestore\n2432 280 M\n0 63
      V\n0 4529 R\n0 -63 V\n stroke\n2432 140 M\ngsave 0 setgray\n[
      [(Helvetica) 140.0 0.0 true true 0 (-2)]\n] -46.7
      MCshow\ngrestore\n3726 280 M\n0 63 V\n0 4529 R\n0 -63 V\n stroke\n3726
      140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true 0 ( 0)]\n]
      -46.7 MCshow\ngrestore\n5020 280 M\n0 63 V\n0 4529 R\n0 -63 V\n
      stroke\n5020 140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true true
      0 ( 2)]\n] -46.7 MCshow\ngrestore\n6315 280 M\n0 63 V\n0 4529 R\n0 -63
      V\n stroke\n6315 140 M\ngsave 0 setgray\n[ [(Helvetica) 140.0 0.0 true
      true 0 ( 4)]\n] -46.7 MCshow\ngrestore\n1.000 UL\nLTb\n490 280 M\n6472
      0 V\n0 4592 V\n-6472 0 V\n490 280 L\n1.000 UP\n1.000 UL\nLT0\n910 4739
      M\ngsave 0 setgray\n(f\\(x\\)) Rshow\ngrestore\n994 4739 M\n399 0
      V\n490 382 M\n65 10 V\n66 11 V\n65 10 V\n65 10 V\n66 11 V\n65 10 V\n66
      10 V\n65 11 V\n65 10 V\n66 10 V\n65 10 V\n65 11 V\n66 10 V\n65 10 V\n66
      11 V\n65 10 V\n65 10 V\n66 11 V\n65 10 V\n65 10 V\n66 11 V\n65 10 V\n66
      10 V\n65 10 V\n65 11 V\n66 10 V\n65 10 V\n65 11 V\n66 10 V\n65 10 V\n66
      11 V\n65 10 V\n65 10 V\n66 11 V\n65 10 V\n65 10 V\n66 10 V\n65 11 V\n66
      10 V\n65 6 V\n65 2 V\n66 4 V\n65 6 V\n65 8 V\n66 11 V\n65 12 V\n66 14
      V\n65 17 V\n65 18 V\n66 21 V\n65 23 V\n65 24 V\n66 27 V\n65 29 V\n66 31
      V\n65 33 V\n65 35 V\n66 38 V\n65 39 V\n65 42 V\n66 43 V\n65 46 V\n66 47
      V\n65 50 V\n65 52 V\n66 54 V\n65 56 V\n65 58 V\n66 60 V\n65 62 V\n66 65
      V\n65 66 V\n65 69 V\n66 70 V\n65 73 V\n65 75 V\n66 77 V\n65 78 V\n66 81
      V\n65 84 V\n65 85 V\n66 87 V\n65 89 V\n65 92 V\n66 93 V\n65 96 V\n66 97
      V\n65 100 V\n65 102 V\n66 104 V\n65 106 V\n65 108 V\n66 110 V\n65 112
      V\n66 115 V\n65 116 V\n65 119 V\n66 120 V\n65 123 V\n1.000
      UP\nstroke\ngrestore\nend\nshowpage\n%%Trailer\n%%DocumentFonts:
      Helvetica\n>|ps>||||||>

      \;
    </output>

    <\input|GNUplot] >
      \;
    </input>
  </session>

  <apply|tmdoc-copyright|1998--2002|Chu-Ching Huang>

  <expand|tmdoc-license|Permission is granted to copy, distribute and/or
  modify this document under the terms of the GNU Free Documentation License,
  Version 1.1 or any later version published by the Free Software Foundation;
  with no Invariant Sections, with no Front-Cover Texts, and with no
  Back-Cover Texts. A copy of the license is included in the section entitled
  "GNU Free Documentation License".>
</body>

<\initial>
  <\collection>
    <associate|preamble|false>
    <associate|paragraph width|150mm>
    <associate|odd page margin|30mm>
    <associate|page right margin|30mm>
    <associate|page top margin|30mm>
    <associate|reduction page right margin|25mm>
    <associate|page type|a4>
    <associate|reduction page bottom margin|15mm>
    <associate|even page margin|30mm>
    <associate|reduction page left margin|25mm>
    <associate|page bottom margin|30mm>
    <associate|reduction page top margin|15mm>
    <associate|language|english>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|toc-10|<tuple|2.6|?>>
    <associate|gly-1|<tuple|1.2|?>>
    <associate|toc-1|<tuple|4.|4>>
    <associate|gly-2|<tuple|1.2|?>>
    <associate|toc-2|<tuple|1|4>>
    <associate|toc-3|<tuple|1.1|4>>
    <associate|toc-4|<tuple|1.2|4>>
    <associate|toc-5|<tuple|2|6>>
    <associate|toc-6|<tuple|3|6>>
    <associate|toc-7|<tuple|4|16>>
    <associate|toc-8|<tuple|5|22>>
    <associate|toc-9|<tuple|2.5|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|toc>
      <vspace*|2fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|font size|<quote|1.19>|Preliminary><value|toc-dots><pageref|toc-1><vspace|1fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|1<space|2spc>Ahead navigation with
      T<rsub|<space|-0.4spc><move|<resize|<with|index
      level|<quote|0>|E>||||0.5fn|>|0fn|-0.1fn>><space|-0.4spc>X<rsub|<space|-0.4spc><move|<resize|M<space|-0.2spc>A<space|-0.4spc>CS||||0.5fn|>|0fn|-0.1fn>>><value|toc-dots><pageref|toc-2><vspace|0.5fn>

      1.1<space|2spc>Presume setup<value|toc-dots><pageref|toc-3>

      1.2<space|2spc>Content Cooking<value|toc-dots><pageref|toc-4>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|2<space|2spc>CAS's and Graph
      softwares><value|toc-dots><pageref|toc-5><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|3<space|2spc>Functions><value|toc-dots><pageref|toc-6><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|4<space|2spc>Graph
      Gallery><value|toc-dots><pageref|toc-7><vspace|0.5fn>

      <vspace*|1fn><with|font series|<quote|bold>|math font
      series|<quote|bold>|5<space|2spc> Conclusions><value|toc-dots><pageref|toc-8><vspace|0.5fn>
    </associate>
  </collection>
</auxiliary>
